/* Do not modify this file. Changes will be overwritten.                      */
/* Generated automatically by the ASN.1 to Wireshark dissector compiler       */
/* packet-lte-rrc.c                                                           */
/* asn2wrs.py -L -p lte-rrc -c ./lte-rrc.cnf -s ./packet-lte-rrc-template -D . -O ../.. EUTRA-InterNodeDefinitions.asn EUTRA-RRC-Definitions.asn EUTRA-Sidelink-Preconf.asn EUTRA-UE-Variables.asn PC5-RRC-Definitions.asn NBIOT-InterNodeDefinitions.asn NBIOT-RRC-Definitions.asn NBIOT-UE-Variables.asn */

/* Input file: packet-lte-rrc-template.c */

#line 1 "./asn1/lte-rrc/packet-lte-rrc-template.c"
/* packet-lte-rrc-template.c
 * Routines for Evolved Universal Terrestrial Radio Access (E-UTRA);
 * Radio Resource Control (RRC) protocol specification
 * (3GPP TS 36.331 V15.0.1 Release 15) packet dissection
 * Copyright 2008, Vincent Helfre
 * Copyright 2009-2018, Pascal Quantin
 *
 * Wireshark - Network traffic analyzer
 * By Gerald Combs <gerald@wireshark.org>
 * Copyright 1998 Gerald Combs
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 */

#include "config.h"

#include <stdlib.h>

#include <epan/packet.h>
#include <epan/to_str.h>
#include <epan/asn1.h>
#include <epan/expert.h>
#include <epan/reassemble.h>
#include <epan/exceptions.h>
#include <epan/show_exception.h>
#include <epan/proto_data.h>

#include <wsutil/str_util.h>

#include "packet-per.h"
#include "packet-rrc.h"
#include "packet-gsm_a_common.h"
#include "packet-lpp.h"
#include "packet-gsm_map.h"
#include "packet-cell_broadcast.h"
#include "packet-mac-lte.h"
#include "packet-rlc-lte.h"
#include "packet-pdcp-lte.h"
#include "packet-nr-rrc.h"
#include "packet-lte-rrc.h"

#define PNAME  "LTE Radio Resource Control (RRC) protocol"
#define PSNAME "LTE RRC"
#define PFNAME "lte_rrc"

void proto_register_lte_rrc(void);
void proto_reg_handoff_lte_rrc(void);

static dissector_handle_t nas_eps_handle = NULL;
static dissector_handle_t rrc_irat_ho_to_utran_cmd_handle = NULL;
static dissector_handle_t rrc_sys_info_cont_handle = NULL;
static dissector_handle_t gsm_a_dtap_handle = NULL;
static dissector_handle_t gsm_rlcmac_dl_handle = NULL;
static dissector_handle_t lte_rrc_dl_ccch_handle;

static wmem_map_t *lte_rrc_etws_cmas_dcs_hash = NULL;

/* Keep track of where/how the System Info value has changed */
static wmem_map_t *lte_rrc_system_info_value_changed_hash = NULL;
static guint8     system_info_value_current;
static gboolean   system_info_value_current_set;


extern int proto_mac_lte;
extern int proto_rlc_lte;
extern int proto_pdcp_lte;


/* Include constants */

/*--- Included file: packet-lte-rrc-val.h ---*/
#line 1 "./asn1/lte-rrc/packet-lte-rrc-val.h"
#define maxReestabInfo                 32
#define maxACDC_Cat_r13                16
#define maxAvailNarrowBands_r13        16
#define maxBandComb_r10                128
#define maxBandComb_r11                256
#define maxBandComb_r13                384
#define maxBands                       64
#define maxBandwidthClass_r10          16
#define maxBandwidthCombSet_r10        32
#define maxBP_Comb_r15                 64
#define maxCBR_Level_r14               16
#define maxCBR_Level_1_r14             15
#define maxCBR_Report_r14              72
#define maxCDMA_BandClass              32
#define maxCE_Level_r13                4
#define maxCellBlack                   16
#define maxCellHistory_r12             16
#define maxCellInfoGERAN_r9            32
#define maxCellInfoUTRA_r9             16
#define maxCombIDC_r11                 128
#define maxCSI_IM_r11                  3
#define maxCSI_IM_r12                  4
#define minCSI_IM_r13                  5
#define maxCSI_IM_r13                  24
#define maxCSI_IM_v1310                20
#define maxCSI_Proc_r11                4
#define maxCSI_RS_NZP_r11              3
#define minCSI_RS_NZP_r13              4
#define maxCSI_RS_NZP_r13              24
#define maxCSI_RS_NZP_v1310            21
#define maxCSI_RS_ZP_r11               4
#define maxCQI_ProcExt_r11             3
#define maxFreqUTRA_TDD_r10            6
#define maxCellInter                   16
#define maxCellIntra                   16
#define maxCellListGERAN               3
#define maxCellMeas                    32
#define maxCellReport                  8
#define maxConfigSPS_r14               8
#define maxCSI_RS_Meas_r12             96
#define maxDRB                         11
#define maxDS_Duration_r12             5
#define maxDS_ZTP_CSI_RS_r12           5
#define maxEARFCN                      65535
#define maxEARFCN_Plus1                65536
#define maxEARFCN2                     262143
#define maxEPDCCH_Set_r11              2
#define maxFBI                         64
#define maxFBI_NR_r15                  256
#define maxFBI_Plus1                   65
#define maxFBI2                        256
#define maxFreq                        8
#define maxFreqIDC_r11                 32
#define maxFreqMBMS_r11                5
#define maxFreqNR_r15                  5
#define maxFreqV2X_r14                 8
#define maxFreqV2X_1_r14               7
#define maxGERAN_SI                    10
#define maxGNFG                        16
#define maxLCG_r13                     4
#define maxLogMeasReport_r10           520
#define maxMBSFN_Allocations           8
#define maxMBSFN_Area                  8
#define maxMBSFN_Area_1                7
#define maxMBMS_ServiceListPerUE_r13   15
#define maxMeasId                      32
#define maxMeasId_Plus1                33
#define maxMeasId_r12                  64
#define maxMultiBands                  8
#define maxNS_Pmax_r10                 8
#define maxNAICS_Entries_r12           8
#define maxNeighCell_r12               8
#define maxNeighCell_SCPTM_r13         8
#define maxObjectId                    32
#define maxObjectId_Plus1_r13          33
#define maxObjectId_r13                64
#define maxP_a_PerNeighCell_r12        3
#define maxPageRec                     16
#define maxPhysCellIdRange_r9          4
#define maxPLMN_r11                    6
#define maxPLMN_1_r14                  5
#define maxPNOffset                    511
#define maxPMCH_PerMBSFN               15
#define maxPSSCH_TxConfig_r14          16
#define maxQuantSetsNR_r15             2
#define maxQCI_r13                     6
#define maxRAT_Capabilities            8
#define maxRE_MapQCL_r11               4
#define maxReportConfigId              32
#define maxReservationPeriod_r14       16
#define maxRS_Index_r15                8
#define maxRSTD_Freq_r10               3
#define maxSAI_MBMS_r11                64
#define maxSCell_r10                   4
#define maxSCell_r13                   31
#define maxSC_MTCH_r13                 1023
#define maxSC_MTCH_BR_r14              128
#define maxSL_CommRxPoolNFreq_r13      32
#define maxSL_CommRxPoolPreconf_v1310  12
#define maxSL_TxPool_r12Plus1_r13      5
#define maxSL_TxPool_v1310             4
#define maxSL_TxPool_r13               8
#define maxSL_CommTxPoolPreconf_v1310  7
#define maxSL_Dest_r12                 16
#define maxSL_DiscCells_r13            16
#define maxSL_DiscPowerClass_r12       3
#define maxSL_DiscRxPoolPreconf_r13    16
#define maxSL_DiscSysInfoReportFreq_r13 8
#define maxSL_DiscTxPoolPreconf_r13    4
#define maxSL_GP_r13                   8
#define maxSL_PoolToMeasure_r14        72
#define maxSL_Prio_r13                 8
#define maxSL_RxPool_r12               16
#define maxSL_SyncConfig_r12           16
#define maxSL_TF_IndexPair_r12         64
#define maxSL_TxPool_r12               4
#define maxSL_V2X_RxPool_r14           16
#define maxSL_V2X_RxPoolPreconf_r14    16
#define maxSL_V2X_TxPool_r14           8
#define maxSL_V2X_TxPoolPreconf_r14    8
#define maxSL_V2X_SyncConfig_r14       16
#define maxSL_V2X_CBRConfig_r14        4
#define maxSL_V2X_CBRConfig_1_r14      3
#define maxSL_V2X_TxConfig_r14         64
#define maxSL_V2X_TxConfig_1_r14       63
#define maxSL_V2X_CBRConfig2_r14       8
#define maxSL_V2X_CBRConfig2_1_r14     7
#define maxSL_V2X_TxConfig2_r14        128
#define maxSL_V2X_TxConfig2_1_r14      127
#define maxSTAG_r11                    3
#define maxServCell_r10                5
#define maxServCell_r13                32
#define maxServiceCount                16
#define maxServiceCount_1              15
#define maxSessionPerPMCH              29
#define maxSessionPerPMCH_1            28
#define maxSIB                         32
#define maxSIB_1                       31
#define maxSI_Message                  32
#define maxSimultaneousBands_r10       64
#define maxSubframePatternIDC_r11      8
#define maxTrafficPattern_r14          8
#define maxUTRA_FDD_Carrier            16
#define maxUTRA_TDD_Carrier            16
#define maxWLAN_Id_r12                 16
#define maxWLAN_Bands_r13              8
#define maxWLAN_Id_r13                 32
#define maxWLAN_Channels_r13           16
#define maxWLAN_CarrierInfo_r13        8
#define maxWLAN_Id_Report_r14          32
#define maxLogMeas_r10                 4060
#define maxNPRACH_Resources_NB_r13     3
#define maxNonAnchorCarriers_NB_r14    15
#define maxDRB_NB_r13                  2
#define maxNeighCell_SCPTM_NB_r14      8
#define maxNS_Pmax_NB_r13              4
#define maxSC_MTCH_NB_r14              64
#define maxSI_Message_NB_r13           8

typedef enum _RAT_Type_enum {
  RAT_Type_eutra =   0,
  RAT_Type_utra =   1,
  RAT_Type_geran_cs =   2,
  RAT_Type_geran_ps =   3,
  RAT_Type_cdma2000_1XRTT =   4,
  RAT_Type_nr  =   5,
  RAT_Type_eutra_nr =   6,
  RAT_Type_spare1 =   7
} RAT_Type_enum;

typedef enum _T_targetRAT_Type_enum {
  T_targetRAT_Type_utra =   0,
  T_targetRAT_Type_geran =   1,
  T_targetRAT_Type_cdma2000_1XRTT =   2,
  T_targetRAT_Type_cdma2000_HRPD =   3,
  T_targetRAT_Type_spare4 =   4,
  T_targetRAT_Type_spare3 =   5,
  T_targetRAT_Type_spare2 =   6,
  T_targetRAT_Type_spare1 =   7
} T_targetRAT_Type_enum;

typedef enum _SI_OrPSI_GERAN_enum {
  SI_OrPSI_GERAN_si =   0,
  SI_OrPSI_GERAN_psi =   1
} SI_OrPSI_GERAN_enum;

/*--- End of included file: packet-lte-rrc-val.h ---*/
#line 71 "./asn1/lte-rrc/packet-lte-rrc-template.c"

/* Initialize the protocol and registered fields */
static int proto_lte_rrc = -1;


/*--- Included file: packet-lte-rrc-hf.c ---*/
#line 1 "./asn1/lte-rrc/packet-lte-rrc-hf.c"
static int hf_lte_rrc_lte_rrc_HandoverCommand_PDU = -1;  /* HandoverCommand */
static int hf_lte_rrc_lte_rrc_HandoverPreparationInformation_PDU = -1;  /* HandoverPreparationInformation */
static int hf_lte_rrc_lte_rrc_SCG_ConfigInfo_r12_PDU = -1;  /* SCG_ConfigInfo_r12 */
static int hf_lte_rrc_lte_rrc_UEPagingCoverageInformation_PDU = -1;  /* UEPagingCoverageInformation */
static int hf_lte_rrc_UERadioAccessCapabilityInformation_PDU = -1;  /* UERadioAccessCapabilityInformation */
static int hf_lte_rrc_UERadioPagingInformation_PDU = -1;  /* UERadioPagingInformation */
static int hf_lte_rrc_BCCH_BCH_Message_PDU = -1;  /* BCCH_BCH_Message */
static int hf_lte_rrc_BCCH_BCH_Message_MBMS_PDU = -1;  /* BCCH_BCH_Message_MBMS */
static int hf_lte_rrc_BCCH_DL_SCH_Message_PDU = -1;  /* BCCH_DL_SCH_Message */
static int hf_lte_rrc_BCCH_DL_SCH_Message_BR_PDU = -1;  /* BCCH_DL_SCH_Message_BR */
static int hf_lte_rrc_BCCH_DL_SCH_Message_MBMS_PDU = -1;  /* BCCH_DL_SCH_Message_MBMS */
static int hf_lte_rrc_MCCH_Message_PDU = -1;      /* MCCH_Message */
static int hf_lte_rrc_PCCH_Message_PDU = -1;      /* PCCH_Message */
static int hf_lte_rrc_DL_CCCH_Message_PDU = -1;   /* DL_CCCH_Message */
static int hf_lte_rrc_DL_DCCH_Message_PDU = -1;   /* DL_DCCH_Message */
static int hf_lte_rrc_UL_CCCH_Message_PDU = -1;   /* UL_CCCH_Message */
static int hf_lte_rrc_UL_DCCH_Message_PDU = -1;   /* UL_DCCH_Message */
static int hf_lte_rrc_SC_MCCH_Message_r13_PDU = -1;  /* SC_MCCH_Message_r13 */
static int hf_lte_rrc_lte_rrc_UECapabilityInformation_PDU = -1;  /* UECapabilityInformation */
static int hf_lte_rrc_lte_rrc_RLF_Report_r9_PDU = -1;  /* RLF_Report_r9 */
static int hf_lte_rrc_lte_rrc_RLF_Report_v9e0_PDU = -1;  /* RLF_Report_v9e0 */
static int hf_lte_rrc_lte_rrc_UE_EUTRA_Capability_PDU = -1;  /* UE_EUTRA_Capability */
static int hf_lte_rrc_lte_rrc_VisitedCellInfoList_r12_PDU = -1;  /* VisitedCellInfoList_r12 */
static int hf_lte_rrc_SBCCH_SL_BCH_Message_PDU = -1;  /* SBCCH_SL_BCH_Message */
static int hf_lte_rrc_SBCCH_SL_BCH_Message_V2X_r14_PDU = -1;  /* SBCCH_SL_BCH_Message_V2X_r14 */
static int hf_lte_rrc_lte_rrc_HandoverPreparationInformation_NB_PDU = -1;  /* HandoverPreparationInformation_NB */
static int hf_lte_rrc_lte_rrc_UEPagingCoverageInformation_NB_PDU = -1;  /* UEPagingCoverageInformation_NB */
static int hf_lte_rrc_UERadioAccessCapabilityInformation_NB_PDU = -1;  /* UERadioAccessCapabilityInformation_NB */
static int hf_lte_rrc_UERadioPagingInformation_NB_PDU = -1;  /* UERadioPagingInformation_NB */
static int hf_lte_rrc_BCCH_BCH_Message_NB_PDU = -1;  /* BCCH_BCH_Message_NB */
static int hf_lte_rrc_BCCH_DL_SCH_Message_NB_PDU = -1;  /* BCCH_DL_SCH_Message_NB */
static int hf_lte_rrc_PCCH_Message_NB_PDU = -1;   /* PCCH_Message_NB */
static int hf_lte_rrc_DL_CCCH_Message_NB_PDU = -1;  /* DL_CCCH_Message_NB */
static int hf_lte_rrc_DL_DCCH_Message_NB_PDU = -1;  /* DL_DCCH_Message_NB */
static int hf_lte_rrc_UL_CCCH_Message_NB_PDU = -1;  /* UL_CCCH_Message_NB */
static int hf_lte_rrc_SC_MCCH_Message_NB_PDU = -1;  /* SC_MCCH_Message_NB */
static int hf_lte_rrc_UL_DCCH_Message_NB_PDU = -1;  /* UL_DCCH_Message_NB */
static int hf_lte_rrc_HandoverPreparationInformation_v9j0_IEs_PDU = -1;  /* HandoverPreparationInformation_v9j0_IEs */
static int hf_lte_rrc_MBMSInterestIndication_r11_PDU = -1;  /* MBMSInterestIndication_r11 */
static int hf_lte_rrc_UE_RadioPagingInfo_r12_PDU = -1;  /* UE_RadioPagingInfo_r12 */
static int hf_lte_rrc_SystemInformationBlockType1_v890_IEs_PDU = -1;  /* SystemInformationBlockType1_v890_IEs */
static int hf_lte_rrc_InDeviceCoexIndication_r11_PDU = -1;  /* InDeviceCoexIndication_r11 */
static int hf_lte_rrc_UEAssistanceInformation_r11_PDU = -1;  /* UEAssistanceInformation_r11 */
static int hf_lte_rrc_SidelinkUEInformation_r12_PDU = -1;  /* SidelinkUEInformation_r12 */
static int hf_lte_rrc_WLANConnectionStatusReport_r13_PDU = -1;  /* WLANConnectionStatusReport_r13 */
static int hf_lte_rrc_SystemInformationBlockType1_PDU = -1;  /* SystemInformationBlockType1 */
static int hf_lte_rrc_RRCConnectionReconfiguration_v8m0_IEs_PDU = -1;  /* RRCConnectionReconfiguration_v8m0_IEs */
static int hf_lte_rrc_SystemInformationBlockType2_PDU = -1;  /* SystemInformationBlockType2 */
static int hf_lte_rrc_RRCConnectionRelease_v9e0_IEs_PDU = -1;  /* RRCConnectionRelease_v9e0_IEs */
static int hf_lte_rrc_SCGFailureInformation_v12d0_IEs_PDU = -1;  /* SCGFailureInformation_v12d0_IEs */
static int hf_lte_rrc_SystemInformationBlockType1_v8h0_IEs_PDU = -1;  /* SystemInformationBlockType1_v8h0_IEs */
static int hf_lte_rrc_UEInformationResponse_v9e0_IEs_PDU = -1;  /* UEInformationResponse_v9e0_IEs */
static int hf_lte_rrc_SystemInformationBlockType2_v8h0_IEs_PDU = -1;  /* SystemInformationBlockType2_v8h0_IEs */
static int hf_lte_rrc_SystemInformationBlockType3_v10j0_IEs_PDU = -1;  /* SystemInformationBlockType3_v10j0_IEs */
static int hf_lte_rrc_SystemInformationBlockType5_v8h0_IEs_PDU = -1;  /* SystemInformationBlockType5_v8h0_IEs */
static int hf_lte_rrc_SystemInformationBlockType6_v8h0_IEs_PDU = -1;  /* SystemInformationBlockType6_v8h0_IEs */
static int hf_lte_rrc_UE_EUTRA_Capability_v10j0_IEs_PDU = -1;  /* UE_EUTRA_Capability_v10j0_IEs */
static int hf_lte_rrc_UE_EUTRA_Capability_v9a0_IEs_PDU = -1;  /* UE_EUTRA_Capability_v9a0_IEs */
static int hf_lte_rrc_UE_Capability_NB_Ext_r14_IEs_PDU = -1;  /* UE_Capability_NB_Ext_r14_IEs */
static int hf_lte_rrc_UE_Capability_NB_r13_PDU = -1;  /* UE_Capability_NB_r13 */
static int hf_lte_rrc_UECapabilityInformation_NB_PDU = -1;  /* UECapabilityInformation_NB */
static int hf_lte_rrc_UE_RadioPagingInfo_NB_r13_PDU = -1;  /* UE_RadioPagingInfo_NB_r13 */
static int hf_lte_rrc_criticalExtensions = -1;    /* T_criticalExtensions */
static int hf_lte_rrc_c1 = -1;                    /* T_c1 */
static int hf_lte_rrc_handoverCommand_r8 = -1;    /* HandoverCommand_r8_IEs */
static int hf_lte_rrc_spare7 = -1;                /* NULL */
static int hf_lte_rrc_spare6 = -1;                /* NULL */
static int hf_lte_rrc_spare5 = -1;                /* NULL */
static int hf_lte_rrc_spare4 = -1;                /* NULL */
static int hf_lte_rrc_spare3 = -1;                /* NULL */
static int hf_lte_rrc_spare2 = -1;                /* NULL */
static int hf_lte_rrc_spare1 = -1;                /* NULL */
static int hf_lte_rrc_criticalExtensionsFuture = -1;  /* T_criticalExtensionsFuture */
static int hf_lte_rrc_handoverCommandMessage = -1;  /* T_handoverCommandMessage */
static int hf_lte_rrc_nonCriticalExtension = -1;  /* T_nonCriticalExtension */
static int hf_lte_rrc_criticalExtensions_01 = -1;  /* T_criticalExtensions_01 */
static int hf_lte_rrc_c1_01 = -1;                 /* T_c1_01 */
static int hf_lte_rrc_handoverPreparationInformation_r8 = -1;  /* HandoverPreparationInformation_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_01 = -1;  /* T_criticalExtensionsFuture_01 */
static int hf_lte_rrc_ue_RadioAccessCapabilityInfo = -1;  /* UE_CapabilityRAT_ContainerList */
static int hf_lte_rrc_as_Config = -1;             /* AS_Config */
static int hf_lte_rrc_rrm_Config = -1;            /* RRM_Config */
static int hf_lte_rrc_as_Context = -1;            /* AS_Context */
static int hf_lte_rrc_nonCriticalExtension_01 = -1;  /* HandoverPreparationInformation_v920_IEs */
static int hf_lte_rrc_ue_ConfigRelease_r9 = -1;   /* T_ue_ConfigRelease_r9 */
static int hf_lte_rrc_nonCriticalExtension_02 = -1;  /* HandoverPreparationInformation_v9d0_IEs */
static int hf_lte_rrc_lateNonCriticalExtension = -1;  /* T_lateNonCriticalExtension */
static int hf_lte_rrc_nonCriticalExtension_03 = -1;  /* HandoverPreparationInformation_v9e0_IEs */
static int hf_lte_rrc_lateNonCriticalExtension_01 = -1;  /* OCTET_STRING */
static int hf_lte_rrc_nonCriticalExtension_04 = -1;  /* HandoverPreparationInformation_v10j0_IEs */
static int hf_lte_rrc_as_Config_v10j0 = -1;       /* AS_Config_v10j0 */
static int hf_lte_rrc_nonCriticalExtension_05 = -1;  /* T_nonCriticalExtension_01 */
static int hf_lte_rrc_as_Config_v9e0 = -1;        /* AS_Config_v9e0 */
static int hf_lte_rrc_nonCriticalExtension_06 = -1;  /* HandoverPreparationInformation_v1130_IEs */
static int hf_lte_rrc_as_Context_v1130 = -1;      /* AS_Context_v1130 */
static int hf_lte_rrc_nonCriticalExtension_07 = -1;  /* HandoverPreparationInformation_v1250_IEs */
static int hf_lte_rrc_ue_SupportedEARFCN_r12 = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_as_Config_v1250 = -1;       /* AS_Config_v1250 */
static int hf_lte_rrc_nonCriticalExtension_08 = -1;  /* HandoverPreparationInformation_v1320_IEs */
static int hf_lte_rrc_as_Config_v1320 = -1;       /* AS_Config_v1320 */
static int hf_lte_rrc_as_Context_v1320 = -1;      /* AS_Context_v1320 */
static int hf_lte_rrc_nonCriticalExtension_09 = -1;  /* HandoverPreparationInformation_v1430_IEs */
static int hf_lte_rrc_as_Config_v1430 = -1;       /* AS_Config_v1430 */
static int hf_lte_rrc_makeBeforeBreakReq_r14 = -1;  /* T_makeBeforeBreakReq_r14 */
static int hf_lte_rrc_nonCriticalExtension_10 = -1;  /* T_nonCriticalExtension_02 */
static int hf_lte_rrc_criticalExtensions_02 = -1;  /* T_criticalExtensions_02 */
static int hf_lte_rrc_c1_02 = -1;                 /* T_c1_02 */
static int hf_lte_rrc_scg_Config_r12 = -1;        /* SCG_Config_r12_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_02 = -1;  /* T_criticalExtensionsFuture_02 */
static int hf_lte_rrc_scg_RadioConfig_r12 = -1;   /* SCG_ConfigPartSCG_r12 */
static int hf_lte_rrc_nonCriticalExtension_11 = -1;  /* T_nonCriticalExtension_03 */
static int hf_lte_rrc_criticalExtensions_03 = -1;  /* T_criticalExtensions_03 */
static int hf_lte_rrc_c1_03 = -1;                 /* T_c1_03 */
static int hf_lte_rrc_scg_ConfigInfo_r12 = -1;    /* SCG_ConfigInfo_r12_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_03 = -1;  /* T_criticalExtensionsFuture_03 */
static int hf_lte_rrc_radioResourceConfigDedMCG_r12 = -1;  /* RadioResourceConfigDedicated */
static int hf_lte_rrc_sCellToAddModListMCG_r12 = -1;  /* SCellToAddModList_r10 */
static int hf_lte_rrc_measGapConfig_r12 = -1;     /* MeasGapConfig */
static int hf_lte_rrc_powerCoordinationInfo_r12 = -1;  /* PowerCoordinationInfo_r12 */
static int hf_lte_rrc_eutra_CapabilityInfo_r12 = -1;  /* T_eutra_CapabilityInfo_r12 */
static int hf_lte_rrc_scg_ConfigRestrictInfo_r12 = -1;  /* SCG_ConfigRestrictInfo_r12 */
static int hf_lte_rrc_mbmsInterestIndication_r12 = -1;  /* T_mbmsInterestIndication_r12 */
static int hf_lte_rrc_measResultServCellListSCG_r12 = -1;  /* MeasResultServCellListSCG_r12 */
static int hf_lte_rrc_drb_ToAddModListSCG_r12 = -1;  /* DRB_InfoListSCG_r12 */
static int hf_lte_rrc_drb_ToReleaseListSCG_r12 = -1;  /* DRB_ToReleaseList */
static int hf_lte_rrc_sCellToAddModListSCG_r12 = -1;  /* SCellToAddModListSCG_r12 */
static int hf_lte_rrc_sCellToReleaseListSCG_r12 = -1;  /* SCellToReleaseList_r10 */
static int hf_lte_rrc_p_Max_r12 = -1;             /* P_Max */
static int hf_lte_rrc_nonCriticalExtension_12 = -1;  /* SCG_ConfigInfo_v1310_IEs */
static int hf_lte_rrc_measResultSSTD_r13 = -1;    /* MeasResultSSTD_r13 */
static int hf_lte_rrc_sCellToAddModListMCG_Ext_r13 = -1;  /* SCellToAddModListExt_r13 */
static int hf_lte_rrc_measResultServCellListSCG_Ext_r13 = -1;  /* MeasResultServCellListSCG_Ext_r13 */
static int hf_lte_rrc_sCellToAddModListSCG_Ext_r13 = -1;  /* SCellToAddModListSCG_Ext_r13 */
static int hf_lte_rrc_sCellToReleaseListSCG_Ext_r13 = -1;  /* SCellToReleaseListExt_r13 */
static int hf_lte_rrc_nonCriticalExtension_13 = -1;  /* SCG_ConfigInfo_v1330_IEs */
static int hf_lte_rrc_measResultListRSSI_SCG_r13 = -1;  /* MeasResultListRSSI_SCG_r13 */
static int hf_lte_rrc_nonCriticalExtension_14 = -1;  /* SCG_ConfigInfo_v1430_IEs */
static int hf_lte_rrc_makeBeforeBreakSCG_Req_r14 = -1;  /* T_makeBeforeBreakSCG_Req_r14 */
static int hf_lte_rrc_measGapConfigPerCC_List = -1;  /* MeasGapConfigPerCC_List_r14 */
static int hf_lte_rrc_nonCriticalExtension_15 = -1;  /* T_nonCriticalExtension_04 */
static int hf_lte_rrc_DRB_InfoListSCG_r12_item = -1;  /* DRB_InfoSCG_r12 */
static int hf_lte_rrc_eps_BearerIdentity_r12 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_drb_Identity_r12 = -1;      /* DRB_Identity */
static int hf_lte_rrc_drb_Type_r12 = -1;          /* T_drb_Type_r12 */
static int hf_lte_rrc_SCellToAddModListSCG_r12_item = -1;  /* Cell_ToAddMod_r12 */
static int hf_lte_rrc_SCellToAddModListSCG_Ext_r13_item = -1;  /* Cell_ToAddMod_r12 */
static int hf_lte_rrc_sCellIndex_r12 = -1;        /* SCellIndex_r10 */
static int hf_lte_rrc_cellIdentification_r12 = -1;  /* T_cellIdentification_r12 */
static int hf_lte_rrc_physCellId_r12 = -1;        /* PhysCellId */
static int hf_lte_rrc_dl_CarrierFreq_r12 = -1;    /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_measResultCellToAdd_r12 = -1;  /* T_measResultCellToAdd_r12 */
static int hf_lte_rrc_rsrpResult_r12 = -1;        /* RSRP_Range */
static int hf_lte_rrc_rsrqResult_r12 = -1;        /* RSRQ_Range */
static int hf_lte_rrc_sCellIndex_r13 = -1;        /* SCellIndex_r13 */
static int hf_lte_rrc_measResultCellToAdd_v1310 = -1;  /* T_measResultCellToAdd_v1310 */
static int hf_lte_rrc_rs_sinr_Result_r13 = -1;    /* RS_SINR_Range_r13 */
static int hf_lte_rrc_MeasResultServCellListSCG_r12_item = -1;  /* MeasResultServCellSCG_r12 */
static int hf_lte_rrc_MeasResultServCellListSCG_Ext_r13_item = -1;  /* MeasResultServCellSCG_r12 */
static int hf_lte_rrc_servCellId_r12 = -1;        /* ServCellIndex_r10 */
static int hf_lte_rrc_measResultSCell_r12 = -1;   /* T_measResultSCell_r12 */
static int hf_lte_rrc_rsrpResultSCell_r12 = -1;   /* RSRP_Range */
static int hf_lte_rrc_rsrqResultSCell_r12 = -1;   /* RSRQ_Range */
static int hf_lte_rrc_servCellId_r13 = -1;        /* ServCellIndex_r13 */
static int hf_lte_rrc_measResultSCell_v1310 = -1;  /* T_measResultSCell_v1310 */
static int hf_lte_rrc_rs_sinr_ResultSCell_r13 = -1;  /* RS_SINR_Range_r13 */
static int hf_lte_rrc_MeasResultListRSSI_SCG_r13_item = -1;  /* MeasResultRSSI_SCG_r13 */
static int hf_lte_rrc_measResultForRSSI_r13 = -1;  /* MeasResultForRSSI_r13 */
static int hf_lte_rrc_maxSCH_TB_BitsDL_r12 = -1;  /* INTEGER_1_100 */
static int hf_lte_rrc_maxSCH_TB_BitsUL_r12 = -1;  /* INTEGER_1_100 */
static int hf_lte_rrc_criticalExtensions_04 = -1;  /* T_criticalExtensions_04 */
static int hf_lte_rrc_c1_04 = -1;                 /* T_c1_04 */
static int hf_lte_rrc_uePagingCoverageInformation_r13 = -1;  /* UEPagingCoverageInformation_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_04 = -1;  /* T_criticalExtensionsFuture_04 */
static int hf_lte_rrc_mpdcch_NumRepetition_r13 = -1;  /* INTEGER_1_256 */
static int hf_lte_rrc_nonCriticalExtension_16 = -1;  /* T_nonCriticalExtension_05 */
static int hf_lte_rrc_criticalExtensions_05 = -1;  /* T_criticalExtensions_05 */
static int hf_lte_rrc_c1_05 = -1;                 /* T_c1_05 */
static int hf_lte_rrc_ueRadioAccessCapabilityInformation_r8 = -1;  /* UERadioAccessCapabilityInformation_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_05 = -1;  /* T_criticalExtensionsFuture_05 */
static int hf_lte_rrc_ue_RadioAccessCapabilityInfo_01 = -1;  /* T_ue_RadioAccessCapabilityInfo */
static int hf_lte_rrc_nonCriticalExtension_17 = -1;  /* T_nonCriticalExtension_06 */
static int hf_lte_rrc_criticalExtensions_06 = -1;  /* T_criticalExtensions_06 */
static int hf_lte_rrc_c1_06 = -1;                 /* T_c1_06 */
static int hf_lte_rrc_ueRadioPagingInformation_r12 = -1;  /* UERadioPagingInformation_r12_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_06 = -1;  /* T_criticalExtensionsFuture_06 */
static int hf_lte_rrc_ue_RadioPagingInfo_r12 = -1;  /* T_ue_RadioPagingInfo_r12 */
static int hf_lte_rrc_nonCriticalExtension_18 = -1;  /* UERadioPagingInformation_v1310_IEs */
static int hf_lte_rrc_supportedBandListEUTRAForPaging_r13 = -1;  /* SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11 */
static int hf_lte_rrc_supportedBandListEUTRAForPaging_r13_item = -1;  /* FreqBandIndicator_r11 */
static int hf_lte_rrc_nonCriticalExtension_19 = -1;  /* T_nonCriticalExtension_07 */
static int hf_lte_rrc_sourceMeasConfig = -1;      /* MeasConfig */
static int hf_lte_rrc_sourceRadioResourceConfig = -1;  /* RadioResourceConfigDedicated */
static int hf_lte_rrc_sourceSecurityAlgorithmConfig = -1;  /* SecurityAlgorithmConfig */
static int hf_lte_rrc_sourceUE_Identity = -1;     /* C_RNTI */
static int hf_lte_rrc_sourceMasterInformationBlock = -1;  /* MasterInformationBlock */
static int hf_lte_rrc_sourceSystemInformationBlockType1 = -1;  /* SystemInformationBlockType1 */
static int hf_lte_rrc_sourceSystemInformationBlockType2 = -1;  /* SystemInformationBlockType2 */
static int hf_lte_rrc_antennaInfoCommon = -1;     /* AntennaInfoCommon */
static int hf_lte_rrc_sourceDl_CarrierFreq = -1;  /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_sourceSystemInformationBlockType1Ext = -1;  /* T_sourceSystemInformationBlockType1Ext */
static int hf_lte_rrc_sourceOtherConfig_r9 = -1;  /* OtherConfig_r9 */
static int hf_lte_rrc_sourceSCellConfigList_r10 = -1;  /* SCellToAddModList_r10 */
static int hf_lte_rrc_sourceConfigSCG_r12 = -1;   /* SCG_Config_r12 */
static int hf_lte_rrc_sourceRB_ConfigNR_r15 = -1;  /* T_sourceRB_ConfigNR_r15 */
static int hf_lte_rrc_sourceRB_ConfigSN_NR_r15 = -1;  /* T_sourceRB_ConfigSN_NR_r15 */
static int hf_lte_rrc_sourceOtherConfigSN_NR_r15 = -1;  /* T_sourceOtherConfigSN_NR_r15 */
static int hf_lte_rrc_sourceDl_CarrierFreq_v9e0 = -1;  /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_antennaInfoDedicatedPCell_v10i0 = -1;  /* AntennaInfoDedicated_v10i0 */
static int hf_lte_rrc_sourceWlan_OffloadConfig_r12 = -1;  /* WLAN_OffloadConfig_r12 */
static int hf_lte_rrc_sourceSL_CommConfig_r12 = -1;  /* SL_CommConfig_r12 */
static int hf_lte_rrc_sourceSL_DiscConfig_r12 = -1;  /* SL_DiscConfig_r12 */
static int hf_lte_rrc_sourceSCellConfigList_r13 = -1;  /* SCellToAddModListExt_r13 */
static int hf_lte_rrc_sourceRCLWI_Configuration_r13 = -1;  /* RCLWI_Configuration_r13 */
static int hf_lte_rrc_sourceSL_V2X_CommConfig_r14 = -1;  /* SL_V2X_ConfigDedicated_r14 */
static int hf_lte_rrc_sourceLWA_Config_r14 = -1;  /* LWA_Config_r13 */
static int hf_lte_rrc_sourceWLAN_MeasResult_r14 = -1;  /* MeasResultListWLAN_r13 */
static int hf_lte_rrc_reestablishmentInfo = -1;   /* ReestablishmentInfo */
static int hf_lte_rrc_idc_Indication_r11 = -1;    /* T_idc_Indication_r11 */
static int hf_lte_rrc_mbmsInterestIndication_r11 = -1;  /* T_mbmsInterestIndication_r11 */
static int hf_lte_rrc_powerPrefIndication_r11 = -1;  /* T_powerPrefIndication_r11 */
static int hf_lte_rrc_sidelinkUEInformation_r12 = -1;  /* T_sidelinkUEInformation_r12 */
static int hf_lte_rrc_sourceContextENDC_r15 = -1;  /* T_sourceContextENDC_r15 */
static int hf_lte_rrc_wlanConnectionStatusReport_r13 = -1;  /* T_wlanConnectionStatusReport_r13 */
static int hf_lte_rrc_sourcePhysCellId = -1;      /* PhysCellId */
static int hf_lte_rrc_targetCellShortMAC_I = -1;  /* ShortMAC_I */
static int hf_lte_rrc_additionalReestabInfoList = -1;  /* AdditionalReestabInfoList */
static int hf_lte_rrc_AdditionalReestabInfoList_item = -1;  /* AdditionalReestabInfo */
static int hf_lte_rrc_cellIdentity = -1;          /* CellIdentity */
static int hf_lte_rrc_key_eNodeB_Star = -1;       /* Key_eNodeB_Star */
static int hf_lte_rrc_shortMAC_I = -1;            /* ShortMAC_I */
static int hf_lte_rrc_ue_InactiveTime = -1;       /* T_ue_InactiveTime */
static int hf_lte_rrc_candidateCellInfoList_r10 = -1;  /* CandidateCellInfoList_r10 */
static int hf_lte_rrc_CandidateCellInfoList_r10_item = -1;  /* CandidateCellInfo_r10 */
static int hf_lte_rrc_physCellId_r10 = -1;        /* PhysCellId */
static int hf_lte_rrc_dl_CarrierFreq_r10 = -1;    /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_rsrpResult_r10 = -1;        /* RSRP_Range */
static int hf_lte_rrc_rsrqResult_r10 = -1;        /* RSRQ_Range */
static int hf_lte_rrc_dl_CarrierFreq_v1090 = -1;  /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_rsrqResult_v1250 = -1;      /* RSRQ_Range_v1250 */
static int hf_lte_rrc_message = -1;               /* BCCH_BCH_MessageType */
static int hf_lte_rrc_message_01 = -1;            /* BCCH_BCH_MessageType_MBMS_r14 */
static int hf_lte_rrc_message_02 = -1;            /* BCCH_DL_SCH_MessageType */
static int hf_lte_rrc_c1_07 = -1;                 /* T_c1_07 */
static int hf_lte_rrc_systemInformation = -1;     /* SystemInformation */
static int hf_lte_rrc_systemInformationBlockType1 = -1;  /* SystemInformationBlockType1 */
static int hf_lte_rrc_messageClassExtension = -1;  /* T_messageClassExtension */
static int hf_lte_rrc_message_03 = -1;            /* BCCH_DL_SCH_MessageType_BR_r13 */
static int hf_lte_rrc_c1_08 = -1;                 /* T_c1_08 */
static int hf_lte_rrc_systemInformation_BR_r13 = -1;  /* SystemInformation_BR_r13 */
static int hf_lte_rrc_systemInformationBlockType1_BR_r13 = -1;  /* SystemInformationBlockType1_BR_r13 */
static int hf_lte_rrc_messageClassExtension_01 = -1;  /* T_messageClassExtension_01 */
static int hf_lte_rrc_message_04 = -1;            /* BCCH_DL_SCH_MessageType_MBMS_r14 */
static int hf_lte_rrc_c1_09 = -1;                 /* T_c1_09 */
static int hf_lte_rrc_systemInformation_MBMS_r14 = -1;  /* SystemInformation_MBMS_r14 */
static int hf_lte_rrc_systemInformationBlockType1_MBMS_r14 = -1;  /* SystemInformationBlockType1_MBMS_r14 */
static int hf_lte_rrc_messageClassExtension_02 = -1;  /* T_messageClassExtension_02 */
static int hf_lte_rrc_message_05 = -1;            /* MCCH_MessageType */
static int hf_lte_rrc_c1_10 = -1;                 /* T_c1_10 */
static int hf_lte_rrc_mbsfnAreaConfiguration_r9 = -1;  /* MBSFNAreaConfiguration_r9 */
static int hf_lte_rrc_later = -1;                 /* T_later */
static int hf_lte_rrc_c2 = -1;                    /* T_c2 */
static int hf_lte_rrc_mbmsCountingRequest_r10 = -1;  /* MBMSCountingRequest_r10 */
static int hf_lte_rrc_messageClassExtension_03 = -1;  /* T_messageClassExtension_03 */
static int hf_lte_rrc_message_06 = -1;            /* PCCH_MessageType */
static int hf_lte_rrc_c1_11 = -1;                 /* T_c1_11 */
static int hf_lte_rrc_paging = -1;                /* Paging */
static int hf_lte_rrc_messageClassExtension_04 = -1;  /* T_messageClassExtension_04 */
static int hf_lte_rrc_message_07 = -1;            /* DL_CCCH_MessageType */
static int hf_lte_rrc_c1_12 = -1;                 /* T_c1_12 */
static int hf_lte_rrc_rrcConnectionReestablishment = -1;  /* RRCConnectionReestablishment */
static int hf_lte_rrc_rrcConnectionReestablishmentReject = -1;  /* RRCConnectionReestablishmentReject */
static int hf_lte_rrc_rrcConnectionReject = -1;   /* RRCConnectionReject */
static int hf_lte_rrc_rrcConnectionSetup = -1;    /* RRCConnectionSetup */
static int hf_lte_rrc_messageClassExtension_05 = -1;  /* T_messageClassExtension_05 */
static int hf_lte_rrc_message_08 = -1;            /* DL_DCCH_MessageType */
static int hf_lte_rrc_c1_13 = -1;                 /* T_c1_13 */
static int hf_lte_rrc_csfbParametersResponseCDMA2000 = -1;  /* CSFBParametersResponseCDMA2000 */
static int hf_lte_rrc_dlInformationTransfer = -1;  /* DLInformationTransfer */
static int hf_lte_rrc_handoverFromEUTRAPreparationRequest = -1;  /* HandoverFromEUTRAPreparationRequest */
static int hf_lte_rrc_mobilityFromEUTRACommand = -1;  /* MobilityFromEUTRACommand */
static int hf_lte_rrc_rrcConnectionReconfiguration = -1;  /* RRCConnectionReconfiguration */
static int hf_lte_rrc_rrcConnectionRelease = -1;  /* RRCConnectionRelease */
static int hf_lte_rrc_securityModeCommand = -1;   /* SecurityModeCommand */
static int hf_lte_rrc_ueCapabilityEnquiry = -1;   /* UECapabilityEnquiry */
static int hf_lte_rrc_counterCheck = -1;          /* CounterCheck */
static int hf_lte_rrc_ueInformationRequest_r9 = -1;  /* UEInformationRequest_r9 */
static int hf_lte_rrc_loggedMeasurementConfiguration_r10 = -1;  /* LoggedMeasurementConfiguration_r10 */
static int hf_lte_rrc_rnReconfiguration_r10 = -1;  /* RNReconfiguration_r10 */
static int hf_lte_rrc_rrcConnectionResume_r13 = -1;  /* RRCConnectionResume_r13 */
static int hf_lte_rrc_messageClassExtension_06 = -1;  /* T_messageClassExtension_06 */
static int hf_lte_rrc_message_09 = -1;            /* UL_CCCH_MessageType */
static int hf_lte_rrc_c1_14 = -1;                 /* T_c1_14 */
static int hf_lte_rrc_rrcConnectionReestablishmentRequest = -1;  /* RRCConnectionReestablishmentRequest */
static int hf_lte_rrc_rrcConnectionRequest = -1;  /* RRCConnectionRequest */
static int hf_lte_rrc_messageClassExtension_07 = -1;  /* T_messageClassExtension_07 */
static int hf_lte_rrc_c2_01 = -1;                 /* T_c2_01 */
static int hf_lte_rrc_rrcConnectionResumeRequest_r13 = -1;  /* RRCConnectionResumeRequest_r13 */
static int hf_lte_rrc_messageClassExtensionFuture_r13 = -1;  /* T_messageClassExtensionFuture_r13 */
static int hf_lte_rrc_message_10 = -1;            /* UL_DCCH_MessageType */
static int hf_lte_rrc_c1_15 = -1;                 /* T_c1_15 */
static int hf_lte_rrc_csfbParametersRequestCDMA2000 = -1;  /* CSFBParametersRequestCDMA2000 */
static int hf_lte_rrc_measurementReport = -1;     /* MeasurementReport */
static int hf_lte_rrc_rrcConnectionReconfigurationComplete = -1;  /* RRCConnectionReconfigurationComplete */
static int hf_lte_rrc_rrcConnectionReestablishmentComplete = -1;  /* RRCConnectionReestablishmentComplete */
static int hf_lte_rrc_rrcConnectionSetupComplete = -1;  /* RRCConnectionSetupComplete */
static int hf_lte_rrc_securityModeComplete = -1;  /* SecurityModeComplete */
static int hf_lte_rrc_securityModeFailure = -1;   /* SecurityModeFailure */
static int hf_lte_rrc_ueCapabilityInformation = -1;  /* UECapabilityInformation */
static int hf_lte_rrc_ulHandoverPreparationTransfer = -1;  /* ULHandoverPreparationTransfer */
static int hf_lte_rrc_ulInformationTransfer = -1;  /* ULInformationTransfer */
static int hf_lte_rrc_counterCheckResponse = -1;  /* CounterCheckResponse */
static int hf_lte_rrc_ueInformationResponse_r9 = -1;  /* UEInformationResponse_r9 */
static int hf_lte_rrc_proximityIndication_r9 = -1;  /* ProximityIndication_r9 */
static int hf_lte_rrc_rnReconfigurationComplete_r10 = -1;  /* RNReconfigurationComplete_r10 */
static int hf_lte_rrc_mbmsCountingResponse_r10 = -1;  /* MBMSCountingResponse_r10 */
static int hf_lte_rrc_interFreqRSTDMeasurementIndication_r10 = -1;  /* InterFreqRSTDMeasurementIndication_r10 */
static int hf_lte_rrc_messageClassExtension_08 = -1;  /* T_messageClassExtension_08 */
static int hf_lte_rrc_c2_02 = -1;                 /* T_c2_02 */
static int hf_lte_rrc_ueAssistanceInformation_r11 = -1;  /* UEAssistanceInformation_r11 */
static int hf_lte_rrc_inDeviceCoexIndication_r11 = -1;  /* InDeviceCoexIndication_r11 */
static int hf_lte_rrc_mbmsInterestIndication_r11_01 = -1;  /* MBMSInterestIndication_r11 */
static int hf_lte_rrc_scgFailureInformation_r12 = -1;  /* SCGFailureInformation_r12 */
static int hf_lte_rrc_sidelinkUEInformation_r12_01 = -1;  /* SidelinkUEInformation_r12 */
static int hf_lte_rrc_wlanConnectionStatusReport_r13_01 = -1;  /* WLANConnectionStatusReport_r13 */
static int hf_lte_rrc_rrcConnectionResumeComplete_r13 = -1;  /* RRCConnectionResumeComplete_r13 */
static int hf_lte_rrc_ulInformationTransferMRDC_r15 = -1;  /* ULInformationTransferMRDC */
static int hf_lte_rrc_spare8 = -1;                /* NULL */
static int hf_lte_rrc_messageClassExtensionFuture_r11 = -1;  /* T_messageClassExtensionFuture_r11 */
static int hf_lte_rrc_message_11 = -1;            /* SC_MCCH_MessageType_r13 */
static int hf_lte_rrc_c1_16 = -1;                 /* T_c1_16 */
static int hf_lte_rrc_scptmConfiguration_r13 = -1;  /* SCPTMConfiguration_r13 */
static int hf_lte_rrc_messageClassExtension_09 = -1;  /* T_messageClassExtension_09 */
static int hf_lte_rrc_c2_03 = -1;                 /* T_c2_03 */
static int hf_lte_rrc_scptmConfiguration_BR_r14 = -1;  /* SCPTMConfiguration_BR_r14 */
static int hf_lte_rrc_spare = -1;                 /* NULL */
static int hf_lte_rrc_messageClassExtensionFuture_r14 = -1;  /* T_messageClassExtensionFuture_r14 */
static int hf_lte_rrc_rrc_TransactionIdentifier = -1;  /* RRC_TransactionIdentifier */
static int hf_lte_rrc_criticalExtensions_07 = -1;  /* T_criticalExtensions_07 */
static int hf_lte_rrc_c1_17 = -1;                 /* T_c1_17 */
static int hf_lte_rrc_counterCheck_r8 = -1;       /* CounterCheck_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_07 = -1;  /* T_criticalExtensionsFuture_07 */
static int hf_lte_rrc_drb_CountMSB_InfoList = -1;  /* DRB_CountMSB_InfoList */
static int hf_lte_rrc_nonCriticalExtension_20 = -1;  /* CounterCheck_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_21 = -1;  /* T_nonCriticalExtension_08 */
static int hf_lte_rrc_DRB_CountMSB_InfoList_item = -1;  /* DRB_CountMSB_Info */
static int hf_lte_rrc_drb_Identity = -1;          /* DRB_Identity */
static int hf_lte_rrc_countMSB_Uplink = -1;       /* INTEGER_0_33554431 */
static int hf_lte_rrc_countMSB_Downlink = -1;     /* INTEGER_0_33554431 */
static int hf_lte_rrc_criticalExtensions_08 = -1;  /* T_criticalExtensions_08 */
static int hf_lte_rrc_counterCheckResponse_r8 = -1;  /* CounterCheckResponse_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_08 = -1;  /* T_criticalExtensionsFuture_08 */
static int hf_lte_rrc_drb_CountInfoList = -1;     /* DRB_CountInfoList */
static int hf_lte_rrc_nonCriticalExtension_22 = -1;  /* CounterCheckResponse_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_23 = -1;  /* T_nonCriticalExtension_09 */
static int hf_lte_rrc_DRB_CountInfoList_item = -1;  /* DRB_CountInfo */
static int hf_lte_rrc_count_Uplink = -1;          /* INTEGER_0_4294967295 */
static int hf_lte_rrc_count_Downlink = -1;        /* INTEGER_0_4294967295 */
static int hf_lte_rrc_criticalExtensions_09 = -1;  /* T_criticalExtensions_09 */
static int hf_lte_rrc_csfbParametersRequestCDMA2000_r8 = -1;  /* CSFBParametersRequestCDMA2000_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_09 = -1;  /* T_criticalExtensionsFuture_09 */
static int hf_lte_rrc_nonCriticalExtension_24 = -1;  /* CSFBParametersRequestCDMA2000_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_25 = -1;  /* T_nonCriticalExtension_10 */
static int hf_lte_rrc_criticalExtensions_10 = -1;  /* T_criticalExtensions_10 */
static int hf_lte_rrc_csfbParametersResponseCDMA2000_r8 = -1;  /* CSFBParametersResponseCDMA2000_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_10 = -1;  /* T_criticalExtensionsFuture_10 */
static int hf_lte_rrc_rand = -1;                  /* RAND_CDMA2000 */
static int hf_lte_rrc_mobilityParameters = -1;    /* MobilityParametersCDMA2000 */
static int hf_lte_rrc_nonCriticalExtension_26 = -1;  /* CSFBParametersResponseCDMA2000_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_27 = -1;  /* T_nonCriticalExtension_11 */
static int hf_lte_rrc_criticalExtensions_11 = -1;  /* T_criticalExtensions_11 */
static int hf_lte_rrc_c1_18 = -1;                 /* T_c1_18 */
static int hf_lte_rrc_dlInformationTransfer_r8 = -1;  /* DLInformationTransfer_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_11 = -1;  /* T_criticalExtensionsFuture_11 */
static int hf_lte_rrc_dedicatedInfoType = -1;     /* T_dedicatedInfoType */
static int hf_lte_rrc_dedicatedInfoNAS = -1;      /* DedicatedInfoNAS */
static int hf_lte_rrc_dedicatedInfoCDMA2000_1XRTT = -1;  /* DedicatedInfoCDMA2000 */
static int hf_lte_rrc_dedicatedInfoCDMA2000_HRPD = -1;  /* DedicatedInfoCDMA2000 */
static int hf_lte_rrc_nonCriticalExtension_28 = -1;  /* DLInformationTransfer_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_29 = -1;  /* T_nonCriticalExtension_12 */
static int hf_lte_rrc_criticalExtensions_12 = -1;  /* T_criticalExtensions_12 */
static int hf_lte_rrc_c1_19 = -1;                 /* T_c1_19 */
static int hf_lte_rrc_handoverFromEUTRAPreparationRequest_r8 = -1;  /* HandoverFromEUTRAPreparationRequest_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_12 = -1;  /* T_criticalExtensionsFuture_12 */
static int hf_lte_rrc_cdma2000_Type = -1;         /* CDMA2000_Type */
static int hf_lte_rrc_nonCriticalExtension_30 = -1;  /* HandoverFromEUTRAPreparationRequest_v890_IEs */
static int hf_lte_rrc_nonCriticalExtension_31 = -1;  /* HandoverFromEUTRAPreparationRequest_v920_IEs */
static int hf_lte_rrc_concurrPrepCDMA2000_HRPD_r9 = -1;  /* BOOLEAN */
static int hf_lte_rrc_nonCriticalExtension_32 = -1;  /* HandoverFromEUTRAPreparationRequest_v1020_IEs */
static int hf_lte_rrc_dualRxTxRedirectIndicator_r10 = -1;  /* T_dualRxTxRedirectIndicator_r10 */
static int hf_lte_rrc_redirectCarrierCDMA2000_1XRTT_r10 = -1;  /* CarrierFreqCDMA2000 */
static int hf_lte_rrc_nonCriticalExtension_33 = -1;  /* T_nonCriticalExtension_13 */
static int hf_lte_rrc_criticalExtensions_13 = -1;  /* T_criticalExtensions_13 */
static int hf_lte_rrc_c1_20 = -1;                 /* T_c1_20 */
static int hf_lte_rrc_inDeviceCoexIndication_r11_01 = -1;  /* InDeviceCoexIndication_r11_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_13 = -1;  /* T_criticalExtensionsFuture_13 */
static int hf_lte_rrc_affectedCarrierFreqList_r11 = -1;  /* AffectedCarrierFreqList_r11 */
static int hf_lte_rrc_tdm_AssistanceInfo_r11 = -1;  /* TDM_AssistanceInfo_r11 */
static int hf_lte_rrc_nonCriticalExtension_34 = -1;  /* InDeviceCoexIndication_v11d0_IEs */
static int hf_lte_rrc_ul_CA_AssistanceInfo_r11 = -1;  /* T_ul_CA_AssistanceInfo_r11 */
static int hf_lte_rrc_affectedCarrierFreqCombList_r11 = -1;  /* AffectedCarrierFreqCombList_r11 */
static int hf_lte_rrc_victimSystemType_r11 = -1;  /* VictimSystemType_r11 */
static int hf_lte_rrc_nonCriticalExtension_35 = -1;  /* InDeviceCoexIndication_v1310_IEs */
static int hf_lte_rrc_affectedCarrierFreqList_v1310 = -1;  /* AffectedCarrierFreqList_v1310 */
static int hf_lte_rrc_affectedCarrierFreqCombList_r13 = -1;  /* AffectedCarrierFreqCombList_r13 */
static int hf_lte_rrc_nonCriticalExtension_36 = -1;  /* InDeviceCoexIndication_v1360_IEs */
static int hf_lte_rrc_hardwareSharingProblem_r13 = -1;  /* T_hardwareSharingProblem_r13 */
static int hf_lte_rrc_nonCriticalExtension_37 = -1;  /* T_nonCriticalExtension_14 */
static int hf_lte_rrc_AffectedCarrierFreqList_r11_item = -1;  /* AffectedCarrierFreq_r11 */
static int hf_lte_rrc_AffectedCarrierFreqList_v1310_item = -1;  /* AffectedCarrierFreq_v1310 */
static int hf_lte_rrc_carrierFreq_r11 = -1;       /* MeasObjectId */
static int hf_lte_rrc_interferenceDirection_r11 = -1;  /* T_interferenceDirection_r11 */
static int hf_lte_rrc_carrierFreq_v1310 = -1;     /* MeasObjectId_v1310 */
static int hf_lte_rrc_AffectedCarrierFreqCombList_r11_item = -1;  /* AffectedCarrierFreqComb_r11 */
static int hf_lte_rrc_AffectedCarrierFreqCombList_r13_item = -1;  /* AffectedCarrierFreqComb_r13 */
static int hf_lte_rrc_AffectedCarrierFreqComb_r11_item = -1;  /* MeasObjectId */
static int hf_lte_rrc_AffectedCarrierFreqComb_r13_item = -1;  /* MeasObjectId_r13 */
static int hf_lte_rrc_drx_AssistanceInfo_r11 = -1;  /* T_drx_AssistanceInfo_r11 */
static int hf_lte_rrc_drx_CycleLength_r11 = -1;   /* T_drx_CycleLength_r11 */
static int hf_lte_rrc_drx_Offset_r11 = -1;        /* INTEGER_0_255 */
static int hf_lte_rrc_drx_ActiveTime_r11 = -1;    /* T_drx_ActiveTime_r11 */
static int hf_lte_rrc_idc_SubframePatternList_r11 = -1;  /* IDC_SubframePatternList_r11 */
static int hf_lte_rrc_IDC_SubframePatternList_r11_item = -1;  /* IDC_SubframePattern_r11 */
static int hf_lte_rrc_subframePatternFDD_r11 = -1;  /* BIT_STRING_SIZE_4 */
static int hf_lte_rrc_subframePatternTDD_r11 = -1;  /* T_subframePatternTDD_r11 */
static int hf_lte_rrc_subframeConfig0_r11 = -1;   /* BIT_STRING_SIZE_70 */
static int hf_lte_rrc_subframeConfig1_5_r11 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_subframeConfig6_r11 = -1;   /* BIT_STRING_SIZE_60 */
static int hf_lte_rrc_gps_r11 = -1;               /* T_gps_r11 */
static int hf_lte_rrc_glonass_r11 = -1;           /* T_glonass_r11 */
static int hf_lte_rrc_bds_r11 = -1;               /* T_bds_r11 */
static int hf_lte_rrc_galileo_r11 = -1;           /* T_galileo_r11 */
static int hf_lte_rrc_wlan_r11 = -1;              /* T_wlan_r11 */
static int hf_lte_rrc_bluetooth_r11 = -1;         /* T_bluetooth_r11 */
static int hf_lte_rrc_criticalExtensions_14 = -1;  /* T_criticalExtensions_14 */
static int hf_lte_rrc_c1_21 = -1;                 /* T_c1_21 */
static int hf_lte_rrc_interFreqRSTDMeasurementIndication_r10_01 = -1;  /* InterFreqRSTDMeasurementIndication_r10_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_14 = -1;  /* T_criticalExtensionsFuture_14 */
static int hf_lte_rrc_rstd_InterFreqIndication_r10 = -1;  /* T_rstd_InterFreqIndication_r10 */
static int hf_lte_rrc_start = -1;                 /* T_start */
static int hf_lte_rrc_rstd_InterFreqInfoList_r10 = -1;  /* RSTD_InterFreqInfoList_r10 */
static int hf_lte_rrc_stop = -1;                  /* NULL */
static int hf_lte_rrc_nonCriticalExtension_38 = -1;  /* T_nonCriticalExtension_15 */
static int hf_lte_rrc_RSTD_InterFreqInfoList_r10_item = -1;  /* RSTD_InterFreqInfo_r10 */
static int hf_lte_rrc_carrierFreq_r10 = -1;       /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_measPRS_Offset_r10 = -1;    /* INTEGER_0_39 */
static int hf_lte_rrc_carrierFreq_v1090 = -1;     /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_criticalExtensions_15 = -1;  /* T_criticalExtensions_15 */
static int hf_lte_rrc_c1_22 = -1;                 /* T_c1_22 */
static int hf_lte_rrc_loggedMeasurementConfiguration_r10_01 = -1;  /* LoggedMeasurementConfiguration_r10_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_15 = -1;  /* T_criticalExtensionsFuture_15 */
static int hf_lte_rrc_traceReference_r10 = -1;    /* TraceReference_r10 */
static int hf_lte_rrc_traceRecordingSessionRef_r10 = -1;  /* OCTET_STRING_SIZE_2 */
static int hf_lte_rrc_tce_Id_r10 = -1;            /* OCTET_STRING_SIZE_1 */
static int hf_lte_rrc_absoluteTimeInfo_r10 = -1;  /* AbsoluteTimeInfo_r10 */
static int hf_lte_rrc_areaConfiguration_r10 = -1;  /* AreaConfiguration_r10 */
static int hf_lte_rrc_loggingDuration_r10 = -1;   /* LoggingDuration_r10 */
static int hf_lte_rrc_loggingInterval_r10 = -1;   /* LoggingInterval_r10 */
static int hf_lte_rrc_nonCriticalExtension_39 = -1;  /* LoggedMeasurementConfiguration_v1080_IEs */
static int hf_lte_rrc_lateNonCriticalExtension_r10 = -1;  /* OCTET_STRING */
static int hf_lte_rrc_nonCriticalExtension_40 = -1;  /* LoggedMeasurementConfiguration_v1130_IEs */
static int hf_lte_rrc_plmn_IdentityList_r11 = -1;  /* PLMN_IdentityList3_r11 */
static int hf_lte_rrc_areaConfiguration_v1130 = -1;  /* AreaConfiguration_v1130 */
static int hf_lte_rrc_nonCriticalExtension_41 = -1;  /* LoggedMeasurementConfiguration_v1250_IEs */
static int hf_lte_rrc_targetMBSFN_AreaList_r12 = -1;  /* TargetMBSFN_AreaList_r12 */
static int hf_lte_rrc_nonCriticalExtension_42 = -1;  /* T_nonCriticalExtension_16 */
static int hf_lte_rrc_TargetMBSFN_AreaList_r12_item = -1;  /* TargetMBSFN_Area_r12 */
static int hf_lte_rrc_mbsfn_AreaId_r12 = -1;      /* MBSFN_AreaId_r12 */
static int hf_lte_rrc_carrierFreq_r12 = -1;       /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_dl_Bandwidth = -1;          /* T_dl_Bandwidth */
static int hf_lte_rrc_phich_Config = -1;          /* PHICH_Config */
static int hf_lte_rrc_systemFrameNumber = -1;     /* T_systemFrameNumber */
static int hf_lte_rrc_schedulingInfoSIB1_BR_r13 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_spare_01 = -1;              /* BIT_STRING_SIZE_5 */
static int hf_lte_rrc_dl_Bandwidth_MBMS_r14 = -1;  /* T_dl_Bandwidth_MBMS_r14 */
static int hf_lte_rrc_systemFrameNumber_r14 = -1;  /* BIT_STRING_SIZE_6 */
static int hf_lte_rrc_additionalNonMBSFNSubframes_r14 = -1;  /* INTEGER_0_3 */
static int hf_lte_rrc_spare_02 = -1;              /* BIT_STRING_SIZE_13 */
static int hf_lte_rrc_countingRequestList_r10 = -1;  /* CountingRequestList_r10 */
static int hf_lte_rrc_nonCriticalExtension_43 = -1;  /* T_nonCriticalExtension_17 */
static int hf_lte_rrc_CountingRequestList_r10_item = -1;  /* CountingRequestInfo_r10 */
static int hf_lte_rrc_tmgi_r10 = -1;              /* TMGI_r9 */
static int hf_lte_rrc_criticalExtensions_16 = -1;  /* T_criticalExtensions_16 */
static int hf_lte_rrc_c1_23 = -1;                 /* T_c1_23 */
static int hf_lte_rrc_countingResponse_r10 = -1;  /* MBMSCountingResponse_r10_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_16 = -1;  /* T_criticalExtensionsFuture_16 */
static int hf_lte_rrc_mbsfn_AreaIndex_r10 = -1;   /* INTEGER_0_maxMBSFN_Area_1 */
static int hf_lte_rrc_countingResponseList_r10 = -1;  /* CountingResponseList_r10 */
static int hf_lte_rrc_nonCriticalExtension_44 = -1;  /* T_nonCriticalExtension_18 */
static int hf_lte_rrc_CountingResponseList_r10_item = -1;  /* CountingResponseInfo_r10 */
static int hf_lte_rrc_countingResponseService_r10 = -1;  /* INTEGER_0_maxServiceCount_1 */
static int hf_lte_rrc_criticalExtensions_17 = -1;  /* T_criticalExtensions_17 */
static int hf_lte_rrc_c1_24 = -1;                 /* T_c1_24 */
static int hf_lte_rrc_interestIndication_r11 = -1;  /* MBMSInterestIndication_r11_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_17 = -1;  /* T_criticalExtensionsFuture_17 */
static int hf_lte_rrc_mbms_FreqList_r11 = -1;     /* CarrierFreqListMBMS_r11 */
static int hf_lte_rrc_mbms_Priority_r11 = -1;     /* T_mbms_Priority_r11 */
static int hf_lte_rrc_nonCriticalExtension_45 = -1;  /* MBMSInterestIndication_v1310_IEs */
static int hf_lte_rrc_mbms_Services_r13 = -1;     /* MBMS_ServiceList_r13 */
static int hf_lte_rrc_nonCriticalExtension_46 = -1;  /* T_nonCriticalExtension_19 */
static int hf_lte_rrc_commonSF_Alloc_r9 = -1;     /* CommonSF_AllocPatternList_r9 */
static int hf_lte_rrc_commonSF_AllocPeriod_r9 = -1;  /* T_commonSF_AllocPeriod_r9 */
static int hf_lte_rrc_pmch_InfoList_r9 = -1;      /* PMCH_InfoList_r9 */
static int hf_lte_rrc_nonCriticalExtension_47 = -1;  /* MBSFNAreaConfiguration_v930_IEs */
static int hf_lte_rrc_nonCriticalExtension_48 = -1;  /* MBSFNAreaConfiguration_v1250_IEs */
static int hf_lte_rrc_pmch_InfoListExt_r12 = -1;  /* PMCH_InfoListExt_r12 */
static int hf_lte_rrc_nonCriticalExtension_49 = -1;  /* MBSFNAreaConfiguration_v1430_IEs */
static int hf_lte_rrc_commonSF_Alloc_r14 = -1;    /* CommonSF_AllocPatternList_r14 */
static int hf_lte_rrc_nonCriticalExtension_50 = -1;  /* T_nonCriticalExtension_20 */
static int hf_lte_rrc_CommonSF_AllocPatternList_r9_item = -1;  /* MBSFN_SubframeConfig */
static int hf_lte_rrc_CommonSF_AllocPatternList_r14_item = -1;  /* MBSFN_SubframeConfig_v1430 */
static int hf_lte_rrc_criticalExtensions_18 = -1;  /* T_criticalExtensions_18 */
static int hf_lte_rrc_c1_25 = -1;                 /* T_c1_25 */
static int hf_lte_rrc_measurementReport_r8 = -1;  /* MeasurementReport_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_18 = -1;  /* T_criticalExtensionsFuture_18 */
static int hf_lte_rrc_measResults = -1;           /* MeasResults */
static int hf_lte_rrc_nonCriticalExtension_51 = -1;  /* MeasurementReport_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_52 = -1;  /* T_nonCriticalExtension_21 */
static int hf_lte_rrc_criticalExtensions_19 = -1;  /* T_criticalExtensions_19 */
static int hf_lte_rrc_c1_26 = -1;                 /* T_c1_26 */
static int hf_lte_rrc_mobilityFromEUTRACommand_r8 = -1;  /* MobilityFromEUTRACommand_r8_IEs */
static int hf_lte_rrc_mobilityFromEUTRACommand_r9 = -1;  /* MobilityFromEUTRACommand_r9_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_19 = -1;  /* T_criticalExtensionsFuture_19 */
static int hf_lte_rrc_cs_FallbackIndicator = -1;  /* BOOLEAN */
static int hf_lte_rrc_purpose = -1;               /* T_purpose */
static int hf_lte_rrc_handover = -1;              /* Handover */
static int hf_lte_rrc_cellChangeOrder = -1;       /* CellChangeOrder */
static int hf_lte_rrc_nonCriticalExtension_53 = -1;  /* MobilityFromEUTRACommand_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_54 = -1;  /* MobilityFromEUTRACommand_v8d0_IEs */
static int hf_lte_rrc_bandIndicator = -1;         /* BandIndicatorGERAN */
static int hf_lte_rrc_nonCriticalExtension_55 = -1;  /* T_nonCriticalExtension_22 */
static int hf_lte_rrc_purpose_01 = -1;            /* T_purpose_01 */
static int hf_lte_rrc_e_CSFB_r9 = -1;             /* E_CSFB_r9 */
static int hf_lte_rrc_nonCriticalExtension_56 = -1;  /* MobilityFromEUTRACommand_v930_IEs */
static int hf_lte_rrc_nonCriticalExtension_57 = -1;  /* MobilityFromEUTRACommand_v960_IEs */
static int hf_lte_rrc_nonCriticalExtension_58 = -1;  /* T_nonCriticalExtension_23 */
static int hf_lte_rrc_targetRAT_Type = -1;        /* T_targetRAT_Type */
static int hf_lte_rrc_targetRAT_MessageContainer = -1;  /* T_targetRAT_MessageContainer */
static int hf_lte_rrc_nas_SecurityParamFromEUTRA = -1;  /* T_nas_SecurityParamFromEUTRA */
static int hf_lte_rrc_systemInformation_01 = -1;  /* SI_OrPSI_GERAN */
static int hf_lte_rrc_t304 = -1;                  /* T_t304 */
static int hf_lte_rrc_targetRAT_Type_01 = -1;     /* T_targetRAT_Type_01 */
static int hf_lte_rrc_geran = -1;                 /* T_geran */
static int hf_lte_rrc_physCellId = -1;            /* PhysCellIdGERAN */
static int hf_lte_rrc_carrierFreq = -1;           /* CarrierFreqGERAN */
static int hf_lte_rrc_networkControlOrder = -1;   /* BIT_STRING_SIZE_2 */
static int hf_lte_rrc_si = -1;                    /* T_si */
static int hf_lte_rrc_psi = -1;                   /* T_psi */
static int hf_lte_rrc_messageContCDMA2000_1XRTT_r9 = -1;  /* OCTET_STRING */
static int hf_lte_rrc_mobilityCDMA2000_HRPD_r9 = -1;  /* T_mobilityCDMA2000_HRPD_r9 */
static int hf_lte_rrc_messageContCDMA2000_HRPD_r9 = -1;  /* OCTET_STRING */
static int hf_lte_rrc_redirectCarrierCDMA2000_HRPD_r9 = -1;  /* CarrierFreqCDMA2000 */
static int hf_lte_rrc_pagingRecordList = -1;      /* T_pagingRecordList */
static int hf_lte_rrc_systemInfoModification = -1;  /* T_systemInfoModification */
static int hf_lte_rrc_etws_Indication = -1;       /* T_etws_Indication */
static int hf_lte_rrc_nonCriticalExtension_59 = -1;  /* Paging_v890_IEs */
static int hf_lte_rrc_nonCriticalExtension_60 = -1;  /* Paging_v920_IEs */
static int hf_lte_rrc_cmas_Indication_r9 = -1;    /* T_cmas_Indication_r9 */
static int hf_lte_rrc_nonCriticalExtension_61 = -1;  /* Paging_v1130_IEs */
static int hf_lte_rrc_eab_ParamModification_r11 = -1;  /* T_eab_ParamModification_r11 */
static int hf_lte_rrc_nonCriticalExtension_62 = -1;  /* Paging_v1310_IEs */
static int hf_lte_rrc_redistributionIndication_r13 = -1;  /* T_redistributionIndication_r13 */
static int hf_lte_rrc_systemInfoModification_eDRX_r13 = -1;  /* T_systemInfoModification_eDRX_r13 */
static int hf_lte_rrc_nonCriticalExtension_63 = -1;  /* T_nonCriticalExtension_24 */
static int hf_lte_rrc_PagingRecordList_item = -1;  /* PagingRecord */
static int hf_lte_rrc_ue_Identity = -1;           /* PagingUE_Identity */
static int hf_lte_rrc_cn_Domain = -1;             /* T_cn_Domain */
static int hf_lte_rrc_s_TMSI = -1;                /* S_TMSI */
static int hf_lte_rrc_imsi = -1;                  /* IMSI */
static int hf_lte_rrc_IMSI_item = -1;             /* IMSI_Digit */
static int hf_lte_rrc_criticalExtensions_20 = -1;  /* T_criticalExtensions_20 */
static int hf_lte_rrc_c1_27 = -1;                 /* T_c1_27 */
static int hf_lte_rrc_proximityIndication_r9_01 = -1;  /* ProximityIndication_r9_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_20 = -1;  /* T_criticalExtensionsFuture_20 */
static int hf_lte_rrc_type_r9 = -1;               /* T_type_r9 */
static int hf_lte_rrc_carrierFreq_r9 = -1;        /* T_carrierFreq_r9 */
static int hf_lte_rrc_eutra_r9 = -1;              /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_utra_r9 = -1;               /* ARFCN_ValueUTRA */
static int hf_lte_rrc_eutra2_v9e0 = -1;           /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_nonCriticalExtension_64 = -1;  /* ProximityIndication_v930_IEs */
static int hf_lte_rrc_nonCriticalExtension_65 = -1;  /* T_nonCriticalExtension_25 */
static int hf_lte_rrc_criticalExtensions_21 = -1;  /* T_criticalExtensions_21 */
static int hf_lte_rrc_c1_28 = -1;                 /* T_c1_28 */
static int hf_lte_rrc_rnReconfiguration_r10_01 = -1;  /* RNReconfiguration_r10_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_21 = -1;  /* T_criticalExtensionsFuture_21 */
static int hf_lte_rrc_rn_SystemInfo_r10 = -1;     /* RN_SystemInfo_r10 */
static int hf_lte_rrc_rn_SubframeConfig_r10 = -1;  /* RN_SubframeConfig_r10 */
static int hf_lte_rrc_nonCriticalExtension_66 = -1;  /* T_nonCriticalExtension_26 */
static int hf_lte_rrc_systemInformationBlockType1_r10 = -1;  /* T_systemInformationBlockType1_r10 */
static int hf_lte_rrc_systemInformationBlockType2_r10 = -1;  /* SystemInformationBlockType2 */
static int hf_lte_rrc_criticalExtensions_22 = -1;  /* T_criticalExtensions_22 */
static int hf_lte_rrc_c1_29 = -1;                 /* T_c1_29 */
static int hf_lte_rrc_rnReconfigurationComplete_r10_01 = -1;  /* RNReconfigurationComplete_r10_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_22 = -1;  /* T_criticalExtensionsFuture_22 */
static int hf_lte_rrc_nonCriticalExtension_67 = -1;  /* T_nonCriticalExtension_27 */
static int hf_lte_rrc_criticalExtensions_23 = -1;  /* T_criticalExtensions_23 */
static int hf_lte_rrc_c1_30 = -1;                 /* T_c1_30 */
static int hf_lte_rrc_rrcConnectionReconfiguration_r8 = -1;  /* RRCConnectionReconfiguration_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_23 = -1;  /* T_criticalExtensionsFuture_23 */
static int hf_lte_rrc_measConfig = -1;            /* MeasConfig */
static int hf_lte_rrc_mobilityControlInfo = -1;   /* MobilityControlInfo */
static int hf_lte_rrc_dedicatedInfoNASList = -1;  /* SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS */
static int hf_lte_rrc_dedicatedInfoNASList_item = -1;  /* DedicatedInfoNAS */
static int hf_lte_rrc_radioResourceConfigDedicated = -1;  /* RadioResourceConfigDedicated */
static int hf_lte_rrc_securityConfigHO = -1;      /* SecurityConfigHO */
static int hf_lte_rrc_nonCriticalExtension_68 = -1;  /* RRCConnectionReconfiguration_v890_IEs */
static int hf_lte_rrc_lateNonCriticalExtension_02 = -1;  /* T_lateNonCriticalExtension_01 */
static int hf_lte_rrc_nonCriticalExtension_69 = -1;  /* RRCConnectionReconfiguration_v920_IEs */
static int hf_lte_rrc_nonCriticalExtension_70 = -1;  /* RRCConnectionReconfiguration_v10i0_IEs */
static int hf_lte_rrc_nonCriticalExtension_71 = -1;  /* RRCConnectionReconfiguration_v10l0_IEs */
static int hf_lte_rrc_mobilityControlInfo_v10l0 = -1;  /* MobilityControlInfo_v10l0 */
static int hf_lte_rrc_sCellToAddModList_v10l0 = -1;  /* SCellToAddModList_v10l0 */
static int hf_lte_rrc_nonCriticalExtension_72 = -1;  /* RRCConnectionReconfiguration_v12f0_IEs */
static int hf_lte_rrc_scg_Configuration_v12f0 = -1;  /* SCG_Configuration_v12f0 */
static int hf_lte_rrc_nonCriticalExtension_73 = -1;  /* RRCConnectionReconfiguration_v1370_IEs */
static int hf_lte_rrc_radioResourceConfigDedicated_v1370 = -1;  /* RadioResourceConfigDedicated_v1370 */
static int hf_lte_rrc_sCellToAddModListExt_v1370 = -1;  /* SCellToAddModListExt_v1370 */
static int hf_lte_rrc_nonCriticalExtension_74 = -1;  /* T_nonCriticalExtension_28 */
static int hf_lte_rrc_otherConfig_r9 = -1;        /* OtherConfig_r9 */
static int hf_lte_rrc_fullConfig_r9 = -1;         /* T_fullConfig_r9 */
static int hf_lte_rrc_nonCriticalExtension_75 = -1;  /* RRCConnectionReconfiguration_v1020_IEs */
static int hf_lte_rrc_sCellToReleaseList_r10 = -1;  /* SCellToReleaseList_r10 */
static int hf_lte_rrc_sCellToAddModList_r10 = -1;  /* SCellToAddModList_r10 */
static int hf_lte_rrc_nonCriticalExtension_76 = -1;  /* RRCConnectionReconfiguration_v1130_IEs */
static int hf_lte_rrc_systemInformationBlockType1Dedicated_r11 = -1;  /* T_systemInformationBlockType1Dedicated_r11 */
static int hf_lte_rrc_nonCriticalExtension_77 = -1;  /* RRCConnectionReconfiguration_v1250_IEs */
static int hf_lte_rrc_wlan_OffloadInfo_r12 = -1;  /* T_wlan_OffloadInfo_r12 */
static int hf_lte_rrc_release = -1;               /* NULL */
static int hf_lte_rrc_setup = -1;                 /* T_setup */
static int hf_lte_rrc_wlan_OffloadConfigDedicated_r12 = -1;  /* WLAN_OffloadConfig_r12 */
static int hf_lte_rrc_t350_r12 = -1;              /* T_t350_r12 */
static int hf_lte_rrc_scg_Configuration_r12 = -1;  /* SCG_Configuration_r12 */
static int hf_lte_rrc_sl_SyncTxControl_r12 = -1;  /* SL_SyncTxControl_r12 */
static int hf_lte_rrc_sl_DiscConfig_r12 = -1;     /* SL_DiscConfig_r12 */
static int hf_lte_rrc_sl_CommConfig_r12 = -1;     /* SL_CommConfig_r12 */
static int hf_lte_rrc_nonCriticalExtension_78 = -1;  /* RRCConnectionReconfiguration_v1310_IEs */
static int hf_lte_rrc_sCellToReleaseListExt_r13 = -1;  /* SCellToReleaseListExt_r13 */
static int hf_lte_rrc_sCellToAddModListExt_r13 = -1;  /* SCellToAddModListExt_r13 */
static int hf_lte_rrc_lwa_Configuration_r13 = -1;  /* LWA_Configuration_r13 */
static int hf_lte_rrc_lwip_Configuration_r13 = -1;  /* LWIP_Configuration_r13 */
static int hf_lte_rrc_rclwi_Configuration_r13 = -1;  /* RCLWI_Configuration_r13 */
static int hf_lte_rrc_nonCriticalExtension_79 = -1;  /* RRCConnectionReconfiguration_v1430_IEs */
static int hf_lte_rrc_sl_V2X_ConfigDedicated_r14 = -1;  /* SL_V2X_ConfigDedicated_r14 */
static int hf_lte_rrc_sCellToAddModListExt_v1430 = -1;  /* SCellToAddModListExt_v1430 */
static int hf_lte_rrc_perCC_GapIndicationRequest_r14 = -1;  /* T_perCC_GapIndicationRequest_r14 */
static int hf_lte_rrc_systemInformationBlockType2Dedicated_r14 = -1;  /* T_systemInformationBlockType2Dedicated_r14 */
static int hf_lte_rrc_nonCriticalExtension_80 = -1;  /* RRCConnectionReconfiguration_v15x0_IEs */
static int hf_lte_rrc_endc_Config_r15 = -1;       /* T_endc_Config_r15 */
static int hf_lte_rrc_scg_ConfigReleaseNR_r15 = -1;  /* BOOLEAN */
static int hf_lte_rrc_sk_Counter_r15 = -1;        /* INTEGER_0_65535 */
static int hf_lte_rrc_nr_SecondaryCellGroupConfig_r15 = -1;  /* T_nr_SecondaryCellGroupConfig_r15 */
static int hf_lte_rrc_nr_RadioBearerConfig_r15 = -1;  /* T_nr_RadioBearerConfig_r15 */
static int hf_lte_rrc_nr_RadioBearerConfigS_r15 = -1;  /* T_nr_RadioBearerConfigS_r15 */
static int hf_lte_rrc_tdm_PatternSingle_Tx_r15 = -1;  /* T_tdm_PatternSingle_Tx_r15 */
static int hf_lte_rrc_subframeAssignment_r15 = -1;  /* SubframeAssignment_r15 */
static int hf_lte_rrc_harq_Offset_r15 = -1;       /* INTEGER_0_9 */
static int hf_lte_rrc_networkControlledSyncTx_r12 = -1;  /* T_networkControlledSyncTx_r12 */
static int hf_lte_rrc_cellIdentification_r12_01 = -1;  /* T_cellIdentification_r12_01 */
static int hf_lte_rrc_radioResourceConfigCommonPSCell_r12 = -1;  /* RadioResourceConfigCommonPSCell_r12 */
static int hf_lte_rrc_radioResourceConfigDedicatedPSCell_r12 = -1;  /* RadioResourceConfigDedicatedPSCell_r12 */
static int hf_lte_rrc_antennaInfoDedicatedPSCell_v1280 = -1;  /* AntennaInfoDedicated_v10i0 */
static int hf_lte_rrc_radioResourceConfigDedicatedPSCell_v1370 = -1;  /* RadioResourceConfigDedicatedPSCell_v1370 */
static int hf_lte_rrc_radioResourceConfigCommonPSCell_r12_01 = -1;  /* RadioResourceConfigCommonPSCell_v12f0 */
static int hf_lte_rrc_radioResourceConfigCommonPSCell_r14 = -1;  /* RadioResourceConfigCommonPSCell_v1440 */
static int hf_lte_rrc_p_MeNB_r12 = -1;            /* INTEGER_1_16 */
static int hf_lte_rrc_p_SeNB_r12 = -1;            /* INTEGER_1_16 */
static int hf_lte_rrc_powerControlMode_r12 = -1;  /* INTEGER_1_2 */
static int hf_lte_rrc_SCellToAddModList_r10_item = -1;  /* SCellToAddMod_r10 */
static int hf_lte_rrc_SCellToAddModList_v10l0_item = -1;  /* SCellToAddMod_v10l0 */
static int hf_lte_rrc_SCellToAddModListExt_r13_item = -1;  /* SCellToAddModExt_r13 */
static int hf_lte_rrc_SCellToAddModListExt_v1370_item = -1;  /* SCellToAddModExt_v1370 */
static int hf_lte_rrc_SCellToAddModListExt_v1430_item = -1;  /* SCellToAddModExt_v1430 */
static int hf_lte_rrc_sCellIndex_r10 = -1;        /* SCellIndex_r10 */
static int hf_lte_rrc_cellIdentification_r10 = -1;  /* T_cellIdentification_r10 */
static int hf_lte_rrc_radioResourceConfigCommonSCell_r10 = -1;  /* RadioResourceConfigCommonSCell_r10 */
static int hf_lte_rrc_radioResourceConfigDedicatedSCell_r10 = -1;  /* RadioResourceConfigDedicatedSCell_r10 */
static int hf_lte_rrc_antennaInfoDedicatedSCell_v10i0 = -1;  /* AntennaInfoDedicated_v10i0 */
static int hf_lte_rrc_srs_SwitchFromServCellIndex_r14 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_radioResourceConfigCommonSCell_v10l0 = -1;  /* RadioResourceConfigCommonSCell_v10l0 */
static int hf_lte_rrc_cellIdentification_r13 = -1;  /* T_cellIdentification_r13 */
static int hf_lte_rrc_physCellId_r13 = -1;        /* PhysCellId */
static int hf_lte_rrc_dl_CarrierFreq_r13 = -1;    /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_radioResourceConfigCommonSCell_r13 = -1;  /* RadioResourceConfigCommonSCell_r10 */
static int hf_lte_rrc_radioResourceConfigDedicatedSCell_r13 = -1;  /* RadioResourceConfigDedicatedSCell_r10 */
static int hf_lte_rrc_antennaInfoDedicatedSCell_r13 = -1;  /* AntennaInfoDedicated_v10i0 */
static int hf_lte_rrc_radioResourceConfigCommonSCell_v1370 = -1;  /* RadioResourceConfigCommonSCell_v10l0 */
static int hf_lte_rrc_SCellToReleaseList_r10_item = -1;  /* SCellIndex_r10 */
static int hf_lte_rrc_SCellToReleaseListExt_r13_item = -1;  /* SCellIndex_r13 */
static int hf_lte_rrc_setup_01 = -1;              /* T_setup_01 */
static int hf_lte_rrc_scg_ConfigPartMCG_r12 = -1;  /* T_scg_ConfigPartMCG_r12 */
static int hf_lte_rrc_scg_Counter_r12 = -1;       /* INTEGER_0_65535 */
static int hf_lte_rrc_scg_ConfigPartSCG_r12 = -1;  /* SCG_ConfigPartSCG_r12 */
static int hf_lte_rrc_setup_02 = -1;              /* T_setup_02 */
static int hf_lte_rrc_scg_ConfigPartSCG_v12f0 = -1;  /* SCG_ConfigPartSCG_v12f0 */
static int hf_lte_rrc_radioResourceConfigDedicatedSCG_r12 = -1;  /* RadioResourceConfigDedicatedSCG_r12 */
static int hf_lte_rrc_pSCellToAddMod_r12 = -1;    /* PSCellToAddMod_r12 */
static int hf_lte_rrc_sCellToAddModListSCG_r12_01 = -1;  /* SCellToAddModList_r10 */
static int hf_lte_rrc_mobilityControlInfoSCG_r12 = -1;  /* MobilityControlInfoSCG_r12 */
static int hf_lte_rrc_sCellToAddModListSCG_Ext_r13_01 = -1;  /* SCellToAddModListExt_r13 */
static int hf_lte_rrc_sCellToAddModListSCG_Ext_v1370 = -1;  /* SCellToAddModListExt_v1370 */
static int hf_lte_rrc_pSCellToAddMod_v1440 = -1;  /* PSCellToAddMod_v1440 */
static int hf_lte_rrc_pSCellToAddMod_v12f0 = -1;  /* PSCellToAddMod_v12f0 */
static int hf_lte_rrc_sCellToAddModListSCG_v12f0 = -1;  /* SCellToAddModList_v10l0 */
static int hf_lte_rrc_handoverType = -1;          /* T_handoverType */
static int hf_lte_rrc_intraLTE = -1;              /* T_intraLTE */
static int hf_lte_rrc_securityAlgorithmConfig = -1;  /* SecurityAlgorithmConfig */
static int hf_lte_rrc_keyChangeIndicator = -1;    /* BOOLEAN */
static int hf_lte_rrc_nextHopChainingCount = -1;  /* NextHopChainingCount */
static int hf_lte_rrc_interRAT = -1;              /* T_interRAT */
static int hf_lte_rrc_nas_SecurityParamToEUTRA = -1;  /* T_nas_SecurityParamToEUTRA */
static int hf_lte_rrc_criticalExtensions_24 = -1;  /* T_criticalExtensions_24 */
static int hf_lte_rrc_rrcConnectionReconfigurationComplete_r8 = -1;  /* RRCConnectionReconfigurationComplete_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_24 = -1;  /* T_criticalExtensionsFuture_24 */
static int hf_lte_rrc_nonCriticalExtension_81 = -1;  /* RRCConnectionReconfigurationComplete_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_82 = -1;  /* RRCConnectionReconfigurationComplete_v1020_IEs */
static int hf_lte_rrc_rlf_InfoAvailable_r10 = -1;  /* T_rlf_InfoAvailable_r10 */
static int hf_lte_rrc_logMeasAvailable_r10 = -1;  /* T_logMeasAvailable_r10 */
static int hf_lte_rrc_nonCriticalExtension_83 = -1;  /* RRCConnectionReconfigurationComplete_v1130_IEs */
static int hf_lte_rrc_connEstFailInfoAvailable_r11 = -1;  /* T_connEstFailInfoAvailable_r11 */
static int hf_lte_rrc_nonCriticalExtension_84 = -1;  /* RRCConnectionReconfigurationComplete_v1250_IEs */
static int hf_lte_rrc_logMeasAvailableMBSFN_r12 = -1;  /* T_logMeasAvailableMBSFN_r12 */
static int hf_lte_rrc_nonCriticalExtension_85 = -1;  /* RRCConnectionReconfigurationComplete_v1430_IEs */
static int hf_lte_rrc_perCC_GapIndicationList_r14 = -1;  /* PerCC_GapIndicationList_r14 */
static int hf_lte_rrc_numFreqEffective_r14 = -1;  /* INTEGER_1_12 */
static int hf_lte_rrc_numFreqEffectiveReduced_r14 = -1;  /* INTEGER_1_12 */
static int hf_lte_rrc_nonCriticalExtension_86 = -1;  /* RRCConnectionReconfigurationComplete_v15xy_IEs */
static int hf_lte_rrc_scg_ConfigResponseNR_r15 = -1;  /* T_scg_ConfigResponseNR_r15 */
static int hf_lte_rrc_nonCriticalExtension_87 = -1;  /* T_nonCriticalExtension_29 */
static int hf_lte_rrc_criticalExtensions_25 = -1;  /* T_criticalExtensions_25 */
static int hf_lte_rrc_c1_31 = -1;                 /* T_c1_31 */
static int hf_lte_rrc_rrcConnectionReestablishment_r8 = -1;  /* RRCConnectionReestablishment_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_25 = -1;  /* T_criticalExtensionsFuture_25 */
static int hf_lte_rrc_nonCriticalExtension_88 = -1;  /* RRCConnectionReestablishment_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_89 = -1;  /* T_nonCriticalExtension_30 */
static int hf_lte_rrc_criticalExtensions_26 = -1;  /* T_criticalExtensions_26 */
static int hf_lte_rrc_rrcConnectionReestablishmentComplete_r8 = -1;  /* RRCConnectionReestablishmentComplete_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_26 = -1;  /* T_criticalExtensionsFuture_26 */
static int hf_lte_rrc_nonCriticalExtension_90 = -1;  /* RRCConnectionReestablishmentComplete_v920_IEs */
static int hf_lte_rrc_rlf_InfoAvailable_r9 = -1;  /* T_rlf_InfoAvailable_r9 */
static int hf_lte_rrc_nonCriticalExtension_91 = -1;  /* RRCConnectionReestablishmentComplete_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_92 = -1;  /* RRCConnectionReestablishmentComplete_v1020_IEs */
static int hf_lte_rrc_logMeasAvailable_r10_01 = -1;  /* T_logMeasAvailable_r10_01 */
static int hf_lte_rrc_nonCriticalExtension_93 = -1;  /* RRCConnectionReestablishmentComplete_v1130_IEs */
static int hf_lte_rrc_connEstFailInfoAvailable_r11_01 = -1;  /* T_connEstFailInfoAvailable_r11_01 */
static int hf_lte_rrc_nonCriticalExtension_94 = -1;  /* RRCConnectionReestablishmentComplete_v1250_IEs */
static int hf_lte_rrc_logMeasAvailableMBSFN_r12_01 = -1;  /* T_logMeasAvailableMBSFN_r12_01 */
static int hf_lte_rrc_nonCriticalExtension_95 = -1;  /* T_nonCriticalExtension_31 */
static int hf_lte_rrc_criticalExtensions_27 = -1;  /* T_criticalExtensions_27 */
static int hf_lte_rrc_rrcConnectionReestablishmentReject_r8 = -1;  /* RRCConnectionReestablishmentReject_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_27 = -1;  /* T_criticalExtensionsFuture_27 */
static int hf_lte_rrc_nonCriticalExtension_96 = -1;  /* RRCConnectionReestablishmentReject_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_97 = -1;  /* T_nonCriticalExtension_32 */
static int hf_lte_rrc_criticalExtensions_28 = -1;  /* T_criticalExtensions_28 */
static int hf_lte_rrc_rrcConnectionReestablishmentRequest_r8 = -1;  /* RRCConnectionReestablishmentRequest_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_28 = -1;  /* T_criticalExtensionsFuture_28 */
static int hf_lte_rrc_ue_Identity_01 = -1;        /* ReestabUE_Identity */
static int hf_lte_rrc_reestablishmentCause = -1;  /* ReestablishmentCause */
static int hf_lte_rrc_spare_03 = -1;              /* BIT_STRING_SIZE_2 */
static int hf_lte_rrc_c_RNTI = -1;                /* C_RNTI */
static int hf_lte_rrc_physCellId_01 = -1;         /* PhysCellId */
static int hf_lte_rrc_criticalExtensions_29 = -1;  /* T_criticalExtensions_29 */
static int hf_lte_rrc_c1_32 = -1;                 /* T_c1_32 */
static int hf_lte_rrc_rrcConnectionReject_r8 = -1;  /* RRCConnectionReject_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_29 = -1;  /* T_criticalExtensionsFuture_29 */
static int hf_lte_rrc_waitTime = -1;              /* INTEGER_1_16 */
static int hf_lte_rrc_nonCriticalExtension_98 = -1;  /* RRCConnectionReject_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_99 = -1;  /* RRCConnectionReject_v1020_IEs */
static int hf_lte_rrc_extendedWaitTime_r10 = -1;  /* INTEGER_1_1800 */
static int hf_lte_rrc_nonCriticalExtension_100 = -1;  /* RRCConnectionReject_v1130_IEs */
static int hf_lte_rrc_deprioritisationReq_r11 = -1;  /* T_deprioritisationReq_r11 */
static int hf_lte_rrc_deprioritisationType_r11 = -1;  /* T_deprioritisationType_r11 */
static int hf_lte_rrc_deprioritisationTimer_r11 = -1;  /* T_deprioritisationTimer_r11 */
static int hf_lte_rrc_nonCriticalExtension_101 = -1;  /* RRCConnectionReject_v1320_IEs */
static int hf_lte_rrc_rrc_SuspendIndication_r13 = -1;  /* T_rrc_SuspendIndication_r13 */
static int hf_lte_rrc_nonCriticalExtension_102 = -1;  /* T_nonCriticalExtension_33 */
static int hf_lte_rrc_criticalExtensions_30 = -1;  /* T_criticalExtensions_30 */
static int hf_lte_rrc_c1_33 = -1;                 /* T_c1_33 */
static int hf_lte_rrc_rrcConnectionRelease_r8 = -1;  /* RRCConnectionRelease_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_30 = -1;  /* T_criticalExtensionsFuture_30 */
static int hf_lte_rrc_releaseCause = -1;          /* ReleaseCause */
static int hf_lte_rrc_redirectedCarrierInfo = -1;  /* RedirectedCarrierInfo */
static int hf_lte_rrc_idleModeMobilityControlInfo = -1;  /* IdleModeMobilityControlInfo */
static int hf_lte_rrc_nonCriticalExtension_103 = -1;  /* RRCConnectionRelease_v890_IEs */
static int hf_lte_rrc_lateNonCriticalExtension_03 = -1;  /* T_lateNonCriticalExtension_02 */
static int hf_lte_rrc_nonCriticalExtension_104 = -1;  /* RRCConnectionRelease_v920_IEs */
static int hf_lte_rrc_redirectedCarrierInfo_v9e0 = -1;  /* RedirectedCarrierInfo_v9e0 */
static int hf_lte_rrc_idleModeMobilityControlInfo_v9e0 = -1;  /* IdleModeMobilityControlInfo_v9e0 */
static int hf_lte_rrc_nonCriticalExtension_105 = -1;  /* T_nonCriticalExtension_34 */
static int hf_lte_rrc_cellInfoList_r9 = -1;       /* T_cellInfoList_r9 */
static int hf_lte_rrc_geran_r9 = -1;              /* CellInfoListGERAN_r9 */
static int hf_lte_rrc_utra_FDD_r9 = -1;           /* CellInfoListUTRA_FDD_r9 */
static int hf_lte_rrc_utra_TDD_r9 = -1;           /* CellInfoListUTRA_TDD_r9 */
static int hf_lte_rrc_utra_TDD_r10 = -1;          /* CellInfoListUTRA_TDD_r10 */
static int hf_lte_rrc_nonCriticalExtension_106 = -1;  /* RRCConnectionRelease_v1020_IEs */
static int hf_lte_rrc_nonCriticalExtension_107 = -1;  /* RRCConnectionRelease_v1320_IEs */
static int hf_lte_rrc_resumeIdentity_r13 = -1;    /* ResumeIdentity_r13 */
static int hf_lte_rrc_nonCriticalExtension_108 = -1;  /* T_nonCriticalExtension_35 */
static int hf_lte_rrc_eutra = -1;                 /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_geran_01 = -1;              /* CarrierFreqsGERAN */
static int hf_lte_rrc_utra_FDD = -1;              /* ARFCN_ValueUTRA */
static int hf_lte_rrc_utra_TDD = -1;              /* ARFCN_ValueUTRA */
static int hf_lte_rrc_cdma2000_HRPD = -1;         /* CarrierFreqCDMA2000 */
static int hf_lte_rrc_cdma2000_1xRTT = -1;        /* CarrierFreqCDMA2000 */
static int hf_lte_rrc_utra_TDD_r10_01 = -1;       /* CarrierFreqListUTRA_TDD_r10 */
static int hf_lte_rrc_eutra_v9e0 = -1;            /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_CarrierFreqListUTRA_TDD_r10_item = -1;  /* ARFCN_ValueUTRA */
static int hf_lte_rrc_freqPriorityListEUTRA = -1;  /* FreqPriorityListEUTRA */
static int hf_lte_rrc_freqPriorityListGERAN = -1;  /* FreqsPriorityListGERAN */
static int hf_lte_rrc_freqPriorityListUTRA_FDD = -1;  /* FreqPriorityListUTRA_FDD */
static int hf_lte_rrc_freqPriorityListUTRA_TDD = -1;  /* FreqPriorityListUTRA_TDD */
static int hf_lte_rrc_bandClassPriorityListHRPD = -1;  /* BandClassPriorityListHRPD */
static int hf_lte_rrc_bandClassPriorityList1XRTT = -1;  /* BandClassPriorityList1XRTT */
static int hf_lte_rrc_t320 = -1;                  /* T_t320 */
static int hf_lte_rrc_freqPriorityListExtEUTRA_r12 = -1;  /* FreqPriorityListExtEUTRA_r12 */
static int hf_lte_rrc_freqPriorityListEUTRA_v1310 = -1;  /* FreqPriorityListEUTRA_v1310 */
static int hf_lte_rrc_freqPriorityListExtEUTRA_v1310 = -1;  /* FreqPriorityListExtEUTRA_v1310 */
static int hf_lte_rrc_freqPriorityListEUTRA_v9e0 = -1;  /* SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0 */
static int hf_lte_rrc_freqPriorityListEUTRA_v9e0_item = -1;  /* FreqPriorityEUTRA_v9e0 */
static int hf_lte_rrc_FreqPriorityListEUTRA_item = -1;  /* FreqPriorityEUTRA */
static int hf_lte_rrc_FreqPriorityListExtEUTRA_r12_item = -1;  /* FreqPriorityEUTRA_r12 */
static int hf_lte_rrc_FreqPriorityListEUTRA_v1310_item = -1;  /* FreqPriorityEUTRA_v1310 */
static int hf_lte_rrc_FreqPriorityListExtEUTRA_v1310_item = -1;  /* FreqPriorityEUTRA_v1310 */
static int hf_lte_rrc_carrierFreq_01 = -1;        /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_cellReselectionPriority = -1;  /* CellReselectionPriority */
static int hf_lte_rrc_carrierFreq_v9e0 = -1;      /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_cellReselectionPriority_r12 = -1;  /* CellReselectionPriority */
static int hf_lte_rrc_cellReselectionSubPriority_r13 = -1;  /* CellReselectionSubPriority_r13 */
static int hf_lte_rrc_FreqsPriorityListGERAN_item = -1;  /* FreqsPriorityGERAN */
static int hf_lte_rrc_carrierFreqs = -1;          /* CarrierFreqsGERAN */
static int hf_lte_rrc_FreqPriorityListUTRA_FDD_item = -1;  /* FreqPriorityUTRA_FDD */
static int hf_lte_rrc_carrierFreq_02 = -1;        /* ARFCN_ValueUTRA */
static int hf_lte_rrc_FreqPriorityListUTRA_TDD_item = -1;  /* FreqPriorityUTRA_TDD */
static int hf_lte_rrc_BandClassPriorityListHRPD_item = -1;  /* BandClassPriorityHRPD */
static int hf_lte_rrc_bandClass = -1;             /* BandclassCDMA2000 */
static int hf_lte_rrc_BandClassPriorityList1XRTT_item = -1;  /* BandClassPriority1XRTT */
static int hf_lte_rrc_CellInfoListGERAN_r9_item = -1;  /* CellInfoGERAN_r9 */
static int hf_lte_rrc_physCellId_r9 = -1;         /* PhysCellIdGERAN */
static int hf_lte_rrc_carrierFreq_r9_01 = -1;     /* CarrierFreqGERAN */
static int hf_lte_rrc_systemInformation_r9 = -1;  /* T_systemInformation_r9 */
static int hf_lte_rrc_CellInfoListUTRA_FDD_r9_item = -1;  /* CellInfoUTRA_FDD_r9 */
static int hf_lte_rrc_physCellId_r9_01 = -1;      /* PhysCellIdUTRA_FDD */
static int hf_lte_rrc_utra_BCCH_Container_r9 = -1;  /* T_utra_BCCH_Container_r9 */
static int hf_lte_rrc_CellInfoListUTRA_TDD_r9_item = -1;  /* CellInfoUTRA_TDD_r9 */
static int hf_lte_rrc_physCellId_r9_02 = -1;      /* PhysCellIdUTRA_TDD */
static int hf_lte_rrc_utra_BCCH_Container_r9_01 = -1;  /* T_utra_BCCH_Container_r9_01 */
static int hf_lte_rrc_CellInfoListUTRA_TDD_r10_item = -1;  /* CellInfoUTRA_TDD_r10 */
static int hf_lte_rrc_physCellId_r10_01 = -1;     /* PhysCellIdUTRA_TDD */
static int hf_lte_rrc_carrierFreq_r10_01 = -1;    /* ARFCN_ValueUTRA */
static int hf_lte_rrc_utra_BCCH_Container_r10 = -1;  /* T_utra_BCCH_Container_r10 */
static int hf_lte_rrc_criticalExtensions_31 = -1;  /* T_criticalExtensions_31 */
static int hf_lte_rrc_rrcConnectionRequest_r8 = -1;  /* RRCConnectionRequest_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_31 = -1;  /* T_criticalExtensionsFuture_31 */
static int hf_lte_rrc_ue_Identity_02 = -1;        /* InitialUE_Identity */
static int hf_lte_rrc_establishmentCause = -1;    /* EstablishmentCause */
static int hf_lte_rrc_spare_04 = -1;              /* BIT_STRING_SIZE_1 */
static int hf_lte_rrc_randomValue = -1;           /* BIT_STRING_SIZE_40 */
static int hf_lte_rrc_criticalExtensions_32 = -1;  /* T_criticalExtensions_32 */
static int hf_lte_rrc_c1_34 = -1;                 /* T_c1_34 */
static int hf_lte_rrc_rrcConnectionResume_r13_01 = -1;  /* RRCConnectionResume_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_32 = -1;  /* T_criticalExtensionsFuture_32 */
static int hf_lte_rrc_radioResourceConfigDedicated_r13 = -1;  /* RadioResourceConfigDedicated */
static int hf_lte_rrc_nextHopChainingCount_r13 = -1;  /* NextHopChainingCount */
static int hf_lte_rrc_measConfig_r13 = -1;        /* MeasConfig */
static int hf_lte_rrc_antennaInfoDedicatedPCell_r13 = -1;  /* AntennaInfoDedicated_v10i0 */
static int hf_lte_rrc_drb_ContinueROHC_r13 = -1;  /* T_drb_ContinueROHC_r13 */
static int hf_lte_rrc_rrcConnectionResume_v1430_IEs = -1;  /* RRCConnectionResume_v1430_IEs */
static int hf_lte_rrc_otherConfig_r14 = -1;       /* OtherConfig_r9 */
static int hf_lte_rrc_rrcConnectionResume_v15x0_IEs = -1;  /* RRCConnectionResume_v15x0_IEs */
static int hf_lte_rrc_nr_RadioBearerConfig_r15_01 = -1;  /* T_nr_RadioBearerConfig_r15_01 */
static int hf_lte_rrc_nr_RadioBearerConfigS_r15_01 = -1;  /* T_nr_RadioBearerConfigS_r15_01 */
static int hf_lte_rrc_nonCriticalExtension_109 = -1;  /* T_nonCriticalExtension_36 */
static int hf_lte_rrc_criticalExtensions_33 = -1;  /* T_criticalExtensions_33 */
static int hf_lte_rrc_rrcConnectionResumeComplete_r13_01 = -1;  /* RRCConnectionResumeComplete_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_33 = -1;  /* T_criticalExtensionsFuture_33 */
static int hf_lte_rrc_selectedPLMN_Identity_r13 = -1;  /* INTEGER_1_maxPLMN_r11 */
static int hf_lte_rrc_dedicatedInfoNAS_r13 = -1;  /* DedicatedInfoNAS */
static int hf_lte_rrc_rlf_InfoAvailable_r13 = -1;  /* T_rlf_InfoAvailable_r13 */
static int hf_lte_rrc_logMeasAvailable_r13 = -1;  /* T_logMeasAvailable_r13 */
static int hf_lte_rrc_connEstFailInfoAvailable_r13 = -1;  /* T_connEstFailInfoAvailable_r13 */
static int hf_lte_rrc_mobilityState_r13 = -1;     /* T_mobilityState_r13 */
static int hf_lte_rrc_mobilityHistoryAvail_r13 = -1;  /* T_mobilityHistoryAvail_r13 */
static int hf_lte_rrc_logMeasAvailableMBSFN_r13 = -1;  /* T_logMeasAvailableMBSFN_r13 */
static int hf_lte_rrc_nonCriticalExtension_110 = -1;  /* T_nonCriticalExtension_37 */
static int hf_lte_rrc_criticalExtensions_34 = -1;  /* T_criticalExtensions_34 */
static int hf_lte_rrc_rrcConnectionResumeRequest_r13_01 = -1;  /* RRCConnectionResumeRequest_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_34 = -1;  /* T_criticalExtensionsFuture_34 */
static int hf_lte_rrc_resumeIdentity_r13_01 = -1;  /* T_resumeIdentity_r13 */
static int hf_lte_rrc_resumeID_r13 = -1;          /* ResumeIdentity_r13 */
static int hf_lte_rrc_truncatedResumeID_r13 = -1;  /* BIT_STRING_SIZE_24 */
static int hf_lte_rrc_shortResumeMAC_I_r13 = -1;  /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_resumeCause_r13 = -1;       /* ResumeCause */
static int hf_lte_rrc_criticalExtensions_35 = -1;  /* T_criticalExtensions_35 */
static int hf_lte_rrc_c1_35 = -1;                 /* T_c1_35 */
static int hf_lte_rrc_rrcConnectionSetup_r8 = -1;  /* RRCConnectionSetup_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_35 = -1;  /* T_criticalExtensionsFuture_35 */
static int hf_lte_rrc_nonCriticalExtension_111 = -1;  /* RRCConnectionSetup_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_112 = -1;  /* T_nonCriticalExtension_38 */
static int hf_lte_rrc_criticalExtensions_36 = -1;  /* T_criticalExtensions_36 */
static int hf_lte_rrc_c1_36 = -1;                 /* T_c1_36 */
static int hf_lte_rrc_rrcConnectionSetupComplete_r8 = -1;  /* RRCConnectionSetupComplete_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_36 = -1;  /* T_criticalExtensionsFuture_36 */
static int hf_lte_rrc_selectedPLMN_Identity = -1;  /* INTEGER_1_maxPLMN_r11 */
static int hf_lte_rrc_registeredMME = -1;         /* RegisteredMME */
static int hf_lte_rrc_nonCriticalExtension_113 = -1;  /* RRCConnectionSetupComplete_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_114 = -1;  /* RRCConnectionSetupComplete_v1020_IEs */
static int hf_lte_rrc_gummei_Type_r10 = -1;       /* T_gummei_Type_r10 */
static int hf_lte_rrc_rlf_InfoAvailable_r10_01 = -1;  /* T_rlf_InfoAvailable_r10_01 */
static int hf_lte_rrc_logMeasAvailable_r10_02 = -1;  /* T_logMeasAvailable_r10_02 */
static int hf_lte_rrc_rn_SubframeConfigReq_r10 = -1;  /* T_rn_SubframeConfigReq_r10 */
static int hf_lte_rrc_nonCriticalExtension_115 = -1;  /* RRCConnectionSetupComplete_v1130_IEs */
static int hf_lte_rrc_connEstFailInfoAvailable_r11_02 = -1;  /* T_connEstFailInfoAvailable_r11_02 */
static int hf_lte_rrc_nonCriticalExtension_116 = -1;  /* RRCConnectionSetupComplete_v1250_IEs */
static int hf_lte_rrc_mobilityState_r12 = -1;     /* T_mobilityState_r12 */
static int hf_lte_rrc_mobilityHistoryAvail_r12 = -1;  /* T_mobilityHistoryAvail_r12 */
static int hf_lte_rrc_logMeasAvailableMBSFN_r12_02 = -1;  /* T_logMeasAvailableMBSFN_r12_02 */
static int hf_lte_rrc_nonCriticalExtension_117 = -1;  /* RRCConnectionSetupComplete_v1320_IEs */
static int hf_lte_rrc_ce_ModeB_r13 = -1;          /* T_ce_ModeB_r13 */
static int hf_lte_rrc_s_TMSI_r13 = -1;            /* S_TMSI */
static int hf_lte_rrc_attachWithoutPDN_Connectivity_r13 = -1;  /* T_attachWithoutPDN_Connectivity_r13 */
static int hf_lte_rrc_up_CIoT_EPS_Optimisation_r13 = -1;  /* T_up_CIoT_EPS_Optimisation_r13 */
static int hf_lte_rrc_cp_CIoT_EPS_Optimisation_r13 = -1;  /* T_cp_CIoT_EPS_Optimisation_r13 */
static int hf_lte_rrc_nonCriticalExtension_118 = -1;  /* RRCConnectionSetupComplete_v1330_IEs */
static int hf_lte_rrc_ue_CE_NeedULGaps_r13 = -1;  /* T_ue_CE_NeedULGaps_r13 */
static int hf_lte_rrc_nonCriticalExtension_119 = -1;  /* RRCConnectionSetupComplete_v1430_IEs */
static int hf_lte_rrc_dcn_ID_r14 = -1;            /* INTEGER_0_65535 */
static int hf_lte_rrc_nonCriticalExtension_120 = -1;  /* T_nonCriticalExtension_39 */
static int hf_lte_rrc_plmn_Identity = -1;         /* PLMN_Identity */
static int hf_lte_rrc_mmegi = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_mmec = -1;                  /* MMEC */
static int hf_lte_rrc_criticalExtensions_37 = -1;  /* T_criticalExtensions_37 */
static int hf_lte_rrc_c1_37 = -1;                 /* T_c1_37 */
static int hf_lte_rrc_scgFailureInformation_r12_01 = -1;  /* SCGFailureInformation_r12_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_37 = -1;  /* T_criticalExtensionsFuture_37 */
static int hf_lte_rrc_failureReportSCG_r12 = -1;  /* FailureReportSCG_r12 */
static int hf_lte_rrc_nonCriticalExtension_121 = -1;  /* SCGFailureInformation_v1310_IEs */
static int hf_lte_rrc_lateNonCriticalExtension_04 = -1;  /* T_lateNonCriticalExtension_03 */
static int hf_lte_rrc_nonCriticalExtension_122 = -1;  /* SCGFailureInformation_v15x0_IEs */
static int hf_lte_rrc_failureReportSCG_NR_r15 = -1;  /* FailureReportSCG_NR_r15 */
static int hf_lte_rrc_nonCriticalExtension_123 = -1;  /* T_nonCriticalExtension_40 */
static int hf_lte_rrc_failureReportSCG_v12d0 = -1;  /* FailureReportSCG_v12d0 */
static int hf_lte_rrc_nonCriticalExtension_124 = -1;  /* T_nonCriticalExtension_41 */
static int hf_lte_rrc_failureType_r12 = -1;       /* T_failureType_r12 */
static int hf_lte_rrc_measResultServFreqList_r12 = -1;  /* MeasResultServFreqList_r10 */
static int hf_lte_rrc_measResultNeighCells_r12 = -1;  /* MeasResultList2EUTRA_r9 */
static int hf_lte_rrc_failureType_v1290 = -1;     /* T_failureType_v1290 */
static int hf_lte_rrc_measResultServFreqListExt_r13 = -1;  /* MeasResultServFreqListExt_r13 */
static int hf_lte_rrc_measResultNeighCells_v12d0 = -1;  /* MeasResultList2EUTRA_v9e0 */
static int hf_lte_rrc_failureType_r15 = -1;       /* T_failureType_r15 */
static int hf_lte_rrc_measResultFreqListNR_r15 = -1;  /* MeasResultFreqListFailNR_r15 */
static int hf_lte_rrc_measResultSCG_r15 = -1;     /* T_measResultSCG_r15 */
static int hf_lte_rrc_MeasResultFreqListFailNR_r15_item = -1;  /* MeasResultFreqFailNR_r15 */
static int hf_lte_rrc_carrierFreq_r15 = -1;       /* ARFCN_ValueNR_r15 */
static int hf_lte_rrc_measResultCellList_r15 = -1;  /* MeasResultCellListNR_r15 */
static int hf_lte_rrc_sc_mtch_InfoList_r13 = -1;  /* SC_MTCH_InfoList_r13 */
static int hf_lte_rrc_scptm_NeighbourCellList_r13 = -1;  /* SCPTM_NeighbourCellList_r13 */
static int hf_lte_rrc_nonCriticalExtension_125 = -1;  /* SCPTMConfiguration_v1340 */
static int hf_lte_rrc_p_b_r13 = -1;               /* INTEGER_0_3 */
static int hf_lte_rrc_nonCriticalExtension_126 = -1;  /* T_nonCriticalExtension_42 */
static int hf_lte_rrc_sc_mtch_InfoList_r14 = -1;  /* SC_MTCH_InfoList_BR_r14 */
static int hf_lte_rrc_scptm_NeighbourCellList_r14 = -1;  /* SCPTM_NeighbourCellList_r13 */
static int hf_lte_rrc_p_b_r14 = -1;               /* INTEGER_0_3 */
static int hf_lte_rrc_nonCriticalExtension_127 = -1;  /* T_nonCriticalExtension_43 */
static int hf_lte_rrc_criticalExtensions_38 = -1;  /* T_criticalExtensions_38 */
static int hf_lte_rrc_c1_38 = -1;                 /* T_c1_38 */
static int hf_lte_rrc_securityModeCommand_r8 = -1;  /* SecurityModeCommand_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_38 = -1;  /* T_criticalExtensionsFuture_38 */
static int hf_lte_rrc_securityConfigSMC = -1;     /* SecurityConfigSMC */
static int hf_lte_rrc_nonCriticalExtension_128 = -1;  /* SecurityModeCommand_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_129 = -1;  /* T_nonCriticalExtension_44 */
static int hf_lte_rrc_criticalExtensions_39 = -1;  /* T_criticalExtensions_39 */
static int hf_lte_rrc_securityModeComplete_r8 = -1;  /* SecurityModeComplete_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_39 = -1;  /* T_criticalExtensionsFuture_39 */
static int hf_lte_rrc_nonCriticalExtension_130 = -1;  /* SecurityModeComplete_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_131 = -1;  /* T_nonCriticalExtension_45 */
static int hf_lte_rrc_criticalExtensions_40 = -1;  /* T_criticalExtensions_40 */
static int hf_lte_rrc_securityModeFailure_r8 = -1;  /* SecurityModeFailure_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_40 = -1;  /* T_criticalExtensionsFuture_40 */
static int hf_lte_rrc_nonCriticalExtension_132 = -1;  /* SecurityModeFailure_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_133 = -1;  /* T_nonCriticalExtension_46 */
static int hf_lte_rrc_criticalExtensions_41 = -1;  /* T_criticalExtensions_41 */
static int hf_lte_rrc_c1_39 = -1;                 /* T_c1_39 */
static int hf_lte_rrc_sidelinkUEInformation_r12_02 = -1;  /* SidelinkUEInformation_r12_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_41 = -1;  /* T_criticalExtensionsFuture_41 */
static int hf_lte_rrc_commRxInterestedFreq_r12 = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_commTxResourceReq_r12 = -1;  /* SL_CommTxResourceReq_r12 */
static int hf_lte_rrc_discRxInterest_r12 = -1;    /* T_discRxInterest_r12 */
static int hf_lte_rrc_discTxResourceReq_r12 = -1;  /* INTEGER_1_63 */
static int hf_lte_rrc_nonCriticalExtension_134 = -1;  /* SidelinkUEInformation_v1310_IEs */
static int hf_lte_rrc_commTxResourceReqUC_r13 = -1;  /* SL_CommTxResourceReq_r12 */
static int hf_lte_rrc_commTxResourceInfoReqRelay_r13 = -1;  /* T_commTxResourceInfoReqRelay_r13 */
static int hf_lte_rrc_commTxResourceReqRelay_r13 = -1;  /* SL_CommTxResourceReq_r12 */
static int hf_lte_rrc_commTxResourceReqRelayUC_r13 = -1;  /* SL_CommTxResourceReq_r12 */
static int hf_lte_rrc_ue_Type_r13 = -1;           /* T_ue_Type_r13 */
static int hf_lte_rrc_discTxResourceReq_v1310 = -1;  /* T_discTxResourceReq_v1310 */
static int hf_lte_rrc_carrierFreqDiscTx_r13 = -1;  /* INTEGER_1_maxFreq */
static int hf_lte_rrc_discTxResourceReqAddFreq_r13 = -1;  /* SL_DiscTxResourceReqPerFreqList_r13 */
static int hf_lte_rrc_discTxResourceReqPS_r13 = -1;  /* SL_DiscTxResourceReq_r13 */
static int hf_lte_rrc_discRxGapReq_r13 = -1;      /* SL_GapRequest_r13 */
static int hf_lte_rrc_discTxGapReq_r13 = -1;      /* SL_GapRequest_r13 */
static int hf_lte_rrc_discSysInfoReportFreqList_r13 = -1;  /* SL_DiscSysInfoReportFreqList_r13 */
static int hf_lte_rrc_nonCriticalExtension_135 = -1;  /* SidelinkUEInformation_v1430_IEs */
static int hf_lte_rrc_v2x_CommRxInterestedFreqList_r14 = -1;  /* SL_V2X_CommFreqList_r14 */
static int hf_lte_rrc_p2x_CommTxType_r14 = -1;    /* T_p2x_CommTxType_r14 */
static int hf_lte_rrc_v2x_CommTxResourceReq_r14 = -1;  /* SL_V2X_CommTxFreqList_r14 */
static int hf_lte_rrc_nonCriticalExtension_136 = -1;  /* T_nonCriticalExtension_47 */
static int hf_lte_rrc_destinationInfoList_r12 = -1;  /* SL_DestinationInfoList_r12 */
static int hf_lte_rrc_SL_DiscTxResourceReqPerFreqList_r13_item = -1;  /* SL_DiscTxResourceReq_r13 */
static int hf_lte_rrc_discTxResourceReq_r13 = -1;  /* INTEGER_1_63 */
static int hf_lte_rrc_SL_DestinationInfoList_r12_item = -1;  /* SL_DestinationIdentity_r12 */
static int hf_lte_rrc_SL_DiscSysInfoReportFreqList_r13_item = -1;  /* SL_DiscSysInfoReport_r13 */
static int hf_lte_rrc_SL_V2X_CommFreqList_r14_item = -1;  /* INTEGER_0_maxFreqV2X_1_r14 */
static int hf_lte_rrc_SL_V2X_CommTxFreqList_r14_item = -1;  /* SL_V2X_CommTxResourceReq_r14 */
static int hf_lte_rrc_carrierFreqCommTx_r14 = -1;  /* INTEGER_0_maxFreqV2X_1_r14 */
static int hf_lte_rrc_v2x_TypeTxSync_r14 = -1;    /* SL_TypeTxSync_r14 */
static int hf_lte_rrc_v2x_DestinationInfoList_r14 = -1;  /* SL_DestinationInfoList_r12 */
static int hf_lte_rrc_criticalExtensions_42 = -1;  /* T_criticalExtensions_42 */
static int hf_lte_rrc_systemInformation_r8 = -1;  /* SystemInformation_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_42 = -1;  /* T_criticalExtensionsFuture_42 */
static int hf_lte_rrc_sib_TypeAndInfo = -1;       /* T_sib_TypeAndInfo */
static int hf_lte_rrc_sib_TypeAndInfo_item = -1;  /* T_sib_TypeAndInfo_item */
static int hf_lte_rrc_sib2 = -1;                  /* SystemInformationBlockType2 */
static int hf_lte_rrc_sib3 = -1;                  /* SystemInformationBlockType3 */
static int hf_lte_rrc_sib4 = -1;                  /* SystemInformationBlockType4 */
static int hf_lte_rrc_sib5 = -1;                  /* SystemInformationBlockType5 */
static int hf_lte_rrc_sib6 = -1;                  /* SystemInformationBlockType6 */
static int hf_lte_rrc_sib7 = -1;                  /* SystemInformationBlockType7 */
static int hf_lte_rrc_sib8 = -1;                  /* SystemInformationBlockType8 */
static int hf_lte_rrc_sib9 = -1;                  /* SystemInformationBlockType9 */
static int hf_lte_rrc_sib10 = -1;                 /* SystemInformationBlockType10 */
static int hf_lte_rrc_sib11 = -1;                 /* SystemInformationBlockType11 */
static int hf_lte_rrc_sib12_v920 = -1;            /* SystemInformationBlockType12_r9 */
static int hf_lte_rrc_sib13_v920 = -1;            /* SystemInformationBlockType13_r9 */
static int hf_lte_rrc_sib14_v1130 = -1;           /* SystemInformationBlockType14_r11 */
static int hf_lte_rrc_sib15_v1130 = -1;           /* SystemInformationBlockType15_r11 */
static int hf_lte_rrc_sib16_v1130 = -1;           /* SystemInformationBlockType16_r11 */
static int hf_lte_rrc_sib17_v1250 = -1;           /* SystemInformationBlockType17_r12 */
static int hf_lte_rrc_sib18_v1250 = -1;           /* SystemInformationBlockType18_r12 */
static int hf_lte_rrc_sib19_v1250 = -1;           /* SystemInformationBlockType19_r12 */
static int hf_lte_rrc_sib20_v1310 = -1;           /* SystemInformationBlockType20_r13 */
static int hf_lte_rrc_sib21_v1430 = -1;           /* SystemInformationBlockType21_r14 */
static int hf_lte_rrc_nonCriticalExtension_137 = -1;  /* SystemInformation_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_138 = -1;  /* T_nonCriticalExtension_48 */
static int hf_lte_rrc_cellAccessRelatedInfo = -1;  /* T_cellAccessRelatedInfo */
static int hf_lte_rrc_plmn_IdentityList = -1;     /* PLMN_IdentityList */
static int hf_lte_rrc_trackingAreaCode = -1;      /* TrackingAreaCode */
static int hf_lte_rrc_cellBarred = -1;            /* T_cellBarred */
static int hf_lte_rrc_intraFreqReselection = -1;  /* T_intraFreqReselection */
static int hf_lte_rrc_csg_Indication = -1;        /* BOOLEAN */
static int hf_lte_rrc_csg_Identity = -1;          /* CSG_Identity */
static int hf_lte_rrc_cellSelectionInfo = -1;     /* T_cellSelectionInfo */
static int hf_lte_rrc_q_RxLevMin = -1;            /* Q_RxLevMin */
static int hf_lte_rrc_q_RxLevMinOffset = -1;      /* INTEGER_1_8 */
static int hf_lte_rrc_p_Max = -1;                 /* P_Max */
static int hf_lte_rrc_freqBandIndicator = -1;     /* FreqBandIndicator */
static int hf_lte_rrc_schedulingInfoList = -1;    /* SchedulingInfoList */
static int hf_lte_rrc_tdd_Config = -1;            /* TDD_Config */
static int hf_lte_rrc_si_WindowLength = -1;       /* T_si_WindowLength */
static int hf_lte_rrc_systemInfoValueTag = -1;    /* T_systemInfoValueTag */
static int hf_lte_rrc_nonCriticalExtension_139 = -1;  /* SystemInformationBlockType1_v890_IEs */
static int hf_lte_rrc_lateNonCriticalExtension_05 = -1;  /* T_lateNonCriticalExtension_04 */
static int hf_lte_rrc_nonCriticalExtension_140 = -1;  /* SystemInformationBlockType1_v920_IEs */
static int hf_lte_rrc_multiBandInfoList = -1;     /* MultiBandInfoList */
static int hf_lte_rrc_nonCriticalExtension_141 = -1;  /* SystemInformationBlockType1_v9e0_IEs */
static int hf_lte_rrc_freqBandIndicator_v9e0 = -1;  /* FreqBandIndicator_v9e0 */
static int hf_lte_rrc_multiBandInfoList_v9e0 = -1;  /* MultiBandInfoList_v9e0 */
static int hf_lte_rrc_nonCriticalExtension_142 = -1;  /* SystemInformationBlockType1_v10j0_IEs */
static int hf_lte_rrc_freqBandInfo_r10 = -1;      /* NS_PmaxList_r10 */
static int hf_lte_rrc_multiBandInfoList_v10j0 = -1;  /* MultiBandInfoList_v10j0 */
static int hf_lte_rrc_nonCriticalExtension_143 = -1;  /* SystemInformationBlockType1_v10l0_IEs */
static int hf_lte_rrc_freqBandInfo_v10l0 = -1;    /* NS_PmaxList_v10l0 */
static int hf_lte_rrc_multiBandInfoList_v10l0 = -1;  /* MultiBandInfoList_v10l0 */
static int hf_lte_rrc_nonCriticalExtension_144 = -1;  /* T_nonCriticalExtension_49 */
static int hf_lte_rrc_ims_EmergencySupport_r9 = -1;  /* T_ims_EmergencySupport_r9 */
static int hf_lte_rrc_cellSelectionInfo_v920 = -1;  /* CellSelectionInfo_v920 */
static int hf_lte_rrc_nonCriticalExtension_145 = -1;  /* SystemInformationBlockType1_v1130_IEs */
static int hf_lte_rrc_tdd_Config_v1130 = -1;      /* TDD_Config_v1130 */
static int hf_lte_rrc_cellSelectionInfo_v1130 = -1;  /* CellSelectionInfo_v1130 */
static int hf_lte_rrc_nonCriticalExtension_146 = -1;  /* SystemInformationBlockType1_v1250_IEs */
static int hf_lte_rrc_cellAccessRelatedInfo_v1250 = -1;  /* T_cellAccessRelatedInfo_v1250 */
static int hf_lte_rrc_category0Allowed_r12 = -1;  /* T_category0Allowed_r12 */
static int hf_lte_rrc_cellSelectionInfo_v1250 = -1;  /* CellSelectionInfo_v1250 */
static int hf_lte_rrc_freqBandIndicatorPriority_r12 = -1;  /* T_freqBandIndicatorPriority_r12 */
static int hf_lte_rrc_nonCriticalExtension_147 = -1;  /* SystemInformationBlockType1_v1310_IEs */
static int hf_lte_rrc_hyperSFN_r13 = -1;          /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_eDRX_Allowed_r13 = -1;      /* T_eDRX_Allowed_r13 */
static int hf_lte_rrc_cellSelectionInfoCE_r13 = -1;  /* CellSelectionInfoCE_r13 */
static int hf_lte_rrc_bandwidthReducedAccessRelatedInfo_r13 = -1;  /* T_bandwidthReducedAccessRelatedInfo_r13 */
static int hf_lte_rrc_si_WindowLength_BR_r13 = -1;  /* T_si_WindowLength_BR_r13 */
static int hf_lte_rrc_si_RepetitionPattern_r13 = -1;  /* T_si_RepetitionPattern_r13 */
static int hf_lte_rrc_schedulingInfoList_BR_r13 = -1;  /* SchedulingInfoList_BR_r13 */
static int hf_lte_rrc_fdd_DownlinkOrTddSubframeBitmapBR_r13 = -1;  /* T_fdd_DownlinkOrTddSubframeBitmapBR_r13 */
static int hf_lte_rrc_subframePattern10_r13 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_subframePattern40_r13 = -1;  /* BIT_STRING_SIZE_40 */
static int hf_lte_rrc_fdd_UplinkSubframeBitmapBR_r13 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_startSymbolBR_r13 = -1;     /* INTEGER_1_4 */
static int hf_lte_rrc_si_HoppingConfigCommon_r13 = -1;  /* T_si_HoppingConfigCommon_r13 */
static int hf_lte_rrc_si_ValidityTime_r13 = -1;   /* T_si_ValidityTime_r13 */
static int hf_lte_rrc_systemInfoValueTagList_r13 = -1;  /* SystemInfoValueTagList_r13 */
static int hf_lte_rrc_nonCriticalExtension_148 = -1;  /* SystemInformationBlockType1_v1320_IEs */
static int hf_lte_rrc_freqHoppingParametersDL_r13 = -1;  /* T_freqHoppingParametersDL_r13 */
static int hf_lte_rrc_mpdcch_pdsch_HoppingNB_r13 = -1;  /* T_mpdcch_pdsch_HoppingNB_r13 */
static int hf_lte_rrc_interval_DLHoppingConfigCommonModeA_r13 = -1;  /* T_interval_DLHoppingConfigCommonModeA_r13 */
static int hf_lte_rrc_interval_FDD_r13 = -1;      /* T_interval_FDD_r13 */
static int hf_lte_rrc_interval_TDD_r13 = -1;      /* T_interval_TDD_r13 */
static int hf_lte_rrc_interval_DLHoppingConfigCommonModeB_r13 = -1;  /* T_interval_DLHoppingConfigCommonModeB_r13 */
static int hf_lte_rrc_interval_FDD_r13_01 = -1;   /* T_interval_FDD_r13_01 */
static int hf_lte_rrc_interval_TDD_r13_01 = -1;   /* T_interval_TDD_r13_01 */
static int hf_lte_rrc_mpdcch_pdsch_HoppingOffset_r13 = -1;  /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_nonCriticalExtension_149 = -1;  /* SystemInformationBlockType1_v1350_IEs */
static int hf_lte_rrc_cellSelectionInfoCE1_r13 = -1;  /* CellSelectionInfoCE1_r13 */
static int hf_lte_rrc_nonCriticalExtension_150 = -1;  /* SystemInformationBlockType1_v1360_IEs */
static int hf_lte_rrc_cellSelectionInfoCE1_v1360 = -1;  /* CellSelectionInfoCE1_v1360 */
static int hf_lte_rrc_nonCriticalExtension_151 = -1;  /* SystemInformationBlockType1_v1430_IEs */
static int hf_lte_rrc_eCallOverIMS_Support_r14 = -1;  /* T_eCallOverIMS_Support_r14 */
static int hf_lte_rrc_tdd_Config_v1430 = -1;      /* TDD_Config_v1430 */
static int hf_lte_rrc_cellAccessRelatedInfoList_r14 = -1;  /* SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14 */
static int hf_lte_rrc_cellAccessRelatedInfoList_r14_item = -1;  /* CellAccessRelatedInfo_r14 */
static int hf_lte_rrc_nonCriticalExtension_152 = -1;  /* SystemInformationBlockType1_v1450_IEs */
static int hf_lte_rrc_tdd_Config_v1450 = -1;      /* TDD_Config_v1450 */
static int hf_lte_rrc_nonCriticalExtension_153 = -1;  /* T_nonCriticalExtension_50 */
static int hf_lte_rrc_PLMN_IdentityList_item = -1;  /* PLMN_IdentityInfo */
static int hf_lte_rrc_cellReservedForOperatorUse = -1;  /* T_cellReservedForOperatorUse */
static int hf_lte_rrc_SchedulingInfoList_item = -1;  /* SchedulingInfo */
static int hf_lte_rrc_si_Periodicity = -1;        /* T_si_Periodicity */
static int hf_lte_rrc_sib_MappingInfo = -1;       /* SIB_MappingInfo */
static int hf_lte_rrc_SchedulingInfoList_BR_r13_item = -1;  /* SchedulingInfo_BR_r13 */
static int hf_lte_rrc_si_Narrowband_r13 = -1;     /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_si_TBS_r13 = -1;            /* T_si_TBS_r13 */
static int hf_lte_rrc_SIB_MappingInfo_item = -1;  /* SIB_Type */
static int hf_lte_rrc_SystemInfoValueTagList_r13_item = -1;  /* SystemInfoValueTagSI_r13 */
static int hf_lte_rrc_q_QualMin_r9 = -1;          /* Q_QualMin_r9 */
static int hf_lte_rrc_q_QualMinOffset_r9 = -1;    /* INTEGER_1_8 */
static int hf_lte_rrc_q_QualMinWB_r11 = -1;       /* Q_QualMin_r9 */
static int hf_lte_rrc_q_QualMinRSRQ_OnAllSymbols_r12 = -1;  /* Q_QualMin_r9 */
static int hf_lte_rrc_plmn_IdentityList_r14 = -1;  /* PLMN_IdentityList */
static int hf_lte_rrc_trackingAreaCode_r14 = -1;  /* TrackingAreaCode */
static int hf_lte_rrc_cellIdentity_r14 = -1;      /* CellIdentity */
static int hf_lte_rrc_cellAccessRelatedInfo_r14 = -1;  /* T_cellAccessRelatedInfo_r14 */
static int hf_lte_rrc_plmn_IdentityList_r14_01 = -1;  /* PLMN_IdentityList_MBMS_r14 */
static int hf_lte_rrc_freqBandIndicator_r14 = -1;  /* FreqBandIndicator_r11 */
static int hf_lte_rrc_multiBandInfoList_r14 = -1;  /* MultiBandInfoList_r11 */
static int hf_lte_rrc_schedulingInfoList_MBMS_r14 = -1;  /* SchedulingInfoList_MBMS_r14 */
static int hf_lte_rrc_si_WindowLength_r14 = -1;   /* T_si_WindowLength_r14 */
static int hf_lte_rrc_systemInfoValueTag_r14 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_nonMBSFN_SubframeConfig_r14 = -1;  /* NonMBSFN_SubframeConfig_r14 */
static int hf_lte_rrc_pdsch_ConfigCommon_r14 = -1;  /* PDSCH_ConfigCommon */
static int hf_lte_rrc_systemInformationBlockType13_r14 = -1;  /* SystemInformationBlockType13_r9 */
static int hf_lte_rrc_nonCriticalExtension_154 = -1;  /* T_nonCriticalExtension_51 */
static int hf_lte_rrc_PLMN_IdentityList_MBMS_r14_item = -1;  /* PLMN_Identity */
static int hf_lte_rrc_SchedulingInfoList_MBMS_r14_item = -1;  /* SchedulingInfo_MBMS_r14 */
static int hf_lte_rrc_si_Periodicity_r14 = -1;    /* T_si_Periodicity_r14 */
static int hf_lte_rrc_sib_MappingInfo_r14 = -1;   /* SIB_MappingInfo_MBMS_r14 */
static int hf_lte_rrc_SIB_MappingInfo_MBMS_r14_item = -1;  /* SIB_Type_MBMS_r14 */
static int hf_lte_rrc_radioFrameAllocationPeriod_r14 = -1;  /* T_radioFrameAllocationPeriod_r14 */
static int hf_lte_rrc_radioFrameAllocationOffset_r14 = -1;  /* INTEGER_0_7 */
static int hf_lte_rrc_subframeAllocation_r14 = -1;  /* BIT_STRING_SIZE_9 */
static int hf_lte_rrc_criticalExtensions_43 = -1;  /* T_criticalExtensions_43 */
static int hf_lte_rrc_c1_40 = -1;                 /* T_c1_40 */
static int hf_lte_rrc_ueAssistanceInformation_r11_01 = -1;  /* UEAssistanceInformation_r11_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_43 = -1;  /* T_criticalExtensionsFuture_43 */
static int hf_lte_rrc_powerPrefIndication_r11_01 = -1;  /* T_powerPrefIndication_r11_01 */
static int hf_lte_rrc_nonCriticalExtension_155 = -1;  /* UEAssistanceInformation_v1430_IEs */
static int hf_lte_rrc_bw_Preference_r14 = -1;     /* BW_Preference_r14 */
static int hf_lte_rrc_sps_AssistanceInformation_r14 = -1;  /* T_sps_AssistanceInformation_r14 */
static int hf_lte_rrc_trafficPatternInfoListSL_r14 = -1;  /* TrafficPatternInfoList_r14 */
static int hf_lte_rrc_trafficPatternInfoListUL_r14 = -1;  /* TrafficPatternInfoList_r14 */
static int hf_lte_rrc_rlm_Report_r14 = -1;        /* T_rlm_Report_r14 */
static int hf_lte_rrc_rlm_Event_r14 = -1;         /* T_rlm_Event_r14 */
static int hf_lte_rrc_excessRep_MPDCCH_r14 = -1;  /* T_excessRep_MPDCCH_r14 */
static int hf_lte_rrc_delayBudgetReport_r14 = -1;  /* DelayBudgetReport_r14 */
static int hf_lte_rrc_nonCriticalExtension_156 = -1;  /* UEAssistanceInformation_v1450_IEs */
static int hf_lte_rrc_overheatingAssistance_r14 = -1;  /* OverheatingAssistance_r14 */
static int hf_lte_rrc_nonCriticalExtension_157 = -1;  /* T_nonCriticalExtension_52 */
static int hf_lte_rrc_dl_Preference_r14 = -1;     /* T_dl_Preference_r14 */
static int hf_lte_rrc_ul_Preference_r14 = -1;     /* T_ul_Preference_r14 */
static int hf_lte_rrc_TrafficPatternInfoList_r14_item = -1;  /* TrafficPatternInfo_r14 */
static int hf_lte_rrc_trafficPeriodicity_r14 = -1;  /* T_trafficPeriodicity_r14 */
static int hf_lte_rrc_timingOffset_r14 = -1;      /* INTEGER_0_10239 */
static int hf_lte_rrc_priorityInfoSL_r14 = -1;    /* SL_Priority_r13 */
static int hf_lte_rrc_logicalChannelIdentityUL_r14 = -1;  /* INTEGER_3_10 */
static int hf_lte_rrc_messageSize_r14 = -1;       /* T_messageSize_r14 */
static int hf_lte_rrc_type1 = -1;                 /* T_type1 */
static int hf_lte_rrc_type2 = -1;                 /* T_type2 */
static int hf_lte_rrc_reducedUE_Category = -1;    /* T_reducedUE_Category */
static int hf_lte_rrc_reducedUE_CategoryDL = -1;  /* INTEGER_0_19 */
static int hf_lte_rrc_reducedUE_CategoryUL = -1;  /* INTEGER_0_21 */
static int hf_lte_rrc_reducedMaxCCs = -1;         /* T_reducedMaxCCs */
static int hf_lte_rrc_reducedCCsDL = -1;          /* INTEGER_0_31 */
static int hf_lte_rrc_reducedCCsUL = -1;          /* INTEGER_0_31 */
static int hf_lte_rrc_criticalExtensions_44 = -1;  /* T_criticalExtensions_44 */
static int hf_lte_rrc_c1_41 = -1;                 /* T_c1_41 */
static int hf_lte_rrc_ueCapabilityEnquiry_r8 = -1;  /* UECapabilityEnquiry_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_44 = -1;  /* T_criticalExtensionsFuture_44 */
static int hf_lte_rrc_ue_CapabilityRequest = -1;  /* UE_CapabilityRequest */
static int hf_lte_rrc_nonCriticalExtension_158 = -1;  /* UECapabilityEnquiry_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_159 = -1;  /* UECapabilityEnquiry_v1180_IEs */
static int hf_lte_rrc_requestedFrequencyBands_r11 = -1;  /* SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11 */
static int hf_lte_rrc_requestedFrequencyBands_r11_item = -1;  /* FreqBandIndicator_r11 */
static int hf_lte_rrc_nonCriticalExtension_160 = -1;  /* UECapabilityEnquiry_v1310_IEs */
static int hf_lte_rrc_requestReducedFormat_r13 = -1;  /* T_requestReducedFormat_r13 */
static int hf_lte_rrc_requestSkipFallbackComb_r13 = -1;  /* T_requestSkipFallbackComb_r13 */
static int hf_lte_rrc_requestedMaxCCsDL_r13 = -1;  /* INTEGER_2_32 */
static int hf_lte_rrc_requestedMaxCCsUL_r13 = -1;  /* INTEGER_2_32 */
static int hf_lte_rrc_requestReducedIntNonContComb_r13 = -1;  /* T_requestReducedIntNonContComb_r13 */
static int hf_lte_rrc_nonCriticalExtension_161 = -1;  /* UECapabilityEnquiry_v1430_IEs */
static int hf_lte_rrc_requestDiffFallbackCombList_r14 = -1;  /* BandCombinationList_r14 */
static int hf_lte_rrc_nonCriticalExtension_162 = -1;  /* UECapabilityEnquiry_v15x0_IEs */
static int hf_lte_rrc_requestedFreqBandsNR_MRDC_r15 = -1;  /* OCTET_STRING */
static int hf_lte_rrc_nonCriticalExtension_163 = -1;  /* T_nonCriticalExtension_53 */
static int hf_lte_rrc_UE_CapabilityRequest_item = -1;  /* RAT_Type */
static int hf_lte_rrc_criticalExtensions_45 = -1;  /* T_criticalExtensions_45 */
static int hf_lte_rrc_c1_42 = -1;                 /* T_c1_42 */
static int hf_lte_rrc_ueCapabilityInformation_r8 = -1;  /* UECapabilityInformation_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_45 = -1;  /* T_criticalExtensionsFuture_45 */
static int hf_lte_rrc_ue_CapabilityRAT_ContainerList = -1;  /* UE_CapabilityRAT_ContainerList */
static int hf_lte_rrc_nonCriticalExtension_164 = -1;  /* UECapabilityInformation_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_165 = -1;  /* UECapabilityInformation_v1250_IEs */
static int hf_lte_rrc_ue_RadioPagingInfo_r12_01 = -1;  /* UE_RadioPagingInfo_r12 */
static int hf_lte_rrc_nonCriticalExtension_166 = -1;  /* T_nonCriticalExtension_54 */
static int hf_lte_rrc_criticalExtensions_46 = -1;  /* T_criticalExtensions_46 */
static int hf_lte_rrc_c1_43 = -1;                 /* T_c1_43 */
static int hf_lte_rrc_ueInformationRequest_r9_01 = -1;  /* UEInformationRequest_r9_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_46 = -1;  /* T_criticalExtensionsFuture_46 */
static int hf_lte_rrc_rach_ReportReq_r9 = -1;     /* BOOLEAN */
static int hf_lte_rrc_rlf_ReportReq_r9 = -1;      /* BOOLEAN */
static int hf_lte_rrc_nonCriticalExtension_167 = -1;  /* UEInformationRequest_v930_IEs */
static int hf_lte_rrc_nonCriticalExtension_168 = -1;  /* UEInformationRequest_v1020_IEs */
static int hf_lte_rrc_logMeasReportReq_r10 = -1;  /* T_logMeasReportReq_r10 */
static int hf_lte_rrc_nonCriticalExtension_169 = -1;  /* UEInformationRequest_v1130_IEs */
static int hf_lte_rrc_connEstFailReportReq_r11 = -1;  /* T_connEstFailReportReq_r11 */
static int hf_lte_rrc_nonCriticalExtension_170 = -1;  /* UEInformationRequest_v1250_IEs */
static int hf_lte_rrc_mobilityHistoryReportReq_r12 = -1;  /* T_mobilityHistoryReportReq_r12 */
static int hf_lte_rrc_nonCriticalExtension_171 = -1;  /* T_nonCriticalExtension_55 */
static int hf_lte_rrc_criticalExtensions_47 = -1;  /* T_criticalExtensions_47 */
static int hf_lte_rrc_c1_44 = -1;                 /* T_c1_44 */
static int hf_lte_rrc_ueInformationResponse_r9_01 = -1;  /* UEInformationResponse_r9_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_47 = -1;  /* T_criticalExtensionsFuture_47 */
static int hf_lte_rrc_rach_Report_r9 = -1;        /* T_rach_Report_r9 */
static int hf_lte_rrc_numberOfPreamblesSent_r9 = -1;  /* NumberOfPreamblesSent_r11 */
static int hf_lte_rrc_contentionDetected_r9 = -1;  /* BOOLEAN */
static int hf_lte_rrc_rlf_Report_r9 = -1;         /* RLF_Report_r9 */
static int hf_lte_rrc_nonCriticalExtension_172 = -1;  /* UEInformationResponse_v930_IEs */
static int hf_lte_rrc_rlf_Report_v9e0 = -1;       /* RLF_Report_v9e0 */
static int hf_lte_rrc_nonCriticalExtension_173 = -1;  /* T_nonCriticalExtension_56 */
static int hf_lte_rrc_lateNonCriticalExtension_06 = -1;  /* T_lateNonCriticalExtension_05 */
static int hf_lte_rrc_nonCriticalExtension_174 = -1;  /* UEInformationResponse_v1020_IEs */
static int hf_lte_rrc_logMeasReport_r10 = -1;     /* LogMeasReport_r10 */
static int hf_lte_rrc_nonCriticalExtension_175 = -1;  /* UEInformationResponse_v1130_IEs */
static int hf_lte_rrc_connEstFailReport_r11 = -1;  /* ConnEstFailReport_r11 */
static int hf_lte_rrc_nonCriticalExtension_176 = -1;  /* UEInformationResponse_v1250_IEs */
static int hf_lte_rrc_mobilityHistoryReport_r12 = -1;  /* MobilityHistoryReport_r12 */
static int hf_lte_rrc_nonCriticalExtension_177 = -1;  /* T_nonCriticalExtension_57 */
static int hf_lte_rrc_measResultLastServCell_r9 = -1;  /* T_measResultLastServCell_r9 */
static int hf_lte_rrc_rsrpResult_r9 = -1;         /* RSRP_Range */
static int hf_lte_rrc_rsrqResult_r9 = -1;         /* RSRQ_Range */
static int hf_lte_rrc_measResultNeighCells_r9 = -1;  /* T_measResultNeighCells_r9 */
static int hf_lte_rrc_measResultListEUTRA_r9 = -1;  /* MeasResultList2EUTRA_r9 */
static int hf_lte_rrc_measResultListUTRA_r9 = -1;  /* MeasResultList2UTRA_r9 */
static int hf_lte_rrc_measResultListGERAN_r9 = -1;  /* MeasResultListGERAN */
static int hf_lte_rrc_measResultsCDMA2000_r9 = -1;  /* MeasResultList2CDMA2000_r9 */
static int hf_lte_rrc_locationInfo_r10 = -1;      /* LocationInfo_r10 */
static int hf_lte_rrc_failedPCellId_r10 = -1;     /* T_failedPCellId_r10 */
static int hf_lte_rrc_cellGlobalId_r10 = -1;      /* CellGlobalIdEUTRA */
static int hf_lte_rrc_pci_arfcn_r10 = -1;         /* T_pci_arfcn_r10 */
static int hf_lte_rrc_reestablishmentCellId_r10 = -1;  /* CellGlobalIdEUTRA */
static int hf_lte_rrc_timeConnFailure_r10 = -1;   /* INTEGER_0_1023 */
static int hf_lte_rrc_connectionFailureType_r10 = -1;  /* T_connectionFailureType_r10 */
static int hf_lte_rrc_previousPCellId_r10 = -1;   /* CellGlobalIdEUTRA */
static int hf_lte_rrc_failedPCellId_v1090 = -1;   /* T_failedPCellId_v1090 */
static int hf_lte_rrc_basicFields_r11 = -1;       /* T_basicFields_r11 */
static int hf_lte_rrc_c_RNTI_r11 = -1;            /* C_RNTI */
static int hf_lte_rrc_rlf_Cause_r11 = -1;         /* T_rlf_Cause_r11 */
static int hf_lte_rrc_timeSinceFailure_r11 = -1;  /* TimeSinceFailure_r11 */
static int hf_lte_rrc_previousUTRA_CellId_r11 = -1;  /* T_previousUTRA_CellId_r11 */
static int hf_lte_rrc_carrierFreq_r11_01 = -1;    /* ARFCN_ValueUTRA */
static int hf_lte_rrc_physCellId_r11 = -1;        /* T_physCellId_r11 */
static int hf_lte_rrc_fdd_r11 = -1;               /* PhysCellIdUTRA_FDD */
static int hf_lte_rrc_tdd_r11 = -1;               /* PhysCellIdUTRA_TDD */
static int hf_lte_rrc_cellGlobalId_r11 = -1;      /* CellGlobalIdUTRA */
static int hf_lte_rrc_selectedUTRA_CellId_r11 = -1;  /* T_selectedUTRA_CellId_r11 */
static int hf_lte_rrc_physCellId_r11_01 = -1;     /* T_physCellId_r11_01 */
static int hf_lte_rrc_failedPCellId_v1250 = -1;   /* T_failedPCellId_v1250 */
static int hf_lte_rrc_tac_FailedPCell_r12 = -1;   /* TrackingAreaCode */
static int hf_lte_rrc_measResultLastServCell_v1250 = -1;  /* RSRQ_Range_v1250 */
static int hf_lte_rrc_lastServCellRSRQ_Type_r12 = -1;  /* RSRQ_Type_r12 */
static int hf_lte_rrc_measResultListEUTRA_v1250 = -1;  /* MeasResultList2EUTRA_v1250 */
static int hf_lte_rrc_drb_EstablishedWithQCI_1_r13 = -1;  /* T_drb_EstablishedWithQCI_1_r13 */
static int hf_lte_rrc_measResultLastServCell_v1360 = -1;  /* RSRP_Range_v1360 */
static int hf_lte_rrc_measResultListEUTRA_v9e0 = -1;  /* MeasResultList2EUTRA_v9e0 */
static int hf_lte_rrc_MeasResultList2EUTRA_r9_item = -1;  /* MeasResult2EUTRA_r9 */
static int hf_lte_rrc_MeasResultList2EUTRA_v9e0_item = -1;  /* MeasResult2EUTRA_v9e0 */
static int hf_lte_rrc_MeasResultList2EUTRA_v1250_item = -1;  /* MeasResult2EUTRA_v1250 */
static int hf_lte_rrc_carrierFreq_r9_02 = -1;     /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_measResultList_r9 = -1;     /* MeasResultListEUTRA */
static int hf_lte_rrc_rsrq_Type_r12 = -1;         /* RSRQ_Type_r12 */
static int hf_lte_rrc_MeasResultList2UTRA_r9_item = -1;  /* MeasResult2UTRA_r9 */
static int hf_lte_rrc_carrierFreq_r9_03 = -1;     /* ARFCN_ValueUTRA */
static int hf_lte_rrc_measResultList_r9_01 = -1;  /* MeasResultListUTRA */
static int hf_lte_rrc_MeasResultList2CDMA2000_r9_item = -1;  /* MeasResult2CDMA2000_r9 */
static int hf_lte_rrc_carrierFreq_r9_04 = -1;     /* CarrierFreqCDMA2000 */
static int hf_lte_rrc_measResultList_r9_02 = -1;  /* MeasResultsCDMA2000 */
static int hf_lte_rrc_absoluteTimeStamp_r10 = -1;  /* AbsoluteTimeInfo_r10 */
static int hf_lte_rrc_logMeasInfoList_r10 = -1;   /* LogMeasInfoList_r10 */
static int hf_lte_rrc_logMeasAvailable_r10_03 = -1;  /* T_logMeasAvailable_r10_03 */
static int hf_lte_rrc_LogMeasInfoList_r10_item = -1;  /* LogMeasInfo_r10 */
static int hf_lte_rrc_relativeTimeStamp_r10 = -1;  /* INTEGER_0_7200 */
static int hf_lte_rrc_servCellIdentity_r10 = -1;  /* CellGlobalIdEUTRA */
static int hf_lte_rrc_measResultServCell_r10 = -1;  /* T_measResultServCell_r10 */
static int hf_lte_rrc_measResultNeighCells_r10 = -1;  /* T_measResultNeighCells_r10 */
static int hf_lte_rrc_measResultListEUTRA_r10 = -1;  /* MeasResultList2EUTRA_r9 */
static int hf_lte_rrc_measResultListUTRA_r10 = -1;  /* MeasResultList2UTRA_r9 */
static int hf_lte_rrc_measResultListGERAN_r10 = -1;  /* MeasResultList2GERAN_r10 */
static int hf_lte_rrc_measResultListCDMA2000_r10 = -1;  /* MeasResultList2CDMA2000_r9 */
static int hf_lte_rrc_measResultListEUTRA_v1090 = -1;  /* MeasResultList2EUTRA_v9e0 */
static int hf_lte_rrc_measResultListMBSFN_r12 = -1;  /* MeasResultListMBSFN_r12 */
static int hf_lte_rrc_measResultServCell_v1250 = -1;  /* RSRQ_Range_v1250 */
static int hf_lte_rrc_servCellRSRQ_Type_r12 = -1;  /* RSRQ_Type_r12 */
static int hf_lte_rrc_inDeviceCoexDetected_r13 = -1;  /* T_inDeviceCoexDetected_r13 */
static int hf_lte_rrc_measResultServCell_v1360 = -1;  /* RSRP_Range_v1360 */
static int hf_lte_rrc_MeasResultListMBSFN_r12_item = -1;  /* MeasResultMBSFN_r12 */
static int hf_lte_rrc_mbsfn_Area_r12 = -1;        /* T_mbsfn_Area_r12 */
static int hf_lte_rrc_rsrpResultMBSFN_r12 = -1;   /* RSRP_Range */
static int hf_lte_rrc_rsrqResultMBSFN_r12 = -1;   /* MBSFN_RSRQ_Range_r12 */
static int hf_lte_rrc_signallingBLER_Result_r12 = -1;  /* BLER_Result_r12 */
static int hf_lte_rrc_dataBLER_MCH_ResultList_r12 = -1;  /* DataBLER_MCH_ResultList_r12 */
static int hf_lte_rrc_DataBLER_MCH_ResultList_r12_item = -1;  /* DataBLER_MCH_Result_r12 */
static int hf_lte_rrc_mch_Index_r12 = -1;         /* INTEGER_1_maxPMCH_PerMBSFN */
static int hf_lte_rrc_dataBLER_Result_r12 = -1;   /* BLER_Result_r12 */
static int hf_lte_rrc_bler_r12 = -1;              /* BLER_Range_r12 */
static int hf_lte_rrc_blocksReceived_r12 = -1;    /* T_blocksReceived_r12 */
static int hf_lte_rrc_n_r12 = -1;                 /* T_n_r12 */
static int hf_lte_rrc_m_r12 = -1;                 /* T_m_r12 */
static int hf_lte_rrc_MeasResultList2GERAN_r10_item = -1;  /* MeasResultListGERAN */
static int hf_lte_rrc_failedCellId_r11 = -1;      /* CellGlobalIdEUTRA */
static int hf_lte_rrc_locationInfo_r11 = -1;      /* LocationInfo_r10 */
static int hf_lte_rrc_measResultFailedCell_r11 = -1;  /* T_measResultFailedCell_r11 */
static int hf_lte_rrc_rsrpResult_r11 = -1;        /* RSRP_Range */
static int hf_lte_rrc_rsrqResult_r11 = -1;        /* RSRQ_Range */
static int hf_lte_rrc_measResultNeighCells_r11 = -1;  /* T_measResultNeighCells_r11 */
static int hf_lte_rrc_measResultListEUTRA_r11 = -1;  /* MeasResultList2EUTRA_r9 */
static int hf_lte_rrc_measResultListUTRA_r11 = -1;  /* MeasResultList2UTRA_r9 */
static int hf_lte_rrc_measResultListGERAN_r11 = -1;  /* MeasResultListGERAN */
static int hf_lte_rrc_measResultsCDMA2000_r11 = -1;  /* MeasResultList2CDMA2000_r9 */
static int hf_lte_rrc_numberOfPreamblesSent_r11 = -1;  /* NumberOfPreamblesSent_r11 */
static int hf_lte_rrc_contentionDetected_r11 = -1;  /* BOOLEAN */
static int hf_lte_rrc_maxTxPowerReached_r11 = -1;  /* BOOLEAN */
static int hf_lte_rrc_measResultListEUTRA_v1130 = -1;  /* MeasResultList2EUTRA_v9e0 */
static int hf_lte_rrc_measResultFailedCell_v1250 = -1;  /* RSRQ_Range_v1250 */
static int hf_lte_rrc_failedCellRSRQ_Type_r12 = -1;  /* RSRQ_Type_r12 */
static int hf_lte_rrc_measResultFailedCell_v1360 = -1;  /* RSRP_Range_v1360 */
static int hf_lte_rrc_criticalExtensions_48 = -1;  /* T_criticalExtensions_48 */
static int hf_lte_rrc_c1_45 = -1;                 /* T_c1_45 */
static int hf_lte_rrc_ulHandoverPreparationTransfer_r8 = -1;  /* ULHandoverPreparationTransfer_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_48 = -1;  /* T_criticalExtensionsFuture_48 */
static int hf_lte_rrc_meid = -1;                  /* BIT_STRING_SIZE_56 */
static int hf_lte_rrc_dedicatedInfo = -1;         /* DedicatedInfoCDMA2000 */
static int hf_lte_rrc_nonCriticalExtension_178 = -1;  /* ULHandoverPreparationTransfer_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_179 = -1;  /* T_nonCriticalExtension_58 */
static int hf_lte_rrc_criticalExtensions_49 = -1;  /* T_criticalExtensions_49 */
static int hf_lte_rrc_c1_46 = -1;                 /* T_c1_46 */
static int hf_lte_rrc_ulInformationTransfer_r8 = -1;  /* ULInformationTransfer_r8_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_49 = -1;  /* T_criticalExtensionsFuture_49 */
static int hf_lte_rrc_dedicatedInfoType_01 = -1;  /* T_dedicatedInfoType_01 */
static int hf_lte_rrc_nonCriticalExtension_180 = -1;  /* ULInformationTransfer_v8a0_IEs */
static int hf_lte_rrc_nonCriticalExtension_181 = -1;  /* T_nonCriticalExtension_59 */
static int hf_lte_rrc_criticalExtensions_50 = -1;  /* T_criticalExtensions_50 */
static int hf_lte_rrc_c1_47 = -1;                 /* T_c1_47 */
static int hf_lte_rrc_ulInformationTransferMRDC_r15_01 = -1;  /* ULInformationTransferMRDC_r15_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_50 = -1;  /* T_criticalExtensionsFuture_50 */
static int hf_lte_rrc_ul_DCCH_MessageNR_r15 = -1;  /* T_ul_DCCH_MessageNR_r15 */
static int hf_lte_rrc_nonCriticalExtension_182 = -1;  /* T_nonCriticalExtension_60 */
static int hf_lte_rrc_criticalExtensions_51 = -1;  /* T_criticalExtensions_51 */
static int hf_lte_rrc_c1_48 = -1;                 /* T_c1_48 */
static int hf_lte_rrc_wlanConnectionStatusReport_r13_02 = -1;  /* WLANConnectionStatusReport_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_51 = -1;  /* T_criticalExtensionsFuture_51 */
static int hf_lte_rrc_wlan_Status_r13 = -1;       /* WLAN_Status_r13 */
static int hf_lte_rrc_nonCriticalExtension_183 = -1;  /* WLANConnectionStatusReport_v1430_IEs */
static int hf_lte_rrc_wlan_Status_v1430 = -1;     /* WLAN_Status_v1430 */
static int hf_lte_rrc_nonCriticalExtension_184 = -1;  /* T_nonCriticalExtension_61 */
static int hf_lte_rrc_ac_BarringInfo = -1;        /* T_ac_BarringInfo */
static int hf_lte_rrc_ac_BarringForEmergency = -1;  /* BOOLEAN */
static int hf_lte_rrc_ac_BarringForMO_Signalling = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_ac_BarringForMO_Data = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_radioResourceConfigCommon = -1;  /* RadioResourceConfigCommonSIB */
static int hf_lte_rrc_ue_TimersAndConstants = -1;  /* UE_TimersAndConstants */
static int hf_lte_rrc_freqInfo = -1;              /* T_freqInfo */
static int hf_lte_rrc_ul_CarrierFreq = -1;        /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_ul_Bandwidth = -1;          /* T_ul_Bandwidth */
static int hf_lte_rrc_additionalSpectrumEmission = -1;  /* AdditionalSpectrumEmission */
static int hf_lte_rrc_mbsfn_SubframeConfigList = -1;  /* MBSFN_SubframeConfigList */
static int hf_lte_rrc_timeAlignmentTimerCommon = -1;  /* TimeAlignmentTimer */
static int hf_lte_rrc_lateNonCriticalExtension_07 = -1;  /* T_lateNonCriticalExtension_06 */
static int hf_lte_rrc_ssac_BarringForMMTEL_Voice_r9 = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_ssac_BarringForMMTEL_Video_r9 = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_ac_BarringForCSFB_r10 = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_ac_BarringSkipForMMTELVoice_r12 = -1;  /* T_ac_BarringSkipForMMTELVoice_r12 */
static int hf_lte_rrc_ac_BarringSkipForMMTELVideo_r12 = -1;  /* T_ac_BarringSkipForMMTELVideo_r12 */
static int hf_lte_rrc_ac_BarringSkipForSMS_r12 = -1;  /* T_ac_BarringSkipForSMS_r12 */
static int hf_lte_rrc_ac_BarringPerPLMN_List_r12 = -1;  /* AC_BarringPerPLMN_List_r12 */
static int hf_lte_rrc_voiceServiceCauseIndication_r12 = -1;  /* T_voiceServiceCauseIndication_r12 */
static int hf_lte_rrc_acdc_BarringForCommon_r13 = -1;  /* ACDC_BarringForCommon_r13 */
static int hf_lte_rrc_acdc_BarringPerPLMN_List_r13 = -1;  /* ACDC_BarringPerPLMN_List_r13 */
static int hf_lte_rrc_udt_RestrictingForCommon_r13 = -1;  /* UDT_Restricting_r13 */
static int hf_lte_rrc_udt_RestrictingPerPLMN_List_r13 = -1;  /* UDT_RestrictingPerPLMN_List_r13 */
static int hf_lte_rrc_cIoT_EPS_OptimisationInfo_r13 = -1;  /* CIOT_EPS_OptimisationInfo_r13 */
static int hf_lte_rrc_useFullResumeID_r13 = -1;   /* T_useFullResumeID_r13 */
static int hf_lte_rrc_unicastFreqHoppingInd_r13 = -1;  /* T_unicastFreqHoppingInd_r13 */
static int hf_lte_rrc_mbsfn_SubframeConfigList_v1430 = -1;  /* MBSFN_SubframeConfigList_v1430 */
static int hf_lte_rrc_videoServiceCauseIndication_r14 = -1;  /* T_videoServiceCauseIndication_r14 */
static int hf_lte_rrc_plmn_InfoList_r15 = -1;     /* PLMN_InfoList_r15 */
static int hf_lte_rrc_multiBandInfoList_01 = -1;  /* SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission */
static int hf_lte_rrc_multiBandInfoList_item = -1;  /* AdditionalSpectrumEmission */
static int hf_lte_rrc_nonCriticalExtension_185 = -1;  /* SystemInformationBlockType2_v9e0_IEs */
static int hf_lte_rrc_ul_CarrierFreq_v9e0 = -1;   /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_nonCriticalExtension_186 = -1;  /* SystemInformationBlockType2_v9i0_IEs */
static int hf_lte_rrc_nonCriticalExtension_187 = -1;  /* SystemInformationBlockType2_v10l0_IEs */
static int hf_lte_rrc_freqInfo_v10l0 = -1;        /* T_freqInfo_v10l0 */
static int hf_lte_rrc_additionalSpectrumEmission_v10l0 = -1;  /* AdditionalSpectrumEmission_v10l0 */
static int hf_lte_rrc_multiBandInfoList_v10l0_01 = -1;  /* SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0 */
static int hf_lte_rrc_multiBandInfoList_v10l0_item = -1;  /* AdditionalSpectrumEmission_v10l0 */
static int hf_lte_rrc_nonCriticalExtension_188 = -1;  /* T_nonCriticalExtension_62 */
static int hf_lte_rrc_ac_BarringFactor = -1;      /* T_ac_BarringFactor */
static int hf_lte_rrc_ac_BarringTime = -1;        /* T_ac_BarringTime */
static int hf_lte_rrc_ac_BarringForSpecialAC = -1;  /* BIT_STRING_SIZE_5 */
static int hf_lte_rrc_MBSFN_SubframeConfigList_item = -1;  /* MBSFN_SubframeConfig */
static int hf_lte_rrc_MBSFN_SubframeConfigList_v1430_item = -1;  /* MBSFN_SubframeConfig_v1430 */
static int hf_lte_rrc_AC_BarringPerPLMN_List_r12_item = -1;  /* AC_BarringPerPLMN_r12 */
static int hf_lte_rrc_plmn_IdentityIndex_r12 = -1;  /* INTEGER_1_maxPLMN_r11 */
static int hf_lte_rrc_ac_BarringInfo_r12 = -1;    /* T_ac_BarringInfo_r12 */
static int hf_lte_rrc_ac_BarringForEmergency_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_ac_BarringForMO_Signalling_r12 = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_ac_BarringForMO_Data_r12 = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_ac_BarringSkipForMMTELVoice_r12_01 = -1;  /* T_ac_BarringSkipForMMTELVoice_r12_01 */
static int hf_lte_rrc_ac_BarringSkipForMMTELVideo_r12_01 = -1;  /* T_ac_BarringSkipForMMTELVideo_r12_01 */
static int hf_lte_rrc_ac_BarringSkipForSMS_r12_01 = -1;  /* T_ac_BarringSkipForSMS_r12_01 */
static int hf_lte_rrc_ac_BarringForCSFB_r12 = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_ssac_BarringForMMTEL_Voice_r12 = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_ssac_BarringForMMTEL_Video_r12 = -1;  /* AC_BarringConfig */
static int hf_lte_rrc_acdc_HPLMNonly_r13 = -1;    /* BOOLEAN */
static int hf_lte_rrc_barringPerACDC_CategoryList_r13 = -1;  /* BarringPerACDC_CategoryList_r13 */
static int hf_lte_rrc_ACDC_BarringPerPLMN_List_r13_item = -1;  /* ACDC_BarringPerPLMN_r13 */
static int hf_lte_rrc_plmn_IdentityIndex_r13 = -1;  /* INTEGER_1_maxPLMN_r11 */
static int hf_lte_rrc_acdc_OnlyForHPLMN_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_BarringPerACDC_CategoryList_r13_item = -1;  /* BarringPerACDC_Category_r13 */
static int hf_lte_rrc_acdc_Category_r13 = -1;     /* INTEGER_1_maxACDC_Cat_r13 */
static int hf_lte_rrc_acdc_BarringConfig_r13 = -1;  /* T_acdc_BarringConfig_r13 */
static int hf_lte_rrc_ac_BarringFactor_r13 = -1;  /* T_ac_BarringFactor_r13 */
static int hf_lte_rrc_ac_BarringTime_r13 = -1;    /* T_ac_BarringTime_r13 */
static int hf_lte_rrc_udt_Restricting_r13 = -1;   /* T_udt_Restricting_r13 */
static int hf_lte_rrc_udt_RestrictingTime_r13 = -1;  /* T_udt_RestrictingTime_r13 */
static int hf_lte_rrc_UDT_RestrictingPerPLMN_List_r13_item = -1;  /* UDT_RestrictingPerPLMN_r13 */
static int hf_lte_rrc_udt_Restricting_r13_01 = -1;  /* UDT_Restricting_r13 */
static int hf_lte_rrc_CIOT_EPS_OptimisationInfo_r13_item = -1;  /* CIOT_OptimisationPLMN_r13 */
static int hf_lte_rrc_up_CIoT_EPS_Optimisation_r13_01 = -1;  /* T_up_CIoT_EPS_Optimisation_r13_01 */
static int hf_lte_rrc_cp_CIoT_EPS_Optimisation_r13_01 = -1;  /* T_cp_CIoT_EPS_Optimisation_r13_01 */
static int hf_lte_rrc_attachWithoutPDN_Connectivity_r13_01 = -1;  /* T_attachWithoutPDN_Connectivity_r13_01 */
static int hf_lte_rrc_PLMN_InfoList_r15_item = -1;  /* PLMN_Info_r15 */
static int hf_lte_rrc_upperLayerIndication_r15 = -1;  /* T_upperLayerIndication_r15 */
static int hf_lte_rrc_cellReselectionInfoCommon = -1;  /* T_cellReselectionInfoCommon */
static int hf_lte_rrc_q_Hyst = -1;                /* T_q_Hyst */
static int hf_lte_rrc_speedStateReselectionPars = -1;  /* T_speedStateReselectionPars */
static int hf_lte_rrc_mobilityStateParameters = -1;  /* MobilityStateParameters */
static int hf_lte_rrc_q_HystSF = -1;              /* T_q_HystSF */
static int hf_lte_rrc_sf_Medium = -1;             /* T_sf_Medium */
static int hf_lte_rrc_sf_High = -1;               /* T_sf_High */
static int hf_lte_rrc_cellReselectionServingFreqInfo = -1;  /* T_cellReselectionServingFreqInfo */
static int hf_lte_rrc_s_NonIntraSearch = -1;      /* ReselectionThreshold */
static int hf_lte_rrc_threshServingLow = -1;      /* ReselectionThreshold */
static int hf_lte_rrc_intraFreqCellReselectionInfo = -1;  /* T_intraFreqCellReselectionInfo */
static int hf_lte_rrc_s_IntraSearch = -1;         /* ReselectionThreshold */
static int hf_lte_rrc_allowedMeasBandwidth = -1;  /* AllowedMeasBandwidth */
static int hf_lte_rrc_presenceAntennaPort1 = -1;  /* PresenceAntennaPort1 */
static int hf_lte_rrc_neighCellConfig = -1;       /* NeighCellConfig */
static int hf_lte_rrc_t_ReselectionEUTRA = -1;    /* T_Reselection */
static int hf_lte_rrc_t_ReselectionEUTRA_SF = -1;  /* SpeedStateScaleFactors */
static int hf_lte_rrc_lateNonCriticalExtension_08 = -1;  /* T_lateNonCriticalExtension_07 */
static int hf_lte_rrc_s_IntraSearch_v920 = -1;    /* T_s_IntraSearch_v920 */
static int hf_lte_rrc_s_IntraSearchP_r9 = -1;     /* ReselectionThreshold */
static int hf_lte_rrc_s_IntraSearchQ_r9 = -1;     /* ReselectionThresholdQ_r9 */
static int hf_lte_rrc_s_NonIntraSearch_v920 = -1;  /* T_s_NonIntraSearch_v920 */
static int hf_lte_rrc_s_NonIntraSearchP_r9 = -1;  /* ReselectionThreshold */
static int hf_lte_rrc_s_NonIntraSearchQ_r9 = -1;  /* ReselectionThresholdQ_r9 */
static int hf_lte_rrc_threshServingLowQ_r9 = -1;  /* ReselectionThresholdQ_r9 */
static int hf_lte_rrc_cellReselectionServingFreqInfo_v1310 = -1;  /* CellReselectionServingFreqInfo_v1310 */
static int hf_lte_rrc_redistributionServingInfo_r13 = -1;  /* RedistributionServingInfo_r13 */
static int hf_lte_rrc_t_ReselectionEUTRA_CE_r13 = -1;  /* T_ReselectionEUTRA_CE_r13 */
static int hf_lte_rrc_redistributionFactorServing_r13 = -1;  /* INTEGER_0_10 */
static int hf_lte_rrc_redistributionFactorCell_r13 = -1;  /* T_redistributionFactorCell_r13 */
static int hf_lte_rrc_t360_r13 = -1;              /* T_t360_r13 */
static int hf_lte_rrc_redistrOnPagingOnly_r13 = -1;  /* T_redistrOnPagingOnly_r13 */
static int hf_lte_rrc_nonCriticalExtension_189 = -1;  /* SystemInformationBlockType3_v10l0_IEs */
static int hf_lte_rrc_nonCriticalExtension_190 = -1;  /* T_nonCriticalExtension_63 */
static int hf_lte_rrc_intraFreqNeighCellList = -1;  /* IntraFreqNeighCellList */
static int hf_lte_rrc_intraFreqBlackCellList = -1;  /* IntraFreqBlackCellList */
static int hf_lte_rrc_csg_PhysCellIdRange = -1;   /* PhysCellIdRange */
static int hf_lte_rrc_IntraFreqNeighCellList_item = -1;  /* IntraFreqNeighCellInfo */
static int hf_lte_rrc_q_OffsetCell = -1;          /* Q_OffsetRange */
static int hf_lte_rrc_IntraFreqBlackCellList_item = -1;  /* PhysCellIdRange */
static int hf_lte_rrc_interFreqCarrierFreqList = -1;  /* InterFreqCarrierFreqList */
static int hf_lte_rrc_lateNonCriticalExtension_09 = -1;  /* T_lateNonCriticalExtension_08 */
static int hf_lte_rrc_interFreqCarrierFreqList_v1250 = -1;  /* InterFreqCarrierFreqList_v1250 */
static int hf_lte_rrc_interFreqCarrierFreqListExt_r12 = -1;  /* InterFreqCarrierFreqListExt_r12 */
static int hf_lte_rrc_interFreqCarrierFreqListExt_v1280 = -1;  /* InterFreqCarrierFreqListExt_v1280 */
static int hf_lte_rrc_interFreqCarrierFreqList_v1310 = -1;  /* InterFreqCarrierFreqList_v1310 */
static int hf_lte_rrc_interFreqCarrierFreqListExt_v1310 = -1;  /* InterFreqCarrierFreqListExt_v1310 */
static int hf_lte_rrc_interFreqCarrierFreqList_v1350 = -1;  /* InterFreqCarrierFreqList_v1350 */
static int hf_lte_rrc_interFreqCarrierFreqListExt_v1350 = -1;  /* InterFreqCarrierFreqListExt_v1350 */
static int hf_lte_rrc_interFreqCarrierFreqListExt_v1360 = -1;  /* InterFreqCarrierFreqListExt_v1360 */
static int hf_lte_rrc_scptm_FreqOffset_r14 = -1;  /* INTEGER_1_8 */
static int hf_lte_rrc_interFreqCarrierFreqList_v8h0 = -1;  /* SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0 */
static int hf_lte_rrc_interFreqCarrierFreqList_v8h0_item = -1;  /* InterFreqCarrierFreqInfo_v8h0 */
static int hf_lte_rrc_nonCriticalExtension_191 = -1;  /* SystemInformationBlockType5_v9e0_IEs */
static int hf_lte_rrc_interFreqCarrierFreqList_v9e0 = -1;  /* SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0 */
static int hf_lte_rrc_interFreqCarrierFreqList_v9e0_item = -1;  /* InterFreqCarrierFreqInfo_v9e0 */
static int hf_lte_rrc_nonCriticalExtension_192 = -1;  /* SystemInformationBlockType5_v10j0_IEs */
static int hf_lte_rrc_interFreqCarrierFreqList_v10j0 = -1;  /* SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0 */
static int hf_lte_rrc_interFreqCarrierFreqList_v10j0_item = -1;  /* InterFreqCarrierFreqInfo_v10j0 */
static int hf_lte_rrc_nonCriticalExtension_193 = -1;  /* SystemInformationBlockType5_v10l0_IEs */
static int hf_lte_rrc_interFreqCarrierFreqList_v10l0 = -1;  /* SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0 */
static int hf_lte_rrc_interFreqCarrierFreqList_v10l0_item = -1;  /* InterFreqCarrierFreqInfo_v10l0 */
static int hf_lte_rrc_nonCriticalExtension_194 = -1;  /* T_nonCriticalExtension_64 */
static int hf_lte_rrc_InterFreqCarrierFreqList_item = -1;  /* InterFreqCarrierFreqInfo */
static int hf_lte_rrc_InterFreqCarrierFreqList_v1250_item = -1;  /* InterFreqCarrierFreqInfo_v1250 */
static int hf_lte_rrc_InterFreqCarrierFreqList_v1310_item = -1;  /* InterFreqCarrierFreqInfo_v1310 */
static int hf_lte_rrc_InterFreqCarrierFreqList_v1350_item = -1;  /* InterFreqCarrierFreqInfo_v1350 */
static int hf_lte_rrc_InterFreqCarrierFreqListExt_r12_item = -1;  /* InterFreqCarrierFreqInfo_r12 */
static int hf_lte_rrc_InterFreqCarrierFreqListExt_v1280_item = -1;  /* InterFreqCarrierFreqInfo_v10j0 */
static int hf_lte_rrc_InterFreqCarrierFreqListExt_v1310_item = -1;  /* InterFreqCarrierFreqInfo_v1310 */
static int hf_lte_rrc_InterFreqCarrierFreqListExt_v1350_item = -1;  /* InterFreqCarrierFreqInfo_v1350 */
static int hf_lte_rrc_InterFreqCarrierFreqListExt_v1360_item = -1;  /* InterFreqCarrierFreqInfo_v1360 */
static int hf_lte_rrc_dl_CarrierFreq = -1;        /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_threshX_High = -1;          /* ReselectionThreshold */
static int hf_lte_rrc_threshX_Low = -1;           /* ReselectionThreshold */
static int hf_lte_rrc_q_OffsetFreq = -1;          /* Q_OffsetRange */
static int hf_lte_rrc_interFreqNeighCellList = -1;  /* InterFreqNeighCellList */
static int hf_lte_rrc_interFreqBlackCellList = -1;  /* InterFreqBlackCellList */
static int hf_lte_rrc_threshX_Q_r9 = -1;          /* T_threshX_Q_r9 */
static int hf_lte_rrc_threshX_HighQ_r9 = -1;      /* ReselectionThresholdQ_r9 */
static int hf_lte_rrc_threshX_LowQ_r9 = -1;       /* ReselectionThresholdQ_r9 */
static int hf_lte_rrc_dl_CarrierFreq_v9e0 = -1;   /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_reducedMeasPerformance_r12 = -1;  /* T_reducedMeasPerformance_r12 */
static int hf_lte_rrc_q_RxLevMin_r12 = -1;        /* Q_RxLevMin */
static int hf_lte_rrc_t_ReselectionEUTRA_r12 = -1;  /* T_Reselection */
static int hf_lte_rrc_t_ReselectionEUTRA_SF_r12 = -1;  /* SpeedStateScaleFactors */
static int hf_lte_rrc_threshX_High_r12 = -1;      /* ReselectionThreshold */
static int hf_lte_rrc_threshX_Low_r12 = -1;       /* ReselectionThreshold */
static int hf_lte_rrc_allowedMeasBandwidth_r12 = -1;  /* AllowedMeasBandwidth */
static int hf_lte_rrc_presenceAntennaPort1_r12 = -1;  /* PresenceAntennaPort1 */
static int hf_lte_rrc_neighCellConfig_r12 = -1;   /* NeighCellConfig */
static int hf_lte_rrc_q_OffsetFreq_r12 = -1;      /* Q_OffsetRange */
static int hf_lte_rrc_interFreqNeighCellList_r12 = -1;  /* InterFreqNeighCellList */
static int hf_lte_rrc_interFreqBlackCellList_r12 = -1;  /* InterFreqBlackCellList */
static int hf_lte_rrc_q_QualMin_r12 = -1;         /* Q_QualMin_r9 */
static int hf_lte_rrc_threshX_Q_r12 = -1;         /* T_threshX_Q_r12 */
static int hf_lte_rrc_threshX_HighQ_r12 = -1;     /* ReselectionThresholdQ_r9 */
static int hf_lte_rrc_threshX_LowQ_r12 = -1;      /* ReselectionThresholdQ_r9 */
static int hf_lte_rrc_q_QualMinWB_r12 = -1;       /* Q_QualMin_r9 */
static int hf_lte_rrc_multiBandInfoList_r12 = -1;  /* MultiBandInfoList_r11 */
static int hf_lte_rrc_reducedMeasPerformance_r12_01 = -1;  /* T_reducedMeasPerformance_r12_01 */
static int hf_lte_rrc_redistributionInterFreqInfo_r13 = -1;  /* RedistributionInterFreqInfo_r13 */
static int hf_lte_rrc_InterFreqNeighCellList_item = -1;  /* InterFreqNeighCellInfo */
static int hf_lte_rrc_InterFreqBlackCellList_item = -1;  /* PhysCellIdRange */
static int hf_lte_rrc_redistributionFactorFreq_r13 = -1;  /* RedistributionFactor_r13 */
static int hf_lte_rrc_redistributionNeighCellList_r13 = -1;  /* RedistributionNeighCellList_r13 */
static int hf_lte_rrc_RedistributionNeighCellList_r13_item = -1;  /* RedistributionNeighCell_r13 */
static int hf_lte_rrc_redistributionFactorCell_r13_01 = -1;  /* RedistributionFactor_r13 */
static int hf_lte_rrc_carrierFreqListUTRA_FDD = -1;  /* CarrierFreqListUTRA_FDD */
static int hf_lte_rrc_carrierFreqListUTRA_TDD = -1;  /* CarrierFreqListUTRA_TDD */
static int hf_lte_rrc_t_ReselectionUTRA = -1;     /* T_Reselection */
static int hf_lte_rrc_t_ReselectionUTRA_SF = -1;  /* SpeedStateScaleFactors */
static int hf_lte_rrc_lateNonCriticalExtension_10 = -1;  /* T_lateNonCriticalExtension_09 */
static int hf_lte_rrc_carrierFreqListUTRA_FDD_v1250 = -1;  /* SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250 */
static int hf_lte_rrc_carrierFreqListUTRA_FDD_v1250_item = -1;  /* CarrierFreqInfoUTRA_v1250 */
static int hf_lte_rrc_carrierFreqListUTRA_TDD_v1250 = -1;  /* SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250 */
static int hf_lte_rrc_carrierFreqListUTRA_TDD_v1250_item = -1;  /* CarrierFreqInfoUTRA_v1250 */
static int hf_lte_rrc_carrierFreqListUTRA_FDD_Ext_r12 = -1;  /* CarrierFreqListUTRA_FDD_Ext_r12 */
static int hf_lte_rrc_carrierFreqListUTRA_TDD_Ext_r12 = -1;  /* CarrierFreqListUTRA_TDD_Ext_r12 */
static int hf_lte_rrc_carrierFreqListUTRA_FDD_v8h0 = -1;  /* SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0 */
static int hf_lte_rrc_carrierFreqListUTRA_FDD_v8h0_item = -1;  /* CarrierFreqInfoUTRA_FDD_v8h0 */
static int hf_lte_rrc_nonCriticalExtension_195 = -1;  /* T_nonCriticalExtension_65 */
static int hf_lte_rrc_reducedMeasPerformance_r12_02 = -1;  /* T_reducedMeasPerformance_r12_02 */
static int hf_lte_rrc_CarrierFreqListUTRA_FDD_item = -1;  /* CarrierFreqUTRA_FDD */
static int hf_lte_rrc_q_RxLevMin_01 = -1;         /* INTEGER_M60_M13 */
static int hf_lte_rrc_p_MaxUTRA = -1;             /* INTEGER_M50_33 */
static int hf_lte_rrc_q_QualMin = -1;             /* INTEGER_M24_0 */
static int hf_lte_rrc_threshX_Q_r9_01 = -1;       /* T_threshX_Q_r9_01 */
static int hf_lte_rrc_multiBandInfoList_02 = -1;  /* SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD */
static int hf_lte_rrc_multiBandInfoList_item_01 = -1;  /* FreqBandIndicator_UTRA_FDD */
static int hf_lte_rrc_CarrierFreqListUTRA_FDD_Ext_r12_item = -1;  /* CarrierFreqUTRA_FDD_Ext_r12 */
static int hf_lte_rrc_carrierFreq_r12_01 = -1;    /* ARFCN_ValueUTRA */
static int hf_lte_rrc_q_RxLevMin_r12_01 = -1;     /* INTEGER_M60_M13 */
static int hf_lte_rrc_p_MaxUTRA_r12 = -1;         /* INTEGER_M50_33 */
static int hf_lte_rrc_q_QualMin_r12_01 = -1;      /* INTEGER_M24_0 */
static int hf_lte_rrc_threshX_Q_r12_01 = -1;      /* T_threshX_Q_r12_01 */
static int hf_lte_rrc_multiBandInfoList_r12_01 = -1;  /* FreqBandIndicator_UTRA_FDD_r12 */
static int hf_lte_rrc_multiBandInfoList_r12_item = -1;  /* FreqBandIndicator_UTRA_FDD */
static int hf_lte_rrc_reducedMeasPerformance_r12_03 = -1;  /* T_reducedMeasPerformance_r12_03 */
static int hf_lte_rrc_CarrierFreqListUTRA_TDD_item = -1;  /* CarrierFreqUTRA_TDD */
static int hf_lte_rrc_CarrierFreqListUTRA_TDD_Ext_r12_item = -1;  /* CarrierFreqUTRA_TDD_r12 */
static int hf_lte_rrc_reducedMeasPerformance_r12_04 = -1;  /* T_reducedMeasPerformance_r12_04 */
static int hf_lte_rrc_t_ReselectionGERAN = -1;    /* T_Reselection */
static int hf_lte_rrc_t_ReselectionGERAN_SF = -1;  /* SpeedStateScaleFactors */
static int hf_lte_rrc_carrierFreqsInfoList = -1;  /* CarrierFreqsInfoListGERAN */
static int hf_lte_rrc_CarrierFreqsInfoListGERAN_item = -1;  /* CarrierFreqsInfoGERAN */
static int hf_lte_rrc_commonInfo = -1;            /* T_commonInfo */
static int hf_lte_rrc_ncc_Permitted = -1;         /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_q_RxLevMin_02 = -1;         /* INTEGER_0_45 */
static int hf_lte_rrc_p_MaxGERAN = -1;            /* INTEGER_0_39 */
static int hf_lte_rrc_systemTimeInfo = -1;        /* SystemTimeInfoCDMA2000 */
static int hf_lte_rrc_searchWindowSize = -1;      /* INTEGER_0_15 */
static int hf_lte_rrc_parametersHRPD = -1;        /* T_parametersHRPD */
static int hf_lte_rrc_preRegistrationInfoHRPD = -1;  /* PreRegistrationInfoHRPD */
static int hf_lte_rrc_cellReselectionParametersHRPD = -1;  /* CellReselectionParametersCDMA2000 */
static int hf_lte_rrc_parameters1XRTT = -1;       /* T_parameters1XRTT */
static int hf_lte_rrc_csfb_RegistrationParam1XRTT = -1;  /* CSFB_RegistrationParam1XRTT */
static int hf_lte_rrc_longCodeState1XRTT = -1;    /* BIT_STRING_SIZE_42 */
static int hf_lte_rrc_cellReselectionParameters1XRTT = -1;  /* CellReselectionParametersCDMA2000 */
static int hf_lte_rrc_csfb_SupportForDualRxUEs_r9 = -1;  /* BOOLEAN */
static int hf_lte_rrc_cellReselectionParametersHRPD_v920 = -1;  /* CellReselectionParametersCDMA2000_v920 */
static int hf_lte_rrc_cellReselectionParameters1XRTT_v920 = -1;  /* CellReselectionParametersCDMA2000_v920 */
static int hf_lte_rrc_csfb_RegistrationParam1XRTT_v920 = -1;  /* CSFB_RegistrationParam1XRTT_v920 */
static int hf_lte_rrc_ac_BarringConfig1XRTT_r9 = -1;  /* AC_BarringConfig1XRTT_r9 */
static int hf_lte_rrc_csfb_DualRxTxSupport_r10 = -1;  /* T_csfb_DualRxTxSupport_r10 */
static int hf_lte_rrc_sib8_PerPLMN_List_r11 = -1;  /* SIB8_PerPLMN_List_r11 */
static int hf_lte_rrc_bandClassList = -1;         /* BandClassListCDMA2000 */
static int hf_lte_rrc_neighCellList = -1;         /* NeighCellListCDMA2000 */
static int hf_lte_rrc_t_ReselectionCDMA2000 = -1;  /* T_Reselection */
static int hf_lte_rrc_t_ReselectionCDMA2000_SF = -1;  /* SpeedStateScaleFactors */
static int hf_lte_rrc_neighCellList_r11 = -1;     /* SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11 */
static int hf_lte_rrc_neighCellList_r11_item = -1;  /* NeighCellCDMA2000_r11 */
static int hf_lte_rrc_neighCellList_v920 = -1;    /* NeighCellListCDMA2000_v920 */
static int hf_lte_rrc_NeighCellListCDMA2000_item = -1;  /* NeighCellCDMA2000 */
static int hf_lte_rrc_neighCellsPerFreqList = -1;  /* NeighCellsPerBandclassListCDMA2000 */
static int hf_lte_rrc_neighFreqInfoList_r11 = -1;  /* SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11 */
static int hf_lte_rrc_neighFreqInfoList_r11_item = -1;  /* NeighCellsPerBandclassCDMA2000_r11 */
static int hf_lte_rrc_NeighCellsPerBandclassListCDMA2000_item = -1;  /* NeighCellsPerBandclassCDMA2000 */
static int hf_lte_rrc_arfcn = -1;                 /* ARFCN_ValueCDMA2000 */
static int hf_lte_rrc_physCellIdList = -1;        /* PhysCellIdListCDMA2000 */
static int hf_lte_rrc_physCellIdList_r11 = -1;    /* SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000 */
static int hf_lte_rrc_physCellIdList_r11_item = -1;  /* PhysCellIdCDMA2000 */
static int hf_lte_rrc_NeighCellListCDMA2000_v920_item = -1;  /* NeighCellCDMA2000_v920 */
static int hf_lte_rrc_neighCellsPerFreqList_v920 = -1;  /* NeighCellsPerBandclassListCDMA2000_v920 */
static int hf_lte_rrc_NeighCellsPerBandclassListCDMA2000_v920_item = -1;  /* NeighCellsPerBandclassCDMA2000_v920 */
static int hf_lte_rrc_physCellIdList_v920 = -1;   /* PhysCellIdListCDMA2000_v920 */
static int hf_lte_rrc_PhysCellIdListCDMA2000_item = -1;  /* PhysCellIdCDMA2000 */
static int hf_lte_rrc_PhysCellIdListCDMA2000_v920_item = -1;  /* PhysCellIdCDMA2000 */
static int hf_lte_rrc_BandClassListCDMA2000_item = -1;  /* BandClassInfoCDMA2000 */
static int hf_lte_rrc_threshX_High_01 = -1;       /* INTEGER_0_63 */
static int hf_lte_rrc_threshX_Low_01 = -1;        /* INTEGER_0_63 */
static int hf_lte_rrc_ac_Barring0to9_r9 = -1;     /* INTEGER_0_63 */
static int hf_lte_rrc_ac_Barring10_r9 = -1;       /* INTEGER_0_7 */
static int hf_lte_rrc_ac_Barring11_r9 = -1;       /* INTEGER_0_7 */
static int hf_lte_rrc_ac_Barring12_r9 = -1;       /* INTEGER_0_7 */
static int hf_lte_rrc_ac_Barring13_r9 = -1;       /* INTEGER_0_7 */
static int hf_lte_rrc_ac_Barring14_r9 = -1;       /* INTEGER_0_7 */
static int hf_lte_rrc_ac_Barring15_r9 = -1;       /* INTEGER_0_7 */
static int hf_lte_rrc_ac_BarringMsg_r9 = -1;      /* INTEGER_0_7 */
static int hf_lte_rrc_ac_BarringReg_r9 = -1;      /* INTEGER_0_7 */
static int hf_lte_rrc_ac_BarringEmg_r9 = -1;      /* INTEGER_0_7 */
static int hf_lte_rrc_SIB8_PerPLMN_List_r11_item = -1;  /* SIB8_PerPLMN_r11 */
static int hf_lte_rrc_plmn_Identity_r11 = -1;     /* INTEGER_1_maxPLMN_r11 */
static int hf_lte_rrc_parametersCDMA2000_r11 = -1;  /* T_parametersCDMA2000_r11 */
static int hf_lte_rrc_explicitValue = -1;         /* ParametersCDMA2000_r11 */
static int hf_lte_rrc_defaultValue = -1;          /* NULL */
static int hf_lte_rrc_systemTimeInfo_r11 = -1;    /* T_systemTimeInfo_r11 */
static int hf_lte_rrc_explicitValue_01 = -1;      /* SystemTimeInfoCDMA2000 */
static int hf_lte_rrc_searchWindowSize_r11 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_parametersHRPD_r11 = -1;    /* T_parametersHRPD_r11 */
static int hf_lte_rrc_preRegistrationInfoHRPD_r11 = -1;  /* PreRegistrationInfoHRPD */
static int hf_lte_rrc_cellReselectionParametersHRPD_r11 = -1;  /* CellReselectionParametersCDMA2000_r11 */
static int hf_lte_rrc_parameters1XRTT_r11 = -1;   /* T_parameters1XRTT_r11 */
static int hf_lte_rrc_csfb_RegistrationParam1XRTT_r11 = -1;  /* CSFB_RegistrationParam1XRTT */
static int hf_lte_rrc_csfb_RegistrationParam1XRTT_Ext_r11 = -1;  /* CSFB_RegistrationParam1XRTT_v920 */
static int hf_lte_rrc_longCodeState1XRTT_r11 = -1;  /* BIT_STRING_SIZE_42 */
static int hf_lte_rrc_cellReselectionParameters1XRTT_r11 = -1;  /* CellReselectionParametersCDMA2000_r11 */
static int hf_lte_rrc_ac_BarringConfig1XRTT_r11 = -1;  /* AC_BarringConfig1XRTT_r9 */
static int hf_lte_rrc_csfb_SupportForDualRxUEs_r11 = -1;  /* BOOLEAN */
static int hf_lte_rrc_csfb_DualRxTxSupport_r11 = -1;  /* T_csfb_DualRxTxSupport_r11 */
static int hf_lte_rrc_hnb_Name = -1;              /* T_hnb_Name */
static int hf_lte_rrc_messageIdentifier = -1;     /* T_messageIdentifier */
static int hf_lte_rrc_serialNumber = -1;          /* T_serialNumber */
static int hf_lte_rrc_warningType = -1;           /* T_warningType */
static int hf_lte_rrc_dummy = -1;                 /* OCTET_STRING_SIZE_50 */
static int hf_lte_rrc_messageIdentifier_01 = -1;  /* T_messageIdentifier_01 */
static int hf_lte_rrc_serialNumber_01 = -1;       /* T_serialNumber_01 */
static int hf_lte_rrc_warningMessageSegmentType = -1;  /* T_warningMessageSegmentType */
static int hf_lte_rrc_warningMessageSegmentNumber = -1;  /* T_warningMessageSegmentNumber */
static int hf_lte_rrc_warningMessageSegment = -1;  /* T_warningMessageSegment */
static int hf_lte_rrc_dataCodingScheme = -1;      /* T_dataCodingScheme */
static int hf_lte_rrc_messageIdentifier_r9 = -1;  /* T_messageIdentifier_r9 */
static int hf_lte_rrc_serialNumber_r9 = -1;       /* T_serialNumber_r9 */
static int hf_lte_rrc_warningMessageSegmentType_r9 = -1;  /* T_warningMessageSegmentType_r9 */
static int hf_lte_rrc_warningMessageSegmentNumber_r9 = -1;  /* T_warningMessageSegmentNumber_r9 */
static int hf_lte_rrc_warningMessageSegment_r9 = -1;  /* T_warningMessageSegment_r9 */
static int hf_lte_rrc_dataCodingScheme_r9 = -1;   /* T_dataCodingScheme_r9 */
static int hf_lte_rrc_mbsfn_AreaInfoList_r9 = -1;  /* MBSFN_AreaInfoList_r9 */
static int hf_lte_rrc_notificationConfig_r9 = -1;  /* MBMS_NotificationConfig_r9 */
static int hf_lte_rrc_notificationConfig_v1430 = -1;  /* MBMS_NotificationConfig_v1430 */
static int hf_lte_rrc_eab_Param_r11 = -1;         /* T_eab_Param_r11 */
static int hf_lte_rrc_eab_Common_r11 = -1;        /* EAB_Config_r11 */
static int hf_lte_rrc_eab_PerPLMN_List_r11 = -1;  /* SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11 */
static int hf_lte_rrc_eab_PerPLMN_List_r11_item = -1;  /* EAB_ConfigPLMN_r11 */
static int hf_lte_rrc_eab_Config_r11 = -1;        /* EAB_Config_r11 */
static int hf_lte_rrc_eab_Category_r11 = -1;      /* T_eab_Category_r11 */
static int hf_lte_rrc_eab_BarringBitmap_r11 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_mbms_SAI_IntraFreq_r11 = -1;  /* MBMS_SAI_List_r11 */
static int hf_lte_rrc_mbms_SAI_InterFreqList_r11 = -1;  /* MBMS_SAI_InterFreqList_r11 */
static int hf_lte_rrc_mbms_SAI_InterFreqList_v1140 = -1;  /* MBMS_SAI_InterFreqList_v1140 */
static int hf_lte_rrc_mbms_IntraFreqCarrierType_r14 = -1;  /* MBMS_CarrierType_r14 */
static int hf_lte_rrc_mbms_InterFreqCarrierTypeList_r14 = -1;  /* MBMS_InterFreqCarrierTypeList_r14 */
static int hf_lte_rrc_MBMS_SAI_List_r11_item = -1;  /* MBMS_SAI_r11 */
static int hf_lte_rrc_MBMS_SAI_InterFreqList_r11_item = -1;  /* MBMS_SAI_InterFreq_r11 */
static int hf_lte_rrc_MBMS_SAI_InterFreqList_v1140_item = -1;  /* MBMS_SAI_InterFreq_v1140 */
static int hf_lte_rrc_dl_CarrierFreq_r11 = -1;    /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_mbms_SAI_List_r11 = -1;     /* MBMS_SAI_List_r11 */
static int hf_lte_rrc_multiBandInfoList_r11 = -1;  /* MultiBandInfoList_r11 */
static int hf_lte_rrc_MBMS_InterFreqCarrierTypeList_r14_item = -1;  /* MBMS_CarrierType_r14 */
static int hf_lte_rrc_carrierType_r14 = -1;       /* T_carrierType_r14 */
static int hf_lte_rrc_frameOffset_r14 = -1;       /* INTEGER_0_3 */
static int hf_lte_rrc_timeInfo_r11 = -1;          /* T_timeInfo_r11 */
static int hf_lte_rrc_timeInfoUTC_r11 = -1;       /* T_timeInfoUTC_r11 */
static int hf_lte_rrc_dayLightSavingTime_r11 = -1;  /* T_dayLightSavingTime_r11 */
static int hf_lte_rrc_leapSeconds_r11 = -1;       /* INTEGER_M127_128 */
static int hf_lte_rrc_localTimeOffset_r11 = -1;   /* INTEGER_M63_64 */
static int hf_lte_rrc_wlan_OffloadInfoPerPLMN_List_r12 = -1;  /* SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12 */
static int hf_lte_rrc_wlan_OffloadInfoPerPLMN_List_r12_item = -1;  /* WLAN_OffloadInfoPerPLMN_r12 */
static int hf_lte_rrc_wlan_OffloadConfigCommon_r12 = -1;  /* WLAN_OffloadConfig_r12 */
static int hf_lte_rrc_wlan_Id_List_r12 = -1;      /* WLAN_Id_List_r12 */
static int hf_lte_rrc_WLAN_Id_List_r12_item = -1;  /* WLAN_Identifiers_r12 */
static int hf_lte_rrc_ssid_r12 = -1;              /* T_ssid_r12 */
static int hf_lte_rrc_bssid_r12 = -1;             /* OCTET_STRING_SIZE_6 */
static int hf_lte_rrc_hessid_r12 = -1;            /* OCTET_STRING_SIZE_6 */
static int hf_lte_rrc_commConfig_r12 = -1;        /* T_commConfig_r12 */
static int hf_lte_rrc_commRxPool_r12 = -1;        /* SL_CommRxPoolList_r12 */
static int hf_lte_rrc_commTxPoolNormalCommon_r12 = -1;  /* SL_CommTxPoolList_r12 */
static int hf_lte_rrc_commTxPoolExceptional_r12 = -1;  /* SL_CommTxPoolList_r12 */
static int hf_lte_rrc_commSyncConfig_r12 = -1;    /* SL_SyncConfigList_r12 */
static int hf_lte_rrc_commTxPoolNormalCommonExt_r13 = -1;  /* SL_CommTxPoolListExt_r13 */
static int hf_lte_rrc_commTxResourceUC_ReqAllowed_r13 = -1;  /* T_commTxResourceUC_ReqAllowed_r13 */
static int hf_lte_rrc_commTxAllowRelayCommon_r13 = -1;  /* T_commTxAllowRelayCommon_r13 */
static int hf_lte_rrc_discConfig_r12 = -1;        /* T_discConfig_r12 */
static int hf_lte_rrc_discRxPool_r12 = -1;        /* SL_DiscRxPoolList_r12 */
static int hf_lte_rrc_discTxPoolCommon_r12 = -1;  /* SL_DiscTxPoolList_r12 */
static int hf_lte_rrc_discTxPowerInfo_r12 = -1;   /* SL_DiscTxPowerInfoList_r12 */
static int hf_lte_rrc_discSyncConfig_r12 = -1;    /* SL_SyncConfigList_r12 */
static int hf_lte_rrc_discInterFreqList_r12 = -1;  /* SL_CarrierFreqInfoList_r12 */
static int hf_lte_rrc_discConfig_v1310 = -1;      /* T_discConfig_v1310 */
static int hf_lte_rrc_discInterFreqList_v1310 = -1;  /* SL_CarrierFreqInfoList_v1310 */
static int hf_lte_rrc_gapRequestsAllowedCommon = -1;  /* T_gapRequestsAllowedCommon */
static int hf_lte_rrc_discConfigRelay_r13 = -1;   /* T_discConfigRelay_r13 */
static int hf_lte_rrc_relayUE_Config_r13 = -1;    /* SL_DiscConfigRelayUE_r13 */
static int hf_lte_rrc_remoteUE_Config_r13 = -1;   /* SL_DiscConfigRemoteUE_r13 */
static int hf_lte_rrc_discConfigPS_13 = -1;       /* T_discConfigPS_13 */
static int hf_lte_rrc_discRxPoolPS_r13 = -1;      /* SL_DiscRxPoolList_r12 */
static int hf_lte_rrc_discTxPoolPS_Common_r13 = -1;  /* SL_DiscTxPoolList_r12 */
static int hf_lte_rrc_SL_CarrierFreqInfoList_r12_item = -1;  /* SL_CarrierFreqInfo_r12 */
static int hf_lte_rrc_SL_CarrierFreqInfoList_v1310_item = -1;  /* SL_CarrierFreqInfo_v1310 */
static int hf_lte_rrc_plmn_IdentityList_r12 = -1;  /* PLMN_IdentityList4_r12 */
static int hf_lte_rrc_threshHigh_r13 = -1;        /* RSRP_RangeSL4_r13 */
static int hf_lte_rrc_threshLow_r13 = -1;         /* RSRP_RangeSL4_r13 */
static int hf_lte_rrc_hystMax_r13 = -1;           /* T_hystMax_r13 */
static int hf_lte_rrc_hystMin_r13 = -1;           /* T_hystMin_r13 */
static int hf_lte_rrc_hystMax_r13_01 = -1;        /* T_hystMax_r13_01 */
static int hf_lte_rrc_reselectionInfoIC_r13 = -1;  /* ReselectionInfoRelay_r13 */
static int hf_lte_rrc_q_RxLevMin_r13 = -1;        /* Q_RxLevMin */
static int hf_lte_rrc_filterCoefficient_r13 = -1;  /* FilterCoefficient */
static int hf_lte_rrc_minHyst_r13 = -1;           /* T_minHyst_r13 */
static int hf_lte_rrc_discResourcesNonPS_r13 = -1;  /* SL_ResourcesInterFreq_r13 */
static int hf_lte_rrc_discResourcesPS_r13 = -1;   /* SL_ResourcesInterFreq_r13 */
static int hf_lte_rrc_discConfigOther_r13 = -1;   /* SL_DiscConfigOtherInterFreq_r13 */
static int hf_lte_rrc_PLMN_IdentityList4_r12_item = -1;  /* PLMN_IdentityInfo2_r12 */
static int hf_lte_rrc_plmn_Index_r12 = -1;        /* INTEGER_1_maxPLMN_r11 */
static int hf_lte_rrc_plmnIdentity_r12 = -1;      /* PLMN_Identity */
static int hf_lte_rrc_acquireSI_FromCarrier_r13 = -1;  /* NULL */
static int hf_lte_rrc_discTxPoolCommon_r13 = -1;  /* SL_DiscTxPoolList_r12 */
static int hf_lte_rrc_requestDedicated_r13 = -1;  /* NULL */
static int hf_lte_rrc_noTxOnCarrier_r13 = -1;     /* NULL */
static int hf_lte_rrc_txPowerInfo_r13 = -1;       /* SL_DiscTxPowerInfoList_r12 */
static int hf_lte_rrc_refCarrierCommon_r13 = -1;  /* T_refCarrierCommon_r13 */
static int hf_lte_rrc_discSyncConfig_r13 = -1;    /* SL_SyncConfigListNFreq_r13 */
static int hf_lte_rrc_discCellSelectionInfo_r13 = -1;  /* CellSelectionInfoNFreq_r13 */
static int hf_lte_rrc_discRxResourcesInterFreq_r13 = -1;  /* SL_DiscRxPoolList_r12 */
static int hf_lte_rrc_discTxResourcesInterFreq_r13 = -1;  /* SL_DiscTxResourcesInterFreq_r13 */
static int hf_lte_rrc_sc_mcch_RepetitionPeriod_r13 = -1;  /* T_sc_mcch_RepetitionPeriod_r13 */
static int hf_lte_rrc_sc_mcch_Offset_r13 = -1;    /* INTEGER_0_10 */
static int hf_lte_rrc_sc_mcch_FirstSubframe_r13 = -1;  /* INTEGER_0_9 */
static int hf_lte_rrc_sc_mcch_duration_r13 = -1;  /* INTEGER_2_9 */
static int hf_lte_rrc_sc_mcch_ModificationPeriod_r13 = -1;  /* T_sc_mcch_ModificationPeriod_r13 */
static int hf_lte_rrc_br_BCCH_Config_r14 = -1;    /* T_br_BCCH_Config_r14 */
static int hf_lte_rrc_sc_mcch_RepetitionPeriod_v1430 = -1;  /* T_sc_mcch_RepetitionPeriod_v1430 */
static int hf_lte_rrc_sc_mcch_ModificationPeriod_v1430 = -1;  /* T_sc_mcch_ModificationPeriod_v1430 */
static int hf_lte_rrc_mpdcch_Narrowband_SC_MCCH_r14 = -1;  /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_mpdcch_NumRepetition_SC_MCCH_r14 = -1;  /* T_mpdcch_NumRepetition_SC_MCCH_r14 */
static int hf_lte_rrc_mpdcch_StartSF_SC_MCCH_r14 = -1;  /* T_mpdcch_StartSF_SC_MCCH_r14 */
static int hf_lte_rrc_fdd_r14 = -1;               /* T_fdd_r14 */
static int hf_lte_rrc_tdd_r14 = -1;               /* T_tdd_r14 */
static int hf_lte_rrc_mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14 = -1;  /* T_mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14 */
static int hf_lte_rrc_sc_mcch_CarrierFreq_r14 = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_sc_mcch_Offset_BR_r14 = -1;  /* INTEGER_0_10 */
static int hf_lte_rrc_sc_mcch_RepetitionPeriod_BR_r14 = -1;  /* T_sc_mcch_RepetitionPeriod_BR_r14 */
static int hf_lte_rrc_sc_mcch_ModificationPeriod_BR_r14 = -1;  /* T_sc_mcch_ModificationPeriod_BR_r14 */
static int hf_lte_rrc_sc_mcch_SchedulingInfo_r14 = -1;  /* SC_MCCH_SchedulingInfo_r14 */
static int hf_lte_rrc_pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14 = -1;  /* T_pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14 */
static int hf_lte_rrc_pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14 = -1;  /* T_pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14 */
static int hf_lte_rrc_onDurationTimerSCPTM_r14 = -1;  /* T_onDurationTimerSCPTM_r14 */
static int hf_lte_rrc_drx_InactivityTimerSCPTM_r14 = -1;  /* T_drx_InactivityTimerSCPTM_r14 */
static int hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14 = -1;  /* T_schedulingPeriodStartOffsetSCPTM_r14 */
static int hf_lte_rrc_sf10 = -1;                  /* INTEGER_0_9 */
static int hf_lte_rrc_sf20 = -1;                  /* INTEGER_0_19 */
static int hf_lte_rrc_sf32 = -1;                  /* INTEGER_0_31 */
static int hf_lte_rrc_sf40 = -1;                  /* INTEGER_0_39 */
static int hf_lte_rrc_sf64 = -1;                  /* INTEGER_0_63 */
static int hf_lte_rrc_sf80 = -1;                  /* INTEGER_0_79 */
static int hf_lte_rrc_sf128 = -1;                 /* INTEGER_0_127 */
static int hf_lte_rrc_sf160 = -1;                 /* INTEGER_0_159 */
static int hf_lte_rrc_sf256 = -1;                 /* INTEGER_0_255 */
static int hf_lte_rrc_sf320 = -1;                 /* INTEGER_0_319 */
static int hf_lte_rrc_sf512 = -1;                 /* INTEGER_0_511 */
static int hf_lte_rrc_sf640 = -1;                 /* INTEGER_0_639 */
static int hf_lte_rrc_sf1024 = -1;                /* INTEGER_0_1023 */
static int hf_lte_rrc_sf2048 = -1;                /* INTEGER_0_2047 */
static int hf_lte_rrc_sf4096 = -1;                /* INTEGER_0_4095 */
static int hf_lte_rrc_sf8192 = -1;                /* INTEGER_0_8191 */
static int hf_lte_rrc_sl_V2X_ConfigCommon_r14 = -1;  /* SL_V2X_ConfigCommon_r14 */
static int hf_lte_rrc_v2x_CommRxPool_r14 = -1;    /* SL_CommRxPoolListV2X_r14 */
static int hf_lte_rrc_v2x_CommTxPoolNormalCommon_r14 = -1;  /* SL_CommTxPoolListV2X_r14 */
static int hf_lte_rrc_p2x_CommTxPoolNormalCommon_r14 = -1;  /* SL_CommTxPoolListV2X_r14 */
static int hf_lte_rrc_v2x_CommTxPoolExceptional_r14 = -1;  /* SL_CommResourcePoolV2X_r14 */
static int hf_lte_rrc_v2x_SyncConfig_r14 = -1;    /* SL_SyncConfigListV2X_r14 */
static int hf_lte_rrc_v2x_InterFreqInfoList_r14 = -1;  /* SL_InterFreqInfoListV2X_r14 */
static int hf_lte_rrc_v2x_ResourceSelectionConfig_r14 = -1;  /* SL_CommTxPoolSensingConfig_r14 */
static int hf_lte_rrc_zoneConfig_r14 = -1;        /* SL_ZoneConfig_r14 */
static int hf_lte_rrc_typeTxSync_r14 = -1;        /* SL_TypeTxSync_r14 */
static int hf_lte_rrc_thresSL_TxPrioritization_r14 = -1;  /* SL_Priority_r13 */
static int hf_lte_rrc_anchorCarrierFreqList_r14 = -1;  /* SL_AnchorCarrierFreqList_V2X_r14 */
static int hf_lte_rrc_offsetDFN_r14 = -1;         /* INTEGER_0_1000 */
static int hf_lte_rrc_cbr_CommonTxConfigList_r14 = -1;  /* SL_CBR_CommonTxConfigList_r14 */
static int hf_lte_rrc_antennaPortsCount = -1;     /* T_antennaPortsCount */
static int hf_lte_rrc_transmissionMode = -1;      /* T_transmissionMode */
static int hf_lte_rrc_codebookSubsetRestriction = -1;  /* T_codebookSubsetRestriction */
static int hf_lte_rrc_n2TxAntenna_tm3 = -1;       /* BIT_STRING_SIZE_2 */
static int hf_lte_rrc_n4TxAntenna_tm3 = -1;       /* BIT_STRING_SIZE_4 */
static int hf_lte_rrc_n2TxAntenna_tm4 = -1;       /* BIT_STRING_SIZE_6 */
static int hf_lte_rrc_n4TxAntenna_tm4 = -1;       /* BIT_STRING_SIZE_64 */
static int hf_lte_rrc_n2TxAntenna_tm5 = -1;       /* BIT_STRING_SIZE_4 */
static int hf_lte_rrc_n4TxAntenna_tm5 = -1;       /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_n2TxAntenna_tm6 = -1;       /* BIT_STRING_SIZE_4 */
static int hf_lte_rrc_n4TxAntenna_tm6 = -1;       /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_ue_TransmitAntennaSelection = -1;  /* T_ue_TransmitAntennaSelection */
static int hf_lte_rrc_setup_03 = -1;              /* T_setup_03 */
static int hf_lte_rrc_codebookSubsetRestriction_v920 = -1;  /* T_codebookSubsetRestriction_v920 */
static int hf_lte_rrc_n2TxAntenna_tm8_r9 = -1;    /* BIT_STRING_SIZE_6 */
static int hf_lte_rrc_n4TxAntenna_tm8_r9 = -1;    /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_transmissionMode_r10 = -1;  /* T_transmissionMode_r10 */
static int hf_lte_rrc_codebookSubsetRestriction_r10 = -1;  /* BIT_STRING */
static int hf_lte_rrc_ue_TransmitAntennaSelection_01 = -1;  /* T_ue_TransmitAntennaSelection_01 */
static int hf_lte_rrc_setup_04 = -1;              /* T_setup_04 */
static int hf_lte_rrc_maxLayersMIMO_r10 = -1;     /* T_maxLayersMIMO_r10 */
static int hf_lte_rrc_alternativeCodebookEnabledFor4TX_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_ce_UE_TxAntennaSelection_config_r14 = -1;  /* T_ce_UE_TxAntennaSelection_config_r14 */
static int hf_lte_rrc_transmissionModeUL_r10 = -1;  /* T_transmissionModeUL_r10 */
static int hf_lte_rrc_fourAntennaPortActivated_r10 = -1;  /* T_fourAntennaPortActivated_r10 */
static int hf_lte_rrc_setup_05 = -1;              /* T_setup_05 */
static int hf_lte_rrc_cqi_ReportModeAperiodic_r10 = -1;  /* CQI_ReportModeAperiodic */
static int hf_lte_rrc_aperiodicCSI_Trigger_r10 = -1;  /* T_aperiodicCSI_Trigger_r10 */
static int hf_lte_rrc_trigger1_r10 = -1;          /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_trigger2_r10 = -1;          /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_setup_06 = -1;              /* T_setup_06 */
static int hf_lte_rrc_aperiodicCSI_Trigger_v1250 = -1;  /* T_aperiodicCSI_Trigger_v1250 */
static int hf_lte_rrc_trigger_SubframeSetIndicator_r12 = -1;  /* T_trigger_SubframeSetIndicator_r12 */
static int hf_lte_rrc_trigger1_SubframeSetIndicator_r12 = -1;  /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_trigger2_SubframeSetIndicator_r12 = -1;  /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_setup_07 = -1;              /* T_setup_07 */
static int hf_lte_rrc_aperiodicCSI_Trigger_v1310 = -1;  /* T_aperiodicCSI_Trigger_v1310 */
static int hf_lte_rrc_trigger1_r13 = -1;          /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger2_r13 = -1;          /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger3_r13 = -1;          /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger4_r13 = -1;          /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger5_r13 = -1;          /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger6_r13 = -1;          /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_aperiodicCSI_Trigger2_r13 = -1;  /* T_aperiodicCSI_Trigger2_r13 */
static int hf_lte_rrc_setup_08 = -1;              /* T_setup_08 */
static int hf_lte_rrc_trigger1_SubframeSetIndicator_r13 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger2_SubframeSetIndicator_r13 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger3_SubframeSetIndicator_r13 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger4_SubframeSetIndicator_r13 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger5_SubframeSetIndicator_r13 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger6_SubframeSetIndicator_r13 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_cqi_ReportModeAperiodic_r11 = -1;  /* CQI_ReportModeAperiodic */
static int hf_lte_rrc_trigger01_r11 = -1;         /* BOOLEAN */
static int hf_lte_rrc_trigger10_r11 = -1;         /* BOOLEAN */
static int hf_lte_rrc_trigger11_r11 = -1;         /* BOOLEAN */
static int hf_lte_rrc_trigger001_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_trigger010_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_trigger011_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_trigger100_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_trigger101_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_trigger110_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_trigger111_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_triggers_r14 = -1;          /* T_triggers_r14 */
static int hf_lte_rrc_oneBit_r14 = -1;            /* T_oneBit_r14 */
static int hf_lte_rrc_trigger1_Indicator_r14 = -1;  /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_twoBit_r14 = -1;            /* T_twoBit_r14 */
static int hf_lte_rrc_trigger01_Indicator_r14 = -1;  /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_trigger10_Indicator_r14 = -1;  /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_trigger11_Indicator_r14 = -1;  /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_threeBit_r14 = -1;          /* T_threeBit_r14 */
static int hf_lte_rrc_trigger001_Indicator_r14 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger010_Indicator_r14 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger011_Indicator_r14 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger100_Indicator_r14 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger101_Indicator_r14 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger110_Indicator_r14 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_trigger111_Indicator_r14 = -1;  /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_csi_IM_ConfigToReleaseList_r11 = -1;  /* CSI_IM_ConfigToReleaseList_r11 */
static int hf_lte_rrc_csi_IM_ConfigToAddModList_r11 = -1;  /* CSI_IM_ConfigToAddModList_r11 */
static int hf_lte_rrc_csi_ProcessToReleaseList_r11 = -1;  /* CSI_ProcessToReleaseList_r11 */
static int hf_lte_rrc_csi_ProcessToAddModList_r11 = -1;  /* CSI_ProcessToAddModList_r11 */
static int hf_lte_rrc_csi_IM_ConfigToReleaseListExt_r12 = -1;  /* CSI_IM_ConfigId_v1250 */
static int hf_lte_rrc_csi_IM_ConfigToAddModListExt_r12 = -1;  /* CSI_IM_ConfigExt_r12 */
static int hf_lte_rrc_csi_IM_ConfigToReleaseListExt_r13 = -1;  /* CSI_IM_ConfigToReleaseListExt_r13 */
static int hf_lte_rrc_csi_IM_ConfigToAddModListExt_r13 = -1;  /* CSI_IM_ConfigToAddModListExt_r13 */
static int hf_lte_rrc_CSI_IM_ConfigToAddModList_r11_item = -1;  /* CSI_IM_Config_r11 */
static int hf_lte_rrc_CSI_IM_ConfigToAddModListExt_r13_item = -1;  /* CSI_IM_ConfigExt_r12 */
static int hf_lte_rrc_CSI_IM_ConfigToReleaseList_r11_item = -1;  /* CSI_IM_ConfigId_r11 */
static int hf_lte_rrc_CSI_IM_ConfigToReleaseListExt_r13_item = -1;  /* CSI_IM_ConfigId_v1310 */
static int hf_lte_rrc_CSI_ProcessToAddModList_r11_item = -1;  /* CSI_Process_r11 */
static int hf_lte_rrc_CSI_ProcessToReleaseList_r11_item = -1;  /* CSI_ProcessId_r11 */
static int hf_lte_rrc_ri_Ref_CSI_ProcessId_r11 = -1;  /* CSI_ProcessId_r11 */
static int hf_lte_rrc_pmi_RI_Report_r11 = -1;     /* T_pmi_RI_Report_r11 */
static int hf_lte_rrc_cqi_ReportModeAperiodic = -1;  /* CQI_ReportModeAperiodic */
static int hf_lte_rrc_nomPDSCH_RS_EPRE_Offset = -1;  /* INTEGER_M1_6 */
static int hf_lte_rrc_cqi_ReportPeriodic = -1;    /* CQI_ReportPeriodic */
static int hf_lte_rrc_cqi_Mask_r9 = -1;           /* T_cqi_Mask_r9 */
static int hf_lte_rrc_pmi_RI_Report_r9 = -1;      /* T_pmi_RI_Report_r9 */
static int hf_lte_rrc_cqi_ReportAperiodic_r10 = -1;  /* CQI_ReportAperiodic_r10 */
static int hf_lte_rrc_cqi_ReportPeriodic_r10 = -1;  /* CQI_ReportPeriodic_r10 */
static int hf_lte_rrc_pmi_RI_Report_r9_01 = -1;   /* T_pmi_RI_Report_r9_01 */
static int hf_lte_rrc_csi_SubframePatternConfig_r10 = -1;  /* T_csi_SubframePatternConfig_r10 */
static int hf_lte_rrc_setup_09 = -1;              /* T_setup_09 */
static int hf_lte_rrc_csi_MeasSubframeSet1_r10 = -1;  /* MeasSubframePattern_r10 */
static int hf_lte_rrc_csi_MeasSubframeSet2_r10 = -1;  /* MeasSubframePattern_r10 */
static int hf_lte_rrc_cqi_ReportPeriodic_v1130 = -1;  /* CQI_ReportPeriodic_v1130 */
static int hf_lte_rrc_cqi_ReportBoth_r11 = -1;    /* CQI_ReportBoth_r11 */
static int hf_lte_rrc_csi_SubframePatternConfig_r12 = -1;  /* T_csi_SubframePatternConfig_r12 */
static int hf_lte_rrc_setup_10 = -1;              /* T_setup_10 */
static int hf_lte_rrc_csi_MeasSubframeSets_r12 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_cqi_ReportBoth_v1250 = -1;  /* CQI_ReportBoth_v1250 */
static int hf_lte_rrc_cqi_ReportAperiodic_v1250 = -1;  /* CQI_ReportAperiodic_v1250 */
static int hf_lte_rrc_altCQI_Table_r12 = -1;      /* T_altCQI_Table_r12 */
static int hf_lte_rrc_cqi_ReportBoth_v1310 = -1;  /* CQI_ReportBoth_v1310 */
static int hf_lte_rrc_cqi_ReportAperiodic_v1310 = -1;  /* CQI_ReportAperiodic_v1310 */
static int hf_lte_rrc_cqi_ReportPeriodic_v1310 = -1;  /* CQI_ReportPeriodic_v1310 */
static int hf_lte_rrc_cqi_ReportPeriodic_v1320 = -1;  /* CQI_ReportPeriodic_v1320 */
static int hf_lte_rrc_cqi_ReportAperiodicHybrid_r14 = -1;  /* CQI_ReportAperiodicHybrid_r14 */
static int hf_lte_rrc_nomPDSCH_RS_EPRE_Offset_r10 = -1;  /* INTEGER_M1_6 */
static int hf_lte_rrc_cqi_ReportPeriodicSCell_r10 = -1;  /* CQI_ReportPeriodic_r10 */
static int hf_lte_rrc_pmi_RI_Report_r10 = -1;     /* T_pmi_RI_Report_r10 */
static int hf_lte_rrc_setup_11 = -1;              /* T_setup_11 */
static int hf_lte_rrc_cqi_PUCCH_ResourceIndex = -1;  /* INTEGER_0_1185 */
static int hf_lte_rrc_cqi_pmi_ConfigIndex = -1;   /* INTEGER_0_1023 */
static int hf_lte_rrc_cqi_FormatIndicatorPeriodic = -1;  /* T_cqi_FormatIndicatorPeriodic */
static int hf_lte_rrc_widebandCQI = -1;           /* NULL */
static int hf_lte_rrc_subbandCQI = -1;            /* T_subbandCQI */
static int hf_lte_rrc_k = -1;                     /* INTEGER_1_4 */
static int hf_lte_rrc_ri_ConfigIndex = -1;        /* INTEGER_0_1023 */
static int hf_lte_rrc_simultaneousAckNackAndCQI = -1;  /* BOOLEAN */
static int hf_lte_rrc_setup_12 = -1;              /* T_setup_12 */
static int hf_lte_rrc_cqi_PUCCH_ResourceIndex_r10 = -1;  /* INTEGER_0_1184 */
static int hf_lte_rrc_cqi_PUCCH_ResourceIndexP1_r10 = -1;  /* INTEGER_0_1184 */
static int hf_lte_rrc_cqi_FormatIndicatorPeriodic_r10 = -1;  /* T_cqi_FormatIndicatorPeriodic_r10 */
static int hf_lte_rrc_widebandCQI_r10 = -1;       /* T_widebandCQI_r10 */
static int hf_lte_rrc_csi_ReportMode_r10 = -1;    /* T_csi_ReportMode_r10 */
static int hf_lte_rrc_subbandCQI_r10 = -1;        /* T_subbandCQI_r10 */
static int hf_lte_rrc_periodicityFactor_r10 = -1;  /* T_periodicityFactor_r10 */
static int hf_lte_rrc_cqi_Mask_r9_01 = -1;        /* T_cqi_Mask_r9_01 */
static int hf_lte_rrc_csi_ConfigIndex_r10 = -1;   /* T_csi_ConfigIndex_r10 */
static int hf_lte_rrc_setup_13 = -1;              /* T_setup_13 */
static int hf_lte_rrc_cqi_pmi_ConfigIndex2_r10 = -1;  /* INTEGER_0_1023 */
static int hf_lte_rrc_ri_ConfigIndex2_r10 = -1;   /* INTEGER_0_1023 */
static int hf_lte_rrc_simultaneousAckNackAndCQI_Format3_r11 = -1;  /* T_simultaneousAckNackAndCQI_Format3_r11 */
static int hf_lte_rrc_cqi_ReportPeriodicProcExtToReleaseList_r11 = -1;  /* CQI_ReportPeriodicProcExtToReleaseList_r11 */
static int hf_lte_rrc_cqi_ReportPeriodicProcExtToAddModList_r11 = -1;  /* CQI_ReportPeriodicProcExtToAddModList_r11 */
static int hf_lte_rrc_cri_ReportConfig_r13 = -1;  /* CRI_ReportConfig_r13 */
static int hf_lte_rrc_simultaneousAckNackAndCQI_Format4_Format5_r13 = -1;  /* T_simultaneousAckNackAndCQI_Format4_Format5_r13 */
static int hf_lte_rrc_periodicityFactorWB_r13 = -1;  /* T_periodicityFactorWB_r13 */
static int hf_lte_rrc_CQI_ReportPeriodicProcExtToAddModList_r11_item = -1;  /* CQI_ReportPeriodicProcExt_r11 */
static int hf_lte_rrc_CQI_ReportPeriodicProcExtToReleaseList_r11_item = -1;  /* CQI_ReportPeriodicProcExtId_r11 */
static int hf_lte_rrc_cqi_ReportPeriodicProcExtId_r11 = -1;  /* CQI_ReportPeriodicProcExtId_r11 */
static int hf_lte_rrc_cqi_pmi_ConfigIndex_r11 = -1;  /* INTEGER_0_1023 */
static int hf_lte_rrc_cqi_FormatIndicatorPeriodic_r11 = -1;  /* T_cqi_FormatIndicatorPeriodic_r11 */
static int hf_lte_rrc_widebandCQI_r11 = -1;       /* T_widebandCQI_r11 */
static int hf_lte_rrc_csi_ReportMode_r11 = -1;    /* T_csi_ReportMode_r11 */
static int hf_lte_rrc_subbandCQI_r11 = -1;        /* T_subbandCQI_r11 */
static int hf_lte_rrc_periodicityFactor_r11 = -1;  /* T_periodicityFactor_r11 */
static int hf_lte_rrc_ri_ConfigIndex_r11 = -1;    /* INTEGER_0_1023 */
static int hf_lte_rrc_csi_ConfigIndex_r11 = -1;   /* T_csi_ConfigIndex_r11 */
static int hf_lte_rrc_setup_14 = -1;              /* T_setup_14 */
static int hf_lte_rrc_cqi_pmi_ConfigIndex2_r11 = -1;  /* INTEGER_0_1023 */
static int hf_lte_rrc_ri_ConfigIndex2_r11 = -1;   /* INTEGER_0_1023 */
static int hf_lte_rrc_periodicityFactorWB_r13_01 = -1;  /* T_periodicityFactorWB_r13_01 */
static int hf_lte_rrc_setup_15 = -1;              /* T_setup_15 */
static int hf_lte_rrc_cri_ConfigIndex_r13 = -1;   /* CRI_ConfigIndex_r13 */
static int hf_lte_rrc_cri_ConfigIndex2_r13 = -1;  /* CRI_ConfigIndex_r13 */
static int hf_lte_rrc_schedulingCellInfo_r10 = -1;  /* T_schedulingCellInfo_r10 */
static int hf_lte_rrc_own_r10 = -1;               /* T_own_r10 */
static int hf_lte_rrc_cif_Presence_r10 = -1;      /* BOOLEAN */
static int hf_lte_rrc_other_r10 = -1;             /* T_other_r10 */
static int hf_lte_rrc_schedulingCellId_r10 = -1;  /* ServCellIndex_r10 */
static int hf_lte_rrc_pdsch_Start_r10 = -1;       /* INTEGER_1_4 */
static int hf_lte_rrc_schedulingCellInfo_r13 = -1;  /* T_schedulingCellInfo_r13 */
static int hf_lte_rrc_own_r13 = -1;               /* T_own_r13 */
static int hf_lte_rrc_cif_Presence_r13 = -1;      /* BOOLEAN */
static int hf_lte_rrc_other_r13 = -1;             /* T_other_r13 */
static int hf_lte_rrc_schedulingCellId_r13 = -1;  /* ServCellIndex_r13 */
static int hf_lte_rrc_pdsch_Start_r13 = -1;       /* INTEGER_1_4 */
static int hf_lte_rrc_cif_InSchedulingCell_r13 = -1;  /* INTEGER_1_7 */
static int hf_lte_rrc_schedulingCellId_r14 = -1;  /* ServCellIndex_r13 */
static int hf_lte_rrc_cif_InSchedulingCell_r14 = -1;  /* INTEGER_1_7 */
static int hf_lte_rrc_csi_IM_ConfigId_r11 = -1;   /* CSI_IM_ConfigId_r11 */
static int hf_lte_rrc_resourceConfig_r11 = -1;    /* INTEGER_0_31 */
static int hf_lte_rrc_subframeConfig_r11 = -1;    /* INTEGER_0_154 */
static int hf_lte_rrc_interferenceMeasRestriction_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_csi_IM_ConfigId_v1250 = -1;  /* CSI_IM_ConfigId_v1250 */
static int hf_lte_rrc_resourceConfig_r12 = -1;    /* INTEGER_0_31 */
static int hf_lte_rrc_subframeConfig_r12 = -1;    /* INTEGER_0_154 */
static int hf_lte_rrc_csi_IM_ConfigId_v1310 = -1;  /* CSI_IM_ConfigId_v1310 */
static int hf_lte_rrc_csi_ProcessId_r11 = -1;     /* CSI_ProcessId_r11 */
static int hf_lte_rrc_csi_RS_ConfigNZPId_r11 = -1;  /* CSI_RS_ConfigNZPId_r11 */
static int hf_lte_rrc_p_C_AndCBSRList_r11 = -1;   /* P_C_AndCBSR_Pair_r13a */
static int hf_lte_rrc_cqi_ReportBothProc_r11 = -1;  /* CQI_ReportBothProc_r11 */
static int hf_lte_rrc_cqi_ReportPeriodicProcId_r11 = -1;  /* INTEGER_0_maxCQI_ProcExt_r11 */
static int hf_lte_rrc_cqi_ReportAperiodicProc_r11 = -1;  /* CQI_ReportAperiodicProc_r11 */
static int hf_lte_rrc_alternativeCodebookEnabledFor4TXProc_r12 = -1;  /* T_alternativeCodebookEnabledFor4TXProc_r12 */
static int hf_lte_rrc_csi_IM_ConfigIdList_r12 = -1;  /* T_csi_IM_ConfigIdList_r12 */
static int hf_lte_rrc_setup_16 = -1;              /* SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12 */
static int hf_lte_rrc_setup_item = -1;            /* CSI_IM_ConfigId_r12 */
static int hf_lte_rrc_cqi_ReportAperiodicProc2_r12 = -1;  /* T_cqi_ReportAperiodicProc2_r12 */
static int hf_lte_rrc_setup_17 = -1;              /* CQI_ReportAperiodicProc_r11 */
static int hf_lte_rrc_cqi_ReportAperiodicProc_v1310 = -1;  /* T_cqi_ReportAperiodicProc_v1310 */
static int hf_lte_rrc_setup_18 = -1;              /* CQI_ReportAperiodicProc_v1310 */
static int hf_lte_rrc_cqi_ReportAperiodicProc2_v1310 = -1;  /* T_cqi_ReportAperiodicProc2_v1310 */
static int hf_lte_rrc_eMIMO_Type_r13 = -1;        /* CSI_RS_ConfigEMIMO_r13 */
static int hf_lte_rrc_eMIMO_Type_v1430 = -1;      /* CSI_RS_ConfigEMIMO_v1430 */
static int hf_lte_rrc_eMIMO_Hybrid_r14 = -1;      /* CSI_RS_ConfigEMIMO_Hybrid_r14 */
static int hf_lte_rrc_advancedCodebookEnabled_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_csi_RS_r10 = -1;            /* T_csi_RS_r10 */
static int hf_lte_rrc_setup_19 = -1;              /* T_setup_16 */
static int hf_lte_rrc_antennaPortsCount_r10 = -1;  /* T_antennaPortsCount_r10 */
static int hf_lte_rrc_resourceConfig_r10 = -1;    /* INTEGER_0_31 */
static int hf_lte_rrc_subframeConfig_r10 = -1;    /* INTEGER_0_154 */
static int hf_lte_rrc_p_C_r10 = -1;               /* INTEGER_M8_15 */
static int hf_lte_rrc_zeroTxPowerCSI_RS_r10 = -1;  /* ZeroTxPowerCSI_RS_Conf_r12 */
static int hf_lte_rrc_zeroTxPowerCSI_RS2_r12 = -1;  /* ZeroTxPowerCSI_RS_Conf_r12 */
static int hf_lte_rrc_ds_ZeroTxPowerCSI_RS_r12 = -1;  /* T_ds_ZeroTxPowerCSI_RS_r12 */
static int hf_lte_rrc_setup_20 = -1;              /* T_setup_17 */
static int hf_lte_rrc_zeroTxPowerCSI_RS_List_r12 = -1;  /* SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12 */
static int hf_lte_rrc_zeroTxPowerCSI_RS_List_r12_item = -1;  /* ZeroTxPowerCSI_RS_r12 */
static int hf_lte_rrc_setup_21 = -1;              /* ZeroTxPowerCSI_RS_r12 */
static int hf_lte_rrc_zeroTxPowerResourceConfigList_r12 = -1;  /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_zeroTxPowerSubframeConfig_r12 = -1;  /* INTEGER_0_154 */
static int hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r13 = -1;  /* SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13 */
static int hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r13_item = -1;  /* CSI_RS_ConfigNZPId_r13 */
static int hf_lte_rrc_csi_IM_ConfigIdList_r13 = -1;  /* SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13 */
static int hf_lte_rrc_csi_IM_ConfigIdList_r13_item = -1;  /* CSI_IM_ConfigId_r13 */
static int hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r13 = -1;  /* SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13 */
static int hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r13_item = -1;  /* P_C_AndCBSR_Pair_r13 */
static int hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r13 = -1;  /* T_ace_For4Tx_PerResourceConfigList_r13 */
static int hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r13_item = -1;  /* BOOLEAN */
static int hf_lte_rrc_alternativeCodebookEnabledBeamformed_r13 = -1;  /* T_alternativeCodebookEnabledBeamformed_r13 */
static int hf_lte_rrc_channelMeasRestriction_r13 = -1;  /* T_channelMeasRestriction_r13 */
static int hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r14 = -1;  /* SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13 */
static int hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r14_item = -1;  /* CSI_RS_ConfigNZPId_r13 */
static int hf_lte_rrc_csi_IM_ConfigIdList_r14 = -1;  /* SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13 */
static int hf_lte_rrc_csi_IM_ConfigIdList_r14_item = -1;  /* CSI_IM_ConfigId_r13 */
static int hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r14 = -1;  /* SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13 */
static int hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r14_item = -1;  /* P_C_AndCBSR_Pair_r13 */
static int hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r14 = -1;  /* T_ace_For4Tx_PerResourceConfigList_r14 */
static int hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r14_item = -1;  /* BOOLEAN */
static int hf_lte_rrc_alternativeCodebookEnabledBeamformed_r14 = -1;  /* T_alternativeCodebookEnabledBeamformed_r14 */
static int hf_lte_rrc_channelMeasRestriction_r14 = -1;  /* T_channelMeasRestriction_r14 */
static int hf_lte_rrc_csi_RS_ConfigNZP_ApList_r14 = -1;  /* SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11 */
static int hf_lte_rrc_csi_RS_ConfigNZP_ApList_r14_item = -1;  /* CSI_RS_ConfigNZP_r11 */
static int hf_lte_rrc_nzp_ResourceConfigOriginal_v1430 = -1;  /* CSI_RS_Config_NZP_v1430 */
static int hf_lte_rrc_csi_RS_NZP_Activation_r14 = -1;  /* CSI_RS_ConfigNZP_Activation_r14 */
static int hf_lte_rrc_transmissionComb_r14 = -1;  /* NZP_TransmissionComb_r14 */
static int hf_lte_rrc_frequencyDensity_r14 = -1;  /* NZP_FrequencyDensity_r14 */
static int hf_lte_rrc_csi_RS_NZP_mode_r14 = -1;   /* T_csi_RS_NZP_mode_r14 */
static int hf_lte_rrc_activatedResources_r14 = -1;  /* INTEGER_0_4 */
static int hf_lte_rrc_setup_22 = -1;              /* T_setup_18 */
static int hf_lte_rrc_nonPrecoded_r13 = -1;       /* CSI_RS_ConfigNonPrecoded_r13 */
static int hf_lte_rrc_beamformed_r13 = -1;        /* CSI_RS_ConfigBeamformed_r13 */
static int hf_lte_rrc_setup_23 = -1;              /* T_setup_19 */
static int hf_lte_rrc_nonPrecoded_v1430 = -1;     /* CSI_RS_ConfigNonPrecoded_v1430 */
static int hf_lte_rrc_beamformed_v1430 = -1;      /* CSI_RS_ConfigBeamformed_v1430 */
static int hf_lte_rrc_setup_24 = -1;              /* CSI_RS_ConfigBeamformed_r14 */
static int hf_lte_rrc_setup_25 = -1;              /* T_setup_20 */
static int hf_lte_rrc_periodicityOffsetIndex_r14 = -1;  /* INTEGER_0_1023 */
static int hf_lte_rrc_eMIMO_Type2_r14 = -1;       /* CSI_RS_ConfigEMIMO2_r14 */
static int hf_lte_rrc_p_C_AndCBSRList_r13 = -1;   /* P_C_AndCBSR_Pair_r13 */
static int hf_lte_rrc_codebookConfigN1_r13 = -1;  /* T_codebookConfigN1_r13 */
static int hf_lte_rrc_codebookConfigN2_r13 = -1;  /* T_codebookConfigN2_r13 */
static int hf_lte_rrc_codebookOverSamplingRateConfig_O1_r13 = -1;  /* T_codebookOverSamplingRateConfig_O1_r13 */
static int hf_lte_rrc_codebookOverSamplingRateConfig_O2_r13 = -1;  /* T_codebookOverSamplingRateConfig_O2_r13 */
static int hf_lte_rrc_codebookConfig_r13 = -1;    /* INTEGER_1_4 */
static int hf_lte_rrc_csi_IM_ConfigIdList_r13_01 = -1;  /* SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13 */
static int hf_lte_rrc_csi_RS_ConfigNZP_EMIMO_r13 = -1;  /* CSI_RS_ConfigNZP_EMIMO_r13 */
static int hf_lte_rrc_csi_RS_ConfigNZP_EMIMO_v1430 = -1;  /* CSI_RS_ConfigNZP_EMIMO_v1430 */
static int hf_lte_rrc_codebookConfigN1_v1430 = -1;  /* T_codebookConfigN1_v1430 */
static int hf_lte_rrc_codebookConfigN2_r1430 = -1;  /* T_codebookConfigN2_r1430 */
static int hf_lte_rrc_nzp_ResourceConfigTM9_Original_v1430 = -1;  /* CSI_RS_Config_NZP_v1430 */
static int hf_lte_rrc_antennaPortsCount_r11 = -1;  /* T_antennaPortsCount_r11 */
static int hf_lte_rrc_scramblingIdentity_r11 = -1;  /* INTEGER_0_503 */
static int hf_lte_rrc_qcl_CRS_Info_r11 = -1;      /* T_qcl_CRS_Info_r11 */
static int hf_lte_rrc_qcl_ScramblingIdentity_r11 = -1;  /* INTEGER_0_503 */
static int hf_lte_rrc_crs_PortsCount_r11 = -1;    /* T_crs_PortsCount_r11 */
static int hf_lte_rrc_mbsfn_SubframeConfigList_r11 = -1;  /* T_mbsfn_SubframeConfigList_r11 */
static int hf_lte_rrc_setup_26 = -1;              /* T_setup_21 */
static int hf_lte_rrc_subframeConfigList = -1;    /* MBSFN_SubframeConfigList */
static int hf_lte_rrc_csi_RS_ConfigNZPId_v1310 = -1;  /* CSI_RS_ConfigNZPId_v1310 */
static int hf_lte_rrc_mbsfn_SubframeConfigList_v1430_01 = -1;  /* T_mbsfn_SubframeConfigList_v1430 */
static int hf_lte_rrc_setup_27 = -1;              /* T_setup_22 */
static int hf_lte_rrc_subframeConfigList_v1430 = -1;  /* MBSFN_SubframeConfigList_v1430 */
static int hf_lte_rrc_setup_28 = -1;              /* T_setup_23 */
static int hf_lte_rrc_nzp_resourceConfigList_r13 = -1;  /* SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13 */
static int hf_lte_rrc_nzp_resourceConfigList_r13_item = -1;  /* NZP_ResourceConfig_r13 */
static int hf_lte_rrc_cdmType_r13 = -1;           /* T_cdmType_r13 */
static int hf_lte_rrc_nzp_resourceConfigListExt_r14 = -1;  /* SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13 */
static int hf_lte_rrc_nzp_resourceConfigListExt_r14_item = -1;  /* NZP_ResourceConfig_r13 */
static int hf_lte_rrc_cdmType_v1430 = -1;         /* T_cdmType_v1430 */
static int hf_lte_rrc_resourceConfig_r13 = -1;    /* ResourceConfig_r13 */
static int hf_lte_rrc_csi_RS_ConfigZPId_r11 = -1;  /* CSI_RS_ConfigZPId_r11 */
static int hf_lte_rrc_resourceConfigList_r11 = -1;  /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_setup_29 = -1;              /* SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11 */
static int hf_lte_rrc_setup_item_01 = -1;         /* CSI_RS_ConfigZP_r11 */
static int hf_lte_rrc_setup_30 = -1;              /* T_setup_24 */
static int hf_lte_rrc_scramblingIdentity2_r11 = -1;  /* INTEGER_0_503 */
static int hf_lte_rrc_dmrs_tableAlt_r13 = -1;     /* T_dmrs_tableAlt_r13 */
static int hf_lte_rrc_config_r11 = -1;            /* T_config_r11 */
static int hf_lte_rrc_setup_31 = -1;              /* T_setup_25 */
static int hf_lte_rrc_subframePatternConfig_r11 = -1;  /* T_subframePatternConfig_r11 */
static int hf_lte_rrc_setup_32 = -1;              /* T_setup_26 */
static int hf_lte_rrc_subframePattern_r11 = -1;   /* MeasSubframePattern_r10 */
static int hf_lte_rrc_startSymbol_r11 = -1;       /* INTEGER_1_4 */
static int hf_lte_rrc_setConfigToReleaseList_r11 = -1;  /* EPDCCH_SetConfigToReleaseList_r11 */
static int hf_lte_rrc_setConfigToAddModList_r11 = -1;  /* EPDCCH_SetConfigToAddModList_r11 */
static int hf_lte_rrc_EPDCCH_SetConfigToAddModList_r11_item = -1;  /* EPDCCH_SetConfig_r11 */
static int hf_lte_rrc_EPDCCH_SetConfigToReleaseList_r11_item = -1;  /* EPDCCH_SetConfigId_r11 */
static int hf_lte_rrc_setConfigId_r11 = -1;       /* EPDCCH_SetConfigId_r11 */
static int hf_lte_rrc_transmissionType_r11 = -1;  /* T_transmissionType_r11 */
static int hf_lte_rrc_resourceBlockAssignment_r11 = -1;  /* T_resourceBlockAssignment_r11 */
static int hf_lte_rrc_numberPRB_Pairs_r11 = -1;   /* T_numberPRB_Pairs_r11 */
static int hf_lte_rrc_resourceBlockAssignment_r11_01 = -1;  /* BIT_STRING_SIZE_4_38 */
static int hf_lte_rrc_dmrs_ScramblingSequenceInt_r11 = -1;  /* INTEGER_0_503 */
static int hf_lte_rrc_pucch_ResourceStartOffset_r11 = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_re_MappingQCL_ConfigId_r11 = -1;  /* PDSCH_RE_MappingQCL_ConfigId_r11 */
static int hf_lte_rrc_csi_RS_ConfigZPId2_r12 = -1;  /* T_csi_RS_ConfigZPId2_r12 */
static int hf_lte_rrc_setup_33 = -1;              /* CSI_RS_ConfigZPId_r11 */
static int hf_lte_rrc_numberPRB_Pairs_v1310 = -1;  /* T_numberPRB_Pairs_v1310 */
static int hf_lte_rrc_setup_34 = -1;              /* T_setup_27 */
static int hf_lte_rrc_mpdcch_config_r13 = -1;     /* T_mpdcch_config_r13 */
static int hf_lte_rrc_setup_35 = -1;              /* T_setup_28 */
static int hf_lte_rrc_csi_NumRepetitionCE_r13 = -1;  /* T_csi_NumRepetitionCE_r13 */
static int hf_lte_rrc_mpdcch_pdsch_HoppingConfig_r13 = -1;  /* T_mpdcch_pdsch_HoppingConfig_r13 */
static int hf_lte_rrc_mpdcch_StartSF_UESS_r13 = -1;  /* T_mpdcch_StartSF_UESS_r13 */
static int hf_lte_rrc_fdd_r13 = -1;               /* T_fdd_r13 */
static int hf_lte_rrc_tdd_r13 = -1;               /* T_tdd_r13 */
static int hf_lte_rrc_mpdcch_NumRepetition_r13_01 = -1;  /* T_mpdcch_NumRepetition_r13 */
static int hf_lte_rrc_mpdcch_Narrowband_r13 = -1;  /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_setup_36 = -1;              /* T_setup_29 */
static int hf_lte_rrc_eimta_RNTI_r12 = -1;        /* C_RNTI */
static int hf_lte_rrc_eimta_CommandPeriodicity_r12 = -1;  /* T_eimta_CommandPeriodicity_r12 */
static int hf_lte_rrc_eimta_CommandSubframeSet_r12 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_setup_37 = -1;              /* T_setup_30 */
static int hf_lte_rrc_eimta_UL_DL_ConfigIndex_r12 = -1;  /* INTEGER_1_5 */
static int hf_lte_rrc_eimta_HARQ_ReferenceConfig_r12 = -1;  /* T_eimta_HARQ_ReferenceConfig_r12 */
static int hf_lte_rrc_mbsfn_SubframeConfigList_v1250 = -1;  /* T_mbsfn_SubframeConfigList_v1250 */
static int hf_lte_rrc_setup_38 = -1;              /* T_setup_31 */
static int hf_lte_rrc_subframeConfigList_r12 = -1;  /* MBSFN_SubframeConfigList */
static int hf_lte_rrc_ul_SpecificParameters = -1;  /* T_ul_SpecificParameters */
static int hf_lte_rrc_priority = -1;              /* T_priority */
static int hf_lte_rrc_prioritisedBitRate = -1;    /* T_prioritisedBitRate */
static int hf_lte_rrc_bucketSizeDuration = -1;    /* T_bucketSizeDuration */
static int hf_lte_rrc_logicalChannelGroup = -1;   /* INTEGER_0_3 */
static int hf_lte_rrc_logicalChannelSR_Mask_r9 = -1;  /* T_logicalChannelSR_Mask_r9 */
static int hf_lte_rrc_logicalChannelSR_Prohibit_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_laa_UL_Allowed_r14 = -1;    /* BOOLEAN */
static int hf_lte_rrc_bitRateQueryProhibitTimer_r14 = -1;  /* T_bitRateQueryProhibitTimer_r14 */
static int hf_lte_rrc_setup_39 = -1;              /* T_setup_32 */
static int hf_lte_rrc_lwa_Config_r13 = -1;        /* LWA_Config_r13 */
static int hf_lte_rrc_lwa_MobilityConfig_r13 = -1;  /* WLAN_MobilityConfig_r13 */
static int hf_lte_rrc_lwa_WT_Counter_r13 = -1;    /* INTEGER_0_65535 */
static int hf_lte_rrc_wt_MAC_Address_r14 = -1;    /* OCTET_STRING_SIZE_6 */
static int hf_lte_rrc_setup_40 = -1;              /* T_setup_33 */
static int hf_lte_rrc_lwip_Config_r13 = -1;       /* LWIP_Config_r13 */
static int hf_lte_rrc_lwip_MobilityConfig_r13 = -1;  /* WLAN_MobilityConfig_r13 */
static int hf_lte_rrc_tunnelConfigLWIP_r13 = -1;  /* TunnelConfigLWIP_r13 */
static int hf_lte_rrc_ul_SCH_Config = -1;         /* T_ul_SCH_Config */
static int hf_lte_rrc_maxHARQ_Tx = -1;            /* T_maxHARQ_Tx */
static int hf_lte_rrc_periodicBSR_Timer = -1;     /* PeriodicBSR_Timer_r12 */
static int hf_lte_rrc_retxBSR_Timer = -1;         /* RetxBSR_Timer_r12 */
static int hf_lte_rrc_ttiBundling = -1;           /* BOOLEAN */
static int hf_lte_rrc_drx_Config = -1;            /* DRX_Config */
static int hf_lte_rrc_timeAlignmentTimerDedicated = -1;  /* TimeAlignmentTimer */
static int hf_lte_rrc_phr_Config = -1;            /* T_phr_Config */
static int hf_lte_rrc_setup_41 = -1;              /* T_setup_34 */
static int hf_lte_rrc_periodicPHR_Timer = -1;     /* T_periodicPHR_Timer */
static int hf_lte_rrc_prohibitPHR_Timer = -1;     /* T_prohibitPHR_Timer */
static int hf_lte_rrc_dl_PathlossChange = -1;     /* T_dl_PathlossChange */
static int hf_lte_rrc_sr_ProhibitTimer_r9 = -1;   /* T_sr_ProhibitTimer_r9 */
static int hf_lte_rrc_mac_MainConfig_v1020 = -1;  /* T_mac_MainConfig_v1020 */
static int hf_lte_rrc_sCellDeactivationTimer_r10 = -1;  /* T_sCellDeactivationTimer_r10 */
static int hf_lte_rrc_extendedBSR_Sizes_r10 = -1;  /* T_extendedBSR_Sizes_r10 */
static int hf_lte_rrc_extendedPHR_r10 = -1;       /* T_extendedPHR_r10 */
static int hf_lte_rrc_stag_ToReleaseList_r11 = -1;  /* STAG_ToReleaseList_r11 */
static int hf_lte_rrc_stag_ToAddModList_r11 = -1;  /* STAG_ToAddModList_r11 */
static int hf_lte_rrc_drx_Config_v1130 = -1;      /* DRX_Config_v1130 */
static int hf_lte_rrc_e_HARQ_Pattern_r12 = -1;    /* BOOLEAN */
static int hf_lte_rrc_dualConnectivityPHR = -1;   /* T_dualConnectivityPHR */
static int hf_lte_rrc_setup_42 = -1;              /* T_setup_35 */
static int hf_lte_rrc_phr_ModeOtherCG_r12 = -1;   /* T_phr_ModeOtherCG_r12 */
static int hf_lte_rrc_logicalChannelSR_Config_r12 = -1;  /* T_logicalChannelSR_Config_r12 */
static int hf_lte_rrc_setup_43 = -1;              /* T_setup_36 */
static int hf_lte_rrc_logicalChannelSR_ProhibitTimer_r12 = -1;  /* T_logicalChannelSR_ProhibitTimer_r12 */
static int hf_lte_rrc_drx_Config_v1310 = -1;      /* DRX_Config_v1310 */
static int hf_lte_rrc_extendedPHR2_r13 = -1;      /* BOOLEAN */
static int hf_lte_rrc_eDRX_Config_CycleStartOffset_r13 = -1;  /* T_eDRX_Config_CycleStartOffset_r13 */
static int hf_lte_rrc_setup_44 = -1;              /* T_setup_37 */
static int hf_lte_rrc_sf5120 = -1;                /* INTEGER_0_1 */
static int hf_lte_rrc_sf10240 = -1;               /* INTEGER_0_3 */
static int hf_lte_rrc_drx_Config_r13 = -1;        /* T_drx_Config_r13 */
static int hf_lte_rrc_setup_45 = -1;              /* DRX_Config_r13 */
static int hf_lte_rrc_skipUplinkTx_r14 = -1;      /* T_skipUplinkTx_r14 */
static int hf_lte_rrc_setup_46 = -1;              /* T_setup_38 */
static int hf_lte_rrc_skipUplinkTxSPS_r14 = -1;   /* T_skipUplinkTxSPS_r14 */
static int hf_lte_rrc_skipUplinkTxDynamic_r14 = -1;  /* T_skipUplinkTxDynamic_r14 */
static int hf_lte_rrc_dataInactivityTimerConfig_r14 = -1;  /* T_dataInactivityTimerConfig_r14 */
static int hf_lte_rrc_setup_47 = -1;              /* T_setup_39 */
static int hf_lte_rrc_dataInactivityTimer_r14 = -1;  /* DataInactivityTimer_r14 */
static int hf_lte_rrc_rai_Activation_r14 = -1;    /* T_rai_Activation_r14 */
static int hf_lte_rrc_stag_Id_r11 = -1;           /* STAG_Id_r11 */
static int hf_lte_rrc_release_01 = -1;            /* T_release */
static int hf_lte_rrc_setup_48 = -1;              /* T_setup_40 */
static int hf_lte_rrc_onDurationTimer = -1;       /* T_onDurationTimer */
static int hf_lte_rrc_drx_InactivityTimer = -1;   /* T_drx_InactivityTimer */
static int hf_lte_rrc_drx_RetransmissionTimer = -1;  /* T_drx_RetransmissionTimer */
static int hf_lte_rrc_longDRX_CycleStartOffset = -1;  /* T_longDRX_CycleStartOffset */
static int hf_lte_rrc_sf10_01 = -1;               /* T_sf10 */
static int hf_lte_rrc_sf20_01 = -1;               /* T_sf20 */
static int hf_lte_rrc_sf32_01 = -1;               /* T_sf32 */
static int hf_lte_rrc_sf40_01 = -1;               /* T_sf40 */
static int hf_lte_rrc_sf64_01 = -1;               /* T_sf64 */
static int hf_lte_rrc_sf80_01 = -1;               /* T_sf80 */
static int hf_lte_rrc_sf128_01 = -1;              /* T_sf128 */
static int hf_lte_rrc_sf160_01 = -1;              /* T_sf160 */
static int hf_lte_rrc_sf256_01 = -1;              /* T_sf256 */
static int hf_lte_rrc_sf320_01 = -1;              /* T_sf320 */
static int hf_lte_rrc_sf512_01 = -1;              /* T_sf512 */
static int hf_lte_rrc_sf640_01 = -1;              /* T_sf640 */
static int hf_lte_rrc_sf1024_01 = -1;             /* T_sf1024 */
static int hf_lte_rrc_sf1280 = -1;                /* T_sf1280 */
static int hf_lte_rrc_sf2048_01 = -1;             /* T_sf2048 */
static int hf_lte_rrc_sf2560 = -1;                /* T_sf2560 */
static int hf_lte_rrc_shortDRX = -1;              /* T_shortDRX */
static int hf_lte_rrc_shortDRX_Cycle = -1;        /* T_shortDRX_Cycle */
static int hf_lte_rrc_drxShortCycleTimer = -1;    /* T_drxShortCycleTimer */
static int hf_lte_rrc_drx_RetransmissionTimer_v1130 = -1;  /* T_drx_RetransmissionTimer_v1130 */
static int hf_lte_rrc_longDRX_CycleStartOffset_v1130 = -1;  /* T_longDRX_CycleStartOffset_v1130 */
static int hf_lte_rrc_sf60_v1130 = -1;            /* T_sf60_v1130 */
static int hf_lte_rrc_sf70_v1130 = -1;            /* T_sf70_v1130 */
static int hf_lte_rrc_shortDRX_Cycle_v1130 = -1;  /* T_shortDRX_Cycle_v1130 */
static int hf_lte_rrc_longDRX_CycleStartOffset_v1310 = -1;  /* T_longDRX_CycleStartOffset_v1310 */
static int hf_lte_rrc_sf60_v1310 = -1;            /* T_sf60_v1310 */
static int hf_lte_rrc_onDurationTimer_v1310 = -1;  /* T_onDurationTimer_v1310 */
static int hf_lte_rrc_drx_RetransmissionTimer_v1310 = -1;  /* T_drx_RetransmissionTimer_v1310 */
static int hf_lte_rrc_drx_ULRetransmissionTimer_r13 = -1;  /* T_drx_ULRetransmissionTimer_r13 */
static int hf_lte_rrc_STAG_ToReleaseList_r11_item = -1;  /* STAG_Id_r11 */
static int hf_lte_rrc_STAG_ToAddModList_r11_item = -1;  /* STAG_ToAddMod_r11 */
static int hf_lte_rrc_timeAlignmentTimerSTAG_r11 = -1;  /* TimeAlignmentTimer */
static int hf_lte_rrc_p_C_r11 = -1;               /* INTEGER_M8_15 */
static int hf_lte_rrc_codebookSubsetRestriction_r11 = -1;  /* BIT_STRING */
static int hf_lte_rrc_p_C_r13 = -1;               /* INTEGER_M8_15 */
static int hf_lte_rrc_cbsr_Selection_r13 = -1;    /* T_cbsr_Selection_r13 */
static int hf_lte_rrc_nonPrecoded_r13_01 = -1;    /* T_nonPrecoded_r13 */
static int hf_lte_rrc_codebookSubsetRestriction1_r13 = -1;  /* BIT_STRING */
static int hf_lte_rrc_codebookSubsetRestriction2_r13 = -1;  /* BIT_STRING */
static int hf_lte_rrc_beamformedK1a_r13 = -1;     /* T_beamformedK1a_r13 */
static int hf_lte_rrc_codebookSubsetRestriction3_r13 = -1;  /* BIT_STRING */
static int hf_lte_rrc_beamformedKN_r13 = -1;      /* T_beamformedKN_r13 */
static int hf_lte_rrc_codebookSubsetRestriction_r13 = -1;  /* BIT_STRING */
static int hf_lte_rrc_P_C_AndCBSR_Pair_r13a_item = -1;  /* P_C_AndCBSR_r11 */
static int hf_lte_rrc_P_C_AndCBSR_Pair_r13_item = -1;  /* P_C_AndCBSR_r13 */
static int hf_lte_rrc_skipMonitoringDCI_format0_1A_r13 = -1;  /* T_skipMonitoringDCI_format0_1A_r13 */
static int hf_lte_rrc_maxNumberOfSchedSubframes_Format0B_r14 = -1;  /* T_maxNumberOfSchedSubframes_Format0B_r14 */
static int hf_lte_rrc_maxNumberOfSchedSubframes_Format4B_r14 = -1;  /* T_maxNumberOfSchedSubframes_Format4B_r14 */
static int hf_lte_rrc_skipMonitoringDCI_Format0A_r14 = -1;  /* T_skipMonitoringDCI_Format0A_r14 */
static int hf_lte_rrc_skipMonitoringDCI_Format4A_r14 = -1;  /* T_skipMonitoringDCI_Format4A_r14 */
static int hf_lte_rrc_pdcch_CandidateReductions_Format0A_r14 = -1;  /* PDCCH_CandidateReductions_r13 */
static int hf_lte_rrc_pdcch_CandidateReductions_Format4A_r14 = -1;  /* PDCCH_CandidateReductionsLAA_UL_r14 */
static int hf_lte_rrc_pdcch_CandidateReductions_Format0B_r14 = -1;  /* PDCCH_CandidateReductionsLAA_UL_r14 */
static int hf_lte_rrc_pdcch_CandidateReductions_Format4B_r14 = -1;  /* PDCCH_CandidateReductionsLAA_UL_r14 */
static int hf_lte_rrc_setup_49 = -1;              /* T_setup_41 */
static int hf_lte_rrc_pdcch_candidateReductionAL1_r13 = -1;  /* PDCCH_CandidateReductionValue_r13 */
static int hf_lte_rrc_pdcch_candidateReductionAL2_r13 = -1;  /* PDCCH_CandidateReductionValue_r13 */
static int hf_lte_rrc_pdcch_candidateReductionAL3_r13 = -1;  /* PDCCH_CandidateReductionValue_r13 */
static int hf_lte_rrc_pdcch_candidateReductionAL4_r13 = -1;  /* PDCCH_CandidateReductionValue_r13 */
static int hf_lte_rrc_pdcch_candidateReductionAL5_r13 = -1;  /* PDCCH_CandidateReductionValue_r13 */
static int hf_lte_rrc_setup_50 = -1;              /* T_setup_42 */
static int hf_lte_rrc_pdcch_candidateReductionAL1_r14 = -1;  /* PDCCH_CandidateReductionValue_r13 */
static int hf_lte_rrc_pdcch_candidateReductionAL2_r14 = -1;  /* PDCCH_CandidateReductionValue_r13 */
static int hf_lte_rrc_pdcch_candidateReductionAL3_r14 = -1;  /* PDCCH_CandidateReductionValue_r14 */
static int hf_lte_rrc_pdcch_candidateReductionAL4_r14 = -1;  /* PDCCH_CandidateReductionValue_r14 */
static int hf_lte_rrc_pdcch_candidateReductionAL5_r14 = -1;  /* PDCCH_CandidateReductionValue_r14 */
static int hf_lte_rrc_discardTimer = -1;          /* T_discardTimer */
static int hf_lte_rrc_rlc_AM = -1;                /* T_rlc_AM */
static int hf_lte_rrc_statusReportRequired = -1;  /* BOOLEAN */
static int hf_lte_rrc_rlc_UM = -1;                /* T_rlc_UM */
static int hf_lte_rrc_pdcp_SN_Size = -1;          /* T_pdcp_SN_Size */
static int hf_lte_rrc_headerCompression = -1;     /* T_headerCompression */
static int hf_lte_rrc_notUsed = -1;               /* NULL */
static int hf_lte_rrc_rohc = -1;                  /* T_rohc */
static int hf_lte_rrc_maxCID = -1;                /* INTEGER_1_16383 */
static int hf_lte_rrc_profiles = -1;              /* T_profiles */
static int hf_lte_rrc_profile0x0001 = -1;         /* BOOLEAN */
static int hf_lte_rrc_profile0x0002 = -1;         /* BOOLEAN */
static int hf_lte_rrc_profile0x0003 = -1;         /* BOOLEAN */
static int hf_lte_rrc_profile0x0004 = -1;         /* BOOLEAN */
static int hf_lte_rrc_profile0x0006 = -1;         /* BOOLEAN */
static int hf_lte_rrc_profile0x0101 = -1;         /* BOOLEAN */
static int hf_lte_rrc_profile0x0102 = -1;         /* BOOLEAN */
static int hf_lte_rrc_profile0x0103 = -1;         /* BOOLEAN */
static int hf_lte_rrc_profile0x0104 = -1;         /* BOOLEAN */
static int hf_lte_rrc_rn_IntegrityProtection_r10 = -1;  /* T_rn_IntegrityProtection_r10 */
static int hf_lte_rrc_pdcp_SN_Size_v1130 = -1;    /* T_pdcp_SN_Size_v1130 */
static int hf_lte_rrc_ul_DataSplitDRB_ViaSCG_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_t_Reordering_r12 = -1;      /* T_t_Reordering_r12 */
static int hf_lte_rrc_ul_DataSplitThreshold_r13 = -1;  /* T_ul_DataSplitThreshold_r13 */
static int hf_lte_rrc_setup_51 = -1;              /* T_setup_43 */
static int hf_lte_rrc_pdcp_SN_Size_v1310 = -1;    /* T_pdcp_SN_Size_v1310 */
static int hf_lte_rrc_statusFeedback_r13 = -1;    /* T_statusFeedback_r13 */
static int hf_lte_rrc_setup_52 = -1;              /* T_setup_44 */
static int hf_lte_rrc_statusPDU_TypeForPolling_r13 = -1;  /* T_statusPDU_TypeForPolling_r13 */
static int hf_lte_rrc_statusPDU_Periodicity_Type1_r13 = -1;  /* T_statusPDU_Periodicity_Type1_r13 */
static int hf_lte_rrc_statusPDU_Periodicity_Type2_r13 = -1;  /* T_statusPDU_Periodicity_Type2_r13 */
static int hf_lte_rrc_statusPDU_Periodicity_Offset_r13 = -1;  /* T_statusPDU_Periodicity_Offset_r13 */
static int hf_lte_rrc_ul_LWA_Config_r14 = -1;     /* T_ul_LWA_Config_r14 */
static int hf_lte_rrc_setup_53 = -1;              /* T_setup_45 */
static int hf_lte_rrc_ul_LWA_DRB_ViaWLAN_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_ul_LWA_DataSplitThreshold_r14 = -1;  /* T_ul_LWA_DataSplitThreshold_r14 */
static int hf_lte_rrc_uplinkOnlyHeaderCompression_r14 = -1;  /* T_uplinkOnlyHeaderCompression_r14 */
static int hf_lte_rrc_notUsed_r14 = -1;           /* NULL */
static int hf_lte_rrc_rohc_r14 = -1;              /* T_rohc_r14 */
static int hf_lte_rrc_maxCID_r14 = -1;            /* INTEGER_1_16383 */
static int hf_lte_rrc_profiles_r14 = -1;          /* T_profiles_r14 */
static int hf_lte_rrc_profile0x0006_r14 = -1;     /* BOOLEAN */
static int hf_lte_rrc_referenceSignalPower = -1;  /* INTEGER_M60_50 */
static int hf_lte_rrc_p_b = -1;                   /* INTEGER_0_3 */
static int hf_lte_rrc_pdsch_maxNumRepetitionCEmodeA_r13 = -1;  /* T_pdsch_maxNumRepetitionCEmodeA_r13 */
static int hf_lte_rrc_pdsch_maxNumRepetitionCEmodeB_r13 = -1;  /* T_pdsch_maxNumRepetitionCEmodeB_r13 */
static int hf_lte_rrc_p_a = -1;                   /* T_p_a */
static int hf_lte_rrc_dmrs_ConfigPDSCH_r11 = -1;  /* DMRS_Config_r11 */
static int hf_lte_rrc_qcl_Operation = -1;         /* T_qcl_Operation */
static int hf_lte_rrc_re_MappingQCLConfigToReleaseList_r11 = -1;  /* RE_MappingQCLConfigToReleaseList_r11 */
static int hf_lte_rrc_re_MappingQCLConfigToAddModList_r11 = -1;  /* RE_MappingQCLConfigToAddModList_r11 */
static int hf_lte_rrc_tbsIndexAlt_r12 = -1;       /* T_tbsIndexAlt_r12 */
static int hf_lte_rrc_dmrs_ConfigPDSCH_v1310 = -1;  /* DMRS_Config_v1310 */
static int hf_lte_rrc_ce_PDSCH_MaxBandwidth_r14 = -1;  /* T_ce_PDSCH_MaxBandwidth_r14 */
static int hf_lte_rrc_ce_PDSCH_TenProcesses_r14 = -1;  /* T_ce_PDSCH_TenProcesses_r14 */
static int hf_lte_rrc_ce_HARQ_AckBundling_r14 = -1;  /* T_ce_HARQ_AckBundling_r14 */
static int hf_lte_rrc_ce_SchedulingEnhancement_r14 = -1;  /* T_ce_SchedulingEnhancement_r14 */
static int hf_lte_rrc_tbsIndexAlt2_r14 = -1;      /* T_tbsIndexAlt2_r14 */
static int hf_lte_rrc_tbsIndexAlt2_r14_01 = -1;   /* T_tbsIndexAlt2_r14_01 */
static int hf_lte_rrc_RE_MappingQCLConfigToAddModList_r11_item = -1;  /* PDSCH_RE_MappingQCL_Config_r11 */
static int hf_lte_rrc_RE_MappingQCLConfigToReleaseList_r11_item = -1;  /* PDSCH_RE_MappingQCL_ConfigId_r11 */
static int hf_lte_rrc_pdsch_RE_MappingQCL_ConfigId_r11 = -1;  /* PDSCH_RE_MappingQCL_ConfigId_r11 */
static int hf_lte_rrc_optionalSetOfFields_r11 = -1;  /* T_optionalSetOfFields_r11 */
static int hf_lte_rrc_crs_PortsCount_r11_01 = -1;  /* T_crs_PortsCount_r11_01 */
static int hf_lte_rrc_crs_FreqShift_r11 = -1;     /* INTEGER_0_5 */
static int hf_lte_rrc_mbsfn_SubframeConfigList_r11_01 = -1;  /* T_mbsfn_SubframeConfigList_r11_01 */
static int hf_lte_rrc_setup_54 = -1;              /* T_setup_46 */
static int hf_lte_rrc_pdsch_Start_r11 = -1;       /* T_pdsch_Start_r11 */
static int hf_lte_rrc_qcl_CSI_RS_ConfigNZPId_r11 = -1;  /* CSI_RS_ConfigNZPId_r11 */
static int hf_lte_rrc_mbsfn_SubframeConfigList_v1430_02 = -1;  /* T_mbsfn_SubframeConfigList_v1430_01 */
static int hf_lte_rrc_setup_55 = -1;              /* T_setup_47 */
static int hf_lte_rrc_PerCC_GapIndicationList_r14_item = -1;  /* PerCC_GapIndication_r14 */
static int hf_lte_rrc_servCellId_r14 = -1;        /* ServCellIndex_r13 */
static int hf_lte_rrc_gapIndication_r14 = -1;     /* T_gapIndication_r14 */
static int hf_lte_rrc_phich_Duration = -1;        /* T_phich_Duration */
static int hf_lte_rrc_phich_Resource = -1;        /* T_phich_Resource */
static int hf_lte_rrc_pdsch_ConfigDedicated = -1;  /* PDSCH_ConfigDedicated */
static int hf_lte_rrc_pucch_ConfigDedicated = -1;  /* PUCCH_ConfigDedicated */
static int hf_lte_rrc_pusch_ConfigDedicated = -1;  /* PUSCH_ConfigDedicated */
static int hf_lte_rrc_uplinkPowerControlDedicated = -1;  /* UplinkPowerControlDedicated */
static int hf_lte_rrc_tpc_PDCCH_ConfigPUCCH = -1;  /* TPC_PDCCH_Config */
static int hf_lte_rrc_tpc_PDCCH_ConfigPUSCH = -1;  /* TPC_PDCCH_Config */
static int hf_lte_rrc_cqi_ReportConfig = -1;      /* CQI_ReportConfig */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicated = -1;  /* SoundingRS_UL_ConfigDedicated */
static int hf_lte_rrc_antennaInfo = -1;           /* T_antennaInfo */
static int hf_lte_rrc_explicitValue_02 = -1;      /* AntennaInfoDedicated */
static int hf_lte_rrc_schedulingRequestConfig = -1;  /* SchedulingRequestConfig */
static int hf_lte_rrc_cqi_ReportConfig_v920 = -1;  /* CQI_ReportConfig_v920 */
static int hf_lte_rrc_antennaInfo_v920 = -1;      /* AntennaInfoDedicated_v920 */
static int hf_lte_rrc_antennaInfo_r10 = -1;       /* T_antennaInfo_r10 */
static int hf_lte_rrc_explicitValue_r10 = -1;     /* AntennaInfoDedicated_r10 */
static int hf_lte_rrc_antennaInfoUL_r10 = -1;     /* AntennaInfoUL_r10 */
static int hf_lte_rrc_cqi_ReportConfig_r10 = -1;  /* CQI_ReportConfig_r10 */
static int hf_lte_rrc_csi_RS_Config_r10 = -1;     /* CSI_RS_Config_r10 */
static int hf_lte_rrc_pucch_ConfigDedicated_v1020 = -1;  /* PUCCH_ConfigDedicated_v1020 */
static int hf_lte_rrc_pusch_ConfigDedicated_v1020 = -1;  /* PUSCH_ConfigDedicated_v1020 */
static int hf_lte_rrc_schedulingRequestConfig_v1020 = -1;  /* SchedulingRequestConfig_v1020 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicated_v1020 = -1;  /* SoundingRS_UL_ConfigDedicated_v1020 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_r10 = -1;  /* SoundingRS_UL_ConfigDedicatedAperiodic_r10 */
static int hf_lte_rrc_uplinkPowerControlDedicated_v1020 = -1;  /* UplinkPowerControlDedicated_v1020 */
static int hf_lte_rrc_additionalSpectrumEmissionCA_r10 = -1;  /* T_additionalSpectrumEmissionCA_r10 */
static int hf_lte_rrc_setup_56 = -1;              /* T_setup_48 */
static int hf_lte_rrc_additionalSpectrumEmissionPCell_r10 = -1;  /* AdditionalSpectrumEmission */
static int hf_lte_rrc_csi_RS_ConfigNZPToReleaseList_r11 = -1;  /* CSI_RS_ConfigNZPToReleaseList_r11 */
static int hf_lte_rrc_csi_RS_ConfigNZPToAddModList_r11 = -1;  /* CSI_RS_ConfigNZPToAddModList_r11 */
static int hf_lte_rrc_csi_RS_ConfigZPToReleaseList_r11 = -1;  /* CSI_RS_ConfigZPToReleaseList_r11 */
static int hf_lte_rrc_csi_RS_ConfigZPToAddModList_r11 = -1;  /* CSI_RS_ConfigZPToAddModList_r11 */
static int hf_lte_rrc_epdcch_Config_r11 = -1;     /* EPDCCH_Config_r11 */
static int hf_lte_rrc_pdsch_ConfigDedicated_v1130 = -1;  /* PDSCH_ConfigDedicated_v1130 */
static int hf_lte_rrc_cqi_ReportConfig_v1130 = -1;  /* CQI_ReportConfig_v1130 */
static int hf_lte_rrc_pucch_ConfigDedicated_v1130 = -1;  /* PUCCH_ConfigDedicated_v1130 */
static int hf_lte_rrc_pusch_ConfigDedicated_v1130 = -1;  /* PUSCH_ConfigDedicated_v1130 */
static int hf_lte_rrc_uplinkPowerControlDedicated_v1130 = -1;  /* UplinkPowerControlDedicated_v1130 */
static int hf_lte_rrc_antennaInfo_v1250 = -1;     /* AntennaInfoDedicated_v1250 */
static int hf_lte_rrc_eimta_MainConfig_r12 = -1;  /* EIMTA_MainConfig_r12 */
static int hf_lte_rrc_eimta_MainConfigPCell_r12 = -1;  /* EIMTA_MainConfigServCell_r12 */
static int hf_lte_rrc_pucch_ConfigDedicated_v1250 = -1;  /* PUCCH_ConfigDedicated_v1250 */
static int hf_lte_rrc_cqi_ReportConfigPCell_v1250 = -1;  /* CQI_ReportConfig_v1250 */
static int hf_lte_rrc_uplinkPowerControlDedicated_v1250 = -1;  /* UplinkPowerControlDedicated_v1250 */
static int hf_lte_rrc_pusch_ConfigDedicated_v1250 = -1;  /* PUSCH_ConfigDedicated_v1250 */
static int hf_lte_rrc_csi_RS_Config_v1250 = -1;   /* CSI_RS_Config_v1250 */
static int hf_lte_rrc_pdsch_ConfigDedicated_v1280 = -1;  /* PDSCH_ConfigDedicated_v1280 */
static int hf_lte_rrc_pdsch_ConfigDedicated_v1310 = -1;  /* PDSCH_ConfigDedicated_v1310 */
static int hf_lte_rrc_pucch_ConfigDedicated_r13 = -1;  /* PUCCH_ConfigDedicated_r13 */
static int hf_lte_rrc_pusch_ConfigDedicated_r13 = -1;  /* PUSCH_ConfigDedicated_r13 */
static int hf_lte_rrc_pdcch_CandidateReductions_r13 = -1;  /* PDCCH_CandidateReductions_r13 */
static int hf_lte_rrc_cqi_ReportConfig_v1310 = -1;  /* CQI_ReportConfig_v1310 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicated_v1310 = -1;  /* SoundingRS_UL_ConfigDedicated_v1310 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedUpPTsExt_r13 = -1;  /* SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_v1310 = -1;  /* SoundingRS_UL_ConfigDedicatedAperiodic_v1310 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 = -1;  /* SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 */
static int hf_lte_rrc_csi_RS_Config_v1310 = -1;   /* CSI_RS_Config_v1310 */
static int hf_lte_rrc_ce_Mode_r13 = -1;           /* T_ce_Mode_r13 */
static int hf_lte_rrc_setup_57 = -1;              /* T_setup_49 */
static int hf_lte_rrc_csi_RS_ConfigNZPToAddModListExt_r13 = -1;  /* CSI_RS_ConfigNZPToAddModListExt_r13 */
static int hf_lte_rrc_csi_RS_ConfigNZPToReleaseListExt_r13 = -1;  /* CSI_RS_ConfigNZPToReleaseListExt_r13 */
static int hf_lte_rrc_cqi_ReportConfig_v1320 = -1;  /* CQI_ReportConfig_v1320 */
static int hf_lte_rrc_typeA_SRS_TPC_PDCCH_Group_r14 = -1;  /* T_typeA_SRS_TPC_PDCCH_Group_r14 */
static int hf_lte_rrc_setup_58 = -1;              /* SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14 */
static int hf_lte_rrc_setup_item_02 = -1;         /* SRS_TPC_PDCCH_Config_r14 */
static int hf_lte_rrc_must_Config_r14 = -1;       /* T_must_Config_r14 */
static int hf_lte_rrc_setup_59 = -1;              /* T_setup_50 */
static int hf_lte_rrc_k_max_r14 = -1;             /* T_k_max_r14 */
static int hf_lte_rrc_p_a_must_r14 = -1;          /* T_p_a_must_r14 */
static int hf_lte_rrc_pusch_EnhancementsConfig_r14 = -1;  /* PUSCH_EnhancementsConfig_r14 */
static int hf_lte_rrc_ce_pdsch_pusch_EnhancementConfig_r14 = -1;  /* T_ce_pdsch_pusch_EnhancementConfig_r14 */
static int hf_lte_rrc_antennaInfo_v1430 = -1;     /* AntennaInfoDedicated_v1430 */
static int hf_lte_rrc_pucch_ConfigDedicated_v1430 = -1;  /* PUCCH_ConfigDedicated_v1430 */
static int hf_lte_rrc_pdsch_ConfigDedicated_v1430 = -1;  /* PDSCH_ConfigDedicated_v1430 */
static int hf_lte_rrc_pusch_ConfigDedicated_v1430 = -1;  /* PUSCH_ConfigDedicated_v1430 */
static int hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedList_r14 = -1;  /* SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated */
static int hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedList_r14_item = -1;  /* SoundingRS_UL_ConfigDedicated */
static int hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedUpPTsExtList_r14 = -1;  /* SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 */
static int hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedUpPTsExtList_r14_item = -1;  /* SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 */
static int hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14 = -1;  /* SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10 */
static int hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_item = -1;  /* SoundingRS_UL_ConfigDedicatedAperiodic_r10 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14 = -1;  /* SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_item = -1;  /* SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 */
static int hf_lte_rrc_csi_RS_Config_v1430 = -1;   /* CSI_RS_Config_v1430 */
static int hf_lte_rrc_csi_RS_ConfigZP_ApList_r14 = -1;  /* CSI_RS_ConfigZP_ApList_r14 */
static int hf_lte_rrc_cqi_ReportConfig_v1430 = -1;  /* CQI_ReportConfig_v1430 */
static int hf_lte_rrc_semiOpenLoop_r14 = -1;      /* BOOLEAN */
static int hf_lte_rrc_pucch_ConfigDedicated_v1370 = -1;  /* PUCCH_ConfigDedicated_v1370 */
static int hf_lte_rrc_nonUL_Configuration_r10 = -1;  /* T_nonUL_Configuration_r10 */
static int hf_lte_rrc_antennaInfo_r10_01 = -1;    /* AntennaInfoDedicated_r10 */
static int hf_lte_rrc_crossCarrierSchedulingConfig_r10 = -1;  /* CrossCarrierSchedulingConfig_r10 */
static int hf_lte_rrc_pdsch_ConfigDedicated_r10 = -1;  /* PDSCH_ConfigDedicated */
static int hf_lte_rrc_ul_Configuration_r10 = -1;  /* T_ul_Configuration_r10 */
static int hf_lte_rrc_pusch_ConfigDedicatedSCell_r10 = -1;  /* PUSCH_ConfigDedicatedSCell_r10 */
static int hf_lte_rrc_uplinkPowerControlDedicatedSCell_r10 = -1;  /* UplinkPowerControlDedicatedSCell_r10 */
static int hf_lte_rrc_cqi_ReportConfigSCell_r10 = -1;  /* CQI_ReportConfigSCell_r10 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicated_r10 = -1;  /* SoundingRS_UL_ConfigDedicated */
static int hf_lte_rrc_uplinkPowerControlDedicatedSCell_v1130 = -1;  /* UplinkPowerControlDedicated_v1130 */
static int hf_lte_rrc_eimta_MainConfigSCell_r12 = -1;  /* EIMTA_MainConfigServCell_r12 */
static int hf_lte_rrc_cqi_ReportConfigSCell_v1250 = -1;  /* CQI_ReportConfig_v1250 */
static int hf_lte_rrc_uplinkPowerControlDedicatedSCell_v1250 = -1;  /* UplinkPowerControlDedicated_v1250 */
static int hf_lte_rrc_pucch_Cell_r13 = -1;        /* T_pucch_Cell_r13 */
static int hf_lte_rrc_pucch_SCell = -1;           /* T_pucch_SCell */
static int hf_lte_rrc_setup_60 = -1;              /* T_setup_51 */
static int hf_lte_rrc_schedulingRequestConfig_r13 = -1;  /* SchedulingRequestConfigSCell_r13 */
static int hf_lte_rrc_tpc_PDCCH_ConfigPUCCH_SCell_r13 = -1;  /* TPC_PDCCH_ConfigSCell_r13 */
static int hf_lte_rrc_uplinkPowerControlDedicated_r13 = -1;  /* UplinkPowerControlDedicatedSCell_v1310 */
static int hf_lte_rrc_crossCarrierSchedulingConfig_r13 = -1;  /* CrossCarrierSchedulingConfig_r13 */
static int hf_lte_rrc_pdcch_ConfigSCell_r13 = -1;  /* PDCCH_ConfigSCell_r13 */
static int hf_lte_rrc_laa_SCellConfiguration_r13 = -1;  /* LAA_SCellConfiguration_r13 */
static int hf_lte_rrc_laa_SCellConfiguration_v1430 = -1;  /* LAA_SCellConfiguration_v1430 */
static int hf_lte_rrc_typeB_SRS_TPC_PDCCH_Config_r14 = -1;  /* SRS_TPC_PDCCH_Config_r14 */
static int hf_lte_rrc_uplinkPUSCH_LessPowerControlDedicated_v1430 = -1;  /* UplinkPUSCH_LessPowerControlDedicated_v1430 */
static int hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_01 = -1;  /* SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14 */
static int hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_item_01 = -1;  /* SoundingRS_AperiodicSet_r14 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_01 = -1;  /* SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_item_01 = -1;  /* SoundingRS_AperiodicSetUpPTsExt_r14 */
static int hf_lte_rrc_must_Config_r14_01 = -1;    /* T_must_Config_r14_01 */
static int hf_lte_rrc_setup_61 = -1;              /* T_setup_52 */
static int hf_lte_rrc_k_max_r14_01 = -1;          /* T_k_max_r14_01 */
static int hf_lte_rrc_p_a_must_r14_01 = -1;       /* T_p_a_must_r14_01 */
static int hf_lte_rrc_pusch_ConfigDedicated_v1430_01 = -1;  /* PUSCH_ConfigDedicatedSCell_v1430 */
static int hf_lte_rrc_pdsch_ConfigDedicatedSCell_v1430 = -1;  /* PDSCH_ConfigDedicatedSCell_v1430 */
static int hf_lte_rrc_pucch_SCell_v1370 = -1;     /* T_pucch_SCell_v1370 */
static int hf_lte_rrc_setup_62 = -1;              /* T_setup_53 */
static int hf_lte_rrc_subframeStartPosition_r13 = -1;  /* T_subframeStartPosition_r13 */
static int hf_lte_rrc_laa_SCellSubframeConfig_r13 = -1;  /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_crossCarrierSchedulingConfig_UL_r14 = -1;  /* T_crossCarrierSchedulingConfig_UL_r14 */
static int hf_lte_rrc_setup_63 = -1;              /* T_setup_54 */
static int hf_lte_rrc_crossCarrierSchedulingConfigLAA_UL_r14 = -1;  /* CrossCarrierSchedulingConfigLAA_UL_r14 */
static int hf_lte_rrc_lbt_Config_r14 = -1;        /* LBT_Config_r14 */
static int hf_lte_rrc_pdcch_ConfigLAA_r14 = -1;   /* PDCCH_ConfigLAA_r14 */
static int hf_lte_rrc_absenceOfAnyOtherTechnology_r14 = -1;  /* T_absenceOfAnyOtherTechnology_r14 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_v1430 = -1;  /* SoundingRS_UL_ConfigDedicatedAperiodic_v1430 */
static int hf_lte_rrc_maxEnergyDetectionThreshold_r14 = -1;  /* INTEGER_M85_M52 */
static int hf_lte_rrc_energyDetectionThresholdOffset_r14 = -1;  /* INTEGER_M13_20 */
static int hf_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11_item = -1;  /* CSI_RS_ConfigNZP_r11 */
static int hf_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13_item = -1;  /* CSI_RS_ConfigNZP_r11 */
static int hf_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11_item = -1;  /* CSI_RS_ConfigNZPId_r11 */
static int hf_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13_item = -1;  /* CSI_RS_ConfigNZPId_v1310 */
static int hf_lte_rrc_CSI_RS_ConfigZPToAddModList_r11_item = -1;  /* CSI_RS_ConfigZP_r11 */
static int hf_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11_item = -1;  /* CSI_RS_ConfigZPId_r11 */
static int hf_lte_rrc_srs_CC_SetIndexList_r14 = -1;  /* SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14 */
static int hf_lte_rrc_srs_CC_SetIndexList_r14_item = -1;  /* SRS_CC_SetIndex_r14 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_r14 = -1;  /* SoundingRS_UL_ConfigDedicatedAperiodic_r10 */
static int hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r14 = -1;  /* SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 */
static int hf_lte_rrc_rootSequenceIndex = -1;     /* INTEGER_0_837 */
static int hf_lte_rrc_prach_ConfigInfo = -1;      /* PRACH_ConfigInfo */
static int hf_lte_rrc_rsrp_ThresholdsPrachInfoList_r13 = -1;  /* RSRP_ThresholdsPrachInfoList_r13 */
static int hf_lte_rrc_mpdcch_startSF_CSS_RA_r13 = -1;  /* T_mpdcch_startSF_CSS_RA_r13 */
static int hf_lte_rrc_fdd_r13_01 = -1;            /* T_fdd_r13_01 */
static int hf_lte_rrc_tdd_r13_01 = -1;            /* T_tdd_r13_01 */
static int hf_lte_rrc_prach_HoppingOffset_r13 = -1;  /* INTEGER_0_94 */
static int hf_lte_rrc_prach_ParametersListCE_r13 = -1;  /* PRACH_ParametersListCE_r13 */
static int hf_lte_rrc_mpdcch_startSF_CSS_RA_r13_01 = -1;  /* T_mpdcch_startSF_CSS_RA_r13_01 */
static int hf_lte_rrc_fdd_r13_02 = -1;            /* T_fdd_r13_02 */
static int hf_lte_rrc_tdd_r13_02 = -1;            /* T_tdd_r13_02 */
static int hf_lte_rrc_initial_CE_level_r13 = -1;  /* INTEGER_0_3 */
static int hf_lte_rrc_rootSequenceIndexHighSpeed_r14 = -1;  /* INTEGER_0_837 */
static int hf_lte_rrc_zeroCorrelationZoneConfigHighSpeed_r14 = -1;  /* INTEGER_0_12 */
static int hf_lte_rrc_prach_ConfigIndexHighSpeed_r14 = -1;  /* INTEGER_0_63 */
static int hf_lte_rrc_prach_FreqOffsetHighSpeed_r14 = -1;  /* INTEGER_0_94 */
static int hf_lte_rrc_prach_ConfigIndex_r10 = -1;  /* INTEGER_0_63 */
static int hf_lte_rrc_prach_ConfigIndex = -1;     /* INTEGER_0_63 */
static int hf_lte_rrc_highSpeedFlag = -1;         /* BOOLEAN */
static int hf_lte_rrc_zeroCorrelationZoneConfig = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_prach_FreqOffset = -1;      /* INTEGER_0_94 */
static int hf_lte_rrc_PRACH_ParametersListCE_r13_item = -1;  /* PRACH_ParametersCE_r13 */
static int hf_lte_rrc_prach_ConfigIndex_r13 = -1;  /* INTEGER_0_63 */
static int hf_lte_rrc_prach_FreqOffset_r13 = -1;  /* INTEGER_0_94 */
static int hf_lte_rrc_prach_StartingSubframe_r13 = -1;  /* T_prach_StartingSubframe_r13 */
static int hf_lte_rrc_maxNumPreambleAttemptCE_r13 = -1;  /* T_maxNumPreambleAttemptCE_r13 */
static int hf_lte_rrc_numRepetitionPerPreambleAttempt_r13 = -1;  /* T_numRepetitionPerPreambleAttempt_r13 */
static int hf_lte_rrc_mpdcch_NarrowbandsToMonitor_r13 = -1;  /* T_mpdcch_NarrowbandsToMonitor_r13 */
static int hf_lte_rrc_mpdcch_NarrowbandsToMonitor_r13_item = -1;  /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_mpdcch_NumRepetition_RA_r13 = -1;  /* T_mpdcch_NumRepetition_RA_r13 */
static int hf_lte_rrc_prach_HoppingConfig_r13 = -1;  /* T_prach_HoppingConfig_r13 */
static int hf_lte_rrc_RSRP_ThresholdsPrachInfoList_r13_item = -1;  /* RSRP_Range */
static int hf_lte_rrc_deltaPUCCH_Shift = -1;      /* T_deltaPUCCH_Shift */
static int hf_lte_rrc_nRB_CQI = -1;               /* INTEGER_0_98 */
static int hf_lte_rrc_nCS_AN = -1;                /* INTEGER_0_7 */
static int hf_lte_rrc_n1PUCCH_AN = -1;            /* INTEGER_0_2047 */
static int hf_lte_rrc_n1PUCCH_AN_InfoList_r13 = -1;  /* N1PUCCH_AN_InfoList_r13 */
static int hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level0_r13 = -1;  /* T_pucch_NumRepetitionCE_Msg4_Level0_r13 */
static int hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level1_r13 = -1;  /* T_pucch_NumRepetitionCE_Msg4_Level1_r13 */
static int hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level2_r13 = -1;  /* T_pucch_NumRepetitionCE_Msg4_Level2_r13 */
static int hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level3_r13 = -1;  /* T_pucch_NumRepetitionCE_Msg4_Level3_r13 */
static int hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level3_r14 = -1;  /* T_pucch_NumRepetitionCE_Msg4_Level3_r14 */
static int hf_lte_rrc_ackNackRepetition = -1;     /* T_ackNackRepetition */
static int hf_lte_rrc_setup_64 = -1;              /* T_setup_55 */
static int hf_lte_rrc_repetitionFactor = -1;      /* T_repetitionFactor */
static int hf_lte_rrc_n1PUCCH_AN_Rep = -1;        /* INTEGER_0_2047 */
static int hf_lte_rrc_tdd_AckNackFeedbackMode = -1;  /* T_tdd_AckNackFeedbackMode */
static int hf_lte_rrc_pucch_Format_r10 = -1;      /* T_pucch_Format_r10 */
static int hf_lte_rrc_format3_r10 = -1;           /* PUCCH_Format3_Conf_r13 */
static int hf_lte_rrc_channelSelection_r10 = -1;  /* T_channelSelection_r10 */
static int hf_lte_rrc_n1PUCCH_AN_CS_r10 = -1;     /* T_n1PUCCH_AN_CS_r10 */
static int hf_lte_rrc_setup_65 = -1;              /* T_setup_56 */
static int hf_lte_rrc_n1PUCCH_AN_CS_List_r10 = -1;  /* SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10 */
static int hf_lte_rrc_n1PUCCH_AN_CS_List_r10_item = -1;  /* N1PUCCH_AN_CS_r10 */
static int hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format1a1b_r10 = -1;  /* T_twoAntennaPortActivatedPUCCH_Format1a1b_r10 */
static int hf_lte_rrc_simultaneousPUCCH_PUSCH_r10 = -1;  /* T_simultaneousPUCCH_PUSCH_r10 */
static int hf_lte_rrc_n1PUCCH_AN_RepP1_r10 = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_n1PUCCH_AN_CS_v1130 = -1;   /* T_n1PUCCH_AN_CS_v1130 */
static int hf_lte_rrc_setup_66 = -1;              /* T_setup_57 */
static int hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r11 = -1;  /* T_n1PUCCH_AN_CS_ListP1_r11 */
static int hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r11_item = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_nPUCCH_Param_r11 = -1;      /* T_nPUCCH_Param_r11 */
static int hf_lte_rrc_setup_67 = -1;              /* T_setup_58 */
static int hf_lte_rrc_nPUCCH_Identity_r11 = -1;   /* INTEGER_0_503 */
static int hf_lte_rrc_n1PUCCH_AN_r11 = -1;        /* INTEGER_0_2047 */
static int hf_lte_rrc_nkaPUCCH_Param_r12 = -1;    /* T_nkaPUCCH_Param_r12 */
static int hf_lte_rrc_setup_68 = -1;              /* T_setup_59 */
static int hf_lte_rrc_nkaPUCCH_AN_r12 = -1;       /* INTEGER_0_2047 */
static int hf_lte_rrc_ackNackRepetition_r13 = -1;  /* T_ackNackRepetition_r13 */
static int hf_lte_rrc_setup_69 = -1;              /* T_setup_60 */
static int hf_lte_rrc_repetitionFactor_r13 = -1;  /* T_repetitionFactor_r13 */
static int hf_lte_rrc_n1PUCCH_AN_Rep_r13 = -1;    /* INTEGER_0_2047 */
static int hf_lte_rrc_tdd_AckNackFeedbackMode_r13 = -1;  /* T_tdd_AckNackFeedbackMode_r13 */
static int hf_lte_rrc_pucch_Format_r13 = -1;      /* T_pucch_Format_r13 */
static int hf_lte_rrc_format3_r13 = -1;           /* T_format3_r13 */
static int hf_lte_rrc_n3PUCCH_AN_List_r13 = -1;   /* T_n3PUCCH_AN_List_r13 */
static int hf_lte_rrc_n3PUCCH_AN_List_r13_item = -1;  /* INTEGER_0_549 */
static int hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format3_r13 = -1;  /* T_twoAntennaPortActivatedPUCCH_Format3_r13 */
static int hf_lte_rrc_setup_70 = -1;              /* T_setup_61 */
static int hf_lte_rrc_n3PUCCH_AN_ListP1_r13 = -1;  /* T_n3PUCCH_AN_ListP1_r13 */
static int hf_lte_rrc_n3PUCCH_AN_ListP1_r13_item = -1;  /* INTEGER_0_549 */
static int hf_lte_rrc_channelSelection_r13 = -1;  /* T_channelSelection_r13 */
static int hf_lte_rrc_n1PUCCH_AN_CS_r13 = -1;     /* T_n1PUCCH_AN_CS_r13 */
static int hf_lte_rrc_setup_71 = -1;              /* T_setup_62 */
static int hf_lte_rrc_n1PUCCH_AN_CS_List_r13 = -1;  /* N1PUCCH_AN_CS_List_r13 */
static int hf_lte_rrc_n1PUCCH_AN_CS_List_r13_item = -1;  /* N1PUCCH_AN_CS_r10 */
static int hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r13 = -1;  /* T_n1PUCCH_AN_CS_ListP1_r13 */
static int hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r13_item = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_format4_r13 = -1;           /* T_format4_r13 */
static int hf_lte_rrc_format4_resourceConfiguration_r13 = -1;  /* SEQUENCE_SIZE_4_OF_Format4_resource_r13 */
static int hf_lte_rrc_format4_resourceConfiguration_r13_item = -1;  /* Format4_resource_r13 */
static int hf_lte_rrc_format4_MultiCSI_resourceConfiguration_r13 = -1;  /* SEQUENCE_SIZE_1_2_OF_Format4_resource_r13 */
static int hf_lte_rrc_format4_MultiCSI_resourceConfiguration_r13_item = -1;  /* Format4_resource_r13 */
static int hf_lte_rrc_format5_r13 = -1;           /* T_format5_r13 */
static int hf_lte_rrc_format5_resourceConfiguration_r13 = -1;  /* SEQUENCE_SIZE_4_OF_Format5_resource_r13 */
static int hf_lte_rrc_format5_resourceConfiguration_r13_item = -1;  /* Format5_resource_r13 */
static int hf_lte_rrc_format5_MultiCSI_resourceConfiguration_r13 = -1;  /* Format5_resource_r13 */
static int hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format1a1b_r13 = -1;  /* T_twoAntennaPortActivatedPUCCH_Format1a1b_r13 */
static int hf_lte_rrc_simultaneousPUCCH_PUSCH_r13 = -1;  /* T_simultaneousPUCCH_PUSCH_r13 */
static int hf_lte_rrc_n1PUCCH_AN_RepP1_r13 = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_nPUCCH_Param_r13 = -1;      /* T_nPUCCH_Param_r13 */
static int hf_lte_rrc_setup_72 = -1;              /* T_setup_63 */
static int hf_lte_rrc_nPUCCH_Identity_r13 = -1;   /* INTEGER_0_503 */
static int hf_lte_rrc_n1PUCCH_AN_r13 = -1;        /* INTEGER_0_2047 */
static int hf_lte_rrc_nkaPUCCH_Param_r13 = -1;    /* T_nkaPUCCH_Param_r13 */
static int hf_lte_rrc_setup_73 = -1;              /* T_setup_64 */
static int hf_lte_rrc_nkaPUCCH_AN_r13 = -1;       /* INTEGER_0_2047 */
static int hf_lte_rrc_spatialBundlingPUCCH_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_spatialBundlingPUSCH_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_harq_TimingTDD_r13 = -1;    /* BOOLEAN */
static int hf_lte_rrc_codebooksizeDetermination_r13 = -1;  /* T_codebooksizeDetermination_r13 */
static int hf_lte_rrc_maximumPayloadCoderate_r13 = -1;  /* INTEGER_0_7 */
static int hf_lte_rrc_pucch_NumRepetitionCE_r13 = -1;  /* T_pucch_NumRepetitionCE_r13 */
static int hf_lte_rrc_setup_74 = -1;              /* T_setup_65 */
static int hf_lte_rrc_modeA = -1;                 /* T_modeA */
static int hf_lte_rrc_pucch_NumRepetitionCE_format1_r13 = -1;  /* T_pucch_NumRepetitionCE_format1_r13 */
static int hf_lte_rrc_pucch_NumRepetitionCE_format2_r13 = -1;  /* T_pucch_NumRepetitionCE_format2_r13 */
static int hf_lte_rrc_modeB = -1;                 /* T_modeB */
static int hf_lte_rrc_pucch_NumRepetitionCE_format1_r13_01 = -1;  /* T_pucch_NumRepetitionCE_format1_r13_01 */
static int hf_lte_rrc_pucch_NumRepetitionCE_format2_r13_01 = -1;  /* T_pucch_NumRepetitionCE_format2_r13_01 */
static int hf_lte_rrc_pucch_Format_v1370 = -1;    /* T_pucch_Format_v1370 */
static int hf_lte_rrc_setup_75 = -1;              /* PUCCH_Format3_Conf_r13 */
static int hf_lte_rrc_n3PUCCH_AN_List_r13_01 = -1;  /* T_n3PUCCH_AN_List_r13_01 */
static int hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format3_r13_01 = -1;  /* T_twoAntennaPortActivatedPUCCH_Format3_r13_01 */
static int hf_lte_rrc_setup_76 = -1;              /* T_setup_66 */
static int hf_lte_rrc_n3PUCCH_AN_ListP1_r13_01 = -1;  /* T_n3PUCCH_AN_ListP1_r13_01 */
static int hf_lte_rrc_pucch_NumRepetitionCE_format1_r14 = -1;  /* T_pucch_NumRepetitionCE_format1_r14 */
static int hf_lte_rrc_startingPRB_format4_r13 = -1;  /* INTEGER_0_109 */
static int hf_lte_rrc_numberOfPRB_format4_r13 = -1;  /* INTEGER_0_7 */
static int hf_lte_rrc_startingPRB_format5_r13 = -1;  /* INTEGER_0_109 */
static int hf_lte_rrc_cdm_index_format5_r13 = -1;  /* INTEGER_0_1 */
static int hf_lte_rrc_N1PUCCH_AN_CS_r10_item = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_N1PUCCH_AN_InfoList_r13_item = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_pusch_ConfigBasic = -1;     /* T_pusch_ConfigBasic */
static int hf_lte_rrc_n_SB = -1;                  /* INTEGER_1_4 */
static int hf_lte_rrc_hoppingMode = -1;           /* T_hoppingMode */
static int hf_lte_rrc_pusch_HoppingOffset = -1;   /* INTEGER_0_98 */
static int hf_lte_rrc_enable64QAM = -1;           /* BOOLEAN */
static int hf_lte_rrc_ul_ReferenceSignalsPUSCH = -1;  /* UL_ReferenceSignalsPUSCH */
static int hf_lte_rrc_enable64QAM_v1270 = -1;     /* T_enable64QAM_v1270 */
static int hf_lte_rrc_pusch_maxNumRepetitionCEmodeA_r13 = -1;  /* T_pusch_maxNumRepetitionCEmodeA_r13 */
static int hf_lte_rrc_pusch_maxNumRepetitionCEmodeB_r13 = -1;  /* T_pusch_maxNumRepetitionCEmodeB_r13 */
static int hf_lte_rrc_pusch_HoppingOffset_v1310 = -1;  /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_betaOffset_ACK_Index = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_RI_Index = -1;   /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_CQI_Index = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffsetMC_r10 = -1;      /* T_betaOffsetMC_r10 */
static int hf_lte_rrc_betaOffset_ACK_Index_MC_r10 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_RI_Index_MC_r10 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_CQI_Index_MC_r10 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_groupHoppingDisabled_r10 = -1;  /* T_groupHoppingDisabled_r10 */
static int hf_lte_rrc_dmrs_WithOCC_Activated_r10 = -1;  /* T_dmrs_WithOCC_Activated_r10 */
static int hf_lte_rrc_pusch_DMRS_r11 = -1;        /* T_pusch_DMRS_r11 */
static int hf_lte_rrc_setup_77 = -1;              /* T_setup_67 */
static int hf_lte_rrc_nPUSCH_Identity_r11 = -1;   /* INTEGER_0_509 */
static int hf_lte_rrc_nDMRS_CSH_Identity_r11 = -1;  /* INTEGER_0_509 */
static int hf_lte_rrc_uciOnPUSCH = -1;            /* T_uciOnPUSCH */
static int hf_lte_rrc_setup_78 = -1;              /* T_setup_68 */
static int hf_lte_rrc_betaOffset_ACK_Index_SubframeSet2_r12 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_RI_Index_SubframeSet2_r12 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_CQI_Index_SubframeSet2_r12 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffsetMC_r12 = -1;      /* T_betaOffsetMC_r12 */
static int hf_lte_rrc_betaOffset_ACK_Index_MC_SubframeSet2_r12 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_RI_Index_MC_SubframeSet2_r12 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_CQI_Index_MC_SubframeSet2_r12 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_ACK_Index_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset2_ACK_Index_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_RI_Index_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_CQI_Index_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffsetMC_r13 = -1;      /* T_betaOffsetMC_r13 */
static int hf_lte_rrc_betaOffset_ACK_Index_MC_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset2_ACK_Index_MC_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_RI_Index_MC_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_CQI_Index_MC_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_groupHoppingDisabled_r13 = -1;  /* T_groupHoppingDisabled_r13 */
static int hf_lte_rrc_dmrs_WithOCC_Activated_r13 = -1;  /* T_dmrs_WithOCC_Activated_r13 */
static int hf_lte_rrc_pusch_DMRS_r11_01 = -1;     /* T_pusch_DMRS_r11_01 */
static int hf_lte_rrc_setup_79 = -1;              /* T_setup_69 */
static int hf_lte_rrc_nPUSCH_Identity_r13 = -1;   /* INTEGER_0_509 */
static int hf_lte_rrc_nDMRS_CSH_Identity_r13 = -1;  /* INTEGER_0_509 */
static int hf_lte_rrc_uciOnPUSCH_01 = -1;         /* T_uciOnPUSCH_01 */
static int hf_lte_rrc_setup_80 = -1;              /* T_setup_70 */
static int hf_lte_rrc_betaOffset_ACK_Index_SubframeSet2_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset2_ACK_Index_SubframeSet2_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_RI_Index_SubframeSet2_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_CQI_Index_SubframeSet2_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffsetMC_r12_01 = -1;   /* T_betaOffsetMC_r12_01 */
static int hf_lte_rrc_betaOffset_ACK_Index_MC_SubframeSet2_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset2_ACK_Index_MC_SubframeSet2_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_RI_Index_MC_SubframeSet2_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_betaOffset_CQI_Index_MC_SubframeSet2_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_pusch_HoppingConfig_r13 = -1;  /* T_pusch_HoppingConfig_r13 */
static int hf_lte_rrc_ce_PUSCH_NB_MaxTBS_r14 = -1;  /* T_ce_PUSCH_NB_MaxTBS_r14 */
static int hf_lte_rrc_ce_PUSCH_MaxBandwidth_r14 = -1;  /* T_ce_PUSCH_MaxBandwidth_r14 */
static int hf_lte_rrc_tdd_PUSCH_UpPTS_r14 = -1;   /* TDD_PUSCH_UpPTS_r14 */
static int hf_lte_rrc_ul_DMRS_IFDMA_r14 = -1;     /* BOOLEAN */
static int hf_lte_rrc_enable256QAM_r14 = -1;      /* Enable256QAM_r14 */
static int hf_lte_rrc_groupHoppingDisabled_r10_01 = -1;  /* T_groupHoppingDisabled_r10_01 */
static int hf_lte_rrc_dmrs_WithOCC_Activated_r10_01 = -1;  /* T_dmrs_WithOCC_Activated_r10_01 */
static int hf_lte_rrc_setup_81 = -1;              /* T_setup_71 */
static int hf_lte_rrc_symPUSCH_UpPTS_r14 = -1;    /* T_symPUSCH_UpPTS_r14 */
static int hf_lte_rrc_dmrs_LessUpPTS_Config_r14 = -1;  /* T_dmrs_LessUpPTS_Config_r14 */
static int hf_lte_rrc_setup_82 = -1;              /* T_setup_72 */
static int hf_lte_rrc_tpc_SubframeSet_Configured_r14 = -1;  /* T_tpc_SubframeSet_Configured_r14 */
static int hf_lte_rrc_subframeSet1_DCI_Format0_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_subframeSet1_DCI_Format4_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_subframeSet2_DCI_Format0_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_subframeSet2_DCI_Format4_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_tpc_SubframeSet_NotConfigured_r14 = -1;  /* T_tpc_SubframeSet_NotConfigured_r14 */
static int hf_lte_rrc_dci_Format0_r14 = -1;       /* BOOLEAN */
static int hf_lte_rrc_dci_Format4_r14 = -1;       /* BOOLEAN */
static int hf_lte_rrc_setup_83 = -1;              /* T_setup_73 */
static int hf_lte_rrc_pusch_HoppingOffsetPUSCH_Enh_r14 = -1;  /* INTEGER_1_100 */
static int hf_lte_rrc_interval_ULHoppingPUSCH_Enh_r14 = -1;  /* T_interval_ULHoppingPUSCH_Enh_r14 */
static int hf_lte_rrc_interval_FDD_PUSCH_Enh_r14 = -1;  /* T_interval_FDD_PUSCH_Enh_r14 */
static int hf_lte_rrc_interval_TDD_PUSCH_Enh_r14 = -1;  /* T_interval_TDD_PUSCH_Enh_r14 */
static int hf_lte_rrc_groupHoppingEnabled = -1;   /* BOOLEAN */
static int hf_lte_rrc_groupAssignmentPUSCH = -1;  /* INTEGER_0_29 */
static int hf_lte_rrc_sequenceHoppingEnabled = -1;  /* BOOLEAN */
static int hf_lte_rrc_cyclicShift = -1;           /* INTEGER_0_7 */
static int hf_lte_rrc_preambleInfo = -1;          /* T_preambleInfo */
static int hf_lte_rrc_numberOfRA_Preambles = -1;  /* T_numberOfRA_Preambles */
static int hf_lte_rrc_preamblesGroupAConfig = -1;  /* T_preamblesGroupAConfig */
static int hf_lte_rrc_sizeOfRA_PreamblesGroupA = -1;  /* T_sizeOfRA_PreamblesGroupA */
static int hf_lte_rrc_messageSizeGroupA = -1;     /* T_messageSizeGroupA */
static int hf_lte_rrc_messagePowerOffsetGroupB = -1;  /* T_messagePowerOffsetGroupB */
static int hf_lte_rrc_powerRampingParameters = -1;  /* PowerRampingParameters */
static int hf_lte_rrc_ra_SupervisionInfo = -1;    /* T_ra_SupervisionInfo */
static int hf_lte_rrc_preambleTransMax = -1;      /* PreambleTransMax */
static int hf_lte_rrc_ra_ResponseWindowSize = -1;  /* T_ra_ResponseWindowSize */
static int hf_lte_rrc_mac_ContentionResolutionTimer = -1;  /* T_mac_ContentionResolutionTimer */
static int hf_lte_rrc_maxHARQ_Msg3Tx = -1;        /* INTEGER_1_8 */
static int hf_lte_rrc_preambleTransMax_CE_r13 = -1;  /* PreambleTransMax */
static int hf_lte_rrc_rach_CE_LevelInfoList_r13 = -1;  /* RACH_CE_LevelInfoList_r13 */
static int hf_lte_rrc_txFailParams_r12 = -1;      /* T_txFailParams_r12 */
static int hf_lte_rrc_connEstFailCount_r12 = -1;  /* T_connEstFailCount_r12 */
static int hf_lte_rrc_connEstFailOffsetValidity_r12 = -1;  /* T_connEstFailOffsetValidity_r12 */
static int hf_lte_rrc_connEstFailOffset_r12 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_powerRampingParameters_r11 = -1;  /* PowerRampingParameters */
static int hf_lte_rrc_ra_SupervisionInfo_r11 = -1;  /* T_ra_SupervisionInfo_r11 */
static int hf_lte_rrc_preambleTransMax_r11 = -1;  /* PreambleTransMax */
static int hf_lte_rrc_RACH_CE_LevelInfoList_r13_item = -1;  /* RACH_CE_LevelInfo_r13 */
static int hf_lte_rrc_preambleMappingInfo_r13 = -1;  /* T_preambleMappingInfo_r13 */
static int hf_lte_rrc_firstPreamble_r13 = -1;     /* INTEGER_0_63 */
static int hf_lte_rrc_lastPreamble_r13 = -1;      /* INTEGER_0_63 */
static int hf_lte_rrc_ra_ResponseWindowSize_r13 = -1;  /* T_ra_ResponseWindowSize_r13 */
static int hf_lte_rrc_mac_ContentionResolutionTimer_r13 = -1;  /* T_mac_ContentionResolutionTimer_r13 */
static int hf_lte_rrc_rar_HoppingConfig_r13 = -1;  /* T_rar_HoppingConfig_r13 */
static int hf_lte_rrc_powerRampingStep = -1;      /* T_powerRampingStep */
static int hf_lte_rrc_preambleInitialReceivedTargetPower = -1;  /* T_preambleInitialReceivedTargetPower */
static int hf_lte_rrc_ra_PreambleIndex = -1;      /* INTEGER_0_63 */
static int hf_lte_rrc_ra_PRACH_MaskIndex = -1;    /* INTEGER_0_15 */
static int hf_lte_rrc_rach_ConfigCommon = -1;     /* RACH_ConfigCommon */
static int hf_lte_rrc_bcch_Config = -1;           /* BCCH_Config */
static int hf_lte_rrc_pcch_Config = -1;           /* PCCH_Config */
static int hf_lte_rrc_prach_Config = -1;          /* PRACH_ConfigSIB */
static int hf_lte_rrc_pdsch_ConfigCommon = -1;    /* PDSCH_ConfigCommon */
static int hf_lte_rrc_pusch_ConfigCommon = -1;    /* PUSCH_ConfigCommon */
static int hf_lte_rrc_pucch_ConfigCommon = -1;    /* PUCCH_ConfigCommon */
static int hf_lte_rrc_soundingRS_UL_ConfigCommon = -1;  /* SoundingRS_UL_ConfigCommon */
static int hf_lte_rrc_uplinkPowerControlCommon = -1;  /* UplinkPowerControlCommon */
static int hf_lte_rrc_ul_CyclicPrefixLength = -1;  /* UL_CyclicPrefixLength */
static int hf_lte_rrc_uplinkPowerControlCommon_v1020 = -1;  /* UplinkPowerControlCommon_v1020 */
static int hf_lte_rrc_rach_ConfigCommon_v1250 = -1;  /* RACH_ConfigCommon_v1250 */
static int hf_lte_rrc_pusch_ConfigCommon_v1270 = -1;  /* PUSCH_ConfigCommon_v1270 */
static int hf_lte_rrc_bcch_Config_v1310 = -1;     /* BCCH_Config_v1310 */
static int hf_lte_rrc_pcch_Config_v1310 = -1;     /* PCCH_Config_v1310 */
static int hf_lte_rrc_freqHoppingParameters_r13 = -1;  /* FreqHoppingParameters_r13 */
static int hf_lte_rrc_pdsch_ConfigCommon_v1310 = -1;  /* PDSCH_ConfigCommon_v1310 */
static int hf_lte_rrc_pusch_ConfigCommon_v1310 = -1;  /* PUSCH_ConfigCommon_v1310 */
static int hf_lte_rrc_prach_ConfigCommon_v1310 = -1;  /* PRACH_ConfigSIB_v1310 */
static int hf_lte_rrc_pucch_ConfigCommon_v1310 = -1;  /* PUCCH_ConfigCommon_v1310 */
static int hf_lte_rrc_highSpeedConfig_r14 = -1;   /* HighSpeedConfig_r14 */
static int hf_lte_rrc_prach_Config_v1430 = -1;    /* PRACH_Config_v1430 */
static int hf_lte_rrc_pucch_ConfigCommon_v1430 = -1;  /* PUCCH_ConfigCommon_v1430 */
static int hf_lte_rrc_prach_Config_01 = -1;       /* PRACH_Config */
static int hf_lte_rrc_prach_Config_v1310 = -1;    /* PRACH_Config_v1310 */
static int hf_lte_rrc_uplinkPowerControlCommon_v1310 = -1;  /* UplinkPowerControlCommon_v1310 */
static int hf_lte_rrc_basicFields_r12 = -1;       /* RadioResourceConfigCommonSCell_r10 */
static int hf_lte_rrc_pucch_ConfigCommon_r12 = -1;  /* PUCCH_ConfigCommon */
static int hf_lte_rrc_rach_ConfigCommon_r12 = -1;  /* RACH_ConfigCommon */
static int hf_lte_rrc_uplinkPowerControlCommonPSCell_r12 = -1;  /* UplinkPowerControlCommonPSCell_r12 */
static int hf_lte_rrc_uplinkPowerControlCommonPSCell_v1310 = -1;  /* UplinkPowerControlCommon_v1310 */
static int hf_lte_rrc_basicFields_v12f0 = -1;     /* RadioResourceConfigCommonSCell_v10l0 */
static int hf_lte_rrc_basicFields_v1440 = -1;     /* RadioResourceConfigCommonSCell_v1440 */
static int hf_lte_rrc_nonUL_Configuration_r10_01 = -1;  /* T_nonUL_Configuration_r10_01 */
static int hf_lte_rrc_dl_Bandwidth_r10 = -1;      /* T_dl_Bandwidth_r10 */
static int hf_lte_rrc_antennaInfoCommon_r10 = -1;  /* AntennaInfoCommon */
static int hf_lte_rrc_mbsfn_SubframeConfigList_r10 = -1;  /* MBSFN_SubframeConfigList */
static int hf_lte_rrc_phich_Config_r10 = -1;      /* PHICH_Config */
static int hf_lte_rrc_pdsch_ConfigCommon_r10 = -1;  /* PDSCH_ConfigCommon */
static int hf_lte_rrc_tdd_Config_r10 = -1;        /* TDD_Config */
static int hf_lte_rrc_ul_Configuration_r10_01 = -1;  /* T_ul_Configuration_r10_01 */
static int hf_lte_rrc_ul_FreqInfo_r10 = -1;       /* T_ul_FreqInfo_r10 */
static int hf_lte_rrc_ul_CarrierFreq_r10 = -1;    /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_ul_Bandwidth_r10 = -1;      /* T_ul_Bandwidth_r10 */
static int hf_lte_rrc_additionalSpectrumEmissionSCell_r10 = -1;  /* AdditionalSpectrumEmission */
static int hf_lte_rrc_p_Max_r10 = -1;             /* P_Max */
static int hf_lte_rrc_uplinkPowerControlCommonSCell_r10 = -1;  /* UplinkPowerControlCommonSCell_r10 */
static int hf_lte_rrc_soundingRS_UL_ConfigCommon_r10 = -1;  /* SoundingRS_UL_ConfigCommon */
static int hf_lte_rrc_ul_CyclicPrefixLength_r10 = -1;  /* UL_CyclicPrefixLength */
static int hf_lte_rrc_prach_ConfigSCell_r10 = -1;  /* PRACH_ConfigSCell_r10 */
static int hf_lte_rrc_pusch_ConfigCommon_r10 = -1;  /* PUSCH_ConfigCommon */
static int hf_lte_rrc_ul_CarrierFreq_v1090 = -1;  /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_rach_ConfigCommonSCell_r11 = -1;  /* RACH_ConfigCommonSCell_r11 */
static int hf_lte_rrc_prach_ConfigSCell_r11 = -1;  /* PRACH_Config */
static int hf_lte_rrc_uplinkPowerControlCommonSCell_v1130 = -1;  /* UplinkPowerControlCommonSCell_v1130 */
static int hf_lte_rrc_pucch_ConfigCommon_r13 = -1;  /* PUCCH_ConfigCommon */
static int hf_lte_rrc_uplinkPowerControlCommonSCell_v1310 = -1;  /* UplinkPowerControlCommonSCell_v1310 */
static int hf_lte_rrc_highSpeedConfigSCell_r14 = -1;  /* HighSpeedConfigSCell_r14 */
static int hf_lte_rrc_ul_Configuration_r14 = -1;  /* T_ul_Configuration_r14 */
static int hf_lte_rrc_ul_FreqInfo_r14 = -1;       /* T_ul_FreqInfo_r14 */
static int hf_lte_rrc_ul_CarrierFreq_r14 = -1;    /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_ul_Bandwidth_r14 = -1;      /* T_ul_Bandwidth_r14 */
static int hf_lte_rrc_additionalSpectrumEmissionSCell_r14 = -1;  /* AdditionalSpectrumEmission */
static int hf_lte_rrc_p_Max_r14 = -1;             /* P_Max */
static int hf_lte_rrc_soundingRS_UL_ConfigCommon_r14 = -1;  /* SoundingRS_UL_ConfigCommon */
static int hf_lte_rrc_ul_CyclicPrefixLength_r14 = -1;  /* UL_CyclicPrefixLength */
static int hf_lte_rrc_prach_ConfigSCell_r14 = -1;  /* PRACH_ConfigSCell_r10 */
static int hf_lte_rrc_uplinkPowerControlCommonPUSCH_LessCell_v1430 = -1;  /* UplinkPowerControlCommonPUSCH_LessCell_v1430 */
static int hf_lte_rrc_harq_ReferenceConfig_r14 = -1;  /* T_harq_ReferenceConfig_r14 */
static int hf_lte_rrc_soundingRS_FlexibleTiming_r14 = -1;  /* T_soundingRS_FlexibleTiming_r14 */
static int hf_lte_rrc_ul_Configuration_v10l0 = -1;  /* T_ul_Configuration_v10l0 */
static int hf_lte_rrc_additionalSpectrumEmissionSCell_v10l0 = -1;  /* AdditionalSpectrumEmission_v10l0 */
static int hf_lte_rrc_ul_Configuration_v1440 = -1;  /* T_ul_Configuration_v1440 */
static int hf_lte_rrc_ul_FreqInfo_v1440 = -1;     /* T_ul_FreqInfo_v1440 */
static int hf_lte_rrc_additionalSpectrumEmissionSCell_v1440 = -1;  /* AdditionalSpectrumEmission_v10l0 */
static int hf_lte_rrc_modificationPeriodCoeff = -1;  /* T_modificationPeriodCoeff */
static int hf_lte_rrc_modificationPeriodCoeff_v1310 = -1;  /* T_modificationPeriodCoeff_v1310 */
static int hf_lte_rrc_dummy_01 = -1;              /* T_dummy */
static int hf_lte_rrc_dummy2 = -1;                /* T_dummy2 */
static int hf_lte_rrc_interval_FDD_r13_02 = -1;   /* T_interval_FDD_r13_02 */
static int hf_lte_rrc_interval_TDD_r13_02 = -1;   /* T_interval_TDD_r13_02 */
static int hf_lte_rrc_dummy3 = -1;                /* T_dummy3 */
static int hf_lte_rrc_interval_FDD_r13_03 = -1;   /* T_interval_FDD_r13_03 */
static int hf_lte_rrc_interval_TDD_r13_03 = -1;   /* T_interval_TDD_r13_03 */
static int hf_lte_rrc_interval_ULHoppingConfigCommonModeA_r13 = -1;  /* T_interval_ULHoppingConfigCommonModeA_r13 */
static int hf_lte_rrc_interval_FDD_r13_04 = -1;   /* T_interval_FDD_r13_04 */
static int hf_lte_rrc_interval_TDD_r13_04 = -1;   /* T_interval_TDD_r13_04 */
static int hf_lte_rrc_interval_ULHoppingConfigCommonModeB_r13 = -1;  /* T_interval_ULHoppingConfigCommonModeB_r13 */
static int hf_lte_rrc_interval_FDD_r13_05 = -1;   /* T_interval_FDD_r13_05 */
static int hf_lte_rrc_interval_TDD_r13_05 = -1;   /* T_interval_TDD_r13_05 */
static int hf_lte_rrc_dummy4 = -1;                /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_defaultPagingCycle = -1;    /* T_defaultPagingCycle */
static int hf_lte_rrc_nB = -1;                    /* T_nB */
static int hf_lte_rrc_paging_narrowBands_r13 = -1;  /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_mpdcch_NumRepetition_Paging_r13 = -1;  /* T_mpdcch_NumRepetition_Paging_r13 */
static int hf_lte_rrc_nB_v1310 = -1;              /* T_nB_v1310 */
static int hf_lte_rrc_highSpeedEnhancedMeasFlag_r14 = -1;  /* T_highSpeedEnhancedMeasFlag_r14 */
static int hf_lte_rrc_highSpeedEnhancedDemodulationFlag_r14 = -1;  /* T_highSpeedEnhancedDemodulationFlag_r14 */
static int hf_lte_rrc_highSpeedEnhancedDemodulationFlag_r14_01 = -1;  /* T_highSpeedEnhancedDemodulationFlag_r14_01 */
static int hf_lte_rrc_srb_ToAddModList = -1;      /* SRB_ToAddModList */
static int hf_lte_rrc_drb_ToAddModList = -1;      /* DRB_ToAddModList */
static int hf_lte_rrc_drb_ToReleaseList = -1;     /* DRB_ToReleaseList */
static int hf_lte_rrc_mac_MainConfig = -1;        /* T_mac_MainConfig */
static int hf_lte_rrc_explicitValue_03 = -1;      /* MAC_MainConfig */
static int hf_lte_rrc_sps_Config = -1;            /* SPS_Config */
static int hf_lte_rrc_physicalConfigDedicated = -1;  /* PhysicalConfigDedicated */
static int hf_lte_rrc_rlf_TimersAndConstants_r9 = -1;  /* RLF_TimersAndConstants_r9 */
static int hf_lte_rrc_measSubframePatternPCell_r10 = -1;  /* MeasSubframePatternPCell_r10 */
static int hf_lte_rrc_neighCellsCRS_Info_r11 = -1;  /* NeighCellsCRS_Info_r11 */
static int hf_lte_rrc_naics_Info_r12 = -1;        /* NAICS_AssistanceInfo_r12 */
static int hf_lte_rrc_neighCellsCRS_Info_r13 = -1;  /* NeighCellsCRS_Info_r13 */
static int hf_lte_rrc_rlf_TimersAndConstants_r13 = -1;  /* RLF_TimersAndConstants_r13 */
static int hf_lte_rrc_sps_Config_v1430 = -1;      /* SPS_Config_v1430 */
static int hf_lte_rrc_physicalConfigDedicated_v1370 = -1;  /* PhysicalConfigDedicated_v1370 */
static int hf_lte_rrc_physicalConfigDedicatedPSCell_r12 = -1;  /* PhysicalConfigDedicated */
static int hf_lte_rrc_sps_Config_r12 = -1;        /* SPS_Config */
static int hf_lte_rrc_neighCellsCRS_InfoPSCell_r13 = -1;  /* NeighCellsCRS_Info_r13 */
static int hf_lte_rrc_physicalConfigDedicatedPSCell_v1370 = -1;  /* PhysicalConfigDedicated_v1370 */
static int hf_lte_rrc_drb_ToAddModListSCG_r12_01 = -1;  /* DRB_ToAddModListSCG_r12 */
static int hf_lte_rrc_mac_MainConfigSCG_r12 = -1;  /* MAC_MainConfig */
static int hf_lte_rrc_rlf_TimersAndConstantsSCG_r12 = -1;  /* RLF_TimersAndConstantsSCG_r12 */
static int hf_lte_rrc_physicalConfigDedicatedSCell_r10 = -1;  /* PhysicalConfigDedicatedSCell_r10 */
static int hf_lte_rrc_mac_MainConfigSCell_r11 = -1;  /* MAC_MainConfigSCell_r11 */
static int hf_lte_rrc_neighCellsCRS_InfoSCell_r13 = -1;  /* NeighCellsCRS_Info_r13 */
static int hf_lte_rrc_physicalConfigDedicatedSCell_v1370 = -1;  /* PhysicalConfigDedicatedSCell_v1370 */
static int hf_lte_rrc_SRB_ToAddModList_item = -1;  /* SRB_ToAddMod */
static int hf_lte_rrc_srb_Identity = -1;          /* INTEGER_1_2 */
static int hf_lte_rrc_rlc_Config = -1;            /* T_rlc_Config */
static int hf_lte_rrc_explicitValue_04 = -1;      /* RLC_Config */
static int hf_lte_rrc_logicalChannelConfig = -1;  /* T_logicalChannelConfig */
static int hf_lte_rrc_explicitValue_05 = -1;      /* LogicalChannelConfig */
static int hf_lte_rrc_DRB_ToAddModList_item = -1;  /* DRB_ToAddMod */
static int hf_lte_rrc_DRB_ToAddModListSCG_r12_item = -1;  /* DRB_ToAddModSCG_r12 */
static int hf_lte_rrc_eps_BearerIdentity = -1;    /* INTEGER_0_15 */
static int hf_lte_rrc_pdcp_Config = -1;           /* PDCP_Config */
static int hf_lte_rrc_rlc_Config_01 = -1;         /* RLC_Config */
static int hf_lte_rrc_logicalChannelIdentity = -1;  /* T_logicalChannelIdentity */
static int hf_lte_rrc_logicalChannelConfig_01 = -1;  /* LogicalChannelConfig */
static int hf_lte_rrc_drb_TypeChange_r12 = -1;    /* T_drb_TypeChange_r12 */
static int hf_lte_rrc_rlc_Config_v1250 = -1;      /* RLC_Config_v1250 */
static int hf_lte_rrc_rlc_Config_v1310 = -1;      /* RLC_Config_v1310 */
static int hf_lte_rrc_drb_TypeLWA_r13 = -1;       /* BOOLEAN */
static int hf_lte_rrc_drb_TypeLWIP_r13 = -1;      /* T_drb_TypeLWIP_r13 */
static int hf_lte_rrc_rlc_Config_v1430 = -1;      /* RLC_Config_v1430 */
static int hf_lte_rrc_lwip_UL_Aggregation_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_lwip_DL_Aggregation_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_lwa_WLAN_AC_r14 = -1;       /* T_lwa_WLAN_AC_r14 */
static int hf_lte_rrc_rlc_Config_v15xy = -1;      /* RLC_Config_v15xy */
static int hf_lte_rrc_drb_Type_r12_01 = -1;       /* T_drb_Type_r12_01 */
static int hf_lte_rrc_split_r12 = -1;             /* NULL */
static int hf_lte_rrc_scg_r12 = -1;               /* T_scg_r12 */
static int hf_lte_rrc_pdcp_Config_r12 = -1;       /* PDCP_Config */
static int hf_lte_rrc_rlc_ConfigSCG_r12 = -1;     /* RLC_Config */
static int hf_lte_rrc_logicalChannelIdentitySCG_r12 = -1;  /* INTEGER_3_10 */
static int hf_lte_rrc_logicalChannelConfigSCG_r12 = -1;  /* LogicalChannelConfig */
static int hf_lte_rrc_DRB_ToReleaseList_item = -1;  /* DRB_Identity */
static int hf_lte_rrc_setup_84 = -1;              /* MeasSubframePattern_r10 */
static int hf_lte_rrc_setup_85 = -1;              /* CRS_AssistanceInfoList_r11 */
static int hf_lte_rrc_CRS_AssistanceInfoList_r11_item = -1;  /* CRS_AssistanceInfo_r11 */
static int hf_lte_rrc_physCellId_r11_02 = -1;     /* PhysCellId */
static int hf_lte_rrc_antennaPortsCount_r11_01 = -1;  /* T_antennaPortsCount_r11_01 */
static int hf_lte_rrc_mbsfn_SubframeConfigList_r11_02 = -1;  /* MBSFN_SubframeConfigList */
static int hf_lte_rrc_setup_86 = -1;              /* CRS_AssistanceInfoList_r13 */
static int hf_lte_rrc_CRS_AssistanceInfoList_r13_item = -1;  /* CRS_AssistanceInfo_r13 */
static int hf_lte_rrc_antennaPortsCount_r13 = -1;  /* T_antennaPortsCount_r13 */
static int hf_lte_rrc_mbsfn_SubframeConfigList_r13 = -1;  /* MBSFN_SubframeConfigList */
static int hf_lte_rrc_setup_87 = -1;              /* T_setup_74 */
static int hf_lte_rrc_neighCellsToReleaseList_r12 = -1;  /* NeighCellsToReleaseList_r12 */
static int hf_lte_rrc_neighCellsToAddModList_r12 = -1;  /* NeighCellsToAddModList_r12 */
static int hf_lte_rrc_servCellp_a_r12 = -1;       /* P_a */
static int hf_lte_rrc_NeighCellsToReleaseList_r12_item = -1;  /* PhysCellId */
static int hf_lte_rrc_NeighCellsToAddModList_r12_item = -1;  /* NeighCellsInfo_r12 */
static int hf_lte_rrc_p_b_r12 = -1;               /* INTEGER_0_3 */
static int hf_lte_rrc_crs_PortsCount_r12 = -1;    /* T_crs_PortsCount_r12 */
static int hf_lte_rrc_mbsfn_SubframeConfig_r12 = -1;  /* MBSFN_SubframeConfigList */
static int hf_lte_rrc_p_aList_r12 = -1;           /* SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a */
static int hf_lte_rrc_p_aList_r12_item = -1;      /* P_a */
static int hf_lte_rrc_transmissionModeList_r12 = -1;  /* T_transmissionModeList_r12 */
static int hf_lte_rrc_resAllocGranularity_r12 = -1;  /* INTEGER_1_4 */
static int hf_lte_rrc_setup_88 = -1;              /* T_setup_75 */
static int hf_lte_rrc_rclwi_Config_r13 = -1;      /* RCLWI_Config_r13 */
static int hf_lte_rrc_command = -1;               /* T_command */
static int hf_lte_rrc_steerToWLAN_r13 = -1;       /* T_steerToWLAN_r13 */
static int hf_lte_rrc_mobilityConfig_r13 = -1;    /* WLAN_Id_List_r12 */
static int hf_lte_rrc_steerToLTE_r13 = -1;        /* NULL */
static int hf_lte_rrc_am = -1;                    /* T_am */
static int hf_lte_rrc_ul_AM_RLC = -1;             /* UL_AM_RLC */
static int hf_lte_rrc_dl_AM_RLC = -1;             /* DL_AM_RLC */
static int hf_lte_rrc_um_Bi_Directional = -1;     /* T_um_Bi_Directional */
static int hf_lte_rrc_ul_UM_RLC = -1;             /* UL_UM_RLC */
static int hf_lte_rrc_dl_UM_RLC = -1;             /* DL_UM_RLC */
static int hf_lte_rrc_um_Uni_Directional_UL = -1;  /* T_um_Uni_Directional_UL */
static int hf_lte_rrc_um_Uni_Directional_DL = -1;  /* T_um_Uni_Directional_DL */
static int hf_lte_rrc_ul_extended_RLC_LI_Field_r12 = -1;  /* T_ul_extended_RLC_LI_Field_r12 */
static int hf_lte_rrc_dl_extended_RLC_LI_Field_r12 = -1;  /* T_dl_extended_RLC_LI_Field_r12 */
static int hf_lte_rrc_ul_extended_RLC_AM_SN_r13 = -1;  /* T_ul_extended_RLC_AM_SN_r13 */
static int hf_lte_rrc_dl_extended_RLC_AM_SN_r13 = -1;  /* T_dl_extended_RLC_AM_SN_r13 */
static int hf_lte_rrc_pollPDU_v1310 = -1;         /* PollPDU_v1310 */
static int hf_lte_rrc_setup_89 = -1;              /* T_setup_76 */
static int hf_lte_rrc_pollByte_r14 = -1;          /* PollByte_r14 */
static int hf_lte_rrc_reestablishRLC_r15 = -1;    /* T_reestablishRLC_r15 */
static int hf_lte_rrc_t_PollRetransmit = -1;      /* T_PollRetransmit */
static int hf_lte_rrc_pollPDU = -1;               /* PollPDU */
static int hf_lte_rrc_pollByte = -1;              /* PollByte */
static int hf_lte_rrc_maxRetxThreshold = -1;      /* T_maxRetxThreshold */
static int hf_lte_rrc_t_Reordering = -1;          /* T_Reordering */
static int hf_lte_rrc_t_StatusProhibit = -1;      /* T_StatusProhibit */
static int hf_lte_rrc_sn_FieldLength = -1;        /* SN_FieldLength */
static int hf_lte_rrc_setup_90 = -1;              /* T_setup_77 */
static int hf_lte_rrc_t301_r9 = -1;               /* T_t301_r9 */
static int hf_lte_rrc_t310_r9 = -1;               /* T_t310_r9 */
static int hf_lte_rrc_n310_r9 = -1;               /* T_n310_r9 */
static int hf_lte_rrc_t311_r9 = -1;               /* T_t311_r9 */
static int hf_lte_rrc_n311_r9 = -1;               /* T_n311_r9 */
static int hf_lte_rrc_setup_91 = -1;              /* T_setup_78 */
static int hf_lte_rrc_t301_v1310 = -1;            /* T_t301_v1310 */
static int hf_lte_rrc_t310_v1330 = -1;            /* T_t310_v1330 */
static int hf_lte_rrc_setup_92 = -1;              /* T_setup_79 */
static int hf_lte_rrc_t313_r12 = -1;              /* T_t313_r12 */
static int hf_lte_rrc_n313_r12 = -1;              /* T_n313_r12 */
static int hf_lte_rrc_n314_r12 = -1;              /* T_n314_r12 */
static int hf_lte_rrc_subframeConfigPattern_r10 = -1;  /* T_subframeConfigPattern_r10 */
static int hf_lte_rrc_subframeConfigPatternFDD_r10 = -1;  /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_subframeConfigPatternTDD_r10 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_rpdcch_Config_r10 = -1;     /* T_rpdcch_Config_r10 */
static int hf_lte_rrc_resourceAllocationType_r10 = -1;  /* T_resourceAllocationType_r10 */
static int hf_lte_rrc_resourceBlockAssignment_r10 = -1;  /* T_resourceBlockAssignment_r10 */
static int hf_lte_rrc_type01_r10 = -1;            /* T_type01_r10 */
static int hf_lte_rrc_nrb6_r10 = -1;              /* BIT_STRING_SIZE_6 */
static int hf_lte_rrc_nrb15_r10 = -1;             /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_nrb25_r10 = -1;             /* BIT_STRING_SIZE_13 */
static int hf_lte_rrc_nrb50_r10 = -1;             /* BIT_STRING_SIZE_17 */
static int hf_lte_rrc_nrb75_r10 = -1;             /* BIT_STRING_SIZE_19 */
static int hf_lte_rrc_nrb100_r10 = -1;            /* BIT_STRING_SIZE_25 */
static int hf_lte_rrc_type2_r10 = -1;             /* T_type2_r10 */
static int hf_lte_rrc_nrb6_r10_01 = -1;           /* BIT_STRING_SIZE_5 */
static int hf_lte_rrc_nrb15_r10_01 = -1;          /* BIT_STRING_SIZE_7 */
static int hf_lte_rrc_nrb25_r10_01 = -1;          /* BIT_STRING_SIZE_9 */
static int hf_lte_rrc_nrb50_r10_01 = -1;          /* BIT_STRING_SIZE_11 */
static int hf_lte_rrc_nrb75_r10_01 = -1;          /* BIT_STRING_SIZE_12 */
static int hf_lte_rrc_nrb100_r10_01 = -1;         /* BIT_STRING_SIZE_13 */
static int hf_lte_rrc_demodulationRS_r10 = -1;    /* T_demodulationRS_r10 */
static int hf_lte_rrc_interleaving_r10 = -1;      /* T_interleaving_r10 */
static int hf_lte_rrc_noInterleaving_r10 = -1;    /* T_noInterleaving_r10 */
static int hf_lte_rrc_pdsch_Start_r10_01 = -1;    /* INTEGER_1_3 */
static int hf_lte_rrc_pucch_Config_r10 = -1;      /* T_pucch_Config_r10 */
static int hf_lte_rrc_tdd = -1;                   /* T_tdd */
static int hf_lte_rrc_channelSelectionMultiplexingBundling = -1;  /* T_channelSelectionMultiplexingBundling */
static int hf_lte_rrc_n1PUCCH_AN_List_r10 = -1;   /* T_n1PUCCH_AN_List_r10 */
static int hf_lte_rrc_n1PUCCH_AN_List_r10_item = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_fallbackForFormat3 = -1;    /* T_fallbackForFormat3 */
static int hf_lte_rrc_n1PUCCH_AN_P0_r10 = -1;     /* INTEGER_0_2047 */
static int hf_lte_rrc_n1PUCCH_AN_P1_r10 = -1;     /* INTEGER_0_2047 */
static int hf_lte_rrc_fdd = -1;                   /* T_fdd */
static int hf_lte_rrc_setup_93 = -1;              /* T_setup_80 */
static int hf_lte_rrc_sr_PUCCH_ResourceIndex = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_sr_ConfigIndex = -1;        /* T_sr_ConfigIndex */
static int hf_lte_rrc_dsr_TransMax = -1;          /* T_dsr_TransMax */
static int hf_lte_rrc_sr_PUCCH_ResourceIndexP1_r10 = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_setup_94 = -1;              /* T_setup_81 */
static int hf_lte_rrc_sr_PUCCH_ResourceIndex_r13 = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_sr_PUCCH_ResourceIndexP1_r13 = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_sr_ConfigIndex_r13 = -1;    /* T_sr_ConfigIndex_r13 */
static int hf_lte_rrc_dsr_TransMax_r13 = -1;      /* T_dsr_TransMax_r13 */
static int hf_lte_rrc_setup_95 = -1;              /* T_setup_82 */
static int hf_lte_rrc_srs_BandwidthConfig = -1;   /* T_srs_BandwidthConfig */
static int hf_lte_rrc_srs_SubframeConfig = -1;    /* T_srs_SubframeConfig */
static int hf_lte_rrc_ackNackSRS_SimultaneousTransmission = -1;  /* BOOLEAN */
static int hf_lte_rrc_srs_MaxUpPts = -1;          /* T_srs_MaxUpPts */
static int hf_lte_rrc_setup_96 = -1;              /* T_setup_83 */
static int hf_lte_rrc_srs_Bandwidth = -1;         /* T_srs_Bandwidth */
static int hf_lte_rrc_srs_HoppingBandwidth = -1;  /* T_srs_HoppingBandwidth */
static int hf_lte_rrc_freqDomainPosition = -1;    /* INTEGER_0_23 */
static int hf_lte_rrc_duration = -1;              /* T_duration */
static int hf_lte_rrc_srs_ConfigIndex = -1;       /* INTEGER_0_1023 */
static int hf_lte_rrc_transmissionComb = -1;      /* INTEGER_0_1 */
static int hf_lte_rrc_cyclicShift_01 = -1;        /* T_cyclicShift */
static int hf_lte_rrc_srs_AntennaPort_r10 = -1;   /* SRS_AntennaPort */
static int hf_lte_rrc_setup_97 = -1;              /* T_setup_84 */
static int hf_lte_rrc_transmissionComb_v1310 = -1;  /* INTEGER_2_3 */
static int hf_lte_rrc_cyclicShift_v1310 = -1;     /* T_cyclicShift_v1310 */
static int hf_lte_rrc_transmissionCombNum_r13 = -1;  /* T_transmissionCombNum_r13 */
static int hf_lte_rrc_setup_98 = -1;              /* T_setup_85 */
static int hf_lte_rrc_srs_UpPtsAdd_r13 = -1;      /* T_srs_UpPtsAdd_r13 */
static int hf_lte_rrc_srs_Bandwidth_r13 = -1;     /* T_srs_Bandwidth_r13 */
static int hf_lte_rrc_srs_HoppingBandwidth_r13 = -1;  /* T_srs_HoppingBandwidth_r13 */
static int hf_lte_rrc_freqDomainPosition_r13 = -1;  /* INTEGER_0_23 */
static int hf_lte_rrc_duration_r13 = -1;          /* BOOLEAN */
static int hf_lte_rrc_srs_ConfigIndex_r13 = -1;   /* INTEGER_0_1023 */
static int hf_lte_rrc_transmissionComb_r13 = -1;  /* INTEGER_0_3 */
static int hf_lte_rrc_cyclicShift_r13 = -1;       /* T_cyclicShift_r13 */
static int hf_lte_rrc_srs_AntennaPort_r13 = -1;   /* SRS_AntennaPort */
static int hf_lte_rrc_transmissionCombNum_r13_01 = -1;  /* T_transmissionCombNum_r13_01 */
static int hf_lte_rrc_setup_99 = -1;              /* T_setup_86 */
static int hf_lte_rrc_srs_ConfigIndexAp_r10 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_srs_ConfigApDCI_Format4_r10 = -1;  /* SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10 */
static int hf_lte_rrc_srs_ConfigApDCI_Format4_r10_item = -1;  /* SRS_ConfigAp_r10 */
static int hf_lte_rrc_srs_ActivateAp_r10 = -1;    /* T_srs_ActivateAp_r10 */
static int hf_lte_rrc_setup_100 = -1;             /* T_setup_87 */
static int hf_lte_rrc_srs_ConfigApDCI_Format0_r10 = -1;  /* SRS_ConfigAp_r10 */
static int hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_r10 = -1;  /* SRS_ConfigAp_r10 */
static int hf_lte_rrc_setup_101 = -1;             /* T_setup_88 */
static int hf_lte_rrc_srs_ConfigApDCI_Format4_v1310 = -1;  /* SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310 */
static int hf_lte_rrc_srs_ConfigApDCI_Format4_v1310_item = -1;  /* SRS_ConfigAp_v1310 */
static int hf_lte_rrc_srs_ActivateAp_v1310 = -1;  /* T_srs_ActivateAp_v1310 */
static int hf_lte_rrc_setup_102 = -1;             /* T_setup_89 */
static int hf_lte_rrc_srs_ConfigApDCI_Format0_v1310 = -1;  /* SRS_ConfigAp_v1310 */
static int hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_v1310 = -1;  /* SRS_ConfigAp_v1310 */
static int hf_lte_rrc_setup_103 = -1;             /* T_setup_90 */
static int hf_lte_rrc_srs_UpPtsAdd_r13_01 = -1;   /* T_srs_UpPtsAdd_r13_01 */
static int hf_lte_rrc_srs_ConfigIndexAp_r13 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_srs_ConfigApDCI_Format4_r13 = -1;  /* SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13 */
static int hf_lte_rrc_srs_ConfigApDCI_Format4_r13_item = -1;  /* SRS_ConfigAp_r13 */
static int hf_lte_rrc_srs_ActivateAp_r13 = -1;    /* T_srs_ActivateAp_r13 */
static int hf_lte_rrc_setup_104 = -1;             /* T_setup_91 */
static int hf_lte_rrc_srs_ConfigApDCI_Format0_r13 = -1;  /* SRS_ConfigAp_r13 */
static int hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_r13 = -1;  /* SRS_ConfigAp_r13 */
static int hf_lte_rrc_setup_105 = -1;             /* T_setup_92 */
static int hf_lte_rrc_srs_SubframeIndication_r14 = -1;  /* INTEGER_1_4 */
static int hf_lte_rrc_srs_AntennaPortAp_r10 = -1;  /* SRS_AntennaPort */
static int hf_lte_rrc_srs_BandwidthAp_r10 = -1;   /* T_srs_BandwidthAp_r10 */
static int hf_lte_rrc_freqDomainPositionAp_r10 = -1;  /* INTEGER_0_23 */
static int hf_lte_rrc_transmissionCombAp_r10 = -1;  /* INTEGER_0_1 */
static int hf_lte_rrc_cyclicShiftAp_r10 = -1;     /* T_cyclicShiftAp_r10 */
static int hf_lte_rrc_transmissionCombAp_v1310 = -1;  /* INTEGER_2_3 */
static int hf_lte_rrc_cyclicShiftAp_v1310 = -1;   /* T_cyclicShiftAp_v1310 */
static int hf_lte_rrc_transmissionCombNum_r13_02 = -1;  /* T_transmissionCombNum_r13_02 */
static int hf_lte_rrc_srs_AntennaPortAp_r13 = -1;  /* SRS_AntennaPort */
static int hf_lte_rrc_srs_BandwidthAp_r13 = -1;   /* T_srs_BandwidthAp_r13 */
static int hf_lte_rrc_freqDomainPositionAp_r13 = -1;  /* INTEGER_0_23 */
static int hf_lte_rrc_transmissionCombAp_r13 = -1;  /* INTEGER_0_3 */
static int hf_lte_rrc_cyclicShiftAp_r13 = -1;     /* T_cyclicShiftAp_r13 */
static int hf_lte_rrc_transmissionCombNum_r13_03 = -1;  /* T_transmissionCombNum_r13_03 */
static int hf_lte_rrc_semiPersistSchedC_RNTI = -1;  /* C_RNTI */
static int hf_lte_rrc_sps_ConfigDL = -1;          /* SPS_ConfigDL */
static int hf_lte_rrc_sps_ConfigUL = -1;          /* SPS_ConfigUL */
static int hf_lte_rrc_ul_SPS_V_RNTI_r14 = -1;     /* C_RNTI */
static int hf_lte_rrc_sl_SPS_V_RNTI_r14 = -1;     /* C_RNTI */
static int hf_lte_rrc_sps_ConfigUL_ToAddModList_r14 = -1;  /* SPS_ConfigUL_ToAddModList_r14 */
static int hf_lte_rrc_sps_ConfigUL_ToReleaseList_r14 = -1;  /* SPS_ConfigUL_ToReleaseList_r14 */
static int hf_lte_rrc_sps_ConfigSL_ToAddModList_r14 = -1;  /* SPS_ConfigSL_ToAddModList_r14 */
static int hf_lte_rrc_sps_ConfigSL_ToReleaseList_r14 = -1;  /* SPS_ConfigSL_ToReleaseList_r14 */
static int hf_lte_rrc_SPS_ConfigUL_ToAddModList_r14_item = -1;  /* SPS_ConfigUL */
static int hf_lte_rrc_SPS_ConfigUL_ToReleaseList_r14_item = -1;  /* SPS_ConfigIndex_r14 */
static int hf_lte_rrc_SPS_ConfigSL_ToAddModList_r14_item = -1;  /* SPS_ConfigSL_r14 */
static int hf_lte_rrc_SPS_ConfigSL_ToReleaseList_r14_item = -1;  /* SPS_ConfigIndex_r14 */
static int hf_lte_rrc_setup_106 = -1;             /* T_setup_93 */
static int hf_lte_rrc_semiPersistSchedIntervalDL = -1;  /* T_semiPersistSchedIntervalDL */
static int hf_lte_rrc_numberOfConfSPS_Processes = -1;  /* INTEGER_1_8 */
static int hf_lte_rrc_n1PUCCH_AN_PersistentList = -1;  /* N1PUCCH_AN_PersistentList */
static int hf_lte_rrc_twoAntennaPortActivated_r10 = -1;  /* T_twoAntennaPortActivated_r10 */
static int hf_lte_rrc_setup_107 = -1;             /* T_setup_94 */
static int hf_lte_rrc_n1PUCCH_AN_PersistentListP1_r10 = -1;  /* N1PUCCH_AN_PersistentList */
static int hf_lte_rrc_setup_108 = -1;             /* T_setup_95 */
static int hf_lte_rrc_semiPersistSchedIntervalUL = -1;  /* T_semiPersistSchedIntervalUL */
static int hf_lte_rrc_implicitReleaseAfter = -1;  /* T_implicitReleaseAfter */
static int hf_lte_rrc_p0_Persistent = -1;         /* T_p0_Persistent */
static int hf_lte_rrc_p0_NominalPUSCH_Persistent = -1;  /* INTEGER_M126_24 */
static int hf_lte_rrc_p0_UE_PUSCH_Persistent = -1;  /* INTEGER_M8_7 */
static int hf_lte_rrc_twoIntervalsConfig = -1;    /* T_twoIntervalsConfig */
static int hf_lte_rrc_p0_PersistentSubframeSet2_r12 = -1;  /* T_p0_PersistentSubframeSet2_r12 */
static int hf_lte_rrc_setup_109 = -1;             /* T_setup_96 */
static int hf_lte_rrc_p0_NominalPUSCH_PersistentSubframeSet2_r12 = -1;  /* INTEGER_M126_24 */
static int hf_lte_rrc_p0_UE_PUSCH_PersistentSubframeSet2_r12 = -1;  /* INTEGER_M8_7 */
static int hf_lte_rrc_numberOfConfUlSPS_Processes_r13 = -1;  /* INTEGER_1_8 */
static int hf_lte_rrc_fixedRV_NonAdaptive_r14 = -1;  /* T_fixedRV_NonAdaptive_r14 */
static int hf_lte_rrc_sps_ConfigIndex_r14 = -1;   /* SPS_ConfigIndex_r14 */
static int hf_lte_rrc_semiPersistSchedIntervalUL_v1430 = -1;  /* T_semiPersistSchedIntervalUL_v1430 */
static int hf_lte_rrc_semiPersistSchedIntervalSL_r14 = -1;  /* T_semiPersistSchedIntervalSL_r14 */
static int hf_lte_rrc_N1PUCCH_AN_PersistentList_item = -1;  /* INTEGER_0_2047 */
static int hf_lte_rrc_setup_110 = -1;             /* T_setup_97 */
static int hf_lte_rrc_srs_TPC_RNTI_r14 = -1;      /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_startingBitOfFormat3B_r14 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_fieldTypeFormat3B_r14 = -1;  /* INTEGER_1_4 */
static int hf_lte_rrc_srs_CC_SetIndexlist_r14 = -1;  /* SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14 */
static int hf_lte_rrc_srs_CC_SetIndexlist_r14_item = -1;  /* SRS_CC_SetIndex_r14 */
static int hf_lte_rrc_cc_SetIndex_r14 = -1;       /* INTEGER_0_3 */
static int hf_lte_rrc_cc_IndexInOneCC_Set_r14 = -1;  /* INTEGER_0_7 */
static int hf_lte_rrc_subframeAssignment = -1;    /* T_subframeAssignment */
static int hf_lte_rrc_specialSubframePatterns = -1;  /* T_specialSubframePatterns */
static int hf_lte_rrc_specialSubframePatterns_v1130 = -1;  /* T_specialSubframePatterns_v1130 */
static int hf_lte_rrc_specialSubframePatterns_v1430 = -1;  /* T_specialSubframePatterns_v1430 */
static int hf_lte_rrc_specialSubframePatterns_v1450 = -1;  /* T_specialSubframePatterns_v1450 */
static int hf_lte_rrc_subframeAssignmentSL_r12 = -1;  /* T_subframeAssignmentSL_r12 */
static int hf_lte_rrc_setup_111 = -1;             /* T_setup_98 */
static int hf_lte_rrc_tpc_RNTI = -1;              /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_tpc_Index = -1;             /* TPC_Index */
static int hf_lte_rrc_setup_112 = -1;             /* T_setup_99 */
static int hf_lte_rrc_tpc_Index_PUCCH_SCell_r13 = -1;  /* TPC_Index */
static int hf_lte_rrc_indexOfFormat3 = -1;        /* INTEGER_1_15 */
static int hf_lte_rrc_indexOfFormat3A = -1;       /* INTEGER_1_31 */
static int hf_lte_rrc_ip_Address_r13 = -1;        /* IP_Address_r13 */
static int hf_lte_rrc_ike_Identity_r13 = -1;      /* IKE_Identity_r13 */
static int hf_lte_rrc_lwip_Counter_r13 = -1;      /* INTEGER_0_65535 */
static int hf_lte_rrc_idI_r13 = -1;               /* OCTET_STRING */
static int hf_lte_rrc_ipv4_r13 = -1;              /* T_ipv4_r13 */
static int hf_lte_rrc_ipv6_r13 = -1;              /* T_ipv6_r13 */
static int hf_lte_rrc_p0_NominalPUSCH = -1;       /* INTEGER_M126_24 */
static int hf_lte_rrc_alpha = -1;                 /* Alpha_r12 */
static int hf_lte_rrc_p0_NominalPUCCH = -1;       /* INTEGER_M127_M96 */
static int hf_lte_rrc_deltaFList_PUCCH = -1;      /* DeltaFList_PUCCH */
static int hf_lte_rrc_deltaPreambleMsg3 = -1;     /* INTEGER_M1_6 */
static int hf_lte_rrc_deltaF_PUCCH_Format3_r10 = -1;  /* T_deltaF_PUCCH_Format3_r10 */
static int hf_lte_rrc_deltaF_PUCCH_Format1bCS_r10 = -1;  /* T_deltaF_PUCCH_Format1bCS_r10 */
static int hf_lte_rrc_deltaF_PUCCH_Format4_r13 = -1;  /* T_deltaF_PUCCH_Format4_r13 */
static int hf_lte_rrc_deltaF_PUCCH_Format5_13 = -1;  /* T_deltaF_PUCCH_Format5_13 */
static int hf_lte_rrc_deltaF_PUCCH_Format3_r12 = -1;  /* T_deltaF_PUCCH_Format3_r12 */
static int hf_lte_rrc_deltaF_PUCCH_Format1bCS_r12 = -1;  /* T_deltaF_PUCCH_Format1bCS_r12 */
static int hf_lte_rrc_p0_NominalPUCCH_r12 = -1;   /* INTEGER_M127_M96 */
static int hf_lte_rrc_deltaFList_PUCCH_r12 = -1;  /* DeltaFList_PUCCH */
static int hf_lte_rrc_p0_NominalPUSCH_r10 = -1;   /* INTEGER_M126_24 */
static int hf_lte_rrc_alpha_r10 = -1;             /* Alpha_r12 */
static int hf_lte_rrc_deltaPreambleMsg3_r11 = -1;  /* INTEGER_M1_6 */
static int hf_lte_rrc_deltaF_PUCCH_Format3_r12_01 = -1;  /* T_deltaF_PUCCH_Format3_r12_01 */
static int hf_lte_rrc_deltaF_PUCCH_Format1bCS_r12_01 = -1;  /* T_deltaF_PUCCH_Format1bCS_r12_01 */
static int hf_lte_rrc_deltaF_PUCCH_Format4_r13_01 = -1;  /* T_deltaF_PUCCH_Format4_r13_01 */
static int hf_lte_rrc_deltaF_PUCCH_Format5_13_01 = -1;  /* T_deltaF_PUCCH_Format5_13_01 */
static int hf_lte_rrc_p0_Nominal_PeriodicSRS_r14 = -1;  /* INTEGER_M126_24 */
static int hf_lte_rrc_p0_Nominal_AperiodicSRS_r14 = -1;  /* INTEGER_M126_24 */
static int hf_lte_rrc_alpha_SRS_r14 = -1;         /* Alpha_r12 */
static int hf_lte_rrc_p0_UE_PUSCH = -1;           /* INTEGER_M8_7 */
static int hf_lte_rrc_deltaMCS_Enabled = -1;      /* T_deltaMCS_Enabled */
static int hf_lte_rrc_accumulationEnabled = -1;   /* BOOLEAN */
static int hf_lte_rrc_p0_UE_PUCCH = -1;           /* INTEGER_M8_7 */
static int hf_lte_rrc_pSRS_Offset = -1;           /* INTEGER_0_15 */
static int hf_lte_rrc_filterCoefficient = -1;     /* FilterCoefficient */
static int hf_lte_rrc_deltaTxD_OffsetListPUCCH_r10 = -1;  /* DeltaTxD_OffsetListPUCCH_r10 */
static int hf_lte_rrc_pSRS_OffsetAp_r10 = -1;     /* INTEGER_0_15 */
static int hf_lte_rrc_pSRS_Offset_v1130 = -1;     /* INTEGER_16_31 */
static int hf_lte_rrc_pSRS_OffsetAp_v1130 = -1;   /* INTEGER_16_31 */
static int hf_lte_rrc_deltaTxD_OffsetListPUCCH_v1130 = -1;  /* DeltaTxD_OffsetListPUCCH_v1130 */
static int hf_lte_rrc_set2PowerControlParameter = -1;  /* T_set2PowerControlParameter */
static int hf_lte_rrc_setup_113 = -1;             /* T_setup_100 */
static int hf_lte_rrc_tpc_SubframeSet_r12 = -1;   /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_p0_NominalPUSCH_SubframeSet2_r12 = -1;  /* INTEGER_M126_24 */
static int hf_lte_rrc_alpha_SubframeSet2_r12 = -1;  /* Alpha_r12 */
static int hf_lte_rrc_p0_UE_PUSCH_SubframeSet2_r12 = -1;  /* INTEGER_M8_7 */
static int hf_lte_rrc_p0_UE_PeriodicSRS_r14 = -1;  /* INTEGER_M8_7 */
static int hf_lte_rrc_p0_UE_AperiodicSRS_r14 = -1;  /* INTEGER_M8_7 */
static int hf_lte_rrc_accumulationEnabled_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_p0_UE_PUSCH_r10 = -1;       /* INTEGER_M8_7 */
static int hf_lte_rrc_deltaMCS_Enabled_r10 = -1;  /* T_deltaMCS_Enabled_r10 */
static int hf_lte_rrc_accumulationEnabled_r10 = -1;  /* BOOLEAN */
static int hf_lte_rrc_pSRS_Offset_r10 = -1;       /* INTEGER_0_15 */
static int hf_lte_rrc_filterCoefficient_r10 = -1;  /* FilterCoefficient */
static int hf_lte_rrc_pathlossReferenceLinking_r10 = -1;  /* T_pathlossReferenceLinking_r10 */
static int hf_lte_rrc_deltaF_PUCCH_Format1 = -1;  /* T_deltaF_PUCCH_Format1 */
static int hf_lte_rrc_deltaF_PUCCH_Format1b = -1;  /* T_deltaF_PUCCH_Format1b */
static int hf_lte_rrc_deltaF_PUCCH_Format2 = -1;  /* T_deltaF_PUCCH_Format2 */
static int hf_lte_rrc_deltaF_PUCCH_Format2a = -1;  /* T_deltaF_PUCCH_Format2a */
static int hf_lte_rrc_deltaF_PUCCH_Format2b = -1;  /* T_deltaF_PUCCH_Format2b */
static int hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1_r10 = -1;  /* T_deltaTxD_OffsetPUCCH_Format1_r10 */
static int hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1a1b_r10 = -1;  /* T_deltaTxD_OffsetPUCCH_Format1a1b_r10 */
static int hf_lte_rrc_deltaTxD_OffsetPUCCH_Format22a2b_r10 = -1;  /* T_deltaTxD_OffsetPUCCH_Format22a2b_r10 */
static int hf_lte_rrc_deltaTxD_OffsetPUCCH_Format3_r10 = -1;  /* T_deltaTxD_OffsetPUCCH_Format3_r10 */
static int hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1bCS_r11 = -1;  /* T_deltaTxD_OffsetPUCCH_Format1bCS_r11 */
static int hf_lte_rrc_WLAN_Id_List_r13_item = -1;  /* WLAN_Identifiers_r12 */
static int hf_lte_rrc_wlan_ToReleaseList_r13 = -1;  /* WLAN_Id_List_r13 */
static int hf_lte_rrc_wlan_ToAddList_r13 = -1;    /* WLAN_Id_List_r13 */
static int hf_lte_rrc_associationTimer_r13 = -1;  /* T_associationTimer_r13 */
static int hf_lte_rrc_successReportRequested_r13 = -1;  /* T_successReportRequested_r13 */
static int hf_lte_rrc_wlan_SuspendConfig_r14 = -1;  /* WLAN_SuspendConfig_r14 */
static int hf_lte_rrc_cipheringAlgorithm = -1;    /* CipheringAlgorithm_r12 */
static int hf_lte_rrc_integrityProtAlgorithm = -1;  /* T_integrityProtAlgorithm */
static int hf_lte_rrc_arfcn_01 = -1;              /* ARFCN_ValueGERAN */
static int hf_lte_rrc_startingARFCN = -1;         /* ARFCN_ValueGERAN */
static int hf_lte_rrc_followingARFCNs = -1;       /* T_followingARFCNs */
static int hf_lte_rrc_explicitListOfARFCNs = -1;  /* ExplicitListOfARFCNs */
static int hf_lte_rrc_equallySpacedARFCNs = -1;   /* T_equallySpacedARFCNs */
static int hf_lte_rrc_arfcn_Spacing = -1;         /* INTEGER_1_8 */
static int hf_lte_rrc_numberOfFollowingARFCNs = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_variableBitMapOfARFCNs = -1;  /* OCTET_STRING_SIZE_1_16 */
static int hf_lte_rrc_ExplicitListOfARFCNs_item = -1;  /* ARFCN_ValueGERAN */
static int hf_lte_rrc_CarrierFreqListMBMS_r11_item = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_CellIndexList_item = -1;    /* CellIndex */
static int hf_lte_rrc_q_RxLevMinCE_r13 = -1;      /* Q_RxLevMin */
static int hf_lte_rrc_q_QualMinRSRQ_CE_r13 = -1;  /* Q_QualMin_r9 */
static int hf_lte_rrc_q_RxLevMinCE1_r13 = -1;     /* Q_RxLevMin */
static int hf_lte_rrc_q_QualMinRSRQ_CE1_r13 = -1;  /* Q_QualMin_r9 */
static int hf_lte_rrc_delta_RxLevMinCE1_v1360 = -1;  /* INTEGER_M8_M1 */
static int hf_lte_rrc_sid = -1;                   /* BIT_STRING_SIZE_15 */
static int hf_lte_rrc_nid = -1;                   /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_multipleSID = -1;           /* BOOLEAN */
static int hf_lte_rrc_multipleNID = -1;           /* BOOLEAN */
static int hf_lte_rrc_homeReg = -1;               /* BOOLEAN */
static int hf_lte_rrc_foreignSIDReg = -1;         /* BOOLEAN */
static int hf_lte_rrc_foreignNIDReg = -1;         /* BOOLEAN */
static int hf_lte_rrc_parameterReg = -1;          /* BOOLEAN */
static int hf_lte_rrc_powerUpReg = -1;            /* BOOLEAN */
static int hf_lte_rrc_registrationPeriod = -1;    /* BIT_STRING_SIZE_7 */
static int hf_lte_rrc_registrationZone = -1;      /* BIT_STRING_SIZE_12 */
static int hf_lte_rrc_totalZone = -1;             /* BIT_STRING_SIZE_3 */
static int hf_lte_rrc_zoneTimer = -1;             /* BIT_STRING_SIZE_3 */
static int hf_lte_rrc_powerDownReg_r9 = -1;       /* T_powerDownReg_r9 */
static int hf_lte_rrc_cellIdentity_01 = -1;       /* BIT_STRING_SIZE_28 */
static int hf_lte_rrc_locationAreaCode = -1;      /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_cellIdentity_02 = -1;       /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_cellGlobalId1XRTT = -1;     /* BIT_STRING_SIZE_47 */
static int hf_lte_rrc_cellGlobalIdHRPD = -1;      /* BIT_STRING_SIZE_128 */
static int hf_lte_rrc_q_Hyst_r13 = -1;            /* T_q_Hyst_r13 */
static int hf_lte_rrc_q_RxLevMinReselection_r13 = -1;  /* Q_RxLevMin */
static int hf_lte_rrc_t_ReselectionEUTRA_r13 = -1;  /* T_Reselection */
static int hf_lte_rrc_targetPhysCellId = -1;      /* PhysCellId */
static int hf_lte_rrc_carrierFreq_03 = -1;        /* CarrierFreqEUTRA */
static int hf_lte_rrc_carrierBandwidth = -1;      /* CarrierBandwidthEUTRA */
static int hf_lte_rrc_t304_01 = -1;               /* T_t304_01 */
static int hf_lte_rrc_newUE_Identity = -1;        /* C_RNTI */
static int hf_lte_rrc_radioResourceConfigCommon_01 = -1;  /* RadioResourceConfigCommon */
static int hf_lte_rrc_rach_ConfigDedicated = -1;  /* RACH_ConfigDedicated */
static int hf_lte_rrc_carrierFreq_v9e0_01 = -1;   /* CarrierFreqEUTRA_v9e0 */
static int hf_lte_rrc_drb_ContinueROHC_r11 = -1;  /* T_drb_ContinueROHC_r11 */
static int hf_lte_rrc_mobilityControlInfoV2X_r14 = -1;  /* MobilityControlInfoV2X_r14 */
static int hf_lte_rrc_handoverWithoutWT_Change_r14 = -1;  /* T_handoverWithoutWT_Change_r14 */
static int hf_lte_rrc_makeBeforeBreak_r14 = -1;   /* T_makeBeforeBreak_r14 */
static int hf_lte_rrc_rach_Skip_r14 = -1;         /* RACH_Skip_r14 */
static int hf_lte_rrc_sameSFN_Indication_r14 = -1;  /* T_sameSFN_Indication_r14 */
static int hf_lte_rrc_mib_RepetitionStatus_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_schedulingInfoSIB1_BR_r14 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_t307_r12 = -1;              /* T_t307_r12 */
static int hf_lte_rrc_ue_IdentitySCG_r12 = -1;    /* C_RNTI */
static int hf_lte_rrc_rach_ConfigDedicated_r12 = -1;  /* RACH_ConfigDedicated */
static int hf_lte_rrc_cipheringAlgorithmSCG_r12 = -1;  /* CipheringAlgorithm_r12 */
static int hf_lte_rrc_makeBeforeBreakSCG_r14 = -1;  /* T_makeBeforeBreakSCG_r14 */
static int hf_lte_rrc_rach_SkipSCG_r14 = -1;      /* RACH_Skip_r14 */
static int hf_lte_rrc_v2x_CommSyncConfig_r14 = -1;  /* SL_SyncConfigListV2X_r14 */
static int hf_lte_rrc_cbr_MobilityTxConfigList_r14 = -1;  /* SL_CBR_CommonTxConfigList_r14 */
static int hf_lte_rrc_dl_Bandwidth_01 = -1;       /* T_dl_Bandwidth_01 */
static int hf_lte_rrc_ul_Bandwidth_01 = -1;       /* T_ul_Bandwidth_01 */
static int hf_lte_rrc_dl_CarrierFreq_v9e0_01 = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_ul_CarrierFreq_v9e0_01 = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_targetTA_r14 = -1;          /* T_targetTA_r14 */
static int hf_lte_rrc_ta0_r14 = -1;               /* NULL */
static int hf_lte_rrc_mcg_PTAG_r14 = -1;          /* NULL */
static int hf_lte_rrc_scg_PTAG_r14 = -1;          /* NULL */
static int hf_lte_rrc_mcg_STAG_r14 = -1;          /* STAG_Id_r11 */
static int hf_lte_rrc_scg_STAG_r14 = -1;          /* STAG_Id_r11 */
static int hf_lte_rrc_ul_ConfigInfo_r14 = -1;     /* T_ul_ConfigInfo_r14 */
static int hf_lte_rrc_numberOfConfUL_Processes_r14 = -1;  /* INTEGER_1_8 */
static int hf_lte_rrc_ul_SchedInterval_r14 = -1;  /* T_ul_SchedInterval_r14 */
static int hf_lte_rrc_ul_StartSubframe_r14 = -1;  /* INTEGER_0_9 */
static int hf_lte_rrc_ul_Grant_r14 = -1;          /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_t_Evaluation = -1;          /* T_t_Evaluation */
static int hf_lte_rrc_t_HystNormal = -1;          /* T_t_HystNormal */
static int hf_lte_rrc_n_CellChangeMedium = -1;    /* INTEGER_1_16 */
static int hf_lte_rrc_n_CellChangeHigh = -1;      /* INTEGER_1_16 */
static int hf_lte_rrc_MultiBandInfoList_item = -1;  /* FreqBandIndicator */
static int hf_lte_rrc_MultiBandInfoList_v9e0_item = -1;  /* MultiBandInfo_v9e0 */
static int hf_lte_rrc_MultiBandInfoList_v10j0_item = -1;  /* NS_PmaxList_r10 */
static int hf_lte_rrc_MultiBandInfoList_v10l0_item = -1;  /* NS_PmaxList_v10l0 */
static int hf_lte_rrc_MultiBandInfoList_r11_item = -1;  /* FreqBandIndicator_r11 */
static int hf_lte_rrc_NS_PmaxList_r10_item = -1;  /* NS_PmaxValue_r10 */
static int hf_lte_rrc_NS_PmaxList_v10l0_item = -1;  /* NS_PmaxValue_v10l0 */
static int hf_lte_rrc_additionalPmax_r10 = -1;    /* P_Max */
static int hf_lte_rrc_start_01 = -1;              /* PhysCellId */
static int hf_lte_rrc_range = -1;                 /* T_range */
static int hf_lte_rrc_PhysCellIdRangeUTRA_FDDList_r9_item = -1;  /* PhysCellIdRangeUTRA_FDD_r9 */
static int hf_lte_rrc_start_r9 = -1;              /* PhysCellIdUTRA_FDD */
static int hf_lte_rrc_range_r9 = -1;              /* INTEGER_2_512 */
static int hf_lte_rrc_networkColourCode = -1;     /* BIT_STRING_SIZE_3 */
static int hf_lte_rrc_baseStationColourCode = -1;  /* BIT_STRING_SIZE_3 */
static int hf_lte_rrc_mcc = -1;                   /* MCC */
static int hf_lte_rrc_mnc = -1;                   /* MNC */
static int hf_lte_rrc_MCC_item = -1;              /* MCC_MNC_Digit */
static int hf_lte_rrc_MNC_item = -1;              /* MCC_MNC_Digit */
static int hf_lte_rrc_PLMN_IdentityList3_r11_item = -1;  /* PLMN_Identity */
static int hf_lte_rrc_preRegistrationAllowed = -1;  /* BOOLEAN */
static int hf_lte_rrc_preRegistrationZoneId = -1;  /* PreRegistrationZoneIdHRPD */
static int hf_lte_rrc_secondaryPreRegistrationZoneIdList = -1;  /* SecondaryPreRegistrationZoneIdListHRPD */
static int hf_lte_rrc_SecondaryPreRegistrationZoneIdListHRPD_item = -1;  /* PreRegistrationZoneIdHRPD */
static int hf_lte_rrc_sf_Medium_01 = -1;          /* T_sf_Medium_01 */
static int hf_lte_rrc_sf_High_01 = -1;            /* T_sf_High_01 */
static int hf_lte_rrc_SystemInfoListGERAN_item = -1;  /* SystemInfoListGERAN_item */
static int hf_lte_rrc_cdma_EUTRA_Synchronisation = -1;  /* BOOLEAN */
static int hf_lte_rrc_cdma_SystemTime = -1;       /* T_cdma_SystemTime */
static int hf_lte_rrc_synchronousSystemTime = -1;  /* T_synchronousSystemTime */
static int hf_lte_rrc_asynchronousSystemTime = -1;  /* T_asynchronousSystemTime */
static int hf_lte_rrc_nr_RSRP_r15 = -1;           /* RSRP_RangeNR_r15 */
static int hf_lte_rrc_nr_RSRQ_r15 = -1;           /* RSRQ_RangeNR_r15 */
static int hf_lte_rrc_nr_SINR_r15 = -1;           /* RS_SINR_RangeNR_r15 */
static int hf_lte_rrc_locationCoordinates_r10 = -1;  /* T_locationCoordinates_r10 */
static int hf_lte_rrc_ellipsoid_Point_r10 = -1;   /* T_ellipsoid_Point_r10 */
static int hf_lte_rrc_ellipsoidPointWithAltitude_r10 = -1;  /* T_ellipsoidPointWithAltitude_r10 */
static int hf_lte_rrc_ellipsoidPointWithUncertaintyCircle_r11 = -1;  /* T_ellipsoidPointWithUncertaintyCircle_r11 */
static int hf_lte_rrc_ellipsoidPointWithUncertaintyEllipse_r11 = -1;  /* T_ellipsoidPointWithUncertaintyEllipse_r11 */
static int hf_lte_rrc_ellipsoidPointWithAltitudeAndUncertaintyEllipsoid_r11 = -1;  /* T_ellipsoidPointWithAltitudeAndUncertaintyEllipsoid_r11 */
static int hf_lte_rrc_ellipsoidArc_r11 = -1;      /* T_ellipsoidArc_r11 */
static int hf_lte_rrc_polygon_r11 = -1;           /* T_polygon_r11 */
static int hf_lte_rrc_horizontalVelocity_r10 = -1;  /* T_horizontalVelocity_r10 */
static int hf_lte_rrc_gnss_TOD_msec_r10 = -1;     /* T_gnss_TOD_msec_r10 */
static int hf_lte_rrc_measObjectToRemoveList = -1;  /* MeasObjectToRemoveList */
static int hf_lte_rrc_measObjectToAddModList = -1;  /* MeasObjectToAddModList */
static int hf_lte_rrc_reportConfigToRemoveList = -1;  /* ReportConfigToRemoveList */
static int hf_lte_rrc_reportConfigToAddModList = -1;  /* ReportConfigToAddModList */
static int hf_lte_rrc_measIdToRemoveList = -1;    /* MeasIdToRemoveList */
static int hf_lte_rrc_measIdToAddModList = -1;    /* MeasIdToAddModList */
static int hf_lte_rrc_quantityConfig = -1;        /* QuantityConfig */
static int hf_lte_rrc_measGapConfig = -1;         /* MeasGapConfig */
static int hf_lte_rrc_s_Measure = -1;             /* S_Measure */
static int hf_lte_rrc_speedStatePars = -1;        /* T_speedStatePars */
static int hf_lte_rrc_setup_114 = -1;             /* T_setup_101 */
static int hf_lte_rrc_timeToTrigger_SF = -1;      /* SpeedStateScaleFactors */
static int hf_lte_rrc_measObjectToAddModList_v9e0 = -1;  /* MeasObjectToAddModList_v9e0 */
static int hf_lte_rrc_allowInterruptions_r11 = -1;  /* BOOLEAN */
static int hf_lte_rrc_measScaleFactor_r12 = -1;   /* T_measScaleFactor_r12 */
static int hf_lte_rrc_setup_115 = -1;             /* MeasScaleFactor_r12 */
static int hf_lte_rrc_measIdToRemoveListExt_r12 = -1;  /* MeasIdToRemoveListExt_r12 */
static int hf_lte_rrc_measIdToAddModListExt_r12 = -1;  /* MeasIdToAddModListExt_r12 */
static int hf_lte_rrc_measRSRQ_OnAllSymbols_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_measObjectToRemoveListExt_r13 = -1;  /* MeasObjectToRemoveListExt_r13 */
static int hf_lte_rrc_measObjectToAddModListExt_r13 = -1;  /* MeasObjectToAddModListExt_r13 */
static int hf_lte_rrc_measIdToAddModList_v1310 = -1;  /* MeasIdToAddModList_v1310 */
static int hf_lte_rrc_measIdToAddModListExt_v1310 = -1;  /* MeasIdToAddModListExt_v1310 */
static int hf_lte_rrc_measGapConfigPerCC_List_r14 = -1;  /* MeasGapConfigPerCC_List_r14 */
static int hf_lte_rrc_measGapSharingConfig_r14 = -1;  /* MeasGapSharingConfig_r14 */
static int hf_lte_rrc_MeasIdToRemoveList_item = -1;  /* MeasId */
static int hf_lte_rrc_MeasIdToRemoveListExt_r12_item = -1;  /* MeasId_v1250 */
static int hf_lte_rrc_MeasObjectToRemoveList_item = -1;  /* MeasObjectId */
static int hf_lte_rrc_MeasObjectToRemoveListExt_r13_item = -1;  /* MeasObjectId_v1310 */
static int hf_lte_rrc_ReportConfigToRemoveList_item = -1;  /* ReportConfigId */
static int hf_lte_rrc_setup_116 = -1;             /* T_setup_102 */
static int hf_lte_rrc_dmtc_PeriodOffset_r12 = -1;  /* T_dmtc_PeriodOffset_r12 */
static int hf_lte_rrc_ms40_r12 = -1;              /* INTEGER_0_39 */
static int hf_lte_rrc_ms80_r12 = -1;              /* INTEGER_0_79 */
static int hf_lte_rrc_ms160_r12 = -1;             /* INTEGER_0_159 */
static int hf_lte_rrc_ds_OccasionDuration_r12 = -1;  /* T_ds_OccasionDuration_r12 */
static int hf_lte_rrc_durationFDD_r12 = -1;       /* INTEGER_1_maxDS_Duration_r12 */
static int hf_lte_rrc_durationTDD_r12 = -1;       /* INTEGER_2_maxDS_Duration_r12 */
static int hf_lte_rrc_measCSI_RS_ToRemoveList_r12 = -1;  /* MeasCSI_RS_ToRemoveList_r12 */
static int hf_lte_rrc_measCSI_RS_ToAddModList_r12 = -1;  /* MeasCSI_RS_ToAddModList_r12 */
static int hf_lte_rrc_MeasCSI_RS_ToRemoveList_r12_item = -1;  /* MeasCSI_RS_Id_r12 */
static int hf_lte_rrc_MeasCSI_RS_ToAddModList_r12_item = -1;  /* MeasCSI_RS_Config_r12 */
static int hf_lte_rrc_measCSI_RS_Id_r12 = -1;     /* MeasCSI_RS_Id_r12 */
static int hf_lte_rrc_physCellId_r12_01 = -1;     /* INTEGER_0_503 */
static int hf_lte_rrc_scramblingIdentity_r12 = -1;  /* INTEGER_0_503 */
static int hf_lte_rrc_subframeOffset_r12 = -1;    /* INTEGER_0_4 */
static int hf_lte_rrc_csi_RS_IndividualOffset_r12 = -1;  /* Q_OffsetRange */
static int hf_lte_rrc_setup_117 = -1;             /* T_setup_103 */
static int hf_lte_rrc_gapOffset = -1;             /* T_gapOffset */
static int hf_lte_rrc_gp0 = -1;                   /* INTEGER_0_39 */
static int hf_lte_rrc_gp1 = -1;                   /* INTEGER_0_79 */
static int hf_lte_rrc_gp2_r14 = -1;               /* INTEGER_0_39 */
static int hf_lte_rrc_gp3_r14 = -1;               /* INTEGER_0_79 */
static int hf_lte_rrc_gp_ncsg0_r14 = -1;          /* INTEGER_0_39 */
static int hf_lte_rrc_gp_ncsg1_r14 = -1;          /* INTEGER_0_79 */
static int hf_lte_rrc_gp_ncsg2_r14 = -1;          /* INTEGER_0_39 */
static int hf_lte_rrc_gp_ncsg3_r14 = -1;          /* INTEGER_0_79 */
static int hf_lte_rrc_gp_nonUniform1_r14 = -1;    /* INTEGER_0_1279 */
static int hf_lte_rrc_gp_nonUniform2_r14 = -1;    /* INTEGER_0_2559 */
static int hf_lte_rrc_gp_nonUniform3_r14 = -1;    /* INTEGER_0_5119 */
static int hf_lte_rrc_gp_nonUniform4_r14 = -1;    /* INTEGER_0_10239 */
static int hf_lte_rrc_setup_118 = -1;             /* T_setup_104 */
static int hf_lte_rrc_measGapConfigToRemoveList_r14 = -1;  /* MeasGapConfigToRemoveList_r14 */
static int hf_lte_rrc_measGapConfigToAddModList_r14 = -1;  /* MeasGapConfigToAddModList_r14 */
static int hf_lte_rrc_MeasGapConfigToRemoveList_r14_item = -1;  /* ServCellIndex_r13 */
static int hf_lte_rrc_MeasGapConfigToAddModList_r14_item = -1;  /* MeasGapConfigPerCC_r14 */
static int hf_lte_rrc_measGapConfigCC_r14 = -1;   /* MeasGapConfig */
static int hf_lte_rrc_setup_119 = -1;             /* T_setup_105 */
static int hf_lte_rrc_measGapSharingScheme_r14 = -1;  /* T_measGapSharingScheme_r14 */
static int hf_lte_rrc_MeasIdToAddModList_item = -1;  /* MeasIdToAddMod */
static int hf_lte_rrc_MeasIdToAddModList_v1310_item = -1;  /* MeasIdToAddMod_v1310 */
static int hf_lte_rrc_MeasIdToAddModListExt_r12_item = -1;  /* MeasIdToAddModExt_r12 */
static int hf_lte_rrc_MeasIdToAddModListExt_v1310_item = -1;  /* MeasIdToAddMod_v1310 */
static int hf_lte_rrc_measId = -1;                /* MeasId */
static int hf_lte_rrc_measObjectId = -1;          /* MeasObjectId */
static int hf_lte_rrc_reportConfigId = -1;        /* ReportConfigId */
static int hf_lte_rrc_measId_v1250 = -1;          /* MeasId_v1250 */
static int hf_lte_rrc_measObjectId_r12 = -1;      /* MeasObjectId */
static int hf_lte_rrc_reportConfigId_r12 = -1;    /* ReportConfigId */
static int hf_lte_rrc_measObjectId_v1310 = -1;    /* MeasObjectId_v1310 */
static int hf_lte_rrc_carrierFreq_04 = -1;        /* CarrierFreqCDMA2000 */
static int hf_lte_rrc_offsetFreq = -1;            /* Q_OffsetRangeInterRAT */
static int hf_lte_rrc_cellsToRemoveList = -1;     /* CellIndexList */
static int hf_lte_rrc_cellsToAddModList = -1;     /* CellsToAddModListCDMA2000 */
static int hf_lte_rrc_cellForWhichToReportCGI = -1;  /* PhysCellIdCDMA2000 */
static int hf_lte_rrc_CellsToAddModListCDMA2000_item = -1;  /* CellsToAddModCDMA2000 */
static int hf_lte_rrc_cellIndex = -1;             /* INTEGER_1_maxCellMeas */
static int hf_lte_rrc_physCellId_02 = -1;         /* PhysCellIdCDMA2000 */
static int hf_lte_rrc_offsetFreq_01 = -1;         /* Q_OffsetRange */
static int hf_lte_rrc_cellsToAddModList_01 = -1;  /* CellsToAddModList */
static int hf_lte_rrc_blackCellsToRemoveList = -1;  /* CellIndexList */
static int hf_lte_rrc_blackCellsToAddModList = -1;  /* BlackCellsToAddModList */
static int hf_lte_rrc_cellForWhichToReportCGI_01 = -1;  /* PhysCellId */
static int hf_lte_rrc_measCycleSCell_r10 = -1;    /* MeasCycleSCell_r10 */
static int hf_lte_rrc_measSubframePatternConfigNeigh_r10 = -1;  /* MeasSubframePatternConfigNeigh_r10 */
static int hf_lte_rrc_widebandRSRQ_Meas_r11 = -1;  /* BOOLEAN */
static int hf_lte_rrc_altTTT_CellsToRemoveList_r12 = -1;  /* CellIndexList */
static int hf_lte_rrc_altTTT_CellsToAddModList_r12 = -1;  /* AltTTT_CellsToAddModList_r12 */
static int hf_lte_rrc_t312_r12 = -1;              /* T_t312_r12 */
static int hf_lte_rrc_setup_120 = -1;             /* T_setup_106 */
static int hf_lte_rrc_reducedMeasPerformance_r12_05 = -1;  /* BOOLEAN */
static int hf_lte_rrc_measDS_Config_r12 = -1;     /* MeasDS_Config_r12 */
static int hf_lte_rrc_whiteCellsToRemoveList_r13 = -1;  /* CellIndexList */
static int hf_lte_rrc_whiteCellsToAddModList_r13 = -1;  /* WhiteCellsToAddModList_r13 */
static int hf_lte_rrc_rmtc_Config_r13 = -1;       /* RMTC_Config_r13 */
static int hf_lte_rrc_carrierFreq_r13 = -1;       /* ARFCN_ValueEUTRA_v9e0 */
static int hf_lte_rrc_tx_ResourcePoolToRemoveList_r14 = -1;  /* Tx_ResourcePoolMeasList_r14 */
static int hf_lte_rrc_tx_ResourcePoolToAddList_r14 = -1;  /* Tx_ResourcePoolMeasList_r14 */
static int hf_lte_rrc_fembms_MixedCarrier_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_CellsToAddModList_item = -1;  /* CellsToAddMod */
static int hf_lte_rrc_cellIndividualOffset = -1;  /* Q_OffsetRange */
static int hf_lte_rrc_BlackCellsToAddModList_item = -1;  /* BlackCellsToAddMod */
static int hf_lte_rrc_physCellIdRange = -1;       /* PhysCellIdRange */
static int hf_lte_rrc_setup_121 = -1;             /* T_setup_107 */
static int hf_lte_rrc_measSubframePatternNeigh_r10 = -1;  /* MeasSubframePattern_r10 */
static int hf_lte_rrc_measSubframeCellList_r10 = -1;  /* MeasSubframeCellList_r10 */
static int hf_lte_rrc_MeasSubframeCellList_r10_item = -1;  /* PhysCellIdRange */
static int hf_lte_rrc_AltTTT_CellsToAddModList_r12_item = -1;  /* AltTTT_CellsToAddMod_r12 */
static int hf_lte_rrc_cellIndex_r12 = -1;         /* INTEGER_1_maxCellMeas */
static int hf_lte_rrc_physCellIdRange_r12 = -1;   /* PhysCellIdRange */
static int hf_lte_rrc_WhiteCellsToAddModList_r13_item = -1;  /* WhiteCellsToAddMod_r13 */
static int hf_lte_rrc_cellIndex_r13 = -1;         /* INTEGER_1_maxCellMeas */
static int hf_lte_rrc_physCellIdRange_r13 = -1;   /* PhysCellIdRange */
static int hf_lte_rrc_setup_122 = -1;             /* T_setup_108 */
static int hf_lte_rrc_rmtc_Period_r13 = -1;       /* T_rmtc_Period_r13 */
static int hf_lte_rrc_rmtc_SubframeOffset_r13 = -1;  /* INTEGER_0_639 */
static int hf_lte_rrc_measDuration_r13 = -1;      /* T_measDuration_r13 */
static int hf_lte_rrc_Tx_ResourcePoolMeasList_r14_item = -1;  /* SL_V2X_TxPoolReportIdentity_r14 */
static int hf_lte_rrc_cellForWhichToReportCGI_02 = -1;  /* PhysCellIdGERAN */
static int hf_lte_rrc_rs_ConfigSSB_r15 = -1;      /* RS_ConfigSSB_NR_r15 */
static int hf_lte_rrc_threshRS_Index_r15 = -1;    /* ThresholdNR_r15 */
static int hf_lte_rrc_maxRS_IndexCellQual_r15 = -1;  /* RS_IndexNR_r15 */
static int hf_lte_rrc_offsetFreq_r15 = -1;        /* Q_OffsetRangeInterRAT */
static int hf_lte_rrc_blackCellsToRemoveList_r15 = -1;  /* CellIndexList */
static int hf_lte_rrc_blackCellsToAddModList_r15 = -1;  /* CellsToAddModListNR */
static int hf_lte_rrc_quantityConfigSet_r15 = -1;  /* INTEGER_1_maxQuantSetsNR_r15 */
static int hf_lte_rrc_measTimingConfig_r15 = -1;  /* MTC_SSB_NR_r15 */
static int hf_lte_rrc_offsetCenterFreq_r15 = -1;  /* FreqOffsetNR_r15 */
static int hf_lte_rrc_subcarrierSpacingSSB_r15 = -1;  /* T_subcarrierSpacingSSB_r15 */
static int hf_lte_rrc_CellsToAddModListNR_item = -1;  /* CellsToAddModNR_r15 */
static int hf_lte_rrc_cellIndex_r15 = -1;         /* INTEGER_1_maxCellMeas */
static int hf_lte_rrc_physCellId_r15 = -1;        /* PhysCellIdNR_r15 */
static int hf_lte_rrc_ssb_Timing_r15 = -1;        /* INTEGER */
static int hf_lte_rrc_ssb_Duration_r15 = -1;      /* INTEGER */
static int hf_lte_rrc_MeasObjectToAddModList_item = -1;  /* MeasObjectToAddMod */
static int hf_lte_rrc_MeasObjectToAddModListExt_r13_item = -1;  /* MeasObjectToAddModExt_r13 */
static int hf_lte_rrc_MeasObjectToAddModList_v9e0_item = -1;  /* MeasObjectToAddMod_v9e0 */
static int hf_lte_rrc_measObject = -1;            /* T_measObject */
static int hf_lte_rrc_measObjectEUTRA = -1;       /* MeasObjectEUTRA */
static int hf_lte_rrc_measObjectUTRA = -1;        /* MeasObjectUTRA */
static int hf_lte_rrc_measObjectGERAN = -1;       /* MeasObjectGERAN */
static int hf_lte_rrc_measObjectCDMA2000 = -1;    /* MeasObjectCDMA2000 */
static int hf_lte_rrc_measObjectWLAN_r13 = -1;    /* MeasObjectWLAN_r13 */
static int hf_lte_rrc_measObjectNR_r15 = -1;      /* MeasObjectNR_r15 */
static int hf_lte_rrc_measObjectId_r13 = -1;      /* MeasObjectId_v1310 */
static int hf_lte_rrc_measObject_r13 = -1;        /* T_measObject_r13 */
static int hf_lte_rrc_measObjectEUTRA_r13 = -1;   /* MeasObjectEUTRA */
static int hf_lte_rrc_measObjectUTRA_r13 = -1;    /* MeasObjectUTRA */
static int hf_lte_rrc_measObjectGERAN_r13 = -1;   /* MeasObjectGERAN */
static int hf_lte_rrc_measObjectCDMA2000_r13 = -1;  /* MeasObjectCDMA2000 */
static int hf_lte_rrc_measObjectWLAN_v1320 = -1;  /* MeasObjectWLAN_r13 */
static int hf_lte_rrc_measObjectEUTRA_v9e0 = -1;  /* MeasObjectEUTRA_v9e0 */
static int hf_lte_rrc_cellsToAddModList_02 = -1;  /* T_cellsToAddModList */
static int hf_lte_rrc_cellsToAddModListUTRA_FDD = -1;  /* CellsToAddModListUTRA_FDD */
static int hf_lte_rrc_cellsToAddModListUTRA_TDD = -1;  /* CellsToAddModListUTRA_TDD */
static int hf_lte_rrc_cellForWhichToReportCGI_03 = -1;  /* T_cellForWhichToReportCGI */
static int hf_lte_rrc_utra_FDD_01 = -1;           /* PhysCellIdUTRA_FDD */
static int hf_lte_rrc_utra_TDD_01 = -1;           /* PhysCellIdUTRA_TDD */
static int hf_lte_rrc_csg_allowedReportingCells_v930 = -1;  /* CSG_AllowedReportingCells_r9 */
static int hf_lte_rrc_CellsToAddModListUTRA_FDD_item = -1;  /* CellsToAddModUTRA_FDD */
static int hf_lte_rrc_physCellId_03 = -1;         /* PhysCellIdUTRA_FDD */
static int hf_lte_rrc_CellsToAddModListUTRA_TDD_item = -1;  /* CellsToAddModUTRA_TDD */
static int hf_lte_rrc_physCellId_04 = -1;         /* PhysCellIdUTRA_TDD */
static int hf_lte_rrc_physCellIdRangeUTRA_FDDList_r9 = -1;  /* PhysCellIdRangeUTRA_FDDList_r9 */
static int hf_lte_rrc_carrierFreq_r13_01 = -1;    /* T_carrierFreq_r13 */
static int hf_lte_rrc_bandIndicatorListWLAN_r13 = -1;  /* SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13 */
static int hf_lte_rrc_bandIndicatorListWLAN_r13_item = -1;  /* WLAN_BandIndicator_r13 */
static int hf_lte_rrc_carrierInfoListWLAN_r13 = -1;  /* SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13 */
static int hf_lte_rrc_carrierInfoListWLAN_r13_item = -1;  /* WLAN_CarrierInfo_r13 */
static int hf_lte_rrc_wlan_ToAddModList_r13 = -1;  /* WLAN_Id_List_r13 */
static int hf_lte_rrc_wlan_ToRemoveList_r13 = -1;  /* WLAN_Id_List_r13 */
static int hf_lte_rrc_measResultPCell = -1;       /* T_measResultPCell */
static int hf_lte_rrc_rsrpResult = -1;            /* RSRP_Range */
static int hf_lte_rrc_rsrqResult = -1;            /* RSRQ_Range */
static int hf_lte_rrc_measResultNeighCells = -1;  /* T_measResultNeighCells */
static int hf_lte_rrc_measResultListEUTRA = -1;   /* MeasResultListEUTRA */
static int hf_lte_rrc_measResultListUTRA = -1;    /* MeasResultListUTRA */
static int hf_lte_rrc_measResultListGERAN = -1;   /* MeasResultListGERAN */
static int hf_lte_rrc_measResultsCDMA2000 = -1;   /* MeasResultsCDMA2000 */
static int hf_lte_rrc_measResultNCellListNR_r15 = -1;  /* MeasResultCellListNR_r15 */
static int hf_lte_rrc_measResultForECID_r9 = -1;  /* MeasResultForECID_r9 */
static int hf_lte_rrc_measResultServFreqList_r10 = -1;  /* MeasResultServFreqList_r10 */
static int hf_lte_rrc_measResultPCell_v1250 = -1;  /* RSRQ_Range_v1250 */
static int hf_lte_rrc_measResultCSI_RS_List_r12 = -1;  /* MeasResultCSI_RS_List_r12 */
static int hf_lte_rrc_measResultPCell_v1310 = -1;  /* T_measResultPCell_v1310 */
static int hf_lte_rrc_ul_PDCP_DelayResultList_r13 = -1;  /* UL_PDCP_DelayResultList_r13 */
static int hf_lte_rrc_measResultListWLAN_r13 = -1;  /* MeasResultListWLAN_r13 */
static int hf_lte_rrc_measResultPCell_v1360 = -1;  /* RSRP_Range_v1360 */
static int hf_lte_rrc_measResultListCBR_r14 = -1;  /* MeasResultListCBR_r14 */
static int hf_lte_rrc_measResultListWLAN_r14 = -1;  /* MeasResultListWLAN_r14 */
static int hf_lte_rrc_measResultServFreqListNR_r15 = -1;  /* MeasResultServFreqListNR_r15 */
static int hf_lte_rrc_MeasResultListEUTRA_item = -1;  /* MeasResultEUTRA */
static int hf_lte_rrc_cgi_Info = -1;              /* T_cgi_Info */
static int hf_lte_rrc_cellGlobalId = -1;          /* CellGlobalIdEUTRA */
static int hf_lte_rrc_plmn_IdentityList_01 = -1;  /* PLMN_IdentityList2 */
static int hf_lte_rrc_measResult = -1;            /* T_measResult */
static int hf_lte_rrc_additionalSI_Info_r9 = -1;  /* AdditionalSI_Info_r9 */
static int hf_lte_rrc_primaryPLMN_Suitable_r12 = -1;  /* T_primaryPLMN_Suitable_r12 */
static int hf_lte_rrc_measResult_v1250 = -1;      /* RSRQ_Range_v1250 */
static int hf_lte_rrc_cgi_Info_v1310 = -1;        /* T_cgi_Info_v1310 */
static int hf_lte_rrc_freqBandIndicator_r13 = -1;  /* FreqBandIndicator_r11 */
static int hf_lte_rrc_multiBandInfoList_r13 = -1;  /* MultiBandInfoList_r11 */
static int hf_lte_rrc_freqBandIndicatorPriority_r13 = -1;  /* T_freqBandIndicatorPriority_r13 */
static int hf_lte_rrc_measResult_v1360 = -1;      /* RSRP_Range_v1360 */
static int hf_lte_rrc_MeasResultServFreqListNR_r15_item = -1;  /* MeasResultServFreqNR_r15 */
static int hf_lte_rrc_measResultSCell_r15 = -1;   /* MeasResultCellNR_r15 */
static int hf_lte_rrc_measResultBestNeighCell_r15 = -1;  /* MeasResultCellNR_r15 */
static int hf_lte_rrc_MeasResultCellListNR_r15_item = -1;  /* MeasResultCellNR_r15 */
static int hf_lte_rrc_pci_r15 = -1;               /* PhysCellIdNR_r15 */
static int hf_lte_rrc_measResultCell_r15 = -1;    /* MeasResultNR_r15 */
static int hf_lte_rrc_measResultRS_IndexList_r15 = -1;  /* MeasResultSSB_IndexList_r15 */
static int hf_lte_rrc_rsrpResult_r15 = -1;        /* RSRP_RangeNR_r15 */
static int hf_lte_rrc_rsrqResult_r15 = -1;        /* RSRQ_RangeNR_r15 */
static int hf_lte_rrc_rs_sinr_Result_r15 = -1;    /* RS_SINR_RangeNR_r15 */
static int hf_lte_rrc_MeasResultSSB_IndexList_r15_item = -1;  /* MeasResultSSB_Index_r15 */
static int hf_lte_rrc_ssb_Index_r15 = -1;         /* RS_IndexNR_r15 */
static int hf_lte_rrc_measResultSSB_Index_r15 = -1;  /* MeasResultNR_r15 */
static int hf_lte_rrc_MeasResultServFreqList_r10_item = -1;  /* MeasResultServFreq_r10 */
static int hf_lte_rrc_MeasResultServFreqListExt_r13_item = -1;  /* MeasResultServFreq_r13 */
static int hf_lte_rrc_servFreqId_r10 = -1;        /* ServCellIndex_r10 */
static int hf_lte_rrc_measResultSCell_r10 = -1;   /* T_measResultSCell_r10 */
static int hf_lte_rrc_rsrpResultSCell_r10 = -1;   /* RSRP_Range */
static int hf_lte_rrc_rsrqResultSCell_r10 = -1;   /* RSRQ_Range */
static int hf_lte_rrc_measResultBestNeighCell_r10 = -1;  /* T_measResultBestNeighCell_r10 */
static int hf_lte_rrc_rsrpResultNCell_r10 = -1;   /* RSRP_Range */
static int hf_lte_rrc_rsrqResultNCell_r10 = -1;   /* RSRQ_Range */
static int hf_lte_rrc_measResultSCell_v1250 = -1;  /* RSRQ_Range_v1250 */
static int hf_lte_rrc_measResultBestNeighCell_v1250 = -1;  /* RSRQ_Range_v1250 */
static int hf_lte_rrc_measResultSCell_v1310_01 = -1;  /* T_measResultSCell_v1310_01 */
static int hf_lte_rrc_measResultBestNeighCell_v1310 = -1;  /* T_measResultBestNeighCell_v1310 */
static int hf_lte_rrc_servFreqId_r13 = -1;        /* ServCellIndex_r13 */
static int hf_lte_rrc_measResultSCell_r13 = -1;   /* T_measResultSCell_r13 */
static int hf_lte_rrc_rsrpResultSCell_r13 = -1;   /* RSRP_Range */
static int hf_lte_rrc_rsrqResultSCell_r13 = -1;   /* RSRQ_Range_r13 */
static int hf_lte_rrc_measResultBestNeighCell_r13 = -1;  /* T_measResultBestNeighCell_r13 */
static int hf_lte_rrc_rsrpResultNCell_r13 = -1;   /* RSRP_Range */
static int hf_lte_rrc_rsrqResultNCell_r13 = -1;   /* RSRQ_Range_r13 */
static int hf_lte_rrc_measResultBestNeighCell_v1360 = -1;  /* T_measResultBestNeighCell_v1360 */
static int hf_lte_rrc_rsrpResultNCell_v1360 = -1;  /* RSRP_Range_v1360 */
static int hf_lte_rrc_MeasResultCSI_RS_List_r12_item = -1;  /* MeasResultCSI_RS_r12 */
static int hf_lte_rrc_csi_RSRP_Result_r12 = -1;   /* CSI_RSRP_Range_r12 */
static int hf_lte_rrc_MeasResultListUTRA_item = -1;  /* MeasResultUTRA */
static int hf_lte_rrc_physCellId_05 = -1;         /* T_physCellId */
static int hf_lte_rrc_fdd_01 = -1;                /* PhysCellIdUTRA_FDD */
static int hf_lte_rrc_tdd_01 = -1;                /* PhysCellIdUTRA_TDD */
static int hf_lte_rrc_cgi_Info_01 = -1;           /* T_cgi_Info_01 */
static int hf_lte_rrc_cellGlobalId_01 = -1;       /* CellGlobalIdUTRA */
static int hf_lte_rrc_routingAreaCode = -1;       /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_measResult_01 = -1;         /* T_measResult_01 */
static int hf_lte_rrc_utra_RSCP = -1;             /* INTEGER_M5_91 */
static int hf_lte_rrc_utra_EcN0 = -1;             /* INTEGER_0_49 */
static int hf_lte_rrc_primaryPLMN_Suitable_r12_01 = -1;  /* T_primaryPLMN_Suitable_r12_01 */
static int hf_lte_rrc_MeasResultListGERAN_item = -1;  /* MeasResultGERAN */
static int hf_lte_rrc_cgi_Info_02 = -1;           /* T_cgi_Info_02 */
static int hf_lte_rrc_cellGlobalId_02 = -1;       /* CellGlobalIdGERAN */
static int hf_lte_rrc_measResult_02 = -1;         /* T_measResult_02 */
static int hf_lte_rrc_rssi = -1;                  /* INTEGER_0_63 */
static int hf_lte_rrc_preRegistrationStatusHRPD = -1;  /* BOOLEAN */
static int hf_lte_rrc_measResultListCDMA2000 = -1;  /* MeasResultListCDMA2000 */
static int hf_lte_rrc_MeasResultListCDMA2000_item = -1;  /* MeasResultCDMA2000 */
static int hf_lte_rrc_cgi_Info_03 = -1;           /* CellGlobalIdCDMA2000 */
static int hf_lte_rrc_measResult_03 = -1;         /* T_measResult_03 */
static int hf_lte_rrc_pilotPnPhase = -1;          /* INTEGER_0_32767 */
static int hf_lte_rrc_pilotStrength = -1;         /* INTEGER_0_63 */
static int hf_lte_rrc_MeasResultListWLAN_r13_item = -1;  /* MeasResultWLAN_r13 */
static int hf_lte_rrc_MeasResultListWLAN_r14_item = -1;  /* MeasResultWLAN_r13 */
static int hf_lte_rrc_wlan_Identifiers_r13 = -1;  /* WLAN_Identifiers_r12 */
static int hf_lte_rrc_carrierInfoWLAN_r13 = -1;   /* WLAN_CarrierInfo_r13 */
static int hf_lte_rrc_bandWLAN_r13 = -1;          /* WLAN_BandIndicator_r13 */
static int hf_lte_rrc_rssiWLAN_r13 = -1;          /* WLAN_RSSI_Range_r13 */
static int hf_lte_rrc_availableAdmissionCapacityWLAN_r13 = -1;  /* INTEGER_0_31250 */
static int hf_lte_rrc_backhaulDL_BandwidthWLAN_r13 = -1;  /* WLAN_backhaulRate_r12 */
static int hf_lte_rrc_backhaulUL_BandwidthWLAN_r13 = -1;  /* WLAN_backhaulRate_r12 */
static int hf_lte_rrc_channelUtilizationWLAN_r13 = -1;  /* INTEGER_0_255 */
static int hf_lte_rrc_stationCountWLAN_r13 = -1;  /* INTEGER_0_65535 */
static int hf_lte_rrc_connectedWLAN_r13 = -1;     /* T_connectedWLAN_r13 */
static int hf_lte_rrc_MeasResultListCBR_r14_item = -1;  /* MeasResultCBR_r14 */
static int hf_lte_rrc_poolIdentity_r14 = -1;      /* SL_V2X_TxPoolReportIdentity_r14 */
static int hf_lte_rrc_cbr_PSSCH_r14 = -1;         /* SL_CBR_r14 */
static int hf_lte_rrc_cbr_PSCCH_r14 = -1;         /* SL_CBR_r14 */
static int hf_lte_rrc_ue_RxTxTimeDiffResult_r9 = -1;  /* INTEGER_0_4095 */
static int hf_lte_rrc_currentSFN_r9 = -1;         /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_PLMN_IdentityList2_item = -1;  /* PLMN_Identity */
static int hf_lte_rrc_csg_MemberStatus_r9 = -1;   /* T_csg_MemberStatus_r9 */
static int hf_lte_rrc_csg_Identity_r9 = -1;       /* CSG_Identity */
static int hf_lte_rrc_rssi_Result_r13 = -1;       /* RSSI_Range_r13 */
static int hf_lte_rrc_channelOccupancy_r13 = -1;  /* INTEGER_0_100 */
static int hf_lte_rrc_UL_PDCP_DelayResultList_r13_item = -1;  /* UL_PDCP_DelayResult_r13 */
static int hf_lte_rrc_qci_Id_r13 = -1;            /* T_qci_Id_r13 */
static int hf_lte_rrc_excessDelay_r13 = -1;       /* INTEGER_0_31 */
static int hf_lte_rrc_sfn_OffsetResult_r13 = -1;  /* INTEGER_0_1023 */
static int hf_lte_rrc_frameBoundaryOffsetResult_r13 = -1;  /* INTEGER_M5_4 */
static int hf_lte_rrc_subframeBoundaryOffsetResult_r13 = -1;  /* INTEGER_0_127 */
static int hf_lte_rrc_quantityConfigEUTRA = -1;   /* QuantityConfigEUTRA */
static int hf_lte_rrc_quantityConfigUTRA = -1;    /* QuantityConfigUTRA */
static int hf_lte_rrc_quantityConfigGERAN = -1;   /* QuantityConfigGERAN */
static int hf_lte_rrc_quantityConfigCDMA2000 = -1;  /* QuantityConfigCDMA2000 */
static int hf_lte_rrc_quantityConfigUTRA_v1020 = -1;  /* QuantityConfigUTRA_v1020 */
static int hf_lte_rrc_quantityConfigEUTRA_v1250 = -1;  /* QuantityConfigEUTRA_v1250 */
static int hf_lte_rrc_quantityConfigEUTRA_v1310 = -1;  /* QuantityConfigEUTRA_v1310 */
static int hf_lte_rrc_quantityConfigWLAN_r13 = -1;  /* QuantityConfigWLAN_r13 */
static int hf_lte_rrc_quantityConfigNRList_r15 = -1;  /* QuantityConfigNRList_r15 */
static int hf_lte_rrc_filterCoefficientRSRP = -1;  /* FilterCoefficient */
static int hf_lte_rrc_filterCoefficientRSRQ = -1;  /* FilterCoefficient */
static int hf_lte_rrc_filterCoefficientCSI_RSRP_r12 = -1;  /* FilterCoefficient */
static int hf_lte_rrc_filterCoefficientRS_SINR_r13 = -1;  /* FilterCoefficient */
static int hf_lte_rrc_measQuantityUTRA_FDD = -1;  /* T_measQuantityUTRA_FDD */
static int hf_lte_rrc_measQuantityUTRA_TDD = -1;  /* T_measQuantityUTRA_TDD */
static int hf_lte_rrc_filterCoefficient2_FDD_r10 = -1;  /* FilterCoefficient */
static int hf_lte_rrc_measQuantityGERAN = -1;     /* T_measQuantityGERAN */
static int hf_lte_rrc_measQuantityCDMA2000 = -1;  /* T_measQuantityCDMA2000 */
static int hf_lte_rrc_QuantityConfigNRList_r15_item = -1;  /* QuantityConfigNR_r15 */
static int hf_lte_rrc_measQuantityCell_r15 = -1;  /* QuantityConfigRS_NR_r15 */
static int hf_lte_rrc_measQuantityRS_Index_r15 = -1;  /* QuantityConfigRS_NR_r15 */
static int hf_lte_rrc_filterCoeff_RSRP_r15 = -1;  /* FilterCoefficient */
static int hf_lte_rrc_filterCoeff_RSRQ_r15 = -1;  /* FilterCoefficient */
static int hf_lte_rrc_filterCoefficient_SINR_r13 = -1;  /* FilterCoefficient */
static int hf_lte_rrc_measQuantityWLAN_r13 = -1;  /* T_measQuantityWLAN_r13 */
static int hf_lte_rrc_triggerType = -1;           /* T_triggerType */
static int hf_lte_rrc_event = -1;                 /* T_event */
static int hf_lte_rrc_eventId = -1;               /* T_eventId */
static int hf_lte_rrc_eventA1 = -1;               /* T_eventA1 */
static int hf_lte_rrc_a1_Threshold = -1;          /* ThresholdEUTRA */
static int hf_lte_rrc_eventA2 = -1;               /* T_eventA2 */
static int hf_lte_rrc_a2_Threshold = -1;          /* ThresholdEUTRA */
static int hf_lte_rrc_eventA3 = -1;               /* T_eventA3 */
static int hf_lte_rrc_a3_Offset = -1;             /* INTEGER_M30_30 */
static int hf_lte_rrc_reportOnLeave = -1;         /* BOOLEAN */
static int hf_lte_rrc_eventA4 = -1;               /* T_eventA4 */
static int hf_lte_rrc_a4_Threshold = -1;          /* ThresholdEUTRA */
static int hf_lte_rrc_eventA5 = -1;               /* T_eventA5 */
static int hf_lte_rrc_a5_Threshold1 = -1;         /* ThresholdEUTRA */
static int hf_lte_rrc_a5_Threshold2 = -1;         /* ThresholdEUTRA */
static int hf_lte_rrc_eventA6_r10 = -1;           /* T_eventA6_r10 */
static int hf_lte_rrc_a6_Offset_r10 = -1;         /* INTEGER_M30_30 */
static int hf_lte_rrc_a6_ReportOnLeave_r10 = -1;  /* BOOLEAN */
static int hf_lte_rrc_eventC1_r12 = -1;           /* T_eventC1_r12 */
static int hf_lte_rrc_c1_Threshold_r12 = -1;      /* ThresholdEUTRA_v1250 */
static int hf_lte_rrc_c1_ReportOnLeave_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_eventC2_r12 = -1;           /* T_eventC2_r12 */
static int hf_lte_rrc_c2_RefCSI_RS_r12 = -1;      /* MeasCSI_RS_Id_r12 */
static int hf_lte_rrc_c2_Offset_r12 = -1;         /* INTEGER_M30_30 */
static int hf_lte_rrc_c2_ReportOnLeave_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_eventV1_r14 = -1;           /* T_eventV1_r14 */
static int hf_lte_rrc_v1_Threshold_r14 = -1;      /* SL_CBR_r14 */
static int hf_lte_rrc_eventV2_r14 = -1;           /* T_eventV2_r14 */
static int hf_lte_rrc_v2_Threshold_r14 = -1;      /* SL_CBR_r14 */
static int hf_lte_rrc_hysteresis = -1;            /* Hysteresis */
static int hf_lte_rrc_timeToTrigger = -1;         /* TimeToTrigger */
static int hf_lte_rrc_periodical = -1;            /* T_periodical */
static int hf_lte_rrc_purpose_02 = -1;            /* T_purpose_02 */
static int hf_lte_rrc_triggerQuantity = -1;       /* T_triggerQuantity */
static int hf_lte_rrc_reportQuantity = -1;        /* T_reportQuantity */
static int hf_lte_rrc_maxReportCells = -1;        /* INTEGER_1_maxCellReport */
static int hf_lte_rrc_reportInterval = -1;        /* ReportInterval */
static int hf_lte_rrc_reportAmount = -1;          /* T_reportAmount */
static int hf_lte_rrc_si_RequestForHO_r9 = -1;    /* T_si_RequestForHO_r9 */
static int hf_lte_rrc_ue_RxTxTimeDiffPeriodical_r9 = -1;  /* T_ue_RxTxTimeDiffPeriodical_r9 */
static int hf_lte_rrc_includeLocationInfo_r10 = -1;  /* T_includeLocationInfo_r10 */
static int hf_lte_rrc_reportAddNeighMeas_r10 = -1;  /* T_reportAddNeighMeas_r10 */
static int hf_lte_rrc_alternativeTimeToTrigger_r12 = -1;  /* T_alternativeTimeToTrigger_r12 */
static int hf_lte_rrc_setup_123 = -1;             /* TimeToTrigger */
static int hf_lte_rrc_useT312_r12 = -1;           /* BOOLEAN */
static int hf_lte_rrc_usePSCell_r12 = -1;         /* BOOLEAN */
static int hf_lte_rrc_aN_Threshold1_v1250 = -1;   /* RSRQ_RangeConfig_r12 */
static int hf_lte_rrc_a5_Threshold2_v1250 = -1;   /* RSRQ_RangeConfig_r12 */
static int hf_lte_rrc_reportStrongestCSI_RSs_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_reportCRS_Meas_r12 = -1;    /* BOOLEAN */
static int hf_lte_rrc_triggerQuantityCSI_RS_r12 = -1;  /* BOOLEAN */
static int hf_lte_rrc_reportSSTD_Meas_r13 = -1;   /* BOOLEAN */
static int hf_lte_rrc_rs_sinr_Config_r13 = -1;    /* T_rs_sinr_Config_r13 */
static int hf_lte_rrc_setup_124 = -1;             /* T_setup_109 */
static int hf_lte_rrc_triggerQuantity_v1310 = -1;  /* T_triggerQuantity_v1310 */
static int hf_lte_rrc_aN_Threshold1_r13 = -1;     /* RS_SINR_Range_r13 */
static int hf_lte_rrc_a5_Threshold2_r13 = -1;     /* RS_SINR_Range_r13 */
static int hf_lte_rrc_reportQuantity_v1310 = -1;  /* T_reportQuantity_v1310 */
static int hf_lte_rrc_useWhiteCellList_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_measRSSI_ReportConfig_r13 = -1;  /* MeasRSSI_ReportConfig_r13 */
static int hf_lte_rrc_includeMultiBandInfo_r13 = -1;  /* T_includeMultiBandInfo_r13 */
static int hf_lte_rrc_ul_DelayConfig_r13 = -1;    /* UL_DelayConfig_r13 */
static int hf_lte_rrc_ue_RxTxTimeDiffPeriodicalTDD_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_purpose_v1430 = -1;         /* T_purpose_v1430 */
static int hf_lte_rrc_setup_125 = -1;             /* RSRQ_Range_v1250 */
static int hf_lte_rrc_threshold_RSRP = -1;        /* Threshold_RSRP_Range */
static int hf_lte_rrc_threshold_RSRQ = -1;        /* Threshold_RSRQ_Range */
static int hf_lte_rrc_channelOccupancyThreshold_r13 = -1;  /* RSSI_Range_r13 */
static int hf_lte_rrc_triggerType_01 = -1;        /* T_triggerType_01 */
static int hf_lte_rrc_event_01 = -1;              /* T_event_01 */
static int hf_lte_rrc_eventId_01 = -1;            /* T_eventId_01 */
static int hf_lte_rrc_eventB1 = -1;               /* T_eventB1 */
static int hf_lte_rrc_b1_Threshold = -1;          /* T_b1_Threshold */
static int hf_lte_rrc_b1_ThresholdUTRA = -1;      /* ThresholdUTRA */
static int hf_lte_rrc_b1_ThresholdGERAN = -1;     /* ThresholdGERAN */
static int hf_lte_rrc_b1_ThresholdCDMA2000 = -1;  /* ThresholdCDMA2000 */
static int hf_lte_rrc_eventB2 = -1;               /* T_eventB2 */
static int hf_lte_rrc_b2_Threshold1 = -1;         /* ThresholdEUTRA */
static int hf_lte_rrc_b2_Threshold2 = -1;         /* T_b2_Threshold2 */
static int hf_lte_rrc_b2_Threshold2UTRA = -1;     /* ThresholdUTRA */
static int hf_lte_rrc_b2_Threshold2GERAN = -1;    /* ThresholdGERAN */
static int hf_lte_rrc_b2_Threshold2CDMA2000 = -1;  /* ThresholdCDMA2000 */
static int hf_lte_rrc_eventW1_r13 = -1;           /* T_eventW1_r13 */
static int hf_lte_rrc_w1_Threshold_r13 = -1;      /* WLAN_RSSI_Range_r13 */
static int hf_lte_rrc_eventW2_r13 = -1;           /* T_eventW2_r13 */
static int hf_lte_rrc_w2_Threshold1_r13 = -1;     /* WLAN_RSSI_Range_r13 */
static int hf_lte_rrc_w2_Threshold2_r13 = -1;     /* WLAN_RSSI_Range_r13 */
static int hf_lte_rrc_eventW3_r13 = -1;           /* T_eventW3_r13 */
static int hf_lte_rrc_w3_Threshold_r13 = -1;      /* WLAN_RSSI_Range_r13 */
static int hf_lte_rrc_periodical_01 = -1;         /* T_periodical_01 */
static int hf_lte_rrc_purpose_03 = -1;            /* T_purpose_03 */
static int hf_lte_rrc_reportAmount_01 = -1;       /* T_reportAmount_01 */
static int hf_lte_rrc_si_RequestForHO_r9_01 = -1;  /* T_si_RequestForHO_r9_01 */
static int hf_lte_rrc_reportQuantityUTRA_FDD_r10 = -1;  /* T_reportQuantityUTRA_FDD_r10 */
static int hf_lte_rrc_includeLocationInfo_r11 = -1;  /* BOOLEAN */
static int hf_lte_rrc_b2_Threshold1_v1250 = -1;   /* T_b2_Threshold1_v1250 */
static int hf_lte_rrc_reportQuantityWLAN_r13 = -1;  /* ReportQuantityWLAN_r13 */
static int hf_lte_rrc_reportAnyWLAN_r14 = -1;     /* BOOLEAN */
static int hf_lte_rrc_b1_ThresholdNR_r15 = -1;    /* ThresholdNR_r15 */
static int hf_lte_rrc_b2_Threshold2NR_r15 = -1;   /* ThresholdNR_r15 */
static int hf_lte_rrc_reportQuantityCellNR_r15 = -1;  /* ReportQuantityNR_r15 */
static int hf_lte_rrc_maxRS_IndexReport_r15 = -1;  /* INTEGER_1_maxRS_Index_r15 */
static int hf_lte_rrc_reportQuantityRS_IndexNR_r15 = -1;  /* ReportQuantityNR_r15 */
static int hf_lte_rrc_reportSSTD_Meas_r15 = -1;   /* T_reportSSTD_Meas_r15 */
static int hf_lte_rrc_refCell = -1;               /* T_refCell */
static int hf_lte_rrc_utra_RSCP_01 = -1;          /* Threshold_utra_RSRP */
static int hf_lte_rrc_utra_EcN0_01 = -1;          /* Threshold_utra_EcN0 */
static int hf_lte_rrc_ss_rsrp = -1;               /* BOOLEAN */
static int hf_lte_rrc_ss_rsrq = -1;               /* BOOLEAN */
static int hf_lte_rrc_ss_sinr = -1;               /* BOOLEAN */
static int hf_lte_rrc_bandRequestWLAN_r13 = -1;   /* T_bandRequestWLAN_r13 */
static int hf_lte_rrc_carrierInfoRequestWLAN_r13 = -1;  /* T_carrierInfoRequestWLAN_r13 */
static int hf_lte_rrc_availableAdmissionCapacityRequestWLAN_r13 = -1;  /* T_availableAdmissionCapacityRequestWLAN_r13 */
static int hf_lte_rrc_backhaulDL_BandwidthRequestWLAN_r13 = -1;  /* T_backhaulDL_BandwidthRequestWLAN_r13 */
static int hf_lte_rrc_backhaulUL_BandwidthRequestWLAN_r13 = -1;  /* T_backhaulUL_BandwidthRequestWLAN_r13 */
static int hf_lte_rrc_channelUtilizationRequestWLAN_r13 = -1;  /* T_channelUtilizationRequestWLAN_r13 */
static int hf_lte_rrc_stationCountRequestWLAN_r13 = -1;  /* T_stationCountRequestWLAN_r13 */
static int hf_lte_rrc_ReportConfigToAddModList_item = -1;  /* ReportConfigToAddMod */
static int hf_lte_rrc_reportConfig = -1;          /* T_reportConfig */
static int hf_lte_rrc_reportConfigEUTRA = -1;     /* ReportConfigEUTRA */
static int hf_lte_rrc_reportConfigInterRAT = -1;  /* ReportConfigInterRAT */
static int hf_lte_rrc_allSymbols_r12 = -1;        /* BOOLEAN */
static int hf_lte_rrc_wideBand_r12 = -1;          /* BOOLEAN */
static int hf_lte_rrc_setup_126 = -1;             /* T_setup_110 */
static int hf_lte_rrc_delayThreshold_r13 = -1;    /* T_delayThreshold_r13 */
static int hf_lte_rrc_operatingClass_r13 = -1;    /* INTEGER_0_255 */
static int hf_lte_rrc_countryCode_r13 = -1;       /* T_countryCode_r13 */
static int hf_lte_rrc_channelNumbers_r13 = -1;    /* WLAN_ChannelList_r13 */
static int hf_lte_rrc_WLAN_ChannelList_r13_item = -1;  /* WLAN_Channel_r13 */
static int hf_lte_rrc_wlan_SuspendResumeAllowed_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_wlan_SuspendTriggersStatusReport_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_cellGlobalIdList_r10 = -1;  /* CellGlobalIdList_r10 */
static int hf_lte_rrc_trackingAreaCodeList_r10 = -1;  /* TrackingAreaCodeList_r10 */
static int hf_lte_rrc_trackingAreaCodeList_v1130 = -1;  /* TrackingAreaCodeList_v1130 */
static int hf_lte_rrc_CellGlobalIdList_r10_item = -1;  /* CellGlobalIdEUTRA */
static int hf_lte_rrc_TrackingAreaCodeList_r10_item = -1;  /* TrackingAreaCode */
static int hf_lte_rrc_plmn_Identity_perTAC_List_r11 = -1;  /* SEQUENCE_SIZE_1_8_OF_PLMN_Identity */
static int hf_lte_rrc_plmn_Identity_perTAC_List_r11_item = -1;  /* PLMN_Identity */
static int hf_lte_rrc_BandCombinationList_r14_item = -1;  /* BandCombination_r14 */
static int hf_lte_rrc_BandCombination_r14_item = -1;  /* BandIndication_r14 */
static int hf_lte_rrc_bandEUTRA_r14 = -1;         /* FreqBandIndicator_r11 */
static int hf_lte_rrc_ca_BandwidthClassDL_r14 = -1;  /* CA_BandwidthClass_r10 */
static int hf_lte_rrc_ca_BandwidthClassUL_r14 = -1;  /* CA_BandwidthClass_r10 */
static int hf_lte_rrc_subframePatternFDD_r10 = -1;  /* BIT_STRING_SIZE_40 */
static int hf_lte_rrc_subframePatternTDD_r10 = -1;  /* T_subframePatternTDD_r10 */
static int hf_lte_rrc_subframeConfig1_5_r10 = -1;  /* BIT_STRING_SIZE_20 */
static int hf_lte_rrc_subframeConfig0_r10 = -1;   /* BIT_STRING_SIZE_70 */
static int hf_lte_rrc_subframeConfig6_r10 = -1;   /* BIT_STRING_SIZE_60 */
static int hf_lte_rrc_reportProximityConfig_r9 = -1;  /* ReportProximityConfig_r9 */
static int hf_lte_rrc_idc_Config_r11 = -1;        /* IDC_Config_r11 */
static int hf_lte_rrc_powerPrefIndicationConfig_r11 = -1;  /* PowerPrefIndicationConfig_r11 */
static int hf_lte_rrc_obtainLocationConfig_r11 = -1;  /* ObtainLocationConfig_r11 */
static int hf_lte_rrc_bw_PreferenceIndicationTimer_r14 = -1;  /* T_bw_PreferenceIndicationTimer_r14 */
static int hf_lte_rrc_sps_AssistanceInfoReport_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_delayBudgetReportingConfig_r14 = -1;  /* T_delayBudgetReportingConfig_r14 */
static int hf_lte_rrc_setup_127 = -1;             /* T_setup_111 */
static int hf_lte_rrc_delayBudgetReportingProhibitTimer_r14 = -1;  /* T_delayBudgetReportingProhibitTimer_r14 */
static int hf_lte_rrc_rlm_ReportConfig_r14 = -1;  /* T_rlm_ReportConfig_r14 */
static int hf_lte_rrc_setup_128 = -1;             /* T_setup_112 */
static int hf_lte_rrc_rlmReportTimer_r14 = -1;    /* T_rlmReportTimer_r14 */
static int hf_lte_rrc_rlmReportRep_MPDCCH_r14 = -1;  /* T_rlmReportRep_MPDCCH_r14 */
static int hf_lte_rrc_overheatingAssistanceConfig_r14 = -1;  /* T_overheatingAssistanceConfig_r14 */
static int hf_lte_rrc_setup_129 = -1;             /* T_setup_113 */
static int hf_lte_rrc_overheatingIndicationProhibitTimer_r14 = -1;  /* T_overheatingIndicationProhibitTimer_r14 */
static int hf_lte_rrc_idc_Indication_r11_01 = -1;  /* T_idc_Indication_r11_01 */
static int hf_lte_rrc_autonomousDenialParameters_r11 = -1;  /* T_autonomousDenialParameters_r11 */
static int hf_lte_rrc_autonomousDenialSubframes_r11 = -1;  /* T_autonomousDenialSubframes_r11 */
static int hf_lte_rrc_autonomousDenialValidity_r11 = -1;  /* T_autonomousDenialValidity_r11 */
static int hf_lte_rrc_idc_Indication_UL_CA_r11 = -1;  /* T_idc_Indication_UL_CA_r11 */
static int hf_lte_rrc_idc_HardwareSharingIndication_r13 = -1;  /* T_idc_HardwareSharingIndication_r13 */
static int hf_lte_rrc_obtainLocation_r11 = -1;    /* T_obtainLocation_r11 */
static int hf_lte_rrc_setup_130 = -1;             /* T_setup_114 */
static int hf_lte_rrc_powerPrefIndicationTimer_r11 = -1;  /* T_powerPrefIndicationTimer_r11 */
static int hf_lte_rrc_proximityIndicationEUTRA_r9 = -1;  /* T_proximityIndicationEUTRA_r9 */
static int hf_lte_rrc_proximityIndicationUTRA_r9 = -1;  /* T_proximityIndicationUTRA_r9 */
static int hf_lte_rrc_m_TMSI = -1;                /* BIT_STRING_SIZE_32 */
static int hf_lte_rrc_plmn_Identity_r10 = -1;     /* PLMN_Identity */
static int hf_lte_rrc_traceId_r10 = -1;           /* OCTET_STRING_SIZE_3 */
static int hf_lte_rrc_UE_CapabilityRAT_ContainerList_item = -1;  /* UE_CapabilityRAT_Container */
static int hf_lte_rrc_rat_Type = -1;              /* RAT_Type */
static int hf_lte_rrc_ueCapabilityRAT_Container = -1;  /* T_ueCapabilityRAT_Container */
static int hf_lte_rrc_accessStratumRelease = -1;  /* AccessStratumRelease */
static int hf_lte_rrc_ue_Category = -1;           /* INTEGER_1_5 */
static int hf_lte_rrc_pdcp_Parameters = -1;       /* PDCP_Parameters */
static int hf_lte_rrc_phyLayerParameters = -1;    /* PhyLayerParameters */
static int hf_lte_rrc_rf_Parameters = -1;         /* RF_Parameters */
static int hf_lte_rrc_measParameters = -1;        /* T_measParameters */
static int hf_lte_rrc_featureGroupIndicators = -1;  /* T_featureGroupIndicators */
static int hf_lte_rrc_interRAT_Parameters = -1;   /* T_interRAT_Parameters */
static int hf_lte_rrc_utraFDD = -1;               /* IRAT_ParametersUTRA_FDD */
static int hf_lte_rrc_utraTDD128 = -1;            /* IRAT_ParametersUTRA_TDD128 */
static int hf_lte_rrc_utraTDD384 = -1;            /* IRAT_ParametersUTRA_TDD384 */
static int hf_lte_rrc_utraTDD768 = -1;            /* IRAT_ParametersUTRA_TDD768 */
static int hf_lte_rrc_geran_02 = -1;              /* IRAT_ParametersGERAN */
static int hf_lte_rrc_cdma2000_HRPD_01 = -1;      /* IRAT_ParametersCDMA2000_HRPD */
static int hf_lte_rrc_cdma2000_1xRTT_01 = -1;     /* IRAT_ParametersCDMA2000_1XRTT */
static int hf_lte_rrc_nonCriticalExtension_196 = -1;  /* UE_EUTRA_Capability_v920_IEs */
static int hf_lte_rrc_featureGroupIndRel9Add_r9 = -1;  /* T_featureGroupIndRel9Add_r9 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_r9 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_r9 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_r9 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_r9 */
static int hf_lte_rrc_nonCriticalExtension_197 = -1;  /* UE_EUTRA_Capability_v9c0_IEs */
static int hf_lte_rrc_interRAT_ParametersUTRA_v9c0 = -1;  /* IRAT_ParametersUTRA_v9c0 */
static int hf_lte_rrc_nonCriticalExtension_198 = -1;  /* UE_EUTRA_Capability_v9d0_IEs */
static int hf_lte_rrc_phyLayerParameters_v9d0 = -1;  /* PhyLayerParameters_v9d0 */
static int hf_lte_rrc_nonCriticalExtension_199 = -1;  /* UE_EUTRA_Capability_v9e0_IEs */
static int hf_lte_rrc_rf_Parameters_v9e0 = -1;    /* RF_Parameters_v9e0 */
static int hf_lte_rrc_nonCriticalExtension_200 = -1;  /* UE_EUTRA_Capability_v9h0_IEs */
static int hf_lte_rrc_interRAT_ParametersUTRA_v9h0 = -1;  /* IRAT_ParametersUTRA_v9h0 */
static int hf_lte_rrc_nonCriticalExtension_201 = -1;  /* UE_EUTRA_Capability_v10c0_IEs */
static int hf_lte_rrc_otdoa_PositioningCapabilities_r10 = -1;  /* OTDOA_PositioningCapabilities_r10 */
static int hf_lte_rrc_nonCriticalExtension_202 = -1;  /* UE_EUTRA_Capability_v10f0_IEs */
static int hf_lte_rrc_rf_Parameters_v10f0 = -1;   /* RF_Parameters_v10f0 */
static int hf_lte_rrc_nonCriticalExtension_203 = -1;  /* UE_EUTRA_Capability_v10i0_IEs */
static int hf_lte_rrc_rf_Parameters_v10i0 = -1;   /* RF_Parameters_v10i0 */
static int hf_lte_rrc_lateNonCriticalExtension_11 = -1;  /* T_lateNonCriticalExtension_10 */
static int hf_lte_rrc_nonCriticalExtension_204 = -1;  /* UE_EUTRA_Capability_v11d0_IEs */
static int hf_lte_rrc_rf_Parameters_v10j0 = -1;   /* RF_Parameters_v10j0 */
static int hf_lte_rrc_nonCriticalExtension_205 = -1;  /* T_nonCriticalExtension_66 */
static int hf_lte_rrc_rf_Parameters_v11d0 = -1;   /* RF_Parameters_v11d0 */
static int hf_lte_rrc_otherParameters_v11d0 = -1;  /* Other_Parameters_v11d0 */
static int hf_lte_rrc_nonCriticalExtension_206 = -1;  /* UE_EUTRA_Capability_v11x0_IEs */
static int hf_lte_rrc_nonCriticalExtension_207 = -1;  /* UE_EUTRA_Capability_v12b0_IEs */
static int hf_lte_rrc_rf_Parameters_v12b0 = -1;   /* RF_Parameters_v12b0 */
static int hf_lte_rrc_nonCriticalExtension_208 = -1;  /* UE_EUTRA_Capability_v12x0_IEs */
static int hf_lte_rrc_nonCriticalExtension_209 = -1;  /* UE_EUTRA_Capability_v1370_IEs */
static int hf_lte_rrc_ce_Parameters_v1370 = -1;   /* CE_Parameters_v1370 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1370 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1370 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1370 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1370 */
static int hf_lte_rrc_nonCriticalExtension_210 = -1;  /* UE_EUTRA_Capability_v1380_IEs */
static int hf_lte_rrc_rf_Parameters_v1380 = -1;   /* RF_Parameters_v1380 */
static int hf_lte_rrc_ce_Parameters_v1380 = -1;   /* CE_Parameters_v1380 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1380 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1380 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1380 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1380 */
static int hf_lte_rrc_nonCriticalExtension_211 = -1;  /* T_nonCriticalExtension_67 */
static int hf_lte_rrc_phyLayerParameters_v920 = -1;  /* PhyLayerParameters_v920 */
static int hf_lte_rrc_interRAT_ParametersGERAN_v920 = -1;  /* IRAT_ParametersGERAN_v920 */
static int hf_lte_rrc_interRAT_ParametersUTRA_v920 = -1;  /* IRAT_ParametersUTRA_v920 */
static int hf_lte_rrc_interRAT_ParametersCDMA2000_v920 = -1;  /* IRAT_ParametersCDMA2000_1XRTT_v920 */
static int hf_lte_rrc_deviceType_r9 = -1;         /* T_deviceType_r9 */
static int hf_lte_rrc_csg_ProximityIndicationParameters_r9 = -1;  /* CSG_ProximityIndicationParameters_r9 */
static int hf_lte_rrc_neighCellSI_AcquisitionParameters_r9 = -1;  /* NeighCellSI_AcquisitionParameters_r9 */
static int hf_lte_rrc_son_Parameters_r9 = -1;     /* SON_Parameters_r9 */
static int hf_lte_rrc_nonCriticalExtension_212 = -1;  /* UE_EUTRA_Capability_v940_IEs */
static int hf_lte_rrc_lateNonCriticalExtension_12 = -1;  /* T_lateNonCriticalExtension_11 */
static int hf_lte_rrc_nonCriticalExtension_213 = -1;  /* UE_EUTRA_Capability_v1020_IEs */
static int hf_lte_rrc_ue_Category_v1020 = -1;     /* INTEGER_6_8 */
static int hf_lte_rrc_phyLayerParameters_v1020 = -1;  /* PhyLayerParameters_v1020 */
static int hf_lte_rrc_rf_Parameters_v1020 = -1;   /* RF_Parameters_v1020 */
static int hf_lte_rrc_measParameters_v1020 = -1;  /* MeasParameters_v1020 */
static int hf_lte_rrc_featureGroupIndRel10_r10 = -1;  /* T_featureGroupIndRel10_r10 */
static int hf_lte_rrc_interRAT_ParametersCDMA2000_v1020 = -1;  /* IRAT_ParametersCDMA2000_1XRTT_v1020 */
static int hf_lte_rrc_ue_BasedNetwPerfMeasParameters_r10 = -1;  /* UE_BasedNetwPerfMeasParameters_r10 */
static int hf_lte_rrc_interRAT_ParametersUTRA_TDD_v1020 = -1;  /* IRAT_ParametersUTRA_TDD_v1020 */
static int hf_lte_rrc_nonCriticalExtension_214 = -1;  /* UE_EUTRA_Capability_v1060_IEs */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1060 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1060 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1060 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1060 */
static int hf_lte_rrc_rf_Parameters_v1060 = -1;   /* RF_Parameters_v1060 */
static int hf_lte_rrc_nonCriticalExtension_215 = -1;  /* UE_EUTRA_Capability_v1090_IEs */
static int hf_lte_rrc_rf_Parameters_v1090 = -1;   /* RF_Parameters_v1090 */
static int hf_lte_rrc_nonCriticalExtension_216 = -1;  /* UE_EUTRA_Capability_v1130_IEs */
static int hf_lte_rrc_pdcp_Parameters_v1130 = -1;  /* PDCP_Parameters_v1130 */
static int hf_lte_rrc_phyLayerParameters_v1130 = -1;  /* PhyLayerParameters_v1130 */
static int hf_lte_rrc_rf_Parameters_v1130 = -1;   /* RF_Parameters_v1130 */
static int hf_lte_rrc_measParameters_v1130 = -1;  /* MeasParameters_v1130 */
static int hf_lte_rrc_interRAT_ParametersCDMA2000_v1130 = -1;  /* IRAT_ParametersCDMA2000_v1130 */
static int hf_lte_rrc_otherParameters_r11 = -1;   /* Other_Parameters_r11 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1130 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1130 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1130 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1130 */
static int hf_lte_rrc_nonCriticalExtension_217 = -1;  /* UE_EUTRA_Capability_v1170_IEs */
static int hf_lte_rrc_phyLayerParameters_v1170 = -1;  /* PhyLayerParameters_v1170 */
static int hf_lte_rrc_ue_Category_v1170 = -1;     /* INTEGER_9_10 */
static int hf_lte_rrc_nonCriticalExtension_218 = -1;  /* UE_EUTRA_Capability_v1180_IEs */
static int hf_lte_rrc_rf_Parameters_v1180 = -1;   /* RF_Parameters_v1180 */
static int hf_lte_rrc_mbms_Parameters_r11 = -1;   /* MBMS_Parameters_r11 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1180 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1180 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1180 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1180 */
static int hf_lte_rrc_nonCriticalExtension_219 = -1;  /* UE_EUTRA_Capability_v11a0_IEs */
static int hf_lte_rrc_ue_Category_v11a0 = -1;     /* INTEGER_11_12 */
static int hf_lte_rrc_measParameters_v11a0 = -1;  /* MeasParameters_v11a0 */
static int hf_lte_rrc_nonCriticalExtension_220 = -1;  /* UE_EUTRA_Capability_v1250_IEs */
static int hf_lte_rrc_phyLayerParameters_v1250 = -1;  /* PhyLayerParameters_v1250 */
static int hf_lte_rrc_rf_Parameters_v1250 = -1;   /* RF_Parameters_v1250 */
static int hf_lte_rrc_rlc_Parameters_r12 = -1;    /* RLC_Parameters_r12 */
static int hf_lte_rrc_ue_BasedNetwPerfMeasParameters_v1250 = -1;  /* UE_BasedNetwPerfMeasParameters_v1250 */
static int hf_lte_rrc_ue_CategoryDL_r12 = -1;     /* INTEGER_0_14 */
static int hf_lte_rrc_ue_CategoryUL_r12 = -1;     /* INTEGER_0_13 */
static int hf_lte_rrc_wlan_IW_Parameters_r12 = -1;  /* WLAN_IW_Parameters_r12 */
static int hf_lte_rrc_measParameters_v1250 = -1;  /* MeasParameters_v1250 */
static int hf_lte_rrc_dc_Parameters_r12 = -1;     /* DC_Parameters_r12 */
static int hf_lte_rrc_mbms_Parameters_v1250 = -1;  /* MBMS_Parameters_v1250 */
static int hf_lte_rrc_mac_Parameters_r12 = -1;    /* MAC_Parameters_r12 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1250 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1250 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1250 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1250 */
static int hf_lte_rrc_sl_Parameters_r12 = -1;     /* SL_Parameters_r12 */
static int hf_lte_rrc_nonCriticalExtension_221 = -1;  /* UE_EUTRA_Capability_v1260_IEs */
static int hf_lte_rrc_ue_CategoryDL_v1260 = -1;   /* INTEGER_15_16 */
static int hf_lte_rrc_nonCriticalExtension_222 = -1;  /* UE_EUTRA_Capability_v1270_IEs */
static int hf_lte_rrc_rf_Parameters_v1270 = -1;   /* RF_Parameters_v1270 */
static int hf_lte_rrc_nonCriticalExtension_223 = -1;  /* UE_EUTRA_Capability_v1280_IEs */
static int hf_lte_rrc_phyLayerParameters_v1280 = -1;  /* PhyLayerParameters_v1280 */
static int hf_lte_rrc_nonCriticalExtension_224 = -1;  /* UE_EUTRA_Capability_v1310_IEs */
static int hf_lte_rrc_ue_CategoryDL_v1310 = -1;   /* T_ue_CategoryDL_v1310 */
static int hf_lte_rrc_ue_CategoryUL_v1310 = -1;   /* T_ue_CategoryUL_v1310 */
static int hf_lte_rrc_pdcp_Parameters_v1310 = -1;  /* PDCP_Parameters_v1310 */
static int hf_lte_rrc_rlc_Parameters_v1310 = -1;  /* RLC_Parameters_v1310 */
static int hf_lte_rrc_mac_Parameters_v1310 = -1;  /* MAC_Parameters_v1310 */
static int hf_lte_rrc_phyLayerParameters_v1310 = -1;  /* PhyLayerParameters_v1310 */
static int hf_lte_rrc_rf_Parameters_v1310 = -1;   /* RF_Parameters_v1310 */
static int hf_lte_rrc_measParameters_v1310 = -1;  /* MeasParameters_v1310 */
static int hf_lte_rrc_dc_Parameters_v1310 = -1;   /* DC_Parameters_v1310 */
static int hf_lte_rrc_sl_Parameters_v1310 = -1;   /* SL_Parameters_v1310 */
static int hf_lte_rrc_scptm_Parameters_r13 = -1;  /* SCPTM_Parameters_r13 */
static int hf_lte_rrc_ce_Parameters_r13 = -1;     /* CE_Parameters_r13 */
static int hf_lte_rrc_interRAT_ParametersWLAN_r13 = -1;  /* IRAT_ParametersWLAN_r13 */
static int hf_lte_rrc_laa_Parameters_r13 = -1;    /* LAA_Parameters_r13 */
static int hf_lte_rrc_lwa_Parameters_r13 = -1;    /* LWA_Parameters_r13 */
static int hf_lte_rrc_wlan_IW_Parameters_v1310 = -1;  /* WLAN_IW_Parameters_v1310 */
static int hf_lte_rrc_lwip_Parameters_r13 = -1;   /* LWIP_Parameters_r13 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1310 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1310 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1310 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1310 */
static int hf_lte_rrc_nonCriticalExtension_225 = -1;  /* UE_EUTRA_Capability_v1320_IEs */
static int hf_lte_rrc_ce_Parameters_v1320 = -1;   /* CE_Parameters_v1320 */
static int hf_lte_rrc_phyLayerParameters_v1320 = -1;  /* PhyLayerParameters_v1320 */
static int hf_lte_rrc_rf_Parameters_v1320 = -1;   /* RF_Parameters_v1320 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1320 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1320 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1320 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1320 */
static int hf_lte_rrc_nonCriticalExtension_226 = -1;  /* UE_EUTRA_Capability_v1330_IEs */
static int hf_lte_rrc_ue_CategoryDL_v1330 = -1;   /* INTEGER_18_19 */
static int hf_lte_rrc_phyLayerParameters_v1330 = -1;  /* PhyLayerParameters_v1330 */
static int hf_lte_rrc_ue_CE_NeedULGaps_r13_01 = -1;  /* T_ue_CE_NeedULGaps_r13_01 */
static int hf_lte_rrc_nonCriticalExtension_227 = -1;  /* UE_EUTRA_Capability_v1340_IEs */
static int hf_lte_rrc_ue_CategoryUL_v1340 = -1;   /* INTEGER_15 */
static int hf_lte_rrc_nonCriticalExtension_228 = -1;  /* UE_EUTRA_Capability_v1350_IEs */
static int hf_lte_rrc_ue_CategoryDL_v1350 = -1;   /* T_ue_CategoryDL_v1350 */
static int hf_lte_rrc_ue_CategoryUL_v1350 = -1;   /* T_ue_CategoryUL_v1350 */
static int hf_lte_rrc_ce_Parameters_v1350 = -1;   /* CE_Parameters_v1350 */
static int hf_lte_rrc_nonCriticalExtension_229 = -1;  /* UE_EUTRA_Capability_v1360_IEs */
static int hf_lte_rrc_other_Parameters_v1360 = -1;  /* Other_Parameters_v1360 */
static int hf_lte_rrc_nonCriticalExtension_230 = -1;  /* UE_EUTRA_Capability_v1430_IEs */
static int hf_lte_rrc_phyLayerParameters_v1430 = -1;  /* PhyLayerParameters_v1430 */
static int hf_lte_rrc_ue_CategoryDL_v1430 = -1;   /* T_ue_CategoryDL_v1430 */
static int hf_lte_rrc_ue_CategoryUL_v1430 = -1;   /* T_ue_CategoryUL_v1430 */
static int hf_lte_rrc_ue_CategoryUL_v1430b = -1;  /* T_ue_CategoryUL_v1430b */
static int hf_lte_rrc_mac_Parameters_v1430 = -1;  /* MAC_Parameters_v1430 */
static int hf_lte_rrc_measParameters_v1430 = -1;  /* MeasParameters_v1430 */
static int hf_lte_rrc_pdcp_Parameters_v1430 = -1;  /* PDCP_Parameters_v1430 */
static int hf_lte_rrc_rlc_Parameters_v1430 = -1;  /* RLC_Parameters_v1430 */
static int hf_lte_rrc_rf_Parameters_v1430 = -1;   /* RF_Parameters_v1430 */
static int hf_lte_rrc_laa_Parameters_v1430 = -1;  /* LAA_Parameters_v1430 */
static int hf_lte_rrc_lwa_Parameters_v1430 = -1;  /* LWA_Parameters_v1430 */
static int hf_lte_rrc_lwip_Parameters_v1430 = -1;  /* LWIP_Parameters_v1430 */
static int hf_lte_rrc_otherParameters_v1430 = -1;  /* Other_Parameters_v1430 */
static int hf_lte_rrc_mmtel_Parameters_r14 = -1;  /* MMTEL_Parameters_r14 */
static int hf_lte_rrc_mobilityParameters_r14 = -1;  /* MobilityParameters_r14 */
static int hf_lte_rrc_ce_Parameters_v1430 = -1;   /* CE_Parameters_v1430 */
static int hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1430 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1430 */
static int hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1430 = -1;  /* UE_EUTRA_CapabilityAddXDD_Mode_v1430 */
static int hf_lte_rrc_mbms_Parameters_v1430 = -1;  /* MBMS_Parameters_v1430 */
static int hf_lte_rrc_sl_Parameters_v1430 = -1;   /* SL_Parameters_v1430 */
static int hf_lte_rrc_ue_BasedNetwPerfMeasParameters_v1430 = -1;  /* UE_BasedNetwPerfMeasParameters_v1430 */
static int hf_lte_rrc_highSpeedEnhParameters_r14 = -1;  /* HighSpeedEnhParameters_r14 */
static int hf_lte_rrc_nonCriticalExtension_231 = -1;  /* UE_EUTRA_Capability_v1440_IEs */
static int hf_lte_rrc_lwa_Parameters_v1440 = -1;  /* LWA_Parameters_v1440 */
static int hf_lte_rrc_mac_Parameters_v1440 = -1;  /* MAC_Parameters_v1440 */
static int hf_lte_rrc_nonCriticalExtension_232 = -1;  /* UE_EUTRA_Capability_v1450_IEs */
static int hf_lte_rrc_phyLayerParameters_v1450 = -1;  /* PhyLayerParameters_v1450 */
static int hf_lte_rrc_rf_Parameters_v1450 = -1;   /* RF_Parameters_v1450 */
static int hf_lte_rrc_otherParameters_v1450 = -1;  /* OtherParameters_v1450 */
static int hf_lte_rrc_ue_CategoryDL_v1450 = -1;   /* INTEGER_20 */
static int hf_lte_rrc_nonCriticalExtension_233 = -1;  /* UE_EUTRA_Capability_v15x0_IEs */
static int hf_lte_rrc_irat_ParametersNR_r15 = -1;  /* IRAT_ParametersNR_r15 */
static int hf_lte_rrc_basebandParameters_r15 = -1;  /* BasebandParameters_r15 */
static int hf_lte_rrc_nonCriticalExtension_234 = -1;  /* T_nonCriticalExtension_68 */
static int hf_lte_rrc_phyLayerParameters_r9 = -1;  /* PhyLayerParameters */
static int hf_lte_rrc_featureGroupIndicators_r9 = -1;  /* T_featureGroupIndicators_r9 */
static int hf_lte_rrc_featureGroupIndRel9Add_r9_01 = -1;  /* T_featureGroupIndRel9Add_r9_01 */
static int hf_lte_rrc_interRAT_ParametersGERAN_r9 = -1;  /* IRAT_ParametersGERAN */
static int hf_lte_rrc_interRAT_ParametersUTRA_r9 = -1;  /* IRAT_ParametersUTRA_v920 */
static int hf_lte_rrc_interRAT_ParametersCDMA2000_r9 = -1;  /* IRAT_ParametersCDMA2000_1XRTT_v920 */
static int hf_lte_rrc_phyLayerParameters_v1060 = -1;  /* PhyLayerParameters_v1020 */
static int hf_lte_rrc_featureGroupIndRel10_v1060 = -1;  /* T_featureGroupIndRel10_v1060 */
static int hf_lte_rrc_interRAT_ParametersCDMA2000_v1060 = -1;  /* IRAT_ParametersCDMA2000_1XRTT_v1020 */
static int hf_lte_rrc_interRAT_ParametersUTRA_TDD_v1060 = -1;  /* IRAT_ParametersUTRA_TDD_v1020 */
static int hf_lte_rrc_basebandProcessingCombiList_r15 = -1;  /* BasebandProcessingCombiList_r15 */
static int hf_lte_rrc_BasebandProcessingCombiList_r15_item = -1;  /* BasebandProcessingCombi_r15 */
static int hf_lte_rrc_bp_InfoPerBandList = -1;    /* BP_InfoPerBandList_r15 */
static int hf_lte_rrc_BP_InfoPerBandList_r15_item = -1;  /* BP_InfoPerBand_r15 */
static int hf_lte_rrc_ca_BandwidthClassDL_r15 = -1;  /* CA_BandwidthClass_r10 */
static int hf_lte_rrc_ca_BandwidthClassUL_r15 = -1;  /* CA_BandwidthClass_r10 */
static int hf_lte_rrc_bp_InfoPerCC_List_r15 = -1;  /* SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15 */
static int hf_lte_rrc_bp_InfoPerCC_List_r15_item = -1;  /* BP_InfoPerCC_r15 */
static int hf_lte_rrc_supportedBandwidthPerCC_r15 = -1;  /* BW_PerCC_r15 */
static int hf_lte_rrc_supportedMIMO_CapabilityDL_r15 = -1;  /* MIMO_CapabilityDL_r10 */
static int hf_lte_rrc_supportedMIMO_CapabilityUL_r15 = -1;  /* MIMO_CapabilityUL_r10 */
static int hf_lte_rrc_modulationOrder_r15 = -1;   /* ModulationOrder_r15 */
static int hf_lte_rrc_subCarrierSpacing = -1;     /* SubCarrierSpacingNR_r15 */
static int hf_lte_rrc_makeBeforeBreak_r14_01 = -1;  /* T_makeBeforeBreak_r14_01 */
static int hf_lte_rrc_rach_Less_r14 = -1;         /* T_rach_Less_r14 */
static int hf_lte_rrc_drb_TypeSplit_r12 = -1;     /* T_drb_TypeSplit_r12 */
static int hf_lte_rrc_drb_TypeSCG_r12 = -1;       /* T_drb_TypeSCG_r12 */
static int hf_lte_rrc_pdcp_TransferSplitUL_r13 = -1;  /* T_pdcp_TransferSplitUL_r13 */
static int hf_lte_rrc_ue_SSTD_Meas_r13 = -1;      /* T_ue_SSTD_Meas_r13 */
static int hf_lte_rrc_logicalChannelSR_ProhibitTimer_r12_01 = -1;  /* T_logicalChannelSR_ProhibitTimer_r12_01 */
static int hf_lte_rrc_longDRX_Command_r12 = -1;   /* T_longDRX_Command_r12 */
static int hf_lte_rrc_extendedMAC_LengthField_r13 = -1;  /* T_extendedMAC_LengthField_r13 */
static int hf_lte_rrc_extendedLongDRX_r13 = -1;   /* T_extendedLongDRX_r13 */
static int hf_lte_rrc_shortSPS_IntervalFDD_r14 = -1;  /* T_shortSPS_IntervalFDD_r14 */
static int hf_lte_rrc_shortSPS_IntervalTDD_r14 = -1;  /* T_shortSPS_IntervalTDD_r14 */
static int hf_lte_rrc_skipUplinkDynamic_r14 = -1;  /* T_skipUplinkDynamic_r14 */
static int hf_lte_rrc_skipUplinkSPS_r14 = -1;     /* T_skipUplinkSPS_r14 */
static int hf_lte_rrc_multipleUplinkSPS_r14 = -1;  /* T_multipleUplinkSPS_r14 */
static int hf_lte_rrc_dataInactMon_r14 = -1;      /* T_dataInactMon_r14 */
static int hf_lte_rrc_rai_Support_r14 = -1;       /* T_rai_Support_r14 */
static int hf_lte_rrc_extended_RLC_LI_Field_r12 = -1;  /* T_extended_RLC_LI_Field_r12 */
static int hf_lte_rrc_extendedRLC_SN_SO_Field_r13 = -1;  /* T_extendedRLC_SN_SO_Field_r13 */
static int hf_lte_rrc_extendedPollByte_r14 = -1;  /* T_extendedPollByte_r14 */
static int hf_lte_rrc_supportedROHC_Profiles = -1;  /* T_supportedROHC_Profiles */
static int hf_lte_rrc_maxNumberROHC_ContextSessions = -1;  /* T_maxNumberROHC_ContextSessions */
static int hf_lte_rrc_pdcp_SN_Extension_r11 = -1;  /* T_pdcp_SN_Extension_r11 */
static int hf_lte_rrc_supportRohcContextContinue_r11 = -1;  /* T_supportRohcContextContinue_r11 */
static int hf_lte_rrc_pdcp_SN_Extension_18bits_r13 = -1;  /* T_pdcp_SN_Extension_18bits_r13 */
static int hf_lte_rrc_supportedUplinkOnlyROHC_Profiles_r14 = -1;  /* T_supportedUplinkOnlyROHC_Profiles_r14 */
static int hf_lte_rrc_maxNumberROHC_ContextSessions_r14 = -1;  /* T_maxNumberROHC_ContextSessions_r14 */
static int hf_lte_rrc_ue_TxAntennaSelectionSupported = -1;  /* BOOLEAN */
static int hf_lte_rrc_ue_SpecificRefSigsSupported = -1;  /* BOOLEAN */
static int hf_lte_rrc_enhancedDualLayerFDD_r9 = -1;  /* T_enhancedDualLayerFDD_r9 */
static int hf_lte_rrc_enhancedDualLayerTDD_r9 = -1;  /* T_enhancedDualLayerTDD_r9 */
static int hf_lte_rrc_tm5_FDD_r9 = -1;            /* T_tm5_FDD_r9 */
static int hf_lte_rrc_tm5_TDD_r9 = -1;            /* T_tm5_TDD_r9 */
static int hf_lte_rrc_twoAntennaPortsForPUCCH_r10 = -1;  /* T_twoAntennaPortsForPUCCH_r10 */
static int hf_lte_rrc_tm9_With_8Tx_FDD_r10 = -1;  /* T_tm9_With_8Tx_FDD_r10 */
static int hf_lte_rrc_pmi_Disabling_r10 = -1;     /* T_pmi_Disabling_r10 */
static int hf_lte_rrc_crossCarrierScheduling_r10 = -1;  /* T_crossCarrierScheduling_r10 */
static int hf_lte_rrc_simultaneousPUCCH_PUSCH_r10_01 = -1;  /* T_simultaneousPUCCH_PUSCH_r10_01 */
static int hf_lte_rrc_multiClusterPUSCH_WithinCC_r10 = -1;  /* T_multiClusterPUSCH_WithinCC_r10 */
static int hf_lte_rrc_nonContiguousUL_RA_WithinCC_List_r10 = -1;  /* NonContiguousUL_RA_WithinCC_List_r10 */
static int hf_lte_rrc_crs_InterfHandl_r11 = -1;   /* T_crs_InterfHandl_r11 */
static int hf_lte_rrc_ePDCCH_r11 = -1;            /* T_ePDCCH_r11 */
static int hf_lte_rrc_multiACK_CSI_Reporting_r11 = -1;  /* T_multiACK_CSI_Reporting_r11 */
static int hf_lte_rrc_ss_CCH_InterfHandl_r11 = -1;  /* T_ss_CCH_InterfHandl_r11 */
static int hf_lte_rrc_tdd_SpecialSubframe_r11 = -1;  /* T_tdd_SpecialSubframe_r11 */
static int hf_lte_rrc_txDiv_PUCCH1b_ChSelect_r11 = -1;  /* T_txDiv_PUCCH1b_ChSelect_r11 */
static int hf_lte_rrc_ul_CoMP_r11 = -1;           /* T_ul_CoMP_r11 */
static int hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_r11 = -1;  /* T_interBandTDD_CA_WithDifferentConfig_r11 */
static int hf_lte_rrc_e_HARQ_Pattern_FDD_r12 = -1;  /* T_e_HARQ_Pattern_FDD_r12 */
static int hf_lte_rrc_enhanced_4TxCodebook_r12 = -1;  /* T_enhanced_4TxCodebook_r12 */
static int hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12 = -1;  /* T_tdd_FDD_CA_PCellDuplex_r12 */
static int hf_lte_rrc_phy_TDD_ReConfig_TDD_PCell_r12 = -1;  /* T_phy_TDD_ReConfig_TDD_PCell_r12 */
static int hf_lte_rrc_phy_TDD_ReConfig_FDD_PCell_r12 = -1;  /* T_phy_TDD_ReConfig_FDD_PCell_r12 */
static int hf_lte_rrc_pusch_FeedbackMode_r12 = -1;  /* T_pusch_FeedbackMode_r12 */
static int hf_lte_rrc_pusch_SRS_PowerControl_SubframeSet_r12 = -1;  /* T_pusch_SRS_PowerControl_SubframeSet_r12 */
static int hf_lte_rrc_csi_SubframeSet_r12 = -1;   /* T_csi_SubframeSet_r12 */
static int hf_lte_rrc_noResourceRestrictionForTTIBundling_r12 = -1;  /* T_noResourceRestrictionForTTIBundling_r12 */
static int hf_lte_rrc_discoverySignalsInDeactSCell_r12 = -1;  /* T_discoverySignalsInDeactSCell_r12 */
static int hf_lte_rrc_naics_Capability_List_r12 = -1;  /* NAICS_Capability_List_r12 */
static int hf_lte_rrc_alternativeTBS_Indices_r12 = -1;  /* T_alternativeTBS_Indices_r12 */
static int hf_lte_rrc_aperiodicCSI_Reporting_r13 = -1;  /* T_aperiodicCSI_Reporting_r13 */
static int hf_lte_rrc_codebook_HARQ_ACK_r13 = -1;  /* T_codebook_HARQ_ACK_r13 */
static int hf_lte_rrc_crossCarrierScheduling_B5C_r13 = -1;  /* T_crossCarrierScheduling_B5C_r13 */
static int hf_lte_rrc_fdd_HARQ_TimingTDD_r13 = -1;  /* T_fdd_HARQ_TimingTDD_r13 */
static int hf_lte_rrc_maxNumberUpdatedCSI_Proc_r13 = -1;  /* INTEGER_5_32 */
static int hf_lte_rrc_pucch_Format4_r13 = -1;     /* T_pucch_Format4_r13 */
static int hf_lte_rrc_pucch_Format5_r13 = -1;     /* T_pucch_Format5_r13 */
static int hf_lte_rrc_pucch_SCell_r13 = -1;       /* T_pucch_SCell_r13 */
static int hf_lte_rrc_spatialBundling_HARQ_ACK_r13 = -1;  /* T_spatialBundling_HARQ_ACK_r13 */
static int hf_lte_rrc_supportedBlindDecoding_r13 = -1;  /* T_supportedBlindDecoding_r13 */
static int hf_lte_rrc_maxNumberDecoding_r13 = -1;  /* INTEGER_1_32 */
static int hf_lte_rrc_pdcch_CandidateReductions_r13_01 = -1;  /* T_pdcch_CandidateReductions_r13 */
static int hf_lte_rrc_skipMonitoringDCI_Format0_1A_r13 = -1;  /* T_skipMonitoringDCI_Format0_1A_r13 */
static int hf_lte_rrc_uci_PUSCH_Ext_r13 = -1;     /* T_uci_PUSCH_Ext_r13 */
static int hf_lte_rrc_crs_InterfMitigationTM10_r13 = -1;  /* T_crs_InterfMitigationTM10_r13 */
static int hf_lte_rrc_pdsch_CollisionHandling_r13 = -1;  /* T_pdsch_CollisionHandling_r13 */
static int hf_lte_rrc_mimo_UE_Parameters_r13 = -1;  /* MIMO_UE_Parameters_r13 */
static int hf_lte_rrc_cch_InterfMitigation_RefRecTypeA_r13 = -1;  /* T_cch_InterfMitigation_RefRecTypeA_r13 */
static int hf_lte_rrc_cch_InterfMitigation_RefRecTypeB_r13 = -1;  /* T_cch_InterfMitigation_RefRecTypeB_r13 */
static int hf_lte_rrc_cch_InterfMitigation_MaxNumCCs_r13 = -1;  /* INTEGER_1_maxServCell_r13 */
static int hf_lte_rrc_crs_InterfMitigationTM1toTM9_r13 = -1;  /* INTEGER_1_maxServCell_r13 */
static int hf_lte_rrc_ce_PUSCH_NB_MaxTBS_r14_01 = -1;  /* T_ce_PUSCH_NB_MaxTBS_r14_01 */
static int hf_lte_rrc_ce_PDSCH_PUSCH_MaxBandwidth_r14 = -1;  /* T_ce_PDSCH_PUSCH_MaxBandwidth_r14 */
static int hf_lte_rrc_ce_HARQ_AckBundling_r14_01 = -1;  /* T_ce_HARQ_AckBundling_r14_01 */
static int hf_lte_rrc_ce_PDSCH_TenProcesses_r14_01 = -1;  /* T_ce_PDSCH_TenProcesses_r14_01 */
static int hf_lte_rrc_ce_RetuningSymbols_r14 = -1;  /* T_ce_RetuningSymbols_r14 */
static int hf_lte_rrc_ce_PDSCH_PUSCH_Enhancement_r14 = -1;  /* T_ce_PDSCH_PUSCH_Enhancement_r14 */
static int hf_lte_rrc_ce_SchedulingEnhancement_r14_01 = -1;  /* T_ce_SchedulingEnhancement_r14_01 */
static int hf_lte_rrc_ce_SRS_Enhancement_r14 = -1;  /* T_ce_SRS_Enhancement_r14 */
static int hf_lte_rrc_ce_PUCCH_Enhancement_r14 = -1;  /* T_ce_PUCCH_Enhancement_r14 */
static int hf_lte_rrc_ce_ClosedLoopTxAntennaSelection_r14 = -1;  /* T_ce_ClosedLoopTxAntennaSelection_r14 */
static int hf_lte_rrc_tdd_SpecialSubframe_r14 = -1;  /* T_tdd_SpecialSubframe_r14 */
static int hf_lte_rrc_tdd_TTI_Bundling_r14 = -1;  /* T_tdd_TTI_Bundling_r14 */
static int hf_lte_rrc_dmrs_LessUpPTS_r14 = -1;    /* T_dmrs_LessUpPTS_r14 */
static int hf_lte_rrc_mimo_UE_Parameters_v1430 = -1;  /* MIMO_UE_Parameters_v1430 */
static int hf_lte_rrc_alternativeTBS_Index_r14 = -1;  /* T_alternativeTBS_Index_r14 */
static int hf_lte_rrc_feMBMS_Unicast_Parameters_r14 = -1;  /* FeMBMS_Unicast_Parameters_r14 */
static int hf_lte_rrc_ce_SRS_EnhancementWithoutComb4_r14 = -1;  /* T_ce_SRS_EnhancementWithoutComb4_r14 */
static int hf_lte_rrc_crs_LessDwPTS_r14 = -1;     /* T_crs_LessDwPTS_r14 */
static int hf_lte_rrc_parametersTM9_r13 = -1;     /* MIMO_UE_ParametersPerTM_r13 */
static int hf_lte_rrc_parametersTM10_r13 = -1;    /* MIMO_UE_ParametersPerTM_r13 */
static int hf_lte_rrc_srs_EnhancementsTDD_r13 = -1;  /* T_srs_EnhancementsTDD_r13 */
static int hf_lte_rrc_srs_Enhancements_r13 = -1;  /* T_srs_Enhancements_r13 */
static int hf_lte_rrc_interferenceMeasRestriction_r13_01 = -1;  /* T_interferenceMeasRestriction_r13 */
static int hf_lte_rrc_parametersTM9_v1430 = -1;   /* MIMO_UE_ParametersPerTM_v1430 */
static int hf_lte_rrc_parametersTM10_v1430 = -1;  /* MIMO_UE_ParametersPerTM_v1430 */
static int hf_lte_rrc_nonPrecoded_r13_02 = -1;    /* MIMO_NonPrecodedCapabilities_r13 */
static int hf_lte_rrc_beamformed_r13_01 = -1;     /* MIMO_UE_BeamformedCapabilities_r13 */
static int hf_lte_rrc_channelMeasRestriction_r13_01 = -1;  /* T_channelMeasRestriction_r13_01 */
static int hf_lte_rrc_dmrs_Enhancements_r13 = -1;  /* T_dmrs_Enhancements_r13 */
static int hf_lte_rrc_csi_RS_EnhancementsTDD_r13 = -1;  /* T_csi_RS_EnhancementsTDD_r13 */
static int hf_lte_rrc_nzp_CSI_RS_AperiodicInfo_r14 = -1;  /* T_nzp_CSI_RS_AperiodicInfo_r14 */
static int hf_lte_rrc_nMaxProc_r14 = -1;          /* INTEGER_5_32 */
static int hf_lte_rrc_nMaxResource_r14 = -1;      /* T_nMaxResource_r14 */
static int hf_lte_rrc_nzp_CSI_RS_PeriodicInfo_r14 = -1;  /* T_nzp_CSI_RS_PeriodicInfo_r14 */
static int hf_lte_rrc_nMaxResource_r14_01 = -1;   /* T_nMaxResource_r14_01 */
static int hf_lte_rrc_zp_CSI_RS_AperiodicInfo_r14 = -1;  /* T_zp_CSI_RS_AperiodicInfo_r14 */
static int hf_lte_rrc_ul_dmrs_Enhancements_r14 = -1;  /* T_ul_dmrs_Enhancements_r14 */
static int hf_lte_rrc_densityReductionNP_r14 = -1;  /* T_densityReductionNP_r14 */
static int hf_lte_rrc_densityReductionBF_r14 = -1;  /* T_densityReductionBF_r14 */
static int hf_lte_rrc_hybridCSI_r14 = -1;         /* T_hybridCSI_r14 */
static int hf_lte_rrc_semiOL_r14 = -1;            /* T_semiOL_r14 */
static int hf_lte_rrc_csi_ReportingNP_r14 = -1;   /* T_csi_ReportingNP_r14 */
static int hf_lte_rrc_csi_ReportingAdvanced_r14 = -1;  /* T_csi_ReportingAdvanced_r14 */
static int hf_lte_rrc_parametersTM9_r13_01 = -1;  /* MIMO_CA_ParametersPerBoBCPerTM_r13 */
static int hf_lte_rrc_parametersTM10_r13_01 = -1;  /* MIMO_CA_ParametersPerBoBCPerTM_r13 */
static int hf_lte_rrc_parametersTM9_v1430_01 = -1;  /* MIMO_CA_ParametersPerBoBCPerTM_v1430 */
static int hf_lte_rrc_parametersTM10_v1430_01 = -1;  /* MIMO_CA_ParametersPerBoBCPerTM_v1430 */
static int hf_lte_rrc_beamformed_r13_02 = -1;     /* MIMO_BeamformedCapabilityList_r13 */
static int hf_lte_rrc_dmrs_Enhancements_r13_01 = -1;  /* T_dmrs_Enhancements_r13_01 */
static int hf_lte_rrc_csi_ReportingNP_r14_01 = -1;  /* T_csi_ReportingNP_r14_01 */
static int hf_lte_rrc_csi_ReportingAdvanced_r14_01 = -1;  /* T_csi_ReportingAdvanced_r14_01 */
static int hf_lte_rrc_config1_r13 = -1;           /* T_config1_r13 */
static int hf_lte_rrc_config2_r13 = -1;           /* T_config2_r13 */
static int hf_lte_rrc_config3_r13 = -1;           /* T_config3_r13 */
static int hf_lte_rrc_config4_r13 = -1;           /* T_config4_r13 */
static int hf_lte_rrc_altCodebook_r13 = -1;       /* T_altCodebook_r13 */
static int hf_lte_rrc_mimo_BeamformedCapabilities_r13 = -1;  /* MIMO_BeamformedCapabilityList_r13 */
static int hf_lte_rrc_MIMO_BeamformedCapabilityList_r13_item = -1;  /* MIMO_BeamformedCapabilities_r13 */
static int hf_lte_rrc_k_Max_r13 = -1;             /* INTEGER_1_8 */
static int hf_lte_rrc_n_MaxList_r13 = -1;         /* BIT_STRING_SIZE_1_7 */
static int hf_lte_rrc_NonContiguousUL_RA_WithinCC_List_r10_item = -1;  /* NonContiguousUL_RA_WithinCC_r10 */
static int hf_lte_rrc_nonContiguousUL_RA_WithinCC_Info_r10 = -1;  /* T_nonContiguousUL_RA_WithinCC_Info_r10 */
static int hf_lte_rrc_supportedBandListEUTRA = -1;  /* SupportedBandListEUTRA */
static int hf_lte_rrc_supportedBandListEUTRA_v9e0 = -1;  /* SupportedBandListEUTRA_v9e0 */
static int hf_lte_rrc_supportedBandCombination_r10 = -1;  /* SupportedBandCombination_r10 */
static int hf_lte_rrc_supportedBandCombinationExt_r10 = -1;  /* SupportedBandCombinationExt_r10 */
static int hf_lte_rrc_supportedBandCombination_v1090 = -1;  /* SupportedBandCombination_v1090 */
static int hf_lte_rrc_modifiedMPR_Behavior_r10 = -1;  /* T_modifiedMPR_Behavior_r10 */
static int hf_lte_rrc_supportedBandCombination_v10i0 = -1;  /* SupportedBandCombination_v10i0 */
static int hf_lte_rrc_multiNS_Pmax_r10 = -1;      /* T_multiNS_Pmax_r10 */
static int hf_lte_rrc_supportedBandCombination_v1130 = -1;  /* SupportedBandCombination_v1130 */
static int hf_lte_rrc_freqBandRetrieval_r11 = -1;  /* T_freqBandRetrieval_r11 */
static int hf_lte_rrc_requestedBands_r11 = -1;    /* SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11 */
static int hf_lte_rrc_requestedBands_r11_item = -1;  /* FreqBandIndicator_r11 */
static int hf_lte_rrc_supportedBandCombinationAdd_r11 = -1;  /* SupportedBandCombinationAdd_r11 */
static int hf_lte_rrc_supportedBandCombinationAdd_v11d0 = -1;  /* SupportedBandCombinationAdd_v11d0 */
static int hf_lte_rrc_supportedBandListEUTRA_v1250 = -1;  /* SupportedBandListEUTRA_v1250 */
static int hf_lte_rrc_supportedBandCombination_v1250 = -1;  /* SupportedBandCombination_v1250 */
static int hf_lte_rrc_supportedBandCombinationAdd_v1250 = -1;  /* SupportedBandCombinationAdd_v1250 */
static int hf_lte_rrc_freqBandPriorityAdjustment_r12 = -1;  /* T_freqBandPriorityAdjustment_r12 */
static int hf_lte_rrc_supportedBandCombination_v1270 = -1;  /* SupportedBandCombination_v1270 */
static int hf_lte_rrc_supportedBandCombinationAdd_v1270 = -1;  /* SupportedBandCombinationAdd_v1270 */
static int hf_lte_rrc_eNB_RequestedParameters_r13 = -1;  /* T_eNB_RequestedParameters_r13 */
static int hf_lte_rrc_reducedIntNonContCombRequested_r13 = -1;  /* T_reducedIntNonContCombRequested_r13 */
static int hf_lte_rrc_requestedCCsDL_r13 = -1;    /* INTEGER_2_32 */
static int hf_lte_rrc_requestedCCsUL_r13 = -1;    /* INTEGER_2_32 */
static int hf_lte_rrc_skipFallbackCombRequested_r13 = -1;  /* T_skipFallbackCombRequested_r13 */
static int hf_lte_rrc_maximumCCsRetrieval_r13 = -1;  /* T_maximumCCsRetrieval_r13 */
static int hf_lte_rrc_skipFallbackCombinations_r13 = -1;  /* T_skipFallbackCombinations_r13 */
static int hf_lte_rrc_reducedIntNonContComb_r13 = -1;  /* T_reducedIntNonContComb_r13 */
static int hf_lte_rrc_supportedBandListEUTRA_v1310 = -1;  /* SupportedBandListEUTRA_v1310 */
static int hf_lte_rrc_supportedBandCombinationReduced_r13 = -1;  /* SupportedBandCombinationReduced_r13 */
static int hf_lte_rrc_supportedBandListEUTRA_v1320 = -1;  /* SupportedBandListEUTRA_v1320 */
static int hf_lte_rrc_supportedBandCombination_v1320 = -1;  /* SupportedBandCombination_v1320 */
static int hf_lte_rrc_supportedBandCombinationAdd_v1320 = -1;  /* SupportedBandCombinationAdd_v1320 */
static int hf_lte_rrc_supportedBandCombinationReduced_v1320 = -1;  /* SupportedBandCombinationReduced_v1320 */
static int hf_lte_rrc_supportedBandCombination_v1380 = -1;  /* SupportedBandCombination_v1380 */
static int hf_lte_rrc_supportedBandCombinationAdd_v1380 = -1;  /* SupportedBandCombinationAdd_v1380 */
static int hf_lte_rrc_supportedBandCombinationReduced_v1380 = -1;  /* SupportedBandCombinationReduced_v1380 */
static int hf_lte_rrc_maxLayersMIMO_Indication_r12 = -1;  /* T_maxLayersMIMO_Indication_r12 */
static int hf_lte_rrc_supportedBandCombination_v1430 = -1;  /* SupportedBandCombination_v1430 */
static int hf_lte_rrc_supportedBandCombinationAdd_v1430 = -1;  /* SupportedBandCombinationAdd_v1430 */
static int hf_lte_rrc_supportedBandCombinationReduced_v1430 = -1;  /* SupportedBandCombinationReduced_v1430 */
static int hf_lte_rrc_eNB_RequestedParameters_v1430 = -1;  /* T_eNB_RequestedParameters_v1430 */
static int hf_lte_rrc_requestedDiffFallbackCombList_r14 = -1;  /* BandCombinationList_r14 */
static int hf_lte_rrc_diffFallbackCombReport_r14 = -1;  /* T_diffFallbackCombReport_r14 */
static int hf_lte_rrc_supportedBandCombination_v1450 = -1;  /* SupportedBandCombination_v1450 */
static int hf_lte_rrc_supportedBandCombinationAdd_v1450 = -1;  /* SupportedBandCombinationAdd_v1450 */
static int hf_lte_rrc_supportedBandCombinationReduced_v1450 = -1;  /* SupportedBandCombinationReduced_v1450 */
static int hf_lte_rrc_SupportedBandCombination_r10_item = -1;  /* BandCombinationParameters_r10 */
static int hf_lte_rrc_SupportedBandCombinationExt_r10_item = -1;  /* BandCombinationParametersExt_r10 */
static int hf_lte_rrc_SupportedBandCombination_v1090_item = -1;  /* BandCombinationParameters_v1090 */
static int hf_lte_rrc_SupportedBandCombination_v10i0_item = -1;  /* BandCombinationParameters_v10i0 */
static int hf_lte_rrc_SupportedBandCombination_v1130_item = -1;  /* BandCombinationParameters_v1130 */
static int hf_lte_rrc_SupportedBandCombination_v1250_item = -1;  /* BandCombinationParameters_v1250 */
static int hf_lte_rrc_SupportedBandCombination_v1270_item = -1;  /* BandCombinationParameters_v1270 */
static int hf_lte_rrc_SupportedBandCombination_v1320_item = -1;  /* BandCombinationParameters_v1320 */
static int hf_lte_rrc_SupportedBandCombination_v1380_item = -1;  /* BandCombinationParameters_v1380 */
static int hf_lte_rrc_SupportedBandCombination_v1430_item = -1;  /* BandCombinationParameters_v1430 */
static int hf_lte_rrc_SupportedBandCombination_v1450_item = -1;  /* BandCombinationParameters_v1450 */
static int hf_lte_rrc_SupportedBandCombinationAdd_r11_item = -1;  /* BandCombinationParameters_r11 */
static int hf_lte_rrc_SupportedBandCombinationAdd_v11d0_item = -1;  /* BandCombinationParameters_v10i0 */
static int hf_lte_rrc_SupportedBandCombinationAdd_v1250_item = -1;  /* BandCombinationParameters_v1250 */
static int hf_lte_rrc_SupportedBandCombinationAdd_v1270_item = -1;  /* BandCombinationParameters_v1270 */
static int hf_lte_rrc_SupportedBandCombinationAdd_v1320_item = -1;  /* BandCombinationParameters_v1320 */
static int hf_lte_rrc_SupportedBandCombinationAdd_v1380_item = -1;  /* BandCombinationParameters_v1380 */
static int hf_lte_rrc_SupportedBandCombinationAdd_v1430_item = -1;  /* BandCombinationParameters_v1430 */
static int hf_lte_rrc_SupportedBandCombinationAdd_v1450_item = -1;  /* BandCombinationParameters_v1450 */
static int hf_lte_rrc_SupportedBandCombinationReduced_r13_item = -1;  /* BandCombinationParameters_r13 */
static int hf_lte_rrc_SupportedBandCombinationReduced_v1320_item = -1;  /* BandCombinationParameters_v1320 */
static int hf_lte_rrc_SupportedBandCombinationReduced_v1380_item = -1;  /* BandCombinationParameters_v1380 */
static int hf_lte_rrc_SupportedBandCombinationReduced_v1430_item = -1;  /* BandCombinationParameters_v1430 */
static int hf_lte_rrc_SupportedBandCombinationReduced_v1450_item = -1;  /* BandCombinationParameters_v1450 */
static int hf_lte_rrc_BandCombinationParameters_r10_item = -1;  /* BandParameters_r10 */
static int hf_lte_rrc_supportedBandwidthCombinationSet_r10 = -1;  /* SupportedBandwidthCombinationSet_r10 */
static int hf_lte_rrc_BandCombinationParameters_v1090_item = -1;  /* BandParameters_v1090 */
static int hf_lte_rrc_bandParameterList_v10i0 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0 */
static int hf_lte_rrc_bandParameterList_v10i0_item = -1;  /* BandParameters_v10i0 */
static int hf_lte_rrc_multipleTimingAdvance_r11 = -1;  /* T_multipleTimingAdvance_r11 */
static int hf_lte_rrc_simultaneousRx_Tx_r11 = -1;  /* T_simultaneousRx_Tx_r11 */
static int hf_lte_rrc_bandParameterList_r11 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130 */
static int hf_lte_rrc_bandParameterList_r11_item = -1;  /* BandParameters_v1130 */
static int hf_lte_rrc_bandParameterList_r11_01 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11 */
static int hf_lte_rrc_bandParameterList_r11_item_01 = -1;  /* BandParameters_r11 */
static int hf_lte_rrc_supportedBandwidthCombinationSet_r11 = -1;  /* SupportedBandwidthCombinationSet_r10 */
static int hf_lte_rrc_multipleTimingAdvance_r11_01 = -1;  /* T_multipleTimingAdvance_r11_01 */
static int hf_lte_rrc_simultaneousRx_Tx_r11_01 = -1;  /* T_simultaneousRx_Tx_r11_01 */
static int hf_lte_rrc_bandInfoEUTRA_r11 = -1;     /* BandInfoEUTRA */
static int hf_lte_rrc_dc_Support_r12 = -1;        /* T_dc_Support_r12 */
static int hf_lte_rrc_asynchronous_r12 = -1;      /* T_asynchronous_r12 */
static int hf_lte_rrc_supportedCellGrouping_r12 = -1;  /* T_supportedCellGrouping_r12 */
static int hf_lte_rrc_threeEntries_r12 = -1;      /* BIT_STRING_SIZE_3 */
static int hf_lte_rrc_fourEntries_r12 = -1;       /* BIT_STRING_SIZE_7 */
static int hf_lte_rrc_fiveEntries_r12 = -1;       /* BIT_STRING_SIZE_15 */
static int hf_lte_rrc_supportedNAICS_2CRS_AP_r12 = -1;  /* BIT_STRING_SIZE_1_maxNAICS_Entries_r12 */
static int hf_lte_rrc_commSupportedBandsPerBC_r12 = -1;  /* BIT_STRING_SIZE_1_maxBands */
static int hf_lte_rrc_bandParameterList_v1270 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270 */
static int hf_lte_rrc_bandParameterList_v1270_item = -1;  /* BandParameters_v1270 */
static int hf_lte_rrc_differentFallbackSupported_r13 = -1;  /* T_differentFallbackSupported_r13 */
static int hf_lte_rrc_bandParameterList_r13 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13 */
static int hf_lte_rrc_bandParameterList_r13_item = -1;  /* BandParameters_r13 */
static int hf_lte_rrc_supportedBandwidthCombinationSet_r13 = -1;  /* SupportedBandwidthCombinationSet_r10 */
static int hf_lte_rrc_multipleTimingAdvance_r13 = -1;  /* T_multipleTimingAdvance_r13 */
static int hf_lte_rrc_simultaneousRx_Tx_r13 = -1;  /* T_simultaneousRx_Tx_r13 */
static int hf_lte_rrc_bandInfoEUTRA_r13 = -1;     /* BandInfoEUTRA */
static int hf_lte_rrc_dc_Support_r13 = -1;        /* T_dc_Support_r13 */
static int hf_lte_rrc_asynchronous_r13 = -1;      /* T_asynchronous_r13 */
static int hf_lte_rrc_supportedCellGrouping_r13 = -1;  /* T_supportedCellGrouping_r13 */
static int hf_lte_rrc_threeEntries_r13 = -1;      /* BIT_STRING_SIZE_3 */
static int hf_lte_rrc_fourEntries_r13 = -1;       /* BIT_STRING_SIZE_7 */
static int hf_lte_rrc_fiveEntries_r13 = -1;       /* BIT_STRING_SIZE_15 */
static int hf_lte_rrc_supportedNAICS_2CRS_AP_r13 = -1;  /* BIT_STRING_SIZE_1_maxNAICS_Entries_r12 */
static int hf_lte_rrc_commSupportedBandsPerBC_r13 = -1;  /* BIT_STRING_SIZE_1_maxBands */
static int hf_lte_rrc_bandParameterList_v1320 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320 */
static int hf_lte_rrc_bandParameterList_v1320_item = -1;  /* BandParameters_v1320 */
static int hf_lte_rrc_additionalRx_Tx_PerformanceReq_r13 = -1;  /* T_additionalRx_Tx_PerformanceReq_r13 */
static int hf_lte_rrc_bandParameterList_v1380 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380 */
static int hf_lte_rrc_bandParameterList_v1380_item = -1;  /* BandParameters_v1380 */
static int hf_lte_rrc_bandParameterList_v1430 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430 */
static int hf_lte_rrc_bandParameterList_v1430_item = -1;  /* BandParameters_v1430 */
static int hf_lte_rrc_v2x_SupportedTxBandCombListPerBC_r14 = -1;  /* BIT_STRING_SIZE_1_maxBandComb_r13 */
static int hf_lte_rrc_v2x_SupportedRxBandCombListPerBC_r14 = -1;  /* BIT_STRING_SIZE_1_maxBandComb_r13 */
static int hf_lte_rrc_bandParameterList_v1450 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450 */
static int hf_lte_rrc_bandParameterList_v1450_item = -1;  /* BandParameters_v1450 */
static int hf_lte_rrc_bandEUTRA_r10 = -1;         /* T_bandEUTRA_r10 */
static int hf_lte_rrc_bandParametersUL_r10 = -1;  /* BandParametersUL_r10 */
static int hf_lte_rrc_bandParametersDL_r10 = -1;  /* BandParametersDL_r10 */
static int hf_lte_rrc_bandEUTRA_v1090 = -1;       /* FreqBandIndicator_v9e0 */
static int hf_lte_rrc_bandParametersDL_v10i0 = -1;  /* SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0 */
static int hf_lte_rrc_bandParametersDL_v10i0_item = -1;  /* CA_MIMO_ParametersDL_v10i0 */
static int hf_lte_rrc_supportedCSI_Proc_r11 = -1;  /* T_supportedCSI_Proc_r11 */
static int hf_lte_rrc_bandEUTRA_r11 = -1;         /* FreqBandIndicator_r11 */
static int hf_lte_rrc_bandParametersUL_r11 = -1;  /* BandParametersUL_r10 */
static int hf_lte_rrc_bandParametersDL_r11 = -1;  /* BandParametersDL_r10 */
static int hf_lte_rrc_supportedCSI_Proc_r11_01 = -1;  /* T_supportedCSI_Proc_r11_01 */
static int hf_lte_rrc_bandParametersDL_v1270 = -1;  /* SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270 */
static int hf_lte_rrc_bandParametersDL_v1270_item = -1;  /* CA_MIMO_ParametersDL_v1270 */
static int hf_lte_rrc_bandEUTRA_r13 = -1;         /* FreqBandIndicator_r11 */
static int hf_lte_rrc_bandParametersUL_r13 = -1;  /* BandParametersUL_r13 */
static int hf_lte_rrc_bandParametersDL_r13 = -1;  /* BandParametersDL_r13 */
static int hf_lte_rrc_supportedCSI_Proc_r13 = -1;  /* T_supportedCSI_Proc_r13 */
static int hf_lte_rrc_bandParametersDL_v1320 = -1;  /* MIMO_CA_ParametersPerBoBC_r13 */
static int hf_lte_rrc_txAntennaSwitchDL_r13 = -1;  /* INTEGER_1_32 */
static int hf_lte_rrc_txAntennaSwitchUL_r13 = -1;  /* INTEGER_1_32 */
static int hf_lte_rrc_bandParametersDL_v1430 = -1;  /* MIMO_CA_ParametersPerBoBC_v1430 */
static int hf_lte_rrc_ul_256QAM_r14 = -1;         /* T_ul_256QAM_r14 */
static int hf_lte_rrc_ul_256QAM_perCC_InfoList_r14 = -1;  /* SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14 */
static int hf_lte_rrc_ul_256QAM_perCC_InfoList_r14_item = -1;  /* UL_256QAM_perCC_Info_r14 */
static int hf_lte_rrc_retuningTimeInfoBandList_r14 = -1;  /* SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14 */
static int hf_lte_rrc_retuningTimeInfoBandList_r14_item = -1;  /* RetuningTimeInfo_r14 */
static int hf_lte_rrc_must_CapabilityPerBand_r14 = -1;  /* MUST_Parameters_r14 */
static int hf_lte_rrc_v2x_FreqBandEUTRA_r14 = -1;  /* FreqBandIndicator_r11 */
static int hf_lte_rrc_bandParametersTxSL_r14 = -1;  /* BandParametersTxSL_r14 */
static int hf_lte_rrc_bandParametersRxSL_r14 = -1;  /* BandParametersRxSL_r14 */
static int hf_lte_rrc_v2x_BandwidthClassTxSL_r14 = -1;  /* V2X_BandwidthClassSL_r14 */
static int hf_lte_rrc_v2x_eNB_Scheduled_r14 = -1;  /* T_v2x_eNB_Scheduled_r14 */
static int hf_lte_rrc_v2x_HighPower_r14 = -1;     /* T_v2x_HighPower_r14 */
static int hf_lte_rrc_v2x_BandwidthClassRxSL_r14 = -1;  /* V2X_BandwidthClassSL_r14 */
static int hf_lte_rrc_v2x_HighReception_r14 = -1;  /* T_v2x_HighReception_r14 */
static int hf_lte_rrc_V2X_BandwidthClassSL_r14_item = -1;  /* V2X_BandwidthClass_r14 */
static int hf_lte_rrc_ul_256QAM_perCC_r14 = -1;   /* T_ul_256QAM_perCC_r14 */
static int hf_lte_rrc_BandParametersUL_r10_item = -1;  /* CA_MIMO_ParametersUL_r10 */
static int hf_lte_rrc_ca_BandwidthClassUL_r10 = -1;  /* CA_BandwidthClass_r10 */
static int hf_lte_rrc_supportedMIMO_CapabilityUL_r10 = -1;  /* MIMO_CapabilityUL_r10 */
static int hf_lte_rrc_BandParametersDL_r10_item = -1;  /* CA_MIMO_ParametersDL_r10 */
static int hf_lte_rrc_ca_BandwidthClassDL_r10 = -1;  /* CA_BandwidthClass_r10 */
static int hf_lte_rrc_supportedMIMO_CapabilityDL_r10 = -1;  /* MIMO_CapabilityDL_r10 */
static int hf_lte_rrc_fourLayerTM3_TM4_r10 = -1;  /* T_fourLayerTM3_TM4_r10 */
static int hf_lte_rrc_intraBandContiguousCC_InfoList_r12 = -1;  /* SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12 */
static int hf_lte_rrc_intraBandContiguousCC_InfoList_r12_item = -1;  /* IntraBandContiguousCC_Info_r12 */
static int hf_lte_rrc_ca_BandwidthClassDL_r13 = -1;  /* CA_BandwidthClass_r10 */
static int hf_lte_rrc_supportedMIMO_CapabilityDL_r13 = -1;  /* MIMO_CapabilityDL_r10 */
static int hf_lte_rrc_fourLayerTM3_TM4_r13 = -1;  /* T_fourLayerTM3_TM4_r13 */
static int hf_lte_rrc_intraBandContiguousCC_InfoList_r13 = -1;  /* SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12 */
static int hf_lte_rrc_intraBandContiguousCC_InfoList_r13_item = -1;  /* IntraBandContiguousCC_Info_r12 */
static int hf_lte_rrc_fourLayerTM3_TM4_perCC_r12 = -1;  /* T_fourLayerTM3_TM4_perCC_r12 */
static int hf_lte_rrc_supportedMIMO_CapabilityDL_r12 = -1;  /* MIMO_CapabilityDL_r10 */
static int hf_lte_rrc_supportedCSI_Proc_r12 = -1;  /* T_supportedCSI_Proc_r12 */
static int hf_lte_rrc_must_TM234_UpTo2Tx_r14 = -1;  /* T_must_TM234_UpTo2Tx_r14 */
static int hf_lte_rrc_must_TM89_UpToOneInterferingLayer_r14 = -1;  /* T_must_TM89_UpToOneInterferingLayer_r14 */
static int hf_lte_rrc_must_TM10_UpToOneInterferingLayer_r14 = -1;  /* T_must_TM10_UpToOneInterferingLayer_r14 */
static int hf_lte_rrc_must_TM89_UpToThreeInterferingLayers_r14 = -1;  /* T_must_TM89_UpToThreeInterferingLayers_r14 */
static int hf_lte_rrc_must_TM10_UpToThreeInterferingLayers_r14 = -1;  /* T_must_TM10_UpToThreeInterferingLayers_r14 */
static int hf_lte_rrc_SupportedBandListEUTRA_item = -1;  /* SupportedBandEUTRA */
static int hf_lte_rrc_SupportedBandListEUTRA_v9e0_item = -1;  /* SupportedBandEUTRA_v9e0 */
static int hf_lte_rrc_SupportedBandListEUTRA_v1250_item = -1;  /* SupportedBandEUTRA_v1250 */
static int hf_lte_rrc_SupportedBandListEUTRA_v1310_item = -1;  /* SupportedBandEUTRA_v1310 */
static int hf_lte_rrc_SupportedBandListEUTRA_v1320_item = -1;  /* SupportedBandEUTRA_v1320 */
static int hf_lte_rrc_bandEUTRA = -1;             /* FreqBandIndicator */
static int hf_lte_rrc_halfDuplex = -1;            /* BOOLEAN */
static int hf_lte_rrc_bandEUTRA_v9e0 = -1;        /* FreqBandIndicator_v9e0 */
static int hf_lte_rrc_dl_256QAM_r12 = -1;         /* T_dl_256QAM_r12 */
static int hf_lte_rrc_ul_64QAM_r12 = -1;          /* T_ul_64QAM_r12 */
static int hf_lte_rrc_ue_PowerClass_5_r13 = -1;   /* T_ue_PowerClass_5_r13 */
static int hf_lte_rrc_intraFreq_CE_NeedForGaps_r13 = -1;  /* T_intraFreq_CE_NeedForGaps_r13 */
static int hf_lte_rrc_ue_PowerClass_N_r13 = -1;   /* T_ue_PowerClass_N_r13 */
static int hf_lte_rrc_bandListEUTRA = -1;         /* BandListEUTRA */
static int hf_lte_rrc_bandCombinationListEUTRA_r10 = -1;  /* BandCombinationListEUTRA_r10 */
static int hf_lte_rrc_rsrqMeasWideband_r11 = -1;  /* T_rsrqMeasWideband_r11 */
static int hf_lte_rrc_benefitsFromInterruption_r11 = -1;  /* T_benefitsFromInterruption_r11 */
static int hf_lte_rrc_timerT312_r12 = -1;         /* T_timerT312_r12 */
static int hf_lte_rrc_alternativeTimeToTrigger_r12_01 = -1;  /* T_alternativeTimeToTrigger_r12_01 */
static int hf_lte_rrc_incMonEUTRA_r12 = -1;       /* T_incMonEUTRA_r12 */
static int hf_lte_rrc_incMonUTRA_r12 = -1;        /* T_incMonUTRA_r12 */
static int hf_lte_rrc_extendedMaxMeasId_r12 = -1;  /* T_extendedMaxMeasId_r12 */
static int hf_lte_rrc_extendedRSRQ_LowerRange_r12 = -1;  /* T_extendedRSRQ_LowerRange_r12 */
static int hf_lte_rrc_rsrq_OnAllSymbols_r12 = -1;  /* T_rsrq_OnAllSymbols_r12 */
static int hf_lte_rrc_crs_DiscoverySignalsMeas_r12 = -1;  /* T_crs_DiscoverySignalsMeas_r12 */
static int hf_lte_rrc_csi_RS_DiscoverySignalsMeas_r12 = -1;  /* T_csi_RS_DiscoverySignalsMeas_r12 */
static int hf_lte_rrc_rs_SINR_Meas_r13 = -1;      /* T_rs_SINR_Meas_r13 */
static int hf_lte_rrc_whiteCellList_r13 = -1;     /* T_whiteCellList_r13 */
static int hf_lte_rrc_extendedMaxObjectId_r13 = -1;  /* T_extendedMaxObjectId_r13 */
static int hf_lte_rrc_ul_PDCP_Delay_r13 = -1;     /* T_ul_PDCP_Delay_r13 */
static int hf_lte_rrc_extendedFreqPriorities_r13 = -1;  /* T_extendedFreqPriorities_r13 */
static int hf_lte_rrc_multiBandInfoReport_r13 = -1;  /* T_multiBandInfoReport_r13 */
static int hf_lte_rrc_rssi_AndChannelOccupancyReporting_r13 = -1;  /* T_rssi_AndChannelOccupancyReporting_r13 */
static int hf_lte_rrc_ceMeasurements_r14 = -1;    /* T_ceMeasurements_r14 */
static int hf_lte_rrc_ncsg_r14 = -1;              /* T_ncsg_r14 */
static int hf_lte_rrc_shortMeasurementGap_r14 = -1;  /* T_shortMeasurementGap_r14 */
static int hf_lte_rrc_perServingCellMeasurementGap_r14 = -1;  /* T_perServingCellMeasurementGap_r14 */
static int hf_lte_rrc_nonUniformGap_r14 = -1;     /* T_nonUniformGap_r14 */
static int hf_lte_rrc_BandListEUTRA_item = -1;    /* BandInfoEUTRA */
static int hf_lte_rrc_BandCombinationListEUTRA_r10_item = -1;  /* BandInfoEUTRA */
static int hf_lte_rrc_interFreqBandList = -1;     /* InterFreqBandList */
static int hf_lte_rrc_interRAT_BandList = -1;     /* InterRAT_BandList */
static int hf_lte_rrc_InterFreqBandList_item = -1;  /* InterFreqBandInfo */
static int hf_lte_rrc_interFreqNeedForGaps = -1;  /* BOOLEAN */
static int hf_lte_rrc_InterRAT_BandList_item = -1;  /* InterRAT_BandInfo */
static int hf_lte_rrc_interRAT_NeedForGaps = -1;  /* BOOLEAN */
static int hf_lte_rrc_en_DC_r15 = -1;             /* T_en_DC_r15 */
static int hf_lte_rrc_supportedBandListNR_r15 = -1;  /* SupportedBandListNR_r15 */
static int hf_lte_rrc_pdcp_ParametersNR_r15 = -1;  /* PDCP_ParametersNR_r15 */
static int hf_lte_rrc_rohc_Profiles_r15 = -1;     /* T_rohc_Profiles_r15 */
static int hf_lte_rrc_profile0x0001_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_profile0x0002_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_profile0x0003_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_profile0x0004_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_profile0x0006_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_profile0x0101_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_profile0x0102_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_profile0x0103_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_profile0x0104_r15 = -1;     /* BOOLEAN */
static int hf_lte_rrc_rohc_ContextMaxSessions_r15 = -1;  /* T_rohc_ContextMaxSessions_r15 */
static int hf_lte_rrc_rohc_ProfilesUL_Only_r15 = -1;  /* T_rohc_ProfilesUL_Only_r15 */
static int hf_lte_rrc_rohc_ContextContinue_r15 = -1;  /* T_rohc_ContextContinue_r15 */
static int hf_lte_rrc_outOfOrderDelivery_r15 = -1;  /* T_outOfOrderDelivery_r15 */
static int hf_lte_rrc_sn_SizeLo_r15 = -1;         /* T_sn_SizeLo_r15 */
static int hf_lte_rrc_voice_r15 = -1;             /* T_voice_r15 */
static int hf_lte_rrc_SupportedBandListNR_r15_item = -1;  /* SupportedBandNR_r15 */
static int hf_lte_rrc_bandNR_r15 = -1;            /* FreqBandIndicatorNR_r15 */
static int hf_lte_rrc_supportedBandListUTRA_FDD = -1;  /* SupportedBandListUTRA_FDD */
static int hf_lte_rrc_e_RedirectionUTRA_r9 = -1;  /* T_e_RedirectionUTRA_r9 */
static int hf_lte_rrc_voiceOverPS_HS_UTRA_FDD_r9 = -1;  /* T_voiceOverPS_HS_UTRA_FDD_r9 */
static int hf_lte_rrc_voiceOverPS_HS_UTRA_TDD128_r9 = -1;  /* T_voiceOverPS_HS_UTRA_TDD128_r9 */
static int hf_lte_rrc_srvcc_FromUTRA_FDD_ToUTRA_FDD_r9 = -1;  /* T_srvcc_FromUTRA_FDD_ToUTRA_FDD_r9 */
static int hf_lte_rrc_srvcc_FromUTRA_FDD_ToGERAN_r9 = -1;  /* T_srvcc_FromUTRA_FDD_ToGERAN_r9 */
static int hf_lte_rrc_srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9 = -1;  /* T_srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9 */
static int hf_lte_rrc_srvcc_FromUTRA_TDD128_ToGERAN_r9 = -1;  /* T_srvcc_FromUTRA_TDD128_ToGERAN_r9 */
static int hf_lte_rrc_mfbi_UTRA_r9 = -1;          /* T_mfbi_UTRA_r9 */
static int hf_lte_rrc_SupportedBandListUTRA_FDD_item = -1;  /* SupportedBandUTRA_FDD */
static int hf_lte_rrc_supportedBandListUTRA_TDD128 = -1;  /* SupportedBandListUTRA_TDD128 */
static int hf_lte_rrc_SupportedBandListUTRA_TDD128_item = -1;  /* SupportedBandUTRA_TDD128 */
static int hf_lte_rrc_supportedBandListUTRA_TDD384 = -1;  /* SupportedBandListUTRA_TDD384 */
static int hf_lte_rrc_SupportedBandListUTRA_TDD384_item = -1;  /* SupportedBandUTRA_TDD384 */
static int hf_lte_rrc_supportedBandListUTRA_TDD768 = -1;  /* SupportedBandListUTRA_TDD768 */
static int hf_lte_rrc_SupportedBandListUTRA_TDD768_item = -1;  /* SupportedBandUTRA_TDD768 */
static int hf_lte_rrc_e_RedirectionUTRA_TDD_r10 = -1;  /* T_e_RedirectionUTRA_TDD_r10 */
static int hf_lte_rrc_supportedBandListGERAN = -1;  /* SupportedBandListGERAN */
static int hf_lte_rrc_interRAT_PS_HO_ToGERAN = -1;  /* BOOLEAN */
static int hf_lte_rrc_dtm_r9 = -1;                /* T_dtm_r9 */
static int hf_lte_rrc_e_RedirectionGERAN_r9 = -1;  /* T_e_RedirectionGERAN_r9 */
static int hf_lte_rrc_SupportedBandListGERAN_item = -1;  /* SupportedBandGERAN */
static int hf_lte_rrc_supportedBandListHRPD = -1;  /* SupportedBandListHRPD */
static int hf_lte_rrc_tx_ConfigHRPD = -1;         /* T_tx_ConfigHRPD */
static int hf_lte_rrc_rx_ConfigHRPD = -1;         /* T_rx_ConfigHRPD */
static int hf_lte_rrc_SupportedBandListHRPD_item = -1;  /* BandclassCDMA2000 */
static int hf_lte_rrc_supportedBandList1XRTT = -1;  /* SupportedBandList1XRTT */
static int hf_lte_rrc_tx_Config1XRTT = -1;        /* T_tx_Config1XRTT */
static int hf_lte_rrc_rx_Config1XRTT = -1;        /* T_rx_Config1XRTT */
static int hf_lte_rrc_e_CSFB_1XRTT_r9 = -1;       /* T_e_CSFB_1XRTT_r9 */
static int hf_lte_rrc_e_CSFB_ConcPS_Mob1XRTT_r9 = -1;  /* T_e_CSFB_ConcPS_Mob1XRTT_r9 */
static int hf_lte_rrc_e_CSFB_dual_1XRTT_r10 = -1;  /* T_e_CSFB_dual_1XRTT_r10 */
static int hf_lte_rrc_cdma2000_NW_Sharing_r11 = -1;  /* T_cdma2000_NW_Sharing_r11 */
static int hf_lte_rrc_SupportedBandList1XRTT_item = -1;  /* BandclassCDMA2000 */
static int hf_lte_rrc_supportedBandListWLAN_r13 = -1;  /* SupportedBandListWLAN_r13 */
static int hf_lte_rrc_supportedBandListWLAN_r13_item = -1;  /* WLAN_BandIndicator_r13 */
static int hf_lte_rrc_intraFreqProximityIndication_r9 = -1;  /* T_intraFreqProximityIndication_r9 */
static int hf_lte_rrc_interFreqProximityIndication_r9 = -1;  /* T_interFreqProximityIndication_r9 */
static int hf_lte_rrc_utran_ProximityIndication_r9 = -1;  /* T_utran_ProximityIndication_r9 */
static int hf_lte_rrc_intraFreqSI_AcquisitionForHO_r9 = -1;  /* T_intraFreqSI_AcquisitionForHO_r9 */
static int hf_lte_rrc_interFreqSI_AcquisitionForHO_r9 = -1;  /* T_interFreqSI_AcquisitionForHO_r9 */
static int hf_lte_rrc_utran_SI_AcquisitionForHO_r9 = -1;  /* T_utran_SI_AcquisitionForHO_r9 */
static int hf_lte_rrc_rach_Report_r9_01 = -1;     /* T_rach_Report_r9_01 */
static int hf_lte_rrc_loggedMeasurementsIdle_r10 = -1;  /* T_loggedMeasurementsIdle_r10 */
static int hf_lte_rrc_standaloneGNSS_Location_r10 = -1;  /* T_standaloneGNSS_Location_r10 */
static int hf_lte_rrc_loggedMBSFNMeasurements_r12 = -1;  /* T_loggedMBSFNMeasurements_r12 */
static int hf_lte_rrc_locationReport_r14 = -1;    /* T_locationReport_r14 */
static int hf_lte_rrc_otdoa_UE_Assisted_r10 = -1;  /* T_otdoa_UE_Assisted_r10 */
static int hf_lte_rrc_interFreqRSTD_Measurement_r10 = -1;  /* T_interFreqRSTD_Measurement_r10 */
static int hf_lte_rrc_inDeviceCoexInd_r11 = -1;   /* T_inDeviceCoexInd_r11 */
static int hf_lte_rrc_powerPrefInd_r11 = -1;      /* T_powerPrefInd_r11 */
static int hf_lte_rrc_ue_Rx_TxTimeDiffMeasurements_r11 = -1;  /* T_ue_Rx_TxTimeDiffMeasurements_r11 */
static int hf_lte_rrc_inDeviceCoexInd_UL_CA_r11 = -1;  /* T_inDeviceCoexInd_UL_CA_r11 */
static int hf_lte_rrc_inDeviceCoexInd_HardwareSharingInd_r13 = -1;  /* T_inDeviceCoexInd_HardwareSharingInd_r13 */
static int hf_lte_rrc_bwPrefInd_r14 = -1;         /* T_bwPrefInd_r14 */
static int hf_lte_rrc_rlm_ReportSupport_r14 = -1;  /* T_rlm_ReportSupport_r14 */
static int hf_lte_rrc_overheatingInd_r14 = -1;    /* T_overheatingInd_r14 */
static int hf_lte_rrc_mbms_SCell_r11 = -1;        /* T_mbms_SCell_r11 */
static int hf_lte_rrc_mbms_NonServingCell_r11 = -1;  /* T_mbms_NonServingCell_r11 */
static int hf_lte_rrc_mbms_AsyncDC_r12 = -1;      /* T_mbms_AsyncDC_r12 */
static int hf_lte_rrc_fembmsDedicatedCell_r14 = -1;  /* T_fembmsDedicatedCell_r14 */
static int hf_lte_rrc_fembmsMixedCell_r14 = -1;   /* T_fembmsMixedCell_r14 */
static int hf_lte_rrc_subcarrierSpacingMBMS_khz7dot5_r14 = -1;  /* T_subcarrierSpacingMBMS_khz7dot5_r14 */
static int hf_lte_rrc_subcarrierSpacingMBMS_khz1dot25_r14 = -1;  /* T_subcarrierSpacingMBMS_khz1dot25_r14 */
static int hf_lte_rrc_unicast_fembmsMixedSCell_r14 = -1;  /* T_unicast_fembmsMixedSCell_r14 */
static int hf_lte_rrc_emptyUnicastRegion_r14 = -1;  /* T_emptyUnicastRegion_r14 */
static int hf_lte_rrc_scptm_ParallelReception_r13 = -1;  /* T_scptm_ParallelReception_r13 */
static int hf_lte_rrc_scptm_SCell_r13 = -1;       /* T_scptm_SCell_r13 */
static int hf_lte_rrc_scptm_NonServingCell_r13 = -1;  /* T_scptm_NonServingCell_r13 */
static int hf_lte_rrc_scptm_AsyncDC_r13 = -1;     /* T_scptm_AsyncDC_r13 */
static int hf_lte_rrc_ce_ModeA_r13 = -1;          /* T_ce_ModeA_r13 */
static int hf_lte_rrc_ce_ModeB_r13_01 = -1;       /* T_ce_ModeB_r13_01 */
static int hf_lte_rrc_intraFreqA3_CE_ModeA_r13 = -1;  /* T_intraFreqA3_CE_ModeA_r13 */
static int hf_lte_rrc_intraFreqA3_CE_ModeB_r13 = -1;  /* T_intraFreqA3_CE_ModeB_r13 */
static int hf_lte_rrc_intraFreqHO_CE_ModeA_r13 = -1;  /* T_intraFreqHO_CE_ModeA_r13 */
static int hf_lte_rrc_intraFreqHO_CE_ModeB_r13 = -1;  /* T_intraFreqHO_CE_ModeB_r13 */
static int hf_lte_rrc_unicastFrequencyHopping_r13 = -1;  /* T_unicastFrequencyHopping_r13 */
static int hf_lte_rrc_tm9_CE_ModeA_r13 = -1;      /* T_tm9_CE_ModeA_r13 */
static int hf_lte_rrc_tm9_CE_ModeB_r13 = -1;      /* T_tm9_CE_ModeB_r13 */
static int hf_lte_rrc_tm6_CE_ModeA_r13 = -1;      /* T_tm6_CE_ModeA_r13 */
static int hf_lte_rrc_ce_SwitchWithoutHO_r14 = -1;  /* T_ce_SwitchWithoutHO_r14 */
static int hf_lte_rrc_crossCarrierSchedulingLAA_DL_r13 = -1;  /* T_crossCarrierSchedulingLAA_DL_r13 */
static int hf_lte_rrc_csi_RS_DRS_RRM_MeasurementsLAA_r13 = -1;  /* T_csi_RS_DRS_RRM_MeasurementsLAA_r13 */
static int hf_lte_rrc_downlinkLAA_r13 = -1;       /* T_downlinkLAA_r13 */
static int hf_lte_rrc_endingDwPTS_r13 = -1;       /* T_endingDwPTS_r13 */
static int hf_lte_rrc_secondSlotStartingPosition_r13 = -1;  /* T_secondSlotStartingPosition_r13 */
static int hf_lte_rrc_tm9_LAA_r13 = -1;           /* T_tm9_LAA_r13 */
static int hf_lte_rrc_tm10_LAA_r13 = -1;          /* T_tm10_LAA_r13 */
static int hf_lte_rrc_crossCarrierSchedulingLAA_UL_r14 = -1;  /* T_crossCarrierSchedulingLAA_UL_r14 */
static int hf_lte_rrc_uplinkLAA_r14 = -1;         /* T_uplinkLAA_r14 */
static int hf_lte_rrc_twoStepSchedulingTimingInfo_r14 = -1;  /* T_twoStepSchedulingTimingInfo_r14 */
static int hf_lte_rrc_uss_BlindDecodingAdjustment_r14 = -1;  /* T_uss_BlindDecodingAdjustment_r14 */
static int hf_lte_rrc_uss_BlindDecodingReduction_r14 = -1;  /* T_uss_BlindDecodingReduction_r14 */
static int hf_lte_rrc_outOfSequenceGrantHandling_r14 = -1;  /* T_outOfSequenceGrantHandling_r14 */
static int hf_lte_rrc_wlan_IW_RAN_Rules_r12 = -1;  /* T_wlan_IW_RAN_Rules_r12 */
static int hf_lte_rrc_wlan_IW_ANDSF_Policies_r12 = -1;  /* T_wlan_IW_ANDSF_Policies_r12 */
static int hf_lte_rrc_lwa_r13 = -1;               /* T_lwa_r13 */
static int hf_lte_rrc_lwa_SplitBearer_r13 = -1;   /* T_lwa_SplitBearer_r13 */
static int hf_lte_rrc_wlan_MAC_Address_r13 = -1;  /* OCTET_STRING_SIZE_6 */
static int hf_lte_rrc_lwa_BufferSize_r13 = -1;    /* T_lwa_BufferSize_r13 */
static int hf_lte_rrc_lwa_HO_WithoutWT_Change_r14 = -1;  /* T_lwa_HO_WithoutWT_Change_r14 */
static int hf_lte_rrc_lwa_UL_r14 = -1;            /* T_lwa_UL_r14 */
static int hf_lte_rrc_wlan_PeriodicMeas_r14 = -1;  /* T_wlan_PeriodicMeas_r14 */
static int hf_lte_rrc_wlan_ReportAnyWLAN_r14 = -1;  /* T_wlan_ReportAnyWLAN_r14 */
static int hf_lte_rrc_wlan_SupportedDataRate_r14 = -1;  /* INTEGER_1_2048 */
static int hf_lte_rrc_lwa_RLC_UM_r14 = -1;        /* T_lwa_RLC_UM_r14 */
static int hf_lte_rrc_rclwi_r13 = -1;             /* T_rclwi_r13 */
static int hf_lte_rrc_lwip_r13 = -1;              /* T_lwip_r13 */
static int hf_lte_rrc_lwip_Aggregation_DL_r14 = -1;  /* T_lwip_Aggregation_DL_r14 */
static int hf_lte_rrc_lwip_Aggregation_UL_r14 = -1;  /* T_lwip_Aggregation_UL_r14 */
static int hf_lte_rrc_NAICS_Capability_List_r12_item = -1;  /* NAICS_Capability_Entry_r12 */
static int hf_lte_rrc_numberOfNAICS_CapableCC_r12 = -1;  /* INTEGER_1_5 */
static int hf_lte_rrc_numberOfAggregatedPRB_r12 = -1;  /* T_numberOfAggregatedPRB_r12 */
static int hf_lte_rrc_commSimultaneousTx_r12 = -1;  /* T_commSimultaneousTx_r12 */
static int hf_lte_rrc_commSupportedBands_r12 = -1;  /* FreqBandIndicatorListEUTRA_r12 */
static int hf_lte_rrc_discSupportedBands_r12 = -1;  /* SupportedBandInfoList_r12 */
static int hf_lte_rrc_discScheduledResourceAlloc_r12 = -1;  /* T_discScheduledResourceAlloc_r12 */
static int hf_lte_rrc_disc_UE_SelectedResourceAlloc_r12 = -1;  /* T_disc_UE_SelectedResourceAlloc_r12 */
static int hf_lte_rrc_disc_SLSS_r12 = -1;         /* T_disc_SLSS_r12 */
static int hf_lte_rrc_discSupportedProc_r12 = -1;  /* T_discSupportedProc_r12 */
static int hf_lte_rrc_discSysInfoReporting_r13 = -1;  /* T_discSysInfoReporting_r13 */
static int hf_lte_rrc_commMultipleTx_r13 = -1;    /* T_commMultipleTx_r13 */
static int hf_lte_rrc_discInterFreqTx_r13 = -1;   /* T_discInterFreqTx_r13 */
static int hf_lte_rrc_discPeriodicSLSS_r13 = -1;  /* T_discPeriodicSLSS_r13 */
static int hf_lte_rrc_zoneBasedPoolSelection_r14 = -1;  /* T_zoneBasedPoolSelection_r14 */
static int hf_lte_rrc_ue_AutonomousWithFullSensing_r14 = -1;  /* T_ue_AutonomousWithFullSensing_r14 */
static int hf_lte_rrc_ue_AutonomousWithPartialSensing_r14 = -1;  /* T_ue_AutonomousWithPartialSensing_r14 */
static int hf_lte_rrc_sl_CongestionControl_r14 = -1;  /* T_sl_CongestionControl_r14 */
static int hf_lte_rrc_v2x_TxWithShortResvInterval_r14 = -1;  /* T_v2x_TxWithShortResvInterval_r14 */
static int hf_lte_rrc_v2x_numberTxRxTiming_r14 = -1;  /* INTEGER_1_16 */
static int hf_lte_rrc_v2x_nonAdjacentPSCCH_PSSCH_r14 = -1;  /* T_v2x_nonAdjacentPSCCH_PSSCH_r14 */
static int hf_lte_rrc_slss_TxRx_r14 = -1;         /* T_slss_TxRx_r14 */
static int hf_lte_rrc_v2x_SupportedBandCombinationList_r14 = -1;  /* V2X_SupportedBandCombination_r14 */
static int hf_lte_rrc_V2X_SupportedBandCombination_r14_item = -1;  /* V2X_BandCombinationParameters_r14 */
static int hf_lte_rrc_V2X_BandCombinationParameters_r14_item = -1;  /* V2X_BandParameters_r14 */
static int hf_lte_rrc_SupportedBandInfoList_r12_item = -1;  /* SupportedBandInfo_r12 */
static int hf_lte_rrc_support_r12 = -1;           /* T_support_r12 */
static int hf_lte_rrc_FreqBandIndicatorListEUTRA_r12_item = -1;  /* FreqBandIndicator_r11 */
static int hf_lte_rrc_delayBudgetReporting_r14 = -1;  /* T_delayBudgetReporting_r14 */
static int hf_lte_rrc_pusch_Enhancements_r14 = -1;  /* T_pusch_Enhancements_r14 */
static int hf_lte_rrc_recommendedBitRate_r14 = -1;  /* T_recommendedBitRate_r14 */
static int hf_lte_rrc_recommendedBitRateQuery_r14 = -1;  /* T_recommendedBitRateQuery_r14 */
static int hf_lte_rrc_retuningInfo = -1;          /* T_retuningInfo */
static int hf_lte_rrc_rf_RetuningTimeDL_r14 = -1;  /* T_rf_RetuningTimeDL_r14 */
static int hf_lte_rrc_rf_RetuningTimeUL_r14 = -1;  /* T_rf_RetuningTimeUL_r14 */
static int hf_lte_rrc_measurementEnhancements_r14 = -1;  /* T_measurementEnhancements_r14 */
static int hf_lte_rrc_demodulationEnhancements_r14 = -1;  /* T_demodulationEnhancements_r14 */
static int hf_lte_rrc_prach_Enhancements_r14 = -1;  /* T_prach_Enhancements_r14 */
static int hf_lte_rrc_ue_Category_v1250 = -1;     /* INTEGER_0 */
static int hf_lte_rrc_ue_CategoryDL_v1310_01 = -1;  /* T_ue_CategoryDL_v1310_01 */
static int hf_lte_rrc_ce_ModeA_r13_01 = -1;       /* T_ce_ModeA_r13_01 */
static int hf_lte_rrc_ce_ModeB_r13_02 = -1;       /* T_ce_ModeB_r13_02 */
static int hf_lte_rrc_t300 = -1;                  /* T_t300 */
static int hf_lte_rrc_t301 = -1;                  /* T_t301 */
static int hf_lte_rrc_t310 = -1;                  /* T_t310 */
static int hf_lte_rrc_n310 = -1;                  /* T_n310 */
static int hf_lte_rrc_t311 = -1;                  /* T_t311 */
static int hf_lte_rrc_n311 = -1;                  /* T_n311 */
static int hf_lte_rrc_t300_v1310 = -1;            /* T_t300_v1310 */
static int hf_lte_rrc_t301_v1310_01 = -1;         /* T_t301_v1310_01 */
static int hf_lte_rrc_t310_v1330_01 = -1;         /* T_t310_v1330_01 */
static int hf_lte_rrc_VisitedCellInfoList_r12_item = -1;  /* VisitedCellInfo_r12 */
static int hf_lte_rrc_visitedCellId_r12 = -1;     /* T_visitedCellId_r12 */
static int hf_lte_rrc_cellGlobalId_r12 = -1;      /* CellGlobalIdEUTRA */
static int hf_lte_rrc_pci_arfcn_r12 = -1;         /* T_pci_arfcn_r12 */
static int hf_lte_rrc_timeSpent_r12 = -1;         /* INTEGER_0_4095 */
static int hf_lte_rrc_thresholdRSRP_r12 = -1;     /* T_thresholdRSRP_r12 */
static int hf_lte_rrc_thresholdRSRP_Low_r12 = -1;  /* RSRP_Range */
static int hf_lte_rrc_thresholdRSRP_High_r12 = -1;  /* RSRP_Range */
static int hf_lte_rrc_thresholdRSRQ_r12 = -1;     /* T_thresholdRSRQ_r12 */
static int hf_lte_rrc_thresholdRSRQ_Low_r12 = -1;  /* RSRQ_Range */
static int hf_lte_rrc_thresholdRSRQ_High_r12 = -1;  /* RSRQ_Range */
static int hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_r12 = -1;  /* T_thresholdRSRQ_OnAllSymbolsWithWB_r12 */
static int hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_Low_r12 = -1;  /* RSRQ_Range */
static int hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_High_r12 = -1;  /* RSRQ_Range */
static int hf_lte_rrc_thresholdRSRQ_OnAllSymbols_r12 = -1;  /* T_thresholdRSRQ_OnAllSymbols_r12 */
static int hf_lte_rrc_thresholdRSRQ_OnAllSymbolsLow_r12 = -1;  /* RSRQ_Range */
static int hf_lte_rrc_thresholdRSRQ_OnAllSymbolsHigh_r12 = -1;  /* RSRQ_Range */
static int hf_lte_rrc_thresholdRSRQ_WB_r12 = -1;  /* T_thresholdRSRQ_WB_r12 */
static int hf_lte_rrc_thresholdRSRQ_WB_Low_r12 = -1;  /* RSRQ_Range */
static int hf_lte_rrc_thresholdRSRQ_WB_High_r12 = -1;  /* RSRQ_Range */
static int hf_lte_rrc_thresholdChannelUtilization_r12 = -1;  /* T_thresholdChannelUtilization_r12 */
static int hf_lte_rrc_thresholdChannelUtilizationLow_r12 = -1;  /* T_thresholdChannelUtilizationLow_r12 */
static int hf_lte_rrc_thresholdChannelUtilizationHigh_r12 = -1;  /* T_thresholdChannelUtilizationHigh_r12 */
static int hf_lte_rrc_thresholdBackhaul_Bandwidth_r12 = -1;  /* T_thresholdBackhaul_Bandwidth_r12 */
static int hf_lte_rrc_thresholdBackhaulDL_BandwidthLow_r12 = -1;  /* WLAN_backhaulRate_r12 */
static int hf_lte_rrc_thresholdBackhaulDL_BandwidthHigh_r12 = -1;  /* WLAN_backhaulRate_r12 */
static int hf_lte_rrc_thresholdBackhaulUL_BandwidthLow_r12 = -1;  /* WLAN_backhaulRate_r12 */
static int hf_lte_rrc_thresholdBackhaulUL_BandwidthHigh_r12 = -1;  /* WLAN_backhaulRate_r12 */
static int hf_lte_rrc_thresholdWLAN_RSSI_r12 = -1;  /* T_thresholdWLAN_RSSI_r12 */
static int hf_lte_rrc_thresholdWLAN_RSSI_Low_r12 = -1;  /* INTEGER_0_255 */
static int hf_lte_rrc_thresholdWLAN_RSSI_High_r12 = -1;  /* INTEGER_0_255 */
static int hf_lte_rrc_offloadPreferenceIndicator_r12 = -1;  /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_t_SteeringWLAN_r12 = -1;    /* T_Reselection */
static int hf_lte_rrc_notificationRepetitionCoeff_r9 = -1;  /* T_notificationRepetitionCoeff_r9 */
static int hf_lte_rrc_notificationOffset_r9 = -1;  /* INTEGER_0_10 */
static int hf_lte_rrc_notificationSF_Index_r9 = -1;  /* INTEGER_1_6 */
static int hf_lte_rrc_notificationSF_Index_v1430 = -1;  /* INTEGER_7_10 */
static int hf_lte_rrc_MBMS_ServiceList_r13_item = -1;  /* MBMS_ServiceInfo_r13 */
static int hf_lte_rrc_tmgi_r13 = -1;              /* TMGI_r9 */
static int hf_lte_rrc_MBSFN_AreaInfoList_r9_item = -1;  /* MBSFN_AreaInfo_r9 */
static int hf_lte_rrc_mbsfn_AreaId_r9 = -1;       /* MBSFN_AreaId_r12 */
static int hf_lte_rrc_non_MBSFNregionLength = -1;  /* T_non_MBSFNregionLength */
static int hf_lte_rrc_notificationIndicator_r9 = -1;  /* INTEGER_0_7 */
static int hf_lte_rrc_mcch_Config_r9 = -1;        /* T_mcch_Config_r9 */
static int hf_lte_rrc_mcch_RepetitionPeriod_r9 = -1;  /* T_mcch_RepetitionPeriod_r9 */
static int hf_lte_rrc_mcch_Offset_r9 = -1;        /* INTEGER_0_10 */
static int hf_lte_rrc_mcch_ModificationPeriod_r9 = -1;  /* T_mcch_ModificationPeriod_r9 */
static int hf_lte_rrc_sf_AllocInfo_r9 = -1;       /* BIT_STRING_SIZE_6 */
static int hf_lte_rrc_signallingMCS_r9 = -1;      /* T_signallingMCS_r9 */
static int hf_lte_rrc_mcch_Config_r14 = -1;       /* T_mcch_Config_r14 */
static int hf_lte_rrc_mcch_RepetitionPeriod_v1430 = -1;  /* T_mcch_RepetitionPeriod_v1430 */
static int hf_lte_rrc_mcch_ModificationPeriod_v1430 = -1;  /* T_mcch_ModificationPeriod_v1430 */
static int hf_lte_rrc_subcarrierSpacingMBMS_r14 = -1;  /* T_subcarrierSpacingMBMS_r14 */
static int hf_lte_rrc_radioframeAllocationPeriod = -1;  /* T_radioframeAllocationPeriod */
static int hf_lte_rrc_radioframeAllocationOffset = -1;  /* INTEGER_0_7 */
static int hf_lte_rrc_subframeAllocation = -1;    /* T_subframeAllocation */
static int hf_lte_rrc_oneFrame = -1;              /* BIT_STRING_SIZE_6 */
static int hf_lte_rrc_fourFrames = -1;            /* BIT_STRING_SIZE_24 */
static int hf_lte_rrc_subframeAllocation_v1430 = -1;  /* T_subframeAllocation_v1430 */
static int hf_lte_rrc_oneFrame_v1430 = -1;        /* BIT_STRING_SIZE_2 */
static int hf_lte_rrc_fourFrames_v1430 = -1;      /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_PMCH_InfoList_r9_item = -1;  /* PMCH_Info_r9 */
static int hf_lte_rrc_PMCH_InfoListExt_r12_item = -1;  /* PMCH_InfoExt_r12 */
static int hf_lte_rrc_pmch_Config_r9 = -1;        /* PMCH_Config_r9 */
static int hf_lte_rrc_mbms_SessionInfoList_r9 = -1;  /* MBMS_SessionInfoList_r9 */
static int hf_lte_rrc_pmch_Config_r12 = -1;       /* PMCH_Config_r12 */
static int hf_lte_rrc_mbms_SessionInfoList_r12 = -1;  /* MBMS_SessionInfoList_r9 */
static int hf_lte_rrc_MBMS_SessionInfoList_r9_item = -1;  /* MBMS_SessionInfo_r9 */
static int hf_lte_rrc_tmgi_r9 = -1;               /* TMGI_r9 */
static int hf_lte_rrc_sessionId_r9 = -1;          /* OCTET_STRING_SIZE_1 */
static int hf_lte_rrc_logicalChannelIdentity_r9 = -1;  /* INTEGER_0_maxSessionPerPMCH_1 */
static int hf_lte_rrc_sf_AllocEnd_r9 = -1;        /* INTEGER_0_1535 */
static int hf_lte_rrc_dataMCS_r9 = -1;            /* INTEGER_0_28 */
static int hf_lte_rrc_mch_SchedulingPeriod_r9 = -1;  /* T_mch_SchedulingPeriod_r9 */
static int hf_lte_rrc_sf_AllocEnd_r12 = -1;       /* INTEGER_0_1535 */
static int hf_lte_rrc_dataMCS_r12 = -1;           /* T_dataMCS_r12 */
static int hf_lte_rrc_normal_r12 = -1;            /* INTEGER_0_28 */
static int hf_lte_rrc_higerOrder_r12 = -1;        /* INTEGER_0_27 */
static int hf_lte_rrc_mch_SchedulingPeriod_r12 = -1;  /* T_mch_SchedulingPeriod_r12 */
static int hf_lte_rrc_mch_SchedulingPeriod_v1430 = -1;  /* T_mch_SchedulingPeriod_v1430 */
static int hf_lte_rrc_plmn_Id_r9 = -1;            /* T_plmn_Id_r9 */
static int hf_lte_rrc_plmn_Index_r9 = -1;         /* INTEGER_1_maxPLMN_r11 */
static int hf_lte_rrc_explicitValue_r9 = -1;      /* PLMN_Identity */
static int hf_lte_rrc_serviceId_r9 = -1;          /* OCTET_STRING_SIZE_3 */
static int hf_lte_rrc_SC_MTCH_InfoList_r13_item = -1;  /* SC_MTCH_Info_r13 */
static int hf_lte_rrc_mbmsSessionInfo_r13 = -1;   /* MBMSSessionInfo_r13 */
static int hf_lte_rrc_g_RNTI_r13 = -1;            /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_sc_mtch_schedulingInfo_r13 = -1;  /* SC_MTCH_SchedulingInfo_r13 */
static int hf_lte_rrc_sc_mtch_neighbourCell_r13 = -1;  /* BIT_STRING_SIZE_maxNeighCell_SCPTM_r13 */
static int hf_lte_rrc_p_a_r13 = -1;               /* T_p_a_r13 */
static int hf_lte_rrc_sessionId_r13 = -1;         /* OCTET_STRING_SIZE_1 */
static int hf_lte_rrc_onDurationTimerSCPTM_r13 = -1;  /* T_onDurationTimerSCPTM_r13 */
static int hf_lte_rrc_drx_InactivityTimerSCPTM_r13 = -1;  /* T_drx_InactivityTimerSCPTM_r13 */
static int hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r13 = -1;  /* T_schedulingPeriodStartOffsetSCPTM_r13 */
static int hf_lte_rrc_sf2048_02 = -1;             /* INTEGER_0_2048 */
static int hf_lte_rrc_sf4096_01 = -1;             /* INTEGER_0_4096 */
static int hf_lte_rrc_sf8192_01 = -1;             /* INTEGER_0_8192 */
static int hf_lte_rrc_SC_MTCH_InfoList_BR_r14_item = -1;  /* SC_MTCH_Info_BR_r14 */
static int hf_lte_rrc_sc_mtch_CarrierFreq_r14 = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_mbmsSessionInfo_r14 = -1;   /* MBMSSessionInfo_r13 */
static int hf_lte_rrc_g_RNTI_r14 = -1;            /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_sc_mtch_schedulingInfo_r14 = -1;  /* SC_MTCH_SchedulingInfo_BR_r14 */
static int hf_lte_rrc_sc_mtch_neighbourCell_r14 = -1;  /* BIT_STRING_SIZE_maxNeighCell_SCPTM_r13 */
static int hf_lte_rrc_mpdcch_Narrowband_SC_MTCH_r14 = -1;  /* INTEGER_1_maxAvailNarrowBands_r13 */
static int hf_lte_rrc_mpdcch_NumRepetition_SC_MTCH_r14 = -1;  /* T_mpdcch_NumRepetition_SC_MTCH_r14 */
static int hf_lte_rrc_mpdcch_StartSF_SC_MTCH_r14 = -1;  /* T_mpdcch_StartSF_SC_MTCH_r14 */
static int hf_lte_rrc_fdd_r14_01 = -1;            /* T_fdd_r14_01 */
static int hf_lte_rrc_tdd_r14_01 = -1;            /* T_tdd_r14_01 */
static int hf_lte_rrc_mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14 = -1;  /* T_mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14 */
static int hf_lte_rrc_mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14 = -1;  /* T_mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14 */
static int hf_lte_rrc_mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14 = -1;  /* T_mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14 */
static int hf_lte_rrc_mpdcch_Offset_SC_MTCH_r14 = -1;  /* T_mpdcch_Offset_SC_MTCH_r14 */
static int hf_lte_rrc_p_a_r14 = -1;               /* T_p_a_r14 */
static int hf_lte_rrc_onDurationTimerSCPTM_r14_01 = -1;  /* T_onDurationTimerSCPTM_r14_01 */
static int hf_lte_rrc_drx_InactivityTimerSCPTM_r14_01 = -1;  /* T_drx_InactivityTimerSCPTM_r14_01 */
static int hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_01 = -1;  /* T_schedulingPeriodStartOffsetSCPTM_r14_01 */
static int hf_lte_rrc_SCPTM_NeighbourCellList_r13_item = -1;  /* PCI_ARFCN_r13 */
static int hf_lte_rrc_carrierFreq_r13_02 = -1;    /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_SL_AnchorCarrierFreqList_V2X_r14_item = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_cbr_RangeCommonConfigList_r14 = -1;  /* SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14 */
static int hf_lte_rrc_cbr_RangeCommonConfigList_r14_item = -1;  /* SL_CBR_Levels_Config_r14 */
static int hf_lte_rrc_sl_CBR_PSSCH_TxConfigList_r14 = -1;  /* SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14 */
static int hf_lte_rrc_sl_CBR_PSSCH_TxConfigList_r14_item = -1;  /* SL_CBR_PSSCH_TxConfig_r14 */
static int hf_lte_rrc_SL_CBR_Levels_Config_r14_item = -1;  /* SL_CBR_r14 */
static int hf_lte_rrc_cr_Limit_r14 = -1;          /* INTEGER_0_10000 */
static int hf_lte_rrc_tx_Parameters_r14 = -1;     /* SL_PSSCH_TxParameters_r14 */
static int hf_lte_rrc_SL_CBR_PPPP_TxConfigList_r14_item = -1;  /* SL_PPPP_TxConfigIndex_r14 */
static int hf_lte_rrc_priorityThreshold_r14 = -1;  /* SL_Priority_r13 */
static int hf_lte_rrc_defaultTxConfigIndex_r14 = -1;  /* INTEGER_0_maxCBR_Level_1_r14 */
static int hf_lte_rrc_cbr_ConfigIndex_r14 = -1;   /* INTEGER_0_maxSL_V2X_CBRConfig_1_r14 */
static int hf_lte_rrc_tx_ConfigIndexList_r14 = -1;  /* SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14 */
static int hf_lte_rrc_tx_ConfigIndexList_r14_item = -1;  /* Tx_ConfigIndex_r14 */
static int hf_lte_rrc_commTxResources_r12 = -1;   /* T_commTxResources_r12 */
static int hf_lte_rrc_setup_131 = -1;             /* T_setup_115 */
static int hf_lte_rrc_scheduled_r12 = -1;         /* T_scheduled_r12 */
static int hf_lte_rrc_sl_RNTI_r12 = -1;           /* C_RNTI */
static int hf_lte_rrc_mac_MainConfig_r12 = -1;    /* MAC_MainConfigSL_r12 */
static int hf_lte_rrc_sc_CommTxConfig_r12 = -1;   /* SL_CommResourcePool_r12 */
static int hf_lte_rrc_mcs_r12 = -1;               /* INTEGER_0_28 */
static int hf_lte_rrc_ue_Selected_r12 = -1;       /* T_ue_Selected_r12 */
static int hf_lte_rrc_commTxPoolNormalDedicated_r12 = -1;  /* T_commTxPoolNormalDedicated_r12 */
static int hf_lte_rrc_poolToReleaseList_r12 = -1;  /* SL_TxPoolToReleaseList_r12 */
static int hf_lte_rrc_poolToAddModList_r12 = -1;  /* SL_CommTxPoolToAddModList_r12 */
static int hf_lte_rrc_commTxResources_v1310 = -1;  /* T_commTxResources_v1310 */
static int hf_lte_rrc_setup_132 = -1;             /* T_setup_116 */
static int hf_lte_rrc_scheduled_v1310 = -1;       /* T_scheduled_v1310 */
static int hf_lte_rrc_logicalChGroupInfoList_r13 = -1;  /* LogicalChGroupInfoList_r13 */
static int hf_lte_rrc_multipleTx_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_ue_Selected_v1310 = -1;     /* T_ue_Selected_v1310 */
static int hf_lte_rrc_commTxPoolNormalDedicatedExt_r13 = -1;  /* T_commTxPoolNormalDedicatedExt_r13 */
static int hf_lte_rrc_poolToReleaseListExt_r13 = -1;  /* SL_TxPoolToReleaseListExt_r13 */
static int hf_lte_rrc_poolToAddModListExt_r13 = -1;  /* SL_CommTxPoolToAddModListExt_r13 */
static int hf_lte_rrc_commTxAllowRelayDedicated_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_LogicalChGroupInfoList_r13_item = -1;  /* SL_PriorityList_r13 */
static int hf_lte_rrc_SL_CommTxPoolToAddModList_r12_item = -1;  /* SL_CommTxPoolToAddMod_r12 */
static int hf_lte_rrc_SL_CommTxPoolToAddModListExt_r13_item = -1;  /* SL_CommTxPoolToAddModExt_r13 */
static int hf_lte_rrc_poolIdentity_r12 = -1;      /* SL_TxPoolIdentity_r12 */
static int hf_lte_rrc_pool_r12 = -1;              /* SL_CommResourcePool_r12 */
static int hf_lte_rrc_poolIdentity_v1310 = -1;    /* SL_TxPoolIdentity_v1310 */
static int hf_lte_rrc_pool_r13 = -1;              /* SL_CommResourcePool_r12 */
static int hf_lte_rrc_periodic_BSR_TimerSL = -1;  /* PeriodicBSR_Timer_r12 */
static int hf_lte_rrc_retx_BSR_TimerSL = -1;      /* RetxBSR_Timer_r12 */
static int hf_lte_rrc_SL_CommTxPoolList_r12_item = -1;  /* SL_CommResourcePool_r12 */
static int hf_lte_rrc_SL_CommTxPoolListExt_r13_item = -1;  /* SL_CommResourcePool_r12 */
static int hf_lte_rrc_SL_CommTxPoolListV2X_r14_item = -1;  /* SL_CommResourcePoolV2X_r14 */
static int hf_lte_rrc_SL_CommRxPoolList_r12_item = -1;  /* SL_CommResourcePool_r12 */
static int hf_lte_rrc_SL_CommRxPoolListV2X_r14_item = -1;  /* SL_CommResourcePoolV2X_r14 */
static int hf_lte_rrc_sc_CP_Len_r12 = -1;         /* SL_CP_Len_r12 */
static int hf_lte_rrc_sc_Period_r12 = -1;         /* SL_PeriodComm_r12 */
static int hf_lte_rrc_sc_TF_ResourceConfig_r12 = -1;  /* SL_TF_ResourceConfig_r12 */
static int hf_lte_rrc_data_CP_Len_r12 = -1;       /* SL_CP_Len_r12 */
static int hf_lte_rrc_dataHoppingConfig_r12 = -1;  /* SL_HoppingConfigComm_r12 */
static int hf_lte_rrc_ue_SelectedResourceConfig_r12 = -1;  /* T_ue_SelectedResourceConfig_r12 */
static int hf_lte_rrc_data_TF_ResourceConfig_r12 = -1;  /* SL_TF_ResourceConfig_r12 */
static int hf_lte_rrc_trpt_Subset_r12 = -1;       /* SL_TRPT_Subset_r12 */
static int hf_lte_rrc_rxParametersNCell_r12 = -1;  /* T_rxParametersNCell_r12 */
static int hf_lte_rrc_tdd_Config_r12 = -1;        /* TDD_Config */
static int hf_lte_rrc_syncConfigIndex_r12 = -1;   /* INTEGER_0_15 */
static int hf_lte_rrc_txParameters_r12 = -1;      /* T_txParameters_r12 */
static int hf_lte_rrc_sc_TxParameters_r12 = -1;   /* SL_TxParameters_r12 */
static int hf_lte_rrc_dataTxParameters_r12 = -1;  /* SL_TxParameters_r12 */
static int hf_lte_rrc_priorityList_r13 = -1;      /* SL_PriorityList_r13 */
static int hf_lte_rrc_sl_OffsetIndicator_r14 = -1;  /* SL_OffsetIndicator_r12 */
static int hf_lte_rrc_sl_Subframe_r14 = -1;       /* SubframeBitmapSL_r14 */
static int hf_lte_rrc_adjacencyPSCCH_PSSCH_r14 = -1;  /* BOOLEAN */
static int hf_lte_rrc_sizeSubchannel_r14 = -1;    /* T_sizeSubchannel_r14 */
static int hf_lte_rrc_numSubchannel_r14 = -1;     /* T_numSubchannel_r14 */
static int hf_lte_rrc_startRB_Subchannel_r14 = -1;  /* INTEGER_0_99 */
static int hf_lte_rrc_startRB_PSCCH_Pool_r14 = -1;  /* INTEGER_0_99 */
static int hf_lte_rrc_rxParametersNCell_r14 = -1;  /* T_rxParametersNCell_r14 */
static int hf_lte_rrc_tdd_Config_r14 = -1;        /* TDD_Config */
static int hf_lte_rrc_syncConfigIndex_r14 = -1;   /* INTEGER_0_15 */
static int hf_lte_rrc_dataTxParameters_r14 = -1;  /* SL_TxParameters_r12 */
static int hf_lte_rrc_zoneID_r14 = -1;            /* INTEGER_0_7 */
static int hf_lte_rrc_threshS_RSSI_CBR_r14 = -1;  /* INTEGER_0_45 */
static int hf_lte_rrc_poolReportId_r14 = -1;      /* SL_V2X_TxPoolReportIdentity_r14 */
static int hf_lte_rrc_cbr_pssch_TxConfigList_r14 = -1;  /* SL_CBR_PPPP_TxConfigList_r14 */
static int hf_lte_rrc_resourceSelectionConfigP2X_r14 = -1;  /* SL_P2X_ResourceSelectionConfig_r14 */
static int hf_lte_rrc_syncAllowed_r14 = -1;       /* SL_SyncAllowed_r14 */
static int hf_lte_rrc_restrictResourceReservationPeriod_r14 = -1;  /* SL_RestrictResourceReservationPeriodList_r14 */
static int hf_lte_rrc_pssch_TxConfigList_r14 = -1;  /* SL_PSSCH_TxConfigList_r14 */
static int hf_lte_rrc_thresPSSCH_RSRP_List_r14 = -1;  /* SL_ThresPSSCH_RSRP_List_r14 */
static int hf_lte_rrc_probResourceKeep_r14 = -1;  /* T_probResourceKeep_r14 */
static int hf_lte_rrc_p2x_SensingConfig_r14 = -1;  /* T_p2x_SensingConfig_r14 */
static int hf_lte_rrc_minNumCandidateSF_r14 = -1;  /* INTEGER_1_13 */
static int hf_lte_rrc_gapCandidateSensing_r14 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_sl_ReselectAfter_r14 = -1;  /* T_sl_ReselectAfter_r14 */
static int hf_lte_rrc_discTxResources_r12 = -1;   /* T_discTxResources_r12 */
static int hf_lte_rrc_setup_133 = -1;             /* T_setup_117 */
static int hf_lte_rrc_scheduled_r12_01 = -1;      /* T_scheduled_r12_01 */
static int hf_lte_rrc_discTxConfig_r12 = -1;      /* SL_DiscResourcePool_r12 */
static int hf_lte_rrc_discTF_IndexList_r12 = -1;  /* SL_TF_IndexPairList_r12 */
static int hf_lte_rrc_discHoppingConfig_r12 = -1;  /* SL_HoppingConfigDisc_r12 */
static int hf_lte_rrc_ue_Selected_r12_01 = -1;    /* T_ue_Selected_r12_01 */
static int hf_lte_rrc_discTxPoolDedicated_r12 = -1;  /* T_discTxPoolDedicated_r12 */
static int hf_lte_rrc_poolToAddModList_r12_01 = -1;  /* SL_DiscTxPoolToAddModList_r12 */
static int hf_lte_rrc_discTF_IndexList_v1260 = -1;  /* T_discTF_IndexList_v1260 */
static int hf_lte_rrc_setup_134 = -1;             /* T_setup_118 */
static int hf_lte_rrc_discTF_IndexList_r12b = -1;  /* SL_TF_IndexPairList_r12b */
static int hf_lte_rrc_discTxResourcesPS_r13 = -1;  /* T_discTxResourcesPS_r13 */
static int hf_lte_rrc_setup_135 = -1;             /* T_setup_119 */
static int hf_lte_rrc_scheduled_r13 = -1;         /* SL_DiscTxConfigScheduled_r13 */
static int hf_lte_rrc_ue_Selected_r13 = -1;       /* T_ue_Selected_r13 */
static int hf_lte_rrc_discTxPoolPS_Dedicated_r13 = -1;  /* SL_DiscTxPoolDedicated_r13 */
static int hf_lte_rrc_discTxInterFreqInfo_r13 = -1;  /* T_discTxInterFreqInfo_r13 */
static int hf_lte_rrc_setup_136 = -1;             /* T_setup_120 */
static int hf_lte_rrc_discTxCarrierFreq_r13 = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_discTxRefCarrierDedicated_r13 = -1;  /* SL_DiscTxRefCarrierDedicated_r13 */
static int hf_lte_rrc_discTxInfoInterFreqListAdd_r13 = -1;  /* SL_DiscTxInfoInterFreqListAdd_r13 */
static int hf_lte_rrc_gapRequestsAllowedDedicated_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_discRxGapConfig_r13 = -1;   /* T_discRxGapConfig_r13 */
static int hf_lte_rrc_setup_137 = -1;             /* SL_GapConfig_r13 */
static int hf_lte_rrc_discTxGapConfig_r13 = -1;   /* T_discTxGapConfig_r13 */
static int hf_lte_rrc_discSysInfoToReportConfig_r13 = -1;  /* T_discSysInfoToReportConfig_r13 */
static int hf_lte_rrc_setup_138 = -1;             /* SL_DiscSysInfoToReportFreqList_r13 */
static int hf_lte_rrc_SL_DiscSysInfoToReportFreqList_r13_item = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_discTxFreqToAddModList_r13 = -1;  /* SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13 */
static int hf_lte_rrc_discTxFreqToAddModList_r13_item = -1;  /* SL_DiscTxResourceInfoPerFreq_r13 */
static int hf_lte_rrc_discTxFreqToReleaseList_r13 = -1;  /* SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_discTxFreqToReleaseList_r13_item = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_discTxResources_r13 = -1;   /* SL_DiscTxResource_r13 */
static int hf_lte_rrc_discTxResourcesPS_r13_01 = -1;  /* SL_DiscTxResource_r13 */
static int hf_lte_rrc_setup_139 = -1;             /* T_setup_121 */
static int hf_lte_rrc_ue_Selected_r13_01 = -1;    /* SL_DiscTxPoolDedicated_r13 */
static int hf_lte_rrc_SL_DiscTxPoolToAddModList_r12_item = -1;  /* SL_DiscTxPoolToAddMod_r12 */
static int hf_lte_rrc_pool_r12_01 = -1;           /* SL_DiscResourcePool_r12 */
static int hf_lte_rrc_discTxConfig_r13 = -1;      /* SL_DiscResourcePool_r12 */
static int hf_lte_rrc_discTF_IndexList_r13 = -1;  /* SL_TF_IndexPairList_r12b */
static int hf_lte_rrc_discHoppingConfig_r13 = -1;  /* SL_HoppingConfigDisc_r12 */
static int hf_lte_rrc_poolToReleaseList_r13 = -1;  /* SL_TxPoolToReleaseList_r12 */
static int hf_lte_rrc_poolToAddModList_r13 = -1;  /* SL_DiscTxPoolToAddModList_r12 */
static int hf_lte_rrc_SL_TF_IndexPairList_r12_item = -1;  /* SL_TF_IndexPair_r12 */
static int hf_lte_rrc_discSF_Index_r12 = -1;      /* INTEGER_1_200 */
static int hf_lte_rrc_discPRB_Index_r12 = -1;     /* INTEGER_1_50 */
static int hf_lte_rrc_SL_TF_IndexPairList_r12b_item = -1;  /* SL_TF_IndexPair_r12b */
static int hf_lte_rrc_discSF_Index_r12b = -1;     /* INTEGER_0_209 */
static int hf_lte_rrc_discPRB_Index_r12b = -1;    /* INTEGER_0_49 */
static int hf_lte_rrc_pCell = -1;                 /* NULL */
static int hf_lte_rrc_sCell = -1;                 /* SCellIndex_r10 */
static int hf_lte_rrc_SL_DiscTxPoolList_r12_item = -1;  /* SL_DiscResourcePool_r12 */
static int hf_lte_rrc_SL_DiscRxPoolList_r12_item = -1;  /* SL_DiscResourcePool_r12 */
static int hf_lte_rrc_cp_Len_r12 = -1;            /* SL_CP_Len_r12 */
static int hf_lte_rrc_discPeriod_r12 = -1;        /* T_discPeriod_r12 */
static int hf_lte_rrc_numRetx_r12 = -1;           /* INTEGER_0_3 */
static int hf_lte_rrc_numRepetition_r12 = -1;     /* INTEGER_1_50 */
static int hf_lte_rrc_tf_ResourceConfig_r12 = -1;  /* SL_TF_ResourceConfig_r12 */
static int hf_lte_rrc_txParameters_r12_01 = -1;   /* T_txParameters_r12_01 */
static int hf_lte_rrc_txParametersGeneral_r12 = -1;  /* SL_TxParameters_r12 */
static int hf_lte_rrc_ue_SelectedResourceConfig_r12_01 = -1;  /* T_ue_SelectedResourceConfig_r12_01 */
static int hf_lte_rrc_poolSelection_r12 = -1;     /* T_poolSelection_r12 */
static int hf_lte_rrc_rsrpBased_r12 = -1;         /* SL_PoolSelectionConfig_r12 */
static int hf_lte_rrc_random_r12 = -1;            /* NULL */
static int hf_lte_rrc_txProbability_r12 = -1;     /* T_txProbability_r12 */
static int hf_lte_rrc_rxParameters_r12 = -1;      /* T_rxParameters_r12 */
static int hf_lte_rrc_discPeriod_v1310 = -1;      /* T_discPeriod_v1310 */
static int hf_lte_rrc_setup_140 = -1;             /* T_setup_122 */
static int hf_lte_rrc_rxParamsAddNeighFreq_r13 = -1;  /* T_rxParamsAddNeighFreq_r13 */
static int hf_lte_rrc_setup_141 = -1;             /* T_setup_123 */
static int hf_lte_rrc_physCellId_r13_01 = -1;     /* PhysCellIdList_r13 */
static int hf_lte_rrc_txParamsAddNeighFreq_r13 = -1;  /* T_txParamsAddNeighFreq_r13 */
static int hf_lte_rrc_setup_142 = -1;             /* T_setup_124 */
static int hf_lte_rrc_tdd_Config_r13 = -1;        /* TDD_Config */
static int hf_lte_rrc_freqInfo_01 = -1;           /* T_freqInfo_01 */
static int hf_lte_rrc_ul_Bandwidth_02 = -1;       /* T_ul_Bandwidth_02 */
static int hf_lte_rrc_syncConfigIndex_r13 = -1;   /* INTEGER_0_15 */
static int hf_lte_rrc_txParamsAddNeighFreq_v1370 = -1;  /* T_txParamsAddNeighFreq_v1370 */
static int hf_lte_rrc_setup_143 = -1;             /* T_setup_125 */
static int hf_lte_rrc_freqInfo_v1370 = -1;        /* T_freqInfo_v1370 */
static int hf_lte_rrc_additionalSpectrumEmission_v1370 = -1;  /* AdditionalSpectrumEmission_v10l0 */
static int hf_lte_rrc_PhysCellIdList_r13_item = -1;  /* PhysCellId */
static int hf_lte_rrc_threshLow_r12 = -1;         /* RSRP_RangeSL2_r12 */
static int hf_lte_rrc_threshHigh_r12 = -1;        /* RSRP_RangeSL2_r12 */
static int hf_lte_rrc_plmn_IdentityList_r13 = -1;  /* PLMN_IdentityList */
static int hf_lte_rrc_cellIdentity_13 = -1;       /* CellIdentity */
static int hf_lte_rrc_carrierFreqInfo_13 = -1;    /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_discRxResources_r13 = -1;   /* SL_DiscRxPoolList_r12 */
static int hf_lte_rrc_discTxPowerInfo_r13 = -1;   /* SL_DiscTxPowerInfoList_r12 */
static int hf_lte_rrc_discSyncConfig_r13_01 = -1;  /* SL_SyncConfigNFreq_r13 */
static int hf_lte_rrc_discCellSelectionInfo_r13_01 = -1;  /* T_discCellSelectionInfo_r13 */
static int hf_lte_rrc_q_RxLevMinOffset_r13 = -1;  /* INTEGER_1_8 */
static int hf_lte_rrc_cellReselectionInfo_r13 = -1;  /* T_cellReselectionInfo_r13 */
static int hf_lte_rrc_q_Hyst_r13_01 = -1;         /* T_q_Hyst_r13_01 */
static int hf_lte_rrc_freqInfo_r13 = -1;          /* T_freqInfo_r13 */
static int hf_lte_rrc_ul_CarrierFreq_r13 = -1;    /* ARFCN_ValueEUTRA */
static int hf_lte_rrc_ul_Bandwidth_r13 = -1;      /* T_ul_Bandwidth_r13 */
static int hf_lte_rrc_additionalSpectrumEmission_r13 = -1;  /* AdditionalSpectrumEmission */
static int hf_lte_rrc_p_Max_r13 = -1;             /* P_Max */
static int hf_lte_rrc_referenceSignalPower_r13 = -1;  /* INTEGER_M60_50 */
static int hf_lte_rrc_freqInfo_v1370_01 = -1;     /* T_freqInfo_v1370_01 */
static int hf_lte_rrc_SL_DiscTxPowerInfoList_r12_item = -1;  /* SL_DiscTxPowerInfo_r12 */
static int hf_lte_rrc_discMaxTxPower_r12 = -1;    /* P_Max */
static int hf_lte_rrc_gapPatternList_r13 = -1;    /* SL_GapPatternList_r13 */
static int hf_lte_rrc_SL_GapPatternList_r13_item = -1;  /* SL_GapPattern_r13 */
static int hf_lte_rrc_gapPeriod_r13 = -1;         /* T_gapPeriod_r13 */
static int hf_lte_rrc_gapOffset_r12 = -1;         /* SL_OffsetIndicator_r12 */
static int hf_lte_rrc_gapSubframeBitmap_r13 = -1;  /* BIT_STRING_SIZE_1_10240 */
static int hf_lte_rrc_SL_GapRequest_r13_item = -1;  /* SL_GapFreqInfo_r13 */
static int hf_lte_rrc_hoppingParameter_r12 = -1;  /* INTEGER_0_504 */
static int hf_lte_rrc_numSubbands_r12 = -1;       /* T_numSubbands_r12 */
static int hf_lte_rrc_rb_Offset_r12 = -1;         /* INTEGER_0_110 */
static int hf_lte_rrc_a_r12 = -1;                 /* INTEGER_1_200 */
static int hf_lte_rrc_b_r12 = -1;                 /* INTEGER_1_10 */
static int hf_lte_rrc_c_r12 = -1;                 /* T_c_r12 */
static int hf_lte_rrc_SL_InterFreqInfoListV2X_r14_item = -1;  /* SL_InterFreqInfoV2X_r14 */
static int hf_lte_rrc_v2x_CommCarrierFreq_r14 = -1;  /* ARFCN_ValueEUTRA_r9 */
static int hf_lte_rrc_sl_MaxTxPower_r14 = -1;     /* P_Max */
static int hf_lte_rrc_sl_Bandwidth_r14 = -1;      /* T_sl_Bandwidth_r14 */
static int hf_lte_rrc_v2x_SchedulingPool_r14 = -1;  /* SL_CommResourcePoolV2X_r14 */
static int hf_lte_rrc_v2x_UE_ConfigList_r14 = -1;  /* SL_V2X_UE_ConfigList_r14 */
static int hf_lte_rrc_additionalSpectrumEmissionV2X_r14 = -1;  /* T_additionalSpectrumEmissionV2X_r14 */
static int hf_lte_rrc_additionalSpectrumEmission_r14 = -1;  /* AdditionalSpectrumEmission */
static int hf_lte_rrc_additionalSpectrumEmission_v1440 = -1;  /* AdditionalSpectrumEmission_v10l0 */
static int hf_lte_rrc_SL_V2X_UE_ConfigList_r14_item = -1;  /* SL_V2X_InterFreqUE_Config_r14 */
static int hf_lte_rrc_physCellIdList_r14 = -1;    /* PhysCellIdList_r13 */
static int hf_lte_rrc_v2x_SyncConfig_r14_01 = -1;  /* SL_SyncConfigListNFreqV2X_r14 */
static int hf_lte_rrc_v2x_CommTxPoolNormal_r14 = -1;  /* SL_CommTxPoolListV2X_r14 */
static int hf_lte_rrc_p2x_CommTxPoolNormal_r14 = -1;  /* SL_CommTxPoolListV2X_r14 */
static int hf_lte_rrc_small_r12 = -1;             /* INTEGER_0_319 */
static int hf_lte_rrc_large_r12 = -1;             /* INTEGER_0_10239 */
static int hf_lte_rrc_partialSensing_r14 = -1;    /* T_partialSensing_r14 */
static int hf_lte_rrc_randomSelection_r14 = -1;   /* T_randomSelection_r14 */
static int hf_lte_rrc_SL_PriorityList_r13_item = -1;  /* SL_Priority_r13 */
static int hf_lte_rrc_SL_PSSCH_TxConfigList_r14_item = -1;  /* SL_PSSCH_TxConfig_r14 */
static int hf_lte_rrc_thresUE_Speed_r14 = -1;     /* T_thresUE_Speed_r14 */
static int hf_lte_rrc_parametersAboveThres_r14 = -1;  /* SL_PSSCH_TxParameters_r14 */
static int hf_lte_rrc_parametersBelowThres_r14 = -1;  /* SL_PSSCH_TxParameters_r14 */
static int hf_lte_rrc_minMCS_PSSCH_r14 = -1;      /* INTEGER_0_31 */
static int hf_lte_rrc_maxMCS_PSSCH_r14 = -1;      /* INTEGER_0_31 */
static int hf_lte_rrc_minSubChannel_NumberPSSCH_r14 = -1;  /* INTEGER_1_20 */
static int hf_lte_rrc_maxSubchannel_NumberPSSCH_r14 = -1;  /* INTEGER_1_20 */
static int hf_lte_rrc_allowedRetxNumberPSSCH_r14 = -1;  /* T_allowedRetxNumberPSSCH_r14 */
static int hf_lte_rrc_maxTxPower_r14 = -1;        /* SL_TxPower_r14 */
static int hf_lte_rrc_SL_RestrictResourceReservationPeriodList_r14_item = -1;  /* SL_RestrictResourceReservationPeriod_r14 */
static int hf_lte_rrc_gnss_Sync_r14 = -1;         /* T_gnss_Sync_r14 */
static int hf_lte_rrc_enb_Sync_r14 = -1;          /* T_enb_Sync_r14 */
static int hf_lte_rrc_ue_Sync_r14 = -1;           /* T_ue_Sync_r14 */
static int hf_lte_rrc_SL_SyncConfigList_r12_item = -1;  /* SL_SyncConfig_r12 */
static int hf_lte_rrc_SL_SyncConfigListV2X_r14_item = -1;  /* SL_SyncConfig_r12 */
static int hf_lte_rrc_syncCP_Len_r12 = -1;        /* SL_CP_Len_r12 */
static int hf_lte_rrc_syncOffsetIndicator_r12 = -1;  /* SL_OffsetIndicatorSync_r12 */
static int hf_lte_rrc_slssid_r12 = -1;            /* SLSSID_r12 */
static int hf_lte_rrc_txParameters_r12_02 = -1;   /* T_txParameters_r12_02 */
static int hf_lte_rrc_syncTxParameters_r12 = -1;  /* SL_TxParameters_r12 */
static int hf_lte_rrc_syncTxThreshIC_r12 = -1;    /* RSRP_RangeSL_r12 */
static int hf_lte_rrc_syncInfoReserved_r12 = -1;  /* BIT_STRING_SIZE_19 */
static int hf_lte_rrc_rxParamsNCell_r12 = -1;     /* T_rxParamsNCell_r12 */
static int hf_lte_rrc_discSyncWindow_r12 = -1;    /* T_discSyncWindow_r12 */
static int hf_lte_rrc_syncTxPeriodic_r13 = -1;    /* T_syncTxPeriodic_r13 */
static int hf_lte_rrc_syncOffsetIndicator_v1430 = -1;  /* SL_OffsetIndicatorSync_v1430 */
static int hf_lte_rrc_gnss_Sync_r14_01 = -1;      /* T_gnss_Sync_r14_01 */
static int hf_lte_rrc_SL_SyncConfigListNFreq_r13_item = -1;  /* SL_SyncConfigNFreq_r13 */
static int hf_lte_rrc_SL_SyncConfigListNFreqV2X_r14_item = -1;  /* SL_SyncConfigNFreq_r13 */
static int hf_lte_rrc_asyncParameters_r13 = -1;   /* T_asyncParameters_r13 */
static int hf_lte_rrc_syncCP_Len_r13 = -1;        /* SL_CP_Len_r12 */
static int hf_lte_rrc_syncOffsetIndicator_r13 = -1;  /* SL_OffsetIndicatorSync_r12 */
static int hf_lte_rrc_slssid_r13 = -1;            /* SLSSID_r12 */
static int hf_lte_rrc_txParameters_r13 = -1;      /* T_txParameters_r13 */
static int hf_lte_rrc_syncTxParameters_r13 = -1;  /* SL_TxParameters_r12 */
static int hf_lte_rrc_syncTxThreshIC_r13 = -1;    /* RSRP_RangeSL_r12 */
static int hf_lte_rrc_syncInfoReserved_r13 = -1;  /* BIT_STRING_SIZE_19 */
static int hf_lte_rrc_syncTxPeriodic_r13_01 = -1;  /* T_syncTxPeriodic_r13_01 */
static int hf_lte_rrc_rxParameters_r13 = -1;      /* T_rxParameters_r13 */
static int hf_lte_rrc_discSyncWindow_r13 = -1;    /* T_discSyncWindow_r13 */
static int hf_lte_rrc_gnss_Sync_r14_02 = -1;      /* T_gnss_Sync_r14_02 */
static int hf_lte_rrc_prb_Num_r12 = -1;           /* INTEGER_1_100 */
static int hf_lte_rrc_prb_Start_r12 = -1;         /* INTEGER_0_99 */
static int hf_lte_rrc_prb_End_r12 = -1;           /* INTEGER_0_99 */
static int hf_lte_rrc_offsetIndicator_r12 = -1;   /* SL_OffsetIndicator_r12 */
static int hf_lte_rrc_subframeBitmap_r12 = -1;    /* SubframeBitmapSL_r12 */
static int hf_lte_rrc_bs4_r12 = -1;               /* BIT_STRING_SIZE_4 */
static int hf_lte_rrc_bs8_r12 = -1;               /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_bs12_r12 = -1;              /* BIT_STRING_SIZE_12 */
static int hf_lte_rrc_bs16_r12 = -1;              /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_bs30_r12 = -1;              /* BIT_STRING_SIZE_30 */
static int hf_lte_rrc_bs40_r12 = -1;              /* BIT_STRING_SIZE_40 */
static int hf_lte_rrc_bs42_r12 = -1;              /* BIT_STRING_SIZE_42 */
static int hf_lte_rrc_bs10_r14 = -1;              /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_bs16_r14 = -1;              /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_bs20_r14 = -1;              /* BIT_STRING_SIZE_20 */
static int hf_lte_rrc_bs30_r14 = -1;              /* BIT_STRING_SIZE_30 */
static int hf_lte_rrc_bs40_r14 = -1;              /* BIT_STRING_SIZE_40 */
static int hf_lte_rrc_bs50_r14 = -1;              /* BIT_STRING_SIZE_50 */
static int hf_lte_rrc_bs60_r14 = -1;              /* BIT_STRING_SIZE_60 */
static int hf_lte_rrc_bs100_r14 = -1;             /* BIT_STRING_SIZE_100 */
static int hf_lte_rrc_minusinfinity_r14 = -1;     /* NULL */
static int hf_lte_rrc_txPower_r14 = -1;           /* INTEGER_M41_31 */
static int hf_lte_rrc_SL_ThresPSSCH_RSRP_List_r14_item = -1;  /* SL_ThresPSSCH_RSRP_r14 */
static int hf_lte_rrc_alpha_r12 = -1;             /* Alpha_r12 */
static int hf_lte_rrc_p0_r12 = -1;                /* P0_SL_r12 */
static int hf_lte_rrc_SL_TxPoolToReleaseList_r12_item = -1;  /* SL_TxPoolIdentity_r12 */
static int hf_lte_rrc_SL_TxPoolToReleaseListExt_r13_item = -1;  /* SL_TxPoolIdentity_v1310 */
static int hf_lte_rrc_commTxResources_r14 = -1;   /* T_commTxResources_r14 */
static int hf_lte_rrc_setup_144 = -1;             /* T_setup_126 */
static int hf_lte_rrc_scheduled_r14 = -1;         /* T_scheduled_r14 */
static int hf_lte_rrc_sl_V_RNTI_r14 = -1;         /* C_RNTI */
static int hf_lte_rrc_mac_MainConfig_r14 = -1;    /* MAC_MainConfigSL_r12 */
static int hf_lte_rrc_mcs_r14 = -1;               /* INTEGER_0_31 */
static int hf_lte_rrc_logicalChGroupInfoList_r14 = -1;  /* LogicalChGroupInfoList_r13 */
static int hf_lte_rrc_ue_Selected_r14 = -1;       /* T_ue_Selected_r14 */
static int hf_lte_rrc_v2x_CommTxPoolNormalDedicated_r14 = -1;  /* T_v2x_CommTxPoolNormalDedicated_r14 */
static int hf_lte_rrc_poolToReleaseList_r14 = -1;  /* SL_TxPoolToReleaseListV2X_r14 */
static int hf_lte_rrc_poolToAddModList_r14 = -1;  /* SL_TxPoolToAddModListV2X_r14 */
static int hf_lte_rrc_v2x_CommTxPoolSensingConfig_r14 = -1;  /* SL_CommTxPoolSensingConfig_r14 */
static int hf_lte_rrc_cbr_DedicatedTxConfigList_r14 = -1;  /* SL_CBR_CommonTxConfigList_r14 */
static int hf_lte_rrc_SL_TxPoolToAddModListV2X_r14_item = -1;  /* SL_TxPoolToAddMod_r14 */
static int hf_lte_rrc_poolIdentity_r14_01 = -1;   /* SL_V2X_TxPoolIdentity_r14 */
static int hf_lte_rrc_pool_r14 = -1;              /* SL_CommResourcePoolV2X_r14 */
static int hf_lte_rrc_SL_TxPoolToReleaseListV2X_r14_item = -1;  /* SL_V2X_TxPoolIdentity_r14 */
static int hf_lte_rrc_zoneLength_r14 = -1;        /* T_zoneLength_r14 */
static int hf_lte_rrc_zoneWidth_r14 = -1;         /* T_zoneWidth_r14 */
static int hf_lte_rrc_zoneIdLongiMod_r14 = -1;    /* INTEGER_1_4 */
static int hf_lte_rrc_zoneIdLatiMod_r14 = -1;     /* INTEGER_1_4 */
static int hf_lte_rrc_message_12 = -1;            /* SBCCH_SL_BCH_MessageType */
static int hf_lte_rrc_message_13 = -1;            /* SBCCH_SL_BCH_MessageType_V2X_r14 */
static int hf_lte_rrc_sl_Bandwidth_r12 = -1;      /* T_sl_Bandwidth_r12 */
static int hf_lte_rrc_tdd_ConfigSL_r12 = -1;      /* TDD_ConfigSL_r12 */
static int hf_lte_rrc_directFrameNumber_r12 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_directSubframeNumber_r12 = -1;  /* INTEGER_0_9 */
static int hf_lte_rrc_inCoverage_r12 = -1;        /* BOOLEAN */
static int hf_lte_rrc_reserved_r12 = -1;          /* BIT_STRING_SIZE_19 */
static int hf_lte_rrc_sl_Bandwidth_r14_01 = -1;   /* T_sl_Bandwidth_r14_01 */
static int hf_lte_rrc_tdd_ConfigSL_r14 = -1;      /* TDD_ConfigSL_r12 */
static int hf_lte_rrc_directFrameNumber_r14 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_directSubframeNumber_r14 = -1;  /* INTEGER_0_9 */
static int hf_lte_rrc_inCoverage_r14 = -1;        /* BOOLEAN */
static int hf_lte_rrc_reserved_r14 = -1;          /* BIT_STRING_SIZE_27 */
static int hf_lte_rrc_criticalExtensions_52 = -1;  /* T_criticalExtensions_52 */
static int hf_lte_rrc_c1_49 = -1;                 /* T_c1_49 */
static int hf_lte_rrc_handoverPreparationInformation_r13 = -1;  /* HandoverPreparationInformation_NB_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_52 = -1;  /* T_criticalExtensionsFuture_52 */
static int hf_lte_rrc_ue_RadioAccessCapabilityInfo_r13 = -1;  /* UE_Capability_NB_r13 */
static int hf_lte_rrc_as_Config_r13 = -1;         /* AS_Config_NB */
static int hf_lte_rrc_rrm_Config_r13 = -1;        /* RRM_Config_NB */
static int hf_lte_rrc_as_Context_r13 = -1;        /* AS_Context_NB */
static int hf_lte_rrc_nonCriticalExtension_235 = -1;  /* HandoverPreparationInformation_NB_v1380_IEs */
static int hf_lte_rrc_nonCriticalExtension_236 = -1;  /* HandoverPreparationInformation_NB_Ext_r14_IEs */
static int hf_lte_rrc_ue_RadioAccessCapabilityInfoExt_r14 = -1;  /* T_ue_RadioAccessCapabilityInfoExt_r14 */
static int hf_lte_rrc_nonCriticalExtension_237 = -1;  /* T_nonCriticalExtension_69 */
static int hf_lte_rrc_criticalExtensions_53 = -1;  /* T_criticalExtensions_53 */
static int hf_lte_rrc_c1_50 = -1;                 /* T_c1_50 */
static int hf_lte_rrc_uePagingCoverageInformation_r13_01 = -1;  /* UEPagingCoverageInformation_NB_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_53 = -1;  /* T_criticalExtensionsFuture_53 */
static int hf_lte_rrc_npdcch_NumRepetitionPaging_r13 = -1;  /* INTEGER_1_2048 */
static int hf_lte_rrc_nonCriticalExtension_238 = -1;  /* T_nonCriticalExtension_70 */
static int hf_lte_rrc_criticalExtensions_54 = -1;  /* T_criticalExtensions_54 */
static int hf_lte_rrc_c1_51 = -1;                 /* T_c1_51 */
static int hf_lte_rrc_ueRadioAccessCapabilityInformation_r13 = -1;  /* UERadioAccessCapabilityInformation_NB_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_54 = -1;  /* T_criticalExtensionsFuture_54 */
static int hf_lte_rrc_ue_RadioAccessCapabilityInfo_r13_01 = -1;  /* T_ue_RadioAccessCapabilityInfo_r13 */
static int hf_lte_rrc_nonCriticalExtension_239 = -1;  /* UERadioAccessCapabilityInformation_NB_v1380_IEs */
static int hf_lte_rrc_nonCriticalExtension_240 = -1;  /* UERadioAccessCapabilityInformation_NB_r14_IEs */
static int hf_lte_rrc_ue_RadioAccessCapabilityInfo_r14 = -1;  /* T_ue_RadioAccessCapabilityInfo_r14 */
static int hf_lte_rrc_nonCriticalExtension_241 = -1;  /* T_nonCriticalExtension_71 */
static int hf_lte_rrc_criticalExtensions_55 = -1;  /* T_criticalExtensions_55 */
static int hf_lte_rrc_c1_52 = -1;                 /* T_c1_52 */
static int hf_lte_rrc_ueRadioPagingInformation_r13 = -1;  /* UERadioPagingInformation_NB_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_55 = -1;  /* T_criticalExtensionsFuture_55 */
static int hf_lte_rrc_ue_RadioPagingInfo_r13 = -1;  /* T_ue_RadioPagingInfo_r13 */
static int hf_lte_rrc_nonCriticalExtension_242 = -1;  /* T_nonCriticalExtension_72 */
static int hf_lte_rrc_sourceRadioResourceConfig_r13 = -1;  /* RadioResourceConfigDedicated_NB_r13 */
static int hf_lte_rrc_sourceSecurityAlgorithmConfig_r13 = -1;  /* SecurityAlgorithmConfig */
static int hf_lte_rrc_sourceUE_Identity_r13 = -1;  /* C_RNTI */
static int hf_lte_rrc_sourceDl_CarrierFreq_r13 = -1;  /* CarrierFreq_NB_r13 */
static int hf_lte_rrc_reestablishmentInfo_r13 = -1;  /* ReestablishmentInfo_NB */
static int hf_lte_rrc_sourcePhysCellId_r13 = -1;  /* PhysCellId */
static int hf_lte_rrc_targetCellShortMAC_I_r13 = -1;  /* ShortMAC_I */
static int hf_lte_rrc_additionalReestabInfoList_r13 = -1;  /* AdditionalReestabInfoList */
static int hf_lte_rrc_ue_InactiveTime_01 = -1;    /* T_ue_InactiveTime_01 */
static int hf_lte_rrc_message_14 = -1;            /* BCCH_BCH_MessageType_NB */
static int hf_lte_rrc_message_15 = -1;            /* BCCH_DL_SCH_MessageType_NB */
static int hf_lte_rrc_c1_53 = -1;                 /* T_c1_53 */
static int hf_lte_rrc_systemInformation_r13 = -1;  /* SystemInformation_NB */
static int hf_lte_rrc_systemInformationBlockType1_r13 = -1;  /* SystemInformationBlockType1_NB */
static int hf_lte_rrc_messageClassExtension_10 = -1;  /* T_messageClassExtension_10 */
static int hf_lte_rrc_message_16 = -1;            /* PCCH_MessageType_NB */
static int hf_lte_rrc_c1_54 = -1;                 /* T_c1_54 */
static int hf_lte_rrc_paging_r13 = -1;            /* Paging_NB */
static int hf_lte_rrc_messageClassExtension_11 = -1;  /* T_messageClassExtension_11 */
static int hf_lte_rrc_message_17 = -1;            /* DL_CCCH_MessageType_NB */
static int hf_lte_rrc_c1_55 = -1;                 /* T_c1_55 */
static int hf_lte_rrc_rrcConnectionReestablishment_r13 = -1;  /* RRCConnectionReestablishment_NB */
static int hf_lte_rrc_rrcConnectionReestablishmentReject_r13 = -1;  /* RRCConnectionReestablishmentReject */
static int hf_lte_rrc_rrcConnectionReject_r13 = -1;  /* RRCConnectionReject_NB */
static int hf_lte_rrc_rrcConnectionSetup_r13 = -1;  /* RRCConnectionSetup_NB */
static int hf_lte_rrc_messageClassExtension_12 = -1;  /* T_messageClassExtension_12 */
static int hf_lte_rrc_message_18 = -1;            /* DL_DCCH_MessageType_NB */
static int hf_lte_rrc_c1_56 = -1;                 /* T_c1_56 */
static int hf_lte_rrc_dlInformationTransfer_r13 = -1;  /* DLInformationTransfer_NB */
static int hf_lte_rrc_rrcConnectionReconfiguration_r13 = -1;  /* RRCConnectionReconfiguration_NB */
static int hf_lte_rrc_rrcConnectionRelease_r13 = -1;  /* RRCConnectionRelease_NB */
static int hf_lte_rrc_securityModeCommand_r13 = -1;  /* SecurityModeCommand */
static int hf_lte_rrc_ueCapabilityEnquiry_r13 = -1;  /* UECapabilityEnquiry_NB */
static int hf_lte_rrc_rrcConnectionResume_r13_02 = -1;  /* RRCConnectionResume_NB */
static int hf_lte_rrc_messageClassExtension_13 = -1;  /* T_messageClassExtension_13 */
static int hf_lte_rrc_message_19 = -1;            /* UL_CCCH_MessageType_NB */
static int hf_lte_rrc_c1_57 = -1;                 /* T_c1_57 */
static int hf_lte_rrc_rrcConnectionReestablishmentRequest_r13 = -1;  /* RRCConnectionReestablishmentRequest_NB */
static int hf_lte_rrc_rrcConnectionRequest_r13 = -1;  /* RRCConnectionRequest_NB */
static int hf_lte_rrc_rrcConnectionResumeRequest_r13_02 = -1;  /* RRCConnectionResumeRequest_NB */
static int hf_lte_rrc_messageClassExtension_14 = -1;  /* T_messageClassExtension_14 */
static int hf_lte_rrc_message_20 = -1;            /* SC_MCCH_MessageType_NB */
static int hf_lte_rrc_c1_58 = -1;                 /* T_c1_58 */
static int hf_lte_rrc_scptmConfiguration_r14 = -1;  /* SCPTMConfiguration_NB_r14 */
static int hf_lte_rrc_messageClassExtension_15 = -1;  /* T_messageClassExtension_15 */
static int hf_lte_rrc_message_21 = -1;            /* UL_DCCH_MessageType_NB */
static int hf_lte_rrc_c1_59 = -1;                 /* T_c1_59 */
static int hf_lte_rrc_rrcConnectionReconfigurationComplete_r13 = -1;  /* RRCConnectionReconfigurationComplete_NB */
static int hf_lte_rrc_rrcConnectionReestablishmentComplete_r13 = -1;  /* RRCConnectionReestablishmentComplete_NB */
static int hf_lte_rrc_rrcConnectionSetupComplete_r13 = -1;  /* RRCConnectionSetupComplete_NB */
static int hf_lte_rrc_securityModeComplete_r13 = -1;  /* SecurityModeComplete */
static int hf_lte_rrc_securityModeFailure_r13 = -1;  /* SecurityModeFailure */
static int hf_lte_rrc_ueCapabilityInformation_r13 = -1;  /* UECapabilityInformation_NB */
static int hf_lte_rrc_ulInformationTransfer_r13 = -1;  /* ULInformationTransfer_NB */
static int hf_lte_rrc_rrcConnectionResumeComplete_r13_02 = -1;  /* RRCConnectionResumeComplete_NB */
static int hf_lte_rrc_messageClassExtension_16 = -1;  /* T_messageClassExtension_16 */
static int hf_lte_rrc_criticalExtensions_56 = -1;  /* T_criticalExtensions_56 */
static int hf_lte_rrc_c1_60 = -1;                 /* T_c1_60 */
static int hf_lte_rrc_dlInformationTransfer_r13_01 = -1;  /* DLInformationTransfer_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_56 = -1;  /* T_criticalExtensionsFuture_56 */
static int hf_lte_rrc_nonCriticalExtension_243 = -1;  /* T_nonCriticalExtension_73 */
static int hf_lte_rrc_systemFrameNumber_MSB_r13 = -1;  /* BIT_STRING_SIZE_4 */
static int hf_lte_rrc_hyperSFN_LSB_r13 = -1;      /* BIT_STRING_SIZE_2 */
static int hf_lte_rrc_schedulingInfoSIB1_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_systemInfoValueTag_r13 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_ab_Enabled_r13 = -1;        /* BOOLEAN */
static int hf_lte_rrc_operationModeInfo_r13 = -1;  /* T_operationModeInfo_r13 */
static int hf_lte_rrc_inband_SamePCI_r13 = -1;    /* Inband_SamePCI_NB_r13 */
static int hf_lte_rrc_inband_DifferentPCI_r13 = -1;  /* Inband_DifferentPCI_NB_r13 */
static int hf_lte_rrc_guardband_r13 = -1;         /* Guardband_NB_r13 */
static int hf_lte_rrc_standalone_r13 = -1;        /* Standalone_NB_r13 */
static int hf_lte_rrc_spare_05 = -1;              /* BIT_STRING_SIZE_11 */
static int hf_lte_rrc_rasterOffset_r13 = -1;      /* ChannelRasterOffset_NB_r13 */
static int hf_lte_rrc_spare_06 = -1;              /* BIT_STRING_SIZE_3 */
static int hf_lte_rrc_eutra_CRS_SequenceInfo_r13 = -1;  /* INTEGER_0_31 */
static int hf_lte_rrc_eutra_NumCRS_Ports_r13 = -1;  /* T_eutra_NumCRS_Ports_r13 */
static int hf_lte_rrc_pagingRecordList_r13 = -1;  /* PagingRecordList_NB_r13 */
static int hf_lte_rrc_systemInfoModification_r13 = -1;  /* T_systemInfoModification_r13 */
static int hf_lte_rrc_systemInfoModification_eDRX_r13_01 = -1;  /* T_systemInfoModification_eDRX_r13_01 */
static int hf_lte_rrc_nonCriticalExtension_244 = -1;  /* T_nonCriticalExtension_74 */
static int hf_lte_rrc_PagingRecordList_NB_r13_item = -1;  /* PagingRecord_NB_r13 */
static int hf_lte_rrc_ue_Identity_r13 = -1;       /* PagingUE_Identity */
static int hf_lte_rrc_criticalExtensions_57 = -1;  /* T_criticalExtensions_57 */
static int hf_lte_rrc_c1_61 = -1;                 /* T_c1_61 */
static int hf_lte_rrc_rrcConnectionReconfiguration_r13_01 = -1;  /* RRCConnectionReconfiguration_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_57 = -1;  /* T_criticalExtensionsFuture_57 */
static int hf_lte_rrc_dedicatedInfoNASList_r13 = -1;  /* SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS */
static int hf_lte_rrc_dedicatedInfoNASList_r13_item = -1;  /* DedicatedInfoNAS */
static int hf_lte_rrc_radioResourceConfigDedicated_r13_01 = -1;  /* RadioResourceConfigDedicated_NB_r13 */
static int hf_lte_rrc_fullConfig_r13 = -1;        /* T_fullConfig_r13 */
static int hf_lte_rrc_nonCriticalExtension_245 = -1;  /* T_nonCriticalExtension_75 */
static int hf_lte_rrc_criticalExtensions_58 = -1;  /* T_criticalExtensions_58 */
static int hf_lte_rrc_rrcConnectionReconfigurationComplete_r13_01 = -1;  /* RRCConnectionReconfigurationComplete_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_58 = -1;  /* T_criticalExtensionsFuture_58 */
static int hf_lte_rrc_nonCriticalExtension_246 = -1;  /* T_nonCriticalExtension_76 */
static int hf_lte_rrc_criticalExtensions_59 = -1;  /* T_criticalExtensions_59 */
static int hf_lte_rrc_c1_62 = -1;                 /* T_c1_62 */
static int hf_lte_rrc_rrcConnectionReestablishment_r13_01 = -1;  /* RRCConnectionReestablishment_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_59 = -1;  /* T_criticalExtensionsFuture_59 */
static int hf_lte_rrc_nonCriticalExtension_247 = -1;  /* RRCConnectionReestablishment_NB_v1430_IEs */
static int hf_lte_rrc_dl_NAS_MAC = -1;            /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_nonCriticalExtension_248 = -1;  /* T_nonCriticalExtension_77 */
static int hf_lte_rrc_criticalExtensions_60 = -1;  /* T_criticalExtensions_60 */
static int hf_lte_rrc_rrcConnectionReestablishmentComplete_r13_01 = -1;  /* RRCConnectionReestablishmentComplete_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_60 = -1;  /* T_criticalExtensionsFuture_60 */
static int hf_lte_rrc_nonCriticalExtension_249 = -1;  /* T_nonCriticalExtension_78 */
static int hf_lte_rrc_criticalExtensions_61 = -1;  /* T_criticalExtensions_61 */
static int hf_lte_rrc_rrcConnectionReestablishmentRequest_r13_01 = -1;  /* RRCConnectionReestablishmentRequest_NB_r13_IEs */
static int hf_lte_rrc_later_01 = -1;              /* T_later_01 */
static int hf_lte_rrc_rrcConnectionReestablishmentRequest_r14 = -1;  /* RRCConnectionReestablishmentRequest_NB_r14_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_61 = -1;  /* T_criticalExtensionsFuture_61 */
static int hf_lte_rrc_ue_Identity_r13_01 = -1;    /* ReestabUE_Identity */
static int hf_lte_rrc_reestablishmentCause_r13 = -1;  /* ReestablishmentCause_NB_r13 */
static int hf_lte_rrc_spare_07 = -1;              /* BIT_STRING_SIZE_25 */
static int hf_lte_rrc_ue_Identity_r14 = -1;       /* ReestabUE_Identity_CP_NB_r14 */
static int hf_lte_rrc_reestablishmentCause_r14 = -1;  /* ReestablishmentCause_NB_r13 */
static int hf_lte_rrc_spare_08 = -1;              /* BIT_STRING_SIZE_4 */
static int hf_lte_rrc_s_TMSI_r14 = -1;            /* S_TMSI */
static int hf_lte_rrc_ul_NAS_MAC_r14 = -1;        /* BIT_STRING_SIZE_16 */
static int hf_lte_rrc_ul_NAS_Count_r14 = -1;      /* BIT_STRING_SIZE_5 */
static int hf_lte_rrc_criticalExtensions_62 = -1;  /* T_criticalExtensions_62 */
static int hf_lte_rrc_c1_63 = -1;                 /* T_c1_63 */
static int hf_lte_rrc_rrcConnectionReject_r13_01 = -1;  /* RRCConnectionReject_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_62 = -1;  /* T_criticalExtensionsFuture_62 */
static int hf_lte_rrc_extendedWaitTime_r13 = -1;  /* INTEGER_1_1800 */
static int hf_lte_rrc_rrc_SuspendIndication_r13_01 = -1;  /* T_rrc_SuspendIndication_r13_01 */
static int hf_lte_rrc_nonCriticalExtension_250 = -1;  /* T_nonCriticalExtension_79 */
static int hf_lte_rrc_criticalExtensions_63 = -1;  /* T_criticalExtensions_63 */
static int hf_lte_rrc_c1_64 = -1;                 /* T_c1_64 */
static int hf_lte_rrc_rrcConnectionRelease_r13_01 = -1;  /* RRCConnectionRelease_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_63 = -1;  /* T_criticalExtensionsFuture_63 */
static int hf_lte_rrc_releaseCause_r13 = -1;      /* ReleaseCause_NB_r13 */
static int hf_lte_rrc_redirectedCarrierInfo_r13 = -1;  /* RedirectedCarrierInfo_NB_r13 */
static int hf_lte_rrc_nonCriticalExtension_251 = -1;  /* RRCConnectionRelease_NB_v1430_IEs */
static int hf_lte_rrc_redirectedCarrierInfo_v1430 = -1;  /* RedirectedCarrierInfo_NB_v1430 */
static int hf_lte_rrc_extendedWaitTime_CPdata_r14 = -1;  /* INTEGER_1_1800 */
static int hf_lte_rrc_nonCriticalExtension_252 = -1;  /* T_nonCriticalExtension_80 */
static int hf_lte_rrc_redirectedCarrierOffsetDedicated_r14 = -1;  /* T_redirectedCarrierOffsetDedicated_r14 */
static int hf_lte_rrc_t322_r14 = -1;              /* T_t322_r14 */
static int hf_lte_rrc_criticalExtensions_64 = -1;  /* T_criticalExtensions_64 */
static int hf_lte_rrc_rrcConnectionRequest_r13_01 = -1;  /* RRCConnectionRequest_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_64 = -1;  /* T_criticalExtensionsFuture_64 */
static int hf_lte_rrc_ue_Identity_r13_02 = -1;    /* InitialUE_Identity */
static int hf_lte_rrc_establishmentCause_r13 = -1;  /* EstablishmentCause_NB_r13 */
static int hf_lte_rrc_multiToneSupport_r13 = -1;  /* T_multiToneSupport_r13 */
static int hf_lte_rrc_multiCarrierSupport_r13 = -1;  /* T_multiCarrierSupport_r13 */
static int hf_lte_rrc_spare_09 = -1;              /* BIT_STRING_SIZE_22 */
static int hf_lte_rrc_criticalExtensions_65 = -1;  /* T_criticalExtensions_65 */
static int hf_lte_rrc_c1_65 = -1;                 /* T_c1_65 */
static int hf_lte_rrc_rrcConnectionResume_r13_03 = -1;  /* RRCConnectionResume_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_65 = -1;  /* T_criticalExtensionsFuture_65 */
static int hf_lte_rrc_drb_ContinueROHC_r13_01 = -1;  /* T_drb_ContinueROHC_r13_01 */
static int hf_lte_rrc_nonCriticalExtension_253 = -1;  /* T_nonCriticalExtension_81 */
static int hf_lte_rrc_criticalExtensions_66 = -1;  /* T_criticalExtensions_66 */
static int hf_lte_rrc_rrcConnectionResumeComplete_r13_03 = -1;  /* RRCConnectionResumeComplete_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_66 = -1;  /* T_criticalExtensionsFuture_66 */
static int hf_lte_rrc_nonCriticalExtension_254 = -1;  /* T_nonCriticalExtension_82 */
static int hf_lte_rrc_criticalExtensions_67 = -1;  /* T_criticalExtensions_67 */
static int hf_lte_rrc_rrcConnectionResumeRequest_r13_03 = -1;  /* RRCConnectionResumeRequest_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_67 = -1;  /* T_criticalExtensionsFuture_67 */
static int hf_lte_rrc_shortResumeMAC_I_r13_01 = -1;  /* ShortMAC_I */
static int hf_lte_rrc_resumeCause_r13_01 = -1;    /* EstablishmentCause_NB_r13 */
static int hf_lte_rrc_spare_10 = -1;              /* BIT_STRING_SIZE_9 */
static int hf_lte_rrc_criticalExtensions_68 = -1;  /* T_criticalExtensions_68 */
static int hf_lte_rrc_c1_66 = -1;                 /* T_c1_66 */
static int hf_lte_rrc_rrcConnectionSetup_r13_01 = -1;  /* RRCConnectionSetup_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_68 = -1;  /* T_criticalExtensionsFuture_68 */
static int hf_lte_rrc_nonCriticalExtension_255 = -1;  /* T_nonCriticalExtension_83 */
static int hf_lte_rrc_criticalExtensions_69 = -1;  /* T_criticalExtensions_69 */
static int hf_lte_rrc_rrcConnectionSetupComplete_r13_01 = -1;  /* RRCConnectionSetupComplete_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_69 = -1;  /* T_criticalExtensionsFuture_69 */
static int hf_lte_rrc_registeredMME_r13 = -1;     /* RegisteredMME */
static int hf_lte_rrc_attachWithoutPDN_Connectivity_r13_02 = -1;  /* T_attachWithoutPDN_Connectivity_r13_02 */
static int hf_lte_rrc_up_CIoT_EPS_Optimisation_r13_02 = -1;  /* T_up_CIoT_EPS_Optimisation_r13_02 */
static int hf_lte_rrc_nonCriticalExtension_256 = -1;  /* RRCConnectionSetupComplete_NB_v1430_IEs */
static int hf_lte_rrc_gummei_Type_r14 = -1;       /* T_gummei_Type_r14 */
static int hf_lte_rrc_nonCriticalExtension_257 = -1;  /* T_nonCriticalExtension_84 */
static int hf_lte_rrc_sc_mtch_InfoList_r14_01 = -1;  /* SC_MTCH_InfoList_NB_r14 */
static int hf_lte_rrc_scptm_NeighbourCellList_r14_01 = -1;  /* SCPTM_NeighbourCellList_NB_r14 */
static int hf_lte_rrc_nonCriticalExtension_258 = -1;  /* T_nonCriticalExtension_85 */
static int hf_lte_rrc_criticalExtensions_70 = -1;  /* T_criticalExtensions_70 */
static int hf_lte_rrc_systemInformation_r13_01 = -1;  /* SystemInformation_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_70 = -1;  /* T_criticalExtensionsFuture_70 */
static int hf_lte_rrc_sib_TypeAndInfo_r13 = -1;   /* T_sib_TypeAndInfo_r13 */
static int hf_lte_rrc_sib_TypeAndInfo_r13_item = -1;  /* T_sib_TypeAndInfo_r13_item */
static int hf_lte_rrc_sib2_r13 = -1;              /* SystemInformationBlockType2_NB_r13 */
static int hf_lte_rrc_sib3_r13 = -1;              /* SystemInformationBlockType3_NB_r13 */
static int hf_lte_rrc_sib4_r13 = -1;              /* SystemInformationBlockType4_NB_r13 */
static int hf_lte_rrc_sib5_r13 = -1;              /* SystemInformationBlockType5_NB_r13 */
static int hf_lte_rrc_sib14_r13 = -1;             /* SystemInformationBlockType14_NB_r13 */
static int hf_lte_rrc_sib16_r13 = -1;             /* SystemInformationBlockType16_NB_r13 */
static int hf_lte_rrc_sib15_v1430 = -1;           /* SystemInformationBlockType15_NB_r14 */
static int hf_lte_rrc_sib20_v1430 = -1;           /* SystemInformationBlockType20_NB_r14 */
static int hf_lte_rrc_sib22_v1430 = -1;           /* SystemInformationBlockType22_NB_r14 */
static int hf_lte_rrc_nonCriticalExtension_259 = -1;  /* T_nonCriticalExtension_86 */
static int hf_lte_rrc_hyperSFN_MSB_r13 = -1;      /* BIT_STRING_SIZE_8 */
static int hf_lte_rrc_cellAccessRelatedInfo_r13 = -1;  /* T_cellAccessRelatedInfo_r13 */
static int hf_lte_rrc_plmn_IdentityList_r13_01 = -1;  /* PLMN_IdentityList_NB_r13 */
static int hf_lte_rrc_trackingAreaCode_r13 = -1;  /* TrackingAreaCode */
static int hf_lte_rrc_cellIdentity_r13 = -1;      /* CellIdentity */
static int hf_lte_rrc_cellBarred_r13 = -1;        /* T_cellBarred_r13 */
static int hf_lte_rrc_intraFreqReselection_r13 = -1;  /* T_intraFreqReselection_r13 */
static int hf_lte_rrc_cellSelectionInfo_r13 = -1;  /* T_cellSelectionInfo_r13 */
static int hf_lte_rrc_q_QualMin_r13 = -1;         /* Q_QualMin_r9 */
static int hf_lte_rrc_freqBandIndicator_r13_01 = -1;  /* FreqBandIndicator_NB_r13 */
static int hf_lte_rrc_freqBandInfo_r13 = -1;      /* NS_PmaxList_NB_r13 */
static int hf_lte_rrc_multiBandInfoList_r13_01 = -1;  /* MultiBandInfoList_NB_r13 */
static int hf_lte_rrc_downlinkBitmap_r13 = -1;    /* DL_Bitmap_NB_r13 */
static int hf_lte_rrc_eutraControlRegionSize_r13 = -1;  /* T_eutraControlRegionSize_r13 */
static int hf_lte_rrc_nrs_CRS_PowerOffset_r13 = -1;  /* T_nrs_CRS_PowerOffset_r13 */
static int hf_lte_rrc_schedulingInfoList_r13 = -1;  /* SchedulingInfoList_NB_r13 */
static int hf_lte_rrc_si_WindowLength_r13 = -1;   /* T_si_WindowLength_r13 */
static int hf_lte_rrc_si_RadioFrameOffset_r13 = -1;  /* INTEGER_1_15 */
static int hf_lte_rrc_systemInfoValueTagList_r13_01 = -1;  /* SystemInfoValueTagList_NB_r13 */
static int hf_lte_rrc_nonCriticalExtension_260 = -1;  /* SystemInformationBlockType1_NB_v1350 */
static int hf_lte_rrc_cellSelectionInfo_v1350 = -1;  /* CellSelectionInfo_NB_v1350 */
static int hf_lte_rrc_nonCriticalExtension_261 = -1;  /* SystemInformationBlockType1_NB_v1430 */
static int hf_lte_rrc_cellSelectionInfo_v1430 = -1;  /* CellSelectionInfo_NB_v1430 */
static int hf_lte_rrc_nonCriticalExtension_262 = -1;  /* SystemInformationBlockType1_NB_v1450 */
static int hf_lte_rrc_nrs_CRS_PowerOffset_v1450 = -1;  /* T_nrs_CRS_PowerOffset_v1450 */
static int hf_lte_rrc_nonCriticalExtension_263 = -1;  /* T_nonCriticalExtension_87 */
static int hf_lte_rrc_PLMN_IdentityList_NB_r13_item = -1;  /* PLMN_IdentityInfo_NB_r13 */
static int hf_lte_rrc_plmn_Identity_r13 = -1;     /* PLMN_Identity */
static int hf_lte_rrc_cellReservedForOperatorUse_r13 = -1;  /* T_cellReservedForOperatorUse_r13 */
static int hf_lte_rrc_attachWithoutPDN_Connectivity_r13_03 = -1;  /* T_attachWithoutPDN_Connectivity_r13_03 */
static int hf_lte_rrc_SchedulingInfoList_NB_r13_item = -1;  /* SchedulingInfo_NB_r13 */
static int hf_lte_rrc_si_Periodicity_r13 = -1;    /* T_si_Periodicity_r13 */
static int hf_lte_rrc_si_RepetitionPattern_r13_01 = -1;  /* T_si_RepetitionPattern_r13_01 */
static int hf_lte_rrc_sib_MappingInfo_r13 = -1;   /* SIB_MappingInfo_NB_r13 */
static int hf_lte_rrc_si_TB_r13 = -1;             /* T_si_TB_r13 */
static int hf_lte_rrc_SystemInfoValueTagList_NB_r13_item = -1;  /* SystemInfoValueTagSI_r13 */
static int hf_lte_rrc_SIB_MappingInfo_NB_r13_item = -1;  /* SIB_Type_NB_r13 */
static int hf_lte_rrc_delta_RxLevMin_v1350 = -1;  /* INTEGER_M8_M1 */
static int hf_lte_rrc_powerClass14dBm_Offset_r14 = -1;  /* T_powerClass14dBm_Offset_r14 */
static int hf_lte_rrc_ce_authorisationOffset_r14 = -1;  /* T_ce_authorisationOffset_r14 */
static int hf_lte_rrc_criticalExtensions_71 = -1;  /* T_criticalExtensions_71 */
static int hf_lte_rrc_c1_67 = -1;                 /* T_c1_67 */
static int hf_lte_rrc_ueCapabilityEnquiry_r13_01 = -1;  /* UECapabilityEnquiry_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_71 = -1;  /* T_criticalExtensionsFuture_71 */
static int hf_lte_rrc_nonCriticalExtension_264 = -1;  /* T_nonCriticalExtension_88 */
static int hf_lte_rrc_criticalExtensions_72 = -1;  /* T_criticalExtensions_72 */
static int hf_lte_rrc_ueCapabilityInformation_r13_01 = -1;  /* UECapabilityInformation_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_72 = -1;  /* T_criticalExtensionsFuture_72 */
static int hf_lte_rrc_ue_Capability_r13 = -1;     /* UE_Capability_NB_r13 */
static int hf_lte_rrc_ue_RadioPagingInfo_r13_01 = -1;  /* UE_RadioPagingInfo_NB_r13 */
static int hf_lte_rrc_nonCriticalExtension_265 = -1;  /* UECapabilityInformation_NB_Ext_r14_IEs */
static int hf_lte_rrc_ue_Capability_ContainerExt_r14 = -1;  /* T_ue_Capability_ContainerExt_r14 */
static int hf_lte_rrc_nonCriticalExtension_266 = -1;  /* T_nonCriticalExtension_89 */
static int hf_lte_rrc_criticalExtensions_73 = -1;  /* T_criticalExtensions_73 */
static int hf_lte_rrc_ulInformationTransfer_r13_01 = -1;  /* ULInformationTransfer_NB_r13_IEs */
static int hf_lte_rrc_criticalExtensionsFuture_73 = -1;  /* T_criticalExtensionsFuture_73 */
static int hf_lte_rrc_nonCriticalExtension_267 = -1;  /* T_nonCriticalExtension_90 */
static int hf_lte_rrc_radioResourceConfigCommon_r13 = -1;  /* RadioResourceConfigCommonSIB_NB_r13 */
static int hf_lte_rrc_ue_TimersAndConstants_r13 = -1;  /* UE_TimersAndConstants_NB_r13 */
static int hf_lte_rrc_freqInfo_r13_01 = -1;       /* T_freqInfo_r13_01 */
static int hf_lte_rrc_ul_CarrierFreq_r13_01 = -1;  /* CarrierFreq_NB_r13 */
static int hf_lte_rrc_timeAlignmentTimerCommon_r13 = -1;  /* TimeAlignmentTimer */
static int hf_lte_rrc_multiBandInfoList_r13_02 = -1;  /* AdditionalSpectrumEmission_r13 */
static int hf_lte_rrc_multiBandInfoList_r13_item = -1;  /* AdditionalSpectrumEmission */
static int hf_lte_rrc_cp_Reestablishment_r14 = -1;  /* T_cp_Reestablishment_r14 */
static int hf_lte_rrc_cellReselectionInfoCommon_r13 = -1;  /* T_cellReselectionInfoCommon_r13 */
static int hf_lte_rrc_q_Hyst_r13_02 = -1;         /* T_q_Hyst_r13_02 */
static int hf_lte_rrc_cellReselectionServingFreqInfo_r13 = -1;  /* T_cellReselectionServingFreqInfo_r13 */
static int hf_lte_rrc_s_NonIntraSearch_r13 = -1;  /* ReselectionThreshold */
static int hf_lte_rrc_intraFreqCellReselectionInfo_r13 = -1;  /* T_intraFreqCellReselectionInfo_r13 */
static int hf_lte_rrc_s_IntraSearchP_r13 = -1;    /* ReselectionThreshold */
static int hf_lte_rrc_t_Reselection_r13 = -1;     /* T_Reselection_NB_r13 */
static int hf_lte_rrc_multiBandInfoList_r13_03 = -1;  /* SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13 */
static int hf_lte_rrc_multiBandInfoList_r13_item_01 = -1;  /* NS_PmaxList_NB_r13 */
static int hf_lte_rrc_intraFreqCellReselectionInfo_v1350 = -1;  /* IntraFreqCellReselectionInfo_NB_v1350 */
static int hf_lte_rrc_intraFreqCellReselectionInfo_v1360 = -1;  /* IntraFreqCellReselectionInfo_NB_v1360 */
static int hf_lte_rrc_intraFreqCellReselectionInfo_v1430 = -1;  /* IntraFreqCellReselectionInfo_NB_v1430 */
static int hf_lte_rrc_cellReselectionInfoCommon_v1450 = -1;  /* CellReselectionInfoCommon_NB_v1450 */
static int hf_lte_rrc_s_IntraSearchP_v1360 = -1;  /* ReselectionThreshold_NB_v1360 */
static int hf_lte_rrc_powerClass14dBm_Offset_r14_01 = -1;  /* T_powerClass14dBm_Offset_r14_01 */
static int hf_lte_rrc_ce_AuthorisationOffset_r14 = -1;  /* T_ce_AuthorisationOffset_r14 */
static int hf_lte_rrc_s_SearchDeltaP_r14 = -1;    /* T_s_SearchDeltaP_r14 */
static int hf_lte_rrc_intraFreqNeighCellList_r13 = -1;  /* IntraFreqNeighCellList */
static int hf_lte_rrc_intraFreqBlackCellList_r13 = -1;  /* IntraFreqBlackCellList */
static int hf_lte_rrc_interFreqCarrierFreqList_r13 = -1;  /* InterFreqCarrierFreqList_NB_r13 */
static int hf_lte_rrc_InterFreqCarrierFreqList_NB_r13_item = -1;  /* InterFreqCarrierFreqInfo_NB_r13 */
static int hf_lte_rrc_dl_CarrierFreq_r13_01 = -1;  /* CarrierFreq_NB_r13 */
static int hf_lte_rrc_q_OffsetFreq_r13 = -1;      /* Q_OffsetRange */
static int hf_lte_rrc_interFreqNeighCellList_r13 = -1;  /* InterFreqNeighCellList_NB_r13 */
static int hf_lte_rrc_interFreqBlackCellList_r13 = -1;  /* InterFreqBlackCellList_NB_r13 */
static int hf_lte_rrc_powerClass14dBm_Offset_r14_02 = -1;  /* T_powerClass14dBm_Offset_r14_02 */
static int hf_lte_rrc_ce_AuthorisationOffset_r14_01 = -1;  /* T_ce_AuthorisationOffset_r14_01 */
static int hf_lte_rrc_InterFreqNeighCellList_NB_r13_item = -1;  /* PhysCellId */
static int hf_lte_rrc_InterFreqBlackCellList_NB_r13_item = -1;  /* PhysCellId */
static int hf_lte_rrc_ab_Param_r13 = -1;          /* T_ab_Param_r13 */
static int hf_lte_rrc_ab_Common_r13 = -1;         /* AB_Config_NB_r13 */
static int hf_lte_rrc_ab_PerPLMN_List_r13 = -1;   /* SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13 */
static int hf_lte_rrc_ab_PerPLMN_List_r13_item = -1;  /* AB_ConfigPLMN_NB_r13 */
static int hf_lte_rrc_ab_Config_r13 = -1;         /* AB_Config_NB_r13 */
static int hf_lte_rrc_ab_Category_r13 = -1;       /* T_ab_Category_r13 */
static int hf_lte_rrc_ab_BarringBitmap_r13 = -1;  /* BIT_STRING_SIZE_10 */
static int hf_lte_rrc_ab_BarringForExceptionData_r13 = -1;  /* T_ab_BarringForExceptionData_r13 */
static int hf_lte_rrc_ab_BarringForSpecialAC_r13 = -1;  /* BIT_STRING_SIZE_5 */
static int hf_lte_rrc_mbms_SAI_IntraFreq_r14 = -1;  /* MBMS_SAI_List_r11 */
static int hf_lte_rrc_mbms_SAI_InterFreqList_r14 = -1;  /* MBMS_SAI_InterFreqList_NB_r14 */
static int hf_lte_rrc_MBMS_SAI_InterFreqList_NB_r14_item = -1;  /* MBMS_SAI_InterFreq_NB_r14 */
static int hf_lte_rrc_dl_CarrierFreq_r14 = -1;    /* CarrierFreq_NB_r13 */
static int hf_lte_rrc_mbms_SAI_List_r14 = -1;     /* MBMS_SAI_List_r11 */
static int hf_lte_rrc_multiBandInfoList_r14_01 = -1;  /* AdditionalBandInfoList_NB_r14 */
static int hf_lte_rrc_npdcch_SC_MCCH_Config_r14 = -1;  /* NPDCCH_SC_MCCH_Config_NB_r14 */
static int hf_lte_rrc_sc_mcch_CarrierConfig_r14 = -1;  /* T_sc_mcch_CarrierConfig_r14 */
static int hf_lte_rrc_dl_CarrierConfig_r14 = -1;  /* DL_CarrierConfigCommon_NB_r14 */
static int hf_lte_rrc_dl_CarrierIndex_r14 = -1;   /* INTEGER_0_maxNonAnchorCarriers_NB_r14 */
static int hf_lte_rrc_sc_mcch_RepetitionPeriod_r14 = -1;  /* T_sc_mcch_RepetitionPeriod_r14 */
static int hf_lte_rrc_sc_mcch_Offset_r14 = -1;    /* INTEGER_0_10 */
static int hf_lte_rrc_sc_mcch_ModificationPeriod_r14 = -1;  /* T_sc_mcch_ModificationPeriod_r14 */
static int hf_lte_rrc_sc_mcch_SchedulingInfo_r14_01 = -1;  /* SC_MCCH_SchedulingInfo_NB_r14 */
static int hf_lte_rrc_npdcch_NumRepetitions_SC_MCCH_r14 = -1;  /* T_npdcch_NumRepetitions_SC_MCCH_r14 */
static int hf_lte_rrc_npdcch_StartSF_SC_MCCH_r14 = -1;  /* T_npdcch_StartSF_SC_MCCH_r14 */
static int hf_lte_rrc_npdcch_Offset_SC_MCCH_r14 = -1;  /* T_npdcch_Offset_SC_MCCH_r14 */
static int hf_lte_rrc_onDurationTimerSCPTM_r14_02 = -1;  /* T_onDurationTimerSCPTM_r14_02 */
static int hf_lte_rrc_drx_InactivityTimerSCPTM_r14_02 = -1;  /* T_drx_InactivityTimerSCPTM_r14_02 */
static int hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_02 = -1;  /* T_schedulingPeriodStartOffsetSCPTM_r14_02 */
static int hf_lte_rrc_dl_ConfigList_r14 = -1;     /* DL_ConfigCommonList_NB_r14 */
static int hf_lte_rrc_ul_ConfigList_r14 = -1;     /* UL_ConfigCommonList_NB_r14 */
static int hf_lte_rrc_pagingWeightAnchor_r14 = -1;  /* PagingWeight_NB_r14 */
static int hf_lte_rrc_nprach_ProbabilityAnchorList_r14 = -1;  /* NPRACH_ProbabilityAnchorList_NB_r14 */
static int hf_lte_rrc_DL_ConfigCommonList_NB_r14_item = -1;  /* DL_ConfigCommon_NB_r14 */
static int hf_lte_rrc_UL_ConfigCommonList_NB_r14_item = -1;  /* UL_ConfigCommon_NB_r14 */
static int hf_lte_rrc_pcch_Config_r14 = -1;       /* PCCH_Config_NB_r14 */
static int hf_lte_rrc_npdcch_NumRepetitionPaging_r14 = -1;  /* T_npdcch_NumRepetitionPaging_r14 */
static int hf_lte_rrc_pagingWeight_r14 = -1;      /* PagingWeight_NB_r14 */
static int hf_lte_rrc_ul_CarrierFreq_r14_01 = -1;  /* CarrierFreq_NB_r13 */
static int hf_lte_rrc_nprach_ParametersList_r14 = -1;  /* NPRACH_ParametersList_NB_r14 */
static int hf_lte_rrc_NPRACH_ParametersList_NB_r14_item = -1;  /* NPRACH_Parameters_NB_r14 */
static int hf_lte_rrc_nprach_Parameters_r14 = -1;  /* T_nprach_Parameters_r14 */
static int hf_lte_rrc_nprach_Periodicity_r14 = -1;  /* T_nprach_Periodicity_r14 */
static int hf_lte_rrc_nprach_StartTime_r14 = -1;  /* T_nprach_StartTime_r14 */
static int hf_lte_rrc_nprach_SubcarrierOffset_r14 = -1;  /* T_nprach_SubcarrierOffset_r14 */
static int hf_lte_rrc_nprach_NumSubcarriers_r14 = -1;  /* T_nprach_NumSubcarriers_r14 */
static int hf_lte_rrc_nprach_SubcarrierMSG3_RangeStart_r14 = -1;  /* T_nprach_SubcarrierMSG3_RangeStart_r14 */
static int hf_lte_rrc_npdcch_NumRepetitions_RA_r14 = -1;  /* T_npdcch_NumRepetitions_RA_r14 */
static int hf_lte_rrc_npdcch_StartSF_CSS_RA_r14 = -1;  /* T_npdcch_StartSF_CSS_RA_r14 */
static int hf_lte_rrc_npdcch_Offset_RA_r14 = -1;  /* T_npdcch_Offset_RA_r14 */
static int hf_lte_rrc_nprach_NumCBRA_StartSubcarriers_r14 = -1;  /* T_nprach_NumCBRA_StartSubcarriers_r14 */
static int hf_lte_rrc_npdcch_CarrierIndex_r14 = -1;  /* INTEGER_1_maxNonAnchorCarriers_NB_r14 */
static int hf_lte_rrc_NPRACH_ProbabilityAnchorList_NB_r14_item = -1;  /* NPRACH_ProbabilityAnchor_NB_r14 */
static int hf_lte_rrc_nprach_ProbabilityAnchor_r14 = -1;  /* T_nprach_ProbabilityAnchor_r14 */
static int hf_lte_rrc_dl_CarrierConfig_r13 = -1;  /* DL_CarrierConfigDedicated_NB_r13 */
static int hf_lte_rrc_ul_CarrierConfig_r13 = -1;  /* UL_CarrierConfigDedicated_NB_r13 */
static int hf_lte_rrc_downlinkBitmapNonAnchor_r13 = -1;  /* T_downlinkBitmapNonAnchor_r13 */
static int hf_lte_rrc_useNoBitmap_r13 = -1;       /* NULL */
static int hf_lte_rrc_useAnchorBitmap_r13 = -1;   /* NULL */
static int hf_lte_rrc_explicitBitmapConfiguration_r13 = -1;  /* DL_Bitmap_NB_r13 */
static int hf_lte_rrc_dl_GapNonAnchor_r13 = -1;   /* T_dl_GapNonAnchor_r13 */
static int hf_lte_rrc_useNoGap_r13 = -1;          /* NULL */
static int hf_lte_rrc_useAnchorGapConfig_r13 = -1;  /* NULL */
static int hf_lte_rrc_explicitGapConfiguration_r13 = -1;  /* DL_GapConfig_NB_r13 */
static int hf_lte_rrc_inbandCarrierInfo_r13 = -1;  /* T_inbandCarrierInfo_r13 */
static int hf_lte_rrc_samePCI_Indicator_r13 = -1;  /* T_samePCI_Indicator_r13 */
static int hf_lte_rrc_samePCI_r13 = -1;           /* T_samePCI_r13 */
static int hf_lte_rrc_indexToMidPRB_r13 = -1;     /* INTEGER_M55_54 */
static int hf_lte_rrc_differentPCI_r13 = -1;      /* T_differentPCI_r13 */
static int hf_lte_rrc_eutra_NumCRS_Ports_r13_01 = -1;  /* T_eutra_NumCRS_Ports_r13_01 */
static int hf_lte_rrc_eutraControlRegionSize_r13_01 = -1;  /* T_eutraControlRegionSize_r13_01 */
static int hf_lte_rrc_nrs_PowerOffsetNonAnchor_v1330 = -1;  /* T_nrs_PowerOffsetNonAnchor_v1330 */
static int hf_lte_rrc_carrierFreqOffset_r13 = -1;  /* T_carrierFreqOffset_r13 */
static int hf_lte_rrc_downlinkBitmapNonAnchor_r14 = -1;  /* T_downlinkBitmapNonAnchor_r14 */
static int hf_lte_rrc_useNoBitmap_r14 = -1;       /* NULL */
static int hf_lte_rrc_useAnchorBitmap_r14 = -1;   /* NULL */
static int hf_lte_rrc_explicitBitmapConfiguration_r14 = -1;  /* DL_Bitmap_NB_r13 */
static int hf_lte_rrc_dl_GapNonAnchor_r14 = -1;   /* T_dl_GapNonAnchor_r14 */
static int hf_lte_rrc_useNoGap_r14 = -1;          /* NULL */
static int hf_lte_rrc_useAnchorGapConfig_r14 = -1;  /* NULL */
static int hf_lte_rrc_explicitGapConfiguration_r14 = -1;  /* DL_GapConfig_NB_r13 */
static int hf_lte_rrc_inbandCarrierInfo_r14 = -1;  /* T_inbandCarrierInfo_r14 */
static int hf_lte_rrc_samePCI_Indicator_r14 = -1;  /* T_samePCI_Indicator_r14 */
static int hf_lte_rrc_samePCI_r14 = -1;           /* T_samePCI_r14 */
static int hf_lte_rrc_indexToMidPRB_r14 = -1;     /* INTEGER_M55_54 */
static int hf_lte_rrc_differentPCI_r14 = -1;      /* T_differentPCI_r14 */
static int hf_lte_rrc_eutra_NumCRS_Ports_r14 = -1;  /* T_eutra_NumCRS_Ports_r14 */
static int hf_lte_rrc_eutraControlRegionSize_r14 = -1;  /* T_eutraControlRegionSize_r14 */
static int hf_lte_rrc_nrs_PowerOffsetNonAnchor_r14 = -1;  /* T_nrs_PowerOffsetNonAnchor_r14 */
static int hf_lte_rrc_dl_GapThreshold_r13 = -1;   /* T_dl_GapThreshold_r13 */
static int hf_lte_rrc_dl_GapPeriodicity_r13 = -1;  /* T_dl_GapPeriodicity_r13 */
static int hf_lte_rrc_dl_GapDurationCoeff_r13 = -1;  /* T_dl_GapDurationCoeff_r13 */
static int hf_lte_rrc_priority_r13 = -1;          /* T_priority_r13 */
static int hf_lte_rrc_logicalChannelSR_Prohibit_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_ul_SCH_Config_r13 = -1;     /* T_ul_SCH_Config_r13 */
static int hf_lte_rrc_periodicBSR_Timer_r13 = -1;  /* PeriodicBSR_Timer_NB_r13 */
static int hf_lte_rrc_retxBSR_Timer_r13 = -1;     /* RetxBSR_Timer_NB_r13 */
static int hf_lte_rrc_drx_Config_r13_01 = -1;     /* DRX_Config_NB_r13 */
static int hf_lte_rrc_timeAlignmentTimerDedicated_r13 = -1;  /* TimeAlignmentTimer */
static int hf_lte_rrc_logicalChannelSR_Config_r13 = -1;  /* T_logicalChannelSR_Config_r13 */
static int hf_lte_rrc_setup_145 = -1;             /* T_setup_127 */
static int hf_lte_rrc_logicalChannelSR_ProhibitTimer_r13 = -1;  /* T_logicalChannelSR_ProhibitTimer_r13 */
static int hf_lte_rrc_rai_Activation_r14_01 = -1;  /* T_rai_Activation_r14_01 */
static int hf_lte_rrc_dataInactivityTimerConfig_r14_01 = -1;  /* T_dataInactivityTimerConfig_r14_01 */
static int hf_lte_rrc_setup_146 = -1;             /* T_setup_128 */
static int hf_lte_rrc_drx_Cycle_v1430 = -1;       /* T_drx_Cycle_v1430 */
static int hf_lte_rrc_ra_CFRA_Config_r14 = -1;    /* T_ra_CFRA_Config_r14 */
static int hf_lte_rrc_setup_147 = -1;             /* T_setup_129 */
static int hf_lte_rrc_onDurationTimer_r13 = -1;   /* T_onDurationTimer_r13 */
static int hf_lte_rrc_drx_InactivityTimer_r13 = -1;  /* T_drx_InactivityTimer_r13 */
static int hf_lte_rrc_drx_RetransmissionTimer_r13 = -1;  /* T_drx_RetransmissionTimer_r13 */
static int hf_lte_rrc_drx_Cycle_r13 = -1;         /* T_drx_Cycle_r13 */
static int hf_lte_rrc_drx_StartOffset_r13 = -1;   /* INTEGER_0_255 */
static int hf_lte_rrc_drx_ULRetransmissionTimer_r13_01 = -1;  /* T_drx_ULRetransmissionTimer_r13_01 */
static int hf_lte_rrc_npdcch_NumRepetitions_r13 = -1;  /* T_npdcch_NumRepetitions_r13 */
static int hf_lte_rrc_npdcch_StartSF_USS_r13 = -1;  /* T_npdcch_StartSF_USS_r13 */
static int hf_lte_rrc_npdcch_Offset_USS_r13 = -1;  /* T_npdcch_Offset_USS_r13 */
static int hf_lte_rrc_nrs_Power_r13 = -1;         /* INTEGER_M60_50 */
static int hf_lte_rrc_nprach_CP_Length_r13 = -1;  /* T_nprach_CP_Length_r13 */
static int hf_lte_rrc_rsrp_ThresholdsPrachInfoList_r13_01 = -1;  /* RSRP_ThresholdsNPRACH_InfoList_NB_r13 */
static int hf_lte_rrc_nprach_ParametersList_r13 = -1;  /* NPRACH_ParametersList_NB_r13 */
static int hf_lte_rrc_nprach_ParametersList_v1330 = -1;  /* NPRACH_ParametersList_NB_v1330 */
static int hf_lte_rrc_maxNumPreambleAttemptCE_r14 = -1;  /* T_maxNumPreambleAttemptCE_r14 */
static int hf_lte_rrc_NPRACH_ParametersList_NB_r13_item = -1;  /* NPRACH_Parameters_NB_r13 */
static int hf_lte_rrc_NPRACH_ParametersList_NB_v1330_item = -1;  /* NPRACH_Parameters_NB_v1330 */
static int hf_lte_rrc_nprach_Periodicity_r13 = -1;  /* T_nprach_Periodicity_r13 */
static int hf_lte_rrc_nprach_StartTime_r13 = -1;  /* T_nprach_StartTime_r13 */
static int hf_lte_rrc_nprach_SubcarrierOffset_r13 = -1;  /* T_nprach_SubcarrierOffset_r13 */
static int hf_lte_rrc_nprach_NumSubcarriers_r13 = -1;  /* T_nprach_NumSubcarriers_r13 */
static int hf_lte_rrc_nprach_SubcarrierMSG3_RangeStart_r13 = -1;  /* T_nprach_SubcarrierMSG3_RangeStart_r13 */
static int hf_lte_rrc_maxNumPreambleAttemptCE_r13_01 = -1;  /* T_maxNumPreambleAttemptCE_r13_01 */
static int hf_lte_rrc_numRepetitionsPerPreambleAttempt_r13 = -1;  /* T_numRepetitionsPerPreambleAttempt_r13 */
static int hf_lte_rrc_npdcch_NumRepetitions_RA_r13 = -1;  /* T_npdcch_NumRepetitions_RA_r13 */
static int hf_lte_rrc_npdcch_StartSF_CSS_RA_r13 = -1;  /* T_npdcch_StartSF_CSS_RA_r13 */
static int hf_lte_rrc_npdcch_Offset_RA_r13 = -1;  /* T_npdcch_Offset_RA_r13 */
static int hf_lte_rrc_nprach_NumCBRA_StartSubcarriers_r13 = -1;  /* T_nprach_NumCBRA_StartSubcarriers_r13 */
static int hf_lte_rrc_RSRP_ThresholdsNPRACH_InfoList_NB_r13_item = -1;  /* RSRP_Range */
static int hf_lte_rrc_ack_NACK_NumRepetitions_Msg4_r13 = -1;  /* SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13 */
static int hf_lte_rrc_ack_NACK_NumRepetitions_Msg4_r13_item = -1;  /* ACK_NACK_NumRepetitions_NB_r13 */
static int hf_lte_rrc_srs_SubframeConfig_r13 = -1;  /* T_srs_SubframeConfig_r13 */
static int hf_lte_rrc_dmrs_Config_r13 = -1;       /* T_dmrs_Config_r13 */
static int hf_lte_rrc_threeTone_BaseSequence_r13 = -1;  /* INTEGER_0_12 */
static int hf_lte_rrc_threeTone_CyclicShift_r13 = -1;  /* INTEGER_0_2 */
static int hf_lte_rrc_sixTone_BaseSequence_r13 = -1;  /* INTEGER_0_14 */
static int hf_lte_rrc_sixTone_CyclicShift_r13 = -1;  /* INTEGER_0_3 */
static int hf_lte_rrc_twelveTone_BaseSequence_r13 = -1;  /* INTEGER_0_30 */
static int hf_lte_rrc_ul_ReferenceSignalsNPUSCH_r13 = -1;  /* UL_ReferenceSignalsNPUSCH_NB_r13 */
static int hf_lte_rrc_groupHoppingEnabled_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_groupAssignmentNPUSCH_r13 = -1;  /* INTEGER_0_29 */
static int hf_lte_rrc_ack_NACK_NumRepetitions_r13 = -1;  /* ACK_NACK_NumRepetitions_NB_r13 */
static int hf_lte_rrc_npusch_AllSymbols_r13 = -1;  /* BOOLEAN */
static int hf_lte_rrc_groupHoppingDisabled_r13_01 = -1;  /* T_groupHoppingDisabled_r13_01 */
static int hf_lte_rrc_discardTimer_r13 = -1;      /* T_discardTimer_r13 */
static int hf_lte_rrc_headerCompression_r13 = -1;  /* T_headerCompression_r13 */
static int hf_lte_rrc_rohc_01 = -1;               /* T_rohc_01 */
static int hf_lte_rrc_maxCID_r13 = -1;            /* INTEGER_1_16383 */
static int hf_lte_rrc_profiles_r13 = -1;          /* T_profiles_r13 */
static int hf_lte_rrc_carrierConfigDedicated_r13 = -1;  /* CarrierConfigDedicated_NB_r13 */
static int hf_lte_rrc_npdcch_ConfigDedicated_r13 = -1;  /* NPDCCH_ConfigDedicated_NB_r13 */
static int hf_lte_rrc_npusch_ConfigDedicated_r13 = -1;  /* NPUSCH_ConfigDedicated_NB_r13 */
static int hf_lte_rrc_uplinkPowerControlDedicated_r13_01 = -1;  /* UplinkPowerControlDedicated_NB_r13 */
static int hf_lte_rrc_twoHARQ_ProcessesConfig_r14 = -1;  /* T_twoHARQ_ProcessesConfig_r14 */
static int hf_lte_rrc_interferenceRandomisationConfig_r14 = -1;  /* T_interferenceRandomisationConfig_r14 */
static int hf_lte_rrc_powerRampingParameters_r13 = -1;  /* PowerRampingParameters */
static int hf_lte_rrc_rach_InfoList_r13 = -1;     /* RACH_InfoList_NB_r13 */
static int hf_lte_rrc_connEstFailOffset_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_powerRampingParameters_v1450 = -1;  /* PowerRampingParameters_NB_v1450 */
static int hf_lte_rrc_RACH_InfoList_NB_r13_item = -1;  /* RACH_Info_NB_r13 */
static int hf_lte_rrc_ra_ResponseWindowSize_r13_01 = -1;  /* T_ra_ResponseWindowSize_r13_01 */
static int hf_lte_rrc_mac_ContentionResolutionTimer_r13_01 = -1;  /* T_mac_ContentionResolutionTimer_r13_01 */
static int hf_lte_rrc_preambleInitialReceivedTargetPower_v1450 = -1;  /* T_preambleInitialReceivedTargetPower_v1450 */
static int hf_lte_rrc_powerRampingParametersCE1_r14 = -1;  /* T_powerRampingParametersCE1_r14 */
static int hf_lte_rrc_powerRampingStepCE1_r14 = -1;  /* T_powerRampingStepCE1_r14 */
static int hf_lte_rrc_preambleInitialReceivedTargetPowerCE1_r14 = -1;  /* T_preambleInitialReceivedTargetPowerCE1_r14 */
static int hf_lte_rrc_rach_ConfigCommon_r13 = -1;  /* RACH_ConfigCommon_NB_r13 */
static int hf_lte_rrc_bcch_Config_r13 = -1;       /* BCCH_Config_NB_r13 */
static int hf_lte_rrc_pcch_Config_r13 = -1;       /* PCCH_Config_NB_r13 */
static int hf_lte_rrc_nprach_Config_r13 = -1;     /* NPRACH_ConfigSIB_NB_r13 */
static int hf_lte_rrc_npdsch_ConfigCommon_r13 = -1;  /* NPDSCH_ConfigCommon_NB_r13 */
static int hf_lte_rrc_npusch_ConfigCommon_r13 = -1;  /* NPUSCH_ConfigCommon_NB_r13 */
static int hf_lte_rrc_dl_Gap_r13 = -1;            /* DL_GapConfig_NB_r13 */
static int hf_lte_rrc_uplinkPowerControlCommon_r13 = -1;  /* UplinkPowerControlCommon_NB_r13 */
static int hf_lte_rrc_nprach_Config_v1330 = -1;   /* NPRACH_ConfigSIB_NB_v1330 */
static int hf_lte_rrc_nprach_Config_v1450 = -1;   /* NPRACH_ConfigSIB_NB_v1450 */
static int hf_lte_rrc_modificationPeriodCoeff_r13 = -1;  /* T_modificationPeriodCoeff_r13 */
static int hf_lte_rrc_defaultPagingCycle_r13 = -1;  /* T_defaultPagingCycle_r13 */
static int hf_lte_rrc_nB_r13 = -1;                /* T_nB_r13 */
static int hf_lte_rrc_npdcch_NumRepetitionPaging_r13_01 = -1;  /* T_npdcch_NumRepetitionPaging_r13 */
static int hf_lte_rrc_srb_ToAddModList_r13 = -1;  /* SRB_ToAddModList_NB_r13 */
static int hf_lte_rrc_drb_ToAddModList_r13 = -1;  /* DRB_ToAddModList_NB_r13 */
static int hf_lte_rrc_drb_ToReleaseList_r13 = -1;  /* DRB_ToReleaseList_NB_r13 */
static int hf_lte_rrc_mac_MainConfig_r13 = -1;    /* T_mac_MainConfig_r13 */
static int hf_lte_rrc_explicitValue_r13 = -1;     /* MAC_MainConfig_NB_r13 */
static int hf_lte_rrc_defaultValue_r13 = -1;      /* NULL */
static int hf_lte_rrc_physicalConfigDedicated_r13 = -1;  /* PhysicalConfigDedicated_NB_r13 */
static int hf_lte_rrc_rlf_TimersAndConstants_r13_01 = -1;  /* RLF_TimersAndConstants_NB_r13 */
static int hf_lte_rrc_SRB_ToAddModList_NB_r13_item = -1;  /* SRB_ToAddMod_NB_r13 */
static int hf_lte_rrc_rlc_Config_r13 = -1;        /* T_rlc_Config_r13 */
static int hf_lte_rrc_explicitValue_06 = -1;      /* RLC_Config_NB_r13 */
static int hf_lte_rrc_logicalChannelConfig_r13 = -1;  /* T_logicalChannelConfig_r13 */
static int hf_lte_rrc_explicitValue_07 = -1;      /* LogicalChannelConfig_NB_r13 */
static int hf_lte_rrc_rlc_Config_v1430_01 = -1;   /* RLC_Config_NB_v1430 */
static int hf_lte_rrc_DRB_ToAddModList_NB_r13_item = -1;  /* DRB_ToAddMod_NB_r13 */
static int hf_lte_rrc_eps_BearerIdentity_r13 = -1;  /* INTEGER_0_15 */
static int hf_lte_rrc_drb_Identity_r13 = -1;      /* DRB_Identity */
static int hf_lte_rrc_pdcp_Config_r13 = -1;       /* PDCP_Config_NB_r13 */
static int hf_lte_rrc_rlc_Config_r13_01 = -1;     /* RLC_Config_NB_r13 */
static int hf_lte_rrc_logicalChannelIdentity_r13 = -1;  /* T_logicalChannelIdentity_r13 */
static int hf_lte_rrc_logicalChannelConfig_r13_01 = -1;  /* LogicalChannelConfig_NB_r13 */
static int hf_lte_rrc_DRB_ToReleaseList_NB_r13_item = -1;  /* DRB_Identity */
static int hf_lte_rrc_am_01 = -1;                 /* T_am_01 */
static int hf_lte_rrc_ul_AM_RLC_r13 = -1;         /* UL_AM_RLC_NB_r13 */
static int hf_lte_rrc_dl_AM_RLC_r13 = -1;         /* DL_AM_RLC_NB_r13 */
static int hf_lte_rrc_t_Reordering_r14 = -1;      /* T_Reordering */
static int hf_lte_rrc_t_PollRetransmit_r13 = -1;  /* T_PollRetransmit_NB_r13 */
static int hf_lte_rrc_maxRetxThreshold_r13 = -1;  /* T_maxRetxThreshold_r13 */
static int hf_lte_rrc_enableStatusReportSN_Gap_r13 = -1;  /* T_enableStatusReportSN_Gap_r13 */
static int hf_lte_rrc_setup_148 = -1;             /* T_setup_130 */
static int hf_lte_rrc_t301_r13 = -1;              /* T_t301_r13 */
static int hf_lte_rrc_t310_r13 = -1;              /* T_t310_r13 */
static int hf_lte_rrc_n310_r13 = -1;              /* T_n310_r13 */
static int hf_lte_rrc_t311_r13 = -1;              /* T_t311_r13 */
static int hf_lte_rrc_n311_r13 = -1;              /* T_n311_r13 */
static int hf_lte_rrc_t311_v1350 = -1;            /* T_t311_v1350 */
static int hf_lte_rrc_p0_NominalNPUSCH_r13 = -1;  /* INTEGER_M126_24 */
static int hf_lte_rrc_alpha_r13 = -1;             /* T_alpha_r13 */
static int hf_lte_rrc_deltaPreambleMsg3_r13 = -1;  /* INTEGER_M1_6 */
static int hf_lte_rrc_p0_UE_NPUSCH_r13 = -1;      /* INTEGER_M8_7 */
static int hf_lte_rrc_AdditionalBandInfoList_NB_r14_item = -1;  /* FreqBandIndicator_NB_r13 */
static int hf_lte_rrc_MultiBandInfoList_NB_r13_item = -1;  /* MultiBandInfo_NB_r13 */
static int hf_lte_rrc_NS_PmaxList_NB_r13_item = -1;  /* NS_PmaxValue_NB_r13 */
static int hf_lte_rrc_additionalPmax_r13 = -1;    /* P_Max */
static int hf_lte_rrc_accessStratumRelease_r13 = -1;  /* AccessStratumRelease_NB_r13 */
static int hf_lte_rrc_ue_Category_NB_r13 = -1;    /* T_ue_Category_NB_r13 */
static int hf_lte_rrc_multipleDRB_r13 = -1;       /* T_multipleDRB_r13 */
static int hf_lte_rrc_pdcp_Parameters_r13 = -1;   /* PDCP_Parameters_NB_r13 */
static int hf_lte_rrc_phyLayerParameters_r13 = -1;  /* PhyLayerParameters_NB_r13 */
static int hf_lte_rrc_rf_Parameters_r13 = -1;     /* RF_Parameters_NB_r13 */
static int hf_lte_rrc_dummy_02 = -1;              /* T_dummy_01 */
static int hf_lte_rrc_ue_Category_NB_r14 = -1;    /* T_ue_Category_NB_r14 */
static int hf_lte_rrc_mac_Parameters_r14 = -1;    /* MAC_Parameters_NB_r14 */
static int hf_lte_rrc_phyLayerParameters_v1430_01 = -1;  /* PhyLayerParameters_NB_v1430 */
static int hf_lte_rrc_rf_Parameters_v1430_01 = -1;  /* RF_Parameters_NB_v1430 */
static int hf_lte_rrc_nonCriticalExtension_268 = -1;  /* UE_Capability_NB_v1440_IEs */
static int hf_lte_rrc_phyLayerParameters_v1440 = -1;  /* PhyLayerParameters_NB_v1440 */
static int hf_lte_rrc_nonCriticalExtension_269 = -1;  /* T_nonCriticalExtension_91 */
static int hf_lte_rrc_supportedROHC_Profiles_r13 = -1;  /* T_supportedROHC_Profiles_r13 */
static int hf_lte_rrc_maxNumberROHC_ContextSessions_r13 = -1;  /* T_maxNumberROHC_ContextSessions_r13 */
static int hf_lte_rrc_dataInactMon_r14_01 = -1;   /* T_dataInactMon_r14_01 */
static int hf_lte_rrc_rai_Support_r14_01 = -1;    /* T_rai_Support_r14_01 */
static int hf_lte_rrc_multiTone_r13 = -1;         /* T_multiTone_r13 */
static int hf_lte_rrc_multiCarrier_r13 = -1;      /* T_multiCarrier_r13 */
static int hf_lte_rrc_multiCarrier_NPRACH_r14 = -1;  /* T_multiCarrier_NPRACH_r14 */
static int hf_lte_rrc_twoHARQ_Processes_r14 = -1;  /* T_twoHARQ_Processes_r14 */
static int hf_lte_rrc_interferenceRandomisation_r14 = -1;  /* T_interferenceRandomisation_r14 */
static int hf_lte_rrc_supportedBandList_r13 = -1;  /* SupportedBandList_NB_r13 */
static int hf_lte_rrc_multiNS_Pmax_r13 = -1;      /* T_multiNS_Pmax_r13 */
static int hf_lte_rrc_powerClassNB_14dBm_r14 = -1;  /* T_powerClassNB_14dBm_r14 */
static int hf_lte_rrc_SupportedBandList_NB_r13_item = -1;  /* SupportedBand_NB_r13 */
static int hf_lte_rrc_band_r13 = -1;              /* FreqBandIndicator_NB_r13 */
static int hf_lte_rrc_powerClassNB_20dBm_r13 = -1;  /* T_powerClassNB_20dBm_r13 */
static int hf_lte_rrc_ue_Category_NB_r13_01 = -1;  /* T_ue_Category_NB_r13_01 */
static int hf_lte_rrc_multiCarrierPaging_r14 = -1;  /* T_multiCarrierPaging_r14 */
static int hf_lte_rrc_t300_r13 = -1;              /* T_t300_r13 */
static int hf_lte_rrc_t301_r13_01 = -1;           /* T_t301_r13_01 */
static int hf_lte_rrc_t310_r13_01 = -1;           /* T_t310_r13_01 */
static int hf_lte_rrc_n310_r13_01 = -1;           /* T_n310_r13_01 */
static int hf_lte_rrc_t311_r13_01 = -1;           /* T_t311_r13_01 */
static int hf_lte_rrc_n311_r13_01 = -1;           /* T_n311_r13_01 */
static int hf_lte_rrc_t311_v1350_01 = -1;         /* T_t311_v1350_01 */
static int hf_lte_rrc_SC_MTCH_InfoList_NB_r14_item = -1;  /* SC_MTCH_Info_NB_r14 */
static int hf_lte_rrc_sc_mtch_CarrierConfig_r14 = -1;  /* T_sc_mtch_CarrierConfig_r14 */
static int hf_lte_rrc_sc_mtch_SchedulingInfo_r14 = -1;  /* SC_MTCH_SchedulingInfo_NB_r14 */
static int hf_lte_rrc_sc_mtch_NeighbourCell_r14 = -1;  /* BIT_STRING_SIZE_maxNeighCell_SCPTM_NB_r14 */
static int hf_lte_rrc_npdcch_NPDSCH_MaxTBS_SC_MTCH_r14 = -1;  /* T_npdcch_NPDSCH_MaxTBS_SC_MTCH_r14 */
static int hf_lte_rrc_npdcch_NumRepetitions_SC_MTCH_r14 = -1;  /* T_npdcch_NumRepetitions_SC_MTCH_r14 */
static int hf_lte_rrc_npdcch_StartSF_SC_MTCH_r14 = -1;  /* T_npdcch_StartSF_SC_MTCH_r14 */
static int hf_lte_rrc_npdcch_Offset_SC_MTCH_r14 = -1;  /* T_npdcch_Offset_SC_MTCH_r14 */
static int hf_lte_rrc_onDurationTimerSCPTM_r14_03 = -1;  /* T_onDurationTimerSCPTM_r14_03 */
static int hf_lte_rrc_drx_InactivityTimerSCPTM_r14_03 = -1;  /* T_drx_InactivityTimerSCPTM_r14_03 */
static int hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_03 = -1;  /* T_schedulingPeriodStartOffsetSCPTM_r14_03 */
static int hf_lte_rrc_SCPTM_NeighbourCellList_NB_r14_item = -1;  /* PCI_ARFCN_NB_r14 */
static int hf_lte_rrc_physCellId_r14 = -1;        /* PhysCellId */
static int hf_lte_rrc_carrierFreq_r14 = -1;       /* CarrierFreq_NB_r13 */
static int dummy_hf_lte_rrc_eag_field = -1; /* never registered */

/*--- End of included file: packet-lte-rrc-hf.c ---*/
#line 76 "./asn1/lte-rrc/packet-lte-rrc-template.c"

static int hf_lte_rrc_eutra_cap_feat_group_ind_1 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_2 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_3 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_4 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_5 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_6 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_7 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_8 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_9 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_10 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_11 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_12 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_13 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_14 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_15 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_16 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_17 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_18 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_19 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_20 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_21 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_22 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_23 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_24 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_25 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_26 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_27 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_28 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_29 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_30 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_31 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_32 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_33 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_34 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_35 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_36 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_37 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_38 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_39 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_40 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_41 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_42 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_43 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_44 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_45 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_46 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_47 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_48 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_49 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_50 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_51 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_52 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_53 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_54 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_55 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_56 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_57 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_58 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_59 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_60 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_61 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_62 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_63 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_64 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_101 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_102 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_103 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_104 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_105 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_106 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_107 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_108 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_109 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_110 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_111 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_112 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_113 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_114 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_115 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_116 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_117 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_118 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_119 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_120 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_121 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_122 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_123 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_124 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_125 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_126 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_127 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_128 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_129 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_130 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_131 = -1;
static int hf_lte_rrc_eutra_cap_feat_group_ind_132 = -1;
static int hf_lte_rrc_serialNumber_gs = -1;
static int hf_lte_rrc_serialNumber_msg_code = -1;
static int hf_lte_rrc_serialNumber_upd_nb = -1;
static int hf_lte_rrc_warningType_value = -1;
static int hf_lte_rrc_warningType_emergency_user_alert = -1;
static int hf_lte_rrc_warningType_popup = -1;
static int hf_lte_rrc_warningMessageSegment_nb_pages = -1;
static int hf_lte_rrc_warningMessageSegment_decoded_page = -1;
static int hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_bit1 = -1;
static int hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_bit2 = -1;
static int hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit1 = -1;
static int hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit2 = -1;
static int hf_lte_rrc_aperiodicCSI_Reporting_r13_bit1 = -1;
static int hf_lte_rrc_aperiodicCSI_Reporting_r13_bit2 = -1;
static int hf_lte_rrc_codebook_HARQ_ACK_r13_bit1 = -1;
static int hf_lte_rrc_codebook_HARQ_ACK_r13_bit2 = -1;
static int hf_lte_rrc_sr_config_periodicity = -1;
static int hf_lte_rrc_sr_config_subframe_offset = -1;
static int hf_lte_rrc_cdma_time = -1;
static int hf_lte_rrc_utc_time = -1;
static int hf_lte_rrc_local_time = -1;
static int hf_lte_rrc_absolute_time = -1;
static int hf_lte_rrc_transmissionModeList_r12_tm1 = -1;
static int hf_lte_rrc_transmissionModeList_r12_tm2 = -1;
static int hf_lte_rrc_transmissionModeList_r12_tm3 = -1;
static int hf_lte_rrc_transmissionModeList_r12_tm4 = -1;
static int hf_lte_rrc_transmissionModeList_r12_tm6 = -1;
static int hf_lte_rrc_transmissionModeList_r12_tm8 = -1;
static int hf_lte_rrc_transmissionModeList_r12_tm9 = -1;
static int hf_lte_rrc_transmissionModeList_r12_tm10 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_0 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_1 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_2 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_3 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_4 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_5 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_6 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_7 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_8 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_9 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_10 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_11 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_12 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_13 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_14 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_15 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_16 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_17 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_18 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_19 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_20 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_21 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_22 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_23 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_24 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_25 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_26 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_27 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_28 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_29 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_30 = -1;
static int hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_31 = -1;
static int hf_lte_rrc_sib11_fragments = -1;
static int hf_lte_rrc_sib11_fragment = -1;
static int hf_lte_rrc_sib11_fragment_overlap = -1;
static int hf_lte_rrc_sib11_fragment_overlap_conflict = -1;
static int hf_lte_rrc_sib11_fragment_multiple_tails = -1;
static int hf_lte_rrc_sib11_fragment_too_long_fragment = -1;
static int hf_lte_rrc_sib11_fragment_error = -1;
static int hf_lte_rrc_sib11_fragment_count = -1;
static int hf_lte_rrc_sib11_reassembled_in = -1;
static int hf_lte_rrc_sib11_reassembled_length = -1;
static int hf_lte_rrc_sib11_reassembled_data = -1;
static int hf_lte_rrc_sib12_fragments = -1;
static int hf_lte_rrc_sib12_fragment = -1;
static int hf_lte_rrc_sib12_fragment_overlap = -1;
static int hf_lte_rrc_sib12_fragment_overlap_conflict = -1;
static int hf_lte_rrc_sib12_fragment_multiple_tails = -1;
static int hf_lte_rrc_sib12_fragment_too_long_fragment = -1;
static int hf_lte_rrc_sib12_fragment_error = -1;
static int hf_lte_rrc_sib12_fragment_count = -1;
static int hf_lte_rrc_sib12_reassembled_in = -1;
static int hf_lte_rrc_sib12_reassembled_length = -1;
static int hf_lte_rrc_sib12_reassembled_data = -1;

/* Initialize the subtree pointers */
static int ett_lte_rrc = -1;


/*--- Included file: packet-lte-rrc-ett.c ---*/
#line 1 "./asn1/lte-rrc/packet-lte-rrc-ett.c"
static gint ett_lte_rrc_HandoverCommand = -1;
static gint ett_lte_rrc_T_criticalExtensions = -1;
static gint ett_lte_rrc_T_c1 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture = -1;
static gint ett_lte_rrc_HandoverCommand_r8_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension = -1;
static gint ett_lte_rrc_HandoverPreparationInformation = -1;
static gint ett_lte_rrc_T_criticalExtensions_01 = -1;
static gint ett_lte_rrc_T_c1_01 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_01 = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_r8_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v920_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v9d0_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v9j0_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v10j0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_01 = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v9e0_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v1130_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v1250_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v1320_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_02 = -1;
static gint ett_lte_rrc_SCG_Config_r12 = -1;
static gint ett_lte_rrc_T_criticalExtensions_02 = -1;
static gint ett_lte_rrc_T_c1_02 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_02 = -1;
static gint ett_lte_rrc_SCG_Config_r12_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_03 = -1;
static gint ett_lte_rrc_SCG_ConfigInfo_r12 = -1;
static gint ett_lte_rrc_T_criticalExtensions_03 = -1;
static gint ett_lte_rrc_T_c1_03 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_03 = -1;
static gint ett_lte_rrc_SCG_ConfigInfo_r12_IEs = -1;
static gint ett_lte_rrc_SCG_ConfigInfo_v1310_IEs = -1;
static gint ett_lte_rrc_SCG_ConfigInfo_v1330_IEs = -1;
static gint ett_lte_rrc_SCG_ConfigInfo_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_04 = -1;
static gint ett_lte_rrc_DRB_InfoListSCG_r12 = -1;
static gint ett_lte_rrc_DRB_InfoSCG_r12 = -1;
static gint ett_lte_rrc_SCellToAddModListSCG_r12 = -1;
static gint ett_lte_rrc_SCellToAddModListSCG_Ext_r13 = -1;
static gint ett_lte_rrc_Cell_ToAddMod_r12 = -1;
static gint ett_lte_rrc_T_cellIdentification_r12 = -1;
static gint ett_lte_rrc_T_measResultCellToAdd_r12 = -1;
static gint ett_lte_rrc_T_measResultCellToAdd_v1310 = -1;
static gint ett_lte_rrc_MeasResultServCellListSCG_r12 = -1;
static gint ett_lte_rrc_MeasResultServCellListSCG_Ext_r13 = -1;
static gint ett_lte_rrc_MeasResultServCellSCG_r12 = -1;
static gint ett_lte_rrc_T_measResultSCell_r12 = -1;
static gint ett_lte_rrc_T_measResultSCell_v1310 = -1;
static gint ett_lte_rrc_MeasResultListRSSI_SCG_r13 = -1;
static gint ett_lte_rrc_MeasResultRSSI_SCG_r13 = -1;
static gint ett_lte_rrc_SCG_ConfigRestrictInfo_r12 = -1;
static gint ett_lte_rrc_UEPagingCoverageInformation = -1;
static gint ett_lte_rrc_T_criticalExtensions_04 = -1;
static gint ett_lte_rrc_T_c1_04 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_04 = -1;
static gint ett_lte_rrc_UEPagingCoverageInformation_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_05 = -1;
static gint ett_lte_rrc_UERadioAccessCapabilityInformation = -1;
static gint ett_lte_rrc_T_criticalExtensions_05 = -1;
static gint ett_lte_rrc_T_c1_05 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_05 = -1;
static gint ett_lte_rrc_UERadioAccessCapabilityInformation_r8_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_06 = -1;
static gint ett_lte_rrc_UERadioPagingInformation = -1;
static gint ett_lte_rrc_T_criticalExtensions_06 = -1;
static gint ett_lte_rrc_T_c1_06 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_06 = -1;
static gint ett_lte_rrc_UERadioPagingInformation_r12_IEs = -1;
static gint ett_lte_rrc_UERadioPagingInformation_v1310_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_07 = -1;
static gint ett_lte_rrc_AS_Config = -1;
static gint ett_lte_rrc_AS_Config_v9e0 = -1;
static gint ett_lte_rrc_AS_Config_v10j0 = -1;
static gint ett_lte_rrc_AS_Config_v1250 = -1;
static gint ett_lte_rrc_AS_Config_v1320 = -1;
static gint ett_lte_rrc_AS_Config_v1430 = -1;
static gint ett_lte_rrc_AS_Context = -1;
static gint ett_lte_rrc_AS_Context_v1130 = -1;
static gint ett_lte_rrc_AS_Context_v1320 = -1;
static gint ett_lte_rrc_ReestablishmentInfo = -1;
static gint ett_lte_rrc_AdditionalReestabInfoList = -1;
static gint ett_lte_rrc_AdditionalReestabInfo = -1;
static gint ett_lte_rrc_RRM_Config = -1;
static gint ett_lte_rrc_CandidateCellInfoList_r10 = -1;
static gint ett_lte_rrc_CandidateCellInfo_r10 = -1;
static gint ett_lte_rrc_BCCH_BCH_Message = -1;
static gint ett_lte_rrc_BCCH_BCH_Message_MBMS = -1;
static gint ett_lte_rrc_BCCH_DL_SCH_Message = -1;
static gint ett_lte_rrc_BCCH_DL_SCH_MessageType = -1;
static gint ett_lte_rrc_T_c1_07 = -1;
static gint ett_lte_rrc_T_messageClassExtension = -1;
static gint ett_lte_rrc_BCCH_DL_SCH_Message_BR = -1;
static gint ett_lte_rrc_BCCH_DL_SCH_MessageType_BR_r13 = -1;
static gint ett_lte_rrc_T_c1_08 = -1;
static gint ett_lte_rrc_T_messageClassExtension_01 = -1;
static gint ett_lte_rrc_BCCH_DL_SCH_Message_MBMS = -1;
static gint ett_lte_rrc_BCCH_DL_SCH_MessageType_MBMS_r14 = -1;
static gint ett_lte_rrc_T_c1_09 = -1;
static gint ett_lte_rrc_T_messageClassExtension_02 = -1;
static gint ett_lte_rrc_MCCH_Message = -1;
static gint ett_lte_rrc_MCCH_MessageType = -1;
static gint ett_lte_rrc_T_c1_10 = -1;
static gint ett_lte_rrc_T_later = -1;
static gint ett_lte_rrc_T_c2 = -1;
static gint ett_lte_rrc_T_messageClassExtension_03 = -1;
static gint ett_lte_rrc_PCCH_Message = -1;
static gint ett_lte_rrc_PCCH_MessageType = -1;
static gint ett_lte_rrc_T_c1_11 = -1;
static gint ett_lte_rrc_T_messageClassExtension_04 = -1;
static gint ett_lte_rrc_DL_CCCH_Message = -1;
static gint ett_lte_rrc_DL_CCCH_MessageType = -1;
static gint ett_lte_rrc_T_c1_12 = -1;
static gint ett_lte_rrc_T_messageClassExtension_05 = -1;
static gint ett_lte_rrc_DL_DCCH_Message = -1;
static gint ett_lte_rrc_DL_DCCH_MessageType = -1;
static gint ett_lte_rrc_T_c1_13 = -1;
static gint ett_lte_rrc_T_messageClassExtension_06 = -1;
static gint ett_lte_rrc_UL_CCCH_Message = -1;
static gint ett_lte_rrc_UL_CCCH_MessageType = -1;
static gint ett_lte_rrc_T_c1_14 = -1;
static gint ett_lte_rrc_T_messageClassExtension_07 = -1;
static gint ett_lte_rrc_T_c2_01 = -1;
static gint ett_lte_rrc_T_messageClassExtensionFuture_r13 = -1;
static gint ett_lte_rrc_UL_DCCH_Message = -1;
static gint ett_lte_rrc_UL_DCCH_MessageType = -1;
static gint ett_lte_rrc_T_c1_15 = -1;
static gint ett_lte_rrc_T_messageClassExtension_08 = -1;
static gint ett_lte_rrc_T_c2_02 = -1;
static gint ett_lte_rrc_T_messageClassExtensionFuture_r11 = -1;
static gint ett_lte_rrc_SC_MCCH_Message_r13 = -1;
static gint ett_lte_rrc_SC_MCCH_MessageType_r13 = -1;
static gint ett_lte_rrc_T_c1_16 = -1;
static gint ett_lte_rrc_T_messageClassExtension_09 = -1;
static gint ett_lte_rrc_T_c2_03 = -1;
static gint ett_lte_rrc_T_messageClassExtensionFuture_r14 = -1;
static gint ett_lte_rrc_CounterCheck = -1;
static gint ett_lte_rrc_T_criticalExtensions_07 = -1;
static gint ett_lte_rrc_T_c1_17 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_07 = -1;
static gint ett_lte_rrc_CounterCheck_r8_IEs = -1;
static gint ett_lte_rrc_CounterCheck_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_08 = -1;
static gint ett_lte_rrc_DRB_CountMSB_InfoList = -1;
static gint ett_lte_rrc_DRB_CountMSB_Info = -1;
static gint ett_lte_rrc_CounterCheckResponse = -1;
static gint ett_lte_rrc_T_criticalExtensions_08 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_08 = -1;
static gint ett_lte_rrc_CounterCheckResponse_r8_IEs = -1;
static gint ett_lte_rrc_CounterCheckResponse_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_09 = -1;
static gint ett_lte_rrc_DRB_CountInfoList = -1;
static gint ett_lte_rrc_DRB_CountInfo = -1;
static gint ett_lte_rrc_CSFBParametersRequestCDMA2000 = -1;
static gint ett_lte_rrc_T_criticalExtensions_09 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_09 = -1;
static gint ett_lte_rrc_CSFBParametersRequestCDMA2000_r8_IEs = -1;
static gint ett_lte_rrc_CSFBParametersRequestCDMA2000_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_10 = -1;
static gint ett_lte_rrc_CSFBParametersResponseCDMA2000 = -1;
static gint ett_lte_rrc_T_criticalExtensions_10 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_10 = -1;
static gint ett_lte_rrc_CSFBParametersResponseCDMA2000_r8_IEs = -1;
static gint ett_lte_rrc_CSFBParametersResponseCDMA2000_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_11 = -1;
static gint ett_lte_rrc_DLInformationTransfer = -1;
static gint ett_lte_rrc_T_criticalExtensions_11 = -1;
static gint ett_lte_rrc_T_c1_18 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_11 = -1;
static gint ett_lte_rrc_DLInformationTransfer_r8_IEs = -1;
static gint ett_lte_rrc_T_dedicatedInfoType = -1;
static gint ett_lte_rrc_DLInformationTransfer_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_12 = -1;
static gint ett_lte_rrc_HandoverFromEUTRAPreparationRequest = -1;
static gint ett_lte_rrc_T_criticalExtensions_12 = -1;
static gint ett_lte_rrc_T_c1_19 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_12 = -1;
static gint ett_lte_rrc_HandoverFromEUTRAPreparationRequest_r8_IEs = -1;
static gint ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v890_IEs = -1;
static gint ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v920_IEs = -1;
static gint ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v1020_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_13 = -1;
static gint ett_lte_rrc_InDeviceCoexIndication_r11 = -1;
static gint ett_lte_rrc_T_criticalExtensions_13 = -1;
static gint ett_lte_rrc_T_c1_20 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_13 = -1;
static gint ett_lte_rrc_InDeviceCoexIndication_r11_IEs = -1;
static gint ett_lte_rrc_InDeviceCoexIndication_v11d0_IEs = -1;
static gint ett_lte_rrc_T_ul_CA_AssistanceInfo_r11 = -1;
static gint ett_lte_rrc_InDeviceCoexIndication_v1310_IEs = -1;
static gint ett_lte_rrc_InDeviceCoexIndication_v1360_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_14 = -1;
static gint ett_lte_rrc_AffectedCarrierFreqList_r11 = -1;
static gint ett_lte_rrc_AffectedCarrierFreqList_v1310 = -1;
static gint ett_lte_rrc_AffectedCarrierFreq_r11 = -1;
static gint ett_lte_rrc_AffectedCarrierFreq_v1310 = -1;
static gint ett_lte_rrc_AffectedCarrierFreqCombList_r11 = -1;
static gint ett_lte_rrc_AffectedCarrierFreqCombList_r13 = -1;
static gint ett_lte_rrc_AffectedCarrierFreqComb_r11 = -1;
static gint ett_lte_rrc_AffectedCarrierFreqComb_r13 = -1;
static gint ett_lte_rrc_TDM_AssistanceInfo_r11 = -1;
static gint ett_lte_rrc_T_drx_AssistanceInfo_r11 = -1;
static gint ett_lte_rrc_IDC_SubframePatternList_r11 = -1;
static gint ett_lte_rrc_IDC_SubframePattern_r11 = -1;
static gint ett_lte_rrc_T_subframePatternTDD_r11 = -1;
static gint ett_lte_rrc_VictimSystemType_r11 = -1;
static gint ett_lte_rrc_InterFreqRSTDMeasurementIndication_r10 = -1;
static gint ett_lte_rrc_T_criticalExtensions_14 = -1;
static gint ett_lte_rrc_T_c1_21 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_14 = -1;
static gint ett_lte_rrc_InterFreqRSTDMeasurementIndication_r10_IEs = -1;
static gint ett_lte_rrc_T_rstd_InterFreqIndication_r10 = -1;
static gint ett_lte_rrc_T_start = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_15 = -1;
static gint ett_lte_rrc_RSTD_InterFreqInfoList_r10 = -1;
static gint ett_lte_rrc_RSTD_InterFreqInfo_r10 = -1;
static gint ett_lte_rrc_LoggedMeasurementConfiguration_r10 = -1;
static gint ett_lte_rrc_T_criticalExtensions_15 = -1;
static gint ett_lte_rrc_T_c1_22 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_15 = -1;
static gint ett_lte_rrc_LoggedMeasurementConfiguration_r10_IEs = -1;
static gint ett_lte_rrc_LoggedMeasurementConfiguration_v1080_IEs = -1;
static gint ett_lte_rrc_LoggedMeasurementConfiguration_v1130_IEs = -1;
static gint ett_lte_rrc_LoggedMeasurementConfiguration_v1250_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_16 = -1;
static gint ett_lte_rrc_TargetMBSFN_AreaList_r12 = -1;
static gint ett_lte_rrc_TargetMBSFN_Area_r12 = -1;
static gint ett_lte_rrc_MasterInformationBlock = -1;
static gint ett_lte_rrc_MasterInformationBlock_MBMS_r14 = -1;
static gint ett_lte_rrc_MBMSCountingRequest_r10 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_17 = -1;
static gint ett_lte_rrc_CountingRequestList_r10 = -1;
static gint ett_lte_rrc_CountingRequestInfo_r10 = -1;
static gint ett_lte_rrc_MBMSCountingResponse_r10 = -1;
static gint ett_lte_rrc_T_criticalExtensions_16 = -1;
static gint ett_lte_rrc_T_c1_23 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_16 = -1;
static gint ett_lte_rrc_MBMSCountingResponse_r10_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_18 = -1;
static gint ett_lte_rrc_CountingResponseList_r10 = -1;
static gint ett_lte_rrc_CountingResponseInfo_r10 = -1;
static gint ett_lte_rrc_MBMSInterestIndication_r11 = -1;
static gint ett_lte_rrc_T_criticalExtensions_17 = -1;
static gint ett_lte_rrc_T_c1_24 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_17 = -1;
static gint ett_lte_rrc_MBMSInterestIndication_r11_IEs = -1;
static gint ett_lte_rrc_MBMSInterestIndication_v1310_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_19 = -1;
static gint ett_lte_rrc_MBSFNAreaConfiguration_r9 = -1;
static gint ett_lte_rrc_MBSFNAreaConfiguration_v930_IEs = -1;
static gint ett_lte_rrc_MBSFNAreaConfiguration_v1250_IEs = -1;
static gint ett_lte_rrc_MBSFNAreaConfiguration_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_20 = -1;
static gint ett_lte_rrc_CommonSF_AllocPatternList_r9 = -1;
static gint ett_lte_rrc_CommonSF_AllocPatternList_r14 = -1;
static gint ett_lte_rrc_MeasurementReport = -1;
static gint ett_lte_rrc_T_criticalExtensions_18 = -1;
static gint ett_lte_rrc_T_c1_25 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_18 = -1;
static gint ett_lte_rrc_MeasurementReport_r8_IEs = -1;
static gint ett_lte_rrc_MeasurementReport_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_21 = -1;
static gint ett_lte_rrc_MobilityFromEUTRACommand = -1;
static gint ett_lte_rrc_T_criticalExtensions_19 = -1;
static gint ett_lte_rrc_T_c1_26 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_19 = -1;
static gint ett_lte_rrc_MobilityFromEUTRACommand_r8_IEs = -1;
static gint ett_lte_rrc_T_purpose = -1;
static gint ett_lte_rrc_MobilityFromEUTRACommand_v8a0_IEs = -1;
static gint ett_lte_rrc_MobilityFromEUTRACommand_v8d0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_22 = -1;
static gint ett_lte_rrc_MobilityFromEUTRACommand_r9_IEs = -1;
static gint ett_lte_rrc_T_purpose_01 = -1;
static gint ett_lte_rrc_MobilityFromEUTRACommand_v930_IEs = -1;
static gint ett_lte_rrc_MobilityFromEUTRACommand_v960_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_23 = -1;
static gint ett_lte_rrc_Handover = -1;
static gint ett_lte_rrc_CellChangeOrder = -1;
static gint ett_lte_rrc_T_targetRAT_Type_01 = -1;
static gint ett_lte_rrc_T_geran = -1;
static gint ett_lte_rrc_SI_OrPSI_GERAN = -1;
static gint ett_lte_rrc_E_CSFB_r9 = -1;
static gint ett_lte_rrc_Paging = -1;
static gint ett_lte_rrc_Paging_v890_IEs = -1;
static gint ett_lte_rrc_Paging_v920_IEs = -1;
static gint ett_lte_rrc_Paging_v1130_IEs = -1;
static gint ett_lte_rrc_Paging_v1310_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_24 = -1;
static gint ett_lte_rrc_PagingRecordList = -1;
static gint ett_lte_rrc_PagingRecord = -1;
static gint ett_lte_rrc_PagingUE_Identity = -1;
static gint ett_lte_rrc_IMSI = -1;
static gint ett_lte_rrc_ProximityIndication_r9 = -1;
static gint ett_lte_rrc_T_criticalExtensions_20 = -1;
static gint ett_lte_rrc_T_c1_27 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_20 = -1;
static gint ett_lte_rrc_ProximityIndication_r9_IEs = -1;
static gint ett_lte_rrc_T_carrierFreq_r9 = -1;
static gint ett_lte_rrc_ProximityIndication_v930_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_25 = -1;
static gint ett_lte_rrc_RNReconfiguration_r10 = -1;
static gint ett_lte_rrc_T_criticalExtensions_21 = -1;
static gint ett_lte_rrc_T_c1_28 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_21 = -1;
static gint ett_lte_rrc_RNReconfiguration_r10_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_26 = -1;
static gint ett_lte_rrc_RN_SystemInfo_r10 = -1;
static gint ett_lte_rrc_RNReconfigurationComplete_r10 = -1;
static gint ett_lte_rrc_T_criticalExtensions_22 = -1;
static gint ett_lte_rrc_T_c1_29 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_22 = -1;
static gint ett_lte_rrc_RNReconfigurationComplete_r10_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_27 = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration = -1;
static gint ett_lte_rrc_T_criticalExtensions_23 = -1;
static gint ett_lte_rrc_T_c1_30 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_23 = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_r8_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v890_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v8m0_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v10i0_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v10l0_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v12f0_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v1370_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_28 = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v920_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v1020_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v1130_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v1250_IEs = -1;
static gint ett_lte_rrc_T_wlan_OffloadInfo_r12 = -1;
static gint ett_lte_rrc_T_setup = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v1310_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v1430_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_v15x0_IEs = -1;
static gint ett_lte_rrc_T_endc_Config_r15 = -1;
static gint ett_lte_rrc_T_tdm_PatternSingle_Tx_r15 = -1;
static gint ett_lte_rrc_SL_SyncTxControl_r12 = -1;
static gint ett_lte_rrc_PSCellToAddMod_r12 = -1;
static gint ett_lte_rrc_T_cellIdentification_r12_01 = -1;
static gint ett_lte_rrc_PSCellToAddMod_v12f0 = -1;
static gint ett_lte_rrc_PSCellToAddMod_v1440 = -1;
static gint ett_lte_rrc_PowerCoordinationInfo_r12 = -1;
static gint ett_lte_rrc_SCellToAddModList_r10 = -1;
static gint ett_lte_rrc_SCellToAddModList_v10l0 = -1;
static gint ett_lte_rrc_SCellToAddModListExt_r13 = -1;
static gint ett_lte_rrc_SCellToAddModListExt_v1370 = -1;
static gint ett_lte_rrc_SCellToAddModListExt_v1430 = -1;
static gint ett_lte_rrc_SCellToAddMod_r10 = -1;
static gint ett_lte_rrc_T_cellIdentification_r10 = -1;
static gint ett_lte_rrc_SCellToAddMod_v10l0 = -1;
static gint ett_lte_rrc_SCellToAddModExt_r13 = -1;
static gint ett_lte_rrc_T_cellIdentification_r13 = -1;
static gint ett_lte_rrc_SCellToAddModExt_v1370 = -1;
static gint ett_lte_rrc_SCellToAddModExt_v1430 = -1;
static gint ett_lte_rrc_SCellToReleaseList_r10 = -1;
static gint ett_lte_rrc_SCellToReleaseListExt_r13 = -1;
static gint ett_lte_rrc_SCG_Configuration_r12 = -1;
static gint ett_lte_rrc_T_setup_01 = -1;
static gint ett_lte_rrc_T_scg_ConfigPartMCG_r12 = -1;
static gint ett_lte_rrc_SCG_Configuration_v12f0 = -1;
static gint ett_lte_rrc_T_setup_02 = -1;
static gint ett_lte_rrc_SCG_ConfigPartSCG_r12 = -1;
static gint ett_lte_rrc_SCG_ConfigPartSCG_v12f0 = -1;
static gint ett_lte_rrc_SecurityConfigHO = -1;
static gint ett_lte_rrc_T_handoverType = -1;
static gint ett_lte_rrc_T_intraLTE = -1;
static gint ett_lte_rrc_T_interRAT = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete = -1;
static gint ett_lte_rrc_T_criticalExtensions_24 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_24 = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_r8_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_v8a0_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_v1020_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_v1130_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_v1250_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_v1430_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_v15xy_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_29 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishment = -1;
static gint ett_lte_rrc_T_criticalExtensions_25 = -1;
static gint ett_lte_rrc_T_c1_31 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_25 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishment_r8_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishment_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_30 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete = -1;
static gint ett_lte_rrc_T_criticalExtensions_26 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_26 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete_r8_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete_v920_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete_v8a0_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete_v1020_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete_v1130_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete_v1250_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_31 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentReject = -1;
static gint ett_lte_rrc_T_criticalExtensions_27 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_27 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentReject_r8_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentReject_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_32 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentRequest = -1;
static gint ett_lte_rrc_T_criticalExtensions_28 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_28 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentRequest_r8_IEs = -1;
static gint ett_lte_rrc_ReestabUE_Identity = -1;
static gint ett_lte_rrc_RRCConnectionReject = -1;
static gint ett_lte_rrc_T_criticalExtensions_29 = -1;
static gint ett_lte_rrc_T_c1_32 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_29 = -1;
static gint ett_lte_rrc_RRCConnectionReject_r8_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReject_v8a0_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReject_v1020_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReject_v1130_IEs = -1;
static gint ett_lte_rrc_T_deprioritisationReq_r11 = -1;
static gint ett_lte_rrc_RRCConnectionReject_v1320_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_33 = -1;
static gint ett_lte_rrc_RRCConnectionRelease = -1;
static gint ett_lte_rrc_T_criticalExtensions_30 = -1;
static gint ett_lte_rrc_T_c1_33 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_30 = -1;
static gint ett_lte_rrc_RRCConnectionRelease_r8_IEs = -1;
static gint ett_lte_rrc_RRCConnectionRelease_v890_IEs = -1;
static gint ett_lte_rrc_RRCConnectionRelease_v9e0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_34 = -1;
static gint ett_lte_rrc_RRCConnectionRelease_v920_IEs = -1;
static gint ett_lte_rrc_T_cellInfoList_r9 = -1;
static gint ett_lte_rrc_RRCConnectionRelease_v1020_IEs = -1;
static gint ett_lte_rrc_RRCConnectionRelease_v1320_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_35 = -1;
static gint ett_lte_rrc_RedirectedCarrierInfo = -1;
static gint ett_lte_rrc_RedirectedCarrierInfo_v9e0 = -1;
static gint ett_lte_rrc_CarrierFreqListUTRA_TDD_r10 = -1;
static gint ett_lte_rrc_IdleModeMobilityControlInfo = -1;
static gint ett_lte_rrc_IdleModeMobilityControlInfo_v9e0 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0 = -1;
static gint ett_lte_rrc_FreqPriorityListEUTRA = -1;
static gint ett_lte_rrc_FreqPriorityListExtEUTRA_r12 = -1;
static gint ett_lte_rrc_FreqPriorityListEUTRA_v1310 = -1;
static gint ett_lte_rrc_FreqPriorityListExtEUTRA_v1310 = -1;
static gint ett_lte_rrc_FreqPriorityEUTRA = -1;
static gint ett_lte_rrc_FreqPriorityEUTRA_v9e0 = -1;
static gint ett_lte_rrc_FreqPriorityEUTRA_r12 = -1;
static gint ett_lte_rrc_FreqPriorityEUTRA_v1310 = -1;
static gint ett_lte_rrc_FreqsPriorityListGERAN = -1;
static gint ett_lte_rrc_FreqsPriorityGERAN = -1;
static gint ett_lte_rrc_FreqPriorityListUTRA_FDD = -1;
static gint ett_lte_rrc_FreqPriorityUTRA_FDD = -1;
static gint ett_lte_rrc_FreqPriorityListUTRA_TDD = -1;
static gint ett_lte_rrc_FreqPriorityUTRA_TDD = -1;
static gint ett_lte_rrc_BandClassPriorityListHRPD = -1;
static gint ett_lte_rrc_BandClassPriorityHRPD = -1;
static gint ett_lte_rrc_BandClassPriorityList1XRTT = -1;
static gint ett_lte_rrc_BandClassPriority1XRTT = -1;
static gint ett_lte_rrc_CellInfoListGERAN_r9 = -1;
static gint ett_lte_rrc_CellInfoGERAN_r9 = -1;
static gint ett_lte_rrc_CellInfoListUTRA_FDD_r9 = -1;
static gint ett_lte_rrc_CellInfoUTRA_FDD_r9 = -1;
static gint ett_lte_rrc_CellInfoListUTRA_TDD_r9 = -1;
static gint ett_lte_rrc_CellInfoUTRA_TDD_r9 = -1;
static gint ett_lte_rrc_CellInfoListUTRA_TDD_r10 = -1;
static gint ett_lte_rrc_CellInfoUTRA_TDD_r10 = -1;
static gint ett_lte_rrc_RRCConnectionRequest = -1;
static gint ett_lte_rrc_T_criticalExtensions_31 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_31 = -1;
static gint ett_lte_rrc_RRCConnectionRequest_r8_IEs = -1;
static gint ett_lte_rrc_InitialUE_Identity = -1;
static gint ett_lte_rrc_RRCConnectionResume_r13 = -1;
static gint ett_lte_rrc_T_criticalExtensions_32 = -1;
static gint ett_lte_rrc_T_c1_34 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_32 = -1;
static gint ett_lte_rrc_RRCConnectionResume_r13_IEs = -1;
static gint ett_lte_rrc_RRCConnectionResume_v1430_IEs = -1;
static gint ett_lte_rrc_RRCConnectionResume_v15x0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_36 = -1;
static gint ett_lte_rrc_RRCConnectionResumeComplete_r13 = -1;
static gint ett_lte_rrc_T_criticalExtensions_33 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_33 = -1;
static gint ett_lte_rrc_RRCConnectionResumeComplete_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_37 = -1;
static gint ett_lte_rrc_RRCConnectionResumeRequest_r13 = -1;
static gint ett_lte_rrc_T_criticalExtensions_34 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_34 = -1;
static gint ett_lte_rrc_RRCConnectionResumeRequest_r13_IEs = -1;
static gint ett_lte_rrc_T_resumeIdentity_r13 = -1;
static gint ett_lte_rrc_RRCConnectionSetup = -1;
static gint ett_lte_rrc_T_criticalExtensions_35 = -1;
static gint ett_lte_rrc_T_c1_35 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_35 = -1;
static gint ett_lte_rrc_RRCConnectionSetup_r8_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetup_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_38 = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete = -1;
static gint ett_lte_rrc_T_criticalExtensions_36 = -1;
static gint ett_lte_rrc_T_c1_36 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_36 = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_r8_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_v8a0_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_v1020_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_v1130_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_v1250_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_v1320_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_v1330_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_39 = -1;
static gint ett_lte_rrc_RegisteredMME = -1;
static gint ett_lte_rrc_SCGFailureInformation_r12 = -1;
static gint ett_lte_rrc_T_criticalExtensions_37 = -1;
static gint ett_lte_rrc_T_c1_37 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_37 = -1;
static gint ett_lte_rrc_SCGFailureInformation_r12_IEs = -1;
static gint ett_lte_rrc_SCGFailureInformation_v1310_IEs = -1;
static gint ett_lte_rrc_SCGFailureInformation_v15x0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_40 = -1;
static gint ett_lte_rrc_SCGFailureInformation_v12d0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_41 = -1;
static gint ett_lte_rrc_FailureReportSCG_r12 = -1;
static gint ett_lte_rrc_FailureReportSCG_v12d0 = -1;
static gint ett_lte_rrc_FailureReportSCG_NR_r15 = -1;
static gint ett_lte_rrc_MeasResultFreqListFailNR_r15 = -1;
static gint ett_lte_rrc_MeasResultFreqFailNR_r15 = -1;
static gint ett_lte_rrc_SCPTMConfiguration_r13 = -1;
static gint ett_lte_rrc_SCPTMConfiguration_v1340 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_42 = -1;
static gint ett_lte_rrc_SCPTMConfiguration_BR_r14 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_43 = -1;
static gint ett_lte_rrc_SecurityModeCommand = -1;
static gint ett_lte_rrc_T_criticalExtensions_38 = -1;
static gint ett_lte_rrc_T_c1_38 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_38 = -1;
static gint ett_lte_rrc_SecurityModeCommand_r8_IEs = -1;
static gint ett_lte_rrc_SecurityModeCommand_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_44 = -1;
static gint ett_lte_rrc_SecurityConfigSMC = -1;
static gint ett_lte_rrc_SecurityModeComplete = -1;
static gint ett_lte_rrc_T_criticalExtensions_39 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_39 = -1;
static gint ett_lte_rrc_SecurityModeComplete_r8_IEs = -1;
static gint ett_lte_rrc_SecurityModeComplete_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_45 = -1;
static gint ett_lte_rrc_SecurityModeFailure = -1;
static gint ett_lte_rrc_T_criticalExtensions_40 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_40 = -1;
static gint ett_lte_rrc_SecurityModeFailure_r8_IEs = -1;
static gint ett_lte_rrc_SecurityModeFailure_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_46 = -1;
static gint ett_lte_rrc_SidelinkUEInformation_r12 = -1;
static gint ett_lte_rrc_T_criticalExtensions_41 = -1;
static gint ett_lte_rrc_T_c1_39 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_41 = -1;
static gint ett_lte_rrc_SidelinkUEInformation_r12_IEs = -1;
static gint ett_lte_rrc_SidelinkUEInformation_v1310_IEs = -1;
static gint ett_lte_rrc_T_commTxResourceInfoReqRelay_r13 = -1;
static gint ett_lte_rrc_T_discTxResourceReq_v1310 = -1;
static gint ett_lte_rrc_SidelinkUEInformation_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_47 = -1;
static gint ett_lte_rrc_SL_CommTxResourceReq_r12 = -1;
static gint ett_lte_rrc_SL_DiscTxResourceReqPerFreqList_r13 = -1;
static gint ett_lte_rrc_SL_DiscTxResourceReq_r13 = -1;
static gint ett_lte_rrc_SL_DestinationInfoList_r12 = -1;
static gint ett_lte_rrc_SL_DiscSysInfoReportFreqList_r13 = -1;
static gint ett_lte_rrc_SL_V2X_CommFreqList_r14 = -1;
static gint ett_lte_rrc_SL_V2X_CommTxFreqList_r14 = -1;
static gint ett_lte_rrc_SL_V2X_CommTxResourceReq_r14 = -1;
static gint ett_lte_rrc_SystemInformation = -1;
static gint ett_lte_rrc_T_criticalExtensions_42 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_42 = -1;
static gint ett_lte_rrc_SystemInformation_r8_IEs = -1;
static gint ett_lte_rrc_T_sib_TypeAndInfo = -1;
static gint ett_lte_rrc_T_sib_TypeAndInfo_item = -1;
static gint ett_lte_rrc_SystemInformation_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_48 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1 = -1;
static gint ett_lte_rrc_T_cellAccessRelatedInfo = -1;
static gint ett_lte_rrc_T_cellSelectionInfo = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v890_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v8h0_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v9e0_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v10j0_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v10l0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_49 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v920_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v1130_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v1250_IEs = -1;
static gint ett_lte_rrc_T_cellAccessRelatedInfo_v1250 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v1310_IEs = -1;
static gint ett_lte_rrc_T_bandwidthReducedAccessRelatedInfo_r13 = -1;
static gint ett_lte_rrc_T_fdd_DownlinkOrTddSubframeBitmapBR_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v1320_IEs = -1;
static gint ett_lte_rrc_T_freqHoppingParametersDL_r13 = -1;
static gint ett_lte_rrc_T_interval_DLHoppingConfigCommonModeA_r13 = -1;
static gint ett_lte_rrc_T_interval_DLHoppingConfigCommonModeB_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v1350_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v1360_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v1430_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_v1450_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_50 = -1;
static gint ett_lte_rrc_PLMN_IdentityList = -1;
static gint ett_lte_rrc_PLMN_IdentityInfo = -1;
static gint ett_lte_rrc_SchedulingInfoList = -1;
static gint ett_lte_rrc_SchedulingInfo = -1;
static gint ett_lte_rrc_SchedulingInfoList_BR_r13 = -1;
static gint ett_lte_rrc_SchedulingInfo_BR_r13 = -1;
static gint ett_lte_rrc_SIB_MappingInfo = -1;
static gint ett_lte_rrc_SystemInfoValueTagList_r13 = -1;
static gint ett_lte_rrc_CellSelectionInfo_v920 = -1;
static gint ett_lte_rrc_CellSelectionInfo_v1130 = -1;
static gint ett_lte_rrc_CellSelectionInfo_v1250 = -1;
static gint ett_lte_rrc_CellAccessRelatedInfo_r14 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_MBMS_r14 = -1;
static gint ett_lte_rrc_T_cellAccessRelatedInfo_r14 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_51 = -1;
static gint ett_lte_rrc_PLMN_IdentityList_MBMS_r14 = -1;
static gint ett_lte_rrc_SchedulingInfoList_MBMS_r14 = -1;
static gint ett_lte_rrc_SchedulingInfo_MBMS_r14 = -1;
static gint ett_lte_rrc_SIB_MappingInfo_MBMS_r14 = -1;
static gint ett_lte_rrc_NonMBSFN_SubframeConfig_r14 = -1;
static gint ett_lte_rrc_UEAssistanceInformation_r11 = -1;
static gint ett_lte_rrc_T_criticalExtensions_43 = -1;
static gint ett_lte_rrc_T_c1_40 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_43 = -1;
static gint ett_lte_rrc_UEAssistanceInformation_r11_IEs = -1;
static gint ett_lte_rrc_UEAssistanceInformation_v1430_IEs = -1;
static gint ett_lte_rrc_T_sps_AssistanceInformation_r14 = -1;
static gint ett_lte_rrc_T_rlm_Report_r14 = -1;
static gint ett_lte_rrc_UEAssistanceInformation_v1450_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_52 = -1;
static gint ett_lte_rrc_BW_Preference_r14 = -1;
static gint ett_lte_rrc_TrafficPatternInfoList_r14 = -1;
static gint ett_lte_rrc_TrafficPatternInfo_r14 = -1;
static gint ett_lte_rrc_DelayBudgetReport_r14 = -1;
static gint ett_lte_rrc_OverheatingAssistance_r14 = -1;
static gint ett_lte_rrc_T_reducedUE_Category = -1;
static gint ett_lte_rrc_T_reducedMaxCCs = -1;
static gint ett_lte_rrc_UECapabilityEnquiry = -1;
static gint ett_lte_rrc_T_criticalExtensions_44 = -1;
static gint ett_lte_rrc_T_c1_41 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_44 = -1;
static gint ett_lte_rrc_UECapabilityEnquiry_r8_IEs = -1;
static gint ett_lte_rrc_UECapabilityEnquiry_v8a0_IEs = -1;
static gint ett_lte_rrc_UECapabilityEnquiry_v1180_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11 = -1;
static gint ett_lte_rrc_UECapabilityEnquiry_v1310_IEs = -1;
static gint ett_lte_rrc_UECapabilityEnquiry_v1430_IEs = -1;
static gint ett_lte_rrc_UECapabilityEnquiry_v15x0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_53 = -1;
static gint ett_lte_rrc_UE_CapabilityRequest = -1;
static gint ett_lte_rrc_UECapabilityInformation = -1;
static gint ett_lte_rrc_T_criticalExtensions_45 = -1;
static gint ett_lte_rrc_T_c1_42 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_45 = -1;
static gint ett_lte_rrc_UECapabilityInformation_r8_IEs = -1;
static gint ett_lte_rrc_UECapabilityInformation_v8a0_IEs = -1;
static gint ett_lte_rrc_UECapabilityInformation_v1250_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_54 = -1;
static gint ett_lte_rrc_UEInformationRequest_r9 = -1;
static gint ett_lte_rrc_T_criticalExtensions_46 = -1;
static gint ett_lte_rrc_T_c1_43 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_46 = -1;
static gint ett_lte_rrc_UEInformationRequest_r9_IEs = -1;
static gint ett_lte_rrc_UEInformationRequest_v930_IEs = -1;
static gint ett_lte_rrc_UEInformationRequest_v1020_IEs = -1;
static gint ett_lte_rrc_UEInformationRequest_v1130_IEs = -1;
static gint ett_lte_rrc_UEInformationRequest_v1250_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_55 = -1;
static gint ett_lte_rrc_UEInformationResponse_r9 = -1;
static gint ett_lte_rrc_T_criticalExtensions_47 = -1;
static gint ett_lte_rrc_T_c1_44 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_47 = -1;
static gint ett_lte_rrc_UEInformationResponse_r9_IEs = -1;
static gint ett_lte_rrc_T_rach_Report_r9 = -1;
static gint ett_lte_rrc_UEInformationResponse_v9e0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_56 = -1;
static gint ett_lte_rrc_UEInformationResponse_v930_IEs = -1;
static gint ett_lte_rrc_UEInformationResponse_v1020_IEs = -1;
static gint ett_lte_rrc_UEInformationResponse_v1130_IEs = -1;
static gint ett_lte_rrc_UEInformationResponse_v1250_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_57 = -1;
static gint ett_lte_rrc_RLF_Report_r9 = -1;
static gint ett_lte_rrc_T_measResultLastServCell_r9 = -1;
static gint ett_lte_rrc_T_measResultNeighCells_r9 = -1;
static gint ett_lte_rrc_T_failedPCellId_r10 = -1;
static gint ett_lte_rrc_T_pci_arfcn_r10 = -1;
static gint ett_lte_rrc_T_failedPCellId_v1090 = -1;
static gint ett_lte_rrc_T_basicFields_r11 = -1;
static gint ett_lte_rrc_T_previousUTRA_CellId_r11 = -1;
static gint ett_lte_rrc_T_physCellId_r11 = -1;
static gint ett_lte_rrc_T_selectedUTRA_CellId_r11 = -1;
static gint ett_lte_rrc_T_physCellId_r11_01 = -1;
static gint ett_lte_rrc_T_failedPCellId_v1250 = -1;
static gint ett_lte_rrc_RLF_Report_v9e0 = -1;
static gint ett_lte_rrc_MeasResultList2EUTRA_r9 = -1;
static gint ett_lte_rrc_MeasResultList2EUTRA_v9e0 = -1;
static gint ett_lte_rrc_MeasResultList2EUTRA_v1250 = -1;
static gint ett_lte_rrc_MeasResult2EUTRA_r9 = -1;
static gint ett_lte_rrc_MeasResult2EUTRA_v9e0 = -1;
static gint ett_lte_rrc_MeasResult2EUTRA_v1250 = -1;
static gint ett_lte_rrc_MeasResultList2UTRA_r9 = -1;
static gint ett_lte_rrc_MeasResult2UTRA_r9 = -1;
static gint ett_lte_rrc_MeasResultList2CDMA2000_r9 = -1;
static gint ett_lte_rrc_MeasResult2CDMA2000_r9 = -1;
static gint ett_lte_rrc_LogMeasReport_r10 = -1;
static gint ett_lte_rrc_LogMeasInfoList_r10 = -1;
static gint ett_lte_rrc_LogMeasInfo_r10 = -1;
static gint ett_lte_rrc_T_measResultServCell_r10 = -1;
static gint ett_lte_rrc_T_measResultNeighCells_r10 = -1;
static gint ett_lte_rrc_MeasResultListMBSFN_r12 = -1;
static gint ett_lte_rrc_MeasResultMBSFN_r12 = -1;
static gint ett_lte_rrc_T_mbsfn_Area_r12 = -1;
static gint ett_lte_rrc_DataBLER_MCH_ResultList_r12 = -1;
static gint ett_lte_rrc_DataBLER_MCH_Result_r12 = -1;
static gint ett_lte_rrc_BLER_Result_r12 = -1;
static gint ett_lte_rrc_T_blocksReceived_r12 = -1;
static gint ett_lte_rrc_MeasResultList2GERAN_r10 = -1;
static gint ett_lte_rrc_ConnEstFailReport_r11 = -1;
static gint ett_lte_rrc_T_measResultFailedCell_r11 = -1;
static gint ett_lte_rrc_T_measResultNeighCells_r11 = -1;
static gint ett_lte_rrc_ULHandoverPreparationTransfer = -1;
static gint ett_lte_rrc_T_criticalExtensions_48 = -1;
static gint ett_lte_rrc_T_c1_45 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_48 = -1;
static gint ett_lte_rrc_ULHandoverPreparationTransfer_r8_IEs = -1;
static gint ett_lte_rrc_ULHandoverPreparationTransfer_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_58 = -1;
static gint ett_lte_rrc_ULInformationTransfer = -1;
static gint ett_lte_rrc_T_criticalExtensions_49 = -1;
static gint ett_lte_rrc_T_c1_46 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_49 = -1;
static gint ett_lte_rrc_ULInformationTransfer_r8_IEs = -1;
static gint ett_lte_rrc_T_dedicatedInfoType_01 = -1;
static gint ett_lte_rrc_ULInformationTransfer_v8a0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_59 = -1;
static gint ett_lte_rrc_ULInformationTransferMRDC = -1;
static gint ett_lte_rrc_T_criticalExtensions_50 = -1;
static gint ett_lte_rrc_T_c1_47 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_50 = -1;
static gint ett_lte_rrc_ULInformationTransferMRDC_r15_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_60 = -1;
static gint ett_lte_rrc_WLANConnectionStatusReport_r13 = -1;
static gint ett_lte_rrc_T_criticalExtensions_51 = -1;
static gint ett_lte_rrc_T_c1_48 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_51 = -1;
static gint ett_lte_rrc_WLANConnectionStatusReport_r13_IEs = -1;
static gint ett_lte_rrc_WLANConnectionStatusReport_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_61 = -1;
static gint ett_lte_rrc_SystemInformationBlockType2 = -1;
static gint ett_lte_rrc_T_ac_BarringInfo = -1;
static gint ett_lte_rrc_T_freqInfo = -1;
static gint ett_lte_rrc_SystemInformationBlockType2_v8h0_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission = -1;
static gint ett_lte_rrc_SystemInformationBlockType2_v9e0_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType2_v9i0_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType2_v10l0_IEs = -1;
static gint ett_lte_rrc_T_freqInfo_v10l0 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_62 = -1;
static gint ett_lte_rrc_AC_BarringConfig = -1;
static gint ett_lte_rrc_MBSFN_SubframeConfigList = -1;
static gint ett_lte_rrc_MBSFN_SubframeConfigList_v1430 = -1;
static gint ett_lte_rrc_AC_BarringPerPLMN_List_r12 = -1;
static gint ett_lte_rrc_AC_BarringPerPLMN_r12 = -1;
static gint ett_lte_rrc_T_ac_BarringInfo_r12 = -1;
static gint ett_lte_rrc_ACDC_BarringForCommon_r13 = -1;
static gint ett_lte_rrc_ACDC_BarringPerPLMN_List_r13 = -1;
static gint ett_lte_rrc_ACDC_BarringPerPLMN_r13 = -1;
static gint ett_lte_rrc_BarringPerACDC_CategoryList_r13 = -1;
static gint ett_lte_rrc_BarringPerACDC_Category_r13 = -1;
static gint ett_lte_rrc_T_acdc_BarringConfig_r13 = -1;
static gint ett_lte_rrc_UDT_Restricting_r13 = -1;
static gint ett_lte_rrc_UDT_RestrictingPerPLMN_List_r13 = -1;
static gint ett_lte_rrc_UDT_RestrictingPerPLMN_r13 = -1;
static gint ett_lte_rrc_CIOT_EPS_OptimisationInfo_r13 = -1;
static gint ett_lte_rrc_CIOT_OptimisationPLMN_r13 = -1;
static gint ett_lte_rrc_PLMN_InfoList_r15 = -1;
static gint ett_lte_rrc_PLMN_Info_r15 = -1;
static gint ett_lte_rrc_SystemInformationBlockType3 = -1;
static gint ett_lte_rrc_T_cellReselectionInfoCommon = -1;
static gint ett_lte_rrc_T_speedStateReselectionPars = -1;
static gint ett_lte_rrc_T_q_HystSF = -1;
static gint ett_lte_rrc_T_cellReselectionServingFreqInfo = -1;
static gint ett_lte_rrc_T_intraFreqCellReselectionInfo = -1;
static gint ett_lte_rrc_T_s_IntraSearch_v920 = -1;
static gint ett_lte_rrc_T_s_NonIntraSearch_v920 = -1;
static gint ett_lte_rrc_RedistributionServingInfo_r13 = -1;
static gint ett_lte_rrc_CellReselectionServingFreqInfo_v1310 = -1;
static gint ett_lte_rrc_SystemInformationBlockType3_v10j0_IEs = -1;
static gint ett_lte_rrc_SystemInformationBlockType3_v10l0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_63 = -1;
static gint ett_lte_rrc_SystemInformationBlockType4 = -1;
static gint ett_lte_rrc_IntraFreqNeighCellList = -1;
static gint ett_lte_rrc_IntraFreqNeighCellInfo = -1;
static gint ett_lte_rrc_IntraFreqBlackCellList = -1;
static gint ett_lte_rrc_SystemInformationBlockType5 = -1;
static gint ett_lte_rrc_SystemInformationBlockType5_v8h0_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0 = -1;
static gint ett_lte_rrc_SystemInformationBlockType5_v9e0_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0 = -1;
static gint ett_lte_rrc_SystemInformationBlockType5_v10j0_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0 = -1;
static gint ett_lte_rrc_SystemInformationBlockType5_v10l0_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_64 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqList = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqList_v1250 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqList_v1310 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqList_v1350 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqListExt_r12 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqListExt_v1280 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqListExt_v1310 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqListExt_v1350 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqListExt_v1360 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo = -1;
static gint ett_lte_rrc_T_threshX_Q_r9 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_v8h0 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_v9e0 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_v10j0 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_v10l0 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_v1250 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_r12 = -1;
static gint ett_lte_rrc_T_threshX_Q_r12 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_v1310 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_v1350 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_v1360 = -1;
static gint ett_lte_rrc_InterFreqNeighCellList = -1;
static gint ett_lte_rrc_InterFreqNeighCellInfo = -1;
static gint ett_lte_rrc_InterFreqBlackCellList = -1;
static gint ett_lte_rrc_RedistributionInterFreqInfo_r13 = -1;
static gint ett_lte_rrc_RedistributionNeighCellList_r13 = -1;
static gint ett_lte_rrc_RedistributionNeighCell_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType6 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250 = -1;
static gint ett_lte_rrc_SystemInformationBlockType6_v8h0_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_65 = -1;
static gint ett_lte_rrc_CarrierFreqInfoUTRA_v1250 = -1;
static gint ett_lte_rrc_CarrierFreqListUTRA_FDD = -1;
static gint ett_lte_rrc_CarrierFreqUTRA_FDD = -1;
static gint ett_lte_rrc_T_threshX_Q_r9_01 = -1;
static gint ett_lte_rrc_CarrierFreqInfoUTRA_FDD_v8h0 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD = -1;
static gint ett_lte_rrc_CarrierFreqListUTRA_FDD_Ext_r12 = -1;
static gint ett_lte_rrc_CarrierFreqUTRA_FDD_Ext_r12 = -1;
static gint ett_lte_rrc_T_threshX_Q_r12_01 = -1;
static gint ett_lte_rrc_FreqBandIndicator_UTRA_FDD_r12 = -1;
static gint ett_lte_rrc_CarrierFreqListUTRA_TDD = -1;
static gint ett_lte_rrc_CarrierFreqUTRA_TDD = -1;
static gint ett_lte_rrc_CarrierFreqListUTRA_TDD_Ext_r12 = -1;
static gint ett_lte_rrc_CarrierFreqUTRA_TDD_r12 = -1;
static gint ett_lte_rrc_SystemInformationBlockType7 = -1;
static gint ett_lte_rrc_CarrierFreqsInfoListGERAN = -1;
static gint ett_lte_rrc_CarrierFreqsInfoGERAN = -1;
static gint ett_lte_rrc_T_commonInfo = -1;
static gint ett_lte_rrc_SystemInformationBlockType8 = -1;
static gint ett_lte_rrc_T_parametersHRPD = -1;
static gint ett_lte_rrc_T_parameters1XRTT = -1;
static gint ett_lte_rrc_CellReselectionParametersCDMA2000 = -1;
static gint ett_lte_rrc_CellReselectionParametersCDMA2000_r11 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11 = -1;
static gint ett_lte_rrc_CellReselectionParametersCDMA2000_v920 = -1;
static gint ett_lte_rrc_NeighCellListCDMA2000 = -1;
static gint ett_lte_rrc_NeighCellCDMA2000 = -1;
static gint ett_lte_rrc_NeighCellCDMA2000_r11 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11 = -1;
static gint ett_lte_rrc_NeighCellsPerBandclassListCDMA2000 = -1;
static gint ett_lte_rrc_NeighCellsPerBandclassCDMA2000 = -1;
static gint ett_lte_rrc_NeighCellsPerBandclassCDMA2000_r11 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000 = -1;
static gint ett_lte_rrc_NeighCellListCDMA2000_v920 = -1;
static gint ett_lte_rrc_NeighCellCDMA2000_v920 = -1;
static gint ett_lte_rrc_NeighCellsPerBandclassListCDMA2000_v920 = -1;
static gint ett_lte_rrc_NeighCellsPerBandclassCDMA2000_v920 = -1;
static gint ett_lte_rrc_PhysCellIdListCDMA2000 = -1;
static gint ett_lte_rrc_PhysCellIdListCDMA2000_v920 = -1;
static gint ett_lte_rrc_BandClassListCDMA2000 = -1;
static gint ett_lte_rrc_BandClassInfoCDMA2000 = -1;
static gint ett_lte_rrc_AC_BarringConfig1XRTT_r9 = -1;
static gint ett_lte_rrc_SIB8_PerPLMN_List_r11 = -1;
static gint ett_lte_rrc_SIB8_PerPLMN_r11 = -1;
static gint ett_lte_rrc_T_parametersCDMA2000_r11 = -1;
static gint ett_lte_rrc_ParametersCDMA2000_r11 = -1;
static gint ett_lte_rrc_T_systemTimeInfo_r11 = -1;
static gint ett_lte_rrc_T_parametersHRPD_r11 = -1;
static gint ett_lte_rrc_T_parameters1XRTT_r11 = -1;
static gint ett_lte_rrc_SystemInformationBlockType9 = -1;
static gint ett_lte_rrc_SystemInformationBlockType10 = -1;
static gint ett_lte_rrc_SystemInformationBlockType11 = -1;
static gint ett_lte_rrc_SystemInformationBlockType12_r9 = -1;
static gint ett_lte_rrc_SystemInformationBlockType13_r9 = -1;
static gint ett_lte_rrc_SystemInformationBlockType14_r11 = -1;
static gint ett_lte_rrc_T_eab_Param_r11 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11 = -1;
static gint ett_lte_rrc_EAB_ConfigPLMN_r11 = -1;
static gint ett_lte_rrc_EAB_Config_r11 = -1;
static gint ett_lte_rrc_SystemInformationBlockType15_r11 = -1;
static gint ett_lte_rrc_MBMS_SAI_List_r11 = -1;
static gint ett_lte_rrc_MBMS_SAI_InterFreqList_r11 = -1;
static gint ett_lte_rrc_MBMS_SAI_InterFreqList_v1140 = -1;
static gint ett_lte_rrc_MBMS_SAI_InterFreq_r11 = -1;
static gint ett_lte_rrc_MBMS_SAI_InterFreq_v1140 = -1;
static gint ett_lte_rrc_MBMS_InterFreqCarrierTypeList_r14 = -1;
static gint ett_lte_rrc_MBMS_CarrierType_r14 = -1;
static gint ett_lte_rrc_SystemInformationBlockType16_r11 = -1;
static gint ett_lte_rrc_T_timeInfo_r11 = -1;
static gint ett_lte_rrc_SystemInformationBlockType17_r12 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12 = -1;
static gint ett_lte_rrc_WLAN_OffloadInfoPerPLMN_r12 = -1;
static gint ett_lte_rrc_WLAN_Id_List_r12 = -1;
static gint ett_lte_rrc_WLAN_Identifiers_r12 = -1;
static gint ett_lte_rrc_SystemInformationBlockType18_r12 = -1;
static gint ett_lte_rrc_T_commConfig_r12 = -1;
static gint ett_lte_rrc_SystemInformationBlockType19_r12 = -1;
static gint ett_lte_rrc_T_discConfig_r12 = -1;
static gint ett_lte_rrc_T_discConfig_v1310 = -1;
static gint ett_lte_rrc_T_discConfigRelay_r13 = -1;
static gint ett_lte_rrc_T_discConfigPS_13 = -1;
static gint ett_lte_rrc_SL_CarrierFreqInfoList_r12 = -1;
static gint ett_lte_rrc_SL_CarrierFreqInfoList_v1310 = -1;
static gint ett_lte_rrc_SL_CarrierFreqInfo_r12 = -1;
static gint ett_lte_rrc_SL_DiscConfigRelayUE_r13 = -1;
static gint ett_lte_rrc_SL_DiscConfigRemoteUE_r13 = -1;
static gint ett_lte_rrc_ReselectionInfoRelay_r13 = -1;
static gint ett_lte_rrc_SL_CarrierFreqInfo_v1310 = -1;
static gint ett_lte_rrc_PLMN_IdentityList4_r12 = -1;
static gint ett_lte_rrc_PLMN_IdentityInfo2_r12 = -1;
static gint ett_lte_rrc_SL_DiscTxResourcesInterFreq_r13 = -1;
static gint ett_lte_rrc_SL_DiscConfigOtherInterFreq_r13 = -1;
static gint ett_lte_rrc_SL_ResourcesInterFreq_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType20_r13 = -1;
static gint ett_lte_rrc_T_br_BCCH_Config_r14 = -1;
static gint ett_lte_rrc_T_mpdcch_StartSF_SC_MCCH_r14 = -1;
static gint ett_lte_rrc_SC_MCCH_SchedulingInfo_r14 = -1;
static gint ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14 = -1;
static gint ett_lte_rrc_SystemInformationBlockType21_r14 = -1;
static gint ett_lte_rrc_SL_V2X_ConfigCommon_r14 = -1;
static gint ett_lte_rrc_AntennaInfoCommon = -1;
static gint ett_lte_rrc_AntennaInfoDedicated = -1;
static gint ett_lte_rrc_T_codebookSubsetRestriction = -1;
static gint ett_lte_rrc_T_ue_TransmitAntennaSelection = -1;
static gint ett_lte_rrc_AntennaInfoDedicated_v920 = -1;
static gint ett_lte_rrc_T_codebookSubsetRestriction_v920 = -1;
static gint ett_lte_rrc_AntennaInfoDedicated_r10 = -1;
static gint ett_lte_rrc_T_ue_TransmitAntennaSelection_01 = -1;
static gint ett_lte_rrc_AntennaInfoDedicated_v10i0 = -1;
static gint ett_lte_rrc_AntennaInfoDedicated_v1250 = -1;
static gint ett_lte_rrc_AntennaInfoDedicated_v1430 = -1;
static gint ett_lte_rrc_AntennaInfoUL_r10 = -1;
static gint ett_lte_rrc_CQI_ReportAperiodic_r10 = -1;
static gint ett_lte_rrc_T_setup_05 = -1;
static gint ett_lte_rrc_T_aperiodicCSI_Trigger_r10 = -1;
static gint ett_lte_rrc_CQI_ReportAperiodic_v1250 = -1;
static gint ett_lte_rrc_T_setup_06 = -1;
static gint ett_lte_rrc_T_aperiodicCSI_Trigger_v1250 = -1;
static gint ett_lte_rrc_CQI_ReportAperiodic_v1310 = -1;
static gint ett_lte_rrc_T_setup_07 = -1;
static gint ett_lte_rrc_T_aperiodicCSI_Trigger_v1310 = -1;
static gint ett_lte_rrc_T_aperiodicCSI_Trigger2_r13 = -1;
static gint ett_lte_rrc_T_setup_08 = -1;
static gint ett_lte_rrc_CQI_ReportAperiodicProc_r11 = -1;
static gint ett_lte_rrc_CQI_ReportAperiodicProc_v1310 = -1;
static gint ett_lte_rrc_CQI_ReportAperiodicHybrid_r14 = -1;
static gint ett_lte_rrc_T_triggers_r14 = -1;
static gint ett_lte_rrc_T_oneBit_r14 = -1;
static gint ett_lte_rrc_T_twoBit_r14 = -1;
static gint ett_lte_rrc_T_threeBit_r14 = -1;
static gint ett_lte_rrc_CQI_ReportBoth_r11 = -1;
static gint ett_lte_rrc_CQI_ReportBoth_v1250 = -1;
static gint ett_lte_rrc_CQI_ReportBoth_v1310 = -1;
static gint ett_lte_rrc_CSI_IM_ConfigToAddModList_r11 = -1;
static gint ett_lte_rrc_CSI_IM_ConfigToAddModListExt_r13 = -1;
static gint ett_lte_rrc_CSI_IM_ConfigToReleaseList_r11 = -1;
static gint ett_lte_rrc_CSI_IM_ConfigToReleaseListExt_r13 = -1;
static gint ett_lte_rrc_CSI_ProcessToAddModList_r11 = -1;
static gint ett_lte_rrc_CSI_ProcessToReleaseList_r11 = -1;
static gint ett_lte_rrc_CQI_ReportBothProc_r11 = -1;
static gint ett_lte_rrc_CQI_ReportConfig = -1;
static gint ett_lte_rrc_CQI_ReportConfig_v920 = -1;
static gint ett_lte_rrc_CQI_ReportConfig_r10 = -1;
static gint ett_lte_rrc_T_csi_SubframePatternConfig_r10 = -1;
static gint ett_lte_rrc_T_setup_09 = -1;
static gint ett_lte_rrc_CQI_ReportConfig_v1130 = -1;
static gint ett_lte_rrc_CQI_ReportConfig_v1250 = -1;
static gint ett_lte_rrc_T_csi_SubframePatternConfig_r12 = -1;
static gint ett_lte_rrc_T_setup_10 = -1;
static gint ett_lte_rrc_CQI_ReportConfig_v1310 = -1;
static gint ett_lte_rrc_CQI_ReportConfig_v1320 = -1;
static gint ett_lte_rrc_CQI_ReportConfig_v1430 = -1;
static gint ett_lte_rrc_CQI_ReportConfigSCell_r10 = -1;
static gint ett_lte_rrc_CQI_ReportPeriodic = -1;
static gint ett_lte_rrc_T_setup_11 = -1;
static gint ett_lte_rrc_T_cqi_FormatIndicatorPeriodic = -1;
static gint ett_lte_rrc_T_subbandCQI = -1;
static gint ett_lte_rrc_CQI_ReportPeriodic_r10 = -1;
static gint ett_lte_rrc_T_setup_12 = -1;
static gint ett_lte_rrc_T_cqi_FormatIndicatorPeriodic_r10 = -1;
static gint ett_lte_rrc_T_widebandCQI_r10 = -1;
static gint ett_lte_rrc_T_subbandCQI_r10 = -1;
static gint ett_lte_rrc_T_csi_ConfigIndex_r10 = -1;
static gint ett_lte_rrc_T_setup_13 = -1;
static gint ett_lte_rrc_CQI_ReportPeriodic_v1130 = -1;
static gint ett_lte_rrc_CQI_ReportPeriodic_v1310 = -1;
static gint ett_lte_rrc_CQI_ReportPeriodic_v1320 = -1;
static gint ett_lte_rrc_CQI_ReportPeriodicProcExtToAddModList_r11 = -1;
static gint ett_lte_rrc_CQI_ReportPeriodicProcExtToReleaseList_r11 = -1;
static gint ett_lte_rrc_CQI_ReportPeriodicProcExt_r11 = -1;
static gint ett_lte_rrc_T_cqi_FormatIndicatorPeriodic_r11 = -1;
static gint ett_lte_rrc_T_widebandCQI_r11 = -1;
static gint ett_lte_rrc_T_subbandCQI_r11 = -1;
static gint ett_lte_rrc_T_csi_ConfigIndex_r11 = -1;
static gint ett_lte_rrc_T_setup_14 = -1;
static gint ett_lte_rrc_CRI_ReportConfig_r13 = -1;
static gint ett_lte_rrc_T_setup_15 = -1;
static gint ett_lte_rrc_CrossCarrierSchedulingConfig_r10 = -1;
static gint ett_lte_rrc_T_schedulingCellInfo_r10 = -1;
static gint ett_lte_rrc_T_own_r10 = -1;
static gint ett_lte_rrc_T_other_r10 = -1;
static gint ett_lte_rrc_CrossCarrierSchedulingConfig_r13 = -1;
static gint ett_lte_rrc_T_schedulingCellInfo_r13 = -1;
static gint ett_lte_rrc_T_own_r13 = -1;
static gint ett_lte_rrc_T_other_r13 = -1;
static gint ett_lte_rrc_CrossCarrierSchedulingConfigLAA_UL_r14 = -1;
static gint ett_lte_rrc_CSI_IM_Config_r11 = -1;
static gint ett_lte_rrc_CSI_IM_ConfigExt_r12 = -1;
static gint ett_lte_rrc_CSI_Process_r11 = -1;
static gint ett_lte_rrc_T_csi_IM_ConfigIdList_r12 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12 = -1;
static gint ett_lte_rrc_T_cqi_ReportAperiodicProc2_r12 = -1;
static gint ett_lte_rrc_T_cqi_ReportAperiodicProc_v1310 = -1;
static gint ett_lte_rrc_T_cqi_ReportAperiodicProc2_v1310 = -1;
static gint ett_lte_rrc_CSI_RS_Config_r10 = -1;
static gint ett_lte_rrc_T_csi_RS_r10 = -1;
static gint ett_lte_rrc_T_setup_16 = -1;
static gint ett_lte_rrc_CSI_RS_Config_v1250 = -1;
static gint ett_lte_rrc_T_ds_ZeroTxPowerCSI_RS_r12 = -1;
static gint ett_lte_rrc_T_setup_17 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12 = -1;
static gint ett_lte_rrc_CSI_RS_Config_v1310 = -1;
static gint ett_lte_rrc_CSI_RS_Config_v1430 = -1;
static gint ett_lte_rrc_ZeroTxPowerCSI_RS_Conf_r12 = -1;
static gint ett_lte_rrc_ZeroTxPowerCSI_RS_r12 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigBeamformed_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13 = -1;
static gint ett_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r13 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigBeamformed_r14 = -1;
static gint ett_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigBeamformed_v1430 = -1;
static gint ett_lte_rrc_CSI_RS_Config_NZP_v1430 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNZP_Activation_r14 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigEMIMO_r13 = -1;
static gint ett_lte_rrc_T_setup_18 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigEMIMO_v1430 = -1;
static gint ett_lte_rrc_T_setup_19 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigEMIMO2_r14 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigEMIMO_Hybrid_r14 = -1;
static gint ett_lte_rrc_T_setup_20 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNonPrecoded_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNonPrecoded_v1430 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNZP_r11 = -1;
static gint ett_lte_rrc_T_qcl_CRS_Info_r11 = -1;
static gint ett_lte_rrc_T_mbsfn_SubframeConfigList_r11 = -1;
static gint ett_lte_rrc_T_setup_21 = -1;
static gint ett_lte_rrc_T_mbsfn_SubframeConfigList_v1430 = -1;
static gint ett_lte_rrc_T_setup_22 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNZP_EMIMO_r13 = -1;
static gint ett_lte_rrc_T_setup_23 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNZP_EMIMO_v1430 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13 = -1;
static gint ett_lte_rrc_NZP_ResourceConfig_r13 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigZP_r11 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigZP_ApList_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11 = -1;
static gint ett_lte_rrc_DMRS_Config_r11 = -1;
static gint ett_lte_rrc_T_setup_24 = -1;
static gint ett_lte_rrc_DMRS_Config_v1310 = -1;
static gint ett_lte_rrc_EPDCCH_Config_r11 = -1;
static gint ett_lte_rrc_T_config_r11 = -1;
static gint ett_lte_rrc_T_setup_25 = -1;
static gint ett_lte_rrc_T_subframePatternConfig_r11 = -1;
static gint ett_lte_rrc_T_setup_26 = -1;
static gint ett_lte_rrc_EPDCCH_SetConfigToAddModList_r11 = -1;
static gint ett_lte_rrc_EPDCCH_SetConfigToReleaseList_r11 = -1;
static gint ett_lte_rrc_EPDCCH_SetConfig_r11 = -1;
static gint ett_lte_rrc_T_resourceBlockAssignment_r11 = -1;
static gint ett_lte_rrc_T_csi_RS_ConfigZPId2_r12 = -1;
static gint ett_lte_rrc_T_numberPRB_Pairs_v1310 = -1;
static gint ett_lte_rrc_T_mpdcch_config_r13 = -1;
static gint ett_lte_rrc_T_setup_28 = -1;
static gint ett_lte_rrc_T_mpdcch_StartSF_UESS_r13 = -1;
static gint ett_lte_rrc_EIMTA_MainConfig_r12 = -1;
static gint ett_lte_rrc_T_setup_29 = -1;
static gint ett_lte_rrc_EIMTA_MainConfigServCell_r12 = -1;
static gint ett_lte_rrc_T_setup_30 = -1;
static gint ett_lte_rrc_T_mbsfn_SubframeConfigList_v1250 = -1;
static gint ett_lte_rrc_T_setup_31 = -1;
static gint ett_lte_rrc_LogicalChannelConfig = -1;
static gint ett_lte_rrc_T_ul_SpecificParameters = -1;
static gint ett_lte_rrc_LWA_Configuration_r13 = -1;
static gint ett_lte_rrc_T_setup_32 = -1;
static gint ett_lte_rrc_LWA_Config_r13 = -1;
static gint ett_lte_rrc_LWIP_Configuration_r13 = -1;
static gint ett_lte_rrc_T_setup_33 = -1;
static gint ett_lte_rrc_LWIP_Config_r13 = -1;
static gint ett_lte_rrc_MAC_MainConfig = -1;
static gint ett_lte_rrc_T_ul_SCH_Config = -1;
static gint ett_lte_rrc_T_phr_Config = -1;
static gint ett_lte_rrc_T_setup_34 = -1;
static gint ett_lte_rrc_T_mac_MainConfig_v1020 = -1;
static gint ett_lte_rrc_T_dualConnectivityPHR = -1;
static gint ett_lte_rrc_T_setup_35 = -1;
static gint ett_lte_rrc_T_logicalChannelSR_Config_r12 = -1;
static gint ett_lte_rrc_T_setup_36 = -1;
static gint ett_lte_rrc_T_eDRX_Config_CycleStartOffset_r13 = -1;
static gint ett_lte_rrc_T_setup_37 = -1;
static gint ett_lte_rrc_T_drx_Config_r13 = -1;
static gint ett_lte_rrc_T_skipUplinkTx_r14 = -1;
static gint ett_lte_rrc_T_setup_38 = -1;
static gint ett_lte_rrc_T_dataInactivityTimerConfig_r14 = -1;
static gint ett_lte_rrc_T_setup_39 = -1;
static gint ett_lte_rrc_MAC_MainConfigSCell_r11 = -1;
static gint ett_lte_rrc_DRX_Config = -1;
static gint ett_lte_rrc_T_setup_40 = -1;
static gint ett_lte_rrc_T_longDRX_CycleStartOffset = -1;
static gint ett_lte_rrc_T_shortDRX = -1;
static gint ett_lte_rrc_DRX_Config_v1130 = -1;
static gint ett_lte_rrc_T_longDRX_CycleStartOffset_v1130 = -1;
static gint ett_lte_rrc_DRX_Config_v1310 = -1;
static gint ett_lte_rrc_T_longDRX_CycleStartOffset_v1310 = -1;
static gint ett_lte_rrc_DRX_Config_r13 = -1;
static gint ett_lte_rrc_STAG_ToReleaseList_r11 = -1;
static gint ett_lte_rrc_STAG_ToAddModList_r11 = -1;
static gint ett_lte_rrc_STAG_ToAddMod_r11 = -1;
static gint ett_lte_rrc_P_C_AndCBSR_r11 = -1;
static gint ett_lte_rrc_P_C_AndCBSR_r13 = -1;
static gint ett_lte_rrc_T_cbsr_Selection_r13 = -1;
static gint ett_lte_rrc_T_nonPrecoded_r13 = -1;
static gint ett_lte_rrc_T_beamformedK1a_r13 = -1;
static gint ett_lte_rrc_T_beamformedKN_r13 = -1;
static gint ett_lte_rrc_P_C_AndCBSR_Pair_r13a = -1;
static gint ett_lte_rrc_P_C_AndCBSR_Pair_r13 = -1;
static gint ett_lte_rrc_PDCCH_ConfigSCell_r13 = -1;
static gint ett_lte_rrc_PDCCH_ConfigLAA_r14 = -1;
static gint ett_lte_rrc_PDCCH_CandidateReductions_r13 = -1;
static gint ett_lte_rrc_T_setup_41 = -1;
static gint ett_lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14 = -1;
static gint ett_lte_rrc_T_setup_42 = -1;
static gint ett_lte_rrc_PDCP_Config = -1;
static gint ett_lte_rrc_T_rlc_AM = -1;
static gint ett_lte_rrc_T_rlc_UM = -1;
static gint ett_lte_rrc_T_headerCompression = -1;
static gint ett_lte_rrc_T_rohc = -1;
static gint ett_lte_rrc_T_profiles = -1;
static gint ett_lte_rrc_T_ul_DataSplitThreshold_r13 = -1;
static gint ett_lte_rrc_T_statusFeedback_r13 = -1;
static gint ett_lte_rrc_T_setup_44 = -1;
static gint ett_lte_rrc_T_ul_LWA_Config_r14 = -1;
static gint ett_lte_rrc_T_setup_45 = -1;
static gint ett_lte_rrc_T_uplinkOnlyHeaderCompression_r14 = -1;
static gint ett_lte_rrc_T_rohc_r14 = -1;
static gint ett_lte_rrc_T_profiles_r14 = -1;
static gint ett_lte_rrc_PDSCH_ConfigCommon = -1;
static gint ett_lte_rrc_PDSCH_ConfigCommon_v1310 = -1;
static gint ett_lte_rrc_PDSCH_ConfigDedicated = -1;
static gint ett_lte_rrc_PDSCH_ConfigDedicated_v1130 = -1;
static gint ett_lte_rrc_PDSCH_ConfigDedicated_v1280 = -1;
static gint ett_lte_rrc_PDSCH_ConfigDedicated_v1310 = -1;
static gint ett_lte_rrc_PDSCH_ConfigDedicated_v1430 = -1;
static gint ett_lte_rrc_PDSCH_ConfigDedicatedSCell_v1430 = -1;
static gint ett_lte_rrc_RE_MappingQCLConfigToAddModList_r11 = -1;
static gint ett_lte_rrc_RE_MappingQCLConfigToReleaseList_r11 = -1;
static gint ett_lte_rrc_PDSCH_RE_MappingQCL_Config_r11 = -1;
static gint ett_lte_rrc_T_optionalSetOfFields_r11 = -1;
static gint ett_lte_rrc_T_mbsfn_SubframeConfigList_r11_01 = -1;
static gint ett_lte_rrc_T_setup_46 = -1;
static gint ett_lte_rrc_T_mbsfn_SubframeConfigList_v1430_01 = -1;
static gint ett_lte_rrc_T_setup_47 = -1;
static gint ett_lte_rrc_PerCC_GapIndicationList_r14 = -1;
static gint ett_lte_rrc_PerCC_GapIndication_r14 = -1;
static gint ett_lte_rrc_PHICH_Config = -1;
static gint ett_lte_rrc_PhysicalConfigDedicated = -1;
static gint ett_lte_rrc_T_antennaInfo = -1;
static gint ett_lte_rrc_T_antennaInfo_r10 = -1;
static gint ett_lte_rrc_T_additionalSpectrumEmissionCA_r10 = -1;
static gint ett_lte_rrc_T_setup_48 = -1;
static gint ett_lte_rrc_T_ce_Mode_r13 = -1;
static gint ett_lte_rrc_T_typeA_SRS_TPC_PDCCH_Group_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14 = -1;
static gint ett_lte_rrc_T_must_Config_r14 = -1;
static gint ett_lte_rrc_T_setup_50 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 = -1;
static gint ett_lte_rrc_PhysicalConfigDedicated_v1370 = -1;
static gint ett_lte_rrc_PhysicalConfigDedicatedSCell_r10 = -1;
static gint ett_lte_rrc_T_nonUL_Configuration_r10 = -1;
static gint ett_lte_rrc_T_ul_Configuration_r10 = -1;
static gint ett_lte_rrc_T_pucch_SCell = -1;
static gint ett_lte_rrc_T_setup_51 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14 = -1;
static gint ett_lte_rrc_T_must_Config_r14_01 = -1;
static gint ett_lte_rrc_T_setup_52 = -1;
static gint ett_lte_rrc_PhysicalConfigDedicatedSCell_v1370 = -1;
static gint ett_lte_rrc_T_pucch_SCell_v1370 = -1;
static gint ett_lte_rrc_T_setup_53 = -1;
static gint ett_lte_rrc_LAA_SCellConfiguration_r13 = -1;
static gint ett_lte_rrc_LAA_SCellConfiguration_v1430 = -1;
static gint ett_lte_rrc_T_crossCarrierSchedulingConfig_UL_r14 = -1;
static gint ett_lte_rrc_T_setup_54 = -1;
static gint ett_lte_rrc_LBT_Config_r14 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigZPToAddModList_r11 = -1;
static gint ett_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11 = -1;
static gint ett_lte_rrc_SoundingRS_AperiodicSet_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14 = -1;
static gint ett_lte_rrc_SoundingRS_AperiodicSetUpPTsExt_r14 = -1;
static gint ett_lte_rrc_PRACH_ConfigSIB = -1;
static gint ett_lte_rrc_PRACH_ConfigSIB_v1310 = -1;
static gint ett_lte_rrc_T_mpdcch_startSF_CSS_RA_r13 = -1;
static gint ett_lte_rrc_PRACH_Config = -1;
static gint ett_lte_rrc_PRACH_Config_v1310 = -1;
static gint ett_lte_rrc_T_mpdcch_startSF_CSS_RA_r13_01 = -1;
static gint ett_lte_rrc_PRACH_Config_v1430 = -1;
static gint ett_lte_rrc_PRACH_ConfigSCell_r10 = -1;
static gint ett_lte_rrc_PRACH_ConfigInfo = -1;
static gint ett_lte_rrc_PRACH_ParametersListCE_r13 = -1;
static gint ett_lte_rrc_PRACH_ParametersCE_r13 = -1;
static gint ett_lte_rrc_T_mpdcch_NarrowbandsToMonitor_r13 = -1;
static gint ett_lte_rrc_RSRP_ThresholdsPrachInfoList_r13 = -1;
static gint ett_lte_rrc_PUCCH_ConfigCommon = -1;
static gint ett_lte_rrc_PUCCH_ConfigCommon_v1310 = -1;
static gint ett_lte_rrc_PUCCH_ConfigCommon_v1430 = -1;
static gint ett_lte_rrc_PUCCH_ConfigDedicated = -1;
static gint ett_lte_rrc_T_ackNackRepetition = -1;
static gint ett_lte_rrc_T_setup_55 = -1;
static gint ett_lte_rrc_PUCCH_ConfigDedicated_v1020 = -1;
static gint ett_lte_rrc_T_pucch_Format_r10 = -1;
static gint ett_lte_rrc_T_channelSelection_r10 = -1;
static gint ett_lte_rrc_T_n1PUCCH_AN_CS_r10 = -1;
static gint ett_lte_rrc_T_setup_56 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10 = -1;
static gint ett_lte_rrc_PUCCH_ConfigDedicated_v1130 = -1;
static gint ett_lte_rrc_T_n1PUCCH_AN_CS_v1130 = -1;
static gint ett_lte_rrc_T_setup_57 = -1;
static gint ett_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r11 = -1;
static gint ett_lte_rrc_T_nPUCCH_Param_r11 = -1;
static gint ett_lte_rrc_T_setup_58 = -1;
static gint ett_lte_rrc_PUCCH_ConfigDedicated_v1250 = -1;
static gint ett_lte_rrc_T_nkaPUCCH_Param_r12 = -1;
static gint ett_lte_rrc_T_setup_59 = -1;
static gint ett_lte_rrc_PUCCH_ConfigDedicated_r13 = -1;
static gint ett_lte_rrc_T_ackNackRepetition_r13 = -1;
static gint ett_lte_rrc_T_setup_60 = -1;
static gint ett_lte_rrc_T_pucch_Format_r13 = -1;
static gint ett_lte_rrc_T_format3_r13 = -1;
static gint ett_lte_rrc_T_n3PUCCH_AN_List_r13 = -1;
static gint ett_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13 = -1;
static gint ett_lte_rrc_T_setup_61 = -1;
static gint ett_lte_rrc_T_n3PUCCH_AN_ListP1_r13 = -1;
static gint ett_lte_rrc_T_channelSelection_r13 = -1;
static gint ett_lte_rrc_T_n1PUCCH_AN_CS_r13 = -1;
static gint ett_lte_rrc_T_setup_62 = -1;
static gint ett_lte_rrc_N1PUCCH_AN_CS_List_r13 = -1;
static gint ett_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r13 = -1;
static gint ett_lte_rrc_T_format4_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_4_OF_Format4_resource_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_Format4_resource_r13 = -1;
static gint ett_lte_rrc_T_format5_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_4_OF_Format5_resource_r13 = -1;
static gint ett_lte_rrc_T_nPUCCH_Param_r13 = -1;
static gint ett_lte_rrc_T_setup_63 = -1;
static gint ett_lte_rrc_T_nkaPUCCH_Param_r13 = -1;
static gint ett_lte_rrc_T_setup_64 = -1;
static gint ett_lte_rrc_T_pucch_NumRepetitionCE_r13 = -1;
static gint ett_lte_rrc_T_setup_65 = -1;
static gint ett_lte_rrc_T_modeA = -1;
static gint ett_lte_rrc_T_modeB = -1;
static gint ett_lte_rrc_PUCCH_ConfigDedicated_v1370 = -1;
static gint ett_lte_rrc_T_pucch_Format_v1370 = -1;
static gint ett_lte_rrc_PUCCH_Format3_Conf_r13 = -1;
static gint ett_lte_rrc_T_n3PUCCH_AN_List_r13_01 = -1;
static gint ett_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_01 = -1;
static gint ett_lte_rrc_T_setup_66 = -1;
static gint ett_lte_rrc_T_n3PUCCH_AN_ListP1_r13_01 = -1;
static gint ett_lte_rrc_PUCCH_ConfigDedicated_v1430 = -1;
static gint ett_lte_rrc_Format4_resource_r13 = -1;
static gint ett_lte_rrc_Format5_resource_r13 = -1;
static gint ett_lte_rrc_N1PUCCH_AN_CS_r10 = -1;
static gint ett_lte_rrc_N1PUCCH_AN_InfoList_r13 = -1;
static gint ett_lte_rrc_PUSCH_ConfigCommon = -1;
static gint ett_lte_rrc_T_pusch_ConfigBasic = -1;
static gint ett_lte_rrc_PUSCH_ConfigCommon_v1270 = -1;
static gint ett_lte_rrc_PUSCH_ConfigCommon_v1310 = -1;
static gint ett_lte_rrc_PUSCH_ConfigDedicated = -1;
static gint ett_lte_rrc_PUSCH_ConfigDedicated_v1020 = -1;
static gint ett_lte_rrc_T_betaOffsetMC_r10 = -1;
static gint ett_lte_rrc_PUSCH_ConfigDedicated_v1130 = -1;
static gint ett_lte_rrc_T_pusch_DMRS_r11 = -1;
static gint ett_lte_rrc_T_setup_67 = -1;
static gint ett_lte_rrc_PUSCH_ConfigDedicated_v1250 = -1;
static gint ett_lte_rrc_T_uciOnPUSCH = -1;
static gint ett_lte_rrc_T_setup_68 = -1;
static gint ett_lte_rrc_T_betaOffsetMC_r12 = -1;
static gint ett_lte_rrc_PUSCH_ConfigDedicated_r13 = -1;
static gint ett_lte_rrc_T_betaOffsetMC_r13 = -1;
static gint ett_lte_rrc_T_pusch_DMRS_r11_01 = -1;
static gint ett_lte_rrc_T_setup_69 = -1;
static gint ett_lte_rrc_T_uciOnPUSCH_01 = -1;
static gint ett_lte_rrc_T_setup_70 = -1;
static gint ett_lte_rrc_T_betaOffsetMC_r12_01 = -1;
static gint ett_lte_rrc_PUSCH_ConfigDedicated_v1430 = -1;
static gint ett_lte_rrc_PUSCH_ConfigDedicatedSCell_r10 = -1;
static gint ett_lte_rrc_PUSCH_ConfigDedicatedSCell_v1430 = -1;
static gint ett_lte_rrc_TDD_PUSCH_UpPTS_r14 = -1;
static gint ett_lte_rrc_T_setup_71 = -1;
static gint ett_lte_rrc_Enable256QAM_r14 = -1;
static gint ett_lte_rrc_T_setup_72 = -1;
static gint ett_lte_rrc_T_tpc_SubframeSet_Configured_r14 = -1;
static gint ett_lte_rrc_T_tpc_SubframeSet_NotConfigured_r14 = -1;
static gint ett_lte_rrc_PUSCH_EnhancementsConfig_r14 = -1;
static gint ett_lte_rrc_T_setup_73 = -1;
static gint ett_lte_rrc_T_interval_ULHoppingPUSCH_Enh_r14 = -1;
static gint ett_lte_rrc_UL_ReferenceSignalsPUSCH = -1;
static gint ett_lte_rrc_RACH_ConfigCommon = -1;
static gint ett_lte_rrc_T_preambleInfo = -1;
static gint ett_lte_rrc_T_preamblesGroupAConfig = -1;
static gint ett_lte_rrc_T_ra_SupervisionInfo = -1;
static gint ett_lte_rrc_RACH_ConfigCommon_v1250 = -1;
static gint ett_lte_rrc_T_txFailParams_r12 = -1;
static gint ett_lte_rrc_RACH_ConfigCommonSCell_r11 = -1;
static gint ett_lte_rrc_T_ra_SupervisionInfo_r11 = -1;
static gint ett_lte_rrc_RACH_CE_LevelInfoList_r13 = -1;
static gint ett_lte_rrc_RACH_CE_LevelInfo_r13 = -1;
static gint ett_lte_rrc_T_preambleMappingInfo_r13 = -1;
static gint ett_lte_rrc_PowerRampingParameters = -1;
static gint ett_lte_rrc_RACH_ConfigDedicated = -1;
static gint ett_lte_rrc_RadioResourceConfigCommonSIB = -1;
static gint ett_lte_rrc_RadioResourceConfigCommon = -1;
static gint ett_lte_rrc_RadioResourceConfigCommonPSCell_r12 = -1;
static gint ett_lte_rrc_RadioResourceConfigCommonPSCell_v12f0 = -1;
static gint ett_lte_rrc_RadioResourceConfigCommonPSCell_v1440 = -1;
static gint ett_lte_rrc_RadioResourceConfigCommonSCell_r10 = -1;
static gint ett_lte_rrc_T_nonUL_Configuration_r10_01 = -1;
static gint ett_lte_rrc_T_ul_Configuration_r10_01 = -1;
static gint ett_lte_rrc_T_ul_FreqInfo_r10 = -1;
static gint ett_lte_rrc_T_ul_Configuration_r14 = -1;
static gint ett_lte_rrc_T_ul_FreqInfo_r14 = -1;
static gint ett_lte_rrc_RadioResourceConfigCommonSCell_v10l0 = -1;
static gint ett_lte_rrc_T_ul_Configuration_v10l0 = -1;
static gint ett_lte_rrc_RadioResourceConfigCommonSCell_v1440 = -1;
static gint ett_lte_rrc_T_ul_Configuration_v1440 = -1;
static gint ett_lte_rrc_T_ul_FreqInfo_v1440 = -1;
static gint ett_lte_rrc_BCCH_Config = -1;
static gint ett_lte_rrc_BCCH_Config_v1310 = -1;
static gint ett_lte_rrc_FreqHoppingParameters_r13 = -1;
static gint ett_lte_rrc_T_dummy2 = -1;
static gint ett_lte_rrc_T_dummy3 = -1;
static gint ett_lte_rrc_T_interval_ULHoppingConfigCommonModeA_r13 = -1;
static gint ett_lte_rrc_T_interval_ULHoppingConfigCommonModeB_r13 = -1;
static gint ett_lte_rrc_PCCH_Config = -1;
static gint ett_lte_rrc_PCCH_Config_v1310 = -1;
static gint ett_lte_rrc_HighSpeedConfig_r14 = -1;
static gint ett_lte_rrc_HighSpeedConfigSCell_r14 = -1;
static gint ett_lte_rrc_RadioResourceConfigDedicated = -1;
static gint ett_lte_rrc_T_mac_MainConfig = -1;
static gint ett_lte_rrc_RadioResourceConfigDedicated_v1370 = -1;
static gint ett_lte_rrc_RadioResourceConfigDedicatedPSCell_r12 = -1;
static gint ett_lte_rrc_RadioResourceConfigDedicatedPSCell_v1370 = -1;
static gint ett_lte_rrc_RadioResourceConfigDedicatedSCG_r12 = -1;
static gint ett_lte_rrc_RadioResourceConfigDedicatedSCell_r10 = -1;
static gint ett_lte_rrc_SRB_ToAddModList = -1;
static gint ett_lte_rrc_SRB_ToAddMod = -1;
static gint ett_lte_rrc_T_rlc_Config = -1;
static gint ett_lte_rrc_T_logicalChannelConfig = -1;
static gint ett_lte_rrc_DRB_ToAddModList = -1;
static gint ett_lte_rrc_DRB_ToAddModListSCG_r12 = -1;
static gint ett_lte_rrc_DRB_ToAddMod = -1;
static gint ett_lte_rrc_DRB_ToAddModSCG_r12 = -1;
static gint ett_lte_rrc_T_drb_Type_r12_01 = -1;
static gint ett_lte_rrc_T_scg_r12 = -1;
static gint ett_lte_rrc_DRB_ToReleaseList = -1;
static gint ett_lte_rrc_MeasSubframePatternPCell_r10 = -1;
static gint ett_lte_rrc_NeighCellsCRS_Info_r11 = -1;
static gint ett_lte_rrc_CRS_AssistanceInfoList_r11 = -1;
static gint ett_lte_rrc_CRS_AssistanceInfo_r11 = -1;
static gint ett_lte_rrc_NeighCellsCRS_Info_r13 = -1;
static gint ett_lte_rrc_CRS_AssistanceInfoList_r13 = -1;
static gint ett_lte_rrc_CRS_AssistanceInfo_r13 = -1;
static gint ett_lte_rrc_NAICS_AssistanceInfo_r12 = -1;
static gint ett_lte_rrc_T_setup_74 = -1;
static gint ett_lte_rrc_NeighCellsToReleaseList_r12 = -1;
static gint ett_lte_rrc_NeighCellsToAddModList_r12 = -1;
static gint ett_lte_rrc_NeighCellsInfo_r12 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a = -1;
static gint ett_lte_rrc_RCLWI_Configuration_r13 = -1;
static gint ett_lte_rrc_T_setup_75 = -1;
static gint ett_lte_rrc_RCLWI_Config_r13 = -1;
static gint ett_lte_rrc_T_command = -1;
static gint ett_lte_rrc_T_steerToWLAN_r13 = -1;
static gint ett_lte_rrc_RLC_Config = -1;
static gint ett_lte_rrc_T_am = -1;
static gint ett_lte_rrc_T_um_Bi_Directional = -1;
static gint ett_lte_rrc_T_um_Uni_Directional_UL = -1;
static gint ett_lte_rrc_T_um_Uni_Directional_DL = -1;
static gint ett_lte_rrc_RLC_Config_v1250 = -1;
static gint ett_lte_rrc_RLC_Config_v1310 = -1;
static gint ett_lte_rrc_RLC_Config_v1430 = -1;
static gint ett_lte_rrc_T_setup_76 = -1;
static gint ett_lte_rrc_RLC_Config_v15xy = -1;
static gint ett_lte_rrc_UL_AM_RLC = -1;
static gint ett_lte_rrc_DL_AM_RLC = -1;
static gint ett_lte_rrc_UL_UM_RLC = -1;
static gint ett_lte_rrc_DL_UM_RLC = -1;
static gint ett_lte_rrc_RLF_TimersAndConstants_r9 = -1;
static gint ett_lte_rrc_T_setup_77 = -1;
static gint ett_lte_rrc_RLF_TimersAndConstants_r13 = -1;
static gint ett_lte_rrc_T_setup_78 = -1;
static gint ett_lte_rrc_RLF_TimersAndConstantsSCG_r12 = -1;
static gint ett_lte_rrc_T_setup_79 = -1;
static gint ett_lte_rrc_RN_SubframeConfig_r10 = -1;
static gint ett_lte_rrc_T_subframeConfigPattern_r10 = -1;
static gint ett_lte_rrc_T_rpdcch_Config_r10 = -1;
static gint ett_lte_rrc_T_resourceBlockAssignment_r10 = -1;
static gint ett_lte_rrc_T_type01_r10 = -1;
static gint ett_lte_rrc_T_type2_r10 = -1;
static gint ett_lte_rrc_T_demodulationRS_r10 = -1;
static gint ett_lte_rrc_T_pucch_Config_r10 = -1;
static gint ett_lte_rrc_T_tdd = -1;
static gint ett_lte_rrc_T_channelSelectionMultiplexingBundling = -1;
static gint ett_lte_rrc_T_n1PUCCH_AN_List_r10 = -1;
static gint ett_lte_rrc_T_fallbackForFormat3 = -1;
static gint ett_lte_rrc_T_fdd = -1;
static gint ett_lte_rrc_SchedulingRequestConfig = -1;
static gint ett_lte_rrc_T_setup_80 = -1;
static gint ett_lte_rrc_SchedulingRequestConfig_v1020 = -1;
static gint ett_lte_rrc_SchedulingRequestConfigSCell_r13 = -1;
static gint ett_lte_rrc_T_setup_81 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigCommon = -1;
static gint ett_lte_rrc_T_setup_82 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigDedicated = -1;
static gint ett_lte_rrc_T_setup_83 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigDedicated_v1020 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigDedicated_v1310 = -1;
static gint ett_lte_rrc_T_setup_84 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 = -1;
static gint ett_lte_rrc_T_setup_85 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10 = -1;
static gint ett_lte_rrc_T_setup_86 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10 = -1;
static gint ett_lte_rrc_T_srs_ActivateAp_r10 = -1;
static gint ett_lte_rrc_T_setup_87 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1310 = -1;
static gint ett_lte_rrc_T_setup_88 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310 = -1;
static gint ett_lte_rrc_T_srs_ActivateAp_v1310 = -1;
static gint ett_lte_rrc_T_setup_89 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 = -1;
static gint ett_lte_rrc_T_setup_90 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13 = -1;
static gint ett_lte_rrc_T_srs_ActivateAp_r13 = -1;
static gint ett_lte_rrc_T_setup_91 = -1;
static gint ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1430 = -1;
static gint ett_lte_rrc_T_setup_92 = -1;
static gint ett_lte_rrc_SRS_ConfigAp_r10 = -1;
static gint ett_lte_rrc_SRS_ConfigAp_v1310 = -1;
static gint ett_lte_rrc_SRS_ConfigAp_r13 = -1;
static gint ett_lte_rrc_SPS_Config = -1;
static gint ett_lte_rrc_SPS_Config_v1430 = -1;
static gint ett_lte_rrc_SPS_ConfigUL_ToAddModList_r14 = -1;
static gint ett_lte_rrc_SPS_ConfigUL_ToReleaseList_r14 = -1;
static gint ett_lte_rrc_SPS_ConfigSL_ToAddModList_r14 = -1;
static gint ett_lte_rrc_SPS_ConfigSL_ToReleaseList_r14 = -1;
static gint ett_lte_rrc_SPS_ConfigDL = -1;
static gint ett_lte_rrc_T_setup_93 = -1;
static gint ett_lte_rrc_T_twoAntennaPortActivated_r10 = -1;
static gint ett_lte_rrc_T_setup_94 = -1;
static gint ett_lte_rrc_SPS_ConfigUL = -1;
static gint ett_lte_rrc_T_setup_95 = -1;
static gint ett_lte_rrc_T_p0_Persistent = -1;
static gint ett_lte_rrc_T_p0_PersistentSubframeSet2_r12 = -1;
static gint ett_lte_rrc_T_setup_96 = -1;
static gint ett_lte_rrc_SPS_ConfigSL_r14 = -1;
static gint ett_lte_rrc_N1PUCCH_AN_PersistentList = -1;
static gint ett_lte_rrc_SRS_TPC_PDCCH_Config_r14 = -1;
static gint ett_lte_rrc_T_setup_97 = -1;
static gint ett_lte_rrc_SRS_CC_SetIndex_r14 = -1;
static gint ett_lte_rrc_TDD_Config = -1;
static gint ett_lte_rrc_TDD_Config_v1130 = -1;
static gint ett_lte_rrc_TDD_Config_v1430 = -1;
static gint ett_lte_rrc_TDD_Config_v1450 = -1;
static gint ett_lte_rrc_TDD_ConfigSL_r12 = -1;
static gint ett_lte_rrc_TPC_PDCCH_Config = -1;
static gint ett_lte_rrc_T_setup_98 = -1;
static gint ett_lte_rrc_TPC_PDCCH_ConfigSCell_r13 = -1;
static gint ett_lte_rrc_T_setup_99 = -1;
static gint ett_lte_rrc_TPC_Index = -1;
static gint ett_lte_rrc_TunnelConfigLWIP_r13 = -1;
static gint ett_lte_rrc_IKE_Identity_r13 = -1;
static gint ett_lte_rrc_IP_Address_r13 = -1;
static gint ett_lte_rrc_UplinkPowerControlCommon = -1;
static gint ett_lte_rrc_UplinkPowerControlCommon_v1020 = -1;
static gint ett_lte_rrc_UplinkPowerControlCommon_v1310 = -1;
static gint ett_lte_rrc_UplinkPowerControlCommonPSCell_r12 = -1;
static gint ett_lte_rrc_UplinkPowerControlCommonSCell_r10 = -1;
static gint ett_lte_rrc_UplinkPowerControlCommonSCell_v1130 = -1;
static gint ett_lte_rrc_UplinkPowerControlCommonSCell_v1310 = -1;
static gint ett_lte_rrc_UplinkPowerControlCommonPUSCH_LessCell_v1430 = -1;
static gint ett_lte_rrc_UplinkPowerControlDedicated = -1;
static gint ett_lte_rrc_UplinkPowerControlDedicated_v1020 = -1;
static gint ett_lte_rrc_UplinkPowerControlDedicated_v1130 = -1;
static gint ett_lte_rrc_UplinkPowerControlDedicated_v1250 = -1;
static gint ett_lte_rrc_T_set2PowerControlParameter = -1;
static gint ett_lte_rrc_T_setup_100 = -1;
static gint ett_lte_rrc_UplinkPUSCH_LessPowerControlDedicated_v1430 = -1;
static gint ett_lte_rrc_UplinkPowerControlDedicatedSCell_r10 = -1;
static gint ett_lte_rrc_UplinkPowerControlDedicatedSCell_v1310 = -1;
static gint ett_lte_rrc_DeltaFList_PUCCH = -1;
static gint ett_lte_rrc_DeltaTxD_OffsetListPUCCH_r10 = -1;
static gint ett_lte_rrc_DeltaTxD_OffsetListPUCCH_v1130 = -1;
static gint ett_lte_rrc_WLAN_Id_List_r13 = -1;
static gint ett_lte_rrc_WLAN_MobilityConfig_r13 = -1;
static gint ett_lte_rrc_SecurityAlgorithmConfig = -1;
static gint ett_lte_rrc_CarrierFreqCDMA2000 = -1;
static gint ett_lte_rrc_CarrierFreqGERAN = -1;
static gint ett_lte_rrc_CarrierFreqsGERAN = -1;
static gint ett_lte_rrc_T_followingARFCNs = -1;
static gint ett_lte_rrc_T_equallySpacedARFCNs = -1;
static gint ett_lte_rrc_ExplicitListOfARFCNs = -1;
static gint ett_lte_rrc_CarrierFreqListMBMS_r11 = -1;
static gint ett_lte_rrc_CellIndexList = -1;
static gint ett_lte_rrc_CellSelectionInfoCE_r13 = -1;
static gint ett_lte_rrc_CellSelectionInfoCE1_r13 = -1;
static gint ett_lte_rrc_CellSelectionInfoCE1_v1360 = -1;
static gint ett_lte_rrc_CSFB_RegistrationParam1XRTT = -1;
static gint ett_lte_rrc_CSFB_RegistrationParam1XRTT_v920 = -1;
static gint ett_lte_rrc_CellGlobalIdEUTRA = -1;
static gint ett_lte_rrc_CellGlobalIdUTRA = -1;
static gint ett_lte_rrc_CellGlobalIdGERAN = -1;
static gint ett_lte_rrc_CellGlobalIdCDMA2000 = -1;
static gint ett_lte_rrc_CellSelectionInfoNFreq_r13 = -1;
static gint ett_lte_rrc_MobilityControlInfo = -1;
static gint ett_lte_rrc_MobilityControlInfo_v10l0 = -1;
static gint ett_lte_rrc_MobilityControlInfoSCG_r12 = -1;
static gint ett_lte_rrc_MobilityControlInfoV2X_r14 = -1;
static gint ett_lte_rrc_CarrierBandwidthEUTRA = -1;
static gint ett_lte_rrc_CarrierFreqEUTRA = -1;
static gint ett_lte_rrc_CarrierFreqEUTRA_v9e0 = -1;
static gint ett_lte_rrc_RACH_Skip_r14 = -1;
static gint ett_lte_rrc_T_targetTA_r14 = -1;
static gint ett_lte_rrc_T_ul_ConfigInfo_r14 = -1;
static gint ett_lte_rrc_MobilityStateParameters = -1;
static gint ett_lte_rrc_MultiBandInfoList = -1;
static gint ett_lte_rrc_MultiBandInfoList_v9e0 = -1;
static gint ett_lte_rrc_MultiBandInfoList_v10j0 = -1;
static gint ett_lte_rrc_MultiBandInfoList_v10l0 = -1;
static gint ett_lte_rrc_MultiBandInfoList_r11 = -1;
static gint ett_lte_rrc_MultiBandInfo_v9e0 = -1;
static gint ett_lte_rrc_NS_PmaxList_r10 = -1;
static gint ett_lte_rrc_NS_PmaxList_v10l0 = -1;
static gint ett_lte_rrc_NS_PmaxValue_r10 = -1;
static gint ett_lte_rrc_NS_PmaxValue_v10l0 = -1;
static gint ett_lte_rrc_PhysCellIdRange = -1;
static gint ett_lte_rrc_PhysCellIdRangeUTRA_FDDList_r9 = -1;
static gint ett_lte_rrc_PhysCellIdRangeUTRA_FDD_r9 = -1;
static gint ett_lte_rrc_PhysCellIdGERAN = -1;
static gint ett_lte_rrc_PLMN_Identity = -1;
static gint ett_lte_rrc_MCC = -1;
static gint ett_lte_rrc_MNC = -1;
static gint ett_lte_rrc_PLMN_IdentityList3_r11 = -1;
static gint ett_lte_rrc_PreRegistrationInfoHRPD = -1;
static gint ett_lte_rrc_SecondaryPreRegistrationZoneIdListHRPD = -1;
static gint ett_lte_rrc_SpeedStateScaleFactors = -1;
static gint ett_lte_rrc_SystemInfoListGERAN = -1;
static gint ett_lte_rrc_SystemTimeInfoCDMA2000 = -1;
static gint ett_lte_rrc_T_cdma_SystemTime = -1;
static gint ett_lte_rrc_ThresholdNR_r15 = -1;
static gint ett_lte_rrc_LocationInfo_r10 = -1;
static gint ett_lte_rrc_T_locationCoordinates_r10 = -1;
static gint ett_lte_rrc_MeasConfig = -1;
static gint ett_lte_rrc_T_speedStatePars = -1;
static gint ett_lte_rrc_T_setup_101 = -1;
static gint ett_lte_rrc_T_measScaleFactor_r12 = -1;
static gint ett_lte_rrc_MeasIdToRemoveList = -1;
static gint ett_lte_rrc_MeasIdToRemoveListExt_r12 = -1;
static gint ett_lte_rrc_MeasObjectToRemoveList = -1;
static gint ett_lte_rrc_MeasObjectToRemoveListExt_r13 = -1;
static gint ett_lte_rrc_ReportConfigToRemoveList = -1;
static gint ett_lte_rrc_MeasDS_Config_r12 = -1;
static gint ett_lte_rrc_T_setup_102 = -1;
static gint ett_lte_rrc_T_dmtc_PeriodOffset_r12 = -1;
static gint ett_lte_rrc_T_ds_OccasionDuration_r12 = -1;
static gint ett_lte_rrc_MeasCSI_RS_ToRemoveList_r12 = -1;
static gint ett_lte_rrc_MeasCSI_RS_ToAddModList_r12 = -1;
static gint ett_lte_rrc_MeasCSI_RS_Config_r12 = -1;
static gint ett_lte_rrc_MeasGapConfig = -1;
static gint ett_lte_rrc_T_setup_103 = -1;
static gint ett_lte_rrc_T_gapOffset = -1;
static gint ett_lte_rrc_MeasGapConfigPerCC_List_r14 = -1;
static gint ett_lte_rrc_T_setup_104 = -1;
static gint ett_lte_rrc_MeasGapConfigToRemoveList_r14 = -1;
static gint ett_lte_rrc_MeasGapConfigToAddModList_r14 = -1;
static gint ett_lte_rrc_MeasGapConfigPerCC_r14 = -1;
static gint ett_lte_rrc_MeasGapSharingConfig_r14 = -1;
static gint ett_lte_rrc_T_setup_105 = -1;
static gint ett_lte_rrc_MeasIdToAddModList = -1;
static gint ett_lte_rrc_MeasIdToAddModList_v1310 = -1;
static gint ett_lte_rrc_MeasIdToAddModListExt_r12 = -1;
static gint ett_lte_rrc_MeasIdToAddModListExt_v1310 = -1;
static gint ett_lte_rrc_MeasIdToAddMod = -1;
static gint ett_lte_rrc_MeasIdToAddModExt_r12 = -1;
static gint ett_lte_rrc_MeasIdToAddMod_v1310 = -1;
static gint ett_lte_rrc_MeasObjectCDMA2000 = -1;
static gint ett_lte_rrc_CellsToAddModListCDMA2000 = -1;
static gint ett_lte_rrc_CellsToAddModCDMA2000 = -1;
static gint ett_lte_rrc_MeasObjectEUTRA = -1;
static gint ett_lte_rrc_T_t312_r12 = -1;
static gint ett_lte_rrc_MeasObjectEUTRA_v9e0 = -1;
static gint ett_lte_rrc_CellsToAddModList = -1;
static gint ett_lte_rrc_CellsToAddMod = -1;
static gint ett_lte_rrc_BlackCellsToAddModList = -1;
static gint ett_lte_rrc_BlackCellsToAddMod = -1;
static gint ett_lte_rrc_MeasSubframePatternConfigNeigh_r10 = -1;
static gint ett_lte_rrc_T_setup_107 = -1;
static gint ett_lte_rrc_MeasSubframeCellList_r10 = -1;
static gint ett_lte_rrc_AltTTT_CellsToAddModList_r12 = -1;
static gint ett_lte_rrc_AltTTT_CellsToAddMod_r12 = -1;
static gint ett_lte_rrc_WhiteCellsToAddModList_r13 = -1;
static gint ett_lte_rrc_WhiteCellsToAddMod_r13 = -1;
static gint ett_lte_rrc_RMTC_Config_r13 = -1;
static gint ett_lte_rrc_T_setup_108 = -1;
static gint ett_lte_rrc_Tx_ResourcePoolMeasList_r14 = -1;
static gint ett_lte_rrc_MeasObjectGERAN = -1;
static gint ett_lte_rrc_MeasObjectNR_r15 = -1;
static gint ett_lte_rrc_RS_ConfigSSB_NR_r15 = -1;
static gint ett_lte_rrc_CellsToAddModListNR = -1;
static gint ett_lte_rrc_CellsToAddModNR_r15 = -1;
static gint ett_lte_rrc_MTC_SSB_NR_r15 = -1;
static gint ett_lte_rrc_MeasObjectToAddModList = -1;
static gint ett_lte_rrc_MeasObjectToAddModListExt_r13 = -1;
static gint ett_lte_rrc_MeasObjectToAddModList_v9e0 = -1;
static gint ett_lte_rrc_MeasObjectToAddMod = -1;
static gint ett_lte_rrc_T_measObject = -1;
static gint ett_lte_rrc_MeasObjectToAddModExt_r13 = -1;
static gint ett_lte_rrc_T_measObject_r13 = -1;
static gint ett_lte_rrc_MeasObjectToAddMod_v9e0 = -1;
static gint ett_lte_rrc_MeasObjectUTRA = -1;
static gint ett_lte_rrc_T_cellsToAddModList = -1;
static gint ett_lte_rrc_T_cellForWhichToReportCGI = -1;
static gint ett_lte_rrc_CellsToAddModListUTRA_FDD = -1;
static gint ett_lte_rrc_CellsToAddModUTRA_FDD = -1;
static gint ett_lte_rrc_CellsToAddModListUTRA_TDD = -1;
static gint ett_lte_rrc_CellsToAddModUTRA_TDD = -1;
static gint ett_lte_rrc_CSG_AllowedReportingCells_r9 = -1;
static gint ett_lte_rrc_MeasObjectWLAN_r13 = -1;
static gint ett_lte_rrc_T_carrierFreq_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13 = -1;
static gint ett_lte_rrc_MeasResults = -1;
static gint ett_lte_rrc_T_measResultPCell = -1;
static gint ett_lte_rrc_T_measResultNeighCells = -1;
static gint ett_lte_rrc_T_measResultPCell_v1310 = -1;
static gint ett_lte_rrc_MeasResultListEUTRA = -1;
static gint ett_lte_rrc_MeasResultEUTRA = -1;
static gint ett_lte_rrc_T_cgi_Info = -1;
static gint ett_lte_rrc_T_measResult = -1;
static gint ett_lte_rrc_T_cgi_Info_v1310 = -1;
static gint ett_lte_rrc_MeasResultServFreqListNR_r15 = -1;
static gint ett_lte_rrc_MeasResultServFreqNR_r15 = -1;
static gint ett_lte_rrc_MeasResultCellListNR_r15 = -1;
static gint ett_lte_rrc_MeasResultCellNR_r15 = -1;
static gint ett_lte_rrc_MeasResultNR_r15 = -1;
static gint ett_lte_rrc_MeasResultSSB_IndexList_r15 = -1;
static gint ett_lte_rrc_MeasResultSSB_Index_r15 = -1;
static gint ett_lte_rrc_MeasResultServFreqList_r10 = -1;
static gint ett_lte_rrc_MeasResultServFreqListExt_r13 = -1;
static gint ett_lte_rrc_MeasResultServFreq_r10 = -1;
static gint ett_lte_rrc_T_measResultSCell_r10 = -1;
static gint ett_lte_rrc_T_measResultBestNeighCell_r10 = -1;
static gint ett_lte_rrc_T_measResultSCell_v1310_01 = -1;
static gint ett_lte_rrc_T_measResultBestNeighCell_v1310 = -1;
static gint ett_lte_rrc_MeasResultServFreq_r13 = -1;
static gint ett_lte_rrc_T_measResultSCell_r13 = -1;
static gint ett_lte_rrc_T_measResultBestNeighCell_r13 = -1;
static gint ett_lte_rrc_T_measResultBestNeighCell_v1360 = -1;
static gint ett_lte_rrc_MeasResultCSI_RS_List_r12 = -1;
static gint ett_lte_rrc_MeasResultCSI_RS_r12 = -1;
static gint ett_lte_rrc_MeasResultListUTRA = -1;
static gint ett_lte_rrc_MeasResultUTRA = -1;
static gint ett_lte_rrc_T_physCellId = -1;
static gint ett_lte_rrc_T_cgi_Info_01 = -1;
static gint ett_lte_rrc_T_measResult_01 = -1;
static gint ett_lte_rrc_MeasResultListGERAN = -1;
static gint ett_lte_rrc_MeasResultGERAN = -1;
static gint ett_lte_rrc_T_cgi_Info_02 = -1;
static gint ett_lte_rrc_T_measResult_02 = -1;
static gint ett_lte_rrc_MeasResultsCDMA2000 = -1;
static gint ett_lte_rrc_MeasResultListCDMA2000 = -1;
static gint ett_lte_rrc_MeasResultCDMA2000 = -1;
static gint ett_lte_rrc_T_measResult_03 = -1;
static gint ett_lte_rrc_MeasResultListWLAN_r13 = -1;
static gint ett_lte_rrc_MeasResultListWLAN_r14 = -1;
static gint ett_lte_rrc_MeasResultWLAN_r13 = -1;
static gint ett_lte_rrc_MeasResultListCBR_r14 = -1;
static gint ett_lte_rrc_MeasResultCBR_r14 = -1;
static gint ett_lte_rrc_MeasResultForECID_r9 = -1;
static gint ett_lte_rrc_PLMN_IdentityList2 = -1;
static gint ett_lte_rrc_AdditionalSI_Info_r9 = -1;
static gint ett_lte_rrc_MeasResultForRSSI_r13 = -1;
static gint ett_lte_rrc_UL_PDCP_DelayResultList_r13 = -1;
static gint ett_lte_rrc_UL_PDCP_DelayResult_r13 = -1;
static gint ett_lte_rrc_MeasResultSSTD_r13 = -1;
static gint ett_lte_rrc_QuantityConfig = -1;
static gint ett_lte_rrc_QuantityConfigEUTRA = -1;
static gint ett_lte_rrc_QuantityConfigEUTRA_v1250 = -1;
static gint ett_lte_rrc_QuantityConfigEUTRA_v1310 = -1;
static gint ett_lte_rrc_QuantityConfigUTRA = -1;
static gint ett_lte_rrc_QuantityConfigUTRA_v1020 = -1;
static gint ett_lte_rrc_QuantityConfigGERAN = -1;
static gint ett_lte_rrc_QuantityConfigCDMA2000 = -1;
static gint ett_lte_rrc_QuantityConfigNRList_r15 = -1;
static gint ett_lte_rrc_QuantityConfigNR_r15 = -1;
static gint ett_lte_rrc_QuantityConfigRS_NR_r15 = -1;
static gint ett_lte_rrc_QuantityConfigWLAN_r13 = -1;
static gint ett_lte_rrc_ReportConfigEUTRA = -1;
static gint ett_lte_rrc_T_triggerType = -1;
static gint ett_lte_rrc_T_event = -1;
static gint ett_lte_rrc_T_eventId = -1;
static gint ett_lte_rrc_T_eventA1 = -1;
static gint ett_lte_rrc_T_eventA2 = -1;
static gint ett_lte_rrc_T_eventA3 = -1;
static gint ett_lte_rrc_T_eventA4 = -1;
static gint ett_lte_rrc_T_eventA5 = -1;
static gint ett_lte_rrc_T_eventA6_r10 = -1;
static gint ett_lte_rrc_T_eventC1_r12 = -1;
static gint ett_lte_rrc_T_eventC2_r12 = -1;
static gint ett_lte_rrc_T_eventV1_r14 = -1;
static gint ett_lte_rrc_T_eventV2_r14 = -1;
static gint ett_lte_rrc_T_periodical = -1;
static gint ett_lte_rrc_T_alternativeTimeToTrigger_r12 = -1;
static gint ett_lte_rrc_T_rs_sinr_Config_r13 = -1;
static gint ett_lte_rrc_T_setup_109 = -1;
static gint ett_lte_rrc_RSRQ_RangeConfig_r12 = -1;
static gint ett_lte_rrc_ThresholdEUTRA = -1;
static gint ett_lte_rrc_MeasRSSI_ReportConfig_r13 = -1;
static gint ett_lte_rrc_ReportConfigInterRAT = -1;
static gint ett_lte_rrc_T_triggerType_01 = -1;
static gint ett_lte_rrc_T_event_01 = -1;
static gint ett_lte_rrc_T_eventId_01 = -1;
static gint ett_lte_rrc_T_eventB1 = -1;
static gint ett_lte_rrc_T_b1_Threshold = -1;
static gint ett_lte_rrc_T_eventB2 = -1;
static gint ett_lte_rrc_T_b2_Threshold2 = -1;
static gint ett_lte_rrc_T_eventW1_r13 = -1;
static gint ett_lte_rrc_T_eventW2_r13 = -1;
static gint ett_lte_rrc_T_eventW3_r13 = -1;
static gint ett_lte_rrc_T_periodical_01 = -1;
static gint ett_lte_rrc_T_b2_Threshold1_v1250 = -1;
static gint ett_lte_rrc_T_reportSSTD_Meas_r15 = -1;
static gint ett_lte_rrc_ThresholdUTRA = -1;
static gint ett_lte_rrc_ReportQuantityNR_r15 = -1;
static gint ett_lte_rrc_ReportQuantityWLAN_r13 = -1;
static gint ett_lte_rrc_ReportConfigToAddModList = -1;
static gint ett_lte_rrc_ReportConfigToAddMod = -1;
static gint ett_lte_rrc_T_reportConfig = -1;
static gint ett_lte_rrc_RSRQ_Type_r12 = -1;
static gint ett_lte_rrc_UL_DelayConfig_r13 = -1;
static gint ett_lte_rrc_T_setup_110 = -1;
static gint ett_lte_rrc_WLAN_CarrierInfo_r13 = -1;
static gint ett_lte_rrc_WLAN_ChannelList_r13 = -1;
static gint ett_lte_rrc_WLAN_SuspendConfig_r14 = -1;
static gint ett_lte_rrc_AreaConfiguration_r10 = -1;
static gint ett_lte_rrc_AreaConfiguration_v1130 = -1;
static gint ett_lte_rrc_CellGlobalIdList_r10 = -1;
static gint ett_lte_rrc_TrackingAreaCodeList_r10 = -1;
static gint ett_lte_rrc_TrackingAreaCodeList_v1130 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_PLMN_Identity = -1;
static gint ett_lte_rrc_BandCombinationList_r14 = -1;
static gint ett_lte_rrc_BandCombination_r14 = -1;
static gint ett_lte_rrc_BandIndication_r14 = -1;
static gint ett_lte_rrc_MeasSubframePattern_r10 = -1;
static gint ett_lte_rrc_T_subframePatternTDD_r10 = -1;
static gint ett_lte_rrc_OtherConfig_r9 = -1;
static gint ett_lte_rrc_T_delayBudgetReportingConfig_r14 = -1;
static gint ett_lte_rrc_T_setup_111 = -1;
static gint ett_lte_rrc_T_rlm_ReportConfig_r14 = -1;
static gint ett_lte_rrc_T_setup_112 = -1;
static gint ett_lte_rrc_T_overheatingAssistanceConfig_r14 = -1;
static gint ett_lte_rrc_T_setup_113 = -1;
static gint ett_lte_rrc_IDC_Config_r11 = -1;
static gint ett_lte_rrc_T_autonomousDenialParameters_r11 = -1;
static gint ett_lte_rrc_ObtainLocationConfig_r11 = -1;
static gint ett_lte_rrc_PowerPrefIndicationConfig_r11 = -1;
static gint ett_lte_rrc_T_setup_114 = -1;
static gint ett_lte_rrc_ReportProximityConfig_r9 = -1;
static gint ett_lte_rrc_S_TMSI = -1;
static gint ett_lte_rrc_TraceReference_r10 = -1;
static gint ett_lte_rrc_UE_CapabilityRAT_ContainerList = -1;
static gint ett_lte_rrc_UE_CapabilityRAT_Container = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability = -1;
static gint ett_lte_rrc_T_interRAT_Parameters = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v9a0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v9c0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v9d0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v9e0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v9h0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v10c0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v10f0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v10i0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v10j0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_66 = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v11d0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v11x0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v12b0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v12x0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1370_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1380_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_67 = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v920_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v940_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1020_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1060_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1090_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1130_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1170_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1180_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v11a0_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1250_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1260_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1270_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1280_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1310_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1320_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1330_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1340_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1350_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1360_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1430_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1440_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v1450_IEs = -1;
static gint ett_lte_rrc_UE_EUTRA_Capability_v15x0_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_68 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_r9 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1060 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1130 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1180 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1250 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1310 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1320 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1370 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1380 = -1;
static gint ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1430 = -1;
static gint ett_lte_rrc_BasebandParameters_r15 = -1;
static gint ett_lte_rrc_BasebandProcessingCombiList_r15 = -1;
static gint ett_lte_rrc_BasebandProcessingCombi_r15 = -1;
static gint ett_lte_rrc_BP_InfoPerBandList_r15 = -1;
static gint ett_lte_rrc_BP_InfoPerBand_r15 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15 = -1;
static gint ett_lte_rrc_BP_InfoPerCC_r15 = -1;
static gint ett_lte_rrc_ModulationOrder_r15 = -1;
static gint ett_lte_rrc_BW_PerCC_r15 = -1;
static gint ett_lte_rrc_SubCarrierSpacingNR_r15 = -1;
static gint ett_lte_rrc_MobilityParameters_r14 = -1;
static gint ett_lte_rrc_DC_Parameters_r12 = -1;
static gint ett_lte_rrc_DC_Parameters_v1310 = -1;
static gint ett_lte_rrc_MAC_Parameters_r12 = -1;
static gint ett_lte_rrc_MAC_Parameters_v1310 = -1;
static gint ett_lte_rrc_MAC_Parameters_v1430 = -1;
static gint ett_lte_rrc_MAC_Parameters_v1440 = -1;
static gint ett_lte_rrc_RLC_Parameters_r12 = -1;
static gint ett_lte_rrc_RLC_Parameters_v1310 = -1;
static gint ett_lte_rrc_RLC_Parameters_v1430 = -1;
static gint ett_lte_rrc_PDCP_Parameters = -1;
static gint ett_lte_rrc_T_supportedROHC_Profiles = -1;
static gint ett_lte_rrc_PDCP_Parameters_v1130 = -1;
static gint ett_lte_rrc_PDCP_Parameters_v1310 = -1;
static gint ett_lte_rrc_PDCP_Parameters_v1430 = -1;
static gint ett_lte_rrc_T_supportedUplinkOnlyROHC_Profiles_r14 = -1;
static gint ett_lte_rrc_PhyLayerParameters = -1;
static gint ett_lte_rrc_PhyLayerParameters_v920 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v9d0 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1020 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1130 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1170 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1250 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1280 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1310 = -1;
static gint ett_lte_rrc_T_supportedBlindDecoding_r13 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1320 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1330 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1430 = -1;
static gint ett_lte_rrc_PhyLayerParameters_v1450 = -1;
static gint ett_lte_rrc_MIMO_UE_Parameters_r13 = -1;
static gint ett_lte_rrc_MIMO_UE_Parameters_v1430 = -1;
static gint ett_lte_rrc_MIMO_UE_ParametersPerTM_r13 = -1;
static gint ett_lte_rrc_MIMO_UE_ParametersPerTM_v1430 = -1;
static gint ett_lte_rrc_T_nzp_CSI_RS_AperiodicInfo_r14 = -1;
static gint ett_lte_rrc_T_nzp_CSI_RS_PeriodicInfo_r14 = -1;
static gint ett_lte_rrc_MIMO_CA_ParametersPerBoBC_r13 = -1;
static gint ett_lte_rrc_MIMO_CA_ParametersPerBoBC_v1430 = -1;
static gint ett_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_r13 = -1;
static gint ett_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_v1430 = -1;
static gint ett_lte_rrc_MIMO_NonPrecodedCapabilities_r13 = -1;
static gint ett_lte_rrc_MIMO_UE_BeamformedCapabilities_r13 = -1;
static gint ett_lte_rrc_MIMO_BeamformedCapabilityList_r13 = -1;
static gint ett_lte_rrc_MIMO_BeamformedCapabilities_r13 = -1;
static gint ett_lte_rrc_NonContiguousUL_RA_WithinCC_List_r10 = -1;
static gint ett_lte_rrc_NonContiguousUL_RA_WithinCC_r10 = -1;
static gint ett_lte_rrc_RF_Parameters = -1;
static gint ett_lte_rrc_RF_Parameters_v9e0 = -1;
static gint ett_lte_rrc_RF_Parameters_v1020 = -1;
static gint ett_lte_rrc_RF_Parameters_v1060 = -1;
static gint ett_lte_rrc_RF_Parameters_v1090 = -1;
static gint ett_lte_rrc_RF_Parameters_v10f0 = -1;
static gint ett_lte_rrc_RF_Parameters_v10i0 = -1;
static gint ett_lte_rrc_RF_Parameters_v10j0 = -1;
static gint ett_lte_rrc_RF_Parameters_v1130 = -1;
static gint ett_lte_rrc_RF_Parameters_v1180 = -1;
static gint ett_lte_rrc_RF_Parameters_v11d0 = -1;
static gint ett_lte_rrc_RF_Parameters_v1250 = -1;
static gint ett_lte_rrc_RF_Parameters_v1270 = -1;
static gint ett_lte_rrc_RF_Parameters_v1310 = -1;
static gint ett_lte_rrc_T_eNB_RequestedParameters_r13 = -1;
static gint ett_lte_rrc_RF_Parameters_v1320 = -1;
static gint ett_lte_rrc_RF_Parameters_v1380 = -1;
static gint ett_lte_rrc_RF_Parameters_v12b0 = -1;
static gint ett_lte_rrc_RF_Parameters_v1430 = -1;
static gint ett_lte_rrc_T_eNB_RequestedParameters_v1430 = -1;
static gint ett_lte_rrc_RF_Parameters_v1450 = -1;
static gint ett_lte_rrc_SupportedBandCombination_r10 = -1;
static gint ett_lte_rrc_SupportedBandCombinationExt_r10 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v1090 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v10i0 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v1130 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v1250 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v1270 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v1320 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v1380 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v1430 = -1;
static gint ett_lte_rrc_SupportedBandCombination_v1450 = -1;
static gint ett_lte_rrc_SupportedBandCombinationAdd_r11 = -1;
static gint ett_lte_rrc_SupportedBandCombinationAdd_v11d0 = -1;
static gint ett_lte_rrc_SupportedBandCombinationAdd_v1250 = -1;
static gint ett_lte_rrc_SupportedBandCombinationAdd_v1270 = -1;
static gint ett_lte_rrc_SupportedBandCombinationAdd_v1320 = -1;
static gint ett_lte_rrc_SupportedBandCombinationAdd_v1380 = -1;
static gint ett_lte_rrc_SupportedBandCombinationAdd_v1430 = -1;
static gint ett_lte_rrc_SupportedBandCombinationAdd_v1450 = -1;
static gint ett_lte_rrc_SupportedBandCombinationReduced_r13 = -1;
static gint ett_lte_rrc_SupportedBandCombinationReduced_v1320 = -1;
static gint ett_lte_rrc_SupportedBandCombinationReduced_v1380 = -1;
static gint ett_lte_rrc_SupportedBandCombinationReduced_v1430 = -1;
static gint ett_lte_rrc_SupportedBandCombinationReduced_v1450 = -1;
static gint ett_lte_rrc_BandCombinationParameters_r10 = -1;
static gint ett_lte_rrc_BandCombinationParametersExt_r10 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v1090 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v10i0 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v1130 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130 = -1;
static gint ett_lte_rrc_BandCombinationParameters_r11 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v1250 = -1;
static gint ett_lte_rrc_T_dc_Support_r12 = -1;
static gint ett_lte_rrc_T_supportedCellGrouping_r12 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v1270 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270 = -1;
static gint ett_lte_rrc_BandCombinationParameters_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13 = -1;
static gint ett_lte_rrc_T_dc_Support_r13 = -1;
static gint ett_lte_rrc_T_supportedCellGrouping_r13 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v1320 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v1380 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v1430 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430 = -1;
static gint ett_lte_rrc_BandCombinationParameters_v1450 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450 = -1;
static gint ett_lte_rrc_BandParameters_r10 = -1;
static gint ett_lte_rrc_BandParameters_v1090 = -1;
static gint ett_lte_rrc_BandParameters_v10i0 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0 = -1;
static gint ett_lte_rrc_BandParameters_v1130 = -1;
static gint ett_lte_rrc_BandParameters_r11 = -1;
static gint ett_lte_rrc_BandParameters_v1270 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270 = -1;
static gint ett_lte_rrc_BandParameters_r13 = -1;
static gint ett_lte_rrc_BandParameters_v1320 = -1;
static gint ett_lte_rrc_BandParameters_v1380 = -1;
static gint ett_lte_rrc_BandParameters_v1430 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14 = -1;
static gint ett_lte_rrc_BandParameters_v1450 = -1;
static gint ett_lte_rrc_V2X_BandParameters_r14 = -1;
static gint ett_lte_rrc_BandParametersTxSL_r14 = -1;
static gint ett_lte_rrc_BandParametersRxSL_r14 = -1;
static gint ett_lte_rrc_V2X_BandwidthClassSL_r14 = -1;
static gint ett_lte_rrc_UL_256QAM_perCC_Info_r14 = -1;
static gint ett_lte_rrc_BandParametersUL_r10 = -1;
static gint ett_lte_rrc_CA_MIMO_ParametersUL_r10 = -1;
static gint ett_lte_rrc_BandParametersDL_r10 = -1;
static gint ett_lte_rrc_CA_MIMO_ParametersDL_r10 = -1;
static gint ett_lte_rrc_CA_MIMO_ParametersDL_v10i0 = -1;
static gint ett_lte_rrc_CA_MIMO_ParametersDL_v1270 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12 = -1;
static gint ett_lte_rrc_CA_MIMO_ParametersDL_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12 = -1;
static gint ett_lte_rrc_IntraBandContiguousCC_Info_r12 = -1;
static gint ett_lte_rrc_MUST_Parameters_r14 = -1;
static gint ett_lte_rrc_SupportedBandListEUTRA = -1;
static gint ett_lte_rrc_SupportedBandListEUTRA_v9e0 = -1;
static gint ett_lte_rrc_SupportedBandListEUTRA_v1250 = -1;
static gint ett_lte_rrc_SupportedBandListEUTRA_v1310 = -1;
static gint ett_lte_rrc_SupportedBandListEUTRA_v1320 = -1;
static gint ett_lte_rrc_SupportedBandEUTRA = -1;
static gint ett_lte_rrc_SupportedBandEUTRA_v9e0 = -1;
static gint ett_lte_rrc_SupportedBandEUTRA_v1250 = -1;
static gint ett_lte_rrc_SupportedBandEUTRA_v1310 = -1;
static gint ett_lte_rrc_SupportedBandEUTRA_v1320 = -1;
static gint ett_lte_rrc_MeasParameters = -1;
static gint ett_lte_rrc_MeasParameters_v1020 = -1;
static gint ett_lte_rrc_MeasParameters_v1130 = -1;
static gint ett_lte_rrc_MeasParameters_v11a0 = -1;
static gint ett_lte_rrc_MeasParameters_v1250 = -1;
static gint ett_lte_rrc_MeasParameters_v1310 = -1;
static gint ett_lte_rrc_MeasParameters_v1430 = -1;
static gint ett_lte_rrc_BandListEUTRA = -1;
static gint ett_lte_rrc_BandCombinationListEUTRA_r10 = -1;
static gint ett_lte_rrc_BandInfoEUTRA = -1;
static gint ett_lte_rrc_InterFreqBandList = -1;
static gint ett_lte_rrc_InterFreqBandInfo = -1;
static gint ett_lte_rrc_InterRAT_BandList = -1;
static gint ett_lte_rrc_InterRAT_BandInfo = -1;
static gint ett_lte_rrc_IRAT_ParametersNR_r15 = -1;
static gint ett_lte_rrc_PDCP_ParametersNR_r15 = -1;
static gint ett_lte_rrc_T_rohc_Profiles_r15 = -1;
static gint ett_lte_rrc_T_rohc_ProfilesUL_Only_r15 = -1;
static gint ett_lte_rrc_SupportedBandListNR_r15 = -1;
static gint ett_lte_rrc_SupportedBandNR_r15 = -1;
static gint ett_lte_rrc_IRAT_ParametersUTRA_FDD = -1;
static gint ett_lte_rrc_IRAT_ParametersUTRA_v920 = -1;
static gint ett_lte_rrc_IRAT_ParametersUTRA_v9c0 = -1;
static gint ett_lte_rrc_IRAT_ParametersUTRA_v9h0 = -1;
static gint ett_lte_rrc_SupportedBandListUTRA_FDD = -1;
static gint ett_lte_rrc_IRAT_ParametersUTRA_TDD128 = -1;
static gint ett_lte_rrc_SupportedBandListUTRA_TDD128 = -1;
static gint ett_lte_rrc_IRAT_ParametersUTRA_TDD384 = -1;
static gint ett_lte_rrc_SupportedBandListUTRA_TDD384 = -1;
static gint ett_lte_rrc_IRAT_ParametersUTRA_TDD768 = -1;
static gint ett_lte_rrc_SupportedBandListUTRA_TDD768 = -1;
static gint ett_lte_rrc_IRAT_ParametersUTRA_TDD_v1020 = -1;
static gint ett_lte_rrc_IRAT_ParametersGERAN = -1;
static gint ett_lte_rrc_IRAT_ParametersGERAN_v920 = -1;
static gint ett_lte_rrc_SupportedBandListGERAN = -1;
static gint ett_lte_rrc_IRAT_ParametersCDMA2000_HRPD = -1;
static gint ett_lte_rrc_SupportedBandListHRPD = -1;
static gint ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT = -1;
static gint ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v920 = -1;
static gint ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v1020 = -1;
static gint ett_lte_rrc_IRAT_ParametersCDMA2000_v1130 = -1;
static gint ett_lte_rrc_SupportedBandList1XRTT = -1;
static gint ett_lte_rrc_IRAT_ParametersWLAN_r13 = -1;
static gint ett_lte_rrc_SupportedBandListWLAN_r13 = -1;
static gint ett_lte_rrc_CSG_ProximityIndicationParameters_r9 = -1;
static gint ett_lte_rrc_NeighCellSI_AcquisitionParameters_r9 = -1;
static gint ett_lte_rrc_SON_Parameters_r9 = -1;
static gint ett_lte_rrc_UE_BasedNetwPerfMeasParameters_r10 = -1;
static gint ett_lte_rrc_UE_BasedNetwPerfMeasParameters_v1250 = -1;
static gint ett_lte_rrc_UE_BasedNetwPerfMeasParameters_v1430 = -1;
static gint ett_lte_rrc_OTDOA_PositioningCapabilities_r10 = -1;
static gint ett_lte_rrc_Other_Parameters_r11 = -1;
static gint ett_lte_rrc_Other_Parameters_v11d0 = -1;
static gint ett_lte_rrc_Other_Parameters_v1360 = -1;
static gint ett_lte_rrc_Other_Parameters_v1430 = -1;
static gint ett_lte_rrc_OtherParameters_v1450 = -1;
static gint ett_lte_rrc_MBMS_Parameters_r11 = -1;
static gint ett_lte_rrc_MBMS_Parameters_v1250 = -1;
static gint ett_lte_rrc_MBMS_Parameters_v1430 = -1;
static gint ett_lte_rrc_FeMBMS_Unicast_Parameters_r14 = -1;
static gint ett_lte_rrc_SCPTM_Parameters_r13 = -1;
static gint ett_lte_rrc_CE_Parameters_r13 = -1;
static gint ett_lte_rrc_CE_Parameters_v1320 = -1;
static gint ett_lte_rrc_CE_Parameters_v1350 = -1;
static gint ett_lte_rrc_CE_Parameters_v1370 = -1;
static gint ett_lte_rrc_CE_Parameters_v1380 = -1;
static gint ett_lte_rrc_CE_Parameters_v1430 = -1;
static gint ett_lte_rrc_LAA_Parameters_r13 = -1;
static gint ett_lte_rrc_LAA_Parameters_v1430 = -1;
static gint ett_lte_rrc_WLAN_IW_Parameters_r12 = -1;
static gint ett_lte_rrc_LWA_Parameters_r13 = -1;
static gint ett_lte_rrc_LWA_Parameters_v1430 = -1;
static gint ett_lte_rrc_LWA_Parameters_v1440 = -1;
static gint ett_lte_rrc_WLAN_IW_Parameters_v1310 = -1;
static gint ett_lte_rrc_LWIP_Parameters_r13 = -1;
static gint ett_lte_rrc_LWIP_Parameters_v1430 = -1;
static gint ett_lte_rrc_NAICS_Capability_List_r12 = -1;
static gint ett_lte_rrc_NAICS_Capability_Entry_r12 = -1;
static gint ett_lte_rrc_SL_Parameters_r12 = -1;
static gint ett_lte_rrc_SL_Parameters_v1310 = -1;
static gint ett_lte_rrc_SL_Parameters_v1430 = -1;
static gint ett_lte_rrc_V2X_SupportedBandCombination_r14 = -1;
static gint ett_lte_rrc_V2X_BandCombinationParameters_r14 = -1;
static gint ett_lte_rrc_SupportedBandInfoList_r12 = -1;
static gint ett_lte_rrc_SupportedBandInfo_r12 = -1;
static gint ett_lte_rrc_FreqBandIndicatorListEUTRA_r12 = -1;
static gint ett_lte_rrc_MMTEL_Parameters_r14 = -1;
static gint ett_lte_rrc_RetuningTimeInfo_r14 = -1;
static gint ett_lte_rrc_T_retuningInfo = -1;
static gint ett_lte_rrc_HighSpeedEnhParameters_r14 = -1;
static gint ett_lte_rrc_UE_RadioPagingInfo_r12 = -1;
static gint ett_lte_rrc_UE_TimersAndConstants = -1;
static gint ett_lte_rrc_VisitedCellInfoList_r12 = -1;
static gint ett_lte_rrc_VisitedCellInfo_r12 = -1;
static gint ett_lte_rrc_T_visitedCellId_r12 = -1;
static gint ett_lte_rrc_T_pci_arfcn_r12 = -1;
static gint ett_lte_rrc_WLAN_OffloadConfig_r12 = -1;
static gint ett_lte_rrc_T_thresholdRSRP_r12 = -1;
static gint ett_lte_rrc_T_thresholdRSRQ_r12 = -1;
static gint ett_lte_rrc_T_thresholdRSRQ_OnAllSymbolsWithWB_r12 = -1;
static gint ett_lte_rrc_T_thresholdRSRQ_OnAllSymbols_r12 = -1;
static gint ett_lte_rrc_T_thresholdRSRQ_WB_r12 = -1;
static gint ett_lte_rrc_T_thresholdChannelUtilization_r12 = -1;
static gint ett_lte_rrc_T_thresholdBackhaul_Bandwidth_r12 = -1;
static gint ett_lte_rrc_T_thresholdWLAN_RSSI_r12 = -1;
static gint ett_lte_rrc_MBMS_NotificationConfig_r9 = -1;
static gint ett_lte_rrc_MBMS_NotificationConfig_v1430 = -1;
static gint ett_lte_rrc_MBMS_ServiceList_r13 = -1;
static gint ett_lte_rrc_MBMS_ServiceInfo_r13 = -1;
static gint ett_lte_rrc_MBSFN_AreaInfoList_r9 = -1;
static gint ett_lte_rrc_MBSFN_AreaInfo_r9 = -1;
static gint ett_lte_rrc_T_mcch_Config_r9 = -1;
static gint ett_lte_rrc_T_mcch_Config_r14 = -1;
static gint ett_lte_rrc_MBSFN_SubframeConfig = -1;
static gint ett_lte_rrc_T_subframeAllocation = -1;
static gint ett_lte_rrc_MBSFN_SubframeConfig_v1430 = -1;
static gint ett_lte_rrc_T_subframeAllocation_v1430 = -1;
static gint ett_lte_rrc_PMCH_InfoList_r9 = -1;
static gint ett_lte_rrc_PMCH_InfoListExt_r12 = -1;
static gint ett_lte_rrc_PMCH_Info_r9 = -1;
static gint ett_lte_rrc_PMCH_InfoExt_r12 = -1;
static gint ett_lte_rrc_MBMS_SessionInfoList_r9 = -1;
static gint ett_lte_rrc_MBMS_SessionInfo_r9 = -1;
static gint ett_lte_rrc_PMCH_Config_r9 = -1;
static gint ett_lte_rrc_PMCH_Config_r12 = -1;
static gint ett_lte_rrc_T_dataMCS_r12 = -1;
static gint ett_lte_rrc_TMGI_r9 = -1;
static gint ett_lte_rrc_T_plmn_Id_r9 = -1;
static gint ett_lte_rrc_SC_MTCH_InfoList_r13 = -1;
static gint ett_lte_rrc_SC_MTCH_Info_r13 = -1;
static gint ett_lte_rrc_MBMSSessionInfo_r13 = -1;
static gint ett_lte_rrc_SC_MTCH_SchedulingInfo_r13 = -1;
static gint ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r13 = -1;
static gint ett_lte_rrc_SC_MTCH_InfoList_BR_r14 = -1;
static gint ett_lte_rrc_SC_MTCH_Info_BR_r14 = -1;
static gint ett_lte_rrc_T_mpdcch_StartSF_SC_MTCH_r14 = -1;
static gint ett_lte_rrc_SC_MTCH_SchedulingInfo_BR_r14 = -1;
static gint ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_01 = -1;
static gint ett_lte_rrc_SCPTM_NeighbourCellList_r13 = -1;
static gint ett_lte_rrc_PCI_ARFCN_r13 = -1;
static gint ett_lte_rrc_SL_AnchorCarrierFreqList_V2X_r14 = -1;
static gint ett_lte_rrc_SL_CBR_CommonTxConfigList_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14 = -1;
static gint ett_lte_rrc_SL_CBR_Levels_Config_r14 = -1;
static gint ett_lte_rrc_SL_CBR_PSSCH_TxConfig_r14 = -1;
static gint ett_lte_rrc_SL_CBR_PPPP_TxConfigList_r14 = -1;
static gint ett_lte_rrc_SL_PPPP_TxConfigIndex_r14 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14 = -1;
static gint ett_lte_rrc_SL_CommConfig_r12 = -1;
static gint ett_lte_rrc_T_commTxResources_r12 = -1;
static gint ett_lte_rrc_T_setup_115 = -1;
static gint ett_lte_rrc_T_scheduled_r12 = -1;
static gint ett_lte_rrc_T_ue_Selected_r12 = -1;
static gint ett_lte_rrc_T_commTxPoolNormalDedicated_r12 = -1;
static gint ett_lte_rrc_T_commTxResources_v1310 = -1;
static gint ett_lte_rrc_T_setup_116 = -1;
static gint ett_lte_rrc_T_scheduled_v1310 = -1;
static gint ett_lte_rrc_T_ue_Selected_v1310 = -1;
static gint ett_lte_rrc_T_commTxPoolNormalDedicatedExt_r13 = -1;
static gint ett_lte_rrc_LogicalChGroupInfoList_r13 = -1;
static gint ett_lte_rrc_SL_CommTxPoolToAddModList_r12 = -1;
static gint ett_lte_rrc_SL_CommTxPoolToAddModListExt_r13 = -1;
static gint ett_lte_rrc_SL_CommTxPoolToAddMod_r12 = -1;
static gint ett_lte_rrc_SL_CommTxPoolToAddModExt_r13 = -1;
static gint ett_lte_rrc_MAC_MainConfigSL_r12 = -1;
static gint ett_lte_rrc_SL_CommTxPoolList_r12 = -1;
static gint ett_lte_rrc_SL_CommTxPoolListExt_r13 = -1;
static gint ett_lte_rrc_SL_CommTxPoolListV2X_r14 = -1;
static gint ett_lte_rrc_SL_CommRxPoolList_r12 = -1;
static gint ett_lte_rrc_SL_CommRxPoolListV2X_r14 = -1;
static gint ett_lte_rrc_SL_CommResourcePool_r12 = -1;
static gint ett_lte_rrc_T_ue_SelectedResourceConfig_r12 = -1;
static gint ett_lte_rrc_T_rxParametersNCell_r12 = -1;
static gint ett_lte_rrc_T_txParameters_r12 = -1;
static gint ett_lte_rrc_SL_CommResourcePoolV2X_r14 = -1;
static gint ett_lte_rrc_T_rxParametersNCell_r14 = -1;
static gint ett_lte_rrc_SL_CommTxPoolSensingConfig_r14 = -1;
static gint ett_lte_rrc_T_p2x_SensingConfig_r14 = -1;
static gint ett_lte_rrc_SL_DiscConfig_r12 = -1;
static gint ett_lte_rrc_T_discTxResources_r12 = -1;
static gint ett_lte_rrc_T_setup_117 = -1;
static gint ett_lte_rrc_T_scheduled_r12_01 = -1;
static gint ett_lte_rrc_T_ue_Selected_r12_01 = -1;
static gint ett_lte_rrc_T_discTxPoolDedicated_r12 = -1;
static gint ett_lte_rrc_T_discTF_IndexList_v1260 = -1;
static gint ett_lte_rrc_T_setup_118 = -1;
static gint ett_lte_rrc_T_discTxResourcesPS_r13 = -1;
static gint ett_lte_rrc_T_setup_119 = -1;
static gint ett_lte_rrc_T_ue_Selected_r13 = -1;
static gint ett_lte_rrc_T_discTxInterFreqInfo_r13 = -1;
static gint ett_lte_rrc_T_setup_120 = -1;
static gint ett_lte_rrc_T_discRxGapConfig_r13 = -1;
static gint ett_lte_rrc_T_discTxGapConfig_r13 = -1;
static gint ett_lte_rrc_T_discSysInfoToReportConfig_r13 = -1;
static gint ett_lte_rrc_SL_DiscSysInfoToReportFreqList_r13 = -1;
static gint ett_lte_rrc_SL_DiscTxInfoInterFreqListAdd_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9 = -1;
static gint ett_lte_rrc_SL_DiscTxResourceInfoPerFreq_r13 = -1;
static gint ett_lte_rrc_SL_DiscTxResource_r13 = -1;
static gint ett_lte_rrc_T_setup_121 = -1;
static gint ett_lte_rrc_SL_DiscTxPoolToAddModList_r12 = -1;
static gint ett_lte_rrc_SL_DiscTxPoolToAddMod_r12 = -1;
static gint ett_lte_rrc_SL_DiscTxConfigScheduled_r13 = -1;
static gint ett_lte_rrc_SL_DiscTxPoolDedicated_r13 = -1;
static gint ett_lte_rrc_SL_TF_IndexPairList_r12 = -1;
static gint ett_lte_rrc_SL_TF_IndexPair_r12 = -1;
static gint ett_lte_rrc_SL_TF_IndexPairList_r12b = -1;
static gint ett_lte_rrc_SL_TF_IndexPair_r12b = -1;
static gint ett_lte_rrc_SL_DiscTxRefCarrierDedicated_r13 = -1;
static gint ett_lte_rrc_SL_DiscTxPoolList_r12 = -1;
static gint ett_lte_rrc_SL_DiscRxPoolList_r12 = -1;
static gint ett_lte_rrc_SL_DiscResourcePool_r12 = -1;
static gint ett_lte_rrc_T_txParameters_r12_01 = -1;
static gint ett_lte_rrc_T_ue_SelectedResourceConfig_r12_01 = -1;
static gint ett_lte_rrc_T_poolSelection_r12 = -1;
static gint ett_lte_rrc_T_rxParameters_r12 = -1;
static gint ett_lte_rrc_T_discPeriod_v1310 = -1;
static gint ett_lte_rrc_T_rxParamsAddNeighFreq_r13 = -1;
static gint ett_lte_rrc_T_setup_123 = -1;
static gint ett_lte_rrc_T_txParamsAddNeighFreq_r13 = -1;
static gint ett_lte_rrc_T_setup_124 = -1;
static gint ett_lte_rrc_T_freqInfo_01 = -1;
static gint ett_lte_rrc_T_txParamsAddNeighFreq_v1370 = -1;
static gint ett_lte_rrc_T_setup_125 = -1;
static gint ett_lte_rrc_T_freqInfo_v1370 = -1;
static gint ett_lte_rrc_PhysCellIdList_r13 = -1;
static gint ett_lte_rrc_SL_PoolSelectionConfig_r12 = -1;
static gint ett_lte_rrc_SL_DiscSysInfoReport_r13 = -1;
static gint ett_lte_rrc_T_discCellSelectionInfo_r13 = -1;
static gint ett_lte_rrc_T_cellReselectionInfo_r13 = -1;
static gint ett_lte_rrc_T_freqInfo_r13 = -1;
static gint ett_lte_rrc_T_freqInfo_v1370_01 = -1;
static gint ett_lte_rrc_SL_DiscTxPowerInfoList_r12 = -1;
static gint ett_lte_rrc_SL_DiscTxPowerInfo_r12 = -1;
static gint ett_lte_rrc_SL_GapConfig_r13 = -1;
static gint ett_lte_rrc_SL_GapPatternList_r13 = -1;
static gint ett_lte_rrc_SL_GapPattern_r13 = -1;
static gint ett_lte_rrc_SL_GapRequest_r13 = -1;
static gint ett_lte_rrc_SL_GapFreqInfo_r13 = -1;
static gint ett_lte_rrc_SL_HoppingConfigComm_r12 = -1;
static gint ett_lte_rrc_SL_HoppingConfigDisc_r12 = -1;
static gint ett_lte_rrc_SL_InterFreqInfoListV2X_r14 = -1;
static gint ett_lte_rrc_SL_InterFreqInfoV2X_r14 = -1;
static gint ett_lte_rrc_T_additionalSpectrumEmissionV2X_r14 = -1;
static gint ett_lte_rrc_SL_V2X_UE_ConfigList_r14 = -1;
static gint ett_lte_rrc_SL_V2X_InterFreqUE_Config_r14 = -1;
static gint ett_lte_rrc_SL_OffsetIndicator_r12 = -1;
static gint ett_lte_rrc_SL_P2X_ResourceSelectionConfig_r14 = -1;
static gint ett_lte_rrc_SL_PriorityList_r13 = -1;
static gint ett_lte_rrc_SL_PSSCH_TxConfigList_r14 = -1;
static gint ett_lte_rrc_SL_PSSCH_TxConfig_r14 = -1;
static gint ett_lte_rrc_SL_PSSCH_TxParameters_r14 = -1;
static gint ett_lte_rrc_SL_RestrictResourceReservationPeriodList_r14 = -1;
static gint ett_lte_rrc_SL_SyncAllowed_r14 = -1;
static gint ett_lte_rrc_SL_SyncConfigList_r12 = -1;
static gint ett_lte_rrc_SL_SyncConfigListV2X_r14 = -1;
static gint ett_lte_rrc_SL_SyncConfig_r12 = -1;
static gint ett_lte_rrc_T_txParameters_r12_02 = -1;
static gint ett_lte_rrc_T_rxParamsNCell_r12 = -1;
static gint ett_lte_rrc_SL_SyncConfigListNFreq_r13 = -1;
static gint ett_lte_rrc_SL_SyncConfigListNFreqV2X_r14 = -1;
static gint ett_lte_rrc_SL_SyncConfigNFreq_r13 = -1;
static gint ett_lte_rrc_T_asyncParameters_r13 = -1;
static gint ett_lte_rrc_T_txParameters_r13 = -1;
static gint ett_lte_rrc_T_rxParameters_r13 = -1;
static gint ett_lte_rrc_SL_TF_ResourceConfig_r12 = -1;
static gint ett_lte_rrc_SubframeBitmapSL_r12 = -1;
static gint ett_lte_rrc_SubframeBitmapSL_r14 = -1;
static gint ett_lte_rrc_SL_TxPower_r14 = -1;
static gint ett_lte_rrc_SL_ThresPSSCH_RSRP_List_r14 = -1;
static gint ett_lte_rrc_SL_TxParameters_r12 = -1;
static gint ett_lte_rrc_SL_TxPoolToReleaseList_r12 = -1;
static gint ett_lte_rrc_SL_TxPoolToReleaseListExt_r13 = -1;
static gint ett_lte_rrc_SL_V2X_ConfigDedicated_r14 = -1;
static gint ett_lte_rrc_T_commTxResources_r14 = -1;
static gint ett_lte_rrc_T_setup_126 = -1;
static gint ett_lte_rrc_T_scheduled_r14 = -1;
static gint ett_lte_rrc_T_ue_Selected_r14 = -1;
static gint ett_lte_rrc_T_v2x_CommTxPoolNormalDedicated_r14 = -1;
static gint ett_lte_rrc_SL_TxPoolToAddModListV2X_r14 = -1;
static gint ett_lte_rrc_SL_TxPoolToAddMod_r14 = -1;
static gint ett_lte_rrc_SL_TxPoolToReleaseListV2X_r14 = -1;
static gint ett_lte_rrc_SL_ZoneConfig_r14 = -1;
static gint ett_lte_rrc_SBCCH_SL_BCH_Message = -1;
static gint ett_lte_rrc_SBCCH_SL_BCH_Message_V2X_r14 = -1;
static gint ett_lte_rrc_MasterInformationBlock_SL = -1;
static gint ett_lte_rrc_MasterInformationBlock_SL_V2X_r14 = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_52 = -1;
static gint ett_lte_rrc_T_c1_49 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_52 = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_NB_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_NB_v1380_IEs = -1;
static gint ett_lte_rrc_HandoverPreparationInformation_NB_Ext_r14_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_69 = -1;
static gint ett_lte_rrc_UEPagingCoverageInformation_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_53 = -1;
static gint ett_lte_rrc_T_c1_50 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_53 = -1;
static gint ett_lte_rrc_UEPagingCoverageInformation_NB_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_70 = -1;
static gint ett_lte_rrc_UERadioAccessCapabilityInformation_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_54 = -1;
static gint ett_lte_rrc_T_c1_51 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_54 = -1;
static gint ett_lte_rrc_UERadioAccessCapabilityInformation_NB_IEs = -1;
static gint ett_lte_rrc_UERadioAccessCapabilityInformation_NB_v1380_IEs = -1;
static gint ett_lte_rrc_UERadioAccessCapabilityInformation_NB_r14_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_71 = -1;
static gint ett_lte_rrc_UERadioPagingInformation_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_55 = -1;
static gint ett_lte_rrc_T_c1_52 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_55 = -1;
static gint ett_lte_rrc_UERadioPagingInformation_NB_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_72 = -1;
static gint ett_lte_rrc_AS_Config_NB = -1;
static gint ett_lte_rrc_AS_Context_NB = -1;
static gint ett_lte_rrc_ReestablishmentInfo_NB = -1;
static gint ett_lte_rrc_RRM_Config_NB = -1;
static gint ett_lte_rrc_BCCH_BCH_Message_NB = -1;
static gint ett_lte_rrc_BCCH_DL_SCH_Message_NB = -1;
static gint ett_lte_rrc_BCCH_DL_SCH_MessageType_NB = -1;
static gint ett_lte_rrc_T_c1_53 = -1;
static gint ett_lte_rrc_T_messageClassExtension_10 = -1;
static gint ett_lte_rrc_PCCH_Message_NB = -1;
static gint ett_lte_rrc_PCCH_MessageType_NB = -1;
static gint ett_lte_rrc_T_c1_54 = -1;
static gint ett_lte_rrc_T_messageClassExtension_11 = -1;
static gint ett_lte_rrc_DL_CCCH_Message_NB = -1;
static gint ett_lte_rrc_DL_CCCH_MessageType_NB = -1;
static gint ett_lte_rrc_T_c1_55 = -1;
static gint ett_lte_rrc_T_messageClassExtension_12 = -1;
static gint ett_lte_rrc_DL_DCCH_Message_NB = -1;
static gint ett_lte_rrc_DL_DCCH_MessageType_NB = -1;
static gint ett_lte_rrc_T_c1_56 = -1;
static gint ett_lte_rrc_T_messageClassExtension_13 = -1;
static gint ett_lte_rrc_UL_CCCH_Message_NB = -1;
static gint ett_lte_rrc_UL_CCCH_MessageType_NB = -1;
static gint ett_lte_rrc_T_c1_57 = -1;
static gint ett_lte_rrc_T_messageClassExtension_14 = -1;
static gint ett_lte_rrc_SC_MCCH_Message_NB = -1;
static gint ett_lte_rrc_SC_MCCH_MessageType_NB = -1;
static gint ett_lte_rrc_T_c1_58 = -1;
static gint ett_lte_rrc_T_messageClassExtension_15 = -1;
static gint ett_lte_rrc_UL_DCCH_Message_NB = -1;
static gint ett_lte_rrc_UL_DCCH_MessageType_NB = -1;
static gint ett_lte_rrc_T_c1_59 = -1;
static gint ett_lte_rrc_T_messageClassExtension_16 = -1;
static gint ett_lte_rrc_DLInformationTransfer_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_56 = -1;
static gint ett_lte_rrc_T_c1_60 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_56 = -1;
static gint ett_lte_rrc_DLInformationTransfer_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_73 = -1;
static gint ett_lte_rrc_MasterInformationBlock_NB = -1;
static gint ett_lte_rrc_T_operationModeInfo_r13 = -1;
static gint ett_lte_rrc_Guardband_NB_r13 = -1;
static gint ett_lte_rrc_Inband_SamePCI_NB_r13 = -1;
static gint ett_lte_rrc_Inband_DifferentPCI_NB_r13 = -1;
static gint ett_lte_rrc_Standalone_NB_r13 = -1;
static gint ett_lte_rrc_Paging_NB = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_74 = -1;
static gint ett_lte_rrc_PagingRecordList_NB_r13 = -1;
static gint ett_lte_rrc_PagingRecord_NB_r13 = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_57 = -1;
static gint ett_lte_rrc_T_c1_61 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_57 = -1;
static gint ett_lte_rrc_RRCConnectionReconfiguration_NB_r13_IEs = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_75 = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_58 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_58 = -1;
static gint ett_lte_rrc_RRCConnectionReconfigurationComplete_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_76 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishment_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_59 = -1;
static gint ett_lte_rrc_T_c1_62 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_59 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishment_NB_r13_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishment_NB_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_77 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_60 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_60 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentComplete_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_78 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentRequest_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_61 = -1;
static gint ett_lte_rrc_T_later_01 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_61 = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentRequest_NB_r13_IEs = -1;
static gint ett_lte_rrc_RRCConnectionReestablishmentRequest_NB_r14_IEs = -1;
static gint ett_lte_rrc_ReestabUE_Identity_CP_NB_r14 = -1;
static gint ett_lte_rrc_RRCConnectionReject_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_62 = -1;
static gint ett_lte_rrc_T_c1_63 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_62 = -1;
static gint ett_lte_rrc_RRCConnectionReject_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_79 = -1;
static gint ett_lte_rrc_RRCConnectionRelease_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_63 = -1;
static gint ett_lte_rrc_T_c1_64 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_63 = -1;
static gint ett_lte_rrc_RRCConnectionRelease_NB_r13_IEs = -1;
static gint ett_lte_rrc_RRCConnectionRelease_NB_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_80 = -1;
static gint ett_lte_rrc_RedirectedCarrierInfo_NB_v1430 = -1;
static gint ett_lte_rrc_RRCConnectionRequest_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_64 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_64 = -1;
static gint ett_lte_rrc_RRCConnectionRequest_NB_r13_IEs = -1;
static gint ett_lte_rrc_RRCConnectionResume_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_65 = -1;
static gint ett_lte_rrc_T_c1_65 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_65 = -1;
static gint ett_lte_rrc_RRCConnectionResume_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_81 = -1;
static gint ett_lte_rrc_RRCConnectionResumeComplete_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_66 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_66 = -1;
static gint ett_lte_rrc_RRCConnectionResumeComplete_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_82 = -1;
static gint ett_lte_rrc_RRCConnectionResumeRequest_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_67 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_67 = -1;
static gint ett_lte_rrc_RRCConnectionResumeRequest_NB_r13_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetup_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_68 = -1;
static gint ett_lte_rrc_T_c1_66 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_68 = -1;
static gint ett_lte_rrc_RRCConnectionSetup_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_83 = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_69 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_69 = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_NB_r13_IEs = -1;
static gint ett_lte_rrc_RRCConnectionSetupComplete_NB_v1430_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_84 = -1;
static gint ett_lte_rrc_SCPTMConfiguration_NB_r14 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_85 = -1;
static gint ett_lte_rrc_SystemInformation_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_70 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_70 = -1;
static gint ett_lte_rrc_SystemInformation_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_sib_TypeAndInfo_r13 = -1;
static gint ett_lte_rrc_T_sib_TypeAndInfo_r13_item = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_86 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_NB = -1;
static gint ett_lte_rrc_T_cellAccessRelatedInfo_r13 = -1;
static gint ett_lte_rrc_T_cellSelectionInfo_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_NB_v1350 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_NB_v1430 = -1;
static gint ett_lte_rrc_SystemInformationBlockType1_NB_v1450 = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_87 = -1;
static gint ett_lte_rrc_PLMN_IdentityList_NB_r13 = -1;
static gint ett_lte_rrc_PLMN_IdentityInfo_NB_r13 = -1;
static gint ett_lte_rrc_SchedulingInfoList_NB_r13 = -1;
static gint ett_lte_rrc_SchedulingInfo_NB_r13 = -1;
static gint ett_lte_rrc_SystemInfoValueTagList_NB_r13 = -1;
static gint ett_lte_rrc_SIB_MappingInfo_NB_r13 = -1;
static gint ett_lte_rrc_CellSelectionInfo_NB_v1350 = -1;
static gint ett_lte_rrc_CellSelectionInfo_NB_v1430 = -1;
static gint ett_lte_rrc_UECapabilityEnquiry_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_71 = -1;
static gint ett_lte_rrc_T_c1_67 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_71 = -1;
static gint ett_lte_rrc_UECapabilityEnquiry_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_88 = -1;
static gint ett_lte_rrc_UECapabilityInformation_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_72 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_72 = -1;
static gint ett_lte_rrc_UECapabilityInformation_NB_r13_IEs = -1;
static gint ett_lte_rrc_UECapabilityInformation_NB_Ext_r14_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_89 = -1;
static gint ett_lte_rrc_ULInformationTransfer_NB = -1;
static gint ett_lte_rrc_T_criticalExtensions_73 = -1;
static gint ett_lte_rrc_T_criticalExtensionsFuture_73 = -1;
static gint ett_lte_rrc_ULInformationTransfer_NB_r13_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_90 = -1;
static gint ett_lte_rrc_SystemInformationBlockType2_NB_r13 = -1;
static gint ett_lte_rrc_T_freqInfo_r13_01 = -1;
static gint ett_lte_rrc_AdditionalSpectrumEmission_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType3_NB_r13 = -1;
static gint ett_lte_rrc_T_cellReselectionInfoCommon_r13 = -1;
static gint ett_lte_rrc_T_cellReselectionServingFreqInfo_r13 = -1;
static gint ett_lte_rrc_T_intraFreqCellReselectionInfo_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13 = -1;
static gint ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1350 = -1;
static gint ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1360 = -1;
static gint ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1430 = -1;
static gint ett_lte_rrc_CellReselectionInfoCommon_NB_v1450 = -1;
static gint ett_lte_rrc_SystemInformationBlockType4_NB_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType5_NB_r13 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqList_NB_r13 = -1;
static gint ett_lte_rrc_InterFreqCarrierFreqInfo_NB_r13 = -1;
static gint ett_lte_rrc_InterFreqNeighCellList_NB_r13 = -1;
static gint ett_lte_rrc_InterFreqBlackCellList_NB_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType14_NB_r13 = -1;
static gint ett_lte_rrc_T_ab_Param_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13 = -1;
static gint ett_lte_rrc_AB_ConfigPLMN_NB_r13 = -1;
static gint ett_lte_rrc_AB_Config_NB_r13 = -1;
static gint ett_lte_rrc_SystemInformationBlockType15_NB_r14 = -1;
static gint ett_lte_rrc_MBMS_SAI_InterFreqList_NB_r14 = -1;
static gint ett_lte_rrc_MBMS_SAI_InterFreq_NB_r14 = -1;
static gint ett_lte_rrc_SystemInformationBlockType20_NB_r14 = -1;
static gint ett_lte_rrc_T_sc_mcch_CarrierConfig_r14 = -1;
static gint ett_lte_rrc_NPDCCH_SC_MCCH_Config_NB_r14 = -1;
static gint ett_lte_rrc_SC_MCCH_SchedulingInfo_NB_r14 = -1;
static gint ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_02 = -1;
static gint ett_lte_rrc_SystemInformationBlockType22_NB_r14 = -1;
static gint ett_lte_rrc_DL_ConfigCommonList_NB_r14 = -1;
static gint ett_lte_rrc_UL_ConfigCommonList_NB_r14 = -1;
static gint ett_lte_rrc_DL_ConfigCommon_NB_r14 = -1;
static gint ett_lte_rrc_PCCH_Config_NB_r14 = -1;
static gint ett_lte_rrc_UL_ConfigCommon_NB_r14 = -1;
static gint ett_lte_rrc_NPRACH_ParametersList_NB_r14 = -1;
static gint ett_lte_rrc_NPRACH_Parameters_NB_r14 = -1;
static gint ett_lte_rrc_T_nprach_Parameters_r14 = -1;
static gint ett_lte_rrc_NPRACH_ProbabilityAnchorList_NB_r14 = -1;
static gint ett_lte_rrc_NPRACH_ProbabilityAnchor_NB_r14 = -1;
static gint ett_lte_rrc_CarrierConfigDedicated_NB_r13 = -1;
static gint ett_lte_rrc_DL_CarrierConfigDedicated_NB_r13 = -1;
static gint ett_lte_rrc_T_downlinkBitmapNonAnchor_r13 = -1;
static gint ett_lte_rrc_T_dl_GapNonAnchor_r13 = -1;
static gint ett_lte_rrc_T_inbandCarrierInfo_r13 = -1;
static gint ett_lte_rrc_T_samePCI_Indicator_r13 = -1;
static gint ett_lte_rrc_T_samePCI_r13 = -1;
static gint ett_lte_rrc_T_differentPCI_r13 = -1;
static gint ett_lte_rrc_UL_CarrierConfigDedicated_NB_r13 = -1;
static gint ett_lte_rrc_CarrierFreq_NB_r13 = -1;
static gint ett_lte_rrc_DL_Bitmap_NB_r13 = -1;
static gint ett_lte_rrc_DL_CarrierConfigCommon_NB_r14 = -1;
static gint ett_lte_rrc_T_downlinkBitmapNonAnchor_r14 = -1;
static gint ett_lte_rrc_T_dl_GapNonAnchor_r14 = -1;
static gint ett_lte_rrc_T_inbandCarrierInfo_r14 = -1;
static gint ett_lte_rrc_T_samePCI_Indicator_r14 = -1;
static gint ett_lte_rrc_T_samePCI_r14 = -1;
static gint ett_lte_rrc_T_differentPCI_r14 = -1;
static gint ett_lte_rrc_DL_GapConfig_NB_r13 = -1;
static gint ett_lte_rrc_LogicalChannelConfig_NB_r13 = -1;
static gint ett_lte_rrc_MAC_MainConfig_NB_r13 = -1;
static gint ett_lte_rrc_T_ul_SCH_Config_r13 = -1;
static gint ett_lte_rrc_T_logicalChannelSR_Config_r13 = -1;
static gint ett_lte_rrc_T_setup_127 = -1;
static gint ett_lte_rrc_T_dataInactivityTimerConfig_r14_01 = -1;
static gint ett_lte_rrc_T_setup_128 = -1;
static gint ett_lte_rrc_DRX_Config_NB_r13 = -1;
static gint ett_lte_rrc_T_setup_129 = -1;
static gint ett_lte_rrc_NPDCCH_ConfigDedicated_NB_r13 = -1;
static gint ett_lte_rrc_NPDSCH_ConfigCommon_NB_r13 = -1;
static gint ett_lte_rrc_NPRACH_ConfigSIB_NB_r13 = -1;
static gint ett_lte_rrc_NPRACH_ConfigSIB_NB_v1330 = -1;
static gint ett_lte_rrc_NPRACH_ConfigSIB_NB_v1450 = -1;
static gint ett_lte_rrc_NPRACH_ParametersList_NB_r13 = -1;
static gint ett_lte_rrc_NPRACH_ParametersList_NB_v1330 = -1;
static gint ett_lte_rrc_NPRACH_Parameters_NB_r13 = -1;
static gint ett_lte_rrc_NPRACH_Parameters_NB_v1330 = -1;
static gint ett_lte_rrc_RSRP_ThresholdsNPRACH_InfoList_NB_r13 = -1;
static gint ett_lte_rrc_NPUSCH_ConfigCommon_NB_r13 = -1;
static gint ett_lte_rrc_SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13 = -1;
static gint ett_lte_rrc_T_dmrs_Config_r13 = -1;
static gint ett_lte_rrc_UL_ReferenceSignalsNPUSCH_NB_r13 = -1;
static gint ett_lte_rrc_NPUSCH_ConfigDedicated_NB_r13 = -1;
static gint ett_lte_rrc_PDCP_Config_NB_r13 = -1;
static gint ett_lte_rrc_T_headerCompression_r13 = -1;
static gint ett_lte_rrc_T_rohc_01 = -1;
static gint ett_lte_rrc_T_profiles_r13 = -1;
static gint ett_lte_rrc_PhysicalConfigDedicated_NB_r13 = -1;
static gint ett_lte_rrc_RACH_ConfigCommon_NB_r13 = -1;
static gint ett_lte_rrc_RACH_InfoList_NB_r13 = -1;
static gint ett_lte_rrc_RACH_Info_NB_r13 = -1;
static gint ett_lte_rrc_PowerRampingParameters_NB_v1450 = -1;
static gint ett_lte_rrc_T_powerRampingParametersCE1_r14 = -1;
static gint ett_lte_rrc_RadioResourceConfigCommonSIB_NB_r13 = -1;
static gint ett_lte_rrc_BCCH_Config_NB_r13 = -1;
static gint ett_lte_rrc_PCCH_Config_NB_r13 = -1;
static gint ett_lte_rrc_RadioResourceConfigDedicated_NB_r13 = -1;
static gint ett_lte_rrc_T_mac_MainConfig_r13 = -1;
static gint ett_lte_rrc_SRB_ToAddModList_NB_r13 = -1;
static gint ett_lte_rrc_SRB_ToAddMod_NB_r13 = -1;
static gint ett_lte_rrc_T_rlc_Config_r13 = -1;
static gint ett_lte_rrc_T_logicalChannelConfig_r13 = -1;
static gint ett_lte_rrc_DRB_ToAddModList_NB_r13 = -1;
static gint ett_lte_rrc_DRB_ToAddMod_NB_r13 = -1;
static gint ett_lte_rrc_DRB_ToReleaseList_NB_r13 = -1;
static gint ett_lte_rrc_RLC_Config_NB_r13 = -1;
static gint ett_lte_rrc_T_am_01 = -1;
static gint ett_lte_rrc_RLC_Config_NB_v1430 = -1;
static gint ett_lte_rrc_UL_AM_RLC_NB_r13 = -1;
static gint ett_lte_rrc_DL_AM_RLC_NB_r13 = -1;
static gint ett_lte_rrc_RLF_TimersAndConstants_NB_r13 = -1;
static gint ett_lte_rrc_T_setup_130 = -1;
static gint ett_lte_rrc_UplinkPowerControlCommon_NB_r13 = -1;
static gint ett_lte_rrc_UplinkPowerControlDedicated_NB_r13 = -1;
static gint ett_lte_rrc_AdditionalBandInfoList_NB_r14 = -1;
static gint ett_lte_rrc_MultiBandInfoList_NB_r13 = -1;
static gint ett_lte_rrc_MultiBandInfo_NB_r13 = -1;
static gint ett_lte_rrc_NS_PmaxList_NB_r13 = -1;
static gint ett_lte_rrc_NS_PmaxValue_NB_r13 = -1;
static gint ett_lte_rrc_UE_Capability_NB_r13 = -1;
static gint ett_lte_rrc_T_dummy_01 = -1;
static gint ett_lte_rrc_UE_Capability_NB_Ext_r14_IEs = -1;
static gint ett_lte_rrc_UE_Capability_NB_v1440_IEs = -1;
static gint ett_lte_rrc_T_nonCriticalExtension_91 = -1;
static gint ett_lte_rrc_PDCP_Parameters_NB_r13 = -1;
static gint ett_lte_rrc_T_supportedROHC_Profiles_r13 = -1;
static gint ett_lte_rrc_MAC_Parameters_NB_r14 = -1;
static gint ett_lte_rrc_PhyLayerParameters_NB_r13 = -1;
static gint ett_lte_rrc_PhyLayerParameters_NB_v1430 = -1;
static gint ett_lte_rrc_PhyLayerParameters_NB_v1440 = -1;
static gint ett_lte_rrc_RF_Parameters_NB_r13 = -1;
static gint ett_lte_rrc_RF_Parameters_NB_v1430 = -1;
static gint ett_lte_rrc_SupportedBandList_NB_r13 = -1;
static gint ett_lte_rrc_SupportedBand_NB_r13 = -1;
static gint ett_lte_rrc_UE_RadioPagingInfo_NB_r13 = -1;
static gint ett_lte_rrc_UE_TimersAndConstants_NB_r13 = -1;
static gint ett_lte_rrc_SC_MTCH_InfoList_NB_r14 = -1;
static gint ett_lte_rrc_SC_MTCH_Info_NB_r14 = -1;
static gint ett_lte_rrc_T_sc_mtch_CarrierConfig_r14 = -1;
static gint ett_lte_rrc_SC_MTCH_SchedulingInfo_NB_r14 = -1;
static gint ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_03 = -1;
static gint ett_lte_rrc_SCPTM_NeighbourCellList_NB_r14 = -1;
static gint ett_lte_rrc_PCI_ARFCN_NB_r14 = -1;

/*--- End of included file: packet-lte-rrc-ett.c ---*/
#line 262 "./asn1/lte-rrc/packet-lte-rrc-template.c"

static gint ett_lte_rrc_featureGroupIndicators = -1;
static gint ett_lte_rrc_featureGroupIndRel9Add = -1;
static gint ett_lte_rrc_featureGroupIndRel10 = -1;
static gint ett_lte_rrc_absTimeInfo = -1;
static gint ett_lte_rrc_nas_SecurityParam = -1;
static gint ett_lte_rrc_targetRAT_MessageContainer = -1;
static gint ett_lte_rrc_siPsiSibContainer = -1;
static gint ett_lte_rrc_dedicatedInfoNAS = -1;
static gint ett_lte_rrc_timeInfo = -1;
static gint ett_lte_rrc_serialNumber = -1;
static gint ett_lte_rrc_warningType = -1;
static gint ett_lte_rrc_dataCodingScheme = -1;
static gint ett_lte_rrc_warningMessageSegment = -1;
static gint ett_lte_rrc_interBandTDD_CA_WithDifferentConfig = -1;
static gint ett_lte_rrc_tdd_FDD_CA_PCellDuplex_r12 = -1;
static gint ett_lte_rrc_aperiodicCSI_Reporting_r13 = -1;
static gint ett_lte_rrc_codebook_HARQ_ACK_r13 = -1;
static gint ett_lte_rrc_sr_ConfigIndex = -1;
static gint ett_lte_rrc_transmissionModeList_r12 = -1;
static gint ett_lte_rrc_modifiedMPR_Behavior_r10 = -1;
static gint ett_lte_rrc_sib11_fragment = -1;
static gint ett_lte_rrc_sib11_fragments = -1;
static gint ett_lte_rrc_sib12_fragment = -1;
static gint ett_lte_rrc_sib12_fragments = -1;
static gint ett_lte_rrc_nr_SecondaryCellGroupConfig_r15 = -1;
static gint ett_lte_rrc_nr_RadioBearerConfig_r15 = -1;
static gint ett_lte_rrc_nr_RadioBearerConfigS_r15 = -1;
static gint ett_lte_rrc_scg_ConfigResponseNR_r15 = -1;
static gint ett_lte_rrc_measResultSCG_r15 = -1;
static gint ett_lte_rrc_ul_DCCH_MessageNR_r15 = -1;
static gint ett_lte_rrc_sourceRB_ConfigNR_r15 = -1;
static gint ett_lte_rrc_sourceRB_ConfigSN_NR_r15 = -1;
static gint ett_lte_rrc_sourceOtherConfigSN_NR_r15 = -1;
static gint ett_lte_rrc_sourceContextENDC_r15 = -1;

static expert_field ei_lte_rrc_number_pages_le15 = EI_INIT;
static expert_field ei_lte_rrc_si_info_value_changed = EI_INIT;
static expert_field ei_lte_rrc_sibs_changing = EI_INIT;
static expert_field ei_lte_rrc_sibs_changing_edrx = EI_INIT;
static expert_field ei_lte_rrc_earthquake_warning_sys = EI_INIT;
static expert_field ei_lte_rrc_commercial_mobile_alert_sys = EI_INIT;
static expert_field ei_lte_rrc_unexpected_type_value = EI_INIT;
static expert_field ei_lte_rrc_unexpected_length_value = EI_INIT;
static expert_field ei_lte_rrc_too_many_group_a_rapids = EI_INIT;
static expert_field ei_lte_rrc_invalid_drx_config = EI_INIT;

static const unit_name_string units_sr_periods = { " SR period", " SR periods" };
static const unit_name_string units_short_drx_cycles = { " shortDRX-Cycle", " shortDRX-Cycles" };

static reassembly_table lte_rrc_sib11_reassembly_table;
static reassembly_table lte_rrc_sib12_reassembly_table;

static const fragment_items lte_rrc_sib11_frag_items = {
    &ett_lte_rrc_sib11_fragment,
    &ett_lte_rrc_sib11_fragments,
    &hf_lte_rrc_sib11_fragments,
    &hf_lte_rrc_sib11_fragment,
    &hf_lte_rrc_sib11_fragment_overlap,
    &hf_lte_rrc_sib11_fragment_overlap_conflict,
    &hf_lte_rrc_sib11_fragment_multiple_tails,
    &hf_lte_rrc_sib11_fragment_too_long_fragment,
    &hf_lte_rrc_sib11_fragment_error,
    &hf_lte_rrc_sib11_fragment_count,
    &hf_lte_rrc_sib11_reassembled_in,
    &hf_lte_rrc_sib11_reassembled_length,
    &hf_lte_rrc_sib11_reassembled_data,
    "SIB11 warning message segments"
};

static const fragment_items lte_rrc_sib12_frag_items = {
    &ett_lte_rrc_sib12_fragment,
    &ett_lte_rrc_sib12_fragments,
    &hf_lte_rrc_sib12_fragments,
    &hf_lte_rrc_sib12_fragment,
    &hf_lte_rrc_sib12_fragment_overlap,
    &hf_lte_rrc_sib12_fragment_overlap_conflict,
    &hf_lte_rrc_sib12_fragment_multiple_tails,
    &hf_lte_rrc_sib12_fragment_too_long_fragment,
    &hf_lte_rrc_sib12_fragment_error,
    &hf_lte_rrc_sib12_fragment_count,
    &hf_lte_rrc_sib12_reassembled_in,
    &hf_lte_rrc_sib12_reassembled_length,
    &hf_lte_rrc_sib12_reassembled_data,
    "SIB12 warning message segments"
};

/* Forward declarations */
static int dissect_DL_DCCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);

static const true_false_string lte_rrc_eutra_cap_feat_group_ind_1_val = {
  "Intra-subframe freq hopping for PUSCH scheduled by UL grant; DCI format 3a; Aperiodic CQI/PMI/RI report on PUSCH: Mode 2-0 & 2-2 - Supported",
  "Intra-subframe freq hopping for PUSCH scheduled by UL grant; DCI format 3a; Aperiodic CQI/PMI/RI report on PUSCH: Mode 2-0 & 2-2 - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_2_val = {
  "Simultaneous CQI & ACK/NACK on PUCCH (format 2a/2b); Absolute TPC command for PUSCH; Resource alloc type 1 for PDSCH; Periodic CQI/PMI/RI report on PUCCH: Mode 2-0 & 2-1 - Supported",
  "Simultaneous CQI & ACK/NACK on PUCCH (format 2a/2b); Absolute TPC command for PUSCH; Resource alloc type 1 for PDSCH; Periodic CQI/PMI/RI report on PUCCH: Mode 2-0 & 2-1 - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_3_val = {
  "5bit RLC UM SN; 7bit PDCP SN - Supported",
  "5bit RLC UM SN; 7bit PDCP SN - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_4_val = {
  "Short DRX cycle - Supported",
  "Short DRX cycle - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_5_val = {
  "Long DRX cycle; DRX command MAC control element - Supported",
  "Long DRX cycle; DRX command MAC control element - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_6_val = {
  "Prioritised bit rate - Supported",
  "Prioritised bit rate - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_7_val = {
  "RLC UM - Supported",
  "RLC UM - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_8_val = {
  "EUTRA RRC_CONNECTED to UTRA CELL_DCH PS handover - Supported",
  "EUTRA RRC_CONNECTED to UTRA CELL_DCH PS handover - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_9_val = {
  "EUTRA RRC_CONNECTED to GERAN GSM_Dedicated handover - Supported",
  "EUTRA RRC_CONNECTED to GERAN GSM_Dedicated handover - Not Supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_10_val = {
  "EUTRA RRC_CONNECTED to GERAN (Packet_) Idle by Cell Change Order; EUTRA RRC_CONNECTED to GERAN (Packet_) Idle by Cell Change Order with NACC - Supported",
  "EUTRA RRC_CONNECTED to GERAN (Packet_) Idle by Cell Change Order; EUTRA RRC_CONNECTED to GERAN (Packet_) Idle by Cell Change Order with NACC - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_11_val = {
  "EUTRA RRC_CONNECTED to CDMA2000 1xRTT CS Active handover - Supported",
  "EUTRA RRC_CONNECTED to CDMA2000 1xRTT CS Active handover - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_12_val = {
  "EUTRA RRC_CONNECTED to CDMA2000 HRPD Active handover - Supported",
  "EUTRA RRC_CONNECTED to CDMA2000 HRPD Active handover - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_13_val = {
  "Inter-frequency handover (within FDD or TDD) - Supported",
  "Inter-frequency handover (within FDD or TDD) - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_14_val = {
  "Measurement reporting event: Event A4 - Neighbour > threshold; Measurement reporting event: Event A5 - Serving < threshold1 & Neighbour > threshold2 - Supported",
  "Measurement reporting event: Event A4 - Neighbour > threshold; Measurement reporting event: Event A5 - Serving < threshold1 & Neighbour > threshold2 - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_15_val = {
  "Measurement reporting event: Event B1 - Neighbour > threshold - Supported",
  "Measurement reporting event: Event B1 - Neighbour > threshold - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_16_val = {
  "non-ANR related periodical measurement reporting - Supported",
  "non-ANR related periodical measurement reporting - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_17_val = {
  "ANR related intra-frequency measurement reporting events - Supported",
  "ANR related intra-frequency measurement reporting events - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_18_val = {
  "ANR related inter-frequency measurement reporting events - Supported",
  "ANR related inter-frequency measurement reporting events - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_19_val = {
  "ANR related inter-RAT measurement reporting events - Supported",
  "ANR related inter-RAT measurement reporting events - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_20_val = {
  "SRB1 and SRB2 for DCCH + 8x AM DRB; SRB1 and SRB2 for DCCH + 5x AM DRB + 3x UM DRB (if indicator 7 is supported) - Supported",
  "SRB1 and SRB2 for DCCH + 8x AM DRB; SRB1 and SRB2 for DCCH + 5x AM DRB + 3x UM DRB (if indicator 7 is supported) - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_21_val = {
  "Predefined intra- and inter-subframe frequency hopping for PUSCH with N_sb > 1; Predefined inter-subframe frequency hopping for PUSCH with N_sb > 1 - Supported",
  "Predefined intra- and inter-subframe frequency hopping for PUSCH with N_sb > 1; Predefined inter-subframe frequency hopping for PUSCH with N_sb > 1 - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_22_val = {
  "UTRAN measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Supported",
  "UTRAN measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_23_val = {
  "GERAN measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Supported",
  "GERAN measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_24_val = {
  "1xRTT measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Supported",
  "1xRTT measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_25_val = {
  "Inter-frequency measurements and reporting in E-UTRA connected mode - Supported",
  "Inter-frequency measurements and reporting in E-UTRA connected mode - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_26_val = {
  "HRPD measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Supported",
  "HRPD measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_27_val = {
  "EUTRA RRC_CONNECTED to UTRA CELL_DCH CS handover - Supported",
  "EUTRA RRC_CONNECTED to UTRA CELL_DCH CS handover - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_28_val = {
  "TTI bundling - Supported",
  "TTI bundling - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_29_val = {
  "Semi-Persistent Scheduling - Supported",
  "Semi-Persistent Scheduling - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_30_val = {
  "Handover between FDD and TDD - Supported",
  "Handover between FDD and TDD - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_31_val = {
  "Mechanisms defined for cells broadcasting multi band information - Supported",
  "Mechanisms defined for cells broadcasting multi band information - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_32_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_33_val = {
  "Inter-RAT ANR features for UTRAN FDD - Supported",
  "Inter-RAT ANR features for UTRAN FDD - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_34_val = {
  "Inter-RAT ANR features for GERAN - Supported",
  "Inter-RAT ANR features for GERAN - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_35_val = {
  "Inter-RAT ANR features for 1xRTT - Supported",
  "Inter-RAT ANR features for 1xRTT - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_36_val = {
  "Inter-RAT ANR features for HRPD - Supported",
  "Inter-RAT ANR features for HRPD - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_37_val = {
  "Inter-RAT ANR features for UTRAN TDD - Supported",
  "Inter-RAT ANR features for UTRAN TDD - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_38_val = {
  "EUTRA RRC_CONNECTED to UTRA TDD CELL_DCH PS handover - Supported",
  "EUTRA RRC_CONNECTED to UTRA TDD CELL_DCH PS handover - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_39_val = {
  "UTRAN TDD measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Supported",
  "UTRAN TDD measurements, reporting and measurement reporting event B2 in E-UTRA connected mode - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_40_val = {
  "EUTRA RRC_CONNECTED to UTRA TDD CELL_DCH CS handover - Supported",
  "EUTRA RRC_CONNECTED to UTRA TDD CELL_DCH CS handover - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_41_val = {
  "Measurement reporting event: Event B1 - Neighbour > threshold for UTRAN FDD - Supported",
  "Measurement reporting event: Event B1 - Neighbour > threshold for UTRAN FDD - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_42_val = {
  "DCI format 3a - Supported",
  "DCI format 3a - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_43_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_44_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_45_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_46_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_47_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_48_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_49_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_50_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_51_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_52_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_53_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_54_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_55_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_56_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_57_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_58_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_59_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_60_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_61_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_62_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_63_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_64_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_101_val = {
  "DMRS with OCC (orthogonal cover code) and SGH (sequence group hopping) disabling - Supported",
  "DMRS with OCC (orthogonal cover code) and SGH (sequence group hopping) disabling - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_102_val = {
  "Trigger type 1 SRS (aperiodic SRS) transmission (Up to X ports) - Supported",
  "Trigger type 1 SRS (aperiodic SRS) transmission (Up to X ports) - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_103_val = {
  "PDSCH TM9 when up to 4 CSI reference signal ports are configured - Supported",
  "PDSCH TM9 when up to 4 CSI reference signal ports are configured - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_104_val = {
  "PDSCH TM9 for TDD when 8 CSI reference signal ports are configured - Supported",
  "PDSCH TM9 for TDD when 8 CSI reference signal ports are configured - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_105_val = {
  "PUCCH RM2-0 when PDSCH TM9 is configured and RM2-1 when PDSCH TM9 and up to 4 CSI reference signal ports are configured - Supported",
  "PUCCH RM2-0 when PDSCH TM9 is configured and RM2-1 when PDSCH TM9 and up to 4 CSI reference signal ports are configured - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_106_val = {
  "PUCCH RM2-1 when PDSCH TM9 and 8 CSI reference signal ports are configured - Supported",
  "PUCCH RM2-1 when PDSCH TM9 and 8 CSI reference signal ports are configured - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_107_val = {
  "PUSCH RM2-0 when PDSCH TM9 is configured and RM2-2 when PDSCH TM9 and up to 4 CSI reference signal ports are configured - Supported",
  "PUSCH RM2-0 when PDSCH TM9 is configured and RM2-2 when PDSCH TM9 and up to 4 CSI reference signal ports are configured - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_108_val = {
  "PUSCH RM2-2 when PDSCH TM9 and 8 CSI reference signal ports are configured - Supported",
  "PUSCH RM2-2 when PDSCH TM9 and 8 CSI reference signal ports are configured - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_109_val = {
  "PUCCH RM1-1 submode 1 - Supported",
  "PUCCH RM1-1 submode 1 - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_110_val = {
  "PUCCH RM1-1 submode 2 - Supported",
  "PUCCH RM1-1 submode 2 - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_111_val = {
  "Measurement reporting trigger Event A6 - Supported",
  "Measurement reporting trigger Event A6 - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_112_val = {
  "SCell addition within the Handover to EUTRA procedure - Supported",
  "SCell addition within the Handover to EUTRA procedure - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_113_val = {
  "Trigger type 0 SRS (periodic SRS) transmission on X Serving Cells - Supported",
  "Trigger type 0 SRS (periodic SRS) transmission on X Serving Cells - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_114_val = {
  "Reporting of both UTRA CPICH RSCP and Ec/N0 in a Measurement Report - Supported",
  "Reporting of both UTRA CPICH RSCP and Ec/N0 in a Measurement Report - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_115_val = {
  "Time domain ICIC RLM/RRM / ICIC RRM / ICIC CSI measurement sf restriction for the serving cell / neighbour cells - Supported",
  "Time domain ICIC RLM/RRM / ICIC RRM / ICIC CSI measurement sf restriction for the serving cell / neighbour cells - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_116_val = {
  "Relative transmit phase continuity for spatial multiplexing in UL - Supported",
  "Relative transmit phase continuity for spatial multiplexing in UL - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_117_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_118_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_119_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_120_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_121_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_122_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_123_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_124_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_125_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_126_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_127_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_128_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_129_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_130_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_131_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};
static const true_false_string lte_rrc_eutra_cap_feat_group_ind_132_val = {
  "Undefined - Supported",
  "Undefined - Not supported"
};

static const value_string lte_rrc_schedulingInfoSIB1_BR_r13_vals[] = {
  {  0, "SystemInformationBlockType1-BR is not scheduled"},
  {  1, "4 PDSCH repetitions - TBS 208 bits"},
  {  2, "8 PDSCH repetitions - TBS 208 bits"},
  {  3, "16 PDSCH repetitions - TBS 208 bits"},
  {  4, "4 PDSCH repetitions - TBS 256 bits"},
  {  5, "8 PDSCH repetitions - TBS 256 bits"},
  {  6, "16 PDSCH repetitions - TBS 256 bits"},
  {  7, "4 PDSCH repetitions - TBS 328 bits"},
  {  8, "8 PDSCH repetitions - TBS 328 bits"},
  {  9, "16 PDSCH repetitions - TBS 328 bits"},
  { 10, "4 PDSCH repetitions - TBS 504 bits"},
  { 11, "8 PDSCH repetitions - TBS 504 bits"},
  { 12, "16 PDSCH repetitions - TBS 504 bits"},
  { 13, "4 PDSCH repetitions - TBS 712 bits"},
  { 14, "8 PDSCH repetitions - TBS 712 bits"},
  { 15, "16 PDSCH repetitions - TBS 712 bits"},
  { 16, "4 PDSCH repetitions - TBS 936 bits"},
  { 17, "8 PDSCH repetitions - TBS 936 bits"},
  { 18, "16 PDSCH repetitions - TBS 936 bits"},
  {  0, NULL}
};
static value_string_ext lte_rrc_schedulingInfoSIB1_BR_r13_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_schedulingInfoSIB1_BR_r13_vals);

static const value_string lte_rrc_q_RxLevMin_vals[] = {
  { -70, "-140dBm"},
  { -69, "-138dBm"},
  { -68, "-136dBm"},
  { -67, "-134dBm"},
  { -66, "-132dBm"},
  { -65, "-130dBm"},
  { -64, "-128dBm"},
  { -63, "-126dBm"},
  { -62, "-124dBm"},
  { -61, "-122dBm"},
  { -60, "-120dBm"},
  { -59, "-118dBm"},
  { -58, "-116dBm"},
  { -57, "-114dBm"},
  { -56, "-112dBm"},
  { -55, "-110dBm"},
  { -54, "-108dBm"},
  { -53, "-106dBm"},
  { -52, "-104dBm"},
  { -51, "-102dBm"},
  { -50, "-100dBm"},
  { -49, "-98dBm"},
  { -48, "-96dBm"},
  { -47, "-94dBm"},
  { -46, "-92dBm"},
  { -45, "-90dBm"},
  { -44, "-88dBm"},
  { -43, "-86dBm"},
  { -42, "-84dBm"},
  { -41, "-82dBm"},
  { -40, "-80dBm"},
  { -39, "-78dBm"},
  { -38, "-76dBm"},
  { -37, "-74dBm"},
  { -36, "-72dBm"},
  { -35, "-70dBm"},
  { -34, "-68dBm"},
  { -33, "-66dBm"},
  { -32, "-64dBm"},
  { -31, "-62dBm"},
  { -30, "-60dBm"},
  { -29, "-58dBm"},
  { -28, "-56dBm"},
  { -27, "-54dBm"},
  { -26, "-52dBm"},
  { -25, "-50dBm"},
  { -24, "-48dBm"},
  { -23, "-46dBm"},
  { -22, "-44dBm"},
  {   0, NULL}
};
static value_string_ext lte_rrc_q_RxLevMin_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_q_RxLevMin_vals);

static const value_string lte_rrc_q_RxLevMinOffset_vals[] = {
  { 1, "2dB"},
  { 2, "4dB"},
  { 3, "6dB"},
  { 4, "8dB"},
  { 5, "10dB"},
  { 6, "12dB"},
  { 7, "14dB"},
  { 8, "16dB"},
  { 0, NULL}
};

static const value_string lte_rrc_delta_RxLevMin_vals[] = {
  { -8, "-16dBm"},
  { -7, "-14dBm"},
  { -6, "-12dBm"},
  { -5, "-10dBm"},
  { -4, "-8dBm"},
  { -3, "-6dBm"},
  { -2, "-4dBm"},
  { -1, "-2dBm"},
  { 0, NULL}
};

static const value_string lte_rrc_messageSize_r14_vals[] =
{
    { 0,  "size = 0"},
    { 1,  "0 < size <= 10"},
    { 2,  "10 < size <= 12"},
    { 3,  "12 < size <= 14"},
    { 4,  "14 < size <= 17"},
    { 5,  "17 < size <= 19"},
    { 6,  "19 < size <= 22"},
    { 7,  "22 < size <= 26"},
    { 8,  "26 < size <= 31"},
    { 9,  "31 < size <= 36"},
    { 10, "36 < size <= 42"},
    { 11, "42 < size <= 49"},
    { 12, "49 < size <= 57"},
    { 13, "57 < size <= 67"},
    { 14, "67 < size <= 78"},
    { 15, "78 < size <= 91"},
    { 16, "91 < size <= 107"},
    { 17, "107 < size <= 125"},
    { 18, "125 < size <= 146"},
    { 19, "146 < size <= 171"},
    { 20, "171 < size <= 200"},
    { 21, "200 < size <= 234"},
    { 22, "234 < size <= 274"},
    { 23, "274 < size <= 321"},
    { 24, "321 < size <= 376"},
    { 25, "376 < size <= 440"},
    { 26, "440 < size <= 515"},
    { 27, "515 < size <= 603"},
    { 28, "603 < size <= 706"},
    { 29, "706 < size <= 826"},
    { 30, "826 < size <= 967"},
    { 31, "967 < size <= 1132"},
    { 32, "1132 < size <= 1326"},
    { 33, "1326 < size <= 1552"},
    { 34, "1552 < size <= 1817"},
    { 35, "1817 < size <= 2127"},
    { 36, "2127 < size <= 2490"},
    { 37, "2490 < size <= 2915"},
    { 38, "2915 < size <= 3413"},
    { 39, "3413 < size <= 3995"},
    { 40, "3995 < size <= 4677"},
    { 41, "4677 < size <= 5476"},
    { 42, "5476 < size <= 6411"},
    { 43, "6411 < size <= 7505"},
    { 44, "7505 < size <= 8787"},
    { 45, "8787 < size <= 10276"},
    { 46, "10287 < size <= 12043"},
    { 47, "12043 < size <= 14099"},
    { 48, "14099 < size <= 16507"},
    { 49, "16507 < size <= 19325"},
    { 50, "19325 < size <= 22624"},
    { 51, "22624 < size <= 26487"},
    { 52, "26487 < size <= 31009"},
    { 53, "31009 < size <= 36304"},
    { 54, "36304 < size <= 42502"},
    { 55, "42502 < size <= 49759"},
    { 56, "49759 < size <= 58255"},
    { 57, "58255 < size <= 68201"},
    { 58, "68201 < size <= 79846"},
    { 59, "79846 < size <= 93479"},
    { 60, "93479 < size <= 109439"},
    { 61, "109439 < size <= 128125"},
    { 62, "128125 < size <= 150000"},
    { 63, "size > 150000"},
    { 0, NULL }
};
static value_string_ext lte_rrc_messageSize_r14_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_messageSize_r14_vals);

static void
lte_rrc_timeConnFailure_r10_fmt(gchar *s, guint32 v)
{
  g_snprintf(s, ITEM_LABEL_LENGTH, "%ums (%u)", 100*v, v);
}

static const value_string lte_rrc_n_r12_vals[] = {
  {  0, "0 <= Nr < 256"},
  {  1, "256 <= Nr < 768"},
  {  2, "768 <= Nr < 1792"},
  {  3, "1792 <= Nr < 3840"},
  {  4, "3840 <= Nr < 7936"},
  {  5, "7936 <= Nr < 16128"},
  {  6, "16128 <= Nr < 32512"},
  {  7, "32512 <= Nr"},
  {  0, NULL},
};

static void
lte_rrc_m_r12_fmt(gchar *s, guint32 v)
{
  if (v == 255) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "255 <= f(Nr) (255)");
  } else {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%u <= f(Nr) < %u (%u)", v, v+1, v);
  }
}

static const value_string lte_rrc_BLER_Range_r12_vals[] = {
  {  0, "BLER < 0.1%"},
  {  1, "0.1% <= BLER < 0.123%"},
  {  2, "0.123% <= BLER < 0.151%"},
  {  3, "0.151% <= BLER < 0.186%"},
  {  4, "0.186% <= BLER < 0.229%"},
  {  5, "0.229% <= BLER < 0.282%"},
  {  6, "0.282% <= BLER < 0.347%"},
  {  7, "0.347% <= BLER < 0.426%"},
  {  8, "0.426% <= BLER < 0.525%"},
  {  9, "0.525% <= BLER < 0.645%"},
  { 10, "0.645% <= BLER < 0.794%"},
  { 11, "0.794% <= BLER < 0.976%"},
  { 12, "0.976% <= BLER < 1.201%"},
  { 13, "1.201% <= BLER < 1.478%"},
  { 14, "1.478% <= BLER < 1.818%"},
  { 15, "1.818% <= BLER < 2.236%"},
  { 16, "2.236% <= BLER < 2.751%"},
  { 17, "2.751% <= BLER < 3.384%"},
  { 18, "3.384% <= BLER < 4.163%"},
  { 19, "4.163% <= BLER < 5.121%"},
  { 20, "5.121% <= BLER < 6.300%"},
  { 21, "6.300% <= BLER < 7.750%"},
  { 22, "7.750% <= BLER < 9.533%"},
  { 23, "9.533% <= BLER < 11.728%"},
  { 24, "11.728% <= BLER < 14.427%"},
  { 25, "14.427% <= BLER < 17.478%"},
  { 26, "17.478% <= BLER < 21.833%"},
  { 27, "21.833% <= BLER < 26.858%"},
  { 28, "26.858% <= BLER < 33.040%"},
  { 29, "33.040% <= BLER < 40.645%"},
  { 30, "40.645% <= BLER < 50%"},
  { 31, "50% <= BLER"},
  { 0, NULL}
};
static value_string_ext lte_rrc_BLER_Range_r12_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_BLER_Range_r12_vals);

static const value_string lte_rrc_utra_q_RxLevMin_vals[] = {
  { -60, "-119dBm"},
  { -59, "-117dBm"},
  { -58, "-115dBm"},
  { -57, "-113dBm"},
  { -56, "-111dBm"},
  { -55, "-109dBm"},
  { -54, "-107dBm"},
  { -53, "-105dBm"},
  { -52, "-103dBm"},
  { -51, "-101dBm"},
  { -50, "-99dBm"},
  { -49, "-97dBm"},
  { -48, "-95dBm"},
  { -47, "-93dBm"},
  { -46, "-91dBm"},
  { -45, "-89dBm"},
  { -44, "-87dBm"},
  { -43, "-85dBm"},
  { -42, "-83dBm"},
  { -41, "-81dBm"},
  { -40, "-79dBm"},
  { -39, "-77dBm"},
  { -38, "-75dBm"},
  { -37, "-73dBm"},
  { -36, "-71dBm"},
  { -35, "-69dBm"},
  { -34, "-67dBm"},
  { -33, "-65dBm"},
  { -32, "-63dBm"},
  { -31, "-61dBm"},
  { -30, "-59dBm"},
  { -29, "-57dBm"},
  { -28, "-55dBm"},
  { -27, "-53dBm"},
  { -26, "-51dBm"},
  { -25, "-49dBm"},
  { -24, "-47dBm"},
  { -23, "-45dBm"},
  { -22, "-43dBm"},
  { -21, "-41dBm"},
  { -20, "-39dBm"},
  { -19, "-37dBm"},
  { -18, "-35dBm"},
  { -17, "-33dBm"},
  { -16, "-31dBm"},
  { -15, "-29dBm"},
  { -14, "-27dBm"},
  { -13, "-25dBm"},
  {   0, NULL}
};
static value_string_ext lte_rrc_utra_q_RxLevMin_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_utra_q_RxLevMin_vals);

static const value_string lte_rrc_geran_q_RxLevMin_vals[] = {
  { 0 , "-115dBm"},
  { 1 , "-113dBm"},
  { 2 , "-111dBm"},
  { 3 , "-109dBm"},
  { 4 , "-107dBm"},
  { 5 , "-105dBm"},
  { 6 , "-103dBm"},
  { 7 , "-101dBm"},
  { 8 , "-99dBm"},
  { 9 , "-97dBm"},
  { 10, "-95dBm"},
  { 11, "-93dBm"},
  { 12, "-91dBm"},
  { 13, "-89dBm"},
  { 14, "-87dBm"},
  { 15, "-85dBm"},
  { 16, "-83dBm"},
  { 17, "-81dBm"},
  { 18, "-79dBm"},
  { 19, "-77dBm"},
  { 20, "-75dBm"},
  { 21, "-73dBm"},
  { 22, "-71dBm"},
  { 23, "-69dBm"},
  { 24, "-67dBm"},
  { 25, "-65dBm"},
  { 26, "-63dBm"},
  { 27, "-61dBm"},
  { 28, "-59dBm"},
  { 29, "-57dBm"},
  { 30, "-55dBm"},
  { 31, "-53dBm"},
  { 32, "-51dBm"},
  { 33, "-49dBm"},
  { 34, "-47dBm"},
  { 35, "-45dBm"},
  { 36, "-43dBm"},
  { 37, "-41dBm"},
  { 38, "-39dBm"},
  { 39, "-37dBm"},
  { 40, "-35dBm"},
  { 41, "-33dBm"},
  { 42, "-31dBm"},
  { 43, "-29dBm"},
  { 44, "-27dBm"},
  { 45, "-25dBm"},
  {  0, NULL}
};
static value_string_ext lte_rrc_geran_q_RxLevMin_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_geran_q_RxLevMin_vals);

static const value_string lte_rrc_nomPDSCH_RS_EPRE_Offset_vals[] = {
  { -1, "-2dB"},
  {  0, "0dB"},
  {  1, "2dB"},
  {  2, "4dB"},
  {  3, "6dB"},
  {  4, "8dB"},
  {  5, "10dB"},
  {  6, "12dB"},
  {  0, NULL}
};

static const value_string lte_rrc_deltaPreambleMsg3_vals[] = {
  { -1, "-2dB"},
  {  0, "0dB"},
  {  1, "2dB"},
  {  2, "4dB"},
  {  3, "6dB"},
  {  4, "8dB"},
  {  5, "10dB"},
  {  6, "12dB"},
  {  0, NULL}
};

static const value_string lte_rrc_ReselectionThreshold_vals[] = {
  { 0 , "0dB"},
  { 1 , "2dB"},
  { 2 , "4dB"},
  { 3 , "6dB"},
  { 4 , "8dB"},
  { 5 , "10dB"},
  { 6 , "12dB"},
  { 7 , "14dB"},
  { 8 , "16dB"},
  { 9 , "18dB"},
  { 10, "20dB"},
  { 11, "22dB"},
  { 12, "24dB"},
  { 13, "26dB"},
  { 14, "28dB"},
  { 15, "30dB"},
  { 16, "32dB"},
  { 17, "34dB"},
  { 18, "36dB"},
  { 19, "38dB"},
  { 20, "40dB"},
  { 21, "42dB"},
  { 22, "44dB"},
  { 23, "46dB"},
  { 24, "48dB"},
  { 25, "50dB"},
  { 26, "52dB"},
  { 27, "54dB"},
  { 28, "56dB"},
  { 29, "58dB"},
  { 30, "60dB"},
  { 31, "62dB"},
  {  0, NULL}
};
static value_string_ext lte_rrc_ReselectionThreshold_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_ReselectionThreshold_vals);

static const value_string lte_rrc_ReselectionThreshold_NB_vals[] = {
  { 32, "64dB"},
  { 33, "66dB"},
  { 34, "68dB"},
  { 35, "70dB"},
  { 36, "72dB"},
  { 37, "74dB"},
  { 38, "76dB"},
  { 39, "78dB"},
  { 40, "80dB"},
  { 41, "82dB"},
  { 42, "84dB"},
  { 43, "86dB"},
  { 44, "88dB"},
  { 45, "90dB"},
  { 46, "92dB"},
  { 47, "94dB"},
  { 48, "96dB"},
  { 49, "98dB"},
  { 50, "100dB"},
  { 51, "102dB"},
  { 52, "104dB"},
  { 53, "106dB"},
  { 54, "108dB"},
  { 55, "110dB"},
  { 56, "112dB"},
  { 57, "114dB"},
  { 58, "116dB"},
  { 59, "118dB"},
  { 60, "120dB"},
  { 61, "122dB"},
  { 62, "124dB"},
  { 63, "126dB"},
  {  0, NULL}
};
static value_string_ext lte_rrc_ReselectionThreshold_NB_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_ReselectionThreshold_NB_vals);

static const value_string lte_rrc_Hysteresis_vals[] = {
  { 0 , "0dB"},
  { 1 , "0.5dB"},
  { 2 , "1dB"},
  { 3 , "1.5dB"},
  { 4 , "2dB"},
  { 5 , "2.5dB"},
  { 6 , "3dB"},
  { 7 , "3.5dB"},
  { 8 , "4dB"},
  { 9 , "4.5dB"},
  { 10, "5dB"},
  { 11, "5.5dB"},
  { 12, "6dB"},
  { 13, "6.5dB"},
  { 14, "7dB"},
  { 15, "7.5dB"},
  { 16, "8dB"},
  { 17, "8.5dB"},
  { 18, "9dB"},
  { 19, "9.5dB"},
  { 20, "10dB"},
  { 21, "10.5dB"},
  { 22, "11dB"},
  { 23, "11.5dB"},
  { 24, "12dB"},
  { 25, "12.5dB"},
  { 26, "13dB"},
  { 27, "13.5dB"},
  { 28, "14dB"},
  { 29, "14.5dB"},
  { 30, "15dB"},
  {  0, NULL}
};
static value_string_ext lte_rrc_Hysteresis_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_Hysteresis_vals);

static const value_string lte_rrc_s_Measure_vals[] = {
  {  0, "disabled"},
  {  1, "-139dBm"},
  {  2, "-138dBm"},
  {  3, "-137dBm"},
  {  4, "-136dBm"},
  {  5, "-135dBm"},
  {  6, "-134dBm"},
  {  7, "-133dBm"},
  {  8, "-132dBm"},
  {  9, "-131dBm"},
  { 10, "-130dBm"},
  { 11, "-129dBm"},
  { 12, "-128dBm"},
  { 13, "-127dBm"},
  { 14, "-126dBm"},
  { 15, "-125dBm"},
  { 16, "-124dBm"},
  { 17, "-123dBm"},
  { 18, "-122dBm"},
  { 19, "-121dBm"},
  { 20, "-120dBm"},
  { 21, "-119dBm"},
  { 22, "-118dBm"},
  { 23, "-117dBm"},
  { 24, "-116dBm"},
  { 25, "-115dBm"},
  { 26, "-114dBm"},
  { 27, "-113dBm"},
  { 28, "-112dBm"},
  { 29, "-111dBm"},
  { 30, "-110dBm"},
  { 31, "-109dBm"},
  { 32, "-108dBm"},
  { 33, "-107dBm"},
  { 34, "-106dBm"},
  { 35, "-105dBm"},
  { 36, "-104dBm"},
  { 37, "-103dBm"},
  { 38, "-102dBm"},
  { 39, "-101dBm"},
  { 40, "-100dBm"},
  { 41, "-99dBm"},
  { 42, "-98dBm"},
  { 43, "-97dBm"},
  { 44, "-96dBm"},
  { 45, "-95dBm"},
  { 46, "-94dBm"},
  { 47, "-93dBm"},
  { 48, "-92dBm"},
  { 49, "-91dBm"},
  { 50, "-90dBm"},
  { 51, "-89dBm"},
  { 52, "-88dBm"},
  { 53, "-87dBm"},
  { 54, "-86dBm"},
  { 55, "-85dBm"},
  { 56, "-84dBm"},
  { 57, "-83dBm"},
  { 58, "-82dBm"},
  { 59, "-81dBm"},
  { 60, "-80dBm"},
  { 61, "-79dBm"},
  { 62, "-78dBm"},
  { 63, "-77dBm"},
  { 64, "-76dBm"},
  { 65, "-75dBm"},
  { 66, "-74dBm"},
  { 67, "-73dBm"},
  { 68, "-72dBm"},
  { 69, "-71dBm"},
  { 70, "-70dBm"},
  { 71, "-69dBm"},
  { 72, "-68dBm"},
  { 73, "-67dBm"},
  { 74, "-66dBm"},
  { 75, "-65dBm"},
  { 76, "-64dBm"},
  { 77, "-63dBm"},
  { 78, "-62dBm"},
  { 79, "-61dBm"},
  { 80, "-60dBm"},
  { 81, "-59dBm"},
  { 82, "-58dBm"},
  { 83, "-57dBm"},
  { 84, "-56dBm"},
  { 85, "-55dBm"},
  { 86, "-54dBm"},
  { 87, "-53dBm"},
  { 88, "-52dBm"},
  { 89, "-51dBm"},
  { 90, "-50dBm"},
  { 91, "-49dBm"},
  { 92, "-48dBm"},
  { 93, "-47dBm"},
  { 94, "-46dBm"},
  { 95, "-45dBm"},
  { 96, "-44dBm"},
  { 97, "-43dBm"},
  {  0, NULL}
};
static value_string_ext lte_rrc_s_Measure_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_s_Measure_vals);

static const value_string lte_rrc_utra_EcN0_vals[] = {
  { 0 , "CPICH Ec/Io < -24dB"},
  { 1 , "-24dB <= CPICH Ec/Io < -23.5dB"},
  { 2 , "-23.5dB <= CPICH Ec/Io < -23dB"},
  { 3 , "-23dB <= CPICH Ec/Io < -22.5dB"},
  { 4 , "-22.5dB <= CPICH Ec/Io < -22dB"},
  { 5 , "-22dB <= CPICH Ec/Io < -21.5dB"},
  { 6 , "-21.5dB <= CPICH Ec/Io < -21dB"},
  { 7 , "-21dB <= CPICH Ec/Io < -20.5dB"},
  { 8 , "-20.5dB <= CPICH Ec/Io < -20dB"},
  { 9 , "-20dB <= CPICH Ec/Io < -19.5dB"},
  { 10, "-19.5dB <= CPICH Ec/Io < -19dB"},
  { 11, "-19dB <= CPICH Ec/Io < -18.5dB"},
  { 12, "-18.5dB <= CPICH Ec/Io < -18dB"},
  { 13, "-18dB <= CPICH Ec/Io < -17.5dB"},
  { 14, "-17.5dB <= CPICH Ec/Io < -17dB"},
  { 15, "-17dB <= CPICH Ec/Io < -16.5dB"},
  { 16, "-16.5dB <= CPICH Ec/Io < -16dB"},
  { 17, "-16dB <= CPICH Ec/Io < -15.5dB"},
  { 18, "-15.5dB <= CPICH Ec/Io < -15dB"},
  { 19, "-15dB <= CPICH Ec/Io < -14.5dB"},
  { 20, "-14.5dB <= CPICH Ec/Io < -14dB"},
  { 21, "-14dB <= CPICH Ec/Io < -13.5dB"},
  { 22, "-13.5dB <= CPICH Ec/Io < -13dB"},
  { 23, "-13dB <= CPICH Ec/Io < -12.5dB"},
  { 24, "-12.5dB <= CPICH Ec/Io < -12dB"},
  { 25, "-12dB <= CPICH Ec/Io < -11.5dB"},
  { 26, "-11.5dB <= CPICH Ec/Io < -11dB"},
  { 27, "-11dB <= CPICH Ec/Io < -10.5dB"},
  { 28, "-10.5dB <= CPICH Ec/Io < -10dB"},
  { 29, "-10dB <= CPICH Ec/Io < -9.5dB"},
  { 30, "-9.5dB <= CPICH Ec/Io < -9dB"},
  { 31, "-9dB <= CPICH Ec/Io < -8.5dB"},
  { 32, "-8.5dB <= CPICH Ec/Io < -8dB"},
  { 33, "-8dB <= CPICH Ec/Io < -7.5dB"},
  { 34, "-7.5dB <= CPICH Ec/Io < -7dB"},
  { 35, "-7dB <= CPICH Ec/Io < -6.5dB"},
  { 36, "-6.5dB <= CPICH Ec/Io < -6dB"},
  { 37, "-6dB <= CPICH Ec/Io < -5.5dB"},
  { 38, "-5.5dB <= CPICH Ec/Io < -5dB"},
  { 39, "-5dB <= CPICH Ec/Io < -4.5dB"},
  { 40, "-4.5dB <= CPICH Ec/Io < -4dB"},
  { 41, "-4dB <= CPICH Ec/Io < -3.5dB"},
  { 42, "-3.5dB <= CPICH Ec/Io < -3dB"},
  { 43, "-3dB <= CPICH Ec/Io < -2.5dB"},
  { 44, "-2.5dB <= CPICH Ec/Io < -2dB"},
  { 45, "-2dB <= CPICH Ec/Io < -1.5dB"},
  { 46, "-1.5dB <= CPICH Ec/Io < -1dB"},
  { 47, "-1dB <= CPICH Ec/Io < -0.5dB"},
  { 48, "-0.5dB <= CPICH Ec/Io < 0dB"},
  { 49, "0dB <= CPICH Ec/Io"},
  {  0, NULL}
};
static value_string_ext lte_rrc_utra_EcN0_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_utra_EcN0_vals);

static const value_string lte_rrc_utra_RSCP_vals[] = {
  { -5, "RSCP < -120dBm"},
  { -4, "-120dBm <= RSCP < -119dBm"},
  { -3, "-119dBm <= RSCP < -118dBm"},
  { -2, "-118dBm <= RSCP < -117dBm"},
  { -1, "-117dBm <= RSCP < -116dBm"},
  {  0, "-116dBm <= RSCP < -115dBm"},
  {  1, "-115dBm <= RSCP < -114dBm"},
  {  2, "-114dBm <= RSCP < -113dBm"},
  {  3, "-113dBm <= RSCP < -112dBm"},
  {  4, "-112dBm <= RSCP < -111dBm"},
  {  5, "-111dBm <= RSCP < -110dBm"},
  {  6, "-110dBm <= RSCP < -109dBm"},
  {  7, "-109dBm <= RSCP < -108dBm"},
  {  8, "-108dBm <= RSCP < -107dBm"},
  {  9, "-107dBm <= RSCP < -106dBm"},
  { 10, "-106dBm <= RSCP < -105dBm"},
  { 11, "-105dBm <= RSCP < -104dBm"},
  { 12, "-104dBm <= RSCP < -103dBm"},
  { 13, "-103dBm <= RSCP < -102dBm"},
  { 14, "-102dBm <= RSCP < -101dBm"},
  { 15, "-101dBm <= RSCP < -100dBm"},
  { 16, "-100dBm <= RSCP < -99dBm"},
  { 17, "-99dBm <= RSCP < -98dBm"},
  { 18, "-98dBm <= RSCP < -97dBm"},
  { 19, "-97dBm <= RSCP < -96dBm"},
  { 20, "-96dBm <= RSCP < -95dBm"},
  { 21, "-95dBm <= RSCP < -94dBm"},
  { 22, "-94dBm <= RSCP < -93dBm"},
  { 23, "-93dBm <= RSCP < -92dBm"},
  { 24, "-92dBm <= RSCP < -91dBm"},
  { 25, "-91dBm <= RSCP < -90dBm"},
  { 26, "-90dBm <= RSCP < -89dBm"},
  { 27, "-89dBm <= RSCP < -88dBm"},
  { 28, "-88dBm <= RSCP < -87dBm"},
  { 29, "-87dBm <= RSCP < -86dBm"},
  { 30, "-86dBm <= RSCP < -85dBm"},
  { 31, "-85dBm <= RSCP < -84dBm"},
  { 32, "-84dBm <= RSCP < -83dBm"},
  { 33, "-83dBm <= RSCP < -82dBm"},
  { 34, "-82dBm <= RSCP < -81dBm"},
  { 35, "-81dBm <= RSCP < -80dBm"},
  { 36, "-80dBm <= RSCP < -79dBm"},
  { 37, "-79dBm <= RSCP < -78dBm"},
  { 38, "-78dBm <= RSCP < -77dBm"},
  { 39, "-77dBm <= RSCP < -76dBm"},
  { 40, "-76dBm <= RSCP < -75dBm"},
  { 41, "-75dBm <= RSCP < -74dBm"},
  { 42, "-74dBm <= RSCP < -73dBm"},
  { 43, "-73dBm <= RSCP < -72dBm"},
  { 44, "-72dBm <= RSCP < -71dBm"},
  { 45, "-71dBm <= RSCP < -70dBm"},
  { 46, "-70dBm <= RSCP < -69dBm"},
  { 47, "-69dBm <= RSCP < -68dBm"},
  { 48, "-68dBm <= RSCP < -67dBm"},
  { 49, "-67dBm <= RSCP < -66dBm"},
  { 50, "-66dBm <= RSCP < -65dBm"},
  { 51, "-65dBm <= RSCP < -64dBm"},
  { 52, "-64dBm <= RSCP < -63dBm"},
  { 53, "-63dBm <= RSCP < -62dBm"},
  { 54, "-62dBm <= RSCP < -61dBm"},
  { 55, "-61dBm <= RSCP < -60dBm"},
  { 56, "-60dBm <= RSCP < -59dBm"},
  { 57, "-59dBm <= RSCP < -58dBm"},
  { 58, "-58dBm <= RSCP < -57dBm"},
  { 59, "-57dBm <= RSCP < -56dBm"},
  { 60, "-56dBm <= RSCP < -55dBm"},
  { 61, "-55dBm <= RSCP < -54dBm"},
  { 62, "-54dBm <= RSCP < -53dBm"},
  { 63, "-53dBm <= RSCP < -52dBm"},
  { 64, "-52dBm <= RSCP < -51dBm"},
  { 65, "-51dBm <= RSCP < -50dBm"},
  { 66, "-50dBm <= RSCP < -49dBm"},
  { 67, "-49dBm <= RSCP < -48dBm"},
  { 68, "-48dBm <= RSCP < -47dBm"},
  { 69, "-47dBm <= RSCP < -46dBm"},
  { 70, "-46dBm <= RSCP < -45dBm"},
  { 71, "-45dBm <= RSCP < -44dBm"},
  { 72, "-44dBm <= RSCP < -43dBm"},
  { 73, "-43dBm <= RSCP < -42dBm"},
  { 74, "-42dBm <= RSCP < -41dBm"},
  { 75, "-41dBm <= RSCP < -40dBm"},
  { 76, "-40dBm <= RSCP < -39dBm"},
  { 77, "-39dBm <= RSCP < -38dBm"},
  { 78, "-38dBm <= RSCP < -37dBm"},
  { 79, "-37dBm <= RSCP < -36dBm"},
  { 80, "-36dBm <= RSCP < -35dBm"},
  { 81, "-35dBm <= RSCP < -34dBm"},
  { 82, "-34dBm <= RSCP < -33dBm"},
  { 83, "-33dBm <= RSCP < -32dBm"},
  { 84, "-32dBm <= RSCP < -31dBm"},
  { 85, "-31dBm <= RSCP < -30dBm"},
  { 86, "-30dBm <= RSCP < -29dBm"},
  { 87, "-29dBm <= RSCP < -28dBm"},
  { 88, "-28dBm <= RSCP < -27dBm"},
  { 89, "-27dBm <= RSCP < -26dBm"},
  { 90, "-26dBm <= RSCP < -25dBm"},
  { 91, "-25dBm <= RSCP"},
  {  0, NULL}
};
static value_string_ext lte_rrc_utra_RSCP_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_utra_RSCP_vals);

static const value_string lte_rrc_a3_a6_c2_Offset_vals[] = {
  { -30, "-15dB"},
  { -29, "-14.5dB"},
  { -28, "-14dB"},
  { -27, "-13.5dB"},
  { -26, "-13dB"},
  { -25, "-12.5dB"},
  { -24, "-12dB"},
  { -23, "-11.5dB"},
  { -22, "-11dB"},
  { -21, "-10.5dB"},
  { -20, "-10dB"},
  { -19, "-9.5dB"},
  { -18, "-9dB"},
  { -17, "-8.5dB"},
  { -16, "-8dB"},
  { -15, "-7.5dB"},
  { -14, "-7dB"},
  { -13, "-6.5dB"},
  { -12, "-6dB"},
  { -11, "-5.5dB"},
  { -10, "-5dB"},
  {  -9, "-4.5dB"},
  {  -8, "-4dB"},
  {  -7, "-3.5dB"},
  {  -6, "-3dB"},
  {  -5, "-2.5dB"},
  {  -4, "-2dB"},
  {  -3, "-1.5dB"},
  {  -2, "-1dB"},
  {  -1, "-0.5dB"},
  {   0, "0dB"},
  {   1, "0.5dB"},
  {   2, "1dB"},
  {   3, "1.5dB"},
  {   4, "2dB"},
  {   5, "2.5dB"},
  {   6, "3dB"},
  {   7, "3.5dB"},
  {   8, "4dB"},
  {   9, "4.5dB"},
  {  10, "5dB"},
  {  11, "5.5dB"},
  {  12, "6dB"},
  {  13, "6.5dB"},
  {  14, "7dB"},
  {  15, "7.5dB"},
  {  16, "8dB"},
  {  17, "8.5dB"},
  {  18, "9dB"},
  {  19, "9.5dB"},
  {  20, "10dB"},
  {  21, "10.5dB"},
  {  22, "11dB"},
  {  23, "11.5dB"},
  {  24, "12dB"},
  {  25, "12.5dB"},
  {  26, "13dB"},
  {  27, "13.5dB"},
  {  28, "14dB"},
  {  29, "14.5dB"},
  {  30, "15dB"},
  {  0, NULL}
};
static value_string_ext lte_rrc_a3_a6_c2_Offset_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_a3_a6_c2_Offset_vals);

static const value_string lte_rrc_threshold_RSRP_vals[] = {
  {  0, "-140dBm"},
  {  1, "-139dBm"},
  {  2, "-138dBm"},
  {  3, "-137dBm"},
  {  4, "-136dBm"},
  {  5, "-135dBm"},
  {  6, "-134dBm"},
  {  7, "-133dBm"},
  {  8, "-132dBm"},
  {  9, "-131dBm"},
  { 10, "-130dBm"},
  { 11, "-129dBm"},
  { 12, "-128dBm"},
  { 13, "-127dBm"},
  { 14, "-126dBm"},
  { 15, "-125dBm"},
  { 16, "-124dBm"},
  { 17, "-123dBm"},
  { 18, "-122dBm"},
  { 19, "-121dBm"},
  { 20, "-120dBm"},
  { 21, "-119dBm"},
  { 22, "-118dBm"},
  { 23, "-117dBm"},
  { 24, "-116dBm"},
  { 25, "-115dBm"},
  { 26, "-114dBm"},
  { 27, "-113dBm"},
  { 28, "-112dBm"},
  { 29, "-111dBm"},
  { 30, "-110dBm"},
  { 31, "-109dBm"},
  { 32, "-108dBm"},
  { 33, "-107dBm"},
  { 34, "-106dBm"},
  { 35, "-105dBm"},
  { 36, "-104dBm"},
  { 37, "-103dBm"},
  { 38, "-102dBm"},
  { 39, "-101dBm"},
  { 40, "-100dBm"},
  { 41, "-99dBm"},
  { 42, "-98dBm"},
  { 43, "-97dBm"},
  { 44, "-96dBm"},
  { 45, "-95dBm"},
  { 46, "-94dBm"},
  { 47, "-93dBm"},
  { 48, "-92dBm"},
  { 49, "-91dBm"},
  { 50, "-90dBm"},
  { 51, "-89dBm"},
  { 52, "-88dBm"},
  { 53, "-87dBm"},
  { 54, "-86dBm"},
  { 55, "-85dBm"},
  { 56, "-84dBm"},
  { 57, "-83dBm"},
  { 58, "-82dBm"},
  { 59, "-81dBm"},
  { 60, "-80dBm"},
  { 61, "-79dBm"},
  { 62, "-78dBm"},
  { 63, "-77dBm"},
  { 64, "-76dBm"},
  { 65, "-75dBm"},
  { 66, "-74dBm"},
  { 67, "-73dBm"},
  { 68, "-72dBm"},
  { 69, "-71dBm"},
  { 70, "-70dBm"},
  { 71, "-69dBm"},
  { 72, "-68dBm"},
  { 73, "-67dBm"},
  { 74, "-66dBm"},
  { 75, "-65dBm"},
  { 76, "-64dBm"},
  { 77, "-63dBm"},
  { 78, "-62dBm"},
  { 79, "-61dBm"},
  { 80, "-60dBm"},
  { 81, "-59dBm"},
  { 82, "-58dBm"},
  { 83, "-57dBm"},
  { 84, "-56dBm"},
  { 85, "-55dBm"},
  { 86, "-54dBm"},
  { 87, "-53dBm"},
  { 88, "-52dBm"},
  { 89, "-51dBm"},
  { 90, "-50dBm"},
  { 91, "-49dBm"},
  { 92, "-48dBm"},
  { 93, "-47dBm"},
  { 94, "-46dBm"},
  { 95, "-45dBm"},
  { 96, "-44dBm"},
  { 97, "-43dBm"},
  {  0, NULL}
};
static value_string_ext lte_rrc_threshold_RSRP_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_threshold_RSRP_vals);

static const value_string lte_rrc_threshold_RSRQ_vals[] = {
  {  0, "-20dB"},
  {  1, "-19.5dB"},
  {  2, "-19dB"},
  {  3, "-18.5dB"},
  {  4, "-18dB"},
  {  5, "-17.5dB"},
  {  6, "-17dB"},
  {  7, "-16.5dB"},
  {  8, "-16dB"},
  {  9, "-15.5dB"},
  { 10, "-15dB"},
  { 11, "-14.5dB"},
  { 12, "-14dB"},
  { 13, "-13.5dB"},
  { 14, "-13dB"},
  { 15, "-12.5dB"},
  { 16, "-12dB"},
  { 17, "-11.5dB"},
  { 18, "-11dB"},
  { 19, "-10.5dB"},
  { 20, "-10dB"},
  { 21, "-9.5dB"},
  { 22, "-9dB"},
  { 23, "-8.5dB"},
  { 24, "-8dB"},
  { 25, "-7.5dB"},
  { 26, "-7dB"},
  { 27, "-6.5dB"},
  { 28, "-6dB"},
  { 29, "-5.5dB"},
  { 30, "-5dB"},
  { 31, "-4.5dB"},
  { 32, "-4dB"},
  { 33, "-3.5dB"},
  { 34, "-3dB"},
  {  0, NULL}
};
static value_string_ext lte_rrc_threshold_RSRQ_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_threshold_RSRQ_vals);

static const value_string lte_rrc_thresholdGERAN_vals[] = {
  { 0 , "-110dBm"},
  { 1 , "-109dBm"},
  { 2 , "-108dBm"},
  { 3 , "-107dBm"},
  { 4 , "-106dBm"},
  { 5 , "-105dBm"},
  { 6 , "-104dBm"},
  { 7 , "-103dBm"},
  { 8 , "-102dBm"},
  { 9 , "-101dBm"},
  { 10, "-100dBm"},
  { 11, "-99dBm"},
  { 12, "-98dBm"},
  { 13, "-97dBm"},
  { 14, "-96dBm"},
  { 15, "-95dBm"},
  { 16, "-94dBm"},
  { 17, "-93dBm"},
  { 18, "-92dBm"},
  { 19, "-91dBm"},
  { 20, "-90dBm"},
  { 21, "-89dBm"},
  { 22, "-88dBm"},
  { 23, "-87dBm"},
  { 24, "-86dBm"},
  { 25, "-85dBm"},
  { 26, "-84dBm"},
  { 27, "-83dBm"},
  { 28, "-82dBm"},
  { 29, "-81dBm"},
  { 30, "-80dBm"},
  { 31, "-79dBm"},
  { 32, "-78dBm"},
  { 33, "-77dBm"},
  { 34, "-76dBm"},
  { 35, "-75dBm"},
  { 36, "-74dBm"},
  { 37, "-73dBm"},
  { 38, "-72dBm"},
  { 39, "-71dBm"},
  { 40, "-70dBm"},
  { 41, "-69dBm"},
  { 42, "-68dBm"},
  { 43, "-67dBm"},
  { 44, "-66dBm"},
  { 45, "-65dBm"},
  { 46, "-64dBm"},
  { 47, "-63dBm"},
  { 48, "-62dBm"},
  { 49, "-61dBm"},
  { 50, "-60dBm"},
  { 51, "-59dBm"},
  { 52, "-58dBm"},
  { 53, "-57dBm"},
  { 54, "-56dBm"},
  { 55, "-55dBm"},
  { 56, "-54dBm"},
  { 57, "-53dBm"},
  { 58, "-52dBm"},
  { 59, "-51dBm"},
  { 60, "-50dBm"},
  { 61, "-49dBm"},
  { 62, "-48dBm"},
  { 63, "-47dBm"},
  {  0, NULL}
};
static value_string_ext lte_rrc_thresholdGERAN_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_thresholdGERAN_vals);

static const value_string lte_rrc_thresholdUTRA_EcN0_vals[] = {
  { 0 , "-24.5dB"},
  { 1 , "-24dB"},
  { 2 , "-23.5dB"},
  { 3 , "-23dB"},
  { 4 , "-22.5dB"},
  { 5 , "-22dB"},
  { 6 , "-21.5dB"},
  { 7 , "-21dB"},
  { 8 , "-20.5dB"},
  { 9 , "-20dB"},
  { 10, "-19.5dB"},
  { 11, "-19dB"},
  { 12, "-18.5dB"},
  { 13, "-18dB"},
  { 14, "-17.5dB"},
  { 15, "-17dB"},
  { 16, "-16.5dB"},
  { 17, "-16dB"},
  { 18, "-15.5dB"},
  { 19, "-15dB"},
  { 20, "-14.5dB"},
  { 21, "-14dB"},
  { 22, "-13.5dB"},
  { 23, "-13dB"},
  { 24, "-12.5dB"},
  { 25, "-12dB"},
  { 26, "-11.5dB"},
  { 27, "-11dB"},
  { 28, "-10.5dB"},
  { 29, "-10dB"},
  { 30, "-9.5dB"},
  { 31, "-9dB"},
  { 32, "-8.5dB"},
  { 33, "-8dB"},
  { 34, "-7.5dB"},
  { 35, "-7dB"},
  { 36, "-6.5dB"},
  { 37, "-6dB"},
  { 38, "-5.5dB"},
  { 39, "-5dB"},
  { 40, "-4.5dB"},
  { 41, "-4dB"},
  { 42, "-3.5dB"},
  { 43, "-3dB"},
  { 44, "-2.5dB"},
  { 45, "-2dB"},
  { 46, "-1.5dB"},
  { 47, "-1dB"},
  { 48, "-0.5dB"},
  { 49, "0dB"},
  {  0, NULL}
};
static value_string_ext lte_rrc_thresholdUTRA_EcN0_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_thresholdUTRA_EcN0_vals);

static const value_string lte_rrc_thresholdUTRA_RSCP_vals[] = {
  { -5, "-120dBm"},
  { -4, "-119dBm"},
  { -3, "-118dBm"},
  { -2, "-117dBm"},
  { -1, "-116dBm"},
  {  0, "-115dBm"},
  {  1, "-114dBm"},
  {  2, "-113dBm"},
  {  3, "-112dBm"},
  {  4, "-111dBm"},
  {  5, "-110dBm"},
  {  6, "-109dBm"},
  {  7, "-108dBm"},
  {  8, "-107dBm"},
  {  9, "-106dBm"},
  { 10, "-105dBm"},
  { 11, "-104dBm"},
  { 12, "-103dBm"},
  { 13, "-102dBm"},
  { 14, "-101dBm"},
  { 15, "-100dBm"},
  { 16, "-99dBm"},
  { 17, "-98dBm"},
  { 18, "-97dBm"},
  { 19, "-96dBm"},
  { 20, "-95dBm"},
  { 21, "-94dBm"},
  { 22, "-93dBm"},
  { 23, "-92dBm"},
  { 24, "-91dBm"},
  { 25, "-90dBm"},
  { 26, "-89dBm"},
  { 27, "-88dBm"},
  { 28, "-87dBm"},
  { 29, "-86dBm"},
  { 30, "-85dBm"},
  { 31, "-84dBm"},
  { 32, "-83dBm"},
  { 33, "-82dBm"},
  { 34, "-81dBm"},
  { 35, "-80dBm"},
  { 36, "-79dBm"},
  { 37, "-78dBm"},
  { 38, "-77dBm"},
  { 39, "-76dBm"},
  { 40, "-75dBm"},
  { 41, "-74dBm"},
  { 42, "-73dBm"},
  { 43, "-72dBm"},
  { 44, "-71dBm"},
  { 45, "-70dBm"},
  { 46, "-69dBm"},
  { 47, "-68dBm"},
  { 48, "-67dBm"},
  { 49, "-66dBm"},
  { 50, "-65dBm"},
  { 51, "-64dBm"},
  { 52, "-63dBm"},
  { 53, "-62dBm"},
  { 54, "-61dBm"},
  { 55, "-60dBm"},
  { 56, "-59dBm"},
  { 57, "-58dBm"},
  { 58, "-57dBm"},
  { 59, "-56dBm"},
  { 60, "-55dBm"},
  { 61, "-54dBm"},
  { 62, "-53dBm"},
  { 63, "-52dBm"},
  { 64, "-51dBm"},
  { 65, "-50dBm"},
  { 66, "-49dBm"},
  { 67, "-48dBm"},
  { 68, "-47dBm"},
  { 69, "-46dBm"},
  { 70, "-45dBm"},
  { 71, "-44dBm"},
  { 72, "-43dBm"},
  { 73, "-42dBm"},
  { 74, "-41dBm"},
  { 75, "-40dBm"},
  { 76, "-39dBm"},
  { 77, "-38dBm"},
  { 78, "-37dBm"},
  { 79, "-36dBm"},
  { 80, "-35dBm"},
  { 81, "-34dBm"},
  { 82, "-33dBm"},
  { 83, "-32dBm"},
  { 84, "-31dBm"},
  { 85, "-30dBm"},
  { 86, "-29dBm"},
  { 87, "-28dBm"},
  { 88, "-27dBm"},
  { 89, "-26dBm"},
  { 90, "-25dBm"},
  { 91, "-24dBm"},
  {  0, NULL}
};
static value_string_ext lte_rrc_thresholdUTRA_RSCP_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_thresholdUTRA_RSCP_vals);

static const value_string lte_rrc_RSRP_Range_vals[] = {
  {  0, "RSRP < -140dBm"},
  {  1, "-140dBm <= RSRP < -139dBm"},
  {  2, "-139dBm <= RSRP < -138dBm"},
  {  3, "-138dBm <= RSRP < -137dBm"},
  {  4, "-137dBm <= RSRP < -136dBm"},
  {  5, "-136dBm <= RSRP < -135dBm"},
  {  6, "-135dBm <= RSRP < -134dBm"},
  {  7, "-134dBm <= RSRP < -133dBm"},
  {  8, "-133dBm <= RSRP < -132dBm"},
  {  9, "-132dBm <= RSRP < -131dBm"},
  { 10, "-131dBm <= RSRP < -130dBm"},
  { 11, "-130dBm <= RSRP < -129dBm"},
  { 12, "-129dBm <= RSRP < -128dBm"},
  { 13, "-128dBm <= RSRP < -127dBm"},
  { 14, "-127dBm <= RSRP < -126dBm"},
  { 15, "-126dBm <= RSRP < -125dBm"},
  { 16, "-125dBm <= RSRP < -124dBm"},
  { 17, "-124dBm <= RSRP < -123dBm"},
  { 18, "-123dBm <= RSRP < -122dBm"},
  { 19, "-122dBm <= RSRP < -121dBm"},
  { 20, "-121dBm <= RSRP < -120dBm"},
  { 21, "-120dBm <= RSRP < -119dBm"},
  { 22, "-119dBm <= RSRP < -118dBm"},
  { 23, "-118dBm <= RSRP < -117dBm"},
  { 24, "-117dBm <= RSRP < -116dBm"},
  { 25, "-116dBm <= RSRP < -115dBm"},
  { 26, "-115dBm <= RSRP < -114dBm"},
  { 27, "-114dBm <= RSRP < -113dBm"},
  { 28, "-113dBm <= RSRP < -112dBm"},
  { 29, "-112dBm <= RSRP < -111dBm"},
  { 30, "-111dBm <= RSRP < -110dBm"},
  { 31, "-110dBm <= RSRP < -109dBm"},
  { 32, "-109dBm <= RSRP < -108dBm"},
  { 33, "-108dBm <= RSRP < -107dBm"},
  { 34, "-107dBm <= RSRP < -106dBm"},
  { 35, "-106dBm <= RSRP < -105dBm"},
  { 36, "-105dBm <= RSRP < -104dBm"},
  { 37, "-104dBm <= RSRP < -103dBm"},
  { 38, "-103dBm <= RSRP < -102dBm"},
  { 39, "-102dBm <= RSRP < -101dBm"},
  { 40, "-101dBm <= RSRP < -100dBm"},
  { 41, "-100dBm <= RSRP < -99dBm"},
  { 42, "-99dBm <= RSRP < -98dBm"},
  { 43, "-98dBm <= RSRP < -97dBm"},
  { 44, "-97dBm <= RSRP < -96dBm"},
  { 45, "-96dBm <= RSRP < -95dBm"},
  { 46, "-95dBm <= RSRP < -94dBm"},
  { 47, "-94dBm <= RSRP < -93dBm"},
  { 48, "-93dBm <= RSRP < -92dBm"},
  { 49, "-92dBm <= RSRP < -91dBm"},
  { 50, "-91dBm <= RSRP < -90dBm"},
  { 51, "-90dBm <= RSRP < -89dBm"},
  { 52, "-89dBm <= RSRP < -88dBm"},
  { 53, "-88dBm <= RSRP < -87dBm"},
  { 54, "-87dBm <= RSRP < -86dBm"},
  { 55, "-86dBm <= RSRP < -85dBm"},
  { 56, "-85dBm <= RSRP < -84dBm"},
  { 57, "-84dBm <= RSRP < -83dBm"},
  { 58, "-83dBm <= RSRP < -82dBm"},
  { 59, "-82dBm <= RSRP < -81dBm"},
  { 60, "-81dBm <= RSRP < -80dBm"},
  { 61, "-80dBm <= RSRP < -79dBm"},
  { 62, "-79dBm <= RSRP < -78dBm"},
  { 63, "-78dBm <= RSRP < -77dBm"},
  { 64, "-77dBm <= RSRP < -76dBm"},
  { 65, "-76dBm <= RSRP < -75dBm"},
  { 66, "-75dBm <= RSRP < -74dBm"},
  { 67, "-74dBm <= RSRP < -73dBm"},
  { 68, "-73dBm <= RSRP < -72dBm"},
  { 69, "-72dBm <= RSRP < -71dBm"},
  { 70, "-71dBm <= RSRP < -70dBm"},
  { 71, "-70dBm <= RSRP < -69dBm"},
  { 72, "-69dBm <= RSRP < -68dBm"},
  { 73, "-68dBm <= RSRP < -67dBm"},
  { 74, "-67dBm <= RSRP < -66dBm"},
  { 75, "-66dBm <= RSRP < -65dBm"},
  { 76, "-65dBm <= RSRP < -64dBm"},
  { 77, "-64dBm <= RSRP < -63dBm"},
  { 78, "-63dBm <= RSRP < -62dBm"},
  { 79, "-62dBm <= RSRP < -61dBm"},
  { 80, "-61dBm <= RSRP < -60dBm"},
  { 81, "-60dBm <= RSRP < -59dBm"},
  { 82, "-59dBm <= RSRP < -58dBm"},
  { 83, "-58dBm <= RSRP < -57dBm"},
  { 84, "-57dBm <= RSRP < -56dBm"},
  { 85, "-56dBm <= RSRP < -55dBm"},
  { 86, "-55dBm <= RSRP < -54dBm"},
  { 87, "-54dBm <= RSRP < -53dBm"},
  { 88, "-53dBm <= RSRP < -52dBm"},
  { 89, "-52dBm <= RSRP < -51dBm"},
  { 90, "-51dBm <= RSRP < -50dBm"},
  { 91, "-50dBm <= RSRP < -49dBm"},
  { 92, "-49dBm <= RSRP < -48dBm"},
  { 93, "-48dBm <= RSRP < -47dBm"},
  { 94, "-47dBm <= RSRP < -46dBm"},
  { 95, "-46dBm <= RSRP < -45dBm"},
  { 96, "-45dBm <= RSRP < -44dBm"},
  { 97, "-44dBm <= RSRP"},
  {  0, NULL}
};
static value_string_ext lte_rrc_RSRP_Range_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_RSRP_Range_vals);

static const value_string lte_rrc_RSRP_Range_v1360_vals[] = {
  { -17, "RSRP < -156dBm"},
  { -16, "-156dBm <= RSRP < -155dBm"},
  { -15, "-155dBm <= RSRP < -154dBm"},
  { -14, "-154dBm <= RSRP < -153dBm"},
  { -13, "-153dBm <= RSRP < -152dBm"},
  { -12, "-152dBm <= RSRP < -151dBm"},
  { -11, "-151dBm <= RSRP < -150dBm"},
  { -10, "-150dBm <= RSRP < -149dBm"},
  {  -9, "-149dBm <= RSRP < -148dBm"},
  {  -8, "-148dBm <= RSRP < -147dBm"},
  {  -7, "-147dBm <= RSRP < -146dBm"},
  {  -6, "-146dBm <= RSRP < -145dBm"},
  {  -5, "-145dBm <= RSRP < -144dBm"},
  {  -4, "-144dBm <= RSRP < -143dBm"},
  {  -3, "-143dBm <= RSRP < -142dBm"},
  {  -2, "-142dBm <= RSRP < -141dBm"},
  {  -1, "-141dBm <= RSRP < -140dBm"},
  {  0, NULL}
};
static value_string_ext lte_rrc_RSRP_Range_v1360_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_RSRP_Range_v1360_vals);

static const value_string lte_rrc_RSRP_RangeSL_vals[] = {
  {  0, "-infinity"},
  {  1, "-115dBm"},
  {  2, "-110dBm"},
  {  3, "-105dBm"},
  {  4, "-100dBm"},
  {  5, "-95dBm"},
  {  6, "-90dBm"},
  {  7, "-85dBm"},
  {  8, "-80dBm"},
  {  9, "-75dBm"},
  { 10, "-70dBm"},
  { 11, "-65dBm"},
  { 12, "-60dBm"},
  { 13, "+infinity"},
  {  0, NULL}
};

static const value_string lte_rrc_RSRP_RangeSL2_vals[] = {
  {  0, "-infinity"},
  {  1, "-110dBm"},
  {  2, "-100dBm"},
  {  3, "-90dBm"},
  {  4, "-80dBm"},
  {  5, "-70dBm"},
  {  6, "-60dBm"},
  {  7, "+infinity"},
  {  0, NULL}
};

#if 0
static const value_string lte_rrc_RSRP_RangeSL3_vals[] = {
  {  0, "-110dBm"},
  {  1, "-105dBm"},
  {  2, "-100dBm"},
  {  3, "-95dBm"},
  {  4, "-90dBm"},
  {  5, "-85dBm"},
  {  6, "-80dBm"},
  {  7, "-75dBm"},
  {  8, "-70dBm"},
  {  9, "-65dBm"},
  { 10, "-60dBm"},
  { 11, "+infinity"},
  {  0, NULL}
};
#endif

static const value_string lte_rrc_RSRP_RangeSL4_vals[] = {
  {  0, "-130dBm"},
  {  1, "-128dBm"},
  {  2, "-126dBm"},
  {  3, "-124dBm"},
  {  4, "-122dBm"},
  {  5, "-120dBm"},
  {  6, "-118dBm"},
  {  7, "-116dBm"},
  {  8, "-114dBm"},
  {  9, "-112dBm"},
  { 10, "-110dBm"},
  { 11, "-108dBm"},
  { 12, "-106dBm"},
  { 13, "-104dBm"},
  { 14, "-102dBm"},
  { 15, "-100dBm"},
  { 16, "-98dBm"},
  { 17, "-96dBm"},
  { 18, "-94dBm"},
  { 19, "-92dBm"},
  { 20, "-90dBm"},
  { 21, "-88dBm"},
  { 22, "-86dBm"},
  { 23, "-84dBm"},
  { 24, "-82dBm"},
  { 25, "-80dBm"},
  { 26, "-78dBm"},
  { 27, "-76dBm"},
  { 28, "-74dBm"},
  { 29, "-72dBm"},
  { 30, "-70dBm"},
  { 31, "-68dBm"},
  { 32, "-66dBm"},
  { 33, "-64dBm"},
  { 34, "-62dBm"},
  { 35, "-60dBm"},
  { 36, "-58dBm"},
  { 37, "-56dBm"},
  { 38, "-54dBm"},
  { 39, "-52dBm"},
  { 40, "-50dBm"},
  { 41, "-48dBm"},
  { 42, "-46dBm"},
  { 43, "-44dBm"},
  { 44, "-42dBm"},
  { 45, "-40dBm"},
  { 46, "-38dBm"},
  { 47, "-36dBm"},
  { 48, "-34dBm"},
  { 49, "+infinity"},
  {  0, NULL}
};
static value_string_ext lte_rrc_RSRP_RangeSL4_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_RSRP_RangeSL4_vals);

static const value_string lte_rrc_RSRQ_Range_vals[] = {
  {-34, "RSRQ < -36dB"},
  {-33, "-36dB <= RSRQ < -35.5dB"},
  {-32, "-35.5dB <= RSRQ < -35dB"},
  {-31, "-35dB <= RSRQ < -34.5dB"},
  {-30, "-34.5dB <= RSRQ < -34dB"},
  {-29, "-34dB <= RSRQ < -33.5dB"},
  {-28, "-33.5dB <= RSRQ < -33dB"},
  {-27, "-33dB <= RSRQ < -32.5dB"},
  {-26, "-32.5dB <= RSRQ < -32dB"},
  {-25, "-32dB <= RSRQ < -31.5dB"},
  {-24, "-31.5dB <= RSRQ < -31dB"},
  {-23, "-31dB <= RSRQ < -30.5dB"},
  {-22, "-30.5dB <= RSRQ < -30dB"},
  {-21, "-30dB <= RSRQ < -29.5dB"},
  {-20, "-29.5dB <= RSRQ < -29dB"},
  {-19, "-29dB <= RSRQ < -28.5dB"},
  {-18, "-28.5dB <= RSRQ < -28dB"},
  {-17, "-28dB <= RSRQ < -27.5dB"},
  {-16, "-27.5dB <= RSRQ < -27dB"},
  {-15, "-27dB <= RSRQ < -26.5dB"},
  {-14, "-26.5dB <= RSRQ < -26dB"},
  {-13, "-26dB <= RSRQ < -25.5dB"},
  {-12, "-25.5dB <= RSRQ < -25dB"},
  {-11, "-25dB <= RSRQ < -24.5dB"},
  {-10, "-24.5dB <= RSRQ < -24dB"},
  { -9, "-24dB <= RSRQ < -23.5dB"},
  { -8, "-23.5dB <= RSRQ < -23dB"},
  { -7, "-23dB <= RSRQ < -22.5dB"},
  { -6, "-22.5dB <= RSRQ < -22dB"},
  { -5, "-22dB <= RSRQ < -21.5dB"},
  { -4, "-21.5dB <= RSRQ < -21dB"},
  { -3, "-21dB <= RSRQ < -20.5dB"},
  { -2, "-20.5dB <= RSRQ < -20dB"},
  { -1, "-20dB <= RSRQ < -19.5dB"},
  {  0, "RSRQ < -19.5dB"},
  {  1, "-19.5dB <= RSRQ < -19dB"},
  {  2, "-19dB <= RSRQ < -18.5dB"},
  {  3, "-18.5dB <= RSRQ < -18dB"},
  {  4, "-18dB <= RSRQ < -17.5dB"},
  {  5, "-17.5dB <= RSRQ < -17dB"},
  {  6, "-17dB <= RSRQ < -16.5dB"},
  {  7, "-16.5dB <= RSRQ < -16dB"},
  {  8, "-16dB <= RSRQ < -15.5dB"},
  {  9, "-15.5dB <= RSRQ < -15dB"},
  { 10, "-15dB <= RSRQ < -14.5dB"},
  { 11, "-14.5dB <= RSRQ < -14dB"},
  { 12, "-14dB <= RSRQ < -13.5dB"},
  { 13, "-13.5dB <= RSRQ < -13dB"},
  { 14, "-13dB <= RSRQ < -12.5dB"},
  { 15, "-12.5dB <= RSRQ < -12dB"},
  { 16, "-12dB <= RSRQ < -11.5dB"},
  { 17, "-11.5dB <= RSRQ < -11dB"},
  { 18, "-11dB <= RSRQ < -10.5dB"},
  { 19, "-10.5dB <= RSRQ < -10dB"},
  { 20, "-10dB <= RSRQ < -9.5dB"},
  { 21, "-9.5dB <= RSRQ < -9dB"},
  { 22, "-9dB <= RSRQ < -8.5dB"},
  { 23, "-8.5dB <= RSRQ < -8dB"},
  { 24, "-8dB <= RSRQ < -7.5dB"},
  { 25, "-7.5dB <= RSRQ < -7dB"},
  { 26, "-7dB <= RSRQ < -6.5dB"},
  { 27, "-6.5dB <= RSRQ < -6dB"},
  { 28, "-6dB <= RSRQ < -5.5dB"},
  { 29, "-5.5dB <= RSRQ < -5dB"},
  { 30, "-5dB <= RSRQ < -4.5dB"},
  { 31, "-4.5dB <= RSRQ < -4dB"},
  { 32, "-4dB <= RSRQ < -3.5dB"},
  { 33, "-3.5dB <= RSRQ < -3dB"},
  { 34, "-3dB <= RSRQ"},
  { 35, "-3dB <= RSRQ < -2.5dB"},
  { 36, "-2.5dB <= RSRQ < -2dB"},
  { 37, "-2dB <= RSRQ < -1.5dB"},
  { 38, "-1.5dB <= RSRQ < -1dB"},
  { 39, "-1dB <= RSRQ < -0.5dB"},
  { 40, "-0.5dB <= RSRQ < 0dB"},
  { 41, "0dB <= RSRQ < 0.5dB"},
  { 42, "0.5dB <= RSRQ < 1dB"},
  { 43, "1dB <= RSRQ < 1.5dB"},
  { 44, "1.5dB <= RSRQ < 2dB"},
  { 45, "2dB <= RSRQ < 2.5dB"},
  { 46, "2.5dB <= RSRQ"},
  {  0, NULL}
};
static value_string_ext lte_rrc_RSRQ_Range_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_RSRQ_Range_vals);

static const value_string lte_rrc_MBSFN_RSRQ_Range_vals[] = {
  {  0, "RSRQ < -23dB"},
  {  1, "-23dB <= RSRQ < -22.5dB"},
  {  2, "-22.5dB <= RSRQ < -22dB"},
  {  3, "-22dB <= RSRQ < -21.5dB"},
  {  4, "-21.5dB <= RSRQ < -21dB"},
  {  5, "-21dB <= RSRQ < -20.5dB"},
  {  6, "-20.5dB <= RSRQ < -20dB"},
  {  7, "-20dB <= RSRQ < -19.5dB"},
  {  8, "-19.5dB <= RSRQ < -19dB"},
  {  9, "-19dB <= RSRQ < -18.5dB"},
  { 10, "-18.5dB <= RSRQ < -18dB"},
  { 11, "-18dB <= RSRQ < -17.5dB"},
  { 12, "-17.5dB <= RSRQ < -17dB"},
  { 13, "-17dB <= RSRQ < -16.5dB"},
  { 14, "-16.5dB <= RSRQ < -16dB"},
  { 15, "-16dB <= RSRQ < -15.5dB"},
  { 16, "-15.5dB <= RSRQ < -15dB"},
  { 17, "-15dB <= RSRQ < -14.5dB"},
  { 18, "-14.5dB <= RSRQ < -14dB"},
  { 19, "-14dB <= RSRQ < -13.5dB"},
  { 20, "-13.5dB <= RSRQ < -13dB"},
  { 21, "-13dB <= RSRQ < -12.5dB"},
  { 22, "-12.5dB <= RSRQ < -12dB"},
  { 23, "-12dB <= RSRQ < -11.5dB"},
  { 24, "-11.5dB <= RSRQ < -11dB"},
  { 25, "-11dB <= RSRQ < -10.5dB"},
  { 26, "-10.5dB <= RSRQ < -10dB"},
  { 27, "-10dB <= RSRQ < -9.5dB"},
  { 28, "-9.5dB <= RSRQ < -9dB"},
  { 29, "-9dB <= RSRQ < -8.5dB"},
  { 30, "-8.5dB <= RSRQ < -8dB"},
  { 31, "-8dB <= RSRQ"},
  {  0, NULL}
};
static value_string_ext lte_rrc_MBSFN_RSRQ_Range_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_MBSFN_RSRQ_Range_vals);

static void
lte_rrc_availableAdmissionCapacityWLAN_fmt(gchar *s, guint32 v)
{
  g_snprintf(s, ITEM_LABEL_LENGTH, "%uus/s (%u)", 32*v, v);
}

static void
lte_rrc_ue_RxTxTimeDiffResult_fmt(gchar *s, guint32 v)
{
  if (v == 0) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "T < 2Ts (0)");
  } else if (v < 2048) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%uTs <= T < %uTs (%u)", v*2, (v+1)*2, v);
  } else if (v < 4095) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%uTs <= T < %uTs (%u)", (v*8)-12288, ((v+1)*8)-12288, v);
  } else {
    g_snprintf(s, ITEM_LABEL_LENGTH, "20472Ts <= T (4095)");
  }
}

static const true_false_string lte_rrc_duration_val = {
  "indefinite",
  "single"
};

static const value_string lte_rrc_eab_category_vals[] = {
  { 0, "a - all UEs" },
  { 1, "b - UEs not in their HPLMN/EHPLMN" },
  { 2, "c - UEs not in the most preferred PLMN of the country where they are roaming in EF OPLMNwACT list, nor in their HPLMN/EHPLMN" },
  { 0, NULL }
};

static const value_string lte_rrc_daylightSavingTime_vals[] = {
  { 0, "No adjustment for Daylight Saving Time"},
  { 1, "+1 hour adjustment for Daylight Saving Time"},
  { 2, "+2 hours adjustment for Daylight Saving Time"},
  { 3, "Reserved"},
  { 0, NULL},
};

static const value_string lte_rrc_neighCellConfig_vals[] = {
  { 0, "Not all neighbour cells have the same MBSFN subframe allocation as serving cell"},
  { 1, "No MBSFN subframes are present in all neighbour cells"},
  { 2, "The MBSFN subframe allocations of all neighbour cells are identical to or subsets of that in the serving cell"},
  { 3, "Different UL/DL allocation in neighbouring cells for TDD compared to the serving cell"},
  { 0, NULL},
};

static const value_string lte_rrc_messageIdentifier_vals[] = {
  { 0x1100, "ETWS Identifier for earthquake warning message"},
  { 0x1101, "ETWS Identifier for tsunami warning message"},
  { 0x1102, "ETWS Identifier for earthquake and tsunami combined warning message"},
  { 0x1103, "ETWS Identifier for test message"},
  { 0x1104, "ETWS Identifier for messages related to other emergency types"},
  { 0x1105, "ETWS Identifier for future extension"},
  { 0x1106, "ETWS Identifier for future extension"},
  { 0x1107, "ETWS Identifier for future extension"},
  { 0x1112, "CMAS Identifier for CMAS Presidential Level Alerts"},
  { 0x1113, "CMAS Identifier for CMAS Extreme Alerts with Severity of Extreme, Urgency of Immediate, and Certainty of Observed"},
  { 0x1114, "CMAS Identifier for CMAS Extreme Alerts with Severity of Extreme, Urgency of Immediate, and Certainty of Likely"},
  { 0x1115, "CMAS Identifier for CMAS Severe Alerts with Severity of Extreme, Urgency of Expected, and Certainty of Observed"},
  { 0x1116, "CMAS Identifier for CMAS Severe Alerts with Severity of Extreme, Urgency of Expected, and Certainty of Likely"},
  { 0x1117, "CMAS Identifier for CMAS Severe Alerts with Severity of Severe, Urgency of Immediate, and Certainty of Observed"},
  { 0x1118, "CMAS Identifier for CMAS Severe Alerts with Severity of Severe, Urgency of Immediate, and Certainty of Likely"},
  { 0x1119, "CMAS Identifier for CMAS Severe Alerts with Severity of Severe, Urgency of Expected, and Certainty of Observed"},
  { 0x111a, "CMAS Identifier for CMAS Severe Alerts with Severity of Severe, Urgency of Expected, and Certainty of Likely"},
  { 0x111b, "CMAS Identifier for Child Abduction Emergency (or Amber Alert)"},
  { 0x111c, "CMAS Identifier for the Required Monthly Test"},
  { 0x111d, "CMAS Identifier for CMAS Exercise"},
  { 0x111e, "CMAS Identifier for operator defined use"},
  { 0x111f, "CMAS Identifier for CMAS Presidential Level Alerts for additional languages"},
  { 0x1120, "CMAS Identifier for CMAS Extreme Alerts with Severity of Extreme, Urgency of Immediate, and Certainty of Observed for additional languages"},
  { 0x1121, "CMAS Identifier for CMAS Extreme Alerts with Severity of Extreme, Urgency of Immediate, and Certainty of Likely for additional languages"},
  { 0x1122, "CMAS Identifier for CMAS Severe Alerts with Severity of Extreme, Urgency of Expected, and Certainty of Observed for additional languages"},
  { 0x1123, "CMAS Identifier for CMAS Severe Alerts with Severity of Extreme, Urgency of Expected, and Certainty of Likely for additional languages"},
  { 0x1124, "CMAS Identifier for CMAS Severe Alerts with Severity of Severe, Urgency of Immediate, and Certainty of Observed for additional languages"},
  { 0x1125, "CMAS Identifier for CMAS Severe Alerts with Severity of Severe, Urgency of Immediate, and Certainty of Likely for additional languages"},
  { 0x1126, "CMAS Identifier for CMAS Severe Alerts with Severity of Severe, Urgency of Expected, and Certainty of Observed for additional languages"},
  { 0x1127, "CMAS Identifier for CMAS Severe Alerts with Severity of Severe, Urgency of Expected, and Certainty of Likely for additional languages"},
  { 0x1128, "CMAS Identifier for Child Abduction Emergency (or Amber Alert) for additional languages"},
  { 0x1129, "CMAS Identifier for the Required Monthly Test for additional languages"},
  { 0x112a, "CMAS Identifier for CMAS Exercise for additional languages"},
  { 0x112b, "CMAS Identifier for operator defined use for additional languages"},
  {      0, NULL},
};
value_string_ext lte_rrc_messageIdentifier_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_messageIdentifier_vals);

static const value_string lte_rrc_serialNumber_gs_vals[] = {
  { 0, "Display mode immediate, cell wide"},
  { 1, "Display mode normal, PLMN wide"},
  { 2, "Display mode normal, tracking area wide"},
  { 3, "Display mode normal, cell wide"},
  { 0, NULL},
};

static const value_string lte_rrc_warningType_vals[] = {
  { 0, "Earthquake"},
  { 1, "Tsunami"},
  { 2, "Earthquake and Tsunami"},
  { 3, "Test"},
  { 4, "Other"},
  { 0, NULL},
};

static const true_false_string lte_rrc_interBandTDD_CA_WithDifferentConfig_bit1_val = {
  "SCell DL subframes are a subset or superset of PCell by SIB1 configuration - Supported",
  "SCell DL subframes are a subset or superset of PCell by SIB1 configuration - Not supported",
};

static const true_false_string lte_rrc_interBandTDD_CA_WithDifferentConfig_bit2_val = {
  "SCell DL subframes are neither superset nor subset of PCell by SIB1 configuration - Supported",
  "SCell DL subframes are neither superset nor subset of PCell by SIB1 configuration - Not supported",
};

static const true_false_string lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit1_val = {
  "TDD PCell - Supported",
  "TDD PCell - Not supported"
};

static const true_false_string lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit2_val = {
  "FDD PCell - Supported",
  "FDD PCell - Not supported"
};

static const true_false_string hf_lte_rrc_aperiodicCSI_Reporting_r13_bit1_val = {
  "Aperiodic CSI reporting with 3 bits of the CSI request field size - Supported",
  "Aperiodic CSI reporting with 3 bits of the CSI request field size - Not supported"
};

static const true_false_string hf_lte_rrc_aperiodicCSI_Reporting_r13_bit2_val = {
  "Aperiodic CSI reporting mode 1-0 and mode 1-1 - Supported",
  "Aperiodic CSI reporting mode 1-0 and mode 1-1 - Not supported"
};

static const true_false_string hf_lte_rrc_codebook_HARQ_ACK_r13_bit1_val = {
  "DAI-based codebook size determination - Supported",
  "DAI-based codebook size determination - Not supported"
};

static const true_false_string hf_lte_rrc_codebook_HARQ_ACK_r13_bit2_val = {
  "Number of configured CCs based codebook size determination - Supported",
  "Number of configured CCs based codebook size determination - Not supported"
};

static const true_false_string lte_rrc_transmissionModeList_r12_val = {
  "NeighCellsInfo applies",
  "NeighCellsInfo does not apply"
};

static const value_string lte_rrc_excessDelay_r13_vals[] = {
  {  0, "ratio < 0.079%"},
  {  1, "0.079% < ratio < 0.100%"},
  {  2, "0.100% < ratio < 0.126%"},
  {  3, "0.126% < ratio < 0.158%"},
  {  4, "0.158% < ratio < 0.199%"},
  {  5, "0.199% < ratio < 0.251%"},
  {  6, "0.251% < ratio < 0.316%"},
  {  7, "0.316% < ratio < 0.398%"},
  {  8, "0.398% < ratio < 0.501%"},
  {  9, "0.501% < ratio < 0.631%"},
  { 10, "0.631% < ratio < 0.794%"},
  { 11, "0.794% < ratio < 1.000%"},
  { 12, "1.000% < ratio < 1.259%"},
  { 13, "1.259% < ratio < 1.585%"},
  { 14, "1.585% < ratio < 1.995%"},
  { 15, "1.995% < ratio < 2.511%"},
  { 16, "2.511% < ratio < 3.161%"},
  { 17, "3.161% < ratio < 3.980%"},
  { 18, "3.980% < ratio < 5.011%"},
  { 19, "5.011% < ratio < 6.309%"},
  { 20, "6.309% < ratio < 7.943%"},
  { 21, "7.943% < ratio < 10.00%"},
  { 22, "10.00% < ratio < 12.589%"},
  { 23, "12.589% < ratio < 15.849%"},
  { 24, "15.849% < ratio < 19.953%"},
  { 25, "19.953% < ratio < 25.119%"},
  { 26, "25.119% < ratio < 31.623%"},
  { 27, "31.623% < ratio < 39.811%"},
  { 28, "39.811% < ratio < 50.119%"},
  { 29, "50.119% < ratio < 63.096%"},
  { 30, "63.096% < ratio < 79.433%"},
  { 31, "79.433% < ratio < 100%"},
  {  0, NULL}
};
static value_string_ext lte_rrc_excessDelay_r13_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_excessDelay_r13_vals);

static void
lte_rrc_subframeBoundaryOffsetResult_r13_fmt(gchar *s, guint32 v)
{
  if (v == 0) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "abs(deltaZ) < 700Ts (0)");
  } else if (v == 63) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "1320Ts < abs(deltaZ) (63)");
  } else {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%uTs < abs(deltaZ) <= %uTs (%u)", 700+(v-1)*10, 700+v*10, v);
  }
}

static void
lte_rrc_RS_SINR_Range_r13_fmt(gchar *s, guint32 v)
{
  if (v == 0) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "RS-SINR < -23dB (0)");
  } else if (v == 127) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "40dB <= RS-SINR (127)");
  } else {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%.1fdB <= RS-SINR < %.1fdB (%u)", (((float)v-1)/2)-23, ((float)v/2)-23, v);
  }
}

static void
lte_rrc_RSSI_Range_r13_fmt(gchar *s, guint32 v)
{
  if (v == 0) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "RSSI < -100dBm (0)");
  } else if (v == 76) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "-25dBm <= RSSI (76)");
  } else {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%ddBm <= RSSI < %ddBm (%u)", -100+(v-1), -100+v, v);
  }
}

static void
lte_rrc_scptm_FreqOffset_r14_fmt(gchar *s, guint32 v)
{
  g_snprintf(s, ITEM_LABEL_LENGTH, "%udB (%u)", 2*v, v);
}

static void
lte_rrc_offsetDFN_r14_fmt(gchar *s, guint32 v)
{
  if (v == 0) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "0ms (0)");
  } else if (v < 1000) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%.3fms (%u)", ((float)v)/1000, v);
  } else {
    g_snprintf(s, ITEM_LABEL_LENGTH, "1ms (1000)");
  }
}

static void
lte_rrc_thresholdWLAN_RSSI_fmt(gchar *s, guint32 v)
{
  g_snprintf(s, ITEM_LABEL_LENGTH, "%ddBm (%u)", -128+v, v);
}

static void
lte_rrc_cr_Limit_r14_fmt(gchar *s, guint32 v)
{
  if (v == 0) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "0 (0)");
  } else if (v < 10000) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%.4f (%u)", ((float)v)/10000, v);
  } else {
    g_snprintf(s, ITEM_LABEL_LENGTH, "1 (10000)");
  }
}

static void
lte_rrc_SL_CBR_r14_fmt(gchar *s, guint32 v)
{
  if (v == 0) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "0 (0)");
  } else if (v < 100) {
    g_snprintf(s, ITEM_LABEL_LENGTH, "%.2f (%u)", ((float)v)/100, v);
  } else {
    g_snprintf(s, ITEM_LABEL_LENGTH, "1 (100)");
  }
}

static void
lte_rrc_threshS_RSSI_CBR_r14_fmt(gchar *s, guint32 v)
{
  g_snprintf(s, ITEM_LABEL_LENGTH, "%ddBm (%u)", -112+(2*v), v);
}

static const value_string lte_rrc_schedulingInfoSIB1_NB_r13_vals[] = {
  {  0, "4 NPDSCH repetitions - TBS 208 bits"},
  {  1, "8 NPDSCH repetitions - TBS 208 bits"},
  {  2, "16 NPDSCH repetitions - TBS 208 bits"},
  {  3, "4 NPDSCH repetitions - TBS 328 bits"},
  {  4, "8 NPDSCH repetitions - TBS 328 bits"},
  {  5, "16 NPDSCH repetitions - TBS 328 bits"},
  {  6, "4 NPDSCH repetitions - TBS 440 bits"},
  {  7, "8 NPDSCH repetitions - TBS 440 bits"},
  {  8, "16 NPDSCH repetitions - TBS 440 bits"},
  {  9, "4 NPDSCH repetitions - TBS 680 bits"},
  { 10, "8 NPDSCH repetitions - TBS 680 bits"},
  { 11, "16 NPDSCH repetitions - TBS 680 bits"},
  {  0, NULL}
};
static value_string_ext lte_rrc_schedulingInfoSIB1_NB_r13_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_schedulingInfoSIB1_NB_r13_vals);

static void
lte_rrc_call_dissector(dissector_handle_t handle, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
{
  TRY {
    call_dissector(handle, tvb, pinfo, tree);
  }
  CATCH_BOUNDS_ERRORS {
    show_exception(tvb, pinfo, tree, EXCEPT_CODE, GET_MESSAGE);
  }
  ENDTRY;
}

/*****************************************************************************/
/* Packet private data                                                       */
/* For this dissector, all access to actx->private_data should be made       */
/* through this API, which ensures that they will not overwrite each other!! */
/*****************************************************************************/

typedef struct meas_capabilities_item_band_mappings_t {
  guint16 number_of_bands_set;
  guint16 number_of_interfreq_serving_read;
  guint16 number_of_interfreq_target_read;
  guint16 band_by_item[256];
} meas_capabilities_item_band_mappings_t;


/**********************************************************/
/* Struct to store all current uses of packet private data */
typedef struct lte_rrc_private_data_t
{
  guint8  rat_type;
  guint8  target_rat_type;
  guint8  si_or_psi_geran;
  guint8  ra_preambles;
  guint16 message_identifier;
  guint8 warning_message_segment_type;
  guint8 warning_message_segment_number;
  drb_mapping_t drb_mapping;
  drx_config_t  drx_config;
  pdcp_security_info_t pdcp_security;
  meas_capabilities_item_band_mappings_t meas_capabilities_item_band_mappings;
  simult_pucch_pusch_cell_type cell_type;
  gboolean bcch_dl_sch_msg;
} lte_rrc_private_data_t;

/* Helper function to get or create a struct that will be actx->private_data */
static lte_rrc_private_data_t* lte_rrc_get_private_data(asn1_ctx_t *actx)
{
  if (actx->private_data != NULL) {
    return (lte_rrc_private_data_t*)actx->private_data;
  }
  else {
    lte_rrc_private_data_t* new_struct =
      (lte_rrc_private_data_t*)wmem_alloc0(wmem_packet_scope(), sizeof(lte_rrc_private_data_t));
    actx->private_data = new_struct;
    return new_struct;
  }
}


/* DRX config data */
static drx_config_t* private_data_get_drx_config(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return &private_data->drx_config;
}

/* DRB mapping info */
static drb_mapping_t* private_data_get_drb_mapping(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return &private_data->drb_mapping;
}


/* RAT type */
static guint8 private_data_get_rat_type(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->rat_type;
}

static void private_data_set_rat_type(asn1_ctx_t *actx, guint8 rat_type)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->rat_type = rat_type;
}


/* Target RAT type */
static guint8 private_data_get_rat_target_type(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->target_rat_type;
}

static void private_data_set_rat_target_type(asn1_ctx_t *actx, guint8 target_rat_type)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->target_rat_type = target_rat_type;
}


/* si_or_psi_geran */
static guint8 private_data_get_si_or_psi_geran(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->si_or_psi_geran;
}

static void private_data_set_si_or_psi_geran(asn1_ctx_t *actx, guint8 si_or_psi_geran)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->si_or_psi_geran = si_or_psi_geran;
}


/* Message identifier */
static guint16 private_data_get_message_identifier(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->message_identifier;
}

static void private_data_set_message_identifier(asn1_ctx_t *actx, guint16 message_identifier)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->message_identifier = message_identifier;
}


/* Warning message segment type */
static guint16 private_data_get_warning_message_segment_type(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->warning_message_segment_type;
}

static void private_data_set_warning_message_segment_type(asn1_ctx_t *actx, guint8 segment_type)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->warning_message_segment_type = segment_type;
}


/* Warning message segment number */
static guint16 private_data_get_warning_message_segment_number(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->warning_message_segment_number;
}

static void private_data_set_warning_message_segment_number(asn1_ctx_t *actx, guint8 segment_number)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->warning_message_segment_number = segment_number;
}


/* Number of RA-preambles */
static guint8 private_data_get_ra_preambles(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->ra_preambles;
}

static void private_data_set_ra_preambles(asn1_ctx_t *actx, guint8 ra_preambles)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->ra_preambles = ra_preambles;
}


/* PDCP Security info */
static pdcp_security_info_t* private_data_pdcp_security_algorithms(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return &private_data->pdcp_security;
}


/* Measurement UE capabilities item -> band mappings */
static meas_capabilities_item_band_mappings_t* private_data_meas_capabilities_item_band_mappings(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return &private_data->meas_capabilities_item_band_mappings;
}

static void set_freq_band_indicator(guint32 value, asn1_ctx_t *actx)
{
  /* Store band mapping for this item in the next position */
  meas_capabilities_item_band_mappings_t *mappings = private_data_meas_capabilities_item_band_mappings(actx);
  if (mappings->number_of_bands_set < 256) {
    mappings->band_by_item[mappings->number_of_bands_set++] = (guint16)value;
  }
}

static void remove_last_freq_band_indicator(asn1_ctx_t *actx)
{
  meas_capabilities_item_band_mappings_t *mappings = private_data_meas_capabilities_item_band_mappings(actx);
  if ((mappings->number_of_bands_set > 0) && (mappings->number_of_bands_set < 256)) {
    mappings->number_of_bands_set--;
  }
}

/* Cell type for simultaneousPUCCH-PUSCH-r10 */
static simult_pucch_pusch_cell_type private_data_get_simult_pucch_pusch_cell_type(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->cell_type;
}

static void private_data_set_simult_pucch_pusch_cell_type(asn1_ctx_t *actx, simult_pucch_pusch_cell_type cell_type)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->cell_type = cell_type;
}

/* Is top message a BCCH DL-SCH BR/MBMS */
static gboolean private_data_get_bcch_dl_sch_msg(asn1_ctx_t *actx)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  return private_data->bcch_dl_sch_msg;
}

static void private_data_set_bcch_dl_sch_msg(asn1_ctx_t *actx, gboolean is_bcch_dl_sch)
{
  lte_rrc_private_data_t *private_data = (lte_rrc_private_data_t*)lte_rrc_get_private_data(actx);
  private_data->bcch_dl_sch_msg = is_bcch_dl_sch;
}

/*****************************************************************************/


static void
lte_rrc_localTimeOffset_fmt(gchar *s, guint32 v)
{
  gint32 time_offset = (gint32) v;

  g_snprintf(s, ITEM_LABEL_LENGTH, "UTC time %c %dhr %dmin (%d)",
             (time_offset < 0) ? '-':'+', abs(time_offset) >> 2,
             (abs(time_offset) & 0x03) * 15, time_offset);
}

static void
dissect_lte_rrc_warningMessageSegment(tvbuff_t *warning_msg_seg_tvb, proto_tree *tree, packet_info *pinfo, guint8 dataCodingScheme)
{
  guint32 offset;
  guint8 nb_of_pages, length, *str;
  proto_item *ti;
  tvbuff_t *cb_data_page_tvb, *cb_data_tvb;
  int i;

  nb_of_pages = tvb_get_guint8(warning_msg_seg_tvb, 0);
  ti = proto_tree_add_uint(tree, hf_lte_rrc_warningMessageSegment_nb_pages, warning_msg_seg_tvb, 0, 1, nb_of_pages);
  if (nb_of_pages > 15) {
    expert_add_info_format(pinfo, ti, &ei_lte_rrc_number_pages_le15,
                           "Number of pages should be <=15 (found %u)", nb_of_pages);
    nb_of_pages = 15;
  }
  for (i = 0, offset = 1; i < nb_of_pages; i++) {
    length = tvb_get_guint8(warning_msg_seg_tvb, offset+82);
    cb_data_page_tvb = tvb_new_subset_length(warning_msg_seg_tvb, offset, length);
    cb_data_tvb = dissect_cbs_data(dataCodingScheme, cb_data_page_tvb, tree, pinfo, 0);
    if (cb_data_tvb) {
      str = tvb_get_string_enc(wmem_packet_scope(), cb_data_tvb, 0, tvb_reported_length(cb_data_tvb), ENC_UTF_8|ENC_NA);
      proto_tree_add_string_format(tree, hf_lte_rrc_warningMessageSegment_decoded_page, warning_msg_seg_tvb, offset, 83,
                                   str, "Decoded Page %u: %s", i+1, str);
    }
    offset += 83;
  }
}

static void
dissect_lte_rrc_featureGroupIndicators(tvbuff_t *featureGroupIndicators_tvb, asn1_ctx_t *actx)
{
  proto_tree *subtree;

  subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_featureGroupIndicators);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_1, featureGroupIndicators_tvb, 0, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_2, featureGroupIndicators_tvb, 1, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_3, featureGroupIndicators_tvb, 2, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_4, featureGroupIndicators_tvb, 3, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_5, featureGroupIndicators_tvb, 4, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_6, featureGroupIndicators_tvb, 5, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_7, featureGroupIndicators_tvb, 6, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_8, featureGroupIndicators_tvb, 7, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_9, featureGroupIndicators_tvb, 8, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_10, featureGroupIndicators_tvb, 9, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_11, featureGroupIndicators_tvb, 10, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_12, featureGroupIndicators_tvb, 11, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_13, featureGroupIndicators_tvb, 12, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_14, featureGroupIndicators_tvb, 13, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_15, featureGroupIndicators_tvb, 14, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_16, featureGroupIndicators_tvb, 15, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_17, featureGroupIndicators_tvb, 16, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_18, featureGroupIndicators_tvb, 17, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_19, featureGroupIndicators_tvb, 18, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_20, featureGroupIndicators_tvb, 19, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_21, featureGroupIndicators_tvb, 20, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_22, featureGroupIndicators_tvb, 21, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_23, featureGroupIndicators_tvb, 22, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_24, featureGroupIndicators_tvb, 23, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_25, featureGroupIndicators_tvb, 24, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_26, featureGroupIndicators_tvb, 25, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_27, featureGroupIndicators_tvb, 26, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_28, featureGroupIndicators_tvb, 27, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_29, featureGroupIndicators_tvb, 28, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_30, featureGroupIndicators_tvb, 29, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_31, featureGroupIndicators_tvb, 30, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_32, featureGroupIndicators_tvb, 31, 1, ENC_BIG_ENDIAN);
}

static void
dissect_lte_rrc_featureGroupIndRel10(tvbuff_t *featureGroupIndRel10_tvb, asn1_ctx_t *actx)
{
  proto_tree *subtree;

  subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_featureGroupIndRel10);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_101, featureGroupIndRel10_tvb, 0, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_102, featureGroupIndRel10_tvb, 1, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_103, featureGroupIndRel10_tvb, 2, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_104, featureGroupIndRel10_tvb, 3, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_105, featureGroupIndRel10_tvb, 4, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_106, featureGroupIndRel10_tvb, 5, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_107, featureGroupIndRel10_tvb, 6, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_108, featureGroupIndRel10_tvb, 7, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_109, featureGroupIndRel10_tvb, 8, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_110, featureGroupIndRel10_tvb, 9, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_111, featureGroupIndRel10_tvb, 10, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_112, featureGroupIndRel10_tvb, 11, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_113, featureGroupIndRel10_tvb, 12, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_114, featureGroupIndRel10_tvb, 13, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_115, featureGroupIndRel10_tvb, 14, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_116, featureGroupIndRel10_tvb, 15, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_117, featureGroupIndRel10_tvb, 16, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_118, featureGroupIndRel10_tvb, 17, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_119, featureGroupIndRel10_tvb, 18, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_120, featureGroupIndRel10_tvb, 19, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_121, featureGroupIndRel10_tvb, 20, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_122, featureGroupIndRel10_tvb, 21, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_123, featureGroupIndRel10_tvb, 22, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_124, featureGroupIndRel10_tvb, 23, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_125, featureGroupIndRel10_tvb, 24, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_126, featureGroupIndRel10_tvb, 25, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_127, featureGroupIndRel10_tvb, 26, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_128, featureGroupIndRel10_tvb, 27, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_129, featureGroupIndRel10_tvb, 28, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_130, featureGroupIndRel10_tvb, 29, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_131, featureGroupIndRel10_tvb, 30, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_132, featureGroupIndRel10_tvb, 31, 1, ENC_BIG_ENDIAN);
}

static void
dissect_lte_rrc_featureGroupIndRel9Add(tvbuff_t *featureGroupIndRel9Add_tvb, asn1_ctx_t *actx)
{
  proto_tree *subtree;

  subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_featureGroupIndRel9Add);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_33, featureGroupIndRel9Add_tvb, 0, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_34, featureGroupIndRel9Add_tvb, 1, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_35, featureGroupIndRel9Add_tvb, 2, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_36, featureGroupIndRel9Add_tvb, 3, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_37, featureGroupIndRel9Add_tvb, 4, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_38, featureGroupIndRel9Add_tvb, 5, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_39, featureGroupIndRel9Add_tvb, 6, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_40, featureGroupIndRel9Add_tvb, 7, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_41, featureGroupIndRel9Add_tvb, 8, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_42, featureGroupIndRel9Add_tvb, 9, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_43, featureGroupIndRel9Add_tvb, 10, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_44, featureGroupIndRel9Add_tvb, 11, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_45, featureGroupIndRel9Add_tvb, 12, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_46, featureGroupIndRel9Add_tvb, 13, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_47, featureGroupIndRel9Add_tvb, 14, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_48, featureGroupIndRel9Add_tvb, 15, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_49, featureGroupIndRel9Add_tvb, 16, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_50, featureGroupIndRel9Add_tvb, 17, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_51, featureGroupIndRel9Add_tvb, 18, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_52, featureGroupIndRel9Add_tvb, 19, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_53, featureGroupIndRel9Add_tvb, 20, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_54, featureGroupIndRel9Add_tvb, 21, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_55, featureGroupIndRel9Add_tvb, 22, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_56, featureGroupIndRel9Add_tvb, 23, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_57, featureGroupIndRel9Add_tvb, 24, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_58, featureGroupIndRel9Add_tvb, 25, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_59, featureGroupIndRel9Add_tvb, 26, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_60, featureGroupIndRel9Add_tvb, 27, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_61, featureGroupIndRel9Add_tvb, 28, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_62, featureGroupIndRel9Add_tvb, 29, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_63, featureGroupIndRel9Add_tvb, 30, 1, ENC_BIG_ENDIAN);
  proto_tree_add_bits_item(subtree, hf_lte_rrc_eutra_cap_feat_group_ind_64, featureGroupIndRel9Add_tvb, 31, 1, ENC_BIG_ENDIAN);
}

/* Functions to get enum values out of indices parsed */
/* If entry not found, return last element of array */
static guint32 drx_lookup_onDurationTimer(guint32 idx)
{
  static const guint32 vals[] = {1,2,3,4,5,6,8,10,20,30,40,50,60,80,100,200};

  if (idx < (sizeof(vals)/sizeof(guint32))) {
    return vals[idx];
  }
  return (sizeof(vals)/(sizeof(guint32)) - 1);
}

static guint32 drx_lookup_inactivityTimer(guint32 idx)
{
  static const guint32 vals[] = {
    1,2,3,4,5,6,8,10,20,30,40,50,60,80,100,200,300, 500,750,1280,1920,2560,0
  };

  if (idx < (sizeof(vals)/sizeof(guint32))) {
    return vals[idx];
  }
  return (sizeof(vals)/(sizeof(guint32)) - 1);
}

static guint32 drx_lookup_retransmissionTimer(guint32 idx)
{
  static const guint32 vals[] = {1,2,4,6,8,16,24,33};

  if (idx < (sizeof(vals)/sizeof(guint32))) {
    return vals[idx];
  }
  return (sizeof(vals)/(sizeof(guint32)) - 1);
}

static guint32 drx_lookup_longCycle(guint32 idx)
{
  static const guint32 vals[] = {
    10,20,32,40,64,80,128,160,256,320,512,640,1024,1280,2048,2560
  };

  if (idx < (sizeof(vals)/sizeof(guint32))) {
    return vals[idx];
  }
  return (sizeof(vals)/(sizeof(guint32)) - 1);
}

static guint32 drx_lookup_longCycle_v1130(guint32 idx)
{
  static const guint32 vals[] = {
    60,70
  };

  if (idx < (sizeof(vals)/sizeof(guint32))) {
    return vals[idx];
  }
  return (sizeof(vals)/(sizeof(guint32)) - 1);
}


static guint32 drx_lookup_shortCycle(guint32 idx)
{
  static const guint32 vals[] = {
    2,5,8,10,16,20,32,40,64,80,128,160,256,320,512,640
  };

  if (idx < (sizeof(vals)/sizeof(guint32))) {
    return vals[idx];
  }
  return (sizeof(vals)/(sizeof(guint32)) - 1);
}

static void drx_check_config_sane(drx_config_t *config, asn1_ctx_t *actx)
{
  /* OnDuration must be shorter than long cycle */
  if (config->onDurationTimer >= config->longCycle) {
      expert_add_info_format(actx->pinfo, actx->created_item, &ei_lte_rrc_invalid_drx_config,
                                  "OnDurationTimer (%u) should be less than long cycle (%u)",
                                  config->onDurationTimer, config->longCycle);
  }

  if (config->shortCycleConfigured) {
    /* Short cycle must be < long, and be a multiple of it */
    if (config->shortCycle >= config->longCycle) {
      expert_add_info_format(actx->pinfo, actx->created_item, &ei_lte_rrc_invalid_drx_config,
                                  "Short DRX cycle (%u) must be shorter than long cycle (%u)",
                                  config->shortCycle, config->longCycle);
    }
    /* Long cycle needs to be an exact multiple of the short cycle */
    else if (config->shortCycle && ((config->longCycle % config->shortCycle) != 0)) {
      expert_add_info_format(actx->pinfo, actx->created_item, &ei_lte_rrc_invalid_drx_config,
                                  "Short DRX cycle (%u) must divide the long cycle (%u) exactly",
                                  config->shortCycle, config->longCycle);

    }
    /* OnDuration shouldn't be longer than the short cycle */
    if (config->onDurationTimer >= config->shortCycle) {
      expert_add_info_format(actx->pinfo, actx->created_item, &ei_lte_rrc_invalid_drx_config,
                                  "OnDurationTimer (%u) should not be longer than the short cycle (%u)",
                                  config->onDurationTimer, config->shortCycle);
    }
    /* TODO: check that (onDuration+(shortCycle*shortCycleTimer)) < longCycle ? */
    /* TODO: check that (shortCycle*shortCycleTimer) < longCycle ? */
  }
}

/* Break sr-configIndex down into periodicity and offset.  From 36.231, 10.1 */
static void sr_lookup_configindex(guint32 config_index, guint16 *periodicity, guint16 *offset)
{
  if (config_index < 5) {
    *periodicity = 5;
    *offset = config_index;
  } else if (config_index < 15) {
    *periodicity = 10;
    *offset = config_index - 5;
  }
  else if (config_index < 35) {
    *periodicity = 20;
    *offset = config_index - 15;
  }
  else if (config_index < 75) {
    *periodicity = 40;
    *offset = config_index - 35;
  }
  else if (config_index < 155) {
    *periodicity = 80;
    *offset = config_index - 75;
  }
  else if (config_index < 157) {
    *periodicity = 2;
    *offset = config_index - 155;
  }
  else {
    *periodicity = 1;
    *offset = 0;
  }
}


/*--- Included file: packet-lte-rrc-fn.c ---*/
#line 1 "./asn1/lte-rrc/packet-lte-rrc-fn.c"
/*--- PDUs declarations ---*/
static int dissect_HandoverPreparationInformation_v9j0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_MBMSInterestIndication_r11_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UE_RadioPagingInfo_r12_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SystemInformationBlockType1_v890_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_InDeviceCoexIndication_r11_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UEAssistanceInformation_r11_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SidelinkUEInformation_r12_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_WLANConnectionStatusReport_r13_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SystemInformationBlockType1_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_RRCConnectionReconfiguration_v8m0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SystemInformationBlockType2_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_RRCConnectionRelease_v9e0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SCGFailureInformation_v12d0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SystemInformationBlockType1_v8h0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UEInformationResponse_v9e0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SystemInformationBlockType2_v8h0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SystemInformationBlockType3_v10j0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SystemInformationBlockType5_v8h0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_SystemInformationBlockType6_v8h0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UE_EUTRA_Capability_v10j0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UE_EUTRA_Capability_v9a0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UE_Capability_NB_Ext_r14_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UE_Capability_NB_r13_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UECapabilityInformation_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);
static int dissect_UE_RadioPagingInfo_NB_r13_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_);



static int
dissect_lte_rrc_T_handoverCommandMessage(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_DL_DCCH_Message_PDU);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension, T_nonCriticalExtension_sequence);

  return offset;
}


static const per_sequence_t HandoverCommand_r8_IEs_sequence[] = {
  { &hf_lte_rrc_handoverCommandMessage, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_handoverCommandMessage },
  { &hf_lte_rrc_nonCriticalExtension, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverCommand_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverCommand_r8_IEs, HandoverCommand_r8_IEs_sequence);

  return offset;
}



static int
dissect_lte_rrc_NULL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_null(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string lte_rrc_T_c1_vals[] = {
  {   0, "handoverCommand-r8" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_choice[] = {
  {   0, &hf_lte_rrc_handoverCommand_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_HandoverCommand_r8_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1, T_c1_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture, T_criticalExtensionsFuture_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_choice[] = {
  {   0, &hf_lte_rrc_c1          , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions, T_criticalExtensions_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t HandoverCommand_sequence[] = {
  { &hf_lte_rrc_criticalExtensions, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverCommand(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverCommand, HandoverCommand_sequence);

  return offset;
}


static const value_string lte_rrc_RAT_Type_vals[] = {
  { RAT_Type_eutra, "eutra" },
  { RAT_Type_utra, "utra" },
  { RAT_Type_geran_cs, "geran-cs" },
  { RAT_Type_geran_ps, "geran-ps" },
  { RAT_Type_cdma2000_1XRTT, "cdma2000-1XRTT" },
  { RAT_Type_nr, "nr" },
  { RAT_Type_eutra_nr, "eutra-nr" },
  { RAT_Type_spare1, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_RAT_Type(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 rat_type;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, &rat_type, TRUE, 0, NULL);

  private_data_set_rat_type(actx, (guint8)rat_type);



  return offset;
}



static int
dissect_lte_rrc_T_ueCapabilityRAT_Container(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ue_cap_tvb=NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &ue_cap_tvb);



if(ue_cap_tvb){
  guint32 length;
  proto_item *item;
  proto_tree *subtree, *subtree2;
  guint8 byte;
  subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_UE_CapabilityRAT_Container);
  switch(private_data_get_rat_type(actx)){
  case RAT_Type_eutra:
    /* eutra */
    dissect_lte_rrc_UE_EUTRA_Capability_PDU(ue_cap_tvb, actx->pinfo, subtree, NULL);
    break;
  case RAT_Type_utra:
    /* utra */
    dissect_rrc_InterRATHandoverInfo_PDU(ue_cap_tvb, actx->pinfo, subtree, NULL);
    break;
  case RAT_Type_geran_cs:
    /* geran-cs */
    /* Mobile Station Classmark 2 is formatted as TLV with the two first bytes set to 0x33 0x03 */
    subtree2 = proto_tree_add_subtree(subtree, ue_cap_tvb, 0, 5,
                       ett_lte_rrc_UE_CapabilityRAT_Container, &item, "Mobile Station Classmark 2");
    byte = tvb_get_guint8(ue_cap_tvb, 0);
    if (byte != 0x33) {
      expert_add_info_format(actx->pinfo, item, &ei_lte_rrc_unexpected_type_value,
                             "Unexpected type value (found 0x%02X)", byte);
    }
    byte = tvb_get_guint8(ue_cap_tvb, 1);
    if (byte != 0x03) {
      expert_add_info_format(actx->pinfo, item, &ei_lte_rrc_unexpected_length_value,
                             "Unexpected length value (found %d)", byte);
    }
    de_ms_cm_2(ue_cap_tvb, subtree2, actx->pinfo, 2, 3, NULL, 0);
    /* Mobile Station Classmark 3 is formatted as V */
    length = tvb_reported_length_remaining(ue_cap_tvb, 5);
    subtree2 = proto_tree_add_subtree(subtree, ue_cap_tvb, 5, length,
                   ett_lte_rrc_UE_CapabilityRAT_Container, NULL, "Mobile Station Classmark 3");
    de_ms_cm_3(ue_cap_tvb, subtree2, actx->pinfo, 5, length, NULL, 0);
    break;
  case RAT_Type_geran_ps:
    /* geran-ps */
    /* MS Radio Access Capability is formatted as V */
    length = tvb_reported_length(ue_cap_tvb);
    subtree2 = proto_tree_add_subtree(subtree, ue_cap_tvb, 0, length,
                     ett_lte_rrc_UE_CapabilityRAT_Container, NULL, "MS Radio Access Capability");
    de_gmm_ms_radio_acc_cap(ue_cap_tvb, subtree2, actx->pinfo, 0, length, NULL, 0);
    break;
  case RAT_Type_cdma2000_1XRTT:
    /* cdma2000-1XRTT */
    /* dissection of "A21 Mobile Subscription Information" could be added to packet-ansi_a.c */
    break;
  case RAT_Type_nr:
    /* nr */
    dissect_nr_rrc_UE_NR_Capability_PDU(ue_cap_tvb, actx->pinfo, subtree, NULL);
    break;
  case RAT_Type_eutra_nr:
    /* eutra-nr */
    dissect_nr_rrc_UE_MRDC_Capability_PDU(ue_cap_tvb, actx->pinfo, subtree, NULL);
    break;
  default:
    break;
  }
}

  return offset;
}


static const per_sequence_t UE_CapabilityRAT_Container_sequence[] = {
  { &hf_lte_rrc_rat_Type    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RAT_Type },
  { &hf_lte_rrc_ueCapabilityRAT_Container, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ueCapabilityRAT_Container },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_CapabilityRAT_Container(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  /* Initialise to invalid value */
  private_data_set_rat_type(actx, 0xFF);
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_CapabilityRAT_Container, UE_CapabilityRAT_Container_sequence);



  return offset;
}


static const per_sequence_t UE_CapabilityRAT_ContainerList_sequence_of[1] = {
  { &hf_lte_rrc_UE_CapabilityRAT_ContainerList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_CapabilityRAT_Container },
};

static int
dissect_lte_rrc_UE_CapabilityRAT_ContainerList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_UE_CapabilityRAT_ContainerList, UE_CapabilityRAT_ContainerList_sequence_of,
                                                  0, maxRAT_Capabilities, FALSE);

  return offset;
}



static int
dissect_lte_rrc_MeasObjectId(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxObjectId, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasObjectToRemoveList_sequence_of[1] = {
  { &hf_lte_rrc_MeasObjectToRemoveList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId },
};

static int
dissect_lte_rrc_MeasObjectToRemoveList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasObjectToRemoveList, MeasObjectToRemoveList_sequence_of,
                                                  1, maxObjectId, FALSE);

  return offset;
}



static int
dissect_lte_rrc_ARFCN_ValueEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxEARFCN, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_AllowedMeasBandwidth_vals[] = {
  {   0, "mbw6" },
  {   1, "mbw15" },
  {   2, "mbw25" },
  {   3, "mbw50" },
  {   4, "mbw75" },
  {   5, "mbw100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_AllowedMeasBandwidth(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_PresenceAntennaPort1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_boolean(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}



static int
dissect_lte_rrc_NeighCellConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *neigh_cell_config_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     2, 2, FALSE, &neigh_cell_config_tvb, NULL);



  if (neigh_cell_config_tvb) {
    guint bitvalue = tvb_get_bits8(neigh_cell_config_tvb, 0, 2);
    actx->created_item = proto_tree_add_uint(tree, hf_index, neigh_cell_config_tvb, 0, 1, bitvalue);
  }

  return offset;
}


static const value_string lte_rrc_Q_OffsetRange_vals[] = {
  {   0, "dB-24" },
  {   1, "dB-22" },
  {   2, "dB-20" },
  {   3, "dB-18" },
  {   4, "dB-16" },
  {   5, "dB-14" },
  {   6, "dB-12" },
  {   7, "dB-10" },
  {   8, "dB-8" },
  {   9, "dB-6" },
  {  10, "dB-5" },
  {  11, "dB-4" },
  {  12, "dB-3" },
  {  13, "dB-2" },
  {  14, "dB-1" },
  {  15, "dB0" },
  {  16, "dB1" },
  {  17, "dB2" },
  {  18, "dB3" },
  {  19, "dB4" },
  {  20, "dB5" },
  {  21, "dB6" },
  {  22, "dB8" },
  {  23, "dB10" },
  {  24, "dB12" },
  {  25, "dB14" },
  {  26, "dB16" },
  {  27, "dB18" },
  {  28, "dB20" },
  {  29, "dB22" },
  {  30, "dB24" },
  { 0, NULL }
};

static value_string_ext lte_rrc_Q_OffsetRange_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_Q_OffsetRange_vals);


static int
dissect_lte_rrc_Q_OffsetRange(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     31, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_CellIndex(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCellMeas, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellIndexList_sequence_of[1] = {
  { &hf_lte_rrc_CellIndexList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellIndex },
};

static int
dissect_lte_rrc_CellIndexList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellIndexList, CellIndexList_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxCellMeas(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCellMeas, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_PhysCellId(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 503U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellsToAddMod_sequence[] = {
  { &hf_lte_rrc_cellIndex   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellMeas },
  { &hf_lte_rrc_physCellId_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_cellIndividualOffset, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_OffsetRange },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellsToAddMod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellsToAddMod, CellsToAddMod_sequence);

  return offset;
}


static const per_sequence_t CellsToAddModList_sequence_of[1] = {
  { &hf_lte_rrc_CellsToAddModList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellsToAddMod },
};

static int
dissect_lte_rrc_CellsToAddModList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellsToAddModList, CellsToAddModList_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}


static const value_string lte_rrc_T_range_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  {   2, "n12" },
  {   3, "n16" },
  {   4, "n24" },
  {   5, "n32" },
  {   6, "n48" },
  {   7, "n64" },
  {   8, "n84" },
  {   9, "n96" },
  {  10, "n128" },
  {  11, "n168" },
  {  12, "n252" },
  {  13, "n504" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_range(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhysCellIdRange_sequence[] = {
  { &hf_lte_rrc_start_01    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_range       , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysCellIdRange(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhysCellIdRange, PhysCellIdRange_sequence);

  return offset;
}


static const per_sequence_t BlackCellsToAddMod_sequence[] = {
  { &hf_lte_rrc_cellIndex   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellMeas },
  { &hf_lte_rrc_physCellIdRange, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdRange },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BlackCellsToAddMod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BlackCellsToAddMod, BlackCellsToAddMod_sequence);

  return offset;
}


static const per_sequence_t BlackCellsToAddModList_sequence_of[1] = {
  { &hf_lte_rrc_BlackCellsToAddModList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BlackCellsToAddMod },
};

static int
dissect_lte_rrc_BlackCellsToAddModList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BlackCellsToAddModList, BlackCellsToAddModList_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}


static const value_string lte_rrc_MeasCycleSCell_r10_vals[] = {
  {   0, "sf160" },
  {   1, "sf256" },
  {   2, "sf320" },
  {   3, "sf512" },
  {   4, "sf640" },
  {   5, "sf1024" },
  {   6, "sf1280" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_MeasCycleSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_40(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     40, 40, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     20, 20, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_70(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     70, 70, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_60(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     60, 60, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_subframePatternTDD_r10_vals[] = {
  {   0, "subframeConfig1-5-r10" },
  {   1, "subframeConfig0-r10" },
  {   2, "subframeConfig6-r10" },
  { 0, NULL }
};

static const per_choice_t T_subframePatternTDD_r10_choice[] = {
  {   0, &hf_lte_rrc_subframeConfig1_5_r10, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_BIT_STRING_SIZE_20 },
  {   1, &hf_lte_rrc_subframeConfig0_r10, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_BIT_STRING_SIZE_70 },
  {   2, &hf_lte_rrc_subframeConfig6_r10, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_BIT_STRING_SIZE_60 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_subframePatternTDD_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_subframePatternTDD_r10, T_subframePatternTDD_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_MeasSubframePattern_r10_vals[] = {
  {   0, "subframePatternFDD-r10" },
  {   1, "subframePatternTDD-r10" },
  { 0, NULL }
};

static const per_choice_t MeasSubframePattern_r10_choice[] = {
  {   0, &hf_lte_rrc_subframePatternFDD_r10, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_BIT_STRING_SIZE_40 },
  {   1, &hf_lte_rrc_subframePatternTDD_r10, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_subframePatternTDD_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_MeasSubframePattern_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_MeasSubframePattern_r10, MeasSubframePattern_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasSubframeCellList_r10_sequence_of[1] = {
  { &hf_lte_rrc_MeasSubframeCellList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdRange },
};

static int
dissect_lte_rrc_MeasSubframeCellList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasSubframeCellList_r10, MeasSubframeCellList_r10_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}


static const per_sequence_t T_setup_107_sequence[] = {
  { &hf_lte_rrc_measSubframePatternNeigh_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasSubframePattern_r10 },
  { &hf_lte_rrc_measSubframeCellList_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasSubframeCellList_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_107(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_107, T_setup_107_sequence);

  return offset;
}


static const value_string lte_rrc_MeasSubframePatternConfigNeigh_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t MeasSubframePatternConfigNeigh_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_121   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_107 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_MeasSubframePatternConfigNeigh_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_MeasSubframePatternConfigNeigh_r10, MeasSubframePatternConfigNeigh_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasObjectEUTRA_eag_1_sequence[] = {
  { &hf_lte_rrc_measCycleSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasCycleSCell_r10 },
  { &hf_lte_rrc_measSubframePatternConfigNeigh_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasSubframePatternConfigNeigh_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectEUTRA_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasObjectEUTRA_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_BOOLEAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_boolean(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}


static const per_sequence_t MeasObjectEUTRA_eag_2_sequence[] = {
  { &hf_lte_rrc_widebandRSRQ_Meas_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectEUTRA_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasObjectEUTRA_eag_2_sequence);

  return offset;
}


static const per_sequence_t AltTTT_CellsToAddMod_r12_sequence[] = {
  { &hf_lte_rrc_cellIndex_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellMeas },
  { &hf_lte_rrc_physCellIdRange_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdRange },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AltTTT_CellsToAddMod_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AltTTT_CellsToAddMod_r12, AltTTT_CellsToAddMod_r12_sequence);

  return offset;
}


static const per_sequence_t AltTTT_CellsToAddModList_r12_sequence_of[1] = {
  { &hf_lte_rrc_AltTTT_CellsToAddModList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AltTTT_CellsToAddMod_r12 },
};

static int
dissect_lte_rrc_AltTTT_CellsToAddModList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AltTTT_CellsToAddModList_r12, AltTTT_CellsToAddModList_r12_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}


static const value_string lte_rrc_T_setup_106_vals[] = {
  {   0, "ms0" },
  {   1, "ms50" },
  {   2, "ms100" },
  {   3, "ms200" },
  {   4, "ms300" },
  {   5, "ms400" },
  {   6, "ms500" },
  {   7, "ms1000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_setup_106(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t312_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_t312_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_120   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_106 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_t312_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_t312_r12, T_t312_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_39(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 39U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_79(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 79U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_159(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 159U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_dmtc_PeriodOffset_r12_vals[] = {
  {   0, "ms40-r12" },
  {   1, "ms80-r12" },
  {   2, "ms160-r12" },
  { 0, NULL }
};

static const per_choice_t T_dmtc_PeriodOffset_r12_choice[] = {
  {   0, &hf_lte_rrc_ms40_r12    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_INTEGER_0_39 },
  {   1, &hf_lte_rrc_ms80_r12    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_INTEGER_0_79 },
  {   2, &hf_lte_rrc_ms160_r12   , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_INTEGER_0_159 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dmtc_PeriodOffset_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dmtc_PeriodOffset_r12, T_dmtc_PeriodOffset_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxDS_Duration_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxDS_Duration_r12, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_2_maxDS_Duration_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            2U, maxDS_Duration_r12, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_ds_OccasionDuration_r12_vals[] = {
  {   0, "durationFDD-r12" },
  {   1, "durationTDD-r12" },
  { 0, NULL }
};

static const per_choice_t T_ds_OccasionDuration_r12_choice[] = {
  {   0, &hf_lte_rrc_durationFDD_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_1_maxDS_Duration_r12 },
  {   1, &hf_lte_rrc_durationTDD_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_2_maxDS_Duration_r12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ds_OccasionDuration_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ds_OccasionDuration_r12, T_ds_OccasionDuration_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_MeasCSI_RS_Id_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCSI_RS_Meas_r12, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasCSI_RS_ToRemoveList_r12_sequence_of[1] = {
  { &hf_lte_rrc_MeasCSI_RS_ToRemoveList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasCSI_RS_Id_r12 },
};

static int
dissect_lte_rrc_MeasCSI_RS_ToRemoveList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasCSI_RS_ToRemoveList_r12, MeasCSI_RS_ToRemoveList_r12_sequence_of,
                                                  1, maxCSI_RS_Meas_r12, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_503(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 503U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasCSI_RS_Config_r12_sequence[] = {
  { &hf_lte_rrc_measCSI_RS_Id_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasCSI_RS_Id_r12 },
  { &hf_lte_rrc_physCellId_r12_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { &hf_lte_rrc_scramblingIdentity_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { &hf_lte_rrc_resourceConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_subframeOffset_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_4 },
  { &hf_lte_rrc_csi_RS_IndividualOffset_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_OffsetRange },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasCSI_RS_Config_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasCSI_RS_Config_r12, MeasCSI_RS_Config_r12_sequence);

  return offset;
}


static const per_sequence_t MeasCSI_RS_ToAddModList_r12_sequence_of[1] = {
  { &hf_lte_rrc_MeasCSI_RS_ToAddModList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasCSI_RS_Config_r12 },
};

static int
dissect_lte_rrc_MeasCSI_RS_ToAddModList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasCSI_RS_ToAddModList_r12, MeasCSI_RS_ToAddModList_r12_sequence_of,
                                                  1, maxCSI_RS_Meas_r12, FALSE);

  return offset;
}


static const per_sequence_t T_setup_102_sequence[] = {
  { &hf_lte_rrc_dmtc_PeriodOffset_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dmtc_PeriodOffset_r12 },
  { &hf_lte_rrc_ds_OccasionDuration_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ds_OccasionDuration_r12 },
  { &hf_lte_rrc_measCSI_RS_ToRemoveList_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasCSI_RS_ToRemoveList_r12 },
  { &hf_lte_rrc_measCSI_RS_ToAddModList_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasCSI_RS_ToAddModList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_102(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_102, T_setup_102_sequence);

  return offset;
}


static const value_string lte_rrc_MeasDS_Config_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t MeasDS_Config_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_116   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_102 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_MeasDS_Config_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_MeasDS_Config_r12, MeasDS_Config_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasObjectEUTRA_eag_3_sequence[] = {
  { &hf_lte_rrc_altTTT_CellsToRemoveList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellIndexList },
  { &hf_lte_rrc_altTTT_CellsToAddModList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AltTTT_CellsToAddModList_r12 },
  { &hf_lte_rrc_t312_r12    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t312_r12 },
  { &hf_lte_rrc_reducedMeasPerformance_r12_05, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_measDS_Config_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasDS_Config_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectEUTRA_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasObjectEUTRA_eag_3_sequence);

  return offset;
}


static const per_sequence_t WhiteCellsToAddMod_r13_sequence[] = {
  { &hf_lte_rrc_cellIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellMeas },
  { &hf_lte_rrc_physCellIdRange_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdRange },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WhiteCellsToAddMod_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WhiteCellsToAddMod_r13, WhiteCellsToAddMod_r13_sequence);

  return offset;
}


static const per_sequence_t WhiteCellsToAddModList_r13_sequence_of[1] = {
  { &hf_lte_rrc_WhiteCellsToAddModList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WhiteCellsToAddMod_r13 },
};

static int
dissect_lte_rrc_WhiteCellsToAddModList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_WhiteCellsToAddModList_r13, WhiteCellsToAddModList_r13_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}


static const value_string lte_rrc_T_rmtc_Period_r13_vals[] = {
  {   0, "ms40" },
  {   1, "ms80" },
  {   2, "ms160" },
  {   3, "ms320" },
  {   4, "ms640" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rmtc_Period_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_639(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 639U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_measDuration_r13_vals[] = {
  {   0, "sym1" },
  {   1, "sym14" },
  {   2, "sym28" },
  {   3, "sym42" },
  {   4, "sym70" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_measDuration_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_108_sequence[] = {
  { &hf_lte_rrc_rmtc_Period_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rmtc_Period_r13 },
  { &hf_lte_rrc_rmtc_SubframeOffset_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_639 },
  { &hf_lte_rrc_measDuration_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measDuration_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_108(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_108, T_setup_108_sequence);

  return offset;
}


static const value_string lte_rrc_RMTC_Config_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t RMTC_Config_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_122   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_108 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RMTC_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RMTC_Config_r13, RMTC_Config_r13_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            maxEARFCN_Plus1, maxEARFCN2, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasObjectEUTRA_eag_4_sequence[] = {
  { &hf_lte_rrc_whiteCellsToRemoveList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellIndexList },
  { &hf_lte_rrc_whiteCellsToAddModList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_WhiteCellsToAddModList_r13 },
  { &hf_lte_rrc_rmtc_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RMTC_Config_r13 },
  { &hf_lte_rrc_carrierFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectEUTRA_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasObjectEUTRA_eag_4_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_V2X_TxPoolReportIdentity_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxSL_PoolToMeasure_r14, NULL, FALSE);

  return offset;
}


static const per_sequence_t Tx_ResourcePoolMeasList_r14_sequence_of[1] = {
  { &hf_lte_rrc_Tx_ResourcePoolMeasList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_V2X_TxPoolReportIdentity_r14 },
};

static int
dissect_lte_rrc_Tx_ResourcePoolMeasList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_Tx_ResourcePoolMeasList_r14, Tx_ResourcePoolMeasList_r14_sequence_of,
                                                  1, maxSL_PoolToMeasure_r14, FALSE);

  return offset;
}


static const per_sequence_t MeasObjectEUTRA_eag_5_sequence[] = {
  { &hf_lte_rrc_tx_ResourcePoolToRemoveList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Tx_ResourcePoolMeasList_r14 },
  { &hf_lte_rrc_tx_ResourcePoolToAddList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Tx_ResourcePoolMeasList_r14 },
  { &hf_lte_rrc_fembms_MixedCarrier_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectEUTRA_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasObjectEUTRA_eag_5_sequence);

  return offset;
}


static const per_sequence_t MeasObjectEUTRA_sequence[] = {
  { &hf_lte_rrc_carrierFreq_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_allowedMeasBandwidth, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AllowedMeasBandwidth },
  { &hf_lte_rrc_presenceAntennaPort1, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PresenceAntennaPort1 },
  { &hf_lte_rrc_neighCellConfig, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellConfig },
  { &hf_lte_rrc_offsetFreq_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_OffsetRange },
  { &hf_lte_rrc_cellsToRemoveList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellIndexList },
  { &hf_lte_rrc_cellsToAddModList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellsToAddModList },
  { &hf_lte_rrc_blackCellsToRemoveList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellIndexList },
  { &hf_lte_rrc_blackCellsToAddModList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BlackCellsToAddModList },
  { &hf_lte_rrc_cellForWhichToReportCGI_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysCellId },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectEUTRA_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectEUTRA_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectEUTRA_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectEUTRA_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectEUTRA_eag_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectEUTRA, MeasObjectEUTRA_sequence);

  return offset;
}



static int
dissect_lte_rrc_ARFCN_ValueUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 16383U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_Q_OffsetRangeInterRAT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -15, 15U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_PhysCellIdUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 511U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellsToAddModUTRA_FDD_sequence[] = {
  { &hf_lte_rrc_cellIndex   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellMeas },
  { &hf_lte_rrc_physCellId_03, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdUTRA_FDD },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellsToAddModUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellsToAddModUTRA_FDD, CellsToAddModUTRA_FDD_sequence);

  return offset;
}


static const per_sequence_t CellsToAddModListUTRA_FDD_sequence_of[1] = {
  { &hf_lte_rrc_CellsToAddModListUTRA_FDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellsToAddModUTRA_FDD },
};

static int
dissect_lte_rrc_CellsToAddModListUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellsToAddModListUTRA_FDD, CellsToAddModListUTRA_FDD_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}



static int
dissect_lte_rrc_PhysCellIdUTRA_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellsToAddModUTRA_TDD_sequence[] = {
  { &hf_lte_rrc_cellIndex   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellMeas },
  { &hf_lte_rrc_physCellId_04, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdUTRA_TDD },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellsToAddModUTRA_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellsToAddModUTRA_TDD, CellsToAddModUTRA_TDD_sequence);

  return offset;
}


static const per_sequence_t CellsToAddModListUTRA_TDD_sequence_of[1] = {
  { &hf_lte_rrc_CellsToAddModListUTRA_TDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellsToAddModUTRA_TDD },
};

static int
dissect_lte_rrc_CellsToAddModListUTRA_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellsToAddModListUTRA_TDD, CellsToAddModListUTRA_TDD_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}


static const value_string lte_rrc_T_cellsToAddModList_vals[] = {
  {   0, "cellsToAddModListUTRA-FDD" },
  {   1, "cellsToAddModListUTRA-TDD" },
  { 0, NULL }
};

static const per_choice_t T_cellsToAddModList_choice[] = {
  {   0, &hf_lte_rrc_cellsToAddModListUTRA_FDD, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CellsToAddModListUTRA_FDD },
  {   1, &hf_lte_rrc_cellsToAddModListUTRA_TDD, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CellsToAddModListUTRA_TDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cellsToAddModList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cellsToAddModList, T_cellsToAddModList_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_cellForWhichToReportCGI_vals[] = {
  {   0, "utra-FDD" },
  {   1, "utra-TDD" },
  { 0, NULL }
};

static const per_choice_t T_cellForWhichToReportCGI_choice[] = {
  {   0, &hf_lte_rrc_utra_FDD_01 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PhysCellIdUTRA_FDD },
  {   1, &hf_lte_rrc_utra_TDD_01 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PhysCellIdUTRA_TDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cellForWhichToReportCGI(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cellForWhichToReportCGI, T_cellForWhichToReportCGI_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_2_512(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            2U, 512U, NULL, FALSE);

  return offset;
}


static const per_sequence_t PhysCellIdRangeUTRA_FDD_r9_sequence[] = {
  { &hf_lte_rrc_start_r9    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdUTRA_FDD },
  { &hf_lte_rrc_range_r9    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_2_512 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysCellIdRangeUTRA_FDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhysCellIdRangeUTRA_FDD_r9, PhysCellIdRangeUTRA_FDD_r9_sequence);

  return offset;
}


static const per_sequence_t PhysCellIdRangeUTRA_FDDList_r9_sequence_of[1] = {
  { &hf_lte_rrc_PhysCellIdRangeUTRA_FDDList_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdRangeUTRA_FDD_r9 },
};

static int
dissect_lte_rrc_PhysCellIdRangeUTRA_FDDList_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PhysCellIdRangeUTRA_FDDList_r9, PhysCellIdRangeUTRA_FDDList_r9_sequence_of,
                                                  1, maxPhysCellIdRange_r9, FALSE);

  return offset;
}


static const per_sequence_t CSG_AllowedReportingCells_r9_sequence[] = {
  { &hf_lte_rrc_physCellIdRangeUTRA_FDDList_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhysCellIdRangeUTRA_FDDList_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSG_AllowedReportingCells_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSG_AllowedReportingCells_r9, CSG_AllowedReportingCells_r9_sequence);

  return offset;
}


static const per_sequence_t MeasObjectUTRA_eag_1_sequence[] = {
  { &hf_lte_rrc_csg_allowedReportingCells_v930, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSG_AllowedReportingCells_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectUTRA_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasObjectUTRA_eag_1_sequence);

  return offset;
}


static const per_sequence_t MeasObjectUTRA_eag_2_sequence[] = {
  { &hf_lte_rrc_reducedMeasPerformance_r12_05, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectUTRA_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasObjectUTRA_eag_2_sequence);

  return offset;
}


static const per_sequence_t MeasObjectUTRA_sequence[] = {
  { &hf_lte_rrc_carrierFreq_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_offsetFreq  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_OffsetRangeInterRAT },
  { &hf_lte_rrc_cellsToRemoveList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellIndexList },
  { &hf_lte_rrc_cellsToAddModList_02, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_cellsToAddModList },
  { &hf_lte_rrc_cellForWhichToReportCGI_03, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_cellForWhichToReportCGI },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectUTRA_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectUTRA_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectUTRA, MeasObjectUTRA_sequence);

  return offset;
}



static int
dissect_lte_rrc_ARFCN_ValueGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1023U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_BandIndicatorGERAN_vals[] = {
  {   0, "dcs1800" },
  {   1, "pcs1900" },
  { 0, NULL }
};


static int
dissect_lte_rrc_BandIndicatorGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ExplicitListOfARFCNs_sequence_of[1] = {
  { &hf_lte_rrc_ExplicitListOfARFCNs_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueGERAN },
};

static int
dissect_lte_rrc_ExplicitListOfARFCNs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_ExplicitListOfARFCNs, ExplicitListOfARFCNs_sequence_of,
                                                  0, 31, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_8(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 8U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_equallySpacedARFCNs_sequence[] = {
  { &hf_lte_rrc_arfcn_Spacing, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_8 },
  { &hf_lte_rrc_numberOfFollowingARFCNs, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_equallySpacedARFCNs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_equallySpacedARFCNs, T_equallySpacedARFCNs_sequence);

  return offset;
}



static int
dissect_lte_rrc_OCTET_STRING_SIZE_1_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       1, 16, FALSE, NULL);

  return offset;
}


static const value_string lte_rrc_T_followingARFCNs_vals[] = {
  {   0, "explicitListOfARFCNs" },
  {   1, "equallySpacedARFCNs" },
  {   2, "variableBitMapOfARFCNs" },
  { 0, NULL }
};

static const per_choice_t T_followingARFCNs_choice[] = {
  {   0, &hf_lte_rrc_explicitListOfARFCNs, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ExplicitListOfARFCNs },
  {   1, &hf_lte_rrc_equallySpacedARFCNs, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_equallySpacedARFCNs },
  {   2, &hf_lte_rrc_variableBitMapOfARFCNs, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_OCTET_STRING_SIZE_1_16 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_followingARFCNs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_followingARFCNs, T_followingARFCNs_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CarrierFreqsGERAN_sequence[] = {
  { &hf_lte_rrc_startingARFCN, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueGERAN },
  { &hf_lte_rrc_bandIndicator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandIndicatorGERAN },
  { &hf_lte_rrc_followingARFCNs, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_followingARFCNs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqsGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqsGERAN, CarrierFreqsGERAN_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_8(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     8, 8, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     3, 3, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t PhysCellIdGERAN_sequence[] = {
  { &hf_lte_rrc_networkColourCode, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_3 },
  { &hf_lte_rrc_baseStationColourCode, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysCellIdGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhysCellIdGERAN, PhysCellIdGERAN_sequence);

  return offset;
}


static const per_sequence_t MeasObjectGERAN_sequence[] = {
  { &hf_lte_rrc_carrierFreqs, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqsGERAN },
  { &hf_lte_rrc_offsetFreq  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_OffsetRangeInterRAT },
  { &hf_lte_rrc_ncc_Permitted, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { &hf_lte_rrc_cellForWhichToReportCGI_02, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysCellIdGERAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectGERAN, MeasObjectGERAN_sequence);

  return offset;
}


static const value_string lte_rrc_CDMA2000_Type_vals[] = {
  {   0, "type1XRTT" },
  {   1, "typeHRPD" },
  { 0, NULL }
};


static int
dissect_lte_rrc_CDMA2000_Type(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_BandclassCDMA2000_vals[] = {
  {   0, "bc0" },
  {   1, "bc1" },
  {   2, "bc2" },
  {   3, "bc3" },
  {   4, "bc4" },
  {   5, "bc5" },
  {   6, "bc6" },
  {   7, "bc7" },
  {   8, "bc8" },
  {   9, "bc9" },
  {  10, "bc10" },
  {  11, "bc11" },
  {  12, "bc12" },
  {  13, "bc13" },
  {  14, "bc14" },
  {  15, "bc15" },
  {  16, "bc16" },
  {  17, "bc17" },
  {  18, "bc18-v9a0" },
  {  19, "bc19-v9a0" },
  {  20, "bc20-v9a0" },
  {  21, "bc21-v9a0" },
  {  22, "spare10" },
  {  23, "spare9" },
  {  24, "spare8" },
  {  25, "spare7" },
  {  26, "spare6" },
  {  27, "spare5" },
  {  28, "spare4" },
  {  29, "spare3" },
  {  30, "spare2" },
  {  31, "spare1" },
  { 0, NULL }
};

static value_string_ext lte_rrc_BandclassCDMA2000_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_BandclassCDMA2000_vals);


static int
dissect_lte_rrc_BandclassCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     32, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_ARFCN_ValueCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2047U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CarrierFreqCDMA2000_sequence[] = {
  { &hf_lte_rrc_bandClass   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandclassCDMA2000 },
  { &hf_lte_rrc_arfcn       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqCDMA2000, CarrierFreqCDMA2000_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_PhysCellIdCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxPNOffset, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellsToAddModCDMA2000_sequence[] = {
  { &hf_lte_rrc_cellIndex   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellMeas },
  { &hf_lte_rrc_physCellId_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellsToAddModCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellsToAddModCDMA2000, CellsToAddModCDMA2000_sequence);

  return offset;
}


static const per_sequence_t CellsToAddModListCDMA2000_sequence_of[1] = {
  { &hf_lte_rrc_CellsToAddModListCDMA2000_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellsToAddModCDMA2000 },
};

static int
dissect_lte_rrc_CellsToAddModListCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellsToAddModListCDMA2000, CellsToAddModListCDMA2000_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}


static const per_sequence_t MeasObjectCDMA2000_sequence[] = {
  { &hf_lte_rrc_cdma2000_Type, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CDMA2000_Type },
  { &hf_lte_rrc_carrierFreq_04, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqCDMA2000 },
  { &hf_lte_rrc_searchWindowSize, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_offsetFreq  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_OffsetRangeInterRAT },
  { &hf_lte_rrc_cellsToRemoveList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellIndexList },
  { &hf_lte_rrc_cellsToAddModList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellsToAddModListCDMA2000 },
  { &hf_lte_rrc_cellForWhichToReportCGI, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysCellIdCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectCDMA2000, MeasObjectCDMA2000_sequence);

  return offset;
}


static const value_string lte_rrc_WLAN_BandIndicator_r13_vals[] = {
  {   0, "band2dot4" },
  {   1, "band5" },
  {   2, "band60-v1430" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_WLAN_BandIndicator_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13_sequence_of[1] = {
  { &hf_lte_rrc_bandIndicatorListWLAN_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_BandIndicator_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13, SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13_sequence_of,
                                                  1, maxWLAN_Bands_r13, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_255(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_countryCode_r13_vals[] = {
  {   0, "unitedStates" },
  {   1, "europe" },
  {   2, "japan" },
  {   3, "global" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_countryCode_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_WLAN_Channel_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t WLAN_ChannelList_r13_sequence_of[1] = {
  { &hf_lte_rrc_WLAN_ChannelList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_Channel_r13 },
};

static int
dissect_lte_rrc_WLAN_ChannelList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_WLAN_ChannelList_r13, WLAN_ChannelList_r13_sequence_of,
                                                  1, maxWLAN_Channels_r13, FALSE);

  return offset;
}


static const per_sequence_t WLAN_CarrierInfo_r13_sequence[] = {
  { &hf_lte_rrc_operatingClass_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_255 },
  { &hf_lte_rrc_countryCode_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_countryCode_r13 },
  { &hf_lte_rrc_channelNumbers_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_ChannelList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_CarrierInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLAN_CarrierInfo_r13, WLAN_CarrierInfo_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13_sequence_of[1] = {
  { &hf_lte_rrc_carrierInfoListWLAN_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_CarrierInfo_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13, SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13_sequence_of,
                                                  1, maxWLAN_CarrierInfo_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_carrierFreq_r13_vals[] = {
  {   0, "bandIndicatorListWLAN-r13" },
  {   1, "carrierInfoListWLAN-r13" },
  { 0, NULL }
};

static const per_choice_t T_carrierFreq_r13_choice[] = {
  {   0, &hf_lte_rrc_bandIndicatorListWLAN_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13 },
  {   1, &hf_lte_rrc_carrierInfoListWLAN_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_carrierFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_carrierFreq_r13, T_carrierFreq_r13_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_T_ssid_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ssid_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, -1,
                                       1, 32, FALSE, &ssid_tvb);

  actx->created_item = proto_tree_add_item(tree, hf_index, ssid_tvb, 0, -1, ENC_ASCII|ENC_NA);


  return offset;
}



static int
dissect_lte_rrc_OCTET_STRING_SIZE_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       6, 6, FALSE, NULL);

  return offset;
}


static const per_sequence_t WLAN_Identifiers_r12_sequence[] = {
  { &hf_lte_rrc_ssid_r12    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ssid_r12 },
  { &hf_lte_rrc_bssid_r12   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING_SIZE_6 },
  { &hf_lte_rrc_hessid_r12  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING_SIZE_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_Identifiers_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLAN_Identifiers_r12, WLAN_Identifiers_r12_sequence);

  return offset;
}


static const per_sequence_t WLAN_Id_List_r13_sequence_of[1] = {
  { &hf_lte_rrc_WLAN_Id_List_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_Identifiers_r12 },
};

static int
dissect_lte_rrc_WLAN_Id_List_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_WLAN_Id_List_r13, WLAN_Id_List_r13_sequence_of,
                                                  1, maxWLAN_Id_r13, FALSE);

  return offset;
}


static const per_sequence_t MeasObjectWLAN_r13_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_carrierFreq_r13 },
  { &hf_lte_rrc_wlan_ToAddModList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_Id_List_r13 },
  { &hf_lte_rrc_wlan_ToRemoveList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_Id_List_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectWLAN_r13, MeasObjectWLAN_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_ARFCN_ValueNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_integer(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_integer(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}


static const per_sequence_t MTC_SSB_NR_r15_sequence[] = {
  { &hf_lte_rrc_ssb_Timing_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER },
  { &hf_lte_rrc_ssb_Duration_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MTC_SSB_NR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MTC_SSB_NR_r15, MTC_SSB_NR_r15_sequence);

  return offset;
}



static int
dissect_lte_rrc_FreqOffsetNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_integer(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}


static const value_string lte_rrc_T_subcarrierSpacingSSB_r15_vals[] = {
  {   0, "kHz15" },
  {   1, "kHz30" },
  {   2, "kHz120" },
  {   3, "kHz240" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_subcarrierSpacingSSB_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RS_ConfigSSB_NR_r15_sequence[] = {
  { &hf_lte_rrc_measTimingConfig_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MTC_SSB_NR_r15 },
  { &hf_lte_rrc_offsetCenterFreq_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_FreqOffsetNR_r15 },
  { &hf_lte_rrc_subcarrierSpacingSSB_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_subcarrierSpacingSSB_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RS_ConfigSSB_NR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RS_ConfigSSB_NR_r15, RS_ConfigSSB_NR_r15_sequence);

  return offset;
}



static int
dissect_lte_rrc_RSRP_RangeNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_integer(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}



static int
dissect_lte_rrc_RSRQ_RangeNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_integer(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}



static int
dissect_lte_rrc_RS_SINR_RangeNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_integer(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}


static const value_string lte_rrc_ThresholdNR_r15_vals[] = {
  {   0, "nr-RSRP-r15" },
  {   1, "nr-RSRQ-r15" },
  {   2, "nr-SINR-r15" },
  { 0, NULL }
};

static const per_choice_t ThresholdNR_r15_choice[] = {
  {   0, &hf_lte_rrc_nr_RSRP_r15 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RSRP_RangeNR_r15 },
  {   1, &hf_lte_rrc_nr_RSRQ_r15 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RSRQ_RangeNR_r15 },
  {   2, &hf_lte_rrc_nr_SINR_r15 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RS_SINR_RangeNR_r15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_ThresholdNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_ThresholdNR_r15, ThresholdNR_r15_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_RS_IndexNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxRS_Index_r15, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_PhysCellIdNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1007U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellsToAddModNR_r15_sequence[] = {
  { &hf_lte_rrc_cellIndex_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellMeas },
  { &hf_lte_rrc_physCellId_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellsToAddModNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellsToAddModNR_r15, CellsToAddModNR_r15_sequence);

  return offset;
}


static const per_sequence_t CellsToAddModListNR_sequence_of[1] = {
  { &hf_lte_rrc_CellsToAddModListNR_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellsToAddModNR_r15 },
};

static int
dissect_lte_rrc_CellsToAddModListNR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellsToAddModListNR, CellsToAddModListNR_sequence_of,
                                                  1, maxCellMeas, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxQuantSetsNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxQuantSetsNR_r15, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasObjectNR_r15_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r15, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueNR_r15 },
  { &hf_lte_rrc_rs_ConfigSSB_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RS_ConfigSSB_NR_r15 },
  { &hf_lte_rrc_threshRS_Index_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_ThresholdNR_r15 },
  { &hf_lte_rrc_maxRS_IndexCellQual_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RS_IndexNR_r15 },
  { &hf_lte_rrc_offsetFreq_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_OffsetRangeInterRAT },
  { &hf_lte_rrc_blackCellsToRemoveList_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellIndexList },
  { &hf_lte_rrc_blackCellsToAddModList_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellsToAddModListNR },
  { &hf_lte_rrc_quantityConfigSet_r15, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxQuantSetsNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectNR_r15, MeasObjectNR_r15_sequence);

  return offset;
}


static const value_string lte_rrc_T_measObject_vals[] = {
  {   0, "measObjectEUTRA" },
  {   1, "measObjectUTRA" },
  {   2, "measObjectGERAN" },
  {   3, "measObjectCDMA2000" },
  {   4, "measObjectWLAN-r13" },
  {   5, "measObjectNR-r15" },
  { 0, NULL }
};

static const per_choice_t T_measObject_choice[] = {
  {   0, &hf_lte_rrc_measObjectEUTRA, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasObjectEUTRA },
  {   1, &hf_lte_rrc_measObjectUTRA, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasObjectUTRA },
  {   2, &hf_lte_rrc_measObjectGERAN, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasObjectGERAN },
  {   3, &hf_lte_rrc_measObjectCDMA2000, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasObjectCDMA2000 },
  {   4, &hf_lte_rrc_measObjectWLAN_r13, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_MeasObjectWLAN_r13 },
  {   5, &hf_lte_rrc_measObjectNR_r15, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_MeasObjectNR_r15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_measObject(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_measObject, T_measObject_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasObjectToAddMod_sequence[] = {
  { &hf_lte_rrc_measObjectId, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId },
  { &hf_lte_rrc_measObject  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measObject },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectToAddMod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectToAddMod, MeasObjectToAddMod_sequence);

  return offset;
}


static const per_sequence_t MeasObjectToAddModList_sequence_of[1] = {
  { &hf_lte_rrc_MeasObjectToAddModList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectToAddMod },
};

static int
dissect_lte_rrc_MeasObjectToAddModList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasObjectToAddModList, MeasObjectToAddModList_sequence_of,
                                                  1, maxObjectId, FALSE);

  return offset;
}



static int
dissect_lte_rrc_ReportConfigId(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxReportConfigId, NULL, FALSE);

  return offset;
}


static const per_sequence_t ReportConfigToRemoveList_sequence_of[1] = {
  { &hf_lte_rrc_ReportConfigToRemoveList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigId },
};

static int
dissect_lte_rrc_ReportConfigToRemoveList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_ReportConfigToRemoveList, ReportConfigToRemoveList_sequence_of,
                                                  1, maxReportConfigId, FALSE);

  return offset;
}



static int
dissect_lte_rrc_RSRP_Range(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 97U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_Threshold_RSRP_Range(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_RSRP_Range(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_lte_rrc_RSRQ_Range(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 34U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_Threshold_RSRQ_Range(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_RSRQ_Range(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string lte_rrc_ThresholdEUTRA_vals[] = {
  {   0, "threshold-RSRP" },
  {   1, "threshold-RSRQ" },
  { 0, NULL }
};

static const per_choice_t ThresholdEUTRA_choice[] = {
  {   0, &hf_lte_rrc_threshold_RSRP, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Threshold_RSRP_Range },
  {   1, &hf_lte_rrc_threshold_RSRQ, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Threshold_RSRQ_Range },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_ThresholdEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_ThresholdEUTRA, ThresholdEUTRA_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_eventA1_sequence[] = {
  { &hf_lte_rrc_a1_Threshold, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ThresholdEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventA1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventA1, T_eventA1_sequence);

  return offset;
}


static const per_sequence_t T_eventA2_sequence[] = {
  { &hf_lte_rrc_a2_Threshold, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ThresholdEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventA2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventA2, T_eventA2_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M30_30(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -30, 30U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_eventA3_sequence[] = {
  { &hf_lte_rrc_a3_Offset   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M30_30 },
  { &hf_lte_rrc_reportOnLeave, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventA3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventA3, T_eventA3_sequence);

  return offset;
}


static const per_sequence_t T_eventA4_sequence[] = {
  { &hf_lte_rrc_a4_Threshold, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ThresholdEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventA4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventA4, T_eventA4_sequence);

  return offset;
}


static const per_sequence_t T_eventA5_sequence[] = {
  { &hf_lte_rrc_a5_Threshold1, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ThresholdEUTRA },
  { &hf_lte_rrc_a5_Threshold2, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ThresholdEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventA5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventA5, T_eventA5_sequence);

  return offset;
}


static const per_sequence_t T_eventA6_r10_sequence[] = {
  { &hf_lte_rrc_a6_Offset_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M30_30 },
  { &hf_lte_rrc_a6_ReportOnLeave_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventA6_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventA6_r10, T_eventA6_r10_sequence);

  return offset;
}



static int
dissect_lte_rrc_CSI_RSRP_Range_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 97U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_ThresholdEUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_CSI_RSRP_Range_r12(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t T_eventC1_r12_sequence[] = {
  { &hf_lte_rrc_c1_Threshold_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ThresholdEUTRA_v1250 },
  { &hf_lte_rrc_c1_ReportOnLeave_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventC1_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventC1_r12, T_eventC1_r12_sequence);

  return offset;
}


static const per_sequence_t T_eventC2_r12_sequence[] = {
  { &hf_lte_rrc_c2_RefCSI_RS_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasCSI_RS_Id_r12 },
  { &hf_lte_rrc_c2_Offset_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M30_30 },
  { &hf_lte_rrc_c2_ReportOnLeave_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventC2_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventC2_r12, T_eventC2_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_CBR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 100U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_eventV1_r14_sequence[] = {
  { &hf_lte_rrc_v1_Threshold_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CBR_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventV1_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventV1_r14, T_eventV1_r14_sequence);

  return offset;
}


static const per_sequence_t T_eventV2_r14_sequence[] = {
  { &hf_lte_rrc_v2_Threshold_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CBR_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventV2_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventV2_r14, T_eventV2_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_eventId_vals[] = {
  {   0, "eventA1" },
  {   1, "eventA2" },
  {   2, "eventA3" },
  {   3, "eventA4" },
  {   4, "eventA5" },
  {   5, "eventA6-r10" },
  {   6, "eventC1-r12" },
  {   7, "eventC2-r12" },
  {   8, "eventV1-r14" },
  {   9, "eventV2-r14" },
  { 0, NULL }
};

static const per_choice_t T_eventId_choice[] = {
  {   0, &hf_lte_rrc_eventA1     , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_eventA1 },
  {   1, &hf_lte_rrc_eventA2     , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_eventA2 },
  {   2, &hf_lte_rrc_eventA3     , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_eventA3 },
  {   3, &hf_lte_rrc_eventA4     , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_eventA4 },
  {   4, &hf_lte_rrc_eventA5     , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_eventA5 },
  {   5, &hf_lte_rrc_eventA6_r10 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_eventA6_r10 },
  {   6, &hf_lte_rrc_eventC1_r12 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_eventC1_r12 },
  {   7, &hf_lte_rrc_eventC2_r12 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_eventC2_r12 },
  {   8, &hf_lte_rrc_eventV1_r14 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_eventV1_r14 },
  {   9, &hf_lte_rrc_eventV2_r14 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_eventV2_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_eventId(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_eventId, T_eventId_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_Hysteresis(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 30U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_TimeToTrigger_vals[] = {
  {   0, "ms0" },
  {   1, "ms40" },
  {   2, "ms64" },
  {   3, "ms80" },
  {   4, "ms100" },
  {   5, "ms128" },
  {   6, "ms160" },
  {   7, "ms256" },
  {   8, "ms320" },
  {   9, "ms480" },
  {  10, "ms512" },
  {  11, "ms640" },
  {  12, "ms1024" },
  {  13, "ms1280" },
  {  14, "ms2560" },
  {  15, "ms5120" },
  { 0, NULL }
};


static int
dissect_lte_rrc_TimeToTrigger(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_event_sequence[] = {
  { &hf_lte_rrc_eventId     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eventId },
  { &hf_lte_rrc_hysteresis  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Hysteresis },
  { &hf_lte_rrc_timeToTrigger, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeToTrigger },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_event(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_event, T_event_sequence);

  return offset;
}


static const value_string lte_rrc_T_purpose_02_vals[] = {
  {   0, "reportStrongestCells" },
  {   1, "reportCGI" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_purpose_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_periodical_sequence[] = {
  { &hf_lte_rrc_purpose_02  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_purpose_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_periodical(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_periodical, T_periodical_sequence);

  return offset;
}


static const value_string lte_rrc_T_triggerType_vals[] = {
  {   0, "event" },
  {   1, "periodical" },
  { 0, NULL }
};

static const per_choice_t T_triggerType_choice[] = {
  {   0, &hf_lte_rrc_event       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_event },
  {   1, &hf_lte_rrc_periodical  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_periodical },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_triggerType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_triggerType, T_triggerType_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_triggerQuantity_vals[] = {
  {   0, "rsrp" },
  {   1, "rsrq" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_triggerQuantity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_reportQuantity_vals[] = {
  {   0, "sameAsTriggerQuantity" },
  {   1, "both" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reportQuantity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxCellReport(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCellReport, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_ReportInterval_vals[] = {
  {   0, "ms120" },
  {   1, "ms240" },
  {   2, "ms480" },
  {   3, "ms640" },
  {   4, "ms1024" },
  {   5, "ms2048" },
  {   6, "ms5120" },
  {   7, "ms10240" },
  {   8, "min1" },
  {   9, "min6" },
  {  10, "min12" },
  {  11, "min30" },
  {  12, "min60" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_ReportInterval(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_reportAmount_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "infinity" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reportAmount(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_si_RequestForHO_r9_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_RequestForHO_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_RxTxTimeDiffPeriodical_r9_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_RxTxTimeDiffPeriodical_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ReportConfigEUTRA_eag_1_sequence[] = {
  { &hf_lte_rrc_si_RequestForHO_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_si_RequestForHO_r9 },
  { &hf_lte_rrc_ue_RxTxTimeDiffPeriodical_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_RxTxTimeDiffPeriodical_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigEUTRA_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigEUTRA_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_includeLocationInfo_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_includeLocationInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_reportAddNeighMeas_r10_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reportAddNeighMeas_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ReportConfigEUTRA_eag_2_sequence[] = {
  { &hf_lte_rrc_includeLocationInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_includeLocationInfo_r10 },
  { &hf_lte_rrc_reportAddNeighMeas_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reportAddNeighMeas_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigEUTRA_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigEUTRA_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_alternativeTimeToTrigger_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_alternativeTimeToTrigger_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_123   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_TimeToTrigger },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_alternativeTimeToTrigger_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_alternativeTimeToTrigger_r12, T_alternativeTimeToTrigger_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_RSRQ_Range_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -30, 46U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_RSRQ_RangeConfig_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t RSRQ_RangeConfig_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_125   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RSRQ_Range_v1250 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RSRQ_RangeConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RSRQ_RangeConfig_r12, RSRQ_RangeConfig_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ReportConfigEUTRA_eag_3_sequence[] = {
  { &hf_lte_rrc_alternativeTimeToTrigger_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_alternativeTimeToTrigger_r12 },
  { &hf_lte_rrc_useT312_r12 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_usePSCell_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_aN_Threshold1_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_RangeConfig_r12 },
  { &hf_lte_rrc_a5_Threshold2_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_RangeConfig_r12 },
  { &hf_lte_rrc_reportStrongestCSI_RSs_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_reportCRS_Meas_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_triggerQuantityCSI_RS_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigEUTRA_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigEUTRA_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_triggerQuantity_v1310_vals[] = {
  {   0, "sinr" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_triggerQuantity_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_RS_SINR_Range_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_reportQuantity_v1310_vals[] = {
  {   0, "rsrpANDsinr" },
  {   1, "rsrqANDsinr" },
  {   2, "all" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reportQuantity_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_109_sequence[] = {
  { &hf_lte_rrc_triggerQuantity_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_triggerQuantity_v1310 },
  { &hf_lte_rrc_aN_Threshold1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RS_SINR_Range_r13 },
  { &hf_lte_rrc_a5_Threshold2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RS_SINR_Range_r13 },
  { &hf_lte_rrc_reportQuantity_v1310, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_reportQuantity_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_109(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_109, T_setup_109_sequence);

  return offset;
}


static const value_string lte_rrc_T_rs_sinr_Config_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_rs_sinr_Config_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_124   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_109 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_rs_sinr_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_rs_sinr_Config_r13, T_rs_sinr_Config_r13_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_RSSI_Range_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 76U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasRSSI_ReportConfig_r13_sequence[] = {
  { &hf_lte_rrc_channelOccupancyThreshold_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSSI_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasRSSI_ReportConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasRSSI_ReportConfig_r13, MeasRSSI_ReportConfig_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_includeMultiBandInfo_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_includeMultiBandInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_delayThreshold_r13_vals[] = {
  {   0, "ms30" },
  {   1, "ms40" },
  {   2, "ms50" },
  {   3, "ms60" },
  {   4, "ms70" },
  {   5, "ms80" },
  {   6, "ms90" },
  {   7, "ms100" },
  {   8, "ms150" },
  {   9, "ms300" },
  {  10, "ms500" },
  {  11, "ms750" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_delayThreshold_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_110_sequence[] = {
  { &hf_lte_rrc_delayThreshold_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_delayThreshold_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_110(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_110, T_setup_110_sequence);

  return offset;
}


static const value_string lte_rrc_UL_DelayConfig_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t UL_DelayConfig_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_126   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_110 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_UL_DelayConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_UL_DelayConfig_r13, UL_DelayConfig_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ReportConfigEUTRA_eag_4_sequence[] = {
  { &hf_lte_rrc_reportSSTD_Meas_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_rs_sinr_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rs_sinr_Config_r13 },
  { &hf_lte_rrc_useWhiteCellList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_measRSSI_ReportConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasRSSI_ReportConfig_r13 },
  { &hf_lte_rrc_includeMultiBandInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_includeMultiBandInfo_r13 },
  { &hf_lte_rrc_ul_DelayConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UL_DelayConfig_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigEUTRA_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigEUTRA_eag_4_sequence);

  return offset;
}


static const per_sequence_t ReportConfigEUTRA_eag_5_sequence[] = {
  { &hf_lte_rrc_ue_RxTxTimeDiffPeriodicalTDD_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigEUTRA_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigEUTRA_eag_5_sequence);

  return offset;
}


static const value_string lte_rrc_T_purpose_v1430_vals[] = {
  {   0, "reportLocation" },
  {   1, "sidelink" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_purpose_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ReportConfigEUTRA_eag_6_sequence[] = {
  { &hf_lte_rrc_purpose_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_purpose_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigEUTRA_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigEUTRA_eag_6_sequence);

  return offset;
}


static const per_sequence_t ReportConfigEUTRA_sequence[] = {
  { &hf_lte_rrc_triggerType , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_triggerType },
  { &hf_lte_rrc_triggerQuantity, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_triggerQuantity },
  { &hf_lte_rrc_reportQuantity, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_reportQuantity },
  { &hf_lte_rrc_maxReportCells, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellReport },
  { &hf_lte_rrc_reportInterval, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportInterval },
  { &hf_lte_rrc_reportAmount, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_reportAmount },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigEUTRA_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigEUTRA_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigEUTRA_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigEUTRA_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigEUTRA_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigEUTRA_eag_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReportConfigEUTRA, ReportConfigEUTRA_sequence);

  return offset;
}



static int
dissect_lte_rrc_Threshold_utra_RSRP(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -5, 91U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_Threshold_utra_EcN0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 49U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_ThresholdUTRA_vals[] = {
  {   0, "utra-RSCP" },
  {   1, "utra-EcN0" },
  { 0, NULL }
};

static const per_choice_t ThresholdUTRA_choice[] = {
  {   0, &hf_lte_rrc_utra_RSCP_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Threshold_utra_RSRP },
  {   1, &hf_lte_rrc_utra_EcN0_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Threshold_utra_EcN0 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_ThresholdUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_ThresholdUTRA, ThresholdUTRA_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_ThresholdGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_ThresholdCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_b1_Threshold_vals[] = {
  {   0, "b1-ThresholdUTRA" },
  {   1, "b1-ThresholdGERAN" },
  {   2, "b1-ThresholdCDMA2000" },
  { 0, NULL }
};

static const per_choice_t T_b1_Threshold_choice[] = {
  {   0, &hf_lte_rrc_b1_ThresholdUTRA, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ThresholdUTRA },
  {   1, &hf_lte_rrc_b1_ThresholdGERAN, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ThresholdGERAN },
  {   2, &hf_lte_rrc_b1_ThresholdCDMA2000, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ThresholdCDMA2000 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_b1_Threshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_b1_Threshold, T_b1_Threshold_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_eventB1_sequence[] = {
  { &hf_lte_rrc_b1_Threshold, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_b1_Threshold },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventB1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventB1, T_eventB1_sequence);

  return offset;
}


static const value_string lte_rrc_T_b2_Threshold2_vals[] = {
  {   0, "b2-Threshold2UTRA" },
  {   1, "b2-Threshold2GERAN" },
  {   2, "b2-Threshold2CDMA2000" },
  { 0, NULL }
};

static const per_choice_t T_b2_Threshold2_choice[] = {
  {   0, &hf_lte_rrc_b2_Threshold2UTRA, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ThresholdUTRA },
  {   1, &hf_lte_rrc_b2_Threshold2GERAN, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ThresholdGERAN },
  {   2, &hf_lte_rrc_b2_Threshold2CDMA2000, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ThresholdCDMA2000 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_b2_Threshold2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_b2_Threshold2, T_b2_Threshold2_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_eventB2_sequence[] = {
  { &hf_lte_rrc_b2_Threshold1, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ThresholdEUTRA },
  { &hf_lte_rrc_b2_Threshold2, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_b2_Threshold2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventB2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventB2, T_eventB2_sequence);

  return offset;
}



static int
dissect_lte_rrc_WLAN_RSSI_Range_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 141U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_eventW1_r13_sequence[] = {
  { &hf_lte_rrc_w1_Threshold_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_RSSI_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventW1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventW1_r13, T_eventW1_r13_sequence);

  return offset;
}


static const per_sequence_t T_eventW2_r13_sequence[] = {
  { &hf_lte_rrc_w2_Threshold1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_RSSI_Range_r13 },
  { &hf_lte_rrc_w2_Threshold2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_RSSI_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventW2_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventW2_r13, T_eventW2_r13_sequence);

  return offset;
}


static const per_sequence_t T_eventW3_r13_sequence[] = {
  { &hf_lte_rrc_w3_Threshold_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_RSSI_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eventW3_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eventW3_r13, T_eventW3_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_eventId_01_vals[] = {
  {   0, "eventB1" },
  {   1, "eventB2" },
  {   2, "eventW1-r13" },
  {   3, "eventW2-r13" },
  {   4, "eventW3-r13" },
  { 0, NULL }
};

static const per_choice_t T_eventId_01_choice[] = {
  {   0, &hf_lte_rrc_eventB1     , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_eventB1 },
  {   1, &hf_lte_rrc_eventB2     , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_eventB2 },
  {   2, &hf_lte_rrc_eventW1_r13 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_eventW1_r13 },
  {   3, &hf_lte_rrc_eventW2_r13 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_eventW2_r13 },
  {   4, &hf_lte_rrc_eventW3_r13 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_eventW3_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_eventId_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_eventId_01, T_eventId_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_event_01_sequence[] = {
  { &hf_lte_rrc_eventId_01  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eventId_01 },
  { &hf_lte_rrc_hysteresis  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Hysteresis },
  { &hf_lte_rrc_timeToTrigger, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeToTrigger },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_event_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_event_01, T_event_01_sequence);

  return offset;
}


static const value_string lte_rrc_T_purpose_03_vals[] = {
  {   0, "reportStrongestCells" },
  {   1, "reportStrongestCellsForSON" },
  {   2, "reportCGI" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_purpose_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_periodical_01_sequence[] = {
  { &hf_lte_rrc_purpose_03  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_purpose_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_periodical_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_periodical_01, T_periodical_01_sequence);

  return offset;
}


static const value_string lte_rrc_T_triggerType_01_vals[] = {
  {   0, "event" },
  {   1, "periodical" },
  { 0, NULL }
};

static const per_choice_t T_triggerType_01_choice[] = {
  {   0, &hf_lte_rrc_event_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_event_01 },
  {   1, &hf_lte_rrc_periodical_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_periodical_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_triggerType_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_triggerType_01, T_triggerType_01_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_reportAmount_01_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "infinity" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reportAmount_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_si_RequestForHO_r9_01_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_RequestForHO_r9_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ReportConfigInterRAT_eag_1_sequence[] = {
  { &hf_lte_rrc_si_RequestForHO_r9_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_si_RequestForHO_r9_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigInterRAT_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigInterRAT_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_reportQuantityUTRA_FDD_r10_vals[] = {
  {   0, "both" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reportQuantityUTRA_FDD_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ReportConfigInterRAT_eag_2_sequence[] = {
  { &hf_lte_rrc_reportQuantityUTRA_FDD_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reportQuantityUTRA_FDD_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigInterRAT_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigInterRAT_eag_2_sequence);

  return offset;
}


static const per_sequence_t ReportConfigInterRAT_eag_3_sequence[] = {
  { &hf_lte_rrc_includeLocationInfo_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigInterRAT_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigInterRAT_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_b2_Threshold1_v1250_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_b2_Threshold1_v1250_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_125   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RSRQ_Range_v1250 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_b2_Threshold1_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_b2_Threshold1_v1250, T_b2_Threshold1_v1250_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ReportConfigInterRAT_eag_4_sequence[] = {
  { &hf_lte_rrc_b2_Threshold1_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_b2_Threshold1_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigInterRAT_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigInterRAT_eag_4_sequence);

  return offset;
}


static const value_string lte_rrc_T_bandRequestWLAN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_bandRequestWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_carrierInfoRequestWLAN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_carrierInfoRequestWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_availableAdmissionCapacityRequestWLAN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_availableAdmissionCapacityRequestWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_backhaulDL_BandwidthRequestWLAN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_backhaulDL_BandwidthRequestWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_backhaulUL_BandwidthRequestWLAN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_backhaulUL_BandwidthRequestWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_channelUtilizationRequestWLAN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_channelUtilizationRequestWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_stationCountRequestWLAN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_stationCountRequestWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ReportQuantityWLAN_r13_sequence[] = {
  { &hf_lte_rrc_bandRequestWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_bandRequestWLAN_r13 },
  { &hf_lte_rrc_carrierInfoRequestWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_carrierInfoRequestWLAN_r13 },
  { &hf_lte_rrc_availableAdmissionCapacityRequestWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_availableAdmissionCapacityRequestWLAN_r13 },
  { &hf_lte_rrc_backhaulDL_BandwidthRequestWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_backhaulDL_BandwidthRequestWLAN_r13 },
  { &hf_lte_rrc_backhaulUL_BandwidthRequestWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_backhaulUL_BandwidthRequestWLAN_r13 },
  { &hf_lte_rrc_channelUtilizationRequestWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_channelUtilizationRequestWLAN_r13 },
  { &hf_lte_rrc_stationCountRequestWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_stationCountRequestWLAN_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportQuantityWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReportQuantityWLAN_r13, ReportQuantityWLAN_r13_sequence);

  return offset;
}


static const per_sequence_t ReportConfigInterRAT_eag_5_sequence[] = {
  { &hf_lte_rrc_reportQuantityWLAN_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ReportQuantityWLAN_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigInterRAT_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigInterRAT_eag_5_sequence);

  return offset;
}


static const per_sequence_t ReportConfigInterRAT_eag_6_sequence[] = {
  { &hf_lte_rrc_reportAnyWLAN_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigInterRAT_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigInterRAT_eag_6_sequence);

  return offset;
}


static const per_sequence_t ReportQuantityNR_r15_sequence[] = {
  { &hf_lte_rrc_ss_rsrp     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_ss_rsrq     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_ss_sinr     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportQuantityNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReportQuantityNR_r15, ReportQuantityNR_r15_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxRS_Index_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxRS_Index_r15, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_refCell_vals[] = {
  {   0, "pSCell" },
  {   1, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_refCell(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_reportSSTD_Meas_r15_vals[] = {
  {   0, "release" },
  {   1, "refCell" },
  { 0, NULL }
};

static const per_choice_t T_reportSSTD_Meas_r15_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_refCell     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_refCell },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_reportSSTD_Meas_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_reportSSTD_Meas_r15, T_reportSSTD_Meas_r15_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ReportConfigInterRAT_eag_7_sequence[] = {
  { &hf_lte_rrc_b1_ThresholdNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ThresholdNR_r15 },
  { &hf_lte_rrc_b2_Threshold2NR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ThresholdNR_r15 },
  { &hf_lte_rrc_reportQuantityCellNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ReportQuantityNR_r15 },
  { &hf_lte_rrc_maxRS_IndexReport_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxRS_Index_r15 },
  { &hf_lte_rrc_reportQuantityRS_IndexNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ReportQuantityNR_r15 },
  { &hf_lte_rrc_reportOnLeave, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_reportSSTD_Meas_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reportSSTD_Meas_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigInterRAT_eag_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ReportConfigInterRAT_eag_7_sequence);

  return offset;
}


static const per_sequence_t ReportConfigInterRAT_sequence[] = {
  { &hf_lte_rrc_triggerType_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_triggerType_01 },
  { &hf_lte_rrc_maxReportCells, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxCellReport },
  { &hf_lte_rrc_reportInterval, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportInterval },
  { &hf_lte_rrc_reportAmount_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_reportAmount_01 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigInterRAT_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigInterRAT_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigInterRAT_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigInterRAT_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigInterRAT_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigInterRAT_eag_6 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigInterRAT_eag_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigInterRAT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReportConfigInterRAT, ReportConfigInterRAT_sequence);

  return offset;
}


static const value_string lte_rrc_T_reportConfig_vals[] = {
  {   0, "reportConfigEUTRA" },
  {   1, "reportConfigInterRAT" },
  { 0, NULL }
};

static const per_choice_t T_reportConfig_choice[] = {
  {   0, &hf_lte_rrc_reportConfigEUTRA, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ReportConfigEUTRA },
  {   1, &hf_lte_rrc_reportConfigInterRAT, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ReportConfigInterRAT },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_reportConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_reportConfig, T_reportConfig_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ReportConfigToAddMod_sequence[] = {
  { &hf_lte_rrc_reportConfigId, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigId },
  { &hf_lte_rrc_reportConfig, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_reportConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportConfigToAddMod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReportConfigToAddMod, ReportConfigToAddMod_sequence);

  return offset;
}


static const per_sequence_t ReportConfigToAddModList_sequence_of[1] = {
  { &hf_lte_rrc_ReportConfigToAddModList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigToAddMod },
};

static int
dissect_lte_rrc_ReportConfigToAddModList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_ReportConfigToAddModList, ReportConfigToAddModList_sequence_of,
                                                  1, maxReportConfigId, FALSE);

  return offset;
}



static int
dissect_lte_rrc_MeasId(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxMeasId, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasIdToRemoveList_sequence_of[1] = {
  { &hf_lte_rrc_MeasIdToRemoveList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasId },
};

static int
dissect_lte_rrc_MeasIdToRemoveList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasIdToRemoveList, MeasIdToRemoveList_sequence_of,
                                                  1, maxMeasId, FALSE);

  return offset;
}


static const per_sequence_t MeasIdToAddMod_sequence[] = {
  { &hf_lte_rrc_measId      , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasId },
  { &hf_lte_rrc_measObjectId, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId },
  { &hf_lte_rrc_reportConfigId, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigId },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasIdToAddMod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasIdToAddMod, MeasIdToAddMod_sequence);

  return offset;
}


static const per_sequence_t MeasIdToAddModList_sequence_of[1] = {
  { &hf_lte_rrc_MeasIdToAddModList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasIdToAddMod },
};

static int
dissect_lte_rrc_MeasIdToAddModList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasIdToAddModList, MeasIdToAddModList_sequence_of,
                                                  1, maxMeasId, FALSE);

  return offset;
}


static const value_string lte_rrc_FilterCoefficient_vals[] = {
  {   0, "fc0" },
  {   1, "fc1" },
  {   2, "fc2" },
  {   3, "fc3" },
  {   4, "fc4" },
  {   5, "fc5" },
  {   6, "fc6" },
  {   7, "fc7" },
  {   8, "fc8" },
  {   9, "fc9" },
  {  10, "fc11" },
  {  11, "fc13" },
  {  12, "fc15" },
  {  13, "fc17" },
  {  14, "fc19" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_FilterCoefficient(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t QuantityConfigEUTRA_sequence[] = {
  { &hf_lte_rrc_filterCoefficientRSRP, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { &hf_lte_rrc_filterCoefficientRSRQ, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigEUTRA, QuantityConfigEUTRA_sequence);

  return offset;
}


static const value_string lte_rrc_T_measQuantityUTRA_FDD_vals[] = {
  {   0, "cpich-RSCP" },
  {   1, "cpich-EcN0" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_measQuantityUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_measQuantityUTRA_TDD_vals[] = {
  {   0, "pccpch-RSCP" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_measQuantityUTRA_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t QuantityConfigUTRA_sequence[] = {
  { &hf_lte_rrc_measQuantityUTRA_FDD, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measQuantityUTRA_FDD },
  { &hf_lte_rrc_measQuantityUTRA_TDD, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measQuantityUTRA_TDD },
  { &hf_lte_rrc_filterCoefficient, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigUTRA, QuantityConfigUTRA_sequence);

  return offset;
}


static const value_string lte_rrc_T_measQuantityGERAN_vals[] = {
  {   0, "rssi" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_measQuantityGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t QuantityConfigGERAN_sequence[] = {
  { &hf_lte_rrc_measQuantityGERAN, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measQuantityGERAN },
  { &hf_lte_rrc_filterCoefficient, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigGERAN, QuantityConfigGERAN_sequence);

  return offset;
}


static const value_string lte_rrc_T_measQuantityCDMA2000_vals[] = {
  {   0, "pilotStrength" },
  {   1, "pilotPnPhaseAndPilotStrength" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_measQuantityCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t QuantityConfigCDMA2000_sequence[] = {
  { &hf_lte_rrc_measQuantityCDMA2000, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measQuantityCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigCDMA2000, QuantityConfigCDMA2000_sequence);

  return offset;
}


static const per_sequence_t QuantityConfigUTRA_v1020_sequence[] = {
  { &hf_lte_rrc_filterCoefficient2_FDD_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigUTRA_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigUTRA_v1020, QuantityConfigUTRA_v1020_sequence);

  return offset;
}


static const per_sequence_t QuantityConfig_eag_1_sequence[] = {
  { &hf_lte_rrc_quantityConfigUTRA_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigUTRA_v1020 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfig_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, QuantityConfig_eag_1_sequence);

  return offset;
}


static const per_sequence_t QuantityConfigEUTRA_v1250_sequence[] = {
  { &hf_lte_rrc_filterCoefficientCSI_RSRP_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigEUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigEUTRA_v1250, QuantityConfigEUTRA_v1250_sequence);

  return offset;
}


static const per_sequence_t QuantityConfig_eag_2_sequence[] = {
  { &hf_lte_rrc_quantityConfigEUTRA_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigEUTRA_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfig_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, QuantityConfig_eag_2_sequence);

  return offset;
}


static const per_sequence_t QuantityConfigEUTRA_v1310_sequence[] = {
  { &hf_lte_rrc_filterCoefficientRS_SINR_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigEUTRA_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigEUTRA_v1310, QuantityConfigEUTRA_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_measQuantityWLAN_r13_vals[] = {
  {   0, "rssiWLAN" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_measQuantityWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t QuantityConfigWLAN_r13_sequence[] = {
  { &hf_lte_rrc_measQuantityWLAN_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measQuantityWLAN_r13 },
  { &hf_lte_rrc_filterCoefficient_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigWLAN_r13, QuantityConfigWLAN_r13_sequence);

  return offset;
}


static const per_sequence_t QuantityConfig_eag_3_sequence[] = {
  { &hf_lte_rrc_quantityConfigEUTRA_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigEUTRA_v1310 },
  { &hf_lte_rrc_quantityConfigWLAN_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigWLAN_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfig_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, QuantityConfig_eag_3_sequence);

  return offset;
}


static const per_sequence_t QuantityConfigRS_NR_r15_sequence[] = {
  { &hf_lte_rrc_filterCoeff_RSRP_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { &hf_lte_rrc_filterCoeff_RSRQ_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { &hf_lte_rrc_filterCoefficient_SINR_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigRS_NR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigRS_NR_r15, QuantityConfigRS_NR_r15_sequence);

  return offset;
}


static const per_sequence_t QuantityConfigNR_r15_sequence[] = {
  { &hf_lte_rrc_measQuantityCell_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_QuantityConfigRS_NR_r15 },
  { &hf_lte_rrc_measQuantityRS_Index_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigRS_NR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfigNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfigNR_r15, QuantityConfigNR_r15_sequence);

  return offset;
}


static const per_sequence_t QuantityConfigNRList_r15_sequence_of[1] = {
  { &hf_lte_rrc_QuantityConfigNRList_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_QuantityConfigNR_r15 },
};

static int
dissect_lte_rrc_QuantityConfigNRList_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_QuantityConfigNRList_r15, QuantityConfigNRList_r15_sequence_of,
                                                  1, maxQuantSetsNR_r15, FALSE);

  return offset;
}


static const per_sequence_t QuantityConfig_eag_4_sequence[] = {
  { &hf_lte_rrc_quantityConfigNRList_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigNRList_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfig_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, QuantityConfig_eag_4_sequence);

  return offset;
}


static const per_sequence_t QuantityConfig_sequence[] = {
  { &hf_lte_rrc_quantityConfigEUTRA, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigEUTRA },
  { &hf_lte_rrc_quantityConfigUTRA, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigUTRA },
  { &hf_lte_rrc_quantityConfigGERAN, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigGERAN },
  { &hf_lte_rrc_quantityConfigCDMA2000, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfigCDMA2000 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_QuantityConfig_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_QuantityConfig_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_QuantityConfig_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_QuantityConfig_eag_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_QuantityConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_QuantityConfig, QuantityConfig_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_1279(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1279U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_2559(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2559U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_5119(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 5119U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_10239(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 10239U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_gapOffset_vals[] = {
  {   0, "gp0" },
  {   1, "gp1" },
  {   2, "gp2-r14" },
  {   3, "gp3-r14" },
  {   4, "gp-ncsg0-r14" },
  {   5, "gp-ncsg1-r14" },
  {   6, "gp-ncsg2-r14" },
  {   7, "gp-ncsg3-r14" },
  {   8, "gp-nonUniform1-r14" },
  {   9, "gp-nonUniform2-r14" },
  {  10, "gp-nonUniform3-r14" },
  {  11, "gp-nonUniform4-r14" },
  { 0, NULL }
};

static const per_choice_t T_gapOffset_choice[] = {
  {   0, &hf_lte_rrc_gp0         , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_INTEGER_0_39 },
  {   1, &hf_lte_rrc_gp1         , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_INTEGER_0_79 },
  {   2, &hf_lte_rrc_gp2_r14     , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_39 },
  {   3, &hf_lte_rrc_gp3_r14     , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_79 },
  {   4, &hf_lte_rrc_gp_ncsg0_r14, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_39 },
  {   5, &hf_lte_rrc_gp_ncsg1_r14, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_79 },
  {   6, &hf_lte_rrc_gp_ncsg2_r14, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_39 },
  {   7, &hf_lte_rrc_gp_ncsg3_r14, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_79 },
  {   8, &hf_lte_rrc_gp_nonUniform1_r14, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_1279 },
  {   9, &hf_lte_rrc_gp_nonUniform2_r14, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_2559 },
  {  10, &hf_lte_rrc_gp_nonUniform3_r14, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_5119 },
  {  11, &hf_lte_rrc_gp_nonUniform4_r14, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_INTEGER_0_10239 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_gapOffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_gapOffset, T_gapOffset_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_103_sequence[] = {
  { &hf_lte_rrc_gapOffset   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_gapOffset },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_103(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_103, T_setup_103_sequence);

  return offset;
}


static const value_string lte_rrc_MeasGapConfig_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t MeasGapConfig_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_117   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_103 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_MeasGapConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_MeasGapConfig, MeasGapConfig_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_S_Measure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_RSRP_Range(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_lte_rrc_PreRegistrationZoneIdHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SecondaryPreRegistrationZoneIdListHRPD_sequence_of[1] = {
  { &hf_lte_rrc_SecondaryPreRegistrationZoneIdListHRPD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PreRegistrationZoneIdHRPD },
};

static int
dissect_lte_rrc_SecondaryPreRegistrationZoneIdListHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SecondaryPreRegistrationZoneIdListHRPD, SecondaryPreRegistrationZoneIdListHRPD_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const per_sequence_t PreRegistrationInfoHRPD_sequence[] = {
  { &hf_lte_rrc_preRegistrationAllowed, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_preRegistrationZoneId, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PreRegistrationZoneIdHRPD },
  { &hf_lte_rrc_secondaryPreRegistrationZoneIdList, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SecondaryPreRegistrationZoneIdListHRPD },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PreRegistrationInfoHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PreRegistrationInfoHRPD, PreRegistrationInfoHRPD_sequence);

  return offset;
}


static const value_string lte_rrc_T_t_Evaluation_vals[] = {
  {   0, "s30" },
  {   1, "s60" },
  {   2, "s120" },
  {   3, "s180" },
  {   4, "s240" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t_Evaluation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t_HystNormal_vals[] = {
  {   0, "s30" },
  {   1, "s60" },
  {   2, "s120" },
  {   3, "s180" },
  {   4, "s240" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t_HystNormal(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 16U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MobilityStateParameters_sequence[] = {
  { &hf_lte_rrc_t_Evaluation, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t_Evaluation },
  { &hf_lte_rrc_t_HystNormal, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t_HystNormal },
  { &hf_lte_rrc_n_CellChangeMedium, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_16 },
  { &hf_lte_rrc_n_CellChangeHigh, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_16 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityStateParameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityStateParameters, MobilityStateParameters_sequence);

  return offset;
}


static const value_string lte_rrc_T_sf_Medium_01_vals[] = {
  {   0, "oDot25" },
  {   1, "oDot5" },
  {   2, "oDot75" },
  {   3, "lDot0" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sf_Medium_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sf_High_01_vals[] = {
  {   0, "oDot25" },
  {   1, "oDot5" },
  {   2, "oDot75" },
  {   3, "lDot0" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sf_High_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SpeedStateScaleFactors_sequence[] = {
  { &hf_lte_rrc_sf_Medium_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sf_Medium_01 },
  { &hf_lte_rrc_sf_High_01  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sf_High_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SpeedStateScaleFactors(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SpeedStateScaleFactors, SpeedStateScaleFactors_sequence);

  return offset;
}


static const per_sequence_t T_setup_101_sequence[] = {
  { &hf_lte_rrc_mobilityStateParameters, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MobilityStateParameters },
  { &hf_lte_rrc_timeToTrigger_SF, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SpeedStateScaleFactors },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_101(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_101, T_setup_101_sequence);

  return offset;
}


static const value_string lte_rrc_T_speedStatePars_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_speedStatePars_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_114   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_101 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_speedStatePars(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_speedStatePars, T_speedStatePars_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasObjectEUTRA_v9e0_sequence[] = {
  { &hf_lte_rrc_carrierFreq_v9e0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectEUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectEUTRA_v9e0, MeasObjectEUTRA_v9e0_sequence);

  return offset;
}


static const per_sequence_t MeasObjectToAddMod_v9e0_sequence[] = {
  { &hf_lte_rrc_measObjectEUTRA_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasObjectEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectToAddMod_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectToAddMod_v9e0, MeasObjectToAddMod_v9e0_sequence);

  return offset;
}


static const per_sequence_t MeasObjectToAddModList_v9e0_sequence_of[1] = {
  { &hf_lte_rrc_MeasObjectToAddModList_v9e0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectToAddMod_v9e0 },
};

static int
dissect_lte_rrc_MeasObjectToAddModList_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasObjectToAddModList_v9e0, MeasObjectToAddModList_v9e0_sequence_of,
                                                  1, maxObjectId, FALSE);

  return offset;
}


static const per_sequence_t MeasConfig_eag_1_sequence[] = {
  { &hf_lte_rrc_measObjectToAddModList_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasObjectToAddModList_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasConfig_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasConfig_eag_1_sequence);

  return offset;
}


static const per_sequence_t MeasConfig_eag_2_sequence[] = {
  { &hf_lte_rrc_allowInterruptions_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasConfig_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasConfig_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_MeasScaleFactor_r12_vals[] = {
  {   0, "sf-EUTRA-cf1" },
  {   1, "sf-EUTRA-cf2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_MeasScaleFactor_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_measScaleFactor_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_measScaleFactor_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_115   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MeasScaleFactor_r12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_measScaleFactor_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_measScaleFactor_r12, T_measScaleFactor_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_MeasId_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            maxMeasId_Plus1, maxMeasId_r12, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasIdToRemoveListExt_r12_sequence_of[1] = {
  { &hf_lte_rrc_MeasIdToRemoveListExt_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasId_v1250 },
};

static int
dissect_lte_rrc_MeasIdToRemoveListExt_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasIdToRemoveListExt_r12, MeasIdToRemoveListExt_r12_sequence_of,
                                                  1, maxMeasId, FALSE);

  return offset;
}


static const per_sequence_t MeasIdToAddModExt_r12_sequence[] = {
  { &hf_lte_rrc_measId_v1250, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasId_v1250 },
  { &hf_lte_rrc_measObjectId_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId },
  { &hf_lte_rrc_reportConfigId_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReportConfigId },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasIdToAddModExt_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasIdToAddModExt_r12, MeasIdToAddModExt_r12_sequence);

  return offset;
}


static const per_sequence_t MeasIdToAddModListExt_r12_sequence_of[1] = {
  { &hf_lte_rrc_MeasIdToAddModListExt_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasIdToAddModExt_r12 },
};

static int
dissect_lte_rrc_MeasIdToAddModListExt_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasIdToAddModListExt_r12, MeasIdToAddModListExt_r12_sequence_of,
                                                  1, maxMeasId, FALSE);

  return offset;
}


static const per_sequence_t MeasConfig_eag_3_sequence[] = {
  { &hf_lte_rrc_measScaleFactor_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measScaleFactor_r12 },
  { &hf_lte_rrc_measIdToRemoveListExt_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasIdToRemoveListExt_r12 },
  { &hf_lte_rrc_measIdToAddModListExt_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasIdToAddModListExt_r12 },
  { &hf_lte_rrc_measRSRQ_OnAllSymbols_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasConfig_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasConfig_eag_3_sequence);

  return offset;
}



static int
dissect_lte_rrc_MeasObjectId_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            maxObjectId_Plus1_r13, maxObjectId_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasObjectToRemoveListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_MeasObjectToRemoveListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId_v1310 },
};

static int
dissect_lte_rrc_MeasObjectToRemoveListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasObjectToRemoveListExt_r13, MeasObjectToRemoveListExt_r13_sequence_of,
                                                  1, maxObjectId, FALSE);

  return offset;
}


static const value_string lte_rrc_T_measObject_r13_vals[] = {
  {   0, "measObjectEUTRA-r13" },
  {   1, "measObjectUTRA-r13" },
  {   2, "measObjectGERAN-r13" },
  {   3, "measObjectCDMA2000-r13" },
  {   4, "measObjectWLAN-v1320" },
  {   5, "measObjectNR-r15" },
  { 0, NULL }
};

static const per_choice_t T_measObject_r13_choice[] = {
  {   0, &hf_lte_rrc_measObjectEUTRA_r13, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasObjectEUTRA },
  {   1, &hf_lte_rrc_measObjectUTRA_r13, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasObjectUTRA },
  {   2, &hf_lte_rrc_measObjectGERAN_r13, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasObjectGERAN },
  {   3, &hf_lte_rrc_measObjectCDMA2000_r13, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasObjectCDMA2000 },
  {   4, &hf_lte_rrc_measObjectWLAN_v1320, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_MeasObjectWLAN_r13 },
  {   5, &hf_lte_rrc_measObjectNR_r15, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_MeasObjectNR_r15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_measObject_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_measObject_r13, T_measObject_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasObjectToAddModExt_r13_sequence[] = {
  { &hf_lte_rrc_measObjectId_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId_v1310 },
  { &hf_lte_rrc_measObject_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measObject_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasObjectToAddModExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasObjectToAddModExt_r13, MeasObjectToAddModExt_r13_sequence);

  return offset;
}


static const per_sequence_t MeasObjectToAddModListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_MeasObjectToAddModListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectToAddModExt_r13 },
};

static int
dissect_lte_rrc_MeasObjectToAddModListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasObjectToAddModListExt_r13, MeasObjectToAddModListExt_r13_sequence_of,
                                                  1, maxObjectId, FALSE);

  return offset;
}


static const per_sequence_t MeasIdToAddMod_v1310_sequence[] = {
  { &hf_lte_rrc_measObjectId_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasObjectId_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasIdToAddMod_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasIdToAddMod_v1310, MeasIdToAddMod_v1310_sequence);

  return offset;
}


static const per_sequence_t MeasIdToAddModList_v1310_sequence_of[1] = {
  { &hf_lte_rrc_MeasIdToAddModList_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasIdToAddMod_v1310 },
};

static int
dissect_lte_rrc_MeasIdToAddModList_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasIdToAddModList_v1310, MeasIdToAddModList_v1310_sequence_of,
                                                  1, maxMeasId, FALSE);

  return offset;
}


static const per_sequence_t MeasIdToAddModListExt_v1310_sequence_of[1] = {
  { &hf_lte_rrc_MeasIdToAddModListExt_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasIdToAddMod_v1310 },
};

static int
dissect_lte_rrc_MeasIdToAddModListExt_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasIdToAddModListExt_v1310, MeasIdToAddModListExt_v1310_sequence_of,
                                                  1, maxMeasId, FALSE);

  return offset;
}


static const per_sequence_t MeasConfig_eag_4_sequence[] = {
  { &hf_lte_rrc_measObjectToRemoveListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasObjectToRemoveListExt_r13 },
  { &hf_lte_rrc_measObjectToAddModListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasObjectToAddModListExt_r13 },
  { &hf_lte_rrc_measIdToAddModList_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasIdToAddModList_v1310 },
  { &hf_lte_rrc_measIdToAddModListExt_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasIdToAddModListExt_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasConfig_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasConfig_eag_4_sequence);

  return offset;
}



static int
dissect_lte_rrc_ServCellIndex_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasGapConfigToRemoveList_r14_sequence_of[1] = {
  { &hf_lte_rrc_MeasGapConfigToRemoveList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r13 },
};

static int
dissect_lte_rrc_MeasGapConfigToRemoveList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasGapConfigToRemoveList_r14, MeasGapConfigToRemoveList_r14_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}


static const per_sequence_t MeasGapConfigPerCC_r14_sequence[] = {
  { &hf_lte_rrc_servCellId_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r13 },
  { &hf_lte_rrc_measGapConfigCC_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasGapConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasGapConfigPerCC_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasGapConfigPerCC_r14, MeasGapConfigPerCC_r14_sequence);

  return offset;
}


static const per_sequence_t MeasGapConfigToAddModList_r14_sequence_of[1] = {
  { &hf_lte_rrc_MeasGapConfigToAddModList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasGapConfigPerCC_r14 },
};

static int
dissect_lte_rrc_MeasGapConfigToAddModList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasGapConfigToAddModList_r14, MeasGapConfigToAddModList_r14_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}


static const per_sequence_t T_setup_104_sequence[] = {
  { &hf_lte_rrc_measGapConfigToRemoveList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasGapConfigToRemoveList_r14 },
  { &hf_lte_rrc_measGapConfigToAddModList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasGapConfigToAddModList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_104(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_104, T_setup_104_sequence);

  return offset;
}


static const value_string lte_rrc_MeasGapConfigPerCC_List_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t MeasGapConfigPerCC_List_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_118   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_104 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_MeasGapConfigPerCC_List_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_MeasGapConfigPerCC_List_r14, MeasGapConfigPerCC_List_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_measGapSharingScheme_r14_vals[] = {
  {   0, "scheme00" },
  {   1, "scheme01" },
  {   2, "scheme10" },
  {   3, "scheme11" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_measGapSharingScheme_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_105_sequence[] = {
  { &hf_lte_rrc_measGapSharingScheme_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measGapSharingScheme_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_105(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_105, T_setup_105_sequence);

  return offset;
}


static const value_string lte_rrc_MeasGapSharingConfig_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t MeasGapSharingConfig_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_119   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_105 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_MeasGapSharingConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_MeasGapSharingConfig_r14, MeasGapSharingConfig_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasConfig_eag_5_sequence[] = {
  { &hf_lte_rrc_measGapConfigPerCC_List_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasGapConfigPerCC_List_r14 },
  { &hf_lte_rrc_measGapSharingConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasGapSharingConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasConfig_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasConfig_eag_5_sequence);

  return offset;
}


static const per_sequence_t MeasConfig_sequence[] = {
  { &hf_lte_rrc_measObjectToRemoveList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasObjectToRemoveList },
  { &hf_lte_rrc_measObjectToAddModList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasObjectToAddModList },
  { &hf_lte_rrc_reportConfigToRemoveList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_ReportConfigToRemoveList },
  { &hf_lte_rrc_reportConfigToAddModList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_ReportConfigToAddModList },
  { &hf_lte_rrc_measIdToRemoveList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasIdToRemoveList },
  { &hf_lte_rrc_measIdToAddModList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasIdToAddModList },
  { &hf_lte_rrc_quantityConfig, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_QuantityConfig },
  { &hf_lte_rrc_measGapConfig, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasGapConfig },
  { &hf_lte_rrc_s_Measure   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_S_Measure },
  { &hf_lte_rrc_preRegistrationInfoHRPD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PreRegistrationInfoHRPD },
  { &hf_lte_rrc_speedStatePars, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_speedStatePars },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasConfig_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasConfig_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasConfig_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasConfig_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasConfig_eag_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasConfig, MeasConfig_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 2U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_PollRetransmit_vals[] = {
  {   0, "ms5" },
  {   1, "ms10" },
  {   2, "ms15" },
  {   3, "ms20" },
  {   4, "ms25" },
  {   5, "ms30" },
  {   6, "ms35" },
  {   7, "ms40" },
  {   8, "ms45" },
  {   9, "ms50" },
  {  10, "ms55" },
  {  11, "ms60" },
  {  12, "ms65" },
  {  13, "ms70" },
  {  14, "ms75" },
  {  15, "ms80" },
  {  16, "ms85" },
  {  17, "ms90" },
  {  18, "ms95" },
  {  19, "ms100" },
  {  20, "ms105" },
  {  21, "ms110" },
  {  22, "ms115" },
  {  23, "ms120" },
  {  24, "ms125" },
  {  25, "ms130" },
  {  26, "ms135" },
  {  27, "ms140" },
  {  28, "ms145" },
  {  29, "ms150" },
  {  30, "ms155" },
  {  31, "ms160" },
  {  32, "ms165" },
  {  33, "ms170" },
  {  34, "ms175" },
  {  35, "ms180" },
  {  36, "ms185" },
  {  37, "ms190" },
  {  38, "ms195" },
  {  39, "ms200" },
  {  40, "ms205" },
  {  41, "ms210" },
  {  42, "ms215" },
  {  43, "ms220" },
  {  44, "ms225" },
  {  45, "ms230" },
  {  46, "ms235" },
  {  47, "ms240" },
  {  48, "ms245" },
  {  49, "ms250" },
  {  50, "ms300" },
  {  51, "ms350" },
  {  52, "ms400" },
  {  53, "ms450" },
  {  54, "ms500" },
  {  55, "ms800-v1310" },
  {  56, "ms1000-v1310" },
  {  57, "ms2000-v1310" },
  {  58, "ms4000-v1310" },
  {  59, "spare5" },
  {  60, "spare4" },
  {  61, "spare3" },
  {  62, "spare2" },
  {  63, "spare1" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_PollRetransmit_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_PollRetransmit_vals);


static int
dissect_lte_rrc_T_PollRetransmit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     64, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_PollPDU_vals[] = {
  {   0, "p4" },
  {   1, "p8" },
  {   2, "p16" },
  {   3, "p32" },
  {   4, "p64" },
  {   5, "p128" },
  {   6, "p256" },
  {   7, "pInfinity" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PollPDU(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_PollByte_vals[] = {
  {   0, "kB25" },
  {   1, "kB50" },
  {   2, "kB75" },
  {   3, "kB100" },
  {   4, "kB125" },
  {   5, "kB250" },
  {   6, "kB375" },
  {   7, "kB500" },
  {   8, "kB750" },
  {   9, "kB1000" },
  {  10, "kB1250" },
  {  11, "kB1500" },
  {  12, "kB2000" },
  {  13, "kB3000" },
  {  14, "kBinfinity" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PollByte(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_maxRetxThreshold_vals[] = {
  {   0, "t1" },
  {   1, "t2" },
  {   2, "t3" },
  {   3, "t4" },
  {   4, "t6" },
  {   5, "t8" },
  {   6, "t16" },
  {   7, "t32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxRetxThreshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UL_AM_RLC_sequence[] = {
  { &hf_lte_rrc_t_PollRetransmit, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_PollRetransmit },
  { &hf_lte_rrc_pollPDU     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PollPDU },
  { &hf_lte_rrc_pollByte    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PollByte },
  { &hf_lte_rrc_maxRetxThreshold, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_maxRetxThreshold },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_AM_RLC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_AM_RLC, UL_AM_RLC_sequence);

  return offset;
}


static const value_string lte_rrc_T_Reordering_vals[] = {
  {   0, "ms0" },
  {   1, "ms5" },
  {   2, "ms10" },
  {   3, "ms15" },
  {   4, "ms20" },
  {   5, "ms25" },
  {   6, "ms30" },
  {   7, "ms35" },
  {   8, "ms40" },
  {   9, "ms45" },
  {  10, "ms50" },
  {  11, "ms55" },
  {  12, "ms60" },
  {  13, "ms65" },
  {  14, "ms70" },
  {  15, "ms75" },
  {  16, "ms80" },
  {  17, "ms85" },
  {  18, "ms90" },
  {  19, "ms95" },
  {  20, "ms100" },
  {  21, "ms110" },
  {  22, "ms120" },
  {  23, "ms130" },
  {  24, "ms140" },
  {  25, "ms150" },
  {  26, "ms160" },
  {  27, "ms170" },
  {  28, "ms180" },
  {  29, "ms190" },
  {  30, "ms200" },
  {  31, "ms1600-v1310" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_Reordering_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_Reordering_vals);


static int
dissect_lte_rrc_T_Reordering(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     32, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_StatusProhibit_vals[] = {
  {   0, "ms0" },
  {   1, "ms5" },
  {   2, "ms10" },
  {   3, "ms15" },
  {   4, "ms20" },
  {   5, "ms25" },
  {   6, "ms30" },
  {   7, "ms35" },
  {   8, "ms40" },
  {   9, "ms45" },
  {  10, "ms50" },
  {  11, "ms55" },
  {  12, "ms60" },
  {  13, "ms65" },
  {  14, "ms70" },
  {  15, "ms75" },
  {  16, "ms80" },
  {  17, "ms85" },
  {  18, "ms90" },
  {  19, "ms95" },
  {  20, "ms100" },
  {  21, "ms105" },
  {  22, "ms110" },
  {  23, "ms115" },
  {  24, "ms120" },
  {  25, "ms125" },
  {  26, "ms130" },
  {  27, "ms135" },
  {  28, "ms140" },
  {  29, "ms145" },
  {  30, "ms150" },
  {  31, "ms155" },
  {  32, "ms160" },
  {  33, "ms165" },
  {  34, "ms170" },
  {  35, "ms175" },
  {  36, "ms180" },
  {  37, "ms185" },
  {  38, "ms190" },
  {  39, "ms195" },
  {  40, "ms200" },
  {  41, "ms205" },
  {  42, "ms210" },
  {  43, "ms215" },
  {  44, "ms220" },
  {  45, "ms225" },
  {  46, "ms230" },
  {  47, "ms235" },
  {  48, "ms240" },
  {  49, "ms245" },
  {  50, "ms250" },
  {  51, "ms300" },
  {  52, "ms350" },
  {  53, "ms400" },
  {  54, "ms450" },
  {  55, "ms500" },
  {  56, "ms800-v1310" },
  {  57, "ms1000-v1310" },
  {  58, "ms1200-v1310" },
  {  59, "ms1600-v1310" },
  {  60, "ms2000-v1310" },
  {  61, "ms2400-v1310" },
  {  62, "spare2" },
  {  63, "spare1" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_StatusProhibit_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_StatusProhibit_vals);


static int
dissect_lte_rrc_T_StatusProhibit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     64, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DL_AM_RLC_sequence[] = {
  { &hf_lte_rrc_t_Reordering, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reordering },
  { &hf_lte_rrc_t_StatusProhibit, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_StatusProhibit },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_AM_RLC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_AM_RLC, DL_AM_RLC_sequence);

  return offset;
}


static const per_sequence_t T_am_sequence[] = {
  { &hf_lte_rrc_ul_AM_RLC   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_AM_RLC },
  { &hf_lte_rrc_dl_AM_RLC   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_AM_RLC },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_am(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_am, T_am_sequence);

  return offset;
}


static const value_string lte_rrc_SN_FieldLength_vals[] = {
  {   0, "size5" },
  {   1, "size10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SN_FieldLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, &value, FALSE, 0, NULL);

  if (mapping != NULL) {
    mapping->um_sn_length = (value==0) ? 5 : 10;
    mapping->um_sn_length_present = TRUE;
  }


  return offset;
}


static const per_sequence_t UL_UM_RLC_sequence[] = {
  { &hf_lte_rrc_sn_FieldLength, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SN_FieldLength },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_UM_RLC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_UM_RLC, UL_UM_RLC_sequence);

  return offset;
}


static const per_sequence_t DL_UM_RLC_sequence[] = {
  { &hf_lte_rrc_sn_FieldLength, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SN_FieldLength },
  { &hf_lte_rrc_t_Reordering, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reordering },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_UM_RLC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_UM_RLC, DL_UM_RLC_sequence);

  return offset;
}


static const per_sequence_t T_um_Bi_Directional_sequence[] = {
  { &hf_lte_rrc_ul_UM_RLC   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_UM_RLC },
  { &hf_lte_rrc_dl_UM_RLC   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_UM_RLC },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_um_Bi_Directional(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_um_Bi_Directional, T_um_Bi_Directional_sequence);

  return offset;
}


static const per_sequence_t T_um_Uni_Directional_UL_sequence[] = {
  { &hf_lte_rrc_ul_UM_RLC   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_UM_RLC },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_um_Uni_Directional_UL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_um_Uni_Directional_UL, T_um_Uni_Directional_UL_sequence);

  return offset;
}


static const per_sequence_t T_um_Uni_Directional_DL_sequence[] = {
  { &hf_lte_rrc_dl_UM_RLC   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_UM_RLC },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_um_Uni_Directional_DL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_um_Uni_Directional_DL, T_um_Uni_Directional_DL_sequence);

  return offset;
}


static const value_string lte_rrc_RLC_Config_vals[] = {
  {   0, "am" },
  {   1, "um-Bi-Directional" },
  {   2, "um-Uni-Directional-UL" },
  {   3, "um-Uni-Directional-DL" },
  { 0, NULL }
};

static const per_choice_t RLC_Config_choice[] = {
  {   0, &hf_lte_rrc_am          , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_am },
  {   1, &hf_lte_rrc_um_Bi_Directional, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_um_Bi_Directional },
  {   2, &hf_lte_rrc_um_Uni_Directional_UL, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_um_Uni_Directional_UL },
  {   3, &hf_lte_rrc_um_Uni_Directional_DL, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_um_Uni_Directional_DL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RLC_Config, RLC_Config_choice,
                                 &value);

  if (mapping != NULL) {
    mapping->rlcMode = (value==0) ? RLC_AM_MODE : RLC_UM_MODE;
    mapping->rlcMode_present = TRUE;

    if (mapping->rlcMode == RLC_AM_MODE) {
        mapping->pdcp_sn_size = 12;
        mapping->pdcp_sn_size_present = TRUE;
    }
  }


  return offset;
}


static const value_string lte_rrc_T_rlc_Config_vals[] = {
  {   0, "explicitValue" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_rlc_Config_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_04, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RLC_Config },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_rlc_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_rlc_Config, T_rlc_Config_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_T_priority(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 16U, &value, FALSE);

  if (mapping != NULL) {
    mapping->ul_priority = value;
    mapping->ul_priority_present = TRUE;
  }


  return offset;
}


static const value_string lte_rrc_T_prioritisedBitRate_vals[] = {
  {   0, "kBps0" },
  {   1, "kBps8" },
  {   2, "kBps16" },
  {   3, "kBps32" },
  {   4, "kBps64" },
  {   5, "kBps128" },
  {   6, "kBps256" },
  {   7, "infinity" },
  {   8, "kBps512-v1020" },
  {   9, "kBps1024-v1020" },
  {  10, "kBps2048-v1020" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_prioritisedBitRate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_bucketSizeDuration_vals[] = {
  {   0, "ms50" },
  {   1, "ms100" },
  {   2, "ms150" },
  {   3, "ms300" },
  {   4, "ms500" },
  {   5, "ms1000" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_bucketSizeDuration(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 3U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_ul_SpecificParameters_sequence[] = {
  { &hf_lte_rrc_priority    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_priority },
  { &hf_lte_rrc_prioritisedBitRate, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_prioritisedBitRate },
  { &hf_lte_rrc_bucketSizeDuration, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_bucketSizeDuration },
  { &hf_lte_rrc_logicalChannelGroup, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_SpecificParameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_SpecificParameters, T_ul_SpecificParameters_sequence);

  return offset;
}


static const value_string lte_rrc_T_logicalChannelSR_Mask_r9_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logicalChannelSR_Mask_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LogicalChannelConfig_eag_1_sequence[] = {
  { &hf_lte_rrc_logicalChannelSR_Mask_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logicalChannelSR_Mask_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogicalChannelConfig_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, LogicalChannelConfig_eag_1_sequence);

  return offset;
}


static const per_sequence_t LogicalChannelConfig_eag_2_sequence[] = {
  { &hf_lte_rrc_logicalChannelSR_Prohibit_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogicalChannelConfig_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, LogicalChannelConfig_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_bitRateQueryProhibitTimer_r14_vals[] = {
  {   0, "s0" },
  {   1, "s0dot4" },
  {   2, "s0dot8" },
  {   3, "s1dot6" },
  {   4, "s3" },
  {   5, "s6" },
  {   6, "s12" },
  {   7, "s30" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_bitRateQueryProhibitTimer_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LogicalChannelConfig_eag_3_sequence[] = {
  { &hf_lte_rrc_laa_UL_Allowed_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_bitRateQueryProhibitTimer_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_bitRateQueryProhibitTimer_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogicalChannelConfig_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, LogicalChannelConfig_eag_3_sequence);

  return offset;
}


static const per_sequence_t LogicalChannelConfig_sequence[] = {
  { &hf_lte_rrc_ul_SpecificParameters, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_SpecificParameters },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogicalChannelConfig_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogicalChannelConfig_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogicalChannelConfig_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogicalChannelConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LogicalChannelConfig, LogicalChannelConfig_sequence);

  return offset;
}


static const value_string lte_rrc_T_logicalChannelConfig_vals[] = {
  {   0, "explicitValue" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_logicalChannelConfig_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_05, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_LogicalChannelConfig },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_logicalChannelConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_logicalChannelConfig, T_logicalChannelConfig_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SRB_ToAddMod_sequence[] = {
  { &hf_lte_rrc_srb_Identity, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_2 },
  { &hf_lte_rrc_rlc_Config  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlc_Config },
  { &hf_lte_rrc_logicalChannelConfig, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_logicalChannelConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SRB_ToAddMod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SRB_ToAddMod, SRB_ToAddMod_sequence);

  return offset;
}


static const per_sequence_t SRB_ToAddModList_sequence_of[1] = {
  { &hf_lte_rrc_SRB_ToAddModList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRB_ToAddMod },
};

static int
dissect_lte_rrc_SRB_ToAddModList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SRB_ToAddModList, SRB_ToAddModList_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}



static int
dissect_lte_rrc_DRB_Identity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 32U, &value, FALSE);

  if (mapping != NULL) {
    mapping->drbid = (guint8)value;
  }


  return offset;
}


static const value_string lte_rrc_T_discardTimer_vals[] = {
  {   0, "ms50" },
  {   1, "ms100" },
  {   2, "ms150" },
  {   3, "ms300" },
  {   4, "ms500" },
  {   5, "ms750" },
  {   6, "ms1500" },
  {   7, "infinity" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discardTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_rlc_AM_sequence[] = {
  { &hf_lte_rrc_statusReportRequired, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rlc_AM(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rlc_AM, T_rlc_AM_sequence);

  return offset;
}


static const value_string lte_rrc_T_pdcp_SN_Size_vals[] = {
  {   0, "len7bits" },
  {   1, "len12bits" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdcp_SN_Size(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, &value, FALSE, 0, NULL);

  if (mapping != NULL) {
    mapping->pdcp_sn_size = (value==0) ? 7 : 12;
    mapping->pdcp_sn_size_present = TRUE;
  }


  return offset;
}


static const per_sequence_t T_rlc_UM_sequence[] = {
  { &hf_lte_rrc_pdcp_SN_Size, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pdcp_SN_Size },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rlc_UM(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rlc_UM, T_rlc_UM_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_16383(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 16383U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_profiles_sequence[] = {
  { &hf_lte_rrc_profile0x0001, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0002, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0003, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0004, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0006, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0101, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0102, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0103, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0104, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_profiles(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_profiles, T_profiles_sequence);

  return offset;
}


static const per_sequence_t T_rohc_sequence[] = {
  { &hf_lte_rrc_maxCID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_16383 },
  { &hf_lte_rrc_profiles    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_profiles },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rohc(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rohc, T_rohc_sequence);

  return offset;
}


static const value_string lte_rrc_T_headerCompression_vals[] = {
  {   0, "notUsed" },
  {   1, "rohc" },
  { 0, NULL }
};

static const per_choice_t T_headerCompression_choice[] = {
  {   0, &hf_lte_rrc_notUsed     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_rohc        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_rohc },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_headerCompression(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_headerCompression, T_headerCompression_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_rn_IntegrityProtection_r10_vals[] = {
  {   0, "enabled" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rn_IntegrityProtection_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCP_Config_eag_1_sequence[] = {
  { &hf_lte_rrc_rn_IntegrityProtection_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rn_IntegrityProtection_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Config_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PDCP_Config_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_pdcp_SN_Size_v1130_vals[] = {
  {   0, "len15bits" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdcp_SN_Size_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  if (mapping != NULL) {
    mapping->pdcp_sn_size = 15;
    mapping->pdcp_sn_size_present = TRUE;
  }


  return offset;
}


static const per_sequence_t PDCP_Config_eag_2_sequence[] = {
  { &hf_lte_rrc_pdcp_SN_Size_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdcp_SN_Size_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Config_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PDCP_Config_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_t_Reordering_r12_vals[] = {
  {   0, "ms0" },
  {   1, "ms20" },
  {   2, "ms40" },
  {   3, "ms60" },
  {   4, "ms80" },
  {   5, "ms100" },
  {   6, "ms120" },
  {   7, "ms140" },
  {   8, "ms160" },
  {   9, "ms180" },
  {  10, "ms200" },
  {  11, "ms220" },
  {  12, "ms240" },
  {  13, "ms260" },
  {  14, "ms280" },
  {  15, "ms300" },
  {  16, "ms500" },
  {  17, "ms750" },
  {  18, "spare14" },
  {  19, "spare13" },
  {  20, "spare12" },
  {  21, "spare11" },
  {  22, "spare10" },
  {  23, "spare9" },
  {  24, "spare8" },
  {  25, "spare7" },
  {  26, "spare6" },
  {  27, "spare5" },
  {  28, "spare4" },
  {  29, "spare3" },
  {  30, "spare2" },
  {  31, "spare1" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_t_Reordering_r12_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_t_Reordering_r12_vals);


static int
dissect_lte_rrc_T_t_Reordering_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     32, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCP_Config_eag_3_sequence[] = {
  { &hf_lte_rrc_ul_DataSplitDRB_ViaSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_t_Reordering_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t_Reordering_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Config_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PDCP_Config_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_43_vals[] = {
  {   0, "b0" },
  {   1, "b100" },
  {   2, "b200" },
  {   3, "b400" },
  {   4, "b800" },
  {   5, "b1600" },
  {   6, "b3200" },
  {   7, "b6400" },
  {   8, "b12800" },
  {   9, "b25600" },
  {  10, "b51200" },
  {  11, "b102400" },
  {  12, "b204800" },
  {  13, "b409600" },
  {  14, "b819200" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_setup_43(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_DataSplitThreshold_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_ul_DataSplitThreshold_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_51    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_43 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_DataSplitThreshold_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ul_DataSplitThreshold_r13, T_ul_DataSplitThreshold_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_pdcp_SN_Size_v1310_vals[] = {
  {   0, "len18bits" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdcp_SN_Size_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  if (mapping != NULL) {
    mapping->pdcp_sn_size = 18;
    mapping->pdcp_sn_size_present = TRUE;
  }


  return offset;
}


static const value_string lte_rrc_T_statusPDU_TypeForPolling_r13_vals[] = {
  {   0, "type1" },
  {   1, "type2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_statusPDU_TypeForPolling_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_statusPDU_Periodicity_Type1_r13_vals[] = {
  {   0, "ms5" },
  {   1, "ms10" },
  {   2, "ms20" },
  {   3, "ms30" },
  {   4, "ms40" },
  {   5, "ms50" },
  {   6, "ms60" },
  {   7, "ms70" },
  {   8, "ms80" },
  {   9, "ms90" },
  {  10, "ms100" },
  {  11, "ms150" },
  {  12, "ms200" },
  {  13, "ms300" },
  {  14, "ms500" },
  {  15, "ms1000" },
  {  16, "ms2000" },
  {  17, "ms5000" },
  {  18, "ms10000" },
  {  19, "ms20000" },
  {  20, "ms50000" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_statusPDU_Periodicity_Type1_r13_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_statusPDU_Periodicity_Type1_r13_vals);


static int
dissect_lte_rrc_T_statusPDU_Periodicity_Type1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     21, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_statusPDU_Periodicity_Type2_r13_vals[] = {
  {   0, "ms5" },
  {   1, "ms10" },
  {   2, "ms20" },
  {   3, "ms30" },
  {   4, "ms40" },
  {   5, "ms50" },
  {   6, "ms60" },
  {   7, "ms70" },
  {   8, "ms80" },
  {   9, "ms90" },
  {  10, "ms100" },
  {  11, "ms150" },
  {  12, "ms200" },
  {  13, "ms300" },
  {  14, "ms500" },
  {  15, "ms1000" },
  {  16, "ms2000" },
  {  17, "ms5000" },
  {  18, "ms10000" },
  {  19, "ms20000" },
  {  20, "ms50000" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_statusPDU_Periodicity_Type2_r13_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_statusPDU_Periodicity_Type2_r13_vals);


static int
dissect_lte_rrc_T_statusPDU_Periodicity_Type2_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     21, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_statusPDU_Periodicity_Offset_r13_vals[] = {
  {   0, "ms1" },
  {   1, "ms2" },
  {   2, "ms5" },
  {   3, "ms10" },
  {   4, "ms25" },
  {   5, "ms50" },
  {   6, "ms100" },
  {   7, "ms250" },
  {   8, "ms500" },
  {   9, "ms2500" },
  {  10, "ms5000" },
  {  11, "ms25000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_statusPDU_Periodicity_Offset_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     12, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_44_sequence[] = {
  { &hf_lte_rrc_statusPDU_TypeForPolling_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_statusPDU_TypeForPolling_r13 },
  { &hf_lte_rrc_statusPDU_Periodicity_Type1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_statusPDU_Periodicity_Type1_r13 },
  { &hf_lte_rrc_statusPDU_Periodicity_Type2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_statusPDU_Periodicity_Type2_r13 },
  { &hf_lte_rrc_statusPDU_Periodicity_Offset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_statusPDU_Periodicity_Offset_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_44(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_44, T_setup_44_sequence);

  return offset;
}


static const value_string lte_rrc_T_statusFeedback_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_statusFeedback_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_52    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_44 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_statusFeedback_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_statusFeedback_r13, T_statusFeedback_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PDCP_Config_eag_4_sequence[] = {
  { &hf_lte_rrc_ul_DataSplitThreshold_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_DataSplitThreshold_r13 },
  { &hf_lte_rrc_pdcp_SN_Size_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdcp_SN_Size_v1310 },
  { &hf_lte_rrc_statusFeedback_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_statusFeedback_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Config_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PDCP_Config_eag_4_sequence);

  return offset;
}


static const value_string lte_rrc_T_ul_LWA_DataSplitThreshold_r14_vals[] = {
  {   0, "b0" },
  {   1, "b100" },
  {   2, "b200" },
  {   3, "b400" },
  {   4, "b800" },
  {   5, "b1600" },
  {   6, "b3200" },
  {   7, "b6400" },
  {   8, "b12800" },
  {   9, "b25600" },
  {  10, "b51200" },
  {  11, "b102400" },
  {  12, "b204800" },
  {  13, "b409600" },
  {  14, "b819200" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_LWA_DataSplitThreshold_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     15, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_45_sequence[] = {
  { &hf_lte_rrc_ul_LWA_DRB_ViaWLAN_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_ul_LWA_DataSplitThreshold_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_LWA_DataSplitThreshold_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_45(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_45, T_setup_45_sequence);

  return offset;
}


static const value_string lte_rrc_T_ul_LWA_Config_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_ul_LWA_Config_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_53    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_45 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_LWA_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ul_LWA_Config_r14, T_ul_LWA_Config_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_profiles_r14_sequence[] = {
  { &hf_lte_rrc_profile0x0006_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_profiles_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_profiles_r14, T_profiles_r14_sequence);

  return offset;
}


static const per_sequence_t T_rohc_r14_sequence[] = {
  { &hf_lte_rrc_maxCID_r14  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_16383 },
  { &hf_lte_rrc_profiles_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_profiles_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rohc_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rohc_r14, T_rohc_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_uplinkOnlyHeaderCompression_r14_vals[] = {
  {   0, "notUsed-r14" },
  {   1, "rohc-r14" },
  { 0, NULL }
};

static const per_choice_t T_uplinkOnlyHeaderCompression_r14_choice[] = {
  {   0, &hf_lte_rrc_notUsed_r14 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_rohc_r14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_rohc_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_uplinkOnlyHeaderCompression_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_uplinkOnlyHeaderCompression_r14, T_uplinkOnlyHeaderCompression_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PDCP_Config_eag_5_sequence[] = {
  { &hf_lte_rrc_ul_LWA_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_LWA_Config_r14 },
  { &hf_lte_rrc_uplinkOnlyHeaderCompression_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_uplinkOnlyHeaderCompression_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Config_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PDCP_Config_eag_5_sequence);

  return offset;
}


static const per_sequence_t PDCP_Config_sequence[] = {
  { &hf_lte_rrc_discardTimer, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_discardTimer },
  { &hf_lte_rrc_rlc_AM      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlc_AM },
  { &hf_lte_rrc_rlc_UM      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlc_UM },
  { &hf_lte_rrc_headerCompression, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_headerCompression },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCP_Config_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCP_Config_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCP_Config_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCP_Config_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCP_Config_eag_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCP_Config, PDCP_Config_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_logicalChannelIdentity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            3U, 10U, &value, FALSE);

  if (mapping != NULL) {
    mapping->lcid = (guint8)value;
    mapping->lcid_present = TRUE;
  }


  return offset;
}


static const value_string lte_rrc_T_drb_TypeChange_r12_vals[] = {
  {   0, "toMCG" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_TypeChange_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_ul_extended_RLC_LI_Field_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  gboolean ext_li_field;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_boolean(tvb, offset, actx, tree, hf_index, &ext_li_field);

  if (mapping != NULL) {
    mapping->rlc_ul_ext_li_field = ext_li_field;
  }


  return offset;
}



static int
dissect_lte_rrc_T_dl_extended_RLC_LI_Field_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  gboolean ext_li_field;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_boolean(tvb, offset, actx, tree, hf_index, &ext_li_field);

  if (mapping != NULL) {
    mapping->rlc_dl_ext_li_field = ext_li_field;
  }


  return offset;
}


static const per_sequence_t RLC_Config_v1250_sequence[] = {
  { &hf_lte_rrc_ul_extended_RLC_LI_Field_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ul_extended_RLC_LI_Field_r12 },
  { &hf_lte_rrc_dl_extended_RLC_LI_Field_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_extended_RLC_LI_Field_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Config_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLC_Config_v1250, RLC_Config_v1250_sequence);

  return offset;
}


static const per_sequence_t DRB_ToAddMod_eag_1_sequence[] = {
  { &hf_lte_rrc_drb_TypeChange_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_TypeChange_r12 },
  { &hf_lte_rrc_rlc_Config_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddMod_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, DRB_ToAddMod_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ul_extended_RLC_AM_SN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  gboolean ext_am_sn;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_boolean(tvb, offset, actx, tree, hf_index, &ext_am_sn);

  if (mapping != NULL) {
    mapping->rlc_ul_ext_am_sn = ext_am_sn;
  }


  return offset;
}



static int
dissect_lte_rrc_T_dl_extended_RLC_AM_SN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  gboolean ext_am_sn;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_boolean(tvb, offset, actx, tree, hf_index, &ext_am_sn);

  if (mapping != NULL) {
    mapping->rlc_dl_ext_am_sn = ext_am_sn;
  }


  return offset;
}


static const value_string lte_rrc_PollPDU_v1310_vals[] = {
  {   0, "p512" },
  {   1, "p1024" },
  {   2, "p2048" },
  {   3, "p4096" },
  {   4, "p6144" },
  {   5, "p8192" },
  {   6, "p12288" },
  {   7, "p16384" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PollPDU_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RLC_Config_v1310_sequence[] = {
  { &hf_lte_rrc_ul_extended_RLC_AM_SN_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ul_extended_RLC_AM_SN_r13 },
  { &hf_lte_rrc_dl_extended_RLC_AM_SN_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_extended_RLC_AM_SN_r13 },
  { &hf_lte_rrc_pollPDU_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PollPDU_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Config_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLC_Config_v1310, RLC_Config_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_drb_TypeLWIP_r13_vals[] = {
  {   0, "lwip" },
  {   1, "lwip-DL-only" },
  {   2, "lwip-UL-only" },
  {   3, "eutran" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_TypeLWIP_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DRB_ToAddMod_eag_2_sequence[] = {
  { &hf_lte_rrc_rlc_Config_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_v1310 },
  { &hf_lte_rrc_drb_TypeLWA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_drb_TypeLWIP_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_TypeLWIP_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddMod_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, DRB_ToAddMod_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_PollByte_r14_vals[] = {
  {   0, "kB1" },
  {   1, "kB2" },
  {   2, "kB5" },
  {   3, "kB8" },
  {   4, "kB10" },
  {   5, "kB15" },
  {   6, "kB3500" },
  {   7, "kB4000" },
  {   8, "kB4500" },
  {   9, "kB5000" },
  {  10, "kB5500" },
  {  11, "kB6000" },
  {  12, "kB6500" },
  {  13, "kB7000" },
  {  14, "kB7500" },
  {  15, "kB8000" },
  {  16, "kB9000" },
  {  17, "kB10000" },
  {  18, "kB11000" },
  {  19, "kB12000" },
  {  20, "kB13000" },
  {  21, "kB14000" },
  {  22, "kB15000" },
  {  23, "kB16000" },
  {  24, "kB17000" },
  {  25, "kB18000" },
  {  26, "kB19000" },
  {  27, "kB20000" },
  {  28, "kB25000" },
  {  29, "kB30000" },
  {  30, "kB35000" },
  {  31, "kB40000" },
  { 0, NULL }
};

static value_string_ext lte_rrc_PollByte_r14_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_PollByte_r14_vals);


static int
dissect_lte_rrc_PollByte_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     32, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_76_sequence[] = {
  { &hf_lte_rrc_pollByte_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PollByte_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_76(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_76, T_setup_76_sequence);

  return offset;
}


static const value_string lte_rrc_RLC_Config_v1430_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t RLC_Config_v1430_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_89    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_76 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Config_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RLC_Config_v1430, RLC_Config_v1430_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_lwa_WLAN_AC_r14_vals[] = {
  {   0, "ac-bk" },
  {   1, "ac-be" },
  {   2, "ac-vi" },
  {   3, "ac-vo" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwa_WLAN_AC_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DRB_ToAddMod_eag_3_sequence[] = {
  { &hf_lte_rrc_rlc_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_v1430 },
  { &hf_lte_rrc_lwip_UL_Aggregation_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_lwip_DL_Aggregation_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_lwa_WLAN_AC_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwa_WLAN_AC_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddMod_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, DRB_ToAddMod_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_reestablishRLC_r15_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reestablishRLC_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RLC_Config_v15xy_sequence[] = {
  { &hf_lte_rrc_reestablishRLC_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reestablishRLC_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Config_v15xy(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLC_Config_v15xy, RLC_Config_v15xy_sequence);

  return offset;
}


static const per_sequence_t DRB_ToAddMod_eag_4_sequence[] = {
  { &hf_lte_rrc_rlc_Config_v15xy, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_v15xy },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddMod_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, DRB_ToAddMod_eag_4_sequence);

  return offset;
}


static const per_sequence_t DRB_ToAddMod_sequence[] = {
  { &hf_lte_rrc_eps_BearerIdentity, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_drb_Identity, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_Identity },
  { &hf_lte_rrc_pdcp_Config , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PDCP_Config },
  { &hf_lte_rrc_rlc_Config_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config },
  { &hf_lte_rrc_logicalChannelIdentity, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_logicalChannelIdentity },
  { &hf_lte_rrc_logicalChannelConfig_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_LogicalChannelConfig },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddMod_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddMod_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddMod_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddMod_eag_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddMod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  struct mac_lte_info *p_mac_lte_info;
  struct rlc_lte_info *p_rlc_lte_info;
  /* Get the struct and clear it out */
  drb_mapping_t *drb_mapping = private_data_get_drb_mapping(actx);
  memset(drb_mapping, 0, sizeof(*drb_mapping));
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRB_ToAddMod, DRB_ToAddMod_sequence);

  /* Need UE identifier */
  p_mac_lte_info = (mac_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_mac_lte, 0);
  if (p_mac_lte_info) {
    drb_mapping->ueid = p_mac_lte_info->ueid;
    /* Tell MAC about this mapping */
    set_mac_lte_channel_mapping(drb_mapping);
  }

  /* Also tell RLC how many PDCP sequence number bits and whether it should use extended LI */
  p_rlc_lte_info = (rlc_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_rlc_lte, 0);
  if (p_rlc_lte_info) {
    if (drb_mapping->pdcp_sn_size_present) {
      set_rlc_lte_drb_pdcp_seqnum_length(actx->pinfo,
                                         p_rlc_lte_info->ueid,
                                         drb_mapping->drbid,
                                         drb_mapping->pdcp_sn_size);
    }
    if (drb_mapping->rlcMode_present) {
      set_rlc_lte_drb_li_field(actx->pinfo,
                               p_rlc_lte_info->ueid,
                               drb_mapping->drbid,
                               drb_mapping->rlc_ul_ext_li_field,
                               drb_mapping->rlc_dl_ext_li_field);
    }
  }

  /* Clear out the struct again */
  memset(&drb_mapping, 0, sizeof(drb_mapping));



  return offset;
}


static const per_sequence_t DRB_ToAddModList_sequence_of[1] = {
  { &hf_lte_rrc_DRB_ToAddModList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddMod },
};

static int
dissect_lte_rrc_DRB_ToAddModList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DRB_ToAddModList, DRB_ToAddModList_sequence_of,
                                                  1, maxDRB, FALSE);

  return offset;
}


static const per_sequence_t DRB_ToReleaseList_sequence_of[1] = {
  { &hf_lte_rrc_DRB_ToReleaseList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_Identity },
};

static int
dissect_lte_rrc_DRB_ToReleaseList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DRB_ToReleaseList, DRB_ToReleaseList_sequence_of,
                                                  1, maxDRB, FALSE);

  return offset;
}


static const value_string lte_rrc_T_maxHARQ_Tx_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n5" },
  {   5, "n6" },
  {   6, "n7" },
  {   7, "n8" },
  {   8, "n10" },
  {   9, "n12" },
  {  10, "n16" },
  {  11, "n20" },
  {  12, "n24" },
  {  13, "n28" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxHARQ_Tx(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_PeriodicBSR_Timer_r12_vals[] = {
  {   0, "sf5" },
  {   1, "sf10" },
  {   2, "sf16" },
  {   3, "sf20" },
  {   4, "sf32" },
  {   5, "sf40" },
  {   6, "sf64" },
  {   7, "sf80" },
  {   8, "sf128" },
  {   9, "sf160" },
  {  10, "sf320" },
  {  11, "sf640" },
  {  12, "sf1280" },
  {  13, "sf2560" },
  {  14, "infinity" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PeriodicBSR_Timer_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_RetxBSR_Timer_r12_vals[] = {
  {   0, "sf320" },
  {   1, "sf640" },
  {   2, "sf1280" },
  {   3, "sf2560" },
  {   4, "sf5120" },
  {   5, "sf10240" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_RetxBSR_Timer_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_ul_SCH_Config_sequence[] = {
  { &hf_lte_rrc_maxHARQ_Tx  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxHARQ_Tx },
  { &hf_lte_rrc_periodicBSR_Timer, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PeriodicBSR_Timer_r12 },
  { &hf_lte_rrc_retxBSR_Timer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RetxBSR_Timer_r12 },
  { &hf_lte_rrc_ttiBundling , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_SCH_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_SCH_Config, T_ul_SCH_Config_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_release(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  mac_lte_info* p_mac_lte_info;
  offset = dissect_per_null(tvb, offset, actx, tree, hf_index);

  /* Look for UE identifier */
  p_mac_lte_info = (mac_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_mac_lte, 0);
  if (p_mac_lte_info != NULL) {
    /* If found, tell MAC to release DRX config */
    set_mac_lte_drx_config_release(p_mac_lte_info->ueid, actx->pinfo);
  }


  return offset;
}


static const value_string lte_rrc_T_onDurationTimer_vals[] = {
  {   0, "psf1" },
  {   1, "psf2" },
  {   2, "psf3" },
  {   3, "psf4" },
  {   4, "psf5" },
  {   5, "psf6" },
  {   6, "psf8" },
  {   7, "psf10" },
  {   8, "psf20" },
  {   9, "psf30" },
  {  10, "psf40" },
  {  11, "psf50" },
  {  12, "psf60" },
  {  13, "psf80" },
  {  14, "psf100" },
  {  15, "psf200" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_onDurationTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, &value, FALSE, 0, NULL);

  /* Set 'configured' state so that config can be examine once complete! */
  config->configured = TRUE;
  config->onDurationTimer = drx_lookup_onDurationTimer(value);


  return offset;
}


static const value_string lte_rrc_T_drx_InactivityTimer_vals[] = {
  {   0, "psf1" },
  {   1, "psf2" },
  {   2, "psf3" },
  {   3, "psf4" },
  {   4, "psf5" },
  {   5, "psf6" },
  {   6, "psf8" },
  {   7, "psf10" },
  {   8, "psf20" },
  {   9, "psf30" },
  {  10, "psf40" },
  {  11, "psf50" },
  {  12, "psf60" },
  {  13, "psf80" },
  {  14, "psf100" },
  {  15, "psf200" },
  {  16, "psf300" },
  {  17, "psf500" },
  {  18, "psf750" },
  {  19, "psf1280" },
  {  20, "psf1920" },
  {  21, "psf2560" },
  {  22, "psf0-v1020" },
  {  23, "spare9" },
  {  24, "spare8" },
  {  25, "spare7" },
  {  26, "spare6" },
  {  27, "spare5" },
  {  28, "spare4" },
  {  29, "spare3" },
  {  30, "spare2" },
  {  31, "spare1" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_drx_InactivityTimer_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_drx_InactivityTimer_vals);


static int
dissect_lte_rrc_T_drx_InactivityTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     32, &value, FALSE, 0, NULL);

  config->inactivityTimer = drx_lookup_inactivityTimer(value);


  return offset;
}


static const value_string lte_rrc_T_drx_RetransmissionTimer_vals[] = {
  {   0, "psf1" },
  {   1, "psf2" },
  {   2, "psf4" },
  {   3, "psf6" },
  {   4, "psf8" },
  {   5, "psf16" },
  {   6, "psf24" },
  {   7, "psf33" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_RetransmissionTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, &value, FALSE, 0, NULL);

  config->retransmissionTimer = drx_lookup_retransmissionTimer(value);


  return offset;
}



static int
dissect_lte_rrc_T_sf10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 9U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 19U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf40(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 39U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf64(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf80(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 79U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf128(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf160(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 159U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf256(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 319U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf512(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 511U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf640(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 639U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf1024(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1023U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf1280(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1279U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf2048(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2047U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf2560(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2559U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}


static const value_string lte_rrc_T_longDRX_CycleStartOffset_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf32" },
  {   3, "sf40" },
  {   4, "sf64" },
  {   5, "sf80" },
  {   6, "sf128" },
  {   7, "sf160" },
  {   8, "sf256" },
  {   9, "sf320" },
  {  10, "sf512" },
  {  11, "sf640" },
  {  12, "sf1024" },
  {  13, "sf1280" },
  {  14, "sf2048" },
  {  15, "sf2560" },
  { 0, NULL }
};

static const per_choice_t T_longDRX_CycleStartOffset_choice[] = {
  {   0, &hf_lte_rrc_sf10_01     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf10 },
  {   1, &hf_lte_rrc_sf20_01     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf20 },
  {   2, &hf_lte_rrc_sf32_01     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf32 },
  {   3, &hf_lte_rrc_sf40_01     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf40 },
  {   4, &hf_lte_rrc_sf64_01     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf64 },
  {   5, &hf_lte_rrc_sf80_01     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf80 },
  {   6, &hf_lte_rrc_sf128_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf128 },
  {   7, &hf_lte_rrc_sf160_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf160 },
  {   8, &hf_lte_rrc_sf256_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf256 },
  {   9, &hf_lte_rrc_sf320_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf320 },
  {  10, &hf_lte_rrc_sf512_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf512 },
  {  11, &hf_lte_rrc_sf640_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf640 },
  {  12, &hf_lte_rrc_sf1024_01   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf1024 },
  {  13, &hf_lte_rrc_sf1280      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf1280 },
  {  14, &hf_lte_rrc_sf2048_01   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf2048 },
  {  15, &hf_lte_rrc_sf2560      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf2560 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_longDRX_CycleStartOffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_longDRX_CycleStartOffset, T_longDRX_CycleStartOffset_choice,
                                 &value);

  config->longCycle = drx_lookup_longCycle(value);


  return offset;
}


static const value_string lte_rrc_T_shortDRX_Cycle_vals[] = {
  {   0, "sf2" },
  {   1, "sf5" },
  {   2, "sf8" },
  {   3, "sf10" },
  {   4, "sf16" },
  {   5, "sf20" },
  {   6, "sf32" },
  {   7, "sf40" },
  {   8, "sf64" },
  {   9, "sf80" },
  {  10, "sf128" },
  {  11, "sf160" },
  {  12, "sf256" },
  {  13, "sf320" },
  {  14, "sf512" },
  {  15, "sf640" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_shortDRX_Cycle(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, &value, FALSE, 0, NULL);

  config->shortCycleConfigured = TRUE;
  config->shortCycle = drx_lookup_shortCycle(value);


  return offset;
}



static int
dissect_lte_rrc_T_drxShortCycleTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 timer;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 16U, &timer, FALSE);

  config->shortCycleTimer = timer;


  return offset;
}


static const per_sequence_t T_shortDRX_sequence[] = {
  { &hf_lte_rrc_shortDRX_Cycle, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_shortDRX_Cycle },
  { &hf_lte_rrc_drxShortCycleTimer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drxShortCycleTimer },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_shortDRX(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_shortDRX, T_shortDRX_sequence);

  return offset;
}


static const per_sequence_t T_setup_40_sequence[] = {
  { &hf_lte_rrc_onDurationTimer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_onDurationTimer },
  { &hf_lte_rrc_drx_InactivityTimer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_InactivityTimer },
  { &hf_lte_rrc_drx_RetransmissionTimer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_RetransmissionTimer },
  { &hf_lte_rrc_longDRX_CycleStartOffset, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_longDRX_CycleStartOffset },
  { &hf_lte_rrc_shortDRX    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_shortDRX },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_40(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_40, T_setup_40_sequence);

  return offset;
}


static const value_string lte_rrc_DRX_Config_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t DRX_Config_choice[] = {
  {   0, &hf_lte_rrc_release_01  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_release },
  {   1, &hf_lte_rrc_setup_48    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_40 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DRX_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DRX_Config, DRX_Config_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_TimeAlignmentTimer_vals[] = {
  {   0, "sf500" },
  {   1, "sf750" },
  {   2, "sf1280" },
  {   3, "sf1920" },
  {   4, "sf2560" },
  {   5, "sf5120" },
  {   6, "sf10240" },
  {   7, "infinity" },
  { 0, NULL }
};


static int
dissect_lte_rrc_TimeAlignmentTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_periodicPHR_Timer_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf50" },
  {   3, "sf100" },
  {   4, "sf200" },
  {   5, "sf500" },
  {   6, "sf1000" },
  {   7, "infinity" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_periodicPHR_Timer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_prohibitPHR_Timer_vals[] = {
  {   0, "sf0" },
  {   1, "sf10" },
  {   2, "sf20" },
  {   3, "sf50" },
  {   4, "sf100" },
  {   5, "sf200" },
  {   6, "sf500" },
  {   7, "sf1000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_prohibitPHR_Timer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dl_PathlossChange_vals[] = {
  {   0, "dB1" },
  {   1, "dB3" },
  {   2, "dB6" },
  {   3, "infinity" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_PathlossChange(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_34_sequence[] = {
  { &hf_lte_rrc_periodicPHR_Timer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_periodicPHR_Timer },
  { &hf_lte_rrc_prohibitPHR_Timer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_prohibitPHR_Timer },
  { &hf_lte_rrc_dl_PathlossChange, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_PathlossChange },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_34(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_34, T_setup_34_sequence);

  return offset;
}


static const value_string lte_rrc_T_phr_Config_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_phr_Config_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_41    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_34 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_phr_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_phr_Config, T_phr_Config_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_T_sr_ProhibitTimer_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 timer;
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, &timer, FALSE);



  return offset;
}


static const per_sequence_t MAC_MainConfig_eag_1_sequence[] = {
  { &hf_lte_rrc_sr_ProhibitTimer_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sr_ProhibitTimer_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_sCellDeactivationTimer_r10_vals[] = {
  {   0, "rf2" },
  {   1, "rf4" },
  {   2, "rf8" },
  {   3, "rf16" },
  {   4, "rf32" },
  {   5, "rf64" },
  {   6, "rf128" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sCellDeactivationTimer_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_extendedBSR_Sizes_r10_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedBSR_Sizes_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  mac_lte_info* p_mac_lte_info;

  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  /* Look for UE identifier */
  p_mac_lte_info = (mac_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_mac_lte, 0);
  if (p_mac_lte_info != NULL) {
    /* Tell MAC to use extended BSR sizes configuration */
    set_mac_lte_extended_bsr_sizes(p_mac_lte_info->ueid, TRUE, actx->pinfo);
  }


  return offset;
}


static const value_string lte_rrc_T_extendedPHR_r10_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedPHR_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_mac_MainConfig_v1020_sequence[] = {
  { &hf_lte_rrc_sCellDeactivationTimer_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sCellDeactivationTimer_r10 },
  { &hf_lte_rrc_extendedBSR_Sizes_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedBSR_Sizes_r10 },
  { &hf_lte_rrc_extendedPHR_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedPHR_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_mac_MainConfig_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_mac_MainConfig_v1020, T_mac_MainConfig_v1020_sequence);

  return offset;
}


static const per_sequence_t MAC_MainConfig_eag_2_sequence[] = {
  { &hf_lte_rrc_mac_MainConfig_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mac_MainConfig_v1020 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_eag_2_sequence);

  return offset;
}



static int
dissect_lte_rrc_STAG_Id_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxSTAG_r11, NULL, FALSE);

  return offset;
}


static const per_sequence_t STAG_ToReleaseList_r11_sequence_of[1] = {
  { &hf_lte_rrc_STAG_ToReleaseList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_STAG_Id_r11 },
};

static int
dissect_lte_rrc_STAG_ToReleaseList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_STAG_ToReleaseList_r11, STAG_ToReleaseList_r11_sequence_of,
                                                  1, maxSTAG_r11, FALSE);

  return offset;
}


static const per_sequence_t STAG_ToAddMod_r11_sequence[] = {
  { &hf_lte_rrc_stag_Id_r11 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_STAG_Id_r11 },
  { &hf_lte_rrc_timeAlignmentTimerSTAG_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeAlignmentTimer },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_STAG_ToAddMod_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_STAG_ToAddMod_r11, STAG_ToAddMod_r11_sequence);

  return offset;
}


static const per_sequence_t STAG_ToAddModList_r11_sequence_of[1] = {
  { &hf_lte_rrc_STAG_ToAddModList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_STAG_ToAddMod_r11 },
};

static int
dissect_lte_rrc_STAG_ToAddModList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_STAG_ToAddModList_r11, STAG_ToAddModList_r11_sequence_of,
                                                  1, maxSTAG_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_drx_RetransmissionTimer_v1130_vals[] = {
  {   0, "psf0-v1130" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_RetransmissionTimer_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, &value, FALSE, 0, NULL);

  config->retransmissionTimer = 0;


  return offset;
}



static int
dissect_lte_rrc_T_sf60_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 59U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}



static int
dissect_lte_rrc_T_sf70_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 69U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}


static const value_string lte_rrc_T_longDRX_CycleStartOffset_v1130_vals[] = {
  {   0, "sf60-v1130" },
  {   1, "sf70-v1130" },
  { 0, NULL }
};

static const per_choice_t T_longDRX_CycleStartOffset_v1130_choice[] = {
  {   0, &hf_lte_rrc_sf60_v1130  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf60_v1130 },
  {   1, &hf_lte_rrc_sf70_v1130  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_sf70_v1130 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_longDRX_CycleStartOffset_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_longDRX_CycleStartOffset_v1130, T_longDRX_CycleStartOffset_v1130_choice,
                                 &value);

  config->longCycle = drx_lookup_longCycle_v1130(value);


  return offset;
}


static const value_string lte_rrc_T_shortDRX_Cycle_v1130_vals[] = {
  {   0, "sf4-v1130" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_shortDRX_Cycle_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, &value, FALSE, 0, NULL);

  /* Presumably config->shortCycleConfigured will be set... */
  config->shortCycle = 4;


  return offset;
}


static const per_sequence_t DRX_Config_v1130_sequence[] = {
  { &hf_lte_rrc_drx_RetransmissionTimer_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drx_RetransmissionTimer_v1130 },
  { &hf_lte_rrc_longDRX_CycleStartOffset_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_longDRX_CycleStartOffset_v1130 },
  { &hf_lte_rrc_shortDRX_Cycle_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_shortDRX_Cycle_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRX_Config_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRX_Config_v1130, DRX_Config_v1130_sequence);

  return offset;
}


static const per_sequence_t MAC_MainConfig_eag_3_sequence[] = {
  { &hf_lte_rrc_stag_ToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_STAG_ToReleaseList_r11 },
  { &hf_lte_rrc_stag_ToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_STAG_ToAddModList_r11 },
  { &hf_lte_rrc_drx_Config_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DRX_Config_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_phr_ModeOtherCG_r12_vals[] = {
  {   0, "real" },
  {   1, "virtual" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_phr_ModeOtherCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_35_sequence[] = {
  { &hf_lte_rrc_phr_ModeOtherCG_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_phr_ModeOtherCG_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_35(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_35, T_setup_35_sequence);

  return offset;
}


static const value_string lte_rrc_T_dualConnectivityPHR_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_dualConnectivityPHR_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_42    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_35 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dualConnectivityPHR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dualConnectivityPHR, T_dualConnectivityPHR_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_logicalChannelSR_ProhibitTimer_r12_vals[] = {
  {   0, "sf20" },
  {   1, "sf40" },
  {   2, "sf64" },
  {   3, "sf128" },
  {   4, "sf512" },
  {   5, "sf1024" },
  {   6, "sf2560" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logicalChannelSR_ProhibitTimer_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_36_sequence[] = {
  { &hf_lte_rrc_logicalChannelSR_ProhibitTimer_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_logicalChannelSR_ProhibitTimer_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_36(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_36, T_setup_36_sequence);

  return offset;
}


static const value_string lte_rrc_T_logicalChannelSR_Config_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_logicalChannelSR_Config_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_43    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_36 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_logicalChannelSR_Config_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_logicalChannelSR_Config_r12, T_logicalChannelSR_Config_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MAC_MainConfig_eag_4_sequence[] = {
  { &hf_lte_rrc_e_HARQ_Pattern_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_dualConnectivityPHR, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dualConnectivityPHR },
  { &hf_lte_rrc_logicalChannelSR_Config_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logicalChannelSR_Config_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_eag_4_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_sf60_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 59U, &value, FALSE);

  config->cycleOffset = value;


  return offset;
}


static const per_sequence_t T_longDRX_CycleStartOffset_v1310_sequence[] = {
  { &hf_lte_rrc_sf60_v1310  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sf60_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_longDRX_CycleStartOffset_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  drx_config_t* config = private_data_get_drx_config(actx);
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_longDRX_CycleStartOffset_v1310, T_longDRX_CycleStartOffset_v1310_sequence);

  config->longCycle = 60;


  return offset;
}


static const per_sequence_t DRX_Config_v1310_sequence[] = {
  { &hf_lte_rrc_longDRX_CycleStartOffset_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_longDRX_CycleStartOffset_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRX_Config_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRX_Config_v1310, DRX_Config_v1310_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_setup_37_vals[] = {
  {   0, "sf5120" },
  {   1, "sf10240" },
  { 0, NULL }
};

static const per_choice_t T_setup_37_choice[] = {
  {   0, &hf_lte_rrc_sf5120      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_1 },
  {   1, &hf_lte_rrc_sf10240     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_3 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_37(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_37, T_setup_37_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_eDRX_Config_CycleStartOffset_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_eDRX_Config_CycleStartOffset_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_44    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_37 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_eDRX_Config_CycleStartOffset_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_eDRX_Config_CycleStartOffset_r13, T_eDRX_Config_CycleStartOffset_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MAC_MainConfig_eag_5_sequence[] = {
  { &hf_lte_rrc_drx_Config_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DRX_Config_v1310 },
  { &hf_lte_rrc_extendedPHR2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_eDRX_Config_CycleStartOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_eDRX_Config_CycleStartOffset_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_eag_5_sequence);

  return offset;
}


static const value_string lte_rrc_T_onDurationTimer_v1310_vals[] = {
  {   0, "psf300" },
  {   1, "psf400" },
  {   2, "psf500" },
  {   3, "psf600" },
  {   4, "psf800" },
  {   5, "psf1000" },
  {   6, "psf1200" },
  {   7, "psf1600" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_onDurationTimer_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_RetransmissionTimer_v1310_vals[] = {
  {   0, "psf40" },
  {   1, "psf64" },
  {   2, "psf80" },
  {   3, "psf96" },
  {   4, "psf112" },
  {   5, "psf128" },
  {   6, "psf160" },
  {   7, "psf320" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_RetransmissionTimer_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_ULRetransmissionTimer_r13_vals[] = {
  {   0, "psf0" },
  {   1, "psf1" },
  {   2, "psf2" },
  {   3, "psf4" },
  {   4, "psf6" },
  {   5, "psf8" },
  {   6, "psf16" },
  {   7, "psf24" },
  {   8, "psf33" },
  {   9, "psf40" },
  {  10, "psf64" },
  {  11, "psf80" },
  {  12, "psf96" },
  {  13, "psf112" },
  {  14, "psf128" },
  {  15, "psf160" },
  {  16, "psf320" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_drx_ULRetransmissionTimer_r13_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_drx_ULRetransmissionTimer_r13_vals);


static int
dissect_lte_rrc_T_drx_ULRetransmissionTimer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     17, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DRX_Config_r13_sequence[] = {
  { &hf_lte_rrc_onDurationTimer_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_onDurationTimer_v1310 },
  { &hf_lte_rrc_drx_RetransmissionTimer_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drx_RetransmissionTimer_v1310 },
  { &hf_lte_rrc_drx_ULRetransmissionTimer_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drx_ULRetransmissionTimer_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRX_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRX_Config_r13, DRX_Config_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_drx_Config_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_drx_Config_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_45    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DRX_Config_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_drx_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_drx_Config_r13, T_drx_Config_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MAC_MainConfig_eag_6_sequence[] = {
  { &hf_lte_rrc_drx_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drx_Config_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_eag_6_sequence);

  return offset;
}


static const value_string lte_rrc_T_skipUplinkTxSPS_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipUplinkTxSPS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_skipUplinkTxDynamic_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipUplinkTxDynamic_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_38_sequence[] = {
  { &hf_lte_rrc_skipUplinkTxSPS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipUplinkTxSPS_r14 },
  { &hf_lte_rrc_skipUplinkTxDynamic_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipUplinkTxDynamic_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_38(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_38, T_setup_38_sequence);

  return offset;
}


static const value_string lte_rrc_T_skipUplinkTx_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_skipUplinkTx_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_46    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_38 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_skipUplinkTx_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_skipUplinkTx_r14, T_skipUplinkTx_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_DataInactivityTimer_r14_vals[] = {
  {   0, "s1" },
  {   1, "s2" },
  {   2, "s3" },
  {   3, "s5" },
  {   4, "s7" },
  {   5, "s10" },
  {   6, "s15" },
  {   7, "s20" },
  {   8, "s40" },
  {   9, "s50" },
  {  10, "s60" },
  {  11, "s80" },
  {  12, "s100" },
  {  13, "s120" },
  {  14, "s150" },
  {  15, "s180" },
  { 0, NULL }
};


static int
dissect_lte_rrc_DataInactivityTimer_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_39_sequence[] = {
  { &hf_lte_rrc_dataInactivityTimer_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DataInactivityTimer_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_39(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_39, T_setup_39_sequence);

  return offset;
}


static const value_string lte_rrc_T_dataInactivityTimerConfig_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_dataInactivityTimerConfig_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_47    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_39 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dataInactivityTimerConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dataInactivityTimerConfig_r14, T_dataInactivityTimerConfig_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MAC_MainConfig_eag_7_sequence[] = {
  { &hf_lte_rrc_skipUplinkTx_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipUplinkTx_r14 },
  { &hf_lte_rrc_dataInactivityTimerConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dataInactivityTimerConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_eag_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_eag_7_sequence);

  return offset;
}


static const value_string lte_rrc_T_rai_Activation_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rai_Activation_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MAC_MainConfig_eag_8_sequence[] = {
  { &hf_lte_rrc_rai_Activation_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rai_Activation_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_eag_8(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_eag_8_sequence);

  return offset;
}


static const per_sequence_t MAC_MainConfig_sequence[] = {
  { &hf_lte_rrc_ul_SCH_Config, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_SCH_Config },
  { &hf_lte_rrc_drx_Config  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DRX_Config },
  { &hf_lte_rrc_timeAlignmentTimerDedicated, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeAlignmentTimer },
  { &hf_lte_rrc_phr_Config  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_phr_Config },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_eag_6 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_eag_7 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_eag_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  /* Accumulate values in drx_config while dissecting DRX config.
     Do this here rather than down in DRX-Config so that we will see
     fields overwritten in the R11 extension */
  drx_config_t *drx_config = private_data_get_drx_config(actx);
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_MainConfig, MAC_MainConfig_sequence);

  if (drx_config->configured) {
    mac_lte_info* p_mac_lte_info;

    /* Verify that config is valid */
    drx_check_config_sane(drx_config, actx);

    /* Look for UE identifier */
    p_mac_lte_info = (mac_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_mac_lte, 0);
    if (p_mac_lte_info != NULL) {
      /* If found, configure MAC with DRX config */
      set_mac_lte_drx_config(p_mac_lte_info->ueid, drx_config, actx->pinfo);
    }

    /* Clear out state */
    drx_config->configured = FALSE;
  }



  return offset;
}


static const value_string lte_rrc_T_mac_MainConfig_vals[] = {
  {   0, "explicitValue" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_mac_MainConfig_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_03, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MAC_MainConfig },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mac_MainConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mac_MainConfig, T_mac_MainConfig_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_C_RNTI(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_semiPersistSchedIntervalDL_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf32" },
  {   3, "sf40" },
  {   4, "sf64" },
  {   5, "sf80" },
  {   6, "sf128" },
  {   7, "sf160" },
  {   8, "sf320" },
  {   9, "sf640" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_semiPersistSchedIntervalDL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_2047(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2047U, NULL, FALSE);

  return offset;
}


static const per_sequence_t N1PUCCH_AN_PersistentList_sequence_of[1] = {
  { &hf_lte_rrc_N1PUCCH_AN_PersistentList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
};

static int
dissect_lte_rrc_N1PUCCH_AN_PersistentList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_N1PUCCH_AN_PersistentList, N1PUCCH_AN_PersistentList_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t T_setup_94_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_PersistentListP1_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_N1PUCCH_AN_PersistentList },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_94(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_94, T_setup_94_sequence);

  return offset;
}


static const value_string lte_rrc_T_twoAntennaPortActivated_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_twoAntennaPortActivated_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_107   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_94 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_twoAntennaPortActivated_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_twoAntennaPortActivated_r10, T_twoAntennaPortActivated_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_eag_1_01_sequence[] = {
  { &hf_lte_rrc_twoAntennaPortActivated_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoAntennaPortActivated_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_1_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_1_01_sequence);

  return offset;
}


static const per_sequence_t T_setup_93_sequence[] = {
  { &hf_lte_rrc_semiPersistSchedIntervalDL, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_semiPersistSchedIntervalDL },
  { &hf_lte_rrc_numberOfConfSPS_Processes, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_8 },
  { &hf_lte_rrc_n1PUCCH_AN_PersistentList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_N1PUCCH_AN_PersistentList },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_1_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_93(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_93, T_setup_93_sequence);

  return offset;
}


static const value_string lte_rrc_SPS_ConfigDL_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SPS_ConfigDL_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_106   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_93 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SPS_ConfigDL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SPS_ConfigDL, SPS_ConfigDL_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_semiPersistSchedIntervalUL_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf32" },
  {   3, "sf40" },
  {   4, "sf64" },
  {   5, "sf80" },
  {   6, "sf128" },
  {   7, "sf160" },
  {   8, "sf320" },
  {   9, "sf640" },
  {  10, "sf1-v1430" },
  {  11, "sf2-v1430" },
  {  12, "sf3-v1430" },
  {  13, "sf4-v1430" },
  {  14, "sf5-v1430" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_semiPersistSchedIntervalUL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_implicitReleaseAfter_vals[] = {
  {   0, "e2" },
  {   1, "e3" },
  {   2, "e4" },
  {   3, "e8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_implicitReleaseAfter(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M126_24(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -126, 24U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M8_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -8, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_p0_Persistent_sequence[] = {
  { &hf_lte_rrc_p0_NominalPUSCH_Persistent, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M126_24 },
  { &hf_lte_rrc_p0_UE_PUSCH_Persistent, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_p0_Persistent(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_p0_Persistent, T_p0_Persistent_sequence);

  return offset;
}


static const value_string lte_rrc_T_twoIntervalsConfig_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_twoIntervalsConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_96_sequence[] = {
  { &hf_lte_rrc_p0_NominalPUSCH_PersistentSubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M126_24 },
  { &hf_lte_rrc_p0_UE_PUSCH_PersistentSubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_96(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_96, T_setup_96_sequence);

  return offset;
}


static const value_string lte_rrc_T_p0_PersistentSubframeSet2_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_p0_PersistentSubframeSet2_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_109   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_96 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_p0_PersistentSubframeSet2_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_p0_PersistentSubframeSet2_r12, T_p0_PersistentSubframeSet2_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_eag_1_02_sequence[] = {
  { &hf_lte_rrc_p0_PersistentSubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_p0_PersistentSubframeSet2_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_1_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_1_02_sequence);

  return offset;
}


static const per_sequence_t T_eag_2_sequence[] = {
  { &hf_lte_rrc_numberOfConfUlSPS_Processes_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_fixedRV_NonAdaptive_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fixedRV_NonAdaptive_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_SPS_ConfigIndex_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxConfigSPS_r14, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_semiPersistSchedIntervalUL_v1430_vals[] = {
  {   0, "sf50" },
  {   1, "sf100" },
  {   2, "sf200" },
  {   3, "sf300" },
  {   4, "sf400" },
  {   5, "sf500" },
  {   6, "sf600" },
  {   7, "sf700" },
  {   8, "sf800" },
  {   9, "sf900" },
  {  10, "sf1000" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_semiPersistSchedIntervalUL_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_eag_3_sequence[] = {
  { &hf_lte_rrc_fixedRV_NonAdaptive_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fixedRV_NonAdaptive_r14 },
  { &hf_lte_rrc_sps_ConfigIndex_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_ConfigIndex_r14 },
  { &hf_lte_rrc_semiPersistSchedIntervalUL_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_semiPersistSchedIntervalUL_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_3_sequence);

  return offset;
}


static const per_sequence_t T_setup_95_sequence[] = {
  { &hf_lte_rrc_semiPersistSchedIntervalUL, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_semiPersistSchedIntervalUL },
  { &hf_lte_rrc_implicitReleaseAfter, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_implicitReleaseAfter },
  { &hf_lte_rrc_p0_Persistent, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_p0_Persistent },
  { &hf_lte_rrc_twoIntervalsConfig, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoIntervalsConfig },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_1_02 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_95(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_95, T_setup_95_sequence);

  return offset;
}


static const value_string lte_rrc_SPS_ConfigUL_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SPS_ConfigUL_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_108   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_95 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SPS_ConfigUL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SPS_ConfigUL, SPS_ConfigUL_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SPS_Config_sequence[] = {
  { &hf_lte_rrc_semiPersistSchedC_RNTI, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_sps_ConfigDL, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_ConfigDL },
  { &hf_lte_rrc_sps_ConfigUL, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_ConfigUL },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SPS_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SPS_Config, SPS_Config_sequence);

  return offset;
}


static const value_string lte_rrc_T_p_a_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4dot77" },
  {   2, "dB-3" },
  {   3, "dB-1dot77" },
  {   4, "dB0" },
  {   5, "dB1" },
  {   6, "dB2" },
  {   7, "dB3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_p_a(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDSCH_ConfigDedicated_sequence[] = {
  { &hf_lte_rrc_p_a         , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_p_a },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_ConfigDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_ConfigDedicated, PDSCH_ConfigDedicated_sequence);

  return offset;
}


static const value_string lte_rrc_T_repetitionFactor_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  {   2, "n6" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_repetitionFactor(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_55_sequence[] = {
  { &hf_lte_rrc_repetitionFactor, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_repetitionFactor },
  { &hf_lte_rrc_n1PUCCH_AN_Rep, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_55(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_55, T_setup_55_sequence);

  return offset;
}


static const value_string lte_rrc_T_ackNackRepetition_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_ackNackRepetition_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_64    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_55 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ackNackRepetition(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ackNackRepetition, T_ackNackRepetition_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_AckNackFeedbackMode_vals[] = {
  {   0, "bundling" },
  {   1, "multiplexing" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_AckNackFeedbackMode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigDedicated_sequence[] = {
  { &hf_lte_rrc_ackNackRepetition, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ackNackRepetition },
  { &hf_lte_rrc_tdd_AckNackFeedbackMode, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tdd_AckNackFeedbackMode },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigDedicated, PUCCH_ConfigDedicated_sequence);

  return offset;
}


static const per_sequence_t PUSCH_ConfigDedicated_sequence[] = {
  { &hf_lte_rrc_betaOffset_ACK_Index, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_RI_Index, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_CQI_Index, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigDedicated, PUSCH_ConfigDedicated_sequence);

  return offset;
}


static const value_string lte_rrc_T_deltaMCS_Enabled_vals[] = {
  {   0, "en0" },
  {   1, "en1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaMCS_Enabled(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlDedicated_sequence[] = {
  { &hf_lte_rrc_p0_UE_PUSCH , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_7 },
  { &hf_lte_rrc_deltaMCS_Enabled, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaMCS_Enabled },
  { &hf_lte_rrc_accumulationEnabled, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_p0_UE_PUCCH , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_7 },
  { &hf_lte_rrc_pSRS_Offset , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_filterCoefficient, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlDedicated, UplinkPowerControlDedicated_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 15U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 31U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_TPC_Index_vals[] = {
  {   0, "indexOfFormat3" },
  {   1, "indexOfFormat3A" },
  { 0, NULL }
};

static const per_choice_t TPC_Index_choice[] = {
  {   0, &hf_lte_rrc_indexOfFormat3, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_1_15 },
  {   1, &hf_lte_rrc_indexOfFormat3A, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_1_31 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_TPC_Index(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_TPC_Index, TPC_Index_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_98_sequence[] = {
  { &hf_lte_rrc_tpc_RNTI    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_tpc_Index   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TPC_Index },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_98(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_98, T_setup_98_sequence);

  return offset;
}


static const value_string lte_rrc_TPC_PDCCH_Config_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t TPC_PDCCH_Config_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_111   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_98 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_TPC_PDCCH_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_TPC_PDCCH_Config, TPC_PDCCH_Config_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_CQI_ReportModeAperiodic_vals[] = {
  {   0, "rm12" },
  {   1, "rm20" },
  {   2, "rm22" },
  {   3, "rm30" },
  {   4, "rm31" },
  {   5, "rm32-v1250" },
  {   6, "rm10-v1310" },
  {   7, "rm11-v1310" },
  { 0, NULL }
};


static int
dissect_lte_rrc_CQI_ReportModeAperiodic(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M1_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -1, 6U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_1185(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1185U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_1023(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1023U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 4U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_subbandCQI_sequence[] = {
  { &hf_lte_rrc_k           , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_subbandCQI(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_subbandCQI, T_subbandCQI_sequence);

  return offset;
}


static const value_string lte_rrc_T_cqi_FormatIndicatorPeriodic_vals[] = {
  {   0, "widebandCQI" },
  {   1, "subbandCQI" },
  { 0, NULL }
};

static const per_choice_t T_cqi_FormatIndicatorPeriodic_choice[] = {
  {   0, &hf_lte_rrc_widebandCQI , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_subbandCQI  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_subbandCQI },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cqi_FormatIndicatorPeriodic(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cqi_FormatIndicatorPeriodic, T_cqi_FormatIndicatorPeriodic_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_11_sequence[] = {
  { &hf_lte_rrc_cqi_PUCCH_ResourceIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1185 },
  { &hf_lte_rrc_cqi_pmi_ConfigIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_cqi_FormatIndicatorPeriodic, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cqi_FormatIndicatorPeriodic },
  { &hf_lte_rrc_ri_ConfigIndex, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_simultaneousAckNackAndCQI, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_11, T_setup_11_sequence);

  return offset;
}


static const value_string lte_rrc_CQI_ReportPeriodic_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CQI_ReportPeriodic_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_11    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportPeriodic(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CQI_ReportPeriodic, CQI_ReportPeriodic_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CQI_ReportConfig_sequence[] = {
  { &hf_lte_rrc_cqi_ReportModeAperiodic, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportModeAperiodic },
  { &hf_lte_rrc_nomPDSCH_RS_EPRE_Offset, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M1_6 },
  { &hf_lte_rrc_cqi_ReportPeriodic, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportPeriodic },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfig, CQI_ReportConfig_sequence);

  return offset;
}


static const value_string lte_rrc_T_srs_Bandwidth_vals[] = {
  {   0, "bw0" },
  {   1, "bw1" },
  {   2, "bw2" },
  {   3, "bw3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_Bandwidth(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_HoppingBandwidth_vals[] = {
  {   0, "hbw0" },
  {   1, "hbw1" },
  {   2, "hbw2" },
  {   3, "hbw3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_HoppingBandwidth(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_23(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 23U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_duration(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  actx->created_item = proto_tree_add_bits_item(tree, hf_index, tvb, offset, 1, ENC_BIG_ENDIAN);
  offset++;


  return offset;
}


static const value_string lte_rrc_T_cyclicShift_vals[] = {
  {   0, "cs0" },
  {   1, "cs1" },
  {   2, "cs2" },
  {   3, "cs3" },
  {   4, "cs4" },
  {   5, "cs5" },
  {   6, "cs6" },
  {   7, "cs7" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cyclicShift(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_83_sequence[] = {
  { &hf_lte_rrc_srs_Bandwidth, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_Bandwidth },
  { &hf_lte_rrc_srs_HoppingBandwidth, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_HoppingBandwidth },
  { &hf_lte_rrc_freqDomainPosition, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_23 },
  { &hf_lte_rrc_duration    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_duration },
  { &hf_lte_rrc_srs_ConfigIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_transmissionComb, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1 },
  { &hf_lte_rrc_cyclicShift_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cyclicShift },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_83(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_83, T_setup_83_sequence);

  return offset;
}


static const value_string lte_rrc_SoundingRS_UL_ConfigDedicated_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SoundingRS_UL_ConfigDedicated_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_96    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_83 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SoundingRS_UL_ConfigDedicated, SoundingRS_UL_ConfigDedicated_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_transmissionMode_vals[] = {
  {   0, "tm1" },
  {   1, "tm2" },
  {   2, "tm3" },
  {   3, "tm4" },
  {   4, "tm5" },
  {   5, "tm6" },
  {   6, "tm7" },
  {   7, "tm8-v920" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_transmissionMode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     2, 2, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     4, 4, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     6, 6, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_64(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     64, 64, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_codebookSubsetRestriction_vals[] = {
  {   0, "n2TxAntenna-tm3" },
  {   1, "n4TxAntenna-tm3" },
  {   2, "n2TxAntenna-tm4" },
  {   3, "n4TxAntenna-tm4" },
  {   4, "n2TxAntenna-tm5" },
  {   5, "n4TxAntenna-tm5" },
  {   6, "n2TxAntenna-tm6" },
  {   7, "n4TxAntenna-tm6" },
  { 0, NULL }
};

static const per_choice_t T_codebookSubsetRestriction_choice[] = {
  {   0, &hf_lte_rrc_n2TxAntenna_tm3, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_2 },
  {   1, &hf_lte_rrc_n4TxAntenna_tm3, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_4 },
  {   2, &hf_lte_rrc_n2TxAntenna_tm4, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_6 },
  {   3, &hf_lte_rrc_n4TxAntenna_tm4, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_64 },
  {   4, &hf_lte_rrc_n2TxAntenna_tm5, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_4 },
  {   5, &hf_lte_rrc_n4TxAntenna_tm5, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_16 },
  {   6, &hf_lte_rrc_n2TxAntenna_tm6, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_4 },
  {   7, &hf_lte_rrc_n4TxAntenna_tm6, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_codebookSubsetRestriction(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_codebookSubsetRestriction, T_codebookSubsetRestriction_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_setup_03_vals[] = {
  {   0, "closedLoop" },
  {   1, "openLoop" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_setup_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_TransmitAntennaSelection_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_ue_TransmitAntennaSelection_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_03    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_03 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_TransmitAntennaSelection(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ue_TransmitAntennaSelection, T_ue_TransmitAntennaSelection_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t AntennaInfoDedicated_sequence[] = {
  { &hf_lte_rrc_transmissionMode, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_transmissionMode },
  { &hf_lte_rrc_codebookSubsetRestriction, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_codebookSubsetRestriction },
  { &hf_lte_rrc_ue_TransmitAntennaSelection, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ue_TransmitAntennaSelection },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AntennaInfoDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AntennaInfoDedicated, AntennaInfoDedicated_sequence);

  return offset;
}


static const value_string lte_rrc_T_antennaInfo_vals[] = {
  {   0, "explicitValue" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_antennaInfo_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_AntennaInfoDedicated },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_antennaInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_antennaInfo, T_antennaInfo_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_T_sr_ConfigIndex(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  guint16 periodicity, subframe_offset;
  proto_item *ti;
  proto_tree *subtree;
  gint index_offset = offset;
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 157U, &value, FALSE);

  /* Break config index into its parts */
  sr_lookup_configindex(value, &periodicity, &subframe_offset);
  /* Show parts as generated fields */
  subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_sr_ConfigIndex);
  ti = proto_tree_add_uint(subtree, hf_lte_rrc_sr_config_periodicity, tvb, index_offset>>3, 1, periodicity);
  PROTO_ITEM_SET_GENERATED(ti);
  ti = proto_tree_add_uint(subtree, hf_lte_rrc_sr_config_subframe_offset, tvb, index_offset>>3, 1, subframe_offset);
  PROTO_ITEM_SET_GENERATED(ti);


  return offset;
}


static const value_string lte_rrc_T_dsr_TransMax_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  {   2, "n16" },
  {   3, "n32" },
  {   4, "n64" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dsr_TransMax(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_80_sequence[] = {
  { &hf_lte_rrc_sr_PUCCH_ResourceIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { &hf_lte_rrc_sr_ConfigIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sr_ConfigIndex },
  { &hf_lte_rrc_dsr_TransMax, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dsr_TransMax },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_80(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_80, T_setup_80_sequence);

  return offset;
}


static const value_string lte_rrc_SchedulingRequestConfig_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SchedulingRequestConfig_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_93    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_80 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SchedulingRequestConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SchedulingRequestConfig, SchedulingRequestConfig_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_cqi_Mask_r9_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cqi_Mask_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pmi_RI_Report_r9_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pmi_RI_Report_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CQI_ReportConfig_v920_sequence[] = {
  { &hf_lte_rrc_cqi_Mask_r9 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cqi_Mask_r9 },
  { &hf_lte_rrc_pmi_RI_Report_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pmi_RI_Report_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfig_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfig_v920, CQI_ReportConfig_v920_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_codebookSubsetRestriction_v920_vals[] = {
  {   0, "n2TxAntenna-tm8-r9" },
  {   1, "n4TxAntenna-tm8-r9" },
  { 0, NULL }
};

static const per_choice_t T_codebookSubsetRestriction_v920_choice[] = {
  {   0, &hf_lte_rrc_n2TxAntenna_tm8_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_6 },
  {   1, &hf_lte_rrc_n4TxAntenna_tm8_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_codebookSubsetRestriction_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_codebookSubsetRestriction_v920, T_codebookSubsetRestriction_v920_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t AntennaInfoDedicated_v920_sequence[] = {
  { &hf_lte_rrc_codebookSubsetRestriction_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_codebookSubsetRestriction_v920 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AntennaInfoDedicated_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AntennaInfoDedicated_v920, AntennaInfoDedicated_v920_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_1_sequence[] = {
  { &hf_lte_rrc_cqi_ReportConfig_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v920 },
  { &hf_lte_rrc_antennaInfo_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v920 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_transmissionMode_r10_vals[] = {
  {   0, "tm1" },
  {   1, "tm2" },
  {   2, "tm3" },
  {   3, "tm4" },
  {   4, "tm5" },
  {   5, "tm6" },
  {   6, "tm7" },
  {   7, "tm8-v920" },
  {   8, "tm9-v1020" },
  {   9, "tm10-v1130" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_transmissionMode_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     NO_BOUND, NO_BOUND, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_setup_04_vals[] = {
  {   0, "closedLoop" },
  {   1, "openLoop" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_setup_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_TransmitAntennaSelection_01_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_ue_TransmitAntennaSelection_01_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_04    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_04 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_TransmitAntennaSelection_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ue_TransmitAntennaSelection_01, T_ue_TransmitAntennaSelection_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t AntennaInfoDedicated_r10_sequence[] = {
  { &hf_lte_rrc_transmissionMode_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_transmissionMode_r10 },
  { &hf_lte_rrc_codebookSubsetRestriction_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING },
  { &hf_lte_rrc_ue_TransmitAntennaSelection_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ue_TransmitAntennaSelection_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AntennaInfoDedicated_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AntennaInfoDedicated_r10, AntennaInfoDedicated_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_antennaInfo_r10_vals[] = {
  {   0, "explicitValue-r10" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_antennaInfo_r10_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_AntennaInfoDedicated_r10 },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_antennaInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_antennaInfo_r10, T_antennaInfo_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_transmissionModeUL_r10_vals[] = {
  {   0, "tm1" },
  {   1, "tm2" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_transmissionModeUL_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_fourAntennaPortActivated_r10_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fourAntennaPortActivated_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AntennaInfoUL_r10_sequence[] = {
  { &hf_lte_rrc_transmissionModeUL_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_transmissionModeUL_r10 },
  { &hf_lte_rrc_fourAntennaPortActivated_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fourAntennaPortActivated_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AntennaInfoUL_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AntennaInfoUL_r10, AntennaInfoUL_r10_sequence);

  return offset;
}


static const per_sequence_t T_aperiodicCSI_Trigger_r10_sequence[] = {
  { &hf_lte_rrc_trigger1_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { &hf_lte_rrc_trigger2_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_aperiodicCSI_Trigger_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_aperiodicCSI_Trigger_r10, T_aperiodicCSI_Trigger_r10_sequence);

  return offset;
}


static const per_sequence_t T_setup_05_sequence[] = {
  { &hf_lte_rrc_cqi_ReportModeAperiodic_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportModeAperiodic },
  { &hf_lte_rrc_aperiodicCSI_Trigger_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_aperiodicCSI_Trigger_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_05, T_setup_05_sequence);

  return offset;
}


static const value_string lte_rrc_CQI_ReportAperiodic_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CQI_ReportAperiodic_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_05    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_05 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportAperiodic_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CQI_ReportAperiodic_r10, CQI_ReportAperiodic_r10_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_1184(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1184U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_csi_ReportMode_r10_vals[] = {
  {   0, "submode1" },
  {   1, "submode2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_ReportMode_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_widebandCQI_r10_sequence[] = {
  { &hf_lte_rrc_csi_ReportMode_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_ReportMode_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_widebandCQI_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_widebandCQI_r10, T_widebandCQI_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_periodicityFactor_r10_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_periodicityFactor_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_subbandCQI_r10_sequence[] = {
  { &hf_lte_rrc_k           , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_periodicityFactor_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_periodicityFactor_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_subbandCQI_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_subbandCQI_r10, T_subbandCQI_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_cqi_FormatIndicatorPeriodic_r10_vals[] = {
  {   0, "widebandCQI-r10" },
  {   1, "subbandCQI-r10" },
  { 0, NULL }
};

static const per_choice_t T_cqi_FormatIndicatorPeriodic_r10_choice[] = {
  {   0, &hf_lte_rrc_widebandCQI_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_widebandCQI_r10 },
  {   1, &hf_lte_rrc_subbandCQI_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_subbandCQI_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cqi_FormatIndicatorPeriodic_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cqi_FormatIndicatorPeriodic_r10, T_cqi_FormatIndicatorPeriodic_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_cqi_Mask_r9_01_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cqi_Mask_r9_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_13_sequence[] = {
  { &hf_lte_rrc_cqi_pmi_ConfigIndex2_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_ri_ConfigIndex2_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1023 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_13, T_setup_13_sequence);

  return offset;
}


static const value_string lte_rrc_T_csi_ConfigIndex_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_csi_ConfigIndex_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_13    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_csi_ConfigIndex_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_csi_ConfigIndex_r10, T_csi_ConfigIndex_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_12_sequence[] = {
  { &hf_lte_rrc_cqi_PUCCH_ResourceIndex_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1184 },
  { &hf_lte_rrc_cqi_PUCCH_ResourceIndexP1_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1184 },
  { &hf_lte_rrc_cqi_pmi_ConfigIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_cqi_FormatIndicatorPeriodic_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cqi_FormatIndicatorPeriodic_r10 },
  { &hf_lte_rrc_ri_ConfigIndex, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_simultaneousAckNackAndCQI, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_cqi_Mask_r9_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cqi_Mask_r9_01 },
  { &hf_lte_rrc_csi_ConfigIndex_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_ConfigIndex_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_12, T_setup_12_sequence);

  return offset;
}


static const value_string lte_rrc_CQI_ReportPeriodic_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CQI_ReportPeriodic_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_12    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportPeriodic_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CQI_ReportPeriodic_r10, CQI_ReportPeriodic_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_pmi_RI_Report_r9_01_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pmi_RI_Report_r9_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_09_sequence[] = {
  { &hf_lte_rrc_csi_MeasSubframeSet1_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasSubframePattern_r10 },
  { &hf_lte_rrc_csi_MeasSubframeSet2_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasSubframePattern_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_09(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_09, T_setup_09_sequence);

  return offset;
}


static const value_string lte_rrc_T_csi_SubframePatternConfig_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_csi_SubframePatternConfig_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_09    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_09 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_csi_SubframePatternConfig_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_csi_SubframePatternConfig_r10, T_csi_SubframePatternConfig_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CQI_ReportConfig_r10_sequence[] = {
  { &hf_lte_rrc_cqi_ReportAperiodic_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportAperiodic_r10 },
  { &hf_lte_rrc_nomPDSCH_RS_EPRE_Offset, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M1_6 },
  { &hf_lte_rrc_cqi_ReportPeriodic_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportPeriodic_r10 },
  { &hf_lte_rrc_pmi_RI_Report_r9_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pmi_RI_Report_r9_01 },
  { &hf_lte_rrc_csi_SubframePatternConfig_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_SubframePatternConfig_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfig_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfig_r10, CQI_ReportConfig_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_antennaPortsCount_r10_vals[] = {
  {   0, "an1" },
  {   1, "an2" },
  {   2, "an4" },
  {   3, "an8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_antennaPortsCount_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_154(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 154U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M8_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -8, 15U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_setup_16_sequence[] = {
  { &hf_lte_rrc_antennaPortsCount_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_antennaPortsCount_r10 },
  { &hf_lte_rrc_resourceConfig_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_subframeConfig_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_154 },
  { &hf_lte_rrc_p_C_r10     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_16, T_setup_16_sequence);

  return offset;
}


static const value_string lte_rrc_T_csi_RS_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_csi_RS_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_19    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_16 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_csi_RS_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_csi_RS_r10, T_csi_RS_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ZeroTxPowerCSI_RS_r12_sequence[] = {
  { &hf_lte_rrc_zeroTxPowerResourceConfigList_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_zeroTxPowerSubframeConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_154 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ZeroTxPowerCSI_RS_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ZeroTxPowerCSI_RS_r12, ZeroTxPowerCSI_RS_r12_sequence);

  return offset;
}


static const value_string lte_rrc_ZeroTxPowerCSI_RS_Conf_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t ZeroTxPowerCSI_RS_Conf_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_21    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ZeroTxPowerCSI_RS_r12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_ZeroTxPowerCSI_RS_Conf_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_ZeroTxPowerCSI_RS_Conf_r12, ZeroTxPowerCSI_RS_Conf_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_RS_Config_r10_sequence[] = {
  { &hf_lte_rrc_csi_RS_r10  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_RS_r10 },
  { &hf_lte_rrc_zeroTxPowerCSI_RS_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ZeroTxPowerCSI_RS_Conf_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_Config_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_Config_r10, CSI_RS_Config_r10_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_549(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 549U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_n3PUCCH_AN_List_r13_01_sequence_of[1] = {
  { &hf_lte_rrc_n3PUCCH_AN_List_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_549 },
};

static int
dissect_lte_rrc_T_n3PUCCH_AN_List_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_n3PUCCH_AN_List_r13_01, T_n3PUCCH_AN_List_r13_01_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t T_n3PUCCH_AN_ListP1_r13_01_sequence_of[1] = {
  { &hf_lte_rrc_n3PUCCH_AN_ListP1_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_549 },
};

static int
dissect_lte_rrc_T_n3PUCCH_AN_ListP1_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_n3PUCCH_AN_ListP1_r13_01, T_n3PUCCH_AN_ListP1_r13_01_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t T_setup_66_sequence[] = {
  { &hf_lte_rrc_n3PUCCH_AN_ListP1_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n3PUCCH_AN_ListP1_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_66(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_66, T_setup_66_sequence);

  return offset;
}


static const value_string lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_01_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_twoAntennaPortActivatedPUCCH_Format3_r13_01_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_76    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_66 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_01, T_twoAntennaPortActivatedPUCCH_Format3_r13_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUCCH_Format3_Conf_r13_sequence[] = {
  { &hf_lte_rrc_n3PUCCH_AN_List_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_n3PUCCH_AN_List_r13_01 },
  { &hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format3_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_Format3_Conf_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_Format3_Conf_r13, PUCCH_Format3_Conf_r13_sequence);

  return offset;
}


static const per_sequence_t N1PUCCH_AN_CS_r10_sequence_of[1] = {
  { &hf_lte_rrc_N1PUCCH_AN_CS_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
};

static int
dissect_lte_rrc_N1PUCCH_AN_CS_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_N1PUCCH_AN_CS_r10, N1PUCCH_AN_CS_r10_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10_sequence_of[1] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_List_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_N1PUCCH_AN_CS_r10 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10, SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const per_sequence_t T_setup_56_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_List_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_56(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_56, T_setup_56_sequence);

  return offset;
}


static const value_string lte_rrc_T_n1PUCCH_AN_CS_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_n1PUCCH_AN_CS_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_65    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_56 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_n1PUCCH_AN_CS_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_n1PUCCH_AN_CS_r10, T_n1PUCCH_AN_CS_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_channelSelection_r10_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_n1PUCCH_AN_CS_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_channelSelection_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_channelSelection_r10, T_channelSelection_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_Format_r10_vals[] = {
  {   0, "format3-r10" },
  {   1, "channelSelection-r10" },
  { 0, NULL }
};

static const per_choice_t T_pucch_Format_r10_choice[] = {
  {   0, &hf_lte_rrc_format3_r10 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PUCCH_Format3_Conf_r13 },
  {   1, &hf_lte_rrc_channelSelection_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_channelSelection_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pucch_Format_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pucch_Format_r10, T_pucch_Format_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_twoAntennaPortActivatedPUCCH_Format1a1b_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format1a1b_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_simultaneousPUCCH_PUSCH_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_simultaneousPUCCH_PUSCH_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  mac_lte_info* p_mac_lte_info;

  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  /* Look for UE identifier */
  p_mac_lte_info = (mac_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_mac_lte, 0);
  if (p_mac_lte_info != NULL) {
    /* Tell MAC to use simultaneous PUCCH/PUSCH configuration */
    set_mac_lte_simult_pucch_pusch(p_mac_lte_info->ueid, private_data_get_simult_pucch_pusch_cell_type(actx), TRUE, actx->pinfo);
  }


  return offset;
}


static const per_sequence_t PUCCH_ConfigDedicated_v1020_sequence[] = {
  { &hf_lte_rrc_pucch_Format_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_Format_r10 },
  { &hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format1a1b_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format1a1b_r10 },
  { &hf_lte_rrc_simultaneousPUCCH_PUSCH_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_simultaneousPUCCH_PUSCH_r10 },
  { &hf_lte_rrc_n1PUCCH_AN_RepP1_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigDedicated_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigDedicated_v1020, PUCCH_ConfigDedicated_v1020_sequence);

  return offset;
}


static const per_sequence_t T_betaOffsetMC_r10_sequence[] = {
  { &hf_lte_rrc_betaOffset_ACK_Index_MC_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_RI_Index_MC_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_CQI_Index_MC_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_betaOffsetMC_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_betaOffsetMC_r10, T_betaOffsetMC_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_groupHoppingDisabled_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_groupHoppingDisabled_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dmrs_WithOCC_Activated_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dmrs_WithOCC_Activated_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigDedicated_v1020_sequence[] = {
  { &hf_lte_rrc_betaOffsetMC_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_betaOffsetMC_r10 },
  { &hf_lte_rrc_groupHoppingDisabled_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_groupHoppingDisabled_r10 },
  { &hf_lte_rrc_dmrs_WithOCC_Activated_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_WithOCC_Activated_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigDedicated_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigDedicated_v1020, PUSCH_ConfigDedicated_v1020_sequence);

  return offset;
}


static const per_sequence_t SchedulingRequestConfig_v1020_sequence[] = {
  { &hf_lte_rrc_sr_PUCCH_ResourceIndexP1_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SchedulingRequestConfig_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SchedulingRequestConfig_v1020, SchedulingRequestConfig_v1020_sequence);

  return offset;
}


static const value_string lte_rrc_SRS_AntennaPort_vals[] = {
  {   0, "an1" },
  {   1, "an2" },
  {   2, "an4" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SRS_AntennaPort(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SoundingRS_UL_ConfigDedicated_v1020_sequence[] = {
  { &hf_lte_rrc_srs_AntennaPort_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_AntennaPort },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigDedicated_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SoundingRS_UL_ConfigDedicated_v1020, SoundingRS_UL_ConfigDedicated_v1020_sequence);

  return offset;
}


static const value_string lte_rrc_T_srs_BandwidthAp_r10_vals[] = {
  {   0, "bw0" },
  {   1, "bw1" },
  {   2, "bw2" },
  {   3, "bw3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_BandwidthAp_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_cyclicShiftAp_r10_vals[] = {
  {   0, "cs0" },
  {   1, "cs1" },
  {   2, "cs2" },
  {   3, "cs3" },
  {   4, "cs4" },
  {   5, "cs5" },
  {   6, "cs6" },
  {   7, "cs7" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cyclicShiftAp_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SRS_ConfigAp_r10_sequence[] = {
  { &hf_lte_rrc_srs_AntennaPortAp_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_AntennaPort },
  { &hf_lte_rrc_srs_BandwidthAp_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_BandwidthAp_r10 },
  { &hf_lte_rrc_freqDomainPositionAp_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_23 },
  { &hf_lte_rrc_transmissionCombAp_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1 },
  { &hf_lte_rrc_cyclicShiftAp_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cyclicShiftAp_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SRS_ConfigAp_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SRS_ConfigAp_r10, SRS_ConfigAp_r10_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10_sequence_of[1] = {
  { &hf_lte_rrc_srs_ConfigApDCI_Format4_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_ConfigAp_r10 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10, SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10_sequence_of,
                                                  1, 3, FALSE);

  return offset;
}


static const per_sequence_t T_setup_87_sequence[] = {
  { &hf_lte_rrc_srs_ConfigApDCI_Format0_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_ConfigAp_r10 },
  { &hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_ConfigAp_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_87(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_87, T_setup_87_sequence);

  return offset;
}


static const value_string lte_rrc_T_srs_ActivateAp_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_srs_ActivateAp_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_100   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_87 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_srs_ActivateAp_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_srs_ActivateAp_r10, T_srs_ActivateAp_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_86_sequence[] = {
  { &hf_lte_rrc_srs_ConfigIndexAp_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_srs_ConfigApDCI_Format4_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10 },
  { &hf_lte_rrc_srs_ActivateAp_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srs_ActivateAp_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_86(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_86, T_setup_86_sequence);

  return offset;
}


static const value_string lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SoundingRS_UL_ConfigDedicatedAperiodic_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_99    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_86 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10, SoundingRS_UL_ConfigDedicatedAperiodic_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaTxD_OffsetPUCCH_Format1_r10_vals[] = {
  {   0, "dB0" },
  {   1, "dB-2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format1_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaTxD_OffsetPUCCH_Format1a1b_r10_vals[] = {
  {   0, "dB0" },
  {   1, "dB-2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format1a1b_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaTxD_OffsetPUCCH_Format22a2b_r10_vals[] = {
  {   0, "dB0" },
  {   1, "dB-2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format22a2b_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaTxD_OffsetPUCCH_Format3_r10_vals[] = {
  {   0, "dB0" },
  {   1, "dB-2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format3_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DeltaTxD_OffsetListPUCCH_r10_sequence[] = {
  { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format1_r10 },
  { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1a1b_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format1a1b_r10 },
  { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format22a2b_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format22a2b_r10 },
  { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format3_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format3_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DeltaTxD_OffsetListPUCCH_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DeltaTxD_OffsetListPUCCH_r10, DeltaTxD_OffsetListPUCCH_r10_sequence);

  return offset;
}


static const per_sequence_t UplinkPowerControlDedicated_v1020_sequence[] = {
  { &hf_lte_rrc_deltaTxD_OffsetListPUCCH_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DeltaTxD_OffsetListPUCCH_r10 },
  { &hf_lte_rrc_pSRS_OffsetAp_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlDedicated_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlDedicated_v1020, UplinkPowerControlDedicated_v1020_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_2_sequence[] = {
  { &hf_lte_rrc_antennaInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_antennaInfo_r10 },
  { &hf_lte_rrc_antennaInfoUL_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoUL_r10 },
  { &hf_lte_rrc_cif_Presence_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_cqi_ReportConfig_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_r10 },
  { &hf_lte_rrc_csi_RS_Config_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_r10 },
  { &hf_lte_rrc_pucch_ConfigDedicated_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated_v1020 },
  { &hf_lte_rrc_pusch_ConfigDedicated_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicated_v1020 },
  { &hf_lte_rrc_schedulingRequestConfig_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SchedulingRequestConfig_v1020 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicated_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicated_v1020 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10 },
  { &hf_lte_rrc_uplinkPowerControlDedicated_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicated_v1020 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_2_sequence);

  return offset;
}



static int
dissect_lte_rrc_AdditionalSpectrumEmission(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 32U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_setup_48_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmissionPCell_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_48(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_48, T_setup_48_sequence);

  return offset;
}


static const value_string lte_rrc_T_additionalSpectrumEmissionCA_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_additionalSpectrumEmissionCA_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_56    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_48 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_additionalSpectrumEmissionCA_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_additionalSpectrumEmissionCA_r10, T_additionalSpectrumEmissionCA_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_3_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmissionCA_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_additionalSpectrumEmissionCA_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_3_sequence);

  return offset;
}



static int
dissect_lte_rrc_CSI_RS_ConfigNZPId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCSI_RS_NZP_r11, NULL, FALSE);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZPToReleaseList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZPId_r11 },
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11, CSI_RS_ConfigNZPToReleaseList_r11_sequence_of,
                                                  1, maxCSI_RS_NZP_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_antennaPortsCount_r11_vals[] = {
  {   0, "an1" },
  {   1, "an2" },
  {   2, "an4" },
  {   3, "an8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_antennaPortsCount_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_crs_PortsCount_r11_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n4" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crs_PortsCount_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_radioframeAllocationPeriod_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n4" },
  {   3, "n8" },
  {   4, "n16" },
  {   5, "n32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_radioframeAllocationPeriod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_24(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     24, 24, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_subframeAllocation_vals[] = {
  {   0, "oneFrame" },
  {   1, "fourFrames" },
  { 0, NULL }
};

static const per_choice_t T_subframeAllocation_choice[] = {
  {   0, &hf_lte_rrc_oneFrame    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_6 },
  {   1, &hf_lte_rrc_fourFrames  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_24 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_subframeAllocation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_subframeAllocation, T_subframeAllocation_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MBSFN_SubframeConfig_sequence[] = {
  { &hf_lte_rrc_radioframeAllocationPeriod, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_radioframeAllocationPeriod },
  { &hf_lte_rrc_radioframeAllocationOffset, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_subframeAllocation, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_subframeAllocation },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBSFN_SubframeConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBSFN_SubframeConfig, MBSFN_SubframeConfig_sequence);

  return offset;
}


static const per_sequence_t MBSFN_SubframeConfigList_sequence_of[1] = {
  { &hf_lte_rrc_MBSFN_SubframeConfigList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfig },
};

static int
dissect_lte_rrc_MBSFN_SubframeConfigList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBSFN_SubframeConfigList, MBSFN_SubframeConfigList_sequence_of,
                                                  1, maxMBSFN_Allocations, FALSE);

  return offset;
}


static const per_sequence_t T_setup_21_sequence[] = {
  { &hf_lte_rrc_subframeConfigList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfigList },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_21(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_21, T_setup_21_sequence);

  return offset;
}


static const value_string lte_rrc_T_mbsfn_SubframeConfigList_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_mbsfn_SubframeConfigList_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_26    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_21 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mbsfn_SubframeConfigList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mbsfn_SubframeConfigList_r11, T_mbsfn_SubframeConfigList_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_qcl_CRS_Info_r11_sequence[] = {
  { &hf_lte_rrc_qcl_ScramblingIdentity_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { &hf_lte_rrc_crs_PortsCount_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_crs_PortsCount_r11 },
  { &hf_lte_rrc_mbsfn_SubframeConfigList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbsfn_SubframeConfigList_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_qcl_CRS_Info_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_qcl_CRS_Info_r11, T_qcl_CRS_Info_r11_sequence);

  return offset;
}



static int
dissect_lte_rrc_CSI_RS_ConfigNZPId_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            minCSI_RS_NZP_r13, maxCSI_RS_NZP_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZP_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigNZPId_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPId_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZP_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CSI_RS_ConfigNZP_r11_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_NZP_TransmissionComb_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_NZP_FrequencyDensity_r14_vals[] = {
  {   0, "d1" },
  {   1, "d2" },
  {   2, "d3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_NZP_FrequencyDensity_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZP_r11_eag_2_sequence[] = {
  { &hf_lte_rrc_transmissionComb_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NZP_TransmissionComb_r14 },
  { &hf_lte_rrc_frequencyDensity_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NZP_FrequencyDensity_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZP_r11_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CSI_RS_ConfigNZP_r11_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_subframeAllocation_v1430_vals[] = {
  {   0, "oneFrame-v1430" },
  {   1, "fourFrames-v1430" },
  { 0, NULL }
};

static const per_choice_t T_subframeAllocation_v1430_choice[] = {
  {   0, &hf_lte_rrc_oneFrame_v1430, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_2 },
  {   1, &hf_lte_rrc_fourFrames_v1430, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_subframeAllocation_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_subframeAllocation_v1430, T_subframeAllocation_v1430_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MBSFN_SubframeConfig_v1430_sequence[] = {
  { &hf_lte_rrc_subframeAllocation_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_subframeAllocation_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBSFN_SubframeConfig_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBSFN_SubframeConfig_v1430, MBSFN_SubframeConfig_v1430_sequence);

  return offset;
}


static const per_sequence_t MBSFN_SubframeConfigList_v1430_sequence_of[1] = {
  { &hf_lte_rrc_MBSFN_SubframeConfigList_v1430_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfig_v1430 },
};

static int
dissect_lte_rrc_MBSFN_SubframeConfigList_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBSFN_SubframeConfigList_v1430, MBSFN_SubframeConfigList_v1430_sequence_of,
                                                  1, maxMBSFN_Allocations, FALSE);

  return offset;
}


static const per_sequence_t T_setup_22_sequence[] = {
  { &hf_lte_rrc_subframeConfigList_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfigList_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_22(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_22, T_setup_22_sequence);

  return offset;
}


static const value_string lte_rrc_T_mbsfn_SubframeConfigList_v1430_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_mbsfn_SubframeConfigList_v1430_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_27    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_22 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mbsfn_SubframeConfigList_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mbsfn_SubframeConfigList_v1430, T_mbsfn_SubframeConfigList_v1430_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZP_r11_eag_3_sequence[] = {
  { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbsfn_SubframeConfigList_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZP_r11_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CSI_RS_ConfigNZP_r11_eag_3_sequence);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZP_r11_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigNZPId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZPId_r11 },
  { &hf_lte_rrc_antennaPortsCount_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_antennaPortsCount_r11 },
  { &hf_lte_rrc_resourceConfig_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_subframeConfig_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_154 },
  { &hf_lte_rrc_scramblingIdentity_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { &hf_lte_rrc_qcl_CRS_Info_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_qcl_CRS_Info_r11 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZP_r11_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZP_r11_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZP_r11_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZP_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigNZP_r11, CSI_RS_ConfigNZP_r11_sequence);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZPToAddModList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZP_r11 },
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11, CSI_RS_ConfigNZPToAddModList_r11_sequence_of,
                                                  1, maxCSI_RS_NZP_r11, FALSE);

  return offset;
}



static int
dissect_lte_rrc_CSI_RS_ConfigZPId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCSI_RS_ZP_r11, NULL, FALSE);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigZPToReleaseList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigZPId_r11 },
};

static int
dissect_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11, CSI_RS_ConfigZPToReleaseList_r11_sequence_of,
                                                  1, maxCSI_RS_ZP_r11, FALSE);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigZP_r11_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigZPId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigZPId_r11 },
  { &hf_lte_rrc_resourceConfigList_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_subframeConfig_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_154 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigZP_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigZP_r11, CSI_RS_ConfigZP_r11_sequence);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigZPToAddModList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CSI_RS_ConfigZPToAddModList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigZP_r11 },
};

static int
dissect_lte_rrc_CSI_RS_ConfigZPToAddModList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_RS_ConfigZPToAddModList_r11, CSI_RS_ConfigZPToAddModList_r11_sequence_of,
                                                  1, maxCSI_RS_ZP_r11, FALSE);

  return offset;
}


static const per_sequence_t T_setup_26_sequence[] = {
  { &hf_lte_rrc_subframePattern_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasSubframePattern_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_26(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_26, T_setup_26_sequence);

  return offset;
}


static const value_string lte_rrc_T_subframePatternConfig_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_subframePatternConfig_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_32    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_26 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_subframePatternConfig_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_subframePatternConfig_r11, T_subframePatternConfig_r11_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_EPDCCH_SetConfigId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1U, NULL, FALSE);

  return offset;
}


static const per_sequence_t EPDCCH_SetConfigToReleaseList_r11_sequence_of[1] = {
  { &hf_lte_rrc_EPDCCH_SetConfigToReleaseList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_EPDCCH_SetConfigId_r11 },
};

static int
dissect_lte_rrc_EPDCCH_SetConfigToReleaseList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_EPDCCH_SetConfigToReleaseList_r11, EPDCCH_SetConfigToReleaseList_r11_sequence_of,
                                                  1, maxEPDCCH_Set_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_transmissionType_r11_vals[] = {
  {   0, "localised" },
  {   1, "distributed" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_transmissionType_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_numberPRB_Pairs_r11_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  {   2, "n8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_numberPRB_Pairs_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_4_38(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     4, 38, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t T_resourceBlockAssignment_r11_sequence[] = {
  { &hf_lte_rrc_numberPRB_Pairs_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_numberPRB_Pairs_r11 },
  { &hf_lte_rrc_resourceBlockAssignment_r11_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_4_38 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_resourceBlockAssignment_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_resourceBlockAssignment_r11, T_resourceBlockAssignment_r11_sequence);

  return offset;
}



static int
dissect_lte_rrc_PDSCH_RE_MappingQCL_ConfigId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxRE_MapQCL_r11, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_csi_RS_ConfigZPId2_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_csi_RS_ConfigZPId2_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_33    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSI_RS_ConfigZPId_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_csi_RS_ConfigZPId2_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_csi_RS_ConfigZPId2_r12, T_csi_RS_ConfigZPId2_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t EPDCCH_SetConfig_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigZPId2_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_RS_ConfigZPId2_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_EPDCCH_SetConfig_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, EPDCCH_SetConfig_r11_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_27_vals[] = {
  {   0, "n6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_setup_27(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_numberPRB_Pairs_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_numberPRB_Pairs_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_34    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_27 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_numberPRB_Pairs_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_numberPRB_Pairs_v1310, T_numberPRB_Pairs_v1310_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_csi_NumRepetitionCE_r13_vals[] = {
  {   0, "sf1" },
  {   1, "sf2" },
  {   2, "sf4" },
  {   3, "sf8" },
  {   4, "sf16" },
  {   5, "sf32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_NumRepetitionCE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_pdsch_HoppingConfig_r13_vals[] = {
  {   0, "on" },
  {   1, "off" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_pdsch_HoppingConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_fdd_r13_vals[] = {
  {   0, "v1" },
  {   1, "v1dot5" },
  {   2, "v2" },
  {   3, "v2dot5" },
  {   4, "v4" },
  {   5, "v5" },
  {   6, "v8" },
  {   7, "v10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fdd_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_r13_vals[] = {
  {   0, "v1" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v5" },
  {   4, "v8" },
  {   5, "v10" },
  {   6, "v20" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_StartSF_UESS_r13_vals[] = {
  {   0, "fdd-r13" },
  {   1, "tdd-r13" },
  { 0, NULL }
};

static const per_choice_t T_mpdcch_StartSF_UESS_r13_choice[] = {
  {   0, &hf_lte_rrc_fdd_r13     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_fdd_r13 },
  {   1, &hf_lte_rrc_tdd_r13     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_tdd_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mpdcch_StartSF_UESS_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mpdcch_StartSF_UESS_r13, T_mpdcch_StartSF_UESS_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_NumRepetition_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_NumRepetition_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     9, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxAvailNarrowBands_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_setup_28_sequence[] = {
  { &hf_lte_rrc_csi_NumRepetitionCE_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_csi_NumRepetitionCE_r13 },
  { &hf_lte_rrc_mpdcch_pdsch_HoppingConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_pdsch_HoppingConfig_r13 },
  { &hf_lte_rrc_mpdcch_StartSF_UESS_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_StartSF_UESS_r13 },
  { &hf_lte_rrc_mpdcch_NumRepetition_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_NumRepetition_r13 },
  { &hf_lte_rrc_mpdcch_Narrowband_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_28(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_28, T_setup_28_sequence);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_config_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_mpdcch_config_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_35    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_28 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mpdcch_config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mpdcch_config_r13, T_mpdcch_config_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t EPDCCH_SetConfig_r11_eag_2_sequence[] = {
  { &hf_lte_rrc_numberPRB_Pairs_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_numberPRB_Pairs_v1310 },
  { &hf_lte_rrc_mpdcch_config_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mpdcch_config_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_EPDCCH_SetConfig_r11_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, EPDCCH_SetConfig_r11_eag_2_sequence);

  return offset;
}


static const per_sequence_t EPDCCH_SetConfig_r11_sequence[] = {
  { &hf_lte_rrc_setConfigId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_EPDCCH_SetConfigId_r11 },
  { &hf_lte_rrc_transmissionType_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_transmissionType_r11 },
  { &hf_lte_rrc_resourceBlockAssignment_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_resourceBlockAssignment_r11 },
  { &hf_lte_rrc_dmrs_ScramblingSequenceInt_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { &hf_lte_rrc_pucch_ResourceStartOffset_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { &hf_lte_rrc_re_MappingQCL_ConfigId_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_RE_MappingQCL_ConfigId_r11 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_EPDCCH_SetConfig_r11_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_EPDCCH_SetConfig_r11_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_EPDCCH_SetConfig_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_EPDCCH_SetConfig_r11, EPDCCH_SetConfig_r11_sequence);

  return offset;
}


static const per_sequence_t EPDCCH_SetConfigToAddModList_r11_sequence_of[1] = {
  { &hf_lte_rrc_EPDCCH_SetConfigToAddModList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_EPDCCH_SetConfig_r11 },
};

static int
dissect_lte_rrc_EPDCCH_SetConfigToAddModList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_EPDCCH_SetConfigToAddModList_r11, EPDCCH_SetConfigToAddModList_r11_sequence_of,
                                                  1, maxEPDCCH_Set_r11, FALSE);

  return offset;
}


static const per_sequence_t T_setup_25_sequence[] = {
  { &hf_lte_rrc_subframePatternConfig_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_subframePatternConfig_r11 },
  { &hf_lte_rrc_startSymbol_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_setConfigToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_EPDCCH_SetConfigToReleaseList_r11 },
  { &hf_lte_rrc_setConfigToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_EPDCCH_SetConfigToAddModList_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_25(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_25, T_setup_25_sequence);

  return offset;
}


static const value_string lte_rrc_T_config_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_config_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_31    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_25 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_config_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_config_r11, T_config_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t EPDCCH_Config_r11_sequence[] = {
  { &hf_lte_rrc_config_r11  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_config_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_EPDCCH_Config_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_EPDCCH_Config_r11, EPDCCH_Config_r11_sequence);

  return offset;
}


static const per_sequence_t T_setup_24_sequence[] = {
  { &hf_lte_rrc_scramblingIdentity_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { &hf_lte_rrc_scramblingIdentity2_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_24(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_24, T_setup_24_sequence);

  return offset;
}


static const value_string lte_rrc_DMRS_Config_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t DMRS_Config_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_30    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_24 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DMRS_Config_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DMRS_Config_r11, DMRS_Config_r11_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_qcl_Operation_vals[] = {
  {   0, "typeA" },
  {   1, "typeB" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_qcl_Operation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RE_MappingQCLConfigToReleaseList_r11_sequence_of[1] = {
  { &hf_lte_rrc_RE_MappingQCLConfigToReleaseList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDSCH_RE_MappingQCL_ConfigId_r11 },
};

static int
dissect_lte_rrc_RE_MappingQCLConfigToReleaseList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_RE_MappingQCLConfigToReleaseList_r11, RE_MappingQCLConfigToReleaseList_r11_sequence_of,
                                                  1, maxRE_MapQCL_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_crs_PortsCount_r11_01_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n4" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crs_PortsCount_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 5U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_setup_46_sequence[] = {
  { &hf_lte_rrc_subframeConfigList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfigList },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_46(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_46, T_setup_46_sequence);

  return offset;
}


static const value_string lte_rrc_T_mbsfn_SubframeConfigList_r11_01_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_mbsfn_SubframeConfigList_r11_01_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_54    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_46 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mbsfn_SubframeConfigList_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mbsfn_SubframeConfigList_r11_01, T_mbsfn_SubframeConfigList_r11_01_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_pdsch_Start_r11_vals[] = {
  {   0, "reserved" },
  {   1, "n1" },
  {   2, "n2" },
  {   3, "n3" },
  {   4, "n4" },
  {   5, "assigned" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdsch_Start_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_optionalSetOfFields_r11_sequence[] = {
  { &hf_lte_rrc_crs_PortsCount_r11_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_crs_PortsCount_r11_01 },
  { &hf_lte_rrc_crs_FreqShift_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_5 },
  { &hf_lte_rrc_mbsfn_SubframeConfigList_r11_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbsfn_SubframeConfigList_r11_01 },
  { &hf_lte_rrc_pdsch_Start_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pdsch_Start_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_optionalSetOfFields_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_optionalSetOfFields_r11, T_optionalSetOfFields_r11_sequence);

  return offset;
}


static const per_sequence_t T_setup_47_sequence[] = {
  { &hf_lte_rrc_subframeConfigList_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfigList_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_47(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_47, T_setup_47_sequence);

  return offset;
}


static const value_string lte_rrc_T_mbsfn_SubframeConfigList_v1430_01_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_mbsfn_SubframeConfigList_v1430_01_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_55    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_47 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mbsfn_SubframeConfigList_v1430_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mbsfn_SubframeConfigList_v1430_01, T_mbsfn_SubframeConfigList_v1430_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PDSCH_RE_MappingQCL_Config_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbsfn_SubframeConfigList_v1430_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_RE_MappingQCL_Config_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PDSCH_RE_MappingQCL_Config_r11_eag_1_sequence);

  return offset;
}


static const per_sequence_t PDSCH_RE_MappingQCL_Config_r11_sequence[] = {
  { &hf_lte_rrc_pdsch_RE_MappingQCL_ConfigId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDSCH_RE_MappingQCL_ConfigId_r11 },
  { &hf_lte_rrc_optionalSetOfFields_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_optionalSetOfFields_r11 },
  { &hf_lte_rrc_csi_RS_ConfigZPId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigZPId_r11 },
  { &hf_lte_rrc_qcl_CSI_RS_ConfigNZPId_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPId_r11 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDSCH_RE_MappingQCL_Config_r11_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_RE_MappingQCL_Config_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_RE_MappingQCL_Config_r11, PDSCH_RE_MappingQCL_Config_r11_sequence);

  return offset;
}


static const per_sequence_t RE_MappingQCLConfigToAddModList_r11_sequence_of[1] = {
  { &hf_lte_rrc_RE_MappingQCLConfigToAddModList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDSCH_RE_MappingQCL_Config_r11 },
};

static int
dissect_lte_rrc_RE_MappingQCLConfigToAddModList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_RE_MappingQCLConfigToAddModList_r11, RE_MappingQCLConfigToAddModList_r11_sequence_of,
                                                  1, maxRE_MapQCL_r11, FALSE);

  return offset;
}


static const per_sequence_t PDSCH_ConfigDedicated_v1130_sequence[] = {
  { &hf_lte_rrc_dmrs_ConfigPDSCH_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DMRS_Config_r11 },
  { &hf_lte_rrc_qcl_Operation, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_qcl_Operation },
  { &hf_lte_rrc_re_MappingQCLConfigToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RE_MappingQCLConfigToReleaseList_r11 },
  { &hf_lte_rrc_re_MappingQCLConfigToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RE_MappingQCLConfigToAddModList_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_ConfigDedicated_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_ConfigDedicated_v1130, PDSCH_ConfigDedicated_v1130_sequence);

  return offset;
}


static const value_string lte_rrc_T_simultaneousAckNackAndCQI_Format3_r11_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_simultaneousAckNackAndCQI_Format3_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_CQI_ReportPeriodicProcExtId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCQI_ProcExt_r11, NULL, FALSE);

  return offset;
}


static const per_sequence_t CQI_ReportPeriodicProcExtToReleaseList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CQI_ReportPeriodicProcExtToReleaseList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportPeriodicProcExtId_r11 },
};

static int
dissect_lte_rrc_CQI_ReportPeriodicProcExtToReleaseList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CQI_ReportPeriodicProcExtToReleaseList_r11, CQI_ReportPeriodicProcExtToReleaseList_r11_sequence_of,
                                                  1, maxCQI_ProcExt_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_csi_ReportMode_r11_vals[] = {
  {   0, "submode1" },
  {   1, "submode2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_ReportMode_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_widebandCQI_r11_sequence[] = {
  { &hf_lte_rrc_csi_ReportMode_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_ReportMode_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_widebandCQI_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_widebandCQI_r11, T_widebandCQI_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_periodicityFactor_r11_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_periodicityFactor_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_subbandCQI_r11_sequence[] = {
  { &hf_lte_rrc_k           , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_periodicityFactor_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_periodicityFactor_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_subbandCQI_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_subbandCQI_r11, T_subbandCQI_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_cqi_FormatIndicatorPeriodic_r11_vals[] = {
  {   0, "widebandCQI-r11" },
  {   1, "subbandCQI-r11" },
  { 0, NULL }
};

static const per_choice_t T_cqi_FormatIndicatorPeriodic_r11_choice[] = {
  {   0, &hf_lte_rrc_widebandCQI_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_widebandCQI_r11 },
  {   1, &hf_lte_rrc_subbandCQI_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_subbandCQI_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cqi_FormatIndicatorPeriodic_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cqi_FormatIndicatorPeriodic_r11, T_cqi_FormatIndicatorPeriodic_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_14_sequence[] = {
  { &hf_lte_rrc_cqi_pmi_ConfigIndex2_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_ri_ConfigIndex2_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1023 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_14, T_setup_14_sequence);

  return offset;
}


static const value_string lte_rrc_T_csi_ConfigIndex_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_csi_ConfigIndex_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_csi_ConfigIndex_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_csi_ConfigIndex_r11, T_csi_ConfigIndex_r11_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_CRI_ConfigIndex_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1023U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_setup_15_sequence[] = {
  { &hf_lte_rrc_cri_ConfigIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CRI_ConfigIndex_r13 },
  { &hf_lte_rrc_cri_ConfigIndex2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CRI_ConfigIndex_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_15, T_setup_15_sequence);

  return offset;
}


static const value_string lte_rrc_CRI_ReportConfig_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CRI_ReportConfig_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_15    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CRI_ReportConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CRI_ReportConfig_r13, CRI_ReportConfig_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CQI_ReportPeriodicProcExt_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_cri_ReportConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CRI_ReportConfig_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportPeriodicProcExt_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CQI_ReportPeriodicProcExt_r11_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_periodicityFactorWB_r13_01_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_periodicityFactorWB_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CQI_ReportPeriodicProcExt_r11_eag_2_sequence[] = {
  { &hf_lte_rrc_periodicityFactorWB_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_periodicityFactorWB_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportPeriodicProcExt_r11_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CQI_ReportPeriodicProcExt_r11_eag_2_sequence);

  return offset;
}


static const per_sequence_t CQI_ReportPeriodicProcExt_r11_sequence[] = {
  { &hf_lte_rrc_cqi_ReportPeriodicProcExtId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportPeriodicProcExtId_r11 },
  { &hf_lte_rrc_cqi_pmi_ConfigIndex_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_cqi_FormatIndicatorPeriodic_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cqi_FormatIndicatorPeriodic_r11 },
  { &hf_lte_rrc_ri_ConfigIndex_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_csi_ConfigIndex_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_ConfigIndex_r11 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportPeriodicProcExt_r11_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportPeriodicProcExt_r11_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportPeriodicProcExt_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportPeriodicProcExt_r11, CQI_ReportPeriodicProcExt_r11_sequence);

  return offset;
}


static const per_sequence_t CQI_ReportPeriodicProcExtToAddModList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CQI_ReportPeriodicProcExtToAddModList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportPeriodicProcExt_r11 },
};

static int
dissect_lte_rrc_CQI_ReportPeriodicProcExtToAddModList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CQI_ReportPeriodicProcExtToAddModList_r11, CQI_ReportPeriodicProcExtToAddModList_r11_sequence_of,
                                                  1, maxCQI_ProcExt_r11, FALSE);

  return offset;
}


static const per_sequence_t CQI_ReportPeriodic_v1130_sequence[] = {
  { &hf_lte_rrc_simultaneousAckNackAndCQI_Format3_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_simultaneousAckNackAndCQI_Format3_r11 },
  { &hf_lte_rrc_cqi_ReportPeriodicProcExtToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportPeriodicProcExtToReleaseList_r11 },
  { &hf_lte_rrc_cqi_ReportPeriodicProcExtToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportPeriodicProcExtToAddModList_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportPeriodic_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportPeriodic_v1130, CQI_ReportPeriodic_v1130_sequence);

  return offset;
}



static int
dissect_lte_rrc_CSI_IM_ConfigId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCSI_IM_r11, NULL, FALSE);

  return offset;
}


static const per_sequence_t CSI_IM_ConfigToReleaseList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CSI_IM_ConfigToReleaseList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigId_r11 },
};

static int
dissect_lte_rrc_CSI_IM_ConfigToReleaseList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_IM_ConfigToReleaseList_r11, CSI_IM_ConfigToReleaseList_r11_sequence_of,
                                                  1, maxCSI_IM_r11, FALSE);

  return offset;
}


static const per_sequence_t CSI_IM_Config_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_interferenceMeasRestriction_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_IM_Config_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CSI_IM_Config_r11_eag_1_sequence);

  return offset;
}


static const per_sequence_t CSI_IM_Config_r11_sequence[] = {
  { &hf_lte_rrc_csi_IM_ConfigId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigId_r11 },
  { &hf_lte_rrc_resourceConfig_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_subframeConfig_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_154 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_Config_r11_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_IM_Config_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_IM_Config_r11, CSI_IM_Config_r11_sequence);

  return offset;
}


static const per_sequence_t CSI_IM_ConfigToAddModList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CSI_IM_ConfigToAddModList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_Config_r11 },
};

static int
dissect_lte_rrc_CSI_IM_ConfigToAddModList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_IM_ConfigToAddModList_r11, CSI_IM_ConfigToAddModList_r11_sequence_of,
                                                  1, maxCSI_IM_r11, FALSE);

  return offset;
}



static int
dissect_lte_rrc_CSI_ProcessId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCSI_Proc_r11, NULL, FALSE);

  return offset;
}


static const per_sequence_t CSI_ProcessToReleaseList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CSI_ProcessToReleaseList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_ProcessId_r11 },
};

static int
dissect_lte_rrc_CSI_ProcessToReleaseList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_ProcessToReleaseList_r11, CSI_ProcessToReleaseList_r11_sequence_of,
                                                  1, maxCSI_Proc_r11, FALSE);

  return offset;
}


static const per_sequence_t P_C_AndCBSR_r11_sequence[] = {
  { &hf_lte_rrc_p_C_r11     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_15 },
  { &hf_lte_rrc_codebookSubsetRestriction_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_P_C_AndCBSR_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_P_C_AndCBSR_r11, P_C_AndCBSR_r11_sequence);

  return offset;
}


static const per_sequence_t P_C_AndCBSR_Pair_r13a_sequence_of[1] = {
  { &hf_lte_rrc_P_C_AndCBSR_Pair_r13a_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_P_C_AndCBSR_r11 },
};

static int
dissect_lte_rrc_P_C_AndCBSR_Pair_r13a(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_P_C_AndCBSR_Pair_r13a, P_C_AndCBSR_Pair_r13a_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const value_string lte_rrc_T_pmi_RI_Report_r11_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pmi_RI_Report_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CQI_ReportBothProc_r11_sequence[] = {
  { &hf_lte_rrc_ri_Ref_CSI_ProcessId_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_ProcessId_r11 },
  { &hf_lte_rrc_pmi_RI_Report_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pmi_RI_Report_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportBothProc_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportBothProc_r11, CQI_ReportBothProc_r11_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_maxCQI_ProcExt_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxCQI_ProcExt_r11, NULL, FALSE);

  return offset;
}


static const per_sequence_t CQI_ReportAperiodicProc_r11_sequence[] = {
  { &hf_lte_rrc_cqi_ReportModeAperiodic_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportModeAperiodic },
  { &hf_lte_rrc_trigger01_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_trigger10_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_trigger11_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportAperiodicProc_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportAperiodicProc_r11, CQI_ReportAperiodicProc_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_alternativeCodebookEnabledFor4TXProc_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_alternativeCodebookEnabledFor4TXProc_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_CSI_IM_ConfigId_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCSI_IM_r12, NULL, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12_sequence_of[1] = {
  { &hf_lte_rrc_setup_item  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigId_r12 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12, SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const value_string lte_rrc_T_csi_IM_ConfigIdList_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_csi_IM_ConfigIdList_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_16    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_csi_IM_ConfigIdList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_csi_IM_ConfigIdList_r12, T_csi_IM_ConfigIdList_r12_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_cqi_ReportAperiodicProc2_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_cqi_ReportAperiodicProc2_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_17    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CQI_ReportAperiodicProc_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cqi_ReportAperiodicProc2_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cqi_ReportAperiodicProc2_r12, T_cqi_ReportAperiodicProc2_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_Process_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_alternativeCodebookEnabledFor4TXProc_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_alternativeCodebookEnabledFor4TXProc_r12 },
  { &hf_lte_rrc_csi_IM_ConfigIdList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_IM_ConfigIdList_r12 },
  { &hf_lte_rrc_cqi_ReportAperiodicProc2_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cqi_ReportAperiodicProc2_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_Process_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CSI_Process_r11_eag_1_sequence);

  return offset;
}


static const per_sequence_t CQI_ReportAperiodicProc_v1310_sequence[] = {
  { &hf_lte_rrc_trigger001_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_trigger010_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_trigger011_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_trigger100_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_trigger101_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_trigger110_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_trigger111_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportAperiodicProc_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportAperiodicProc_v1310, CQI_ReportAperiodicProc_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_cqi_ReportAperiodicProc_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_cqi_ReportAperiodicProc_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_18    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CQI_ReportAperiodicProc_v1310 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cqi_ReportAperiodicProc_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cqi_ReportAperiodicProc_v1310, T_cqi_ReportAperiodicProc_v1310_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_cqi_ReportAperiodicProc2_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_cqi_ReportAperiodicProc2_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_18    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CQI_ReportAperiodicProc_v1310 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cqi_ReportAperiodicProc2_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cqi_ReportAperiodicProc2_v1310, T_cqi_ReportAperiodicProc2_v1310_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_nonPrecoded_r13_sequence[] = {
  { &hf_lte_rrc_codebookSubsetRestriction1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING },
  { &hf_lte_rrc_codebookSubsetRestriction2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonPrecoded_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonPrecoded_r13, T_nonPrecoded_r13_sequence);

  return offset;
}


static const per_sequence_t T_beamformedK1a_r13_sequence[] = {
  { &hf_lte_rrc_codebookSubsetRestriction3_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_beamformedK1a_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_beamformedK1a_r13, T_beamformedK1a_r13_sequence);

  return offset;
}


static const per_sequence_t T_beamformedKN_r13_sequence[] = {
  { &hf_lte_rrc_codebookSubsetRestriction_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_beamformedKN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_beamformedKN_r13, T_beamformedKN_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_cbsr_Selection_r13_vals[] = {
  {   0, "nonPrecoded-r13" },
  {   1, "beamformedK1a-r13" },
  {   2, "beamformedKN-r13" },
  { 0, NULL }
};

static const per_choice_t T_cbsr_Selection_r13_choice[] = {
  {   0, &hf_lte_rrc_nonPrecoded_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_nonPrecoded_r13 },
  {   1, &hf_lte_rrc_beamformedK1a_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_beamformedK1a_r13 },
  {   2, &hf_lte_rrc_beamformedKN_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_beamformedKN_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cbsr_Selection_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cbsr_Selection_r13, T_cbsr_Selection_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t P_C_AndCBSR_r13_sequence[] = {
  { &hf_lte_rrc_p_C_r13     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_15 },
  { &hf_lte_rrc_cbsr_Selection_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cbsr_Selection_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_P_C_AndCBSR_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_P_C_AndCBSR_r13, P_C_AndCBSR_r13_sequence);

  return offset;
}


static const per_sequence_t P_C_AndCBSR_Pair_r13_sequence_of[1] = {
  { &hf_lte_rrc_P_C_AndCBSR_Pair_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_P_C_AndCBSR_r13 },
};

static int
dissect_lte_rrc_P_C_AndCBSR_Pair_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_P_C_AndCBSR_Pair_r13, P_C_AndCBSR_Pair_r13_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const value_string lte_rrc_T_codebookConfigN1_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_codebookConfigN1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_codebookConfigN2_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_codebookConfigN2_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_codebookOverSamplingRateConfig_O1_r13_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_codebookOverSamplingRateConfig_O1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_codebookOverSamplingRateConfig_O2_r13_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_codebookOverSamplingRateConfig_O2_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_CSI_IM_ConfigId_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCSI_IM_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13_sequence_of[1] = {
  { &hf_lte_rrc_csi_IM_ConfigIdList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigId_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13, SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}



static int
dissect_lte_rrc_ResourceConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}


static const per_sequence_t NZP_ResourceConfig_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_transmissionComb_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NZP_TransmissionComb_r14 },
  { &hf_lte_rrc_frequencyDensity_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NZP_FrequencyDensity_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NZP_ResourceConfig_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, NZP_ResourceConfig_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t NZP_ResourceConfig_r13_sequence[] = {
  { &hf_lte_rrc_resourceConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ResourceConfig_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_NZP_ResourceConfig_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NZP_ResourceConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NZP_ResourceConfig_r13, NZP_ResourceConfig_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13_sequence_of[1] = {
  { &hf_lte_rrc_nzp_resourceConfigList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NZP_ResourceConfig_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13, SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const value_string lte_rrc_T_cdmType_r13_vals[] = {
  {   0, "cdm2" },
  {   1, "cdm4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cdmType_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_23_sequence[] = {
  { &hf_lte_rrc_nzp_resourceConfigList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13 },
  { &hf_lte_rrc_cdmType_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cdmType_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_23(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_23, T_setup_23_sequence);

  return offset;
}


static const value_string lte_rrc_CSI_RS_ConfigNZP_EMIMO_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CSI_RS_ConfigNZP_EMIMO_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_28    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_23 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZP_EMIMO_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CSI_RS_ConfigNZP_EMIMO_r13, CSI_RS_ConfigNZP_EMIMO_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNonPrecoded_r13_sequence[] = {
  { &hf_lte_rrc_p_C_AndCBSRList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_C_AndCBSR_Pair_r13 },
  { &hf_lte_rrc_codebookConfigN1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_codebookConfigN1_r13 },
  { &hf_lte_rrc_codebookConfigN2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_codebookConfigN2_r13 },
  { &hf_lte_rrc_codebookOverSamplingRateConfig_O1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_codebookOverSamplingRateConfig_O1_r13 },
  { &hf_lte_rrc_codebookOverSamplingRateConfig_O2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_codebookOverSamplingRateConfig_O2_r13 },
  { &hf_lte_rrc_codebookConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_csi_IM_ConfigIdList_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13 },
  { &hf_lte_rrc_csi_RS_ConfigNZP_EMIMO_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZP_EMIMO_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNonPrecoded_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigNonPrecoded_r13, CSI_RS_ConfigNonPrecoded_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_CSI_RS_ConfigNZPId_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxCSI_RS_NZP_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13_sequence_of[1] = {
  { &hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZPId_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13, SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13_sequence_of,
                                                  1, 7, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13_sequence_of[1] = {
  { &hf_lte_rrc_csi_IM_ConfigIdList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigId_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13, SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13_sequence_of,
                                                  1, 8, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13_sequence_of[1] = {
  { &hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_P_C_AndCBSR_Pair_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13, SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13_sequence_of,
                                                  1, 8, FALSE);

  return offset;
}


static const per_sequence_t T_ace_For4Tx_PerResourceConfigList_r13_sequence_of[1] = {
  { &hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
};

static int
dissect_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r13, T_ace_For4Tx_PerResourceConfigList_r13_sequence_of,
                                                  1, 7, FALSE);

  return offset;
}


static const value_string lte_rrc_T_alternativeCodebookEnabledBeamformed_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_alternativeCodebookEnabledBeamformed_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_channelMeasRestriction_r13_vals[] = {
  {   0, "on" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_channelMeasRestriction_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigBeamformed_r13_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13 },
  { &hf_lte_rrc_csi_IM_ConfigIdList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13 },
  { &hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13 },
  { &hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r13 },
  { &hf_lte_rrc_alternativeCodebookEnabledBeamformed_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_alternativeCodebookEnabledBeamformed_r13 },
  { &hf_lte_rrc_channelMeasRestriction_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_channelMeasRestriction_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigBeamformed_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigBeamformed_r13, CSI_RS_ConfigBeamformed_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_18_vals[] = {
  {   0, "nonPrecoded-r13" },
  {   1, "beamformed-r13" },
  { 0, NULL }
};

static const per_choice_t T_setup_18_choice[] = {
  {   0, &hf_lte_rrc_nonPrecoded_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSI_RS_ConfigNonPrecoded_r13 },
  {   1, &hf_lte_rrc_beamformed_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSI_RS_ConfigBeamformed_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_18(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_18, T_setup_18_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_CSI_RS_ConfigEMIMO_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CSI_RS_ConfigEMIMO_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_22    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_18 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigEMIMO_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CSI_RS_ConfigEMIMO_r13, CSI_RS_ConfigEMIMO_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_Process_r11_eag_2_sequence[] = {
  { &hf_lte_rrc_cqi_ReportAperiodicProc_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cqi_ReportAperiodicProc_v1310 },
  { &hf_lte_rrc_cqi_ReportAperiodicProc2_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cqi_ReportAperiodicProc2_v1310 },
  { &hf_lte_rrc_eMIMO_Type_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigEMIMO_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_Process_r11_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CSI_Process_r11_eag_2_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13_sequence_of[1] = {
  { &hf_lte_rrc_nzp_resourceConfigListExt_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NZP_ResourceConfig_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13, SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13_sequence_of,
                                                  0, 4, FALSE);

  return offset;
}


static const value_string lte_rrc_T_cdmType_v1430_vals[] = {
  {   0, "cdm8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cdmType_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZP_EMIMO_v1430_sequence[] = {
  { &hf_lte_rrc_nzp_resourceConfigListExt_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13 },
  { &hf_lte_rrc_cdmType_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cdmType_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZP_EMIMO_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigNZP_EMIMO_v1430, CSI_RS_ConfigNZP_EMIMO_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_codebookConfigN1_v1430_vals[] = {
  {   0, "n5" },
  {   1, "n6" },
  {   2, "n7" },
  {   3, "n10" },
  {   4, "n12" },
  {   5, "n14" },
  {   6, "n16" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_codebookConfigN1_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_codebookConfigN2_r1430_vals[] = {
  {   0, "n5" },
  {   1, "n6" },
  {   2, "n7" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_codebookConfigN2_r1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CSI_RS_Config_NZP_v1430_sequence[] = {
  { &hf_lte_rrc_transmissionComb_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NZP_TransmissionComb_r14 },
  { &hf_lte_rrc_frequencyDensity_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NZP_FrequencyDensity_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_Config_NZP_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_Config_NZP_v1430, CSI_RS_Config_NZP_v1430_sequence);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNonPrecoded_v1430_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigNZP_EMIMO_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZP_EMIMO_v1430 },
  { &hf_lte_rrc_codebookConfigN1_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_codebookConfigN1_v1430 },
  { &hf_lte_rrc_codebookConfigN2_r1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_codebookConfigN2_r1430 },
  { &hf_lte_rrc_nzp_ResourceConfigTM9_Original_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_Config_NZP_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNonPrecoded_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigNonPrecoded_v1430, CSI_RS_ConfigNonPrecoded_v1430_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11_sequence_of[1] = {
  { &hf_lte_rrc_csi_RS_ConfigNZP_ApList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZP_r11 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11, SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11_sequence_of,
                                                  1, 8, FALSE);

  return offset;
}


static const value_string lte_rrc_T_csi_RS_NZP_mode_r14_vals[] = {
  {   0, "semiPersistent" },
  {   1, "aperiodic" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_RS_NZP_mode_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZP_Activation_r14_sequence[] = {
  { &hf_lte_rrc_csi_RS_NZP_mode_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_csi_RS_NZP_mode_r14 },
  { &hf_lte_rrc_activatedResources_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZP_Activation_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigNZP_Activation_r14, CSI_RS_ConfigNZP_Activation_r14_sequence);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigBeamformed_v1430_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigNZP_ApList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11 },
  { &hf_lte_rrc_nzp_ResourceConfigOriginal_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_NZP_v1430 },
  { &hf_lte_rrc_csi_RS_NZP_Activation_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZP_Activation_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigBeamformed_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigBeamformed_v1430, CSI_RS_ConfigBeamformed_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_19_vals[] = {
  {   0, "nonPrecoded-v1430" },
  {   1, "beamformed-v1430" },
  { 0, NULL }
};

static const per_choice_t T_setup_19_choice[] = {
  {   0, &hf_lte_rrc_nonPrecoded_v1430, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSI_RS_ConfigNonPrecoded_v1430 },
  {   1, &hf_lte_rrc_beamformed_v1430, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSI_RS_ConfigBeamformed_v1430 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_19(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_19, T_setup_19_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_CSI_RS_ConfigEMIMO_v1430_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CSI_RS_ConfigEMIMO_v1430_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_23    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_19 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigEMIMO_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CSI_RS_ConfigEMIMO_v1430, CSI_RS_ConfigEMIMO_v1430_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_ace_For4Tx_PerResourceConfigList_r14_sequence_of[1] = {
  { &hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
};

static int
dissect_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r14, T_ace_For4Tx_PerResourceConfigList_r14_sequence_of,
                                                  1, 7, FALSE);

  return offset;
}


static const value_string lte_rrc_T_alternativeCodebookEnabledBeamformed_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_alternativeCodebookEnabledBeamformed_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_channelMeasRestriction_r14_vals[] = {
  {   0, "on" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_channelMeasRestriction_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigBeamformed_r14_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13 },
  { &hf_lte_rrc_csi_IM_ConfigIdList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13 },
  { &hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13 },
  { &hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r14 },
  { &hf_lte_rrc_alternativeCodebookEnabledBeamformed_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_alternativeCodebookEnabledBeamformed_r14 },
  { &hf_lte_rrc_channelMeasRestriction_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_channelMeasRestriction_r14 },
  { &hf_lte_rrc_csi_RS_ConfigNZP_ApList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11 },
  { &hf_lte_rrc_nzp_ResourceConfigOriginal_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_NZP_v1430 },
  { &hf_lte_rrc_csi_RS_NZP_Activation_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZP_Activation_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigBeamformed_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_ConfigBeamformed_r14, CSI_RS_ConfigBeamformed_r14_sequence);

  return offset;
}


static const value_string lte_rrc_CSI_RS_ConfigEMIMO2_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CSI_RS_ConfigEMIMO2_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_24    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSI_RS_ConfigBeamformed_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigEMIMO2_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CSI_RS_ConfigEMIMO2_r14, CSI_RS_ConfigEMIMO2_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_20_sequence[] = {
  { &hf_lte_rrc_periodicityOffsetIndex_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_eMIMO_Type2_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigEMIMO2_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_20, T_setup_20_sequence);

  return offset;
}


static const value_string lte_rrc_CSI_RS_ConfigEMIMO_Hybrid_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CSI_RS_ConfigEMIMO_Hybrid_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_25    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_20 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigEMIMO_Hybrid_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CSI_RS_ConfigEMIMO_Hybrid_r14, CSI_RS_ConfigEMIMO_Hybrid_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_Process_r11_eag_3_sequence[] = {
  { &hf_lte_rrc_eMIMO_Type_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigEMIMO_v1430 },
  { &hf_lte_rrc_eMIMO_Hybrid_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigEMIMO_Hybrid_r14 },
  { &hf_lte_rrc_advancedCodebookEnabled_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_Process_r11_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CSI_Process_r11_eag_3_sequence);

  return offset;
}


static const per_sequence_t CSI_Process_r11_sequence[] = {
  { &hf_lte_rrc_csi_ProcessId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_ProcessId_r11 },
  { &hf_lte_rrc_csi_RS_ConfigNZPId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZPId_r11 },
  { &hf_lte_rrc_csi_IM_ConfigId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigId_r11 },
  { &hf_lte_rrc_p_C_AndCBSRList_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_P_C_AndCBSR_Pair_r13a },
  { &hf_lte_rrc_cqi_ReportBothProc_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportBothProc_r11 },
  { &hf_lte_rrc_cqi_ReportPeriodicProcId_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_maxCQI_ProcExt_r11 },
  { &hf_lte_rrc_cqi_ReportAperiodicProc_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportAperiodicProc_r11 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_Process_r11_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_Process_r11_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_Process_r11_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_Process_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_Process_r11, CSI_Process_r11_sequence);

  return offset;
}


static const per_sequence_t CSI_ProcessToAddModList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CSI_ProcessToAddModList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_Process_r11 },
};

static int
dissect_lte_rrc_CSI_ProcessToAddModList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_ProcessToAddModList_r11, CSI_ProcessToAddModList_r11_sequence_of,
                                                  1, maxCSI_Proc_r11, FALSE);

  return offset;
}


static const per_sequence_t CQI_ReportBoth_r11_sequence[] = {
  { &hf_lte_rrc_csi_IM_ConfigToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_IM_ConfigToReleaseList_r11 },
  { &hf_lte_rrc_csi_IM_ConfigToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_IM_ConfigToAddModList_r11 },
  { &hf_lte_rrc_csi_ProcessToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_ProcessToReleaseList_r11 },
  { &hf_lte_rrc_csi_ProcessToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_ProcessToAddModList_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportBoth_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportBoth_r11, CQI_ReportBoth_r11_sequence);

  return offset;
}


static const per_sequence_t CQI_ReportConfig_v1130_sequence[] = {
  { &hf_lte_rrc_cqi_ReportPeriodic_v1130, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportPeriodic_v1130 },
  { &hf_lte_rrc_cqi_ReportBoth_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CQI_ReportBoth_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfig_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfig_v1130, CQI_ReportConfig_v1130_sequence);

  return offset;
}


static const per_sequence_t T_n1PUCCH_AN_CS_ListP1_r11_sequence_of[1] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
};

static int
dissect_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r11, T_n1PUCCH_AN_CS_ListP1_r11_sequence_of,
                                                  2, 4, FALSE);

  return offset;
}


static const per_sequence_t T_setup_57_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_57(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_57, T_setup_57_sequence);

  return offset;
}


static const value_string lte_rrc_T_n1PUCCH_AN_CS_v1130_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_n1PUCCH_AN_CS_v1130_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_66    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_57 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_n1PUCCH_AN_CS_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_n1PUCCH_AN_CS_v1130, T_n1PUCCH_AN_CS_v1130_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_58_sequence[] = {
  { &hf_lte_rrc_nPUCCH_Identity_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { &hf_lte_rrc_n1PUCCH_AN_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_58(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_58, T_setup_58_sequence);

  return offset;
}


static const value_string lte_rrc_T_nPUCCH_Param_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_nPUCCH_Param_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_67    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_58 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_nPUCCH_Param_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_nPUCCH_Param_r11, T_nPUCCH_Param_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigDedicated_v1130_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_n1PUCCH_AN_CS_v1130 },
  { &hf_lte_rrc_nPUCCH_Param_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nPUCCH_Param_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigDedicated_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigDedicated_v1130, PUCCH_ConfigDedicated_v1130_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_509(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 509U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_setup_67_sequence[] = {
  { &hf_lte_rrc_nPUSCH_Identity_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_509 },
  { &hf_lte_rrc_nDMRS_CSH_Identity_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_509 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_67(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_67, T_setup_67_sequence);

  return offset;
}


static const value_string lte_rrc_T_pusch_DMRS_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_pusch_DMRS_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_77    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_67 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pusch_DMRS_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pusch_DMRS_r11, T_pusch_DMRS_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigDedicated_v1130_sequence[] = {
  { &hf_lte_rrc_pusch_DMRS_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pusch_DMRS_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigDedicated_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigDedicated_v1130, PUSCH_ConfigDedicated_v1130_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_16_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            16U, 31U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_deltaTxD_OffsetPUCCH_Format1bCS_r11_vals[] = {
  {   0, "dB0" },
  {   1, "dB-1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format1bCS_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DeltaTxD_OffsetListPUCCH_v1130_sequence[] = {
  { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1bCS_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaTxD_OffsetPUCCH_Format1bCS_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DeltaTxD_OffsetListPUCCH_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DeltaTxD_OffsetListPUCCH_v1130, DeltaTxD_OffsetListPUCCH_v1130_sequence);

  return offset;
}


static const per_sequence_t UplinkPowerControlDedicated_v1130_sequence[] = {
  { &hf_lte_rrc_pSRS_Offset_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_16_31 },
  { &hf_lte_rrc_pSRS_OffsetAp_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_16_31 },
  { &hf_lte_rrc_deltaTxD_OffsetListPUCCH_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DeltaTxD_OffsetListPUCCH_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlDedicated_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlDedicated_v1130, UplinkPowerControlDedicated_v1130_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_4_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigNZPToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11 },
  { &hf_lte_rrc_csi_RS_ConfigNZPToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11 },
  { &hf_lte_rrc_csi_RS_ConfigZPToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11 },
  { &hf_lte_rrc_csi_RS_ConfigZPToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigZPToAddModList_r11 },
  { &hf_lte_rrc_epdcch_Config_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_EPDCCH_Config_r11 },
  { &hf_lte_rrc_pdsch_ConfigDedicated_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated_v1130 },
  { &hf_lte_rrc_cqi_ReportConfig_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1130 },
  { &hf_lte_rrc_pucch_ConfigDedicated_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated_v1130 },
  { &hf_lte_rrc_pusch_ConfigDedicated_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicated_v1130 },
  { &hf_lte_rrc_uplinkPowerControlDedicated_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicated_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_4_sequence);

  return offset;
}


static const per_sequence_t AntennaInfoDedicated_v1250_sequence[] = {
  { &hf_lte_rrc_alternativeCodebookEnabledFor4TX_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AntennaInfoDedicated_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AntennaInfoDedicated_v1250, AntennaInfoDedicated_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_T_eimta_CommandPeriodicity_r12_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf40" },
  {   3, "sf80" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eimta_CommandPeriodicity_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     10, 10, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t T_setup_29_sequence[] = {
  { &hf_lte_rrc_eimta_RNTI_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_eimta_CommandPeriodicity_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eimta_CommandPeriodicity_r12 },
  { &hf_lte_rrc_eimta_CommandSubframeSet_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_29(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_29, T_setup_29_sequence);

  return offset;
}


static const value_string lte_rrc_EIMTA_MainConfig_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t EIMTA_MainConfig_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_36    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_29 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_EIMTA_MainConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_EIMTA_MainConfig_r12, EIMTA_MainConfig_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 5U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_eimta_HARQ_ReferenceConfig_r12_vals[] = {
  {   0, "sa2" },
  {   1, "sa4" },
  {   2, "sa5" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eimta_HARQ_ReferenceConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_31_sequence[] = {
  { &hf_lte_rrc_subframeConfigList_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfigList },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_31, T_setup_31_sequence);

  return offset;
}


static const value_string lte_rrc_T_mbsfn_SubframeConfigList_v1250_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_mbsfn_SubframeConfigList_v1250_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_38    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_31 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mbsfn_SubframeConfigList_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mbsfn_SubframeConfigList_v1250, T_mbsfn_SubframeConfigList_v1250_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_30_sequence[] = {
  { &hf_lte_rrc_eimta_UL_DL_ConfigIndex_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_5 },
  { &hf_lte_rrc_eimta_HARQ_ReferenceConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eimta_HARQ_ReferenceConfig_r12 },
  { &hf_lte_rrc_mbsfn_SubframeConfigList_v1250, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mbsfn_SubframeConfigList_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_30(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_30, T_setup_30_sequence);

  return offset;
}


static const value_string lte_rrc_EIMTA_MainConfigServCell_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t EIMTA_MainConfigServCell_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_37    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_30 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_EIMTA_MainConfigServCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_EIMTA_MainConfigServCell_r12, EIMTA_MainConfigServCell_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_59_sequence[] = {
  { &hf_lte_rrc_nkaPUCCH_AN_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_59(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_59, T_setup_59_sequence);

  return offset;
}


static const value_string lte_rrc_T_nkaPUCCH_Param_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_nkaPUCCH_Param_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_68    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_59 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_nkaPUCCH_Param_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_nkaPUCCH_Param_r12, T_nkaPUCCH_Param_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigDedicated_v1250_sequence[] = {
  { &hf_lte_rrc_nkaPUCCH_Param_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nkaPUCCH_Param_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigDedicated_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigDedicated_v1250, PUCCH_ConfigDedicated_v1250_sequence);

  return offset;
}


static const per_sequence_t T_setup_10_sequence[] = {
  { &hf_lte_rrc_csi_MeasSubframeSets_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_10, T_setup_10_sequence);

  return offset;
}


static const value_string lte_rrc_T_csi_SubframePatternConfig_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_csi_SubframePatternConfig_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_10    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_csi_SubframePatternConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_csi_SubframePatternConfig_r12, T_csi_SubframePatternConfig_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_CSI_IM_ConfigId_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            maxCSI_IM_r12, maxCSI_IM_r12, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_CSI_IM_ConfigId_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            minCSI_IM_r13, maxCSI_IM_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t CSI_IM_ConfigExt_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_interferenceMeasRestriction_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_csi_IM_ConfigId_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_IM_ConfigId_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_IM_ConfigExt_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CSI_IM_ConfigExt_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t CSI_IM_ConfigExt_r12_sequence[] = {
  { &hf_lte_rrc_csi_IM_ConfigId_v1250, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigId_v1250 },
  { &hf_lte_rrc_resourceConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_subframeConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_154 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigExt_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_IM_ConfigExt_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_IM_ConfigExt_r12, CSI_IM_ConfigExt_r12_sequence);

  return offset;
}


static const per_sequence_t CQI_ReportBoth_v1250_sequence[] = {
  { &hf_lte_rrc_csi_IM_ConfigToReleaseListExt_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_IM_ConfigId_v1250 },
  { &hf_lte_rrc_csi_IM_ConfigToAddModListExt_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_IM_ConfigExt_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportBoth_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportBoth_v1250, CQI_ReportBoth_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_T_trigger_SubframeSetIndicator_r12_vals[] = {
  {   0, "s1" },
  {   1, "s2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_trigger_SubframeSetIndicator_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_aperiodicCSI_Trigger_v1250_sequence[] = {
  { &hf_lte_rrc_trigger_SubframeSetIndicator_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_trigger_SubframeSetIndicator_r12 },
  { &hf_lte_rrc_trigger1_SubframeSetIndicator_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { &hf_lte_rrc_trigger2_SubframeSetIndicator_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_aperiodicCSI_Trigger_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_aperiodicCSI_Trigger_v1250, T_aperiodicCSI_Trigger_v1250_sequence);

  return offset;
}


static const per_sequence_t T_setup_06_sequence[] = {
  { &hf_lte_rrc_aperiodicCSI_Trigger_v1250, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_aperiodicCSI_Trigger_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_06(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_06, T_setup_06_sequence);

  return offset;
}


static const value_string lte_rrc_CQI_ReportAperiodic_v1250_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CQI_ReportAperiodic_v1250_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_06    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_06 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportAperiodic_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CQI_ReportAperiodic_v1250, CQI_ReportAperiodic_v1250_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_altCQI_Table_r12_vals[] = {
  {   0, "allSubframes" },
  {   1, "csi-SubframeSet1" },
  {   2, "csi-SubframeSet2" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_altCQI_Table_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CQI_ReportConfig_v1250_sequence[] = {
  { &hf_lte_rrc_csi_SubframePatternConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_SubframePatternConfig_r12 },
  { &hf_lte_rrc_cqi_ReportBoth_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportBoth_v1250 },
  { &hf_lte_rrc_cqi_ReportAperiodic_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportAperiodic_v1250 },
  { &hf_lte_rrc_altCQI_Table_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_altCQI_Table_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfig_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfig_v1250, CQI_ReportConfig_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_Alpha_r12_vals[] = {
  {   0, "al0" },
  {   1, "al04" },
  {   2, "al05" },
  {   3, "al06" },
  {   4, "al07" },
  {   5, "al08" },
  {   6, "al09" },
  {   7, "al1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_Alpha_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_100_sequence[] = {
  { &hf_lte_rrc_tpc_SubframeSet_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { &hf_lte_rrc_p0_NominalPUSCH_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M126_24 },
  { &hf_lte_rrc_alpha_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Alpha_r12 },
  { &hf_lte_rrc_p0_UE_PUSCH_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_100(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_100, T_setup_100_sequence);

  return offset;
}


static const value_string lte_rrc_T_set2PowerControlParameter_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_set2PowerControlParameter_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_113   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_100 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_set2PowerControlParameter(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_set2PowerControlParameter, T_set2PowerControlParameter_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlDedicated_v1250_sequence[] = {
  { &hf_lte_rrc_set2PowerControlParameter, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_set2PowerControlParameter },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlDedicated_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlDedicated_v1250, UplinkPowerControlDedicated_v1250_sequence);

  return offset;
}


static const per_sequence_t T_betaOffsetMC_r12_sequence[] = {
  { &hf_lte_rrc_betaOffset_ACK_Index_MC_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_RI_Index_MC_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_CQI_Index_MC_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_betaOffsetMC_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_betaOffsetMC_r12, T_betaOffsetMC_r12_sequence);

  return offset;
}


static const per_sequence_t T_setup_68_sequence[] = {
  { &hf_lte_rrc_betaOffset_ACK_Index_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_RI_Index_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_CQI_Index_SubframeSet2_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffsetMC_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_betaOffsetMC_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_68(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_68, T_setup_68_sequence);

  return offset;
}


static const value_string lte_rrc_T_uciOnPUSCH_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_uciOnPUSCH_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_78    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_68 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_uciOnPUSCH(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_uciOnPUSCH, T_uciOnPUSCH_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigDedicated_v1250_sequence[] = {
  { &hf_lte_rrc_uciOnPUSCH  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_uciOnPUSCH },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigDedicated_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigDedicated_v1250, PUSCH_ConfigDedicated_v1250_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12_sequence_of[1] = {
  { &hf_lte_rrc_zeroTxPowerCSI_RS_List_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ZeroTxPowerCSI_RS_r12 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12, SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12_sequence_of,
                                                  1, maxDS_ZTP_CSI_RS_r12, FALSE);

  return offset;
}


static const per_sequence_t T_setup_17_sequence[] = {
  { &hf_lte_rrc_zeroTxPowerCSI_RS_List_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_17(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_17, T_setup_17_sequence);

  return offset;
}


static const value_string lte_rrc_T_ds_ZeroTxPowerCSI_RS_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_ds_ZeroTxPowerCSI_RS_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_20    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_17 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ds_ZeroTxPowerCSI_RS_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ds_ZeroTxPowerCSI_RS_r12, T_ds_ZeroTxPowerCSI_RS_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_RS_Config_v1250_sequence[] = {
  { &hf_lte_rrc_zeroTxPowerCSI_RS2_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ZeroTxPowerCSI_RS_Conf_r12 },
  { &hf_lte_rrc_ds_ZeroTxPowerCSI_RS_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ds_ZeroTxPowerCSI_RS_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_Config_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_Config_v1250, CSI_RS_Config_v1250_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_5_sequence[] = {
  { &hf_lte_rrc_antennaInfo_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v1250 },
  { &hf_lte_rrc_eimta_MainConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_EIMTA_MainConfig_r12 },
  { &hf_lte_rrc_eimta_MainConfigPCell_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_EIMTA_MainConfigServCell_r12 },
  { &hf_lte_rrc_pucch_ConfigDedicated_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated_v1250 },
  { &hf_lte_rrc_cqi_ReportConfigPCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1250 },
  { &hf_lte_rrc_uplinkPowerControlDedicated_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicated_v1250 },
  { &hf_lte_rrc_pusch_ConfigDedicated_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicated_v1250 },
  { &hf_lte_rrc_csi_RS_Config_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_5_sequence);

  return offset;
}


static const value_string lte_rrc_T_tbsIndexAlt_r12_vals[] = {
  {   0, "a26" },
  {   1, "a33" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tbsIndexAlt_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDSCH_ConfigDedicated_v1280_sequence[] = {
  { &hf_lte_rrc_tbsIndexAlt_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tbsIndexAlt_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_ConfigDedicated_v1280(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_ConfigDedicated_v1280, PDSCH_ConfigDedicated_v1280_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_6_sequence[] = {
  { &hf_lte_rrc_pdsch_ConfigDedicated_v1280, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated_v1280 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_6_sequence);

  return offset;
}


static const value_string lte_rrc_T_dmrs_tableAlt_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dmrs_tableAlt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DMRS_Config_v1310_sequence[] = {
  { &hf_lte_rrc_dmrs_tableAlt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_tableAlt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DMRS_Config_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DMRS_Config_v1310, DMRS_Config_v1310_sequence);

  return offset;
}


static const per_sequence_t PDSCH_ConfigDedicated_v1310_sequence[] = {
  { &hf_lte_rrc_dmrs_ConfigPDSCH_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DMRS_Config_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_ConfigDedicated_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_ConfigDedicated_v1310, PDSCH_ConfigDedicated_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_repetitionFactor_r13_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  {   2, "n6" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_repetitionFactor_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_60_sequence[] = {
  { &hf_lte_rrc_repetitionFactor_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_repetitionFactor_r13 },
  { &hf_lte_rrc_n1PUCCH_AN_Rep_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_60(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_60, T_setup_60_sequence);

  return offset;
}


static const value_string lte_rrc_T_ackNackRepetition_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_ackNackRepetition_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_69    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_60 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ackNackRepetition_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ackNackRepetition_r13, T_ackNackRepetition_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_AckNackFeedbackMode_r13_vals[] = {
  {   0, "bundling" },
  {   1, "multiplexing" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_AckNackFeedbackMode_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_n3PUCCH_AN_List_r13_sequence_of[1] = {
  { &hf_lte_rrc_n3PUCCH_AN_List_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_549 },
};

static int
dissect_lte_rrc_T_n3PUCCH_AN_List_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_n3PUCCH_AN_List_r13, T_n3PUCCH_AN_List_r13_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t T_n3PUCCH_AN_ListP1_r13_sequence_of[1] = {
  { &hf_lte_rrc_n3PUCCH_AN_ListP1_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_549 },
};

static int
dissect_lte_rrc_T_n3PUCCH_AN_ListP1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_n3PUCCH_AN_ListP1_r13, T_n3PUCCH_AN_ListP1_r13_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t T_setup_61_sequence[] = {
  { &hf_lte_rrc_n3PUCCH_AN_ListP1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n3PUCCH_AN_ListP1_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_61(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_61, T_setup_61_sequence);

  return offset;
}


static const value_string lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_twoAntennaPortActivatedPUCCH_Format3_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_70    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_61 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13, T_twoAntennaPortActivatedPUCCH_Format3_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_format3_r13_sequence[] = {
  { &hf_lte_rrc_n3PUCCH_AN_List_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_n3PUCCH_AN_List_r13 },
  { &hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format3_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_format3_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_format3_r13, T_format3_r13_sequence);

  return offset;
}


static const per_sequence_t N1PUCCH_AN_CS_List_r13_sequence_of[1] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_List_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_N1PUCCH_AN_CS_r10 },
};

static int
dissect_lte_rrc_N1PUCCH_AN_CS_List_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_N1PUCCH_AN_CS_List_r13, N1PUCCH_AN_CS_List_r13_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const per_sequence_t T_n1PUCCH_AN_CS_ListP1_r13_sequence_of[1] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
};

static int
dissect_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r13, T_n1PUCCH_AN_CS_ListP1_r13_sequence_of,
                                                  2, 4, FALSE);

  return offset;
}


static const per_sequence_t T_setup_62_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_List_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_N1PUCCH_AN_CS_List_r13 },
  { &hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_62(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_62, T_setup_62_sequence);

  return offset;
}


static const value_string lte_rrc_T_n1PUCCH_AN_CS_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_n1PUCCH_AN_CS_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_71    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_62 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_n1PUCCH_AN_CS_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_n1PUCCH_AN_CS_r13, T_n1PUCCH_AN_CS_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_channelSelection_r13_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_CS_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_n1PUCCH_AN_CS_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_channelSelection_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_channelSelection_r13, T_channelSelection_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_109(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 109U, NULL, FALSE);

  return offset;
}


static const per_sequence_t Format4_resource_r13_sequence[] = {
  { &hf_lte_rrc_startingPRB_format4_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_109 },
  { &hf_lte_rrc_numberOfPRB_format4_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Format4_resource_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Format4_resource_r13, Format4_resource_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_4_OF_Format4_resource_r13_sequence_of[1] = {
  { &hf_lte_rrc_format4_resourceConfiguration_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Format4_resource_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_4_OF_Format4_resource_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_4_OF_Format4_resource_r13, SEQUENCE_SIZE_4_OF_Format4_resource_r13_sequence_of,
                                                  4, 4, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_2_OF_Format4_resource_r13_sequence_of[1] = {
  { &hf_lte_rrc_format4_MultiCSI_resourceConfiguration_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Format4_resource_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_Format4_resource_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_Format4_resource_r13, SEQUENCE_SIZE_1_2_OF_Format4_resource_r13_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const per_sequence_t T_format4_r13_sequence[] = {
  { &hf_lte_rrc_format4_resourceConfiguration_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_4_OF_Format4_resource_r13 },
  { &hf_lte_rrc_format4_MultiCSI_resourceConfiguration_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_Format4_resource_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_format4_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_format4_r13, T_format4_r13_sequence);

  return offset;
}


static const per_sequence_t Format5_resource_r13_sequence[] = {
  { &hf_lte_rrc_startingPRB_format5_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_109 },
  { &hf_lte_rrc_cdm_index_format5_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Format5_resource_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Format5_resource_r13, Format5_resource_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_4_OF_Format5_resource_r13_sequence_of[1] = {
  { &hf_lte_rrc_format5_resourceConfiguration_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Format5_resource_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_4_OF_Format5_resource_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_4_OF_Format5_resource_r13, SEQUENCE_SIZE_4_OF_Format5_resource_r13_sequence_of,
                                                  4, 4, FALSE);

  return offset;
}


static const per_sequence_t T_format5_r13_sequence[] = {
  { &hf_lte_rrc_format5_resourceConfiguration_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_4_OF_Format5_resource_r13 },
  { &hf_lte_rrc_format5_MultiCSI_resourceConfiguration_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Format5_resource_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_format5_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_format5_r13, T_format5_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_Format_r13_vals[] = {
  {   0, "format3-r13" },
  {   1, "channelSelection-r13" },
  {   2, "format4-r13" },
  {   3, "format5-r13" },
  { 0, NULL }
};

static const per_choice_t T_pucch_Format_r13_choice[] = {
  {   0, &hf_lte_rrc_format3_r13 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_format3_r13 },
  {   1, &hf_lte_rrc_channelSelection_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_channelSelection_r13 },
  {   2, &hf_lte_rrc_format4_r13 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_format4_r13 },
  {   3, &hf_lte_rrc_format5_r13 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_format5_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pucch_Format_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pucch_Format_r13, T_pucch_Format_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_twoAntennaPortActivatedPUCCH_Format1a1b_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format1a1b_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_simultaneousPUCCH_PUSCH_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_simultaneousPUCCH_PUSCH_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_63_sequence[] = {
  { &hf_lte_rrc_nPUCCH_Identity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_503 },
  { &hf_lte_rrc_n1PUCCH_AN_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_63(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_63, T_setup_63_sequence);

  return offset;
}


static const value_string lte_rrc_T_nPUCCH_Param_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_nPUCCH_Param_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_72    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_63 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_nPUCCH_Param_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_nPUCCH_Param_r13, T_nPUCCH_Param_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_64_sequence[] = {
  { &hf_lte_rrc_nkaPUCCH_AN_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_64(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_64, T_setup_64_sequence);

  return offset;
}


static const value_string lte_rrc_T_nkaPUCCH_Param_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_nkaPUCCH_Param_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_73    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_64 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_nkaPUCCH_Param_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_nkaPUCCH_Param_r13, T_nkaPUCCH_Param_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_codebooksizeDetermination_r13_vals[] = {
  {   0, "dai" },
  {   1, "cc" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_codebooksizeDetermination_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_format1_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_format1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_format2_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_format2_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_modeA_sequence[] = {
  { &hf_lte_rrc_pucch_NumRepetitionCE_format1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pucch_NumRepetitionCE_format1_r13 },
  { &hf_lte_rrc_pucch_NumRepetitionCE_format2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pucch_NumRepetitionCE_format2_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_modeA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_modeA, T_modeA_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_format1_r13_01_vals[] = {
  {   0, "r4" },
  {   1, "r8" },
  {   2, "r16" },
  {   3, "r32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_format1_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_format2_r13_01_vals[] = {
  {   0, "r4" },
  {   1, "r8" },
  {   2, "r16" },
  {   3, "r32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_format2_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_modeB_sequence[] = {
  { &hf_lte_rrc_pucch_NumRepetitionCE_format1_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pucch_NumRepetitionCE_format1_r13_01 },
  { &hf_lte_rrc_pucch_NumRepetitionCE_format2_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pucch_NumRepetitionCE_format2_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_modeB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_modeB, T_modeB_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_65_vals[] = {
  {   0, "modeA" },
  {   1, "modeB" },
  { 0, NULL }
};

static const per_choice_t T_setup_65_choice[] = {
  {   0, &hf_lte_rrc_modeA       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_modeA },
  {   1, &hf_lte_rrc_modeB       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_modeB },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_65(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_65, T_setup_65_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_pucch_NumRepetitionCE_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_74    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_65 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pucch_NumRepetitionCE_r13, T_pucch_NumRepetitionCE_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigDedicated_r13_sequence[] = {
  { &hf_lte_rrc_ackNackRepetition_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ackNackRepetition_r13 },
  { &hf_lte_rrc_tdd_AckNackFeedbackMode_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tdd_AckNackFeedbackMode_r13 },
  { &hf_lte_rrc_pucch_Format_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_Format_r13 },
  { &hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format1a1b_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format1a1b_r13 },
  { &hf_lte_rrc_simultaneousPUCCH_PUSCH_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_simultaneousPUCCH_PUSCH_r13 },
  { &hf_lte_rrc_n1PUCCH_AN_RepP1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_2047 },
  { &hf_lte_rrc_nPUCCH_Param_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nPUCCH_Param_r13 },
  { &hf_lte_rrc_nkaPUCCH_Param_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nkaPUCCH_Param_r13 },
  { &hf_lte_rrc_spatialBundlingPUCCH_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_spatialBundlingPUSCH_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_harq_TimingTDD_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_codebooksizeDetermination_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_codebooksizeDetermination_r13 },
  { &hf_lte_rrc_maximumPayloadCoderate_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_pucch_NumRepetitionCE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_NumRepetitionCE_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigDedicated_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigDedicated_r13, PUCCH_ConfigDedicated_r13_sequence);

  return offset;
}


static const per_sequence_t T_betaOffsetMC_r13_sequence[] = {
  { &hf_lte_rrc_betaOffset_ACK_Index_MC_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset2_ACK_Index_MC_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_RI_Index_MC_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_CQI_Index_MC_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_betaOffsetMC_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_betaOffsetMC_r13, T_betaOffsetMC_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_groupHoppingDisabled_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_groupHoppingDisabled_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dmrs_WithOCC_Activated_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dmrs_WithOCC_Activated_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_69_sequence[] = {
  { &hf_lte_rrc_nPUSCH_Identity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_509 },
  { &hf_lte_rrc_nDMRS_CSH_Identity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_509 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_69(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_69, T_setup_69_sequence);

  return offset;
}


static const value_string lte_rrc_T_pusch_DMRS_r11_01_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_pusch_DMRS_r11_01_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_79    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_69 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pusch_DMRS_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pusch_DMRS_r11_01, T_pusch_DMRS_r11_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_betaOffsetMC_r12_01_sequence[] = {
  { &hf_lte_rrc_betaOffset_ACK_Index_MC_SubframeSet2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset2_ACK_Index_MC_SubframeSet2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_RI_Index_MC_SubframeSet2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_CQI_Index_MC_SubframeSet2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_betaOffsetMC_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_betaOffsetMC_r12_01, T_betaOffsetMC_r12_01_sequence);

  return offset;
}


static const per_sequence_t T_setup_70_sequence[] = {
  { &hf_lte_rrc_betaOffset_ACK_Index_SubframeSet2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset2_ACK_Index_SubframeSet2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_RI_Index_SubframeSet2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_CQI_Index_SubframeSet2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffsetMC_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_betaOffsetMC_r12_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_70(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_70, T_setup_70_sequence);

  return offset;
}


static const value_string lte_rrc_T_uciOnPUSCH_01_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_uciOnPUSCH_01_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_80    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_70 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_uciOnPUSCH_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_uciOnPUSCH_01, T_uciOnPUSCH_01_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_pusch_HoppingConfig_r13_vals[] = {
  {   0, "on" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pusch_HoppingConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigDedicated_r13_sequence[] = {
  { &hf_lte_rrc_betaOffset_ACK_Index_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset2_ACK_Index_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_RI_Index_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffset_CQI_Index_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_betaOffsetMC_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_betaOffsetMC_r13 },
  { &hf_lte_rrc_groupHoppingDisabled_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_groupHoppingDisabled_r13 },
  { &hf_lte_rrc_dmrs_WithOCC_Activated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_WithOCC_Activated_r13 },
  { &hf_lte_rrc_pusch_DMRS_r11_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pusch_DMRS_r11_01 },
  { &hf_lte_rrc_uciOnPUSCH_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_uciOnPUSCH_01 },
  { &hf_lte_rrc_pusch_HoppingConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pusch_HoppingConfig_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigDedicated_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigDedicated_r13, PUSCH_ConfigDedicated_r13_sequence);

  return offset;
}


static const value_string lte_rrc_PDCCH_CandidateReductionValue_r13_vals[] = {
  {   0, "n0" },
  {   1, "n33" },
  {   2, "n66" },
  {   3, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PDCCH_CandidateReductionValue_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_41_sequence[] = {
  { &hf_lte_rrc_pdcch_candidateReductionAL1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r13 },
  { &hf_lte_rrc_pdcch_candidateReductionAL2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r13 },
  { &hf_lte_rrc_pdcch_candidateReductionAL3_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r13 },
  { &hf_lte_rrc_pdcch_candidateReductionAL4_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r13 },
  { &hf_lte_rrc_pdcch_candidateReductionAL5_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_41(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_41, T_setup_41_sequence);

  return offset;
}


static const value_string lte_rrc_PDCCH_CandidateReductions_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t PDCCH_CandidateReductions_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_49    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_41 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_PDCCH_CandidateReductions_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_PDCCH_CandidateReductions_r13, PDCCH_CandidateReductions_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_IM_ConfigToReleaseListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_CSI_IM_ConfigToReleaseListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigId_v1310 },
};

static int
dissect_lte_rrc_CSI_IM_ConfigToReleaseListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_IM_ConfigToReleaseListExt_r13, CSI_IM_ConfigToReleaseListExt_r13_sequence_of,
                                                  1, maxCSI_IM_v1310, FALSE);

  return offset;
}


static const per_sequence_t CSI_IM_ConfigToAddModListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_CSI_IM_ConfigToAddModListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_IM_ConfigExt_r12 },
};

static int
dissect_lte_rrc_CSI_IM_ConfigToAddModListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_IM_ConfigToAddModListExt_r13, CSI_IM_ConfigToAddModListExt_r13_sequence_of,
                                                  1, maxCSI_IM_v1310, FALSE);

  return offset;
}


static const per_sequence_t CQI_ReportBoth_v1310_sequence[] = {
  { &hf_lte_rrc_csi_IM_ConfigToReleaseListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_IM_ConfigToReleaseListExt_r13 },
  { &hf_lte_rrc_csi_IM_ConfigToAddModListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_IM_ConfigToAddModListExt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportBoth_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportBoth_v1310, CQI_ReportBoth_v1310_sequence);

  return offset;
}


static const per_sequence_t T_aperiodicCSI_Trigger_v1310_sequence[] = {
  { &hf_lte_rrc_trigger1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger2_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger3_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger4_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger5_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger6_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_aperiodicCSI_Trigger_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_aperiodicCSI_Trigger_v1310, T_aperiodicCSI_Trigger_v1310_sequence);

  return offset;
}


static const per_sequence_t T_setup_08_sequence[] = {
  { &hf_lte_rrc_trigger1_SubframeSetIndicator_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger2_SubframeSetIndicator_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger3_SubframeSetIndicator_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger4_SubframeSetIndicator_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger5_SubframeSetIndicator_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger6_SubframeSetIndicator_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_08(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_08, T_setup_08_sequence);

  return offset;
}


static const value_string lte_rrc_T_aperiodicCSI_Trigger2_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_aperiodicCSI_Trigger2_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_08    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_08 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_aperiodicCSI_Trigger2_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_aperiodicCSI_Trigger2_r13, T_aperiodicCSI_Trigger2_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_07_sequence[] = {
  { &hf_lte_rrc_aperiodicCSI_Trigger_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_aperiodicCSI_Trigger_v1310 },
  { &hf_lte_rrc_aperiodicCSI_Trigger2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_aperiodicCSI_Trigger2_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_07(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_07, T_setup_07_sequence);

  return offset;
}


static const value_string lte_rrc_CQI_ReportAperiodic_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CQI_ReportAperiodic_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_07    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_07 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportAperiodic_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CQI_ReportAperiodic_v1310, CQI_ReportAperiodic_v1310_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_simultaneousAckNackAndCQI_Format4_Format5_r13_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_simultaneousAckNackAndCQI_Format4_Format5_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CQI_ReportPeriodic_v1310_sequence[] = {
  { &hf_lte_rrc_cri_ReportConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CRI_ReportConfig_r13 },
  { &hf_lte_rrc_simultaneousAckNackAndCQI_Format4_Format5_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_simultaneousAckNackAndCQI_Format4_Format5_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportPeriodic_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportPeriodic_v1310, CQI_ReportPeriodic_v1310_sequence);

  return offset;
}


static const per_sequence_t CQI_ReportConfig_v1310_sequence[] = {
  { &hf_lte_rrc_cqi_ReportBoth_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportBoth_v1310 },
  { &hf_lte_rrc_cqi_ReportAperiodic_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportAperiodic_v1310 },
  { &hf_lte_rrc_cqi_ReportPeriodic_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportPeriodic_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfig_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfig_v1310, CQI_ReportConfig_v1310_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_2_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            2U, 3U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_cyclicShift_v1310_vals[] = {
  {   0, "cs8" },
  {   1, "cs9" },
  {   2, "cs10" },
  {   3, "cs11" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cyclicShift_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_transmissionCombNum_r13_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_transmissionCombNum_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_84_sequence[] = {
  { &hf_lte_rrc_transmissionComb_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_2_3 },
  { &hf_lte_rrc_cyclicShift_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cyclicShift_v1310 },
  { &hf_lte_rrc_transmissionCombNum_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_transmissionCombNum_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_84(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_84, T_setup_84_sequence);

  return offset;
}


static const value_string lte_rrc_SoundingRS_UL_ConfigDedicated_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SoundingRS_UL_ConfigDedicated_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_97    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_84 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigDedicated_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SoundingRS_UL_ConfigDedicated_v1310, SoundingRS_UL_ConfigDedicated_v1310_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_UpPtsAdd_r13_vals[] = {
  {   0, "sym2" },
  {   1, "sym4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_UpPtsAdd_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_Bandwidth_r13_vals[] = {
  {   0, "bw0" },
  {   1, "bw1" },
  {   2, "bw2" },
  {   3, "bw3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_Bandwidth_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_HoppingBandwidth_r13_vals[] = {
  {   0, "hbw0" },
  {   1, "hbw1" },
  {   2, "hbw2" },
  {   3, "hbw3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_HoppingBandwidth_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_cyclicShift_r13_vals[] = {
  {   0, "cs0" },
  {   1, "cs1" },
  {   2, "cs2" },
  {   3, "cs3" },
  {   4, "cs4" },
  {   5, "cs5" },
  {   6, "cs6" },
  {   7, "cs7" },
  {   8, "cs8" },
  {   9, "cs9" },
  {  10, "cs10" },
  {  11, "cs11" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cyclicShift_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     12, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_transmissionCombNum_r13_01_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_transmissionCombNum_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_85_sequence[] = {
  { &hf_lte_rrc_srs_UpPtsAdd_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_UpPtsAdd_r13 },
  { &hf_lte_rrc_srs_Bandwidth_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_Bandwidth_r13 },
  { &hf_lte_rrc_srs_HoppingBandwidth_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_HoppingBandwidth_r13 },
  { &hf_lte_rrc_freqDomainPosition_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_23 },
  { &hf_lte_rrc_duration_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_srs_ConfigIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_transmissionComb_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_cyclicShift_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cyclicShift_r13 },
  { &hf_lte_rrc_srs_AntennaPort_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_AntennaPort },
  { &hf_lte_rrc_transmissionCombNum_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_transmissionCombNum_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_85(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_85, T_setup_85_sequence);

  return offset;
}


static const value_string lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SoundingRS_UL_ConfigDedicatedUpPTsExt_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_98    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_85 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13, SoundingRS_UL_ConfigDedicatedUpPTsExt_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_cyclicShiftAp_v1310_vals[] = {
  {   0, "cs8" },
  {   1, "cs9" },
  {   2, "cs10" },
  {   3, "cs11" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cyclicShiftAp_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_transmissionCombNum_r13_02_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_transmissionCombNum_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SRS_ConfigAp_v1310_sequence[] = {
  { &hf_lte_rrc_transmissionCombAp_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_2_3 },
  { &hf_lte_rrc_cyclicShiftAp_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cyclicShiftAp_v1310 },
  { &hf_lte_rrc_transmissionCombNum_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_transmissionCombNum_r13_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SRS_ConfigAp_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SRS_ConfigAp_v1310, SRS_ConfigAp_v1310_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310_sequence_of[1] = {
  { &hf_lte_rrc_srs_ConfigApDCI_Format4_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_ConfigAp_v1310 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310, SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310_sequence_of,
                                                  1, 3, FALSE);

  return offset;
}


static const per_sequence_t T_setup_89_sequence[] = {
  { &hf_lte_rrc_srs_ConfigApDCI_Format0_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SRS_ConfigAp_v1310 },
  { &hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SRS_ConfigAp_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_89(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_89, T_setup_89_sequence);

  return offset;
}


static const value_string lte_rrc_T_srs_ActivateAp_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_srs_ActivateAp_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_102   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_89 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_srs_ActivateAp_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_srs_ActivateAp_v1310, T_srs_ActivateAp_v1310_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_88_sequence[] = {
  { &hf_lte_rrc_srs_ConfigApDCI_Format4_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310 },
  { &hf_lte_rrc_srs_ActivateAp_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srs_ActivateAp_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_88(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_88, T_setup_88_sequence);

  return offset;
}


static const value_string lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SoundingRS_UL_ConfigDedicatedAperiodic_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_101   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_88 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1310, SoundingRS_UL_ConfigDedicatedAperiodic_v1310_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_UpPtsAdd_r13_01_vals[] = {
  {   0, "sym2" },
  {   1, "sym4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_UpPtsAdd_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_BandwidthAp_r13_vals[] = {
  {   0, "bw0" },
  {   1, "bw1" },
  {   2, "bw2" },
  {   3, "bw3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_BandwidthAp_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_cyclicShiftAp_r13_vals[] = {
  {   0, "cs0" },
  {   1, "cs1" },
  {   2, "cs2" },
  {   3, "cs3" },
  {   4, "cs4" },
  {   5, "cs5" },
  {   6, "cs6" },
  {   7, "cs7" },
  {   8, "cs8" },
  {   9, "cs9" },
  {  10, "cs10" },
  {  11, "cs11" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cyclicShiftAp_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     12, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_transmissionCombNum_r13_03_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_transmissionCombNum_r13_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SRS_ConfigAp_r13_sequence[] = {
  { &hf_lte_rrc_srs_AntennaPortAp_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_AntennaPort },
  { &hf_lte_rrc_srs_BandwidthAp_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_BandwidthAp_r13 },
  { &hf_lte_rrc_freqDomainPositionAp_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_23 },
  { &hf_lte_rrc_transmissionCombAp_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_cyclicShiftAp_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cyclicShiftAp_r13 },
  { &hf_lte_rrc_transmissionCombNum_r13_03, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_transmissionCombNum_r13_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SRS_ConfigAp_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SRS_ConfigAp_r13, SRS_ConfigAp_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13_sequence_of[1] = {
  { &hf_lte_rrc_srs_ConfigApDCI_Format4_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_ConfigAp_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13, SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13_sequence_of,
                                                  1, 3, FALSE);

  return offset;
}


static const per_sequence_t T_setup_91_sequence[] = {
  { &hf_lte_rrc_srs_ConfigApDCI_Format0_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_ConfigAp_r13 },
  { &hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_ConfigAp_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_91(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_91, T_setup_91_sequence);

  return offset;
}


static const value_string lte_rrc_T_srs_ActivateAp_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_srs_ActivateAp_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_104   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_91 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_srs_ActivateAp_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_srs_ActivateAp_r13, T_srs_ActivateAp_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_90_sequence[] = {
  { &hf_lte_rrc_srs_UpPtsAdd_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_UpPtsAdd_r13_01 },
  { &hf_lte_rrc_srs_ConfigIndexAp_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_srs_ConfigApDCI_Format4_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13 },
  { &hf_lte_rrc_srs_ActivateAp_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srs_ActivateAp_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_90(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_90, T_setup_90_sequence);

  return offset;
}


static const value_string lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_103   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_90 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13, SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_RS_Config_v1310_sequence[] = {
  { &hf_lte_rrc_eMIMO_Type_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigEMIMO_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_Config_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_Config_v1310, CSI_RS_Config_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_49_vals[] = {
  {   0, "ce-ModeA" },
  {   1, "ce-ModeB" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_setup_49(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_Mode_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_ce_Mode_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_57    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_49 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ce_Mode_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ce_Mode_r13, T_ce_Mode_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZPToAddModListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZP_r11 },
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13, CSI_RS_ConfigNZPToAddModListExt_r13_sequence_of,
                                                  1, maxCSI_RS_NZP_v1310, FALSE);

  return offset;
}


static const per_sequence_t CSI_RS_ConfigNZPToReleaseListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigNZPId_v1310 },
};

static int
dissect_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13, CSI_RS_ConfigNZPToReleaseListExt_r13_sequence_of,
                                                  1, maxCSI_RS_NZP_v1310, FALSE);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_7_sequence[] = {
  { &hf_lte_rrc_pdsch_ConfigDedicated_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated_v1310 },
  { &hf_lte_rrc_pucch_ConfigDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated_r13 },
  { &hf_lte_rrc_pusch_ConfigDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicated_r13 },
  { &hf_lte_rrc_pdcch_CandidateReductions_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCCH_CandidateReductions_r13 },
  { &hf_lte_rrc_cqi_ReportConfig_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1310 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicated_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicated_v1310 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedUpPTsExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1310 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 },
  { &hf_lte_rrc_csi_RS_Config_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_v1310 },
  { &hf_lte_rrc_ce_Mode_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_Mode_r13 },
  { &hf_lte_rrc_csi_RS_ConfigNZPToAddModListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13 },
  { &hf_lte_rrc_csi_RS_ConfigNZPToReleaseListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_7_sequence);

  return offset;
}


static const value_string lte_rrc_T_periodicityFactorWB_r13_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_periodicityFactorWB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CQI_ReportPeriodic_v1320_sequence[] = {
  { &hf_lte_rrc_periodicityFactorWB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_periodicityFactorWB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportPeriodic_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportPeriodic_v1320, CQI_ReportPeriodic_v1320_sequence);

  return offset;
}


static const per_sequence_t CQI_ReportConfig_v1320_sequence[] = {
  { &hf_lte_rrc_cqi_ReportPeriodic_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportPeriodic_v1320 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfig_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfig_v1320, CQI_ReportConfig_v1320_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_8_sequence[] = {
  { &hf_lte_rrc_cqi_ReportConfig_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1320 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_8(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_8_sequence);

  return offset;
}


static const per_sequence_t SRS_CC_SetIndex_r14_sequence[] = {
  { &hf_lte_rrc_cc_SetIndex_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_cc_IndexInOneCC_Set_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SRS_CC_SetIndex_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SRS_CC_SetIndex_r14, SRS_CC_SetIndex_r14_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14_sequence_of[1] = {
  { &hf_lte_rrc_srs_CC_SetIndexList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_CC_SetIndex_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14, SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t T_setup_97_sequence[] = {
  { &hf_lte_rrc_srs_TPC_RNTI_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_startingBitOfFormat3B_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_fieldTypeFormat3B_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_srs_CC_SetIndexlist_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_97(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_97, T_setup_97_sequence);

  return offset;
}


static const value_string lte_rrc_SRS_TPC_PDCCH_Config_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SRS_TPC_PDCCH_Config_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_110   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_97 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SRS_TPC_PDCCH_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SRS_TPC_PDCCH_Config_r14, SRS_TPC_PDCCH_Config_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14_sequence_of[1] = {
  { &hf_lte_rrc_setup_item_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRS_TPC_PDCCH_Config_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14, SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14_sequence_of,
                                                  1, 32, FALSE);

  return offset;
}


static const value_string lte_rrc_T_typeA_SRS_TPC_PDCCH_Group_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_typeA_SRS_TPC_PDCCH_Group_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_58    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_typeA_SRS_TPC_PDCCH_Group_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_typeA_SRS_TPC_PDCCH_Group_r14, T_typeA_SRS_TPC_PDCCH_Group_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_k_max_r14_vals[] = {
  {   0, "l1" },
  {   1, "l3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_k_max_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_p_a_must_r14_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4dot77" },
  {   2, "dB-3" },
  {   3, "dB-1dot77" },
  {   4, "dB0" },
  {   5, "dB1" },
  {   6, "dB2" },
  {   7, "dB3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_p_a_must_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_50_sequence[] = {
  { &hf_lte_rrc_k_max_r14   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_k_max_r14 },
  { &hf_lte_rrc_p_a_must_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_p_a_must_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_50, T_setup_50_sequence);

  return offset;
}


static const value_string lte_rrc_T_must_Config_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_must_Config_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_59    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_50 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_must_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_must_Config_r14, T_must_Config_r14_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_100(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 100U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_interval_FDD_PUSCH_Enh_r14_vals[] = {
  {   0, "int1" },
  {   1, "int2" },
  {   2, "int4" },
  {   3, "int8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_FDD_PUSCH_Enh_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_TDD_PUSCH_Enh_r14_vals[] = {
  {   0, "int1" },
  {   1, "int5" },
  {   2, "int10" },
  {   3, "int20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_TDD_PUSCH_Enh_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_ULHoppingPUSCH_Enh_r14_vals[] = {
  {   0, "interval-FDD-PUSCH-Enh-r14" },
  {   1, "interval-TDD-PUSCH-Enh-r14" },
  { 0, NULL }
};

static const per_choice_t T_interval_ULHoppingPUSCH_Enh_r14_choice[] = {
  {   0, &hf_lte_rrc_interval_FDD_PUSCH_Enh_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_FDD_PUSCH_Enh_r14 },
  {   1, &hf_lte_rrc_interval_TDD_PUSCH_Enh_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_TDD_PUSCH_Enh_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_interval_ULHoppingPUSCH_Enh_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_interval_ULHoppingPUSCH_Enh_r14, T_interval_ULHoppingPUSCH_Enh_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_73_sequence[] = {
  { &hf_lte_rrc_pusch_HoppingOffsetPUSCH_Enh_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_100 },
  { &hf_lte_rrc_interval_ULHoppingPUSCH_Enh_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interval_ULHoppingPUSCH_Enh_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_73(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_73, T_setup_73_sequence);

  return offset;
}


static const value_string lte_rrc_PUSCH_EnhancementsConfig_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t PUSCH_EnhancementsConfig_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_83    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_73 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_EnhancementsConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_PUSCH_EnhancementsConfig_r14, PUSCH_EnhancementsConfig_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_pdsch_pusch_EnhancementConfig_r14_vals[] = {
  {   0, "on" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_pdsch_pusch_EnhancementConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_UE_TxAntennaSelection_config_r14_vals[] = {
  {   0, "on" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_UE_TxAntennaSelection_config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AntennaInfoDedicated_v1430_sequence[] = {
  { &hf_lte_rrc_ce_UE_TxAntennaSelection_config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_UE_TxAntennaSelection_config_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AntennaInfoDedicated_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AntennaInfoDedicated_v1430, AntennaInfoDedicated_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_format1_r14_vals[] = {
  {   0, "r64" },
  {   1, "r128" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_format1_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigDedicated_v1430_sequence[] = {
  { &hf_lte_rrc_pucch_NumRepetitionCE_format1_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_NumRepetitionCE_format1_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigDedicated_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigDedicated_v1430, PUCCH_ConfigDedicated_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_ce_PDSCH_MaxBandwidth_r14_vals[] = {
  {   0, "bw5" },
  {   1, "bw20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PDSCH_MaxBandwidth_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_PDSCH_TenProcesses_r14_vals[] = {
  {   0, "on" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PDSCH_TenProcesses_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_HARQ_AckBundling_r14_vals[] = {
  {   0, "on" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_HARQ_AckBundling_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_SchedulingEnhancement_r14_vals[] = {
  {   0, "range1" },
  {   1, "range2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_SchedulingEnhancement_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tbsIndexAlt2_r14_vals[] = {
  {   0, "b33" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tbsIndexAlt2_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDSCH_ConfigDedicated_v1430_sequence[] = {
  { &hf_lte_rrc_ce_PDSCH_MaxBandwidth_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PDSCH_MaxBandwidth_r14 },
  { &hf_lte_rrc_ce_PDSCH_TenProcesses_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PDSCH_TenProcesses_r14 },
  { &hf_lte_rrc_ce_HARQ_AckBundling_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_HARQ_AckBundling_r14 },
  { &hf_lte_rrc_ce_SchedulingEnhancement_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_SchedulingEnhancement_r14 },
  { &hf_lte_rrc_tbsIndexAlt2_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tbsIndexAlt2_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_ConfigDedicated_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_ConfigDedicated_v1430, PDSCH_ConfigDedicated_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_ce_PUSCH_NB_MaxTBS_r14_vals[] = {
  {   0, "on" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PUSCH_NB_MaxTBS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_PUSCH_MaxBandwidth_r14_vals[] = {
  {   0, "bw5" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PUSCH_MaxBandwidth_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_symPUSCH_UpPTS_r14_vals[] = {
  {   0, "sym1" },
  {   1, "sym2" },
  {   2, "sym3" },
  {   3, "sym4" },
  {   4, "sym5" },
  {   5, "sym6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_symPUSCH_UpPTS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dmrs_LessUpPTS_Config_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dmrs_LessUpPTS_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_71_sequence[] = {
  { &hf_lte_rrc_symPUSCH_UpPTS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_symPUSCH_UpPTS_r14 },
  { &hf_lte_rrc_dmrs_LessUpPTS_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_LessUpPTS_Config_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_71(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_71, T_setup_71_sequence);

  return offset;
}


static const value_string lte_rrc_TDD_PUSCH_UpPTS_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t TDD_PUSCH_UpPTS_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_81    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_71 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_TDD_PUSCH_UpPTS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_TDD_PUSCH_UpPTS_r14, TDD_PUSCH_UpPTS_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_tpc_SubframeSet_Configured_r14_sequence[] = {
  { &hf_lte_rrc_subframeSet1_DCI_Format0_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_subframeSet1_DCI_Format4_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_subframeSet2_DCI_Format0_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_subframeSet2_DCI_Format4_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_tpc_SubframeSet_Configured_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_tpc_SubframeSet_Configured_r14, T_tpc_SubframeSet_Configured_r14_sequence);

  return offset;
}


static const per_sequence_t T_tpc_SubframeSet_NotConfigured_r14_sequence[] = {
  { &hf_lte_rrc_dci_Format0_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_dci_Format4_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_tpc_SubframeSet_NotConfigured_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_tpc_SubframeSet_NotConfigured_r14, T_tpc_SubframeSet_NotConfigured_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_72_vals[] = {
  {   0, "tpc-SubframeSet-Configured-r14" },
  {   1, "tpc-SubframeSet-NotConfigured-r14" },
  { 0, NULL }
};

static const per_choice_t T_setup_72_choice[] = {
  {   0, &hf_lte_rrc_tpc_SubframeSet_Configured_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_tpc_SubframeSet_Configured_r14 },
  {   1, &hf_lte_rrc_tpc_SubframeSet_NotConfigured_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_tpc_SubframeSet_NotConfigured_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_72(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_72, T_setup_72_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_Enable256QAM_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t Enable256QAM_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_82    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_72 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_Enable256QAM_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_Enable256QAM_r14, Enable256QAM_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigDedicated_v1430_sequence[] = {
  { &hf_lte_rrc_ce_PUSCH_NB_MaxTBS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PUSCH_NB_MaxTBS_r14 },
  { &hf_lte_rrc_ce_PUSCH_MaxBandwidth_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PUSCH_MaxBandwidth_r14 },
  { &hf_lte_rrc_tdd_PUSCH_UpPTS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_PUSCH_UpPTS_r14 },
  { &hf_lte_rrc_ul_DMRS_IFDMA_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_enable256QAM_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Enable256QAM_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigDedicated_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigDedicated_v1430, PUSCH_ConfigDedicated_v1430_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated_sequence_of[1] = {
  { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigDedicated },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated, SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedUpPTsExtList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13, SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10_sequence_of[1] = {
  { &hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10, SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13, SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t CSI_RS_Config_v1430_sequence[] = {
  { &hf_lte_rrc_eMIMO_Type_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigEMIMO_v1430 },
  { &hf_lte_rrc_eMIMO_Hybrid_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigEMIMO_Hybrid_r14 },
  { &hf_lte_rrc_advancedCodebookEnabled_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_Config_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSI_RS_Config_v1430, CSI_RS_Config_v1430_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11_sequence_of[1] = {
  { &hf_lte_rrc_setup_item_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RS_ConfigZP_r11 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11, SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11_sequence_of,
                                                  1, maxCSI_RS_ZP_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_CSI_RS_ConfigZP_ApList_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t CSI_RS_ConfigZP_ApList_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_29    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CSI_RS_ConfigZP_ApList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CSI_RS_ConfigZP_ApList_r14, CSI_RS_ConfigZP_ApList_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_oneBit_r14_sequence[] = {
  { &hf_lte_rrc_trigger1_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_oneBit_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_oneBit_r14, T_oneBit_r14_sequence);

  return offset;
}


static const per_sequence_t T_twoBit_r14_sequence[] = {
  { &hf_lte_rrc_trigger01_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { &hf_lte_rrc_trigger10_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { &hf_lte_rrc_trigger11_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_twoBit_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_twoBit_r14, T_twoBit_r14_sequence);

  return offset;
}


static const per_sequence_t T_threeBit_r14_sequence[] = {
  { &hf_lte_rrc_trigger001_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger010_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger011_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger100_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger101_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger110_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { &hf_lte_rrc_trigger111_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_threeBit_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_threeBit_r14, T_threeBit_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_triggers_r14_vals[] = {
  {   0, "oneBit-r14" },
  {   1, "twoBit-r14" },
  {   2, "threeBit-r14" },
  { 0, NULL }
};

static const per_choice_t T_triggers_r14_choice[] = {
  {   0, &hf_lte_rrc_oneBit_r14  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_oneBit_r14 },
  {   1, &hf_lte_rrc_twoBit_r14  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_twoBit_r14 },
  {   2, &hf_lte_rrc_threeBit_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_threeBit_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_triggers_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_triggers_r14, T_triggers_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CQI_ReportAperiodicHybrid_r14_sequence[] = {
  { &hf_lte_rrc_triggers_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_triggers_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportAperiodicHybrid_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportAperiodicHybrid_r14, CQI_ReportAperiodicHybrid_r14_sequence);

  return offset;
}


static const per_sequence_t CQI_ReportConfig_v1430_sequence[] = {
  { &hf_lte_rrc_cqi_ReportAperiodicHybrid_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportAperiodicHybrid_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfig_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfig_v1430, CQI_ReportConfig_v1430_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_eag_9_sequence[] = {
  { &hf_lte_rrc_typeA_SRS_TPC_PDCCH_Group_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_typeA_SRS_TPC_PDCCH_Group_r14 },
  { &hf_lte_rrc_must_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_must_Config_r14 },
  { &hf_lte_rrc_pusch_EnhancementsConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_EnhancementsConfig_r14 },
  { &hf_lte_rrc_ce_pdsch_pusch_EnhancementConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_pdsch_pusch_EnhancementConfig_r14 },
  { &hf_lte_rrc_antennaInfo_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v1430 },
  { &hf_lte_rrc_pucch_ConfigDedicated_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated_v1430 },
  { &hf_lte_rrc_pdsch_ConfigDedicated_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated_v1430 },
  { &hf_lte_rrc_pusch_ConfigDedicated_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicated_v1430 },
  { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated },
  { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedUpPTsExtList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 },
  { &hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 },
  { &hf_lte_rrc_csi_RS_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_v1430 },
  { &hf_lte_rrc_csi_RS_ConfigZP_ApList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigZP_ApList_r14 },
  { &hf_lte_rrc_cqi_ReportConfig_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1430 },
  { &hf_lte_rrc_semiOpenLoop_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_eag_9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_eag_9_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_sequence[] = {
  { &hf_lte_rrc_pdsch_ConfigDedicated, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated },
  { &hf_lte_rrc_pucch_ConfigDedicated, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated },
  { &hf_lte_rrc_pusch_ConfigDedicated, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicated },
  { &hf_lte_rrc_uplinkPowerControlDedicated, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicated },
  { &hf_lte_rrc_tpc_PDCCH_ConfigPUCCH, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_TPC_PDCCH_Config },
  { &hf_lte_rrc_tpc_PDCCH_ConfigPUSCH, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_TPC_PDCCH_Config },
  { &hf_lte_rrc_cqi_ReportConfig, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicated, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicated },
  { &hf_lte_rrc_antennaInfo , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_antennaInfo },
  { &hf_lte_rrc_schedulingRequestConfig, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SchedulingRequestConfig },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_6 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_7 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_8 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_eag_9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhysicalConfigDedicated, PhysicalConfigDedicated_sequence);

  return offset;
}


static const value_string lte_rrc_T_t301_r9_vals[] = {
  {   0, "ms100" },
  {   1, "ms200" },
  {   2, "ms300" },
  {   3, "ms400" },
  {   4, "ms600" },
  {   5, "ms1000" },
  {   6, "ms1500" },
  {   7, "ms2000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t301_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t310_r9_vals[] = {
  {   0, "ms0" },
  {   1, "ms50" },
  {   2, "ms100" },
  {   3, "ms200" },
  {   4, "ms500" },
  {   5, "ms1000" },
  {   6, "ms2000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t310_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n310_r9_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n6" },
  {   5, "n8" },
  {   6, "n10" },
  {   7, "n20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n310_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t311_r9_vals[] = {
  {   0, "ms1000" },
  {   1, "ms3000" },
  {   2, "ms5000" },
  {   3, "ms10000" },
  {   4, "ms15000" },
  {   5, "ms20000" },
  {   6, "ms30000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t311_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n311_r9_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n5" },
  {   5, "n6" },
  {   6, "n8" },
  {   7, "n10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n311_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_77_sequence[] = {
  { &hf_lte_rrc_t301_r9     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t301_r9 },
  { &hf_lte_rrc_t310_r9     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t310_r9 },
  { &hf_lte_rrc_n310_r9     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n310_r9 },
  { &hf_lte_rrc_t311_r9     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t311_r9 },
  { &hf_lte_rrc_n311_r9     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n311_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_77(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_77, T_setup_77_sequence);

  return offset;
}


static const value_string lte_rrc_RLF_TimersAndConstants_r9_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t RLF_TimersAndConstants_r9_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_90    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_77 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RLF_TimersAndConstants_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RLF_TimersAndConstants_r9, RLF_TimersAndConstants_r9_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_eag_1_sequence[] = {
  { &hf_lte_rrc_rlf_TimersAndConstants_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLF_TimersAndConstants_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicated_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_MeasSubframePatternPCell_r10_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t MeasSubframePatternPCell_r10_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_84    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MeasSubframePattern_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_MeasSubframePatternPCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_MeasSubframePatternPCell_r10, MeasSubframePatternPCell_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_eag_2_sequence[] = {
  { &hf_lte_rrc_measSubframePatternPCell_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasSubframePatternPCell_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicated_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_antennaPortsCount_r11_01_vals[] = {
  {   0, "an1" },
  {   1, "an2" },
  {   2, "an4" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_antennaPortsCount_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CRS_AssistanceInfo_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_SubframeConfigList_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CRS_AssistanceInfo_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CRS_AssistanceInfo_r11_eag_1_sequence);

  return offset;
}


static const per_sequence_t CRS_AssistanceInfo_r11_sequence[] = {
  { &hf_lte_rrc_physCellId_r11_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_antennaPortsCount_r11_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_antennaPortsCount_r11_01 },
  { &hf_lte_rrc_mbsfn_SubframeConfigList_r11_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfigList },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CRS_AssistanceInfo_r11_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CRS_AssistanceInfo_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CRS_AssistanceInfo_r11, CRS_AssistanceInfo_r11_sequence);

  return offset;
}


static const per_sequence_t CRS_AssistanceInfoList_r11_sequence_of[1] = {
  { &hf_lte_rrc_CRS_AssistanceInfoList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CRS_AssistanceInfo_r11 },
};

static int
dissect_lte_rrc_CRS_AssistanceInfoList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CRS_AssistanceInfoList_r11, CRS_AssistanceInfoList_r11_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}


static const value_string lte_rrc_NeighCellsCRS_Info_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t NeighCellsCRS_Info_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_85    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CRS_AssistanceInfoList_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellsCRS_Info_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_NeighCellsCRS_Info_r11, NeighCellsCRS_Info_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_eag_3_sequence[] = {
  { &hf_lte_rrc_neighCellsCRS_Info_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NeighCellsCRS_Info_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicated_eag_3_sequence);

  return offset;
}


static const per_sequence_t NeighCellsToReleaseList_r12_sequence_of[1] = {
  { &hf_lte_rrc_NeighCellsToReleaseList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
};

static int
dissect_lte_rrc_NeighCellsToReleaseList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NeighCellsToReleaseList_r12, NeighCellsToReleaseList_r12_sequence_of,
                                                  1, maxNeighCell_r12, FALSE);

  return offset;
}


static const value_string lte_rrc_T_crs_PortsCount_r12_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n4" },
  {   3, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crs_PortsCount_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_P_a_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4dot77" },
  {   2, "dB-3" },
  {   3, "dB-1dot77" },
  {   4, "dB0" },
  {   5, "dB1" },
  {   6, "dB2" },
  {   7, "dB3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_P_a(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a_sequence_of[1] = {
  { &hf_lte_rrc_p_aList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_P_a },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a, SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a_sequence_of,
                                                  1, maxP_a_PerNeighCell_r12, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_transmissionModeList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *tm_list_tvb=NULL;
  proto_tree *subtree;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     8, 8, FALSE, &tm_list_tvb, NULL);

  if (tm_list_tvb) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_transmissionModeList_r12);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_transmissionModeList_r12_tm1, tm_list_tvb, 0, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_transmissionModeList_r12_tm2, tm_list_tvb, 1, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_transmissionModeList_r12_tm3, tm_list_tvb, 2, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_transmissionModeList_r12_tm4, tm_list_tvb, 3, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_transmissionModeList_r12_tm6, tm_list_tvb, 4, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_transmissionModeList_r12_tm8, tm_list_tvb, 5, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_transmissionModeList_r12_tm9, tm_list_tvb, 6, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_transmissionModeList_r12_tm10, tm_list_tvb, 7, 1, ENC_BIG_ENDIAN);
  }


  return offset;
}


static const per_sequence_t NeighCellsInfo_r12_sequence[] = {
  { &hf_lte_rrc_physCellId_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_p_b_r12     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_crs_PortsCount_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_crs_PortsCount_r12 },
  { &hf_lte_rrc_mbsfn_SubframeConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_SubframeConfigList },
  { &hf_lte_rrc_p_aList_r12 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a },
  { &hf_lte_rrc_transmissionModeList_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_transmissionModeList_r12 },
  { &hf_lte_rrc_resAllocGranularity_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellsInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NeighCellsInfo_r12, NeighCellsInfo_r12_sequence);

  return offset;
}


static const per_sequence_t NeighCellsToAddModList_r12_sequence_of[1] = {
  { &hf_lte_rrc_NeighCellsToAddModList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellsInfo_r12 },
};

static int
dissect_lte_rrc_NeighCellsToAddModList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NeighCellsToAddModList_r12, NeighCellsToAddModList_r12_sequence_of,
                                                  1, maxNeighCell_r12, FALSE);

  return offset;
}


static const per_sequence_t T_setup_74_sequence[] = {
  { &hf_lte_rrc_neighCellsToReleaseList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NeighCellsToReleaseList_r12 },
  { &hf_lte_rrc_neighCellsToAddModList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NeighCellsToAddModList_r12 },
  { &hf_lte_rrc_servCellp_a_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_a },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_74(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_74, T_setup_74_sequence);

  return offset;
}


static const value_string lte_rrc_NAICS_AssistanceInfo_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t NAICS_AssistanceInfo_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_87    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_74 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_NAICS_AssistanceInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_NAICS_AssistanceInfo_r12, NAICS_AssistanceInfo_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_eag_4_sequence[] = {
  { &hf_lte_rrc_naics_Info_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NAICS_AssistanceInfo_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicated_eag_4_sequence);

  return offset;
}


static const value_string lte_rrc_T_antennaPortsCount_r13_vals[] = {
  {   0, "an1" },
  {   1, "an2" },
  {   2, "an4" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_antennaPortsCount_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CRS_AssistanceInfo_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_SubframeConfigList_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CRS_AssistanceInfo_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CRS_AssistanceInfo_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t CRS_AssistanceInfo_r13_sequence[] = {
  { &hf_lte_rrc_physCellId_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_antennaPortsCount_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_antennaPortsCount_r13 },
  { &hf_lte_rrc_mbsfn_SubframeConfigList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_SubframeConfigList },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CRS_AssistanceInfo_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CRS_AssistanceInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CRS_AssistanceInfo_r13, CRS_AssistanceInfo_r13_sequence);

  return offset;
}


static const per_sequence_t CRS_AssistanceInfoList_r13_sequence_of[1] = {
  { &hf_lte_rrc_CRS_AssistanceInfoList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CRS_AssistanceInfo_r13 },
};

static int
dissect_lte_rrc_CRS_AssistanceInfoList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CRS_AssistanceInfoList_r13, CRS_AssistanceInfoList_r13_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}


static const value_string lte_rrc_NeighCellsCRS_Info_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t NeighCellsCRS_Info_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_86    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CRS_AssistanceInfoList_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellsCRS_Info_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_NeighCellsCRS_Info_r13, NeighCellsCRS_Info_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_t301_v1310_vals[] = {
  {   0, "ms2500" },
  {   1, "ms3000" },
  {   2, "ms3500" },
  {   3, "ms4000" },
  {   4, "ms5000" },
  {   5, "ms6000" },
  {   6, "ms8000" },
  {   7, "ms10000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t301_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t310_v1330_vals[] = {
  {   0, "ms4000" },
  {   1, "ms6000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t310_v1330(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_eag_1_sequence[] = {
  { &hf_lte_rrc_t310_v1330  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t310_v1330 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_1_sequence);

  return offset;
}


static const per_sequence_t T_setup_78_sequence[] = {
  { &hf_lte_rrc_t301_v1310  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t301_v1310 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_78(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_78, T_setup_78_sequence);

  return offset;
}


static const value_string lte_rrc_RLF_TimersAndConstants_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t RLF_TimersAndConstants_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_91    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_78 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RLF_TimersAndConstants_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RLF_TimersAndConstants_r13, RLF_TimersAndConstants_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_eag_5_sequence[] = {
  { &hf_lte_rrc_neighCellsCRS_Info_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NeighCellsCRS_Info_r13 },
  { &hf_lte_rrc_rlf_TimersAndConstants_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLF_TimersAndConstants_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicated_eag_5_sequence);

  return offset;
}


static const per_sequence_t SPS_ConfigUL_ToAddModList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SPS_ConfigUL_ToAddModList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SPS_ConfigUL },
};

static int
dissect_lte_rrc_SPS_ConfigUL_ToAddModList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SPS_ConfigUL_ToAddModList_r14, SPS_ConfigUL_ToAddModList_r14_sequence_of,
                                                  1, maxConfigSPS_r14, FALSE);

  return offset;
}


static const per_sequence_t SPS_ConfigUL_ToReleaseList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SPS_ConfigUL_ToReleaseList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SPS_ConfigIndex_r14 },
};

static int
dissect_lte_rrc_SPS_ConfigUL_ToReleaseList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SPS_ConfigUL_ToReleaseList_r14, SPS_ConfigUL_ToReleaseList_r14_sequence_of,
                                                  1, maxConfigSPS_r14, FALSE);

  return offset;
}


static const value_string lte_rrc_T_semiPersistSchedIntervalSL_r14_vals[] = {
  {   0, "sf20" },
  {   1, "sf50" },
  {   2, "sf100" },
  {   3, "sf200" },
  {   4, "sf300" },
  {   5, "sf400" },
  {   6, "sf500" },
  {   7, "sf600" },
  {   8, "sf700" },
  {   9, "sf800" },
  {  10, "sf900" },
  {  11, "sf1000" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_semiPersistSchedIntervalSL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SPS_ConfigSL_r14_sequence[] = {
  { &hf_lte_rrc_sps_ConfigIndex_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SPS_ConfigIndex_r14 },
  { &hf_lte_rrc_semiPersistSchedIntervalSL_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_semiPersistSchedIntervalSL_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SPS_ConfigSL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SPS_ConfigSL_r14, SPS_ConfigSL_r14_sequence);

  return offset;
}


static const per_sequence_t SPS_ConfigSL_ToAddModList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SPS_ConfigSL_ToAddModList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SPS_ConfigSL_r14 },
};

static int
dissect_lte_rrc_SPS_ConfigSL_ToAddModList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SPS_ConfigSL_ToAddModList_r14, SPS_ConfigSL_ToAddModList_r14_sequence_of,
                                                  1, maxConfigSPS_r14, FALSE);

  return offset;
}


static const per_sequence_t SPS_ConfigSL_ToReleaseList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SPS_ConfigSL_ToReleaseList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SPS_ConfigIndex_r14 },
};

static int
dissect_lte_rrc_SPS_ConfigSL_ToReleaseList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SPS_ConfigSL_ToReleaseList_r14, SPS_ConfigSL_ToReleaseList_r14_sequence_of,
                                                  1, maxConfigSPS_r14, FALSE);

  return offset;
}


static const per_sequence_t SPS_Config_v1430_sequence[] = {
  { &hf_lte_rrc_ul_SPS_V_RNTI_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_sl_SPS_V_RNTI_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_sps_ConfigUL_ToAddModList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_ConfigUL_ToAddModList_r14 },
  { &hf_lte_rrc_sps_ConfigUL_ToReleaseList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_ConfigUL_ToReleaseList_r14 },
  { &hf_lte_rrc_sps_ConfigSL_ToAddModList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_ConfigSL_ToAddModList_r14 },
  { &hf_lte_rrc_sps_ConfigSL_ToReleaseList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_ConfigSL_ToReleaseList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SPS_Config_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SPS_Config_v1430, SPS_Config_v1430_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_eag_6_sequence[] = {
  { &hf_lte_rrc_sps_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_Config_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicated_eag_6_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_sequence[] = {
  { &hf_lte_rrc_srb_ToAddModList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SRB_ToAddModList },
  { &hf_lte_rrc_drb_ToAddModList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DRB_ToAddModList },
  { &hf_lte_rrc_drb_ToReleaseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DRB_ToReleaseList },
  { &hf_lte_rrc_mac_MainConfig, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_mac_MainConfig },
  { &hf_lte_rrc_sps_Config  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_Config },
  { &hf_lte_rrc_physicalConfigDedicated, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysicalConfigDedicated },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_eag_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  private_data_set_simult_pucch_pusch_cell_type(actx, SIMULT_PUCCH_PUSCH_PCELL);
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigDedicated, RadioResourceConfigDedicated_sequence);



  return offset;
}


static const value_string lte_rrc_CipheringAlgorithm_r12_vals[] = {
  {   0, "eea0" },
  {   1, "eea1" },
  {   2, "eea2" },
  {   3, "eea3-v1130" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_CipheringAlgorithm_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  pdcp_security_info_t *p_security_algorithms;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, &value, TRUE, 0, NULL);

  p_security_algorithms = private_data_pdcp_security_algorithms(actx);
  p_security_algorithms->ciphering = (enum security_ciphering_algorithm_e)value;


  return offset;
}


static const value_string lte_rrc_T_integrityProtAlgorithm_vals[] = {
  {   0, "eia0-v920" },
  {   1, "eia1" },
  {   2, "eia2" },
  {   3, "eia3-v1130" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_integrityProtAlgorithm(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  pdcp_security_info_t *p_security_algorithms;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, &value, TRUE, 0, NULL);

  p_security_algorithms = private_data_pdcp_security_algorithms(actx);
  p_security_algorithms->integrity = (enum security_integrity_algorithm_e)value;


  return offset;
}


static const per_sequence_t SecurityAlgorithmConfig_sequence[] = {
  { &hf_lte_rrc_cipheringAlgorithm, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CipheringAlgorithm_r12 },
  { &hf_lte_rrc_integrityProtAlgorithm, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_integrityProtAlgorithm },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityAlgorithmConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  pdcp_lte_info *p_pdcp_lte_info;
  pdcp_security_info_t *p_security_algorithms;
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityAlgorithmConfig, SecurityAlgorithmConfig_sequence);

  p_security_algorithms = private_data_pdcp_security_algorithms(actx);
  p_security_algorithms->configuration_frame = actx->pinfo->num;
  p_security_algorithms->previous_configuration_frame = 0;
  p_security_algorithms->previous_integrity = eia0;
  p_security_algorithms->previous_ciphering = eea0;

  /* Look for UE identifier */
  p_pdcp_lte_info = (pdcp_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_pdcp_lte, 0);
  if (p_pdcp_lte_info != NULL) {
    /* Configure algorithms */
    set_pdcp_lte_security_algorithms(p_pdcp_lte_info->ueid, p_security_algorithms);
  }


  return offset;
}


static const value_string lte_rrc_T_dl_Bandwidth_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_Bandwidth(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_phich_Duration_vals[] = {
  {   0, "normal" },
  {   1, "extended" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_phich_Duration(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_phich_Resource_vals[] = {
  {   0, "oneSixth" },
  {   1, "half" },
  {   2, "one" },
  {   3, "two" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_phich_Resource(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PHICH_Config_sequence[] = {
  { &hf_lte_rrc_phich_Duration, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_phich_Duration },
  { &hf_lte_rrc_phich_Resource, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_phich_Resource },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PHICH_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PHICH_Config, PHICH_Config_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_systemFrameNumber(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *value_tvb = NULL;
  guint32 sfn;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     8, 8, FALSE, &value_tvb, NULL);

  /* Show SFN in info column */
  sfn = tvb_get_guint8(value_tvb, 0);
  col_append_fstr(actx->pinfo->cinfo, COL_INFO, " (SFN=%u)", sfn);


  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     5, 5, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t MasterInformationBlock_sequence[] = {
  { &hf_lte_rrc_dl_Bandwidth, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_Bandwidth },
  { &hf_lte_rrc_phich_Config, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PHICH_Config },
  { &hf_lte_rrc_systemFrameNumber, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_systemFrameNumber },
  { &hf_lte_rrc_schedulingInfoSIB1_BR_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_spare_01    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MasterInformationBlock(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MasterInformationBlock");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MasterInformationBlock, MasterInformationBlock_sequence);

  return offset;
}



static int
dissect_lte_rrc_MCC_MNC_Digit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 9U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MCC_sequence_of[1] = {
  { &hf_lte_rrc_MCC_item    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MCC_MNC_Digit },
};

static int
dissect_lte_rrc_MCC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MCC, MCC_sequence_of,
                                                  3, 3, FALSE);

  return offset;
}


static const per_sequence_t MNC_sequence_of[1] = {
  { &hf_lte_rrc_MNC_item    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MCC_MNC_Digit },
};

static int
dissect_lte_rrc_MNC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MNC, MNC_sequence_of,
                                                  2, 3, FALSE);

  return offset;
}


static const per_sequence_t PLMN_Identity_sequence[] = {
  { &hf_lte_rrc_mcc         , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MCC },
  { &hf_lte_rrc_mnc         , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MNC },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PLMN_Identity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PLMN_Identity, PLMN_Identity_sequence);

  return offset;
}


static const value_string lte_rrc_T_cellReservedForOperatorUse_vals[] = {
  {   0, "reserved" },
  {   1, "notReserved" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cellReservedForOperatorUse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PLMN_IdentityInfo_sequence[] = {
  { &hf_lte_rrc_plmn_Identity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
  { &hf_lte_rrc_cellReservedForOperatorUse, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellReservedForOperatorUse },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PLMN_IdentityInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PLMN_IdentityInfo, PLMN_IdentityInfo_sequence);

  return offset;
}


static const per_sequence_t PLMN_IdentityList_sequence_of[1] = {
  { &hf_lte_rrc_PLMN_IdentityList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_IdentityInfo },
};

static int
dissect_lte_rrc_PLMN_IdentityList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PLMN_IdentityList, PLMN_IdentityList_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}



static int
dissect_lte_rrc_TrackingAreaCode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_CellIdentity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     28, 28, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_cellBarred_vals[] = {
  {   0, "barred" },
  {   1, "notBarred" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cellBarred(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_intraFreqReselection_vals[] = {
  {   0, "allowed" },
  {   1, "notAllowed" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreqReselection(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_CSG_Identity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     27, 27, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t T_cellAccessRelatedInfo_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_IdentityList },
  { &hf_lte_rrc_trackingAreaCode, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrackingAreaCode },
  { &hf_lte_rrc_cellIdentity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellIdentity },
  { &hf_lte_rrc_cellBarred  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellBarred },
  { &hf_lte_rrc_intraFreqReselection, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_intraFreqReselection },
  { &hf_lte_rrc_csg_Indication, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_csg_Identity, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSG_Identity },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellAccessRelatedInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellAccessRelatedInfo, T_cellAccessRelatedInfo_sequence);

  return offset;
}



static int
dissect_lte_rrc_Q_RxLevMin(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -70, -22, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_cellSelectionInfo_sequence[] = {
  { &hf_lte_rrc_q_RxLevMin  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_q_RxLevMinOffset, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellSelectionInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellSelectionInfo, T_cellSelectionInfo_sequence);

  return offset;
}



static int
dissect_lte_rrc_P_Max(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -30, 33U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_FreqBandIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxFBI, &value, FALSE);

  set_freq_band_indicator(value, actx);


  return offset;
}


static const value_string lte_rrc_T_si_Periodicity_vals[] = {
  {   0, "rf8" },
  {   1, "rf16" },
  {   2, "rf32" },
  {   3, "rf64" },
  {   4, "rf128" },
  {   5, "rf256" },
  {   6, "rf512" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_Periodicity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_SIB_Type_vals[] = {
  {   0, "sibType3" },
  {   1, "sibType4" },
  {   2, "sibType5" },
  {   3, "sibType6" },
  {   4, "sibType7" },
  {   5, "sibType8" },
  {   6, "sibType9" },
  {   7, "sibType10" },
  {   8, "sibType11" },
  {   9, "sibType12-v920" },
  {  10, "sibType13-v920" },
  {  11, "sibType14-v1130" },
  {  12, "sibType15-v1130" },
  {  13, "sibType16-v1130" },
  {  14, "sibType17-v1250" },
  {  15, "sibType18-v1250" },
  {  16, "sibType19-v1250" },
  {  17, "sibType20-v1310" },
  {  18, "sibType21-v1430" },
  { 0, NULL }
};

static value_string_ext lte_rrc_SIB_Type_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_SIB_Type_vals);


static int
dissect_lte_rrc_SIB_Type(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, TRUE, 3, NULL);

  return offset;
}


static const per_sequence_t SIB_MappingInfo_sequence_of[1] = {
  { &hf_lte_rrc_SIB_MappingInfo_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SIB_Type },
};

static int
dissect_lte_rrc_SIB_MappingInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SIB_MappingInfo, SIB_MappingInfo_sequence_of,
                                                  0, maxSIB_1, FALSE);

  return offset;
}


static const per_sequence_t SchedulingInfo_sequence[] = {
  { &hf_lte_rrc_si_Periodicity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_Periodicity },
  { &hf_lte_rrc_sib_MappingInfo, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SIB_MappingInfo },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SchedulingInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SchedulingInfo, SchedulingInfo_sequence);

  return offset;
}


static const per_sequence_t SchedulingInfoList_sequence_of[1] = {
  { &hf_lte_rrc_SchedulingInfoList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SchedulingInfo },
};

static int
dissect_lte_rrc_SchedulingInfoList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SchedulingInfoList, SchedulingInfoList_sequence_of,
                                                  1, maxSI_Message, FALSE);

  return offset;
}


static const value_string lte_rrc_T_subframeAssignment_vals[] = {
  {   0, "sa0" },
  {   1, "sa1" },
  {   2, "sa2" },
  {   3, "sa3" },
  {   4, "sa4" },
  {   5, "sa5" },
  {   6, "sa6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_subframeAssignment(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_specialSubframePatterns_vals[] = {
  {   0, "ssp0" },
  {   1, "ssp1" },
  {   2, "ssp2" },
  {   3, "ssp3" },
  {   4, "ssp4" },
  {   5, "ssp5" },
  {   6, "ssp6" },
  {   7, "ssp7" },
  {   8, "ssp8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_specialSubframePatterns(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     9, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t TDD_Config_sequence[] = {
  { &hf_lte_rrc_subframeAssignment, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_subframeAssignment },
  { &hf_lte_rrc_specialSubframePatterns, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_specialSubframePatterns },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TDD_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TDD_Config, TDD_Config_sequence);

  return offset;
}


static const value_string lte_rrc_T_si_WindowLength_vals[] = {
  {   0, "ms1" },
  {   1, "ms2" },
  {   2, "ms5" },
  {   3, "ms10" },
  {   4, "ms15" },
  {   5, "ms20" },
  {   6, "ms40" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_WindowLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_systemInfoValueTag(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, &value, FALSE);

  /* Track whether systemInfoValue has changed since last seen, indicating new SI config
     TODO: add link back to previous config and (if known) time since previous config
     was first seen */
  if (!actx->pinfo->fd->flags.visited) {
    if (system_info_value_current_set && (value != system_info_value_current)) {
      /* Add entry to the hash table.  Offset by one to distinguish 0 from lookup failure */
      wmem_map_insert(lte_rrc_system_info_value_changed_hash, GUINT_TO_POINTER(actx->pinfo->num),
                          GUINT_TO_POINTER(system_info_value_current+1));
    }
    system_info_value_current_set = TRUE;
    system_info_value_current = value;
  }
  else {
    /* Look up indication of changed info value from hash table */
    gpointer p_previous = wmem_map_lookup(lte_rrc_system_info_value_changed_hash, GUINT_TO_POINTER(actx->pinfo->num));
    if (p_previous != NULL) {
      /* Subtract one from stored result to get previous value */
      guint32 previous = GPOINTER_TO_UINT(p_previous) - 1;
      expert_add_info_format(actx->pinfo, actx->created_item, &ei_lte_rrc_si_info_value_changed,
                             "SI Info Value changed (now %u, was %u)", value, previous);
    }
  }


  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType1_v8h0_IEs_PDU);

  return offset;
}


static const value_string lte_rrc_T_ims_EmergencySupport_r9_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ims_EmergencySupport_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_Q_QualMin_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -34, -3, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellSelectionInfo_v920_sequence[] = {
  { &hf_lte_rrc_q_QualMin_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_QualMin_r9 },
  { &hf_lte_rrc_q_QualMinOffset_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfo_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfo_v920, CellSelectionInfo_v920_sequence);

  return offset;
}


static const value_string lte_rrc_T_specialSubframePatterns_v1130_vals[] = {
  {   0, "ssp7" },
  {   1, "ssp9" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_specialSubframePatterns_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t TDD_Config_v1130_sequence[] = {
  { &hf_lte_rrc_specialSubframePatterns_v1130, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_specialSubframePatterns_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TDD_Config_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TDD_Config_v1130, TDD_Config_v1130_sequence);

  return offset;
}


static const per_sequence_t CellSelectionInfo_v1130_sequence[] = {
  { &hf_lte_rrc_q_QualMinWB_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfo_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfo_v1130, CellSelectionInfo_v1130_sequence);

  return offset;
}


static const value_string lte_rrc_T_category0Allowed_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_category0Allowed_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_cellAccessRelatedInfo_v1250_sequence[] = {
  { &hf_lte_rrc_category0Allowed_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_category0Allowed_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellAccessRelatedInfo_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellAccessRelatedInfo_v1250, T_cellAccessRelatedInfo_v1250_sequence);

  return offset;
}


static const per_sequence_t CellSelectionInfo_v1250_sequence[] = {
  { &hf_lte_rrc_q_QualMinRSRQ_OnAllSymbols_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfo_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfo_v1250, CellSelectionInfo_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_T_freqBandIndicatorPriority_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_freqBandIndicatorPriority_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_eDRX_Allowed_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eDRX_Allowed_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CellSelectionInfoCE_r13_sequence[] = {
  { &hf_lte_rrc_q_RxLevMinCE_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_q_QualMinRSRQ_CE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfoCE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfoCE_r13, CellSelectionInfoCE_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_si_WindowLength_BR_r13_vals[] = {
  {   0, "ms20" },
  {   1, "ms40" },
  {   2, "ms60" },
  {   3, "ms80" },
  {   4, "ms120" },
  {   5, "ms160" },
  {   6, "ms200" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_WindowLength_BR_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_si_RepetitionPattern_r13_vals[] = {
  {   0, "everyRF" },
  {   1, "every2ndRF" },
  {   2, "every4thRF" },
  {   3, "every8thRF" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_RepetitionPattern_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_si_TBS_r13_vals[] = {
  {   0, "b152" },
  {   1, "b208" },
  {   2, "b256" },
  {   3, "b328" },
  {   4, "b408" },
  {   5, "b504" },
  {   6, "b600" },
  {   7, "b712" },
  {   8, "b808" },
  {   9, "b936" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_TBS_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     10, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SchedulingInfo_BR_r13_sequence[] = {
  { &hf_lte_rrc_si_Narrowband_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
  { &hf_lte_rrc_si_TBS_r13  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_TBS_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SchedulingInfo_BR_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SchedulingInfo_BR_r13, SchedulingInfo_BR_r13_sequence);

  return offset;
}


static const per_sequence_t SchedulingInfoList_BR_r13_sequence_of[1] = {
  { &hf_lte_rrc_SchedulingInfoList_BR_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SchedulingInfo_BR_r13 },
};

static int
dissect_lte_rrc_SchedulingInfoList_BR_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SchedulingInfoList_BR_r13, SchedulingInfoList_BR_r13_sequence_of,
                                                  1, maxSI_Message, FALSE);

  return offset;
}


static const value_string lte_rrc_T_fdd_DownlinkOrTddSubframeBitmapBR_r13_vals[] = {
  {   0, "subframePattern10-r13" },
  {   1, "subframePattern40-r13" },
  { 0, NULL }
};

static const per_choice_t T_fdd_DownlinkOrTddSubframeBitmapBR_r13_choice[] = {
  {   0, &hf_lte_rrc_subframePattern10_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_10 },
  {   1, &hf_lte_rrc_subframePattern40_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_40 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_fdd_DownlinkOrTddSubframeBitmapBR_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_fdd_DownlinkOrTddSubframeBitmapBR_r13, T_fdd_DownlinkOrTddSubframeBitmapBR_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_si_HoppingConfigCommon_r13_vals[] = {
  {   0, "on" },
  {   1, "off" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_HoppingConfigCommon_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_si_ValidityTime_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_ValidityTime_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_SystemInfoValueTagSI_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 3U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SystemInfoValueTagList_r13_sequence_of[1] = {
  { &hf_lte_rrc_SystemInfoValueTagList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInfoValueTagSI_r13 },
};

static int
dissect_lte_rrc_SystemInfoValueTagList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SystemInfoValueTagList_r13, SystemInfoValueTagList_r13_sequence_of,
                                                  1, maxSI_Message, FALSE);

  return offset;
}


static const per_sequence_t T_bandwidthReducedAccessRelatedInfo_r13_sequence[] = {
  { &hf_lte_rrc_si_WindowLength_BR_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_WindowLength_BR_r13 },
  { &hf_lte_rrc_si_RepetitionPattern_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_RepetitionPattern_r13 },
  { &hf_lte_rrc_schedulingInfoList_BR_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SchedulingInfoList_BR_r13 },
  { &hf_lte_rrc_fdd_DownlinkOrTddSubframeBitmapBR_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fdd_DownlinkOrTddSubframeBitmapBR_r13 },
  { &hf_lte_rrc_fdd_UplinkSubframeBitmapBR_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { &hf_lte_rrc_startSymbolBR_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_si_HoppingConfigCommon_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_HoppingConfigCommon_r13 },
  { &hf_lte_rrc_si_ValidityTime_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_si_ValidityTime_r13 },
  { &hf_lte_rrc_systemInfoValueTagList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInfoValueTagList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_bandwidthReducedAccessRelatedInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_bandwidthReducedAccessRelatedInfo_r13, T_bandwidthReducedAccessRelatedInfo_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_pdsch_HoppingNB_r13_vals[] = {
  {   0, "nb2" },
  {   1, "nb4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_pdsch_HoppingNB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_FDD_r13_vals[] = {
  {   0, "int1" },
  {   1, "int2" },
  {   2, "int4" },
  {   3, "int8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_FDD_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_TDD_r13_vals[] = {
  {   0, "int1" },
  {   1, "int5" },
  {   2, "int10" },
  {   3, "int20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_TDD_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_DLHoppingConfigCommonModeA_r13_vals[] = {
  {   0, "interval-FDD-r13" },
  {   1, "interval-TDD-r13" },
  { 0, NULL }
};

static const per_choice_t T_interval_DLHoppingConfigCommonModeA_r13_choice[] = {
  {   0, &hf_lte_rrc_interval_FDD_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_FDD_r13 },
  {   1, &hf_lte_rrc_interval_TDD_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_TDD_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_interval_DLHoppingConfigCommonModeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_interval_DLHoppingConfigCommonModeA_r13, T_interval_DLHoppingConfigCommonModeA_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_FDD_r13_01_vals[] = {
  {   0, "int2" },
  {   1, "int4" },
  {   2, "int8" },
  {   3, "int16" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_FDD_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_TDD_r13_01_vals[] = {
  {   0, "int5" },
  {   1, "int10" },
  {   2, "int20" },
  {   3, "int40" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_TDD_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_DLHoppingConfigCommonModeB_r13_vals[] = {
  {   0, "interval-FDD-r13" },
  {   1, "interval-TDD-r13" },
  { 0, NULL }
};

static const per_choice_t T_interval_DLHoppingConfigCommonModeB_r13_choice[] = {
  {   0, &hf_lte_rrc_interval_FDD_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_FDD_r13_01 },
  {   1, &hf_lte_rrc_interval_TDD_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_TDD_r13_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_interval_DLHoppingConfigCommonModeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_interval_DLHoppingConfigCommonModeB_r13, T_interval_DLHoppingConfigCommonModeB_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_freqHoppingParametersDL_r13_sequence[] = {
  { &hf_lte_rrc_mpdcch_pdsch_HoppingNB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mpdcch_pdsch_HoppingNB_r13 },
  { &hf_lte_rrc_interval_DLHoppingConfigCommonModeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interval_DLHoppingConfigCommonModeA_r13 },
  { &hf_lte_rrc_interval_DLHoppingConfigCommonModeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interval_DLHoppingConfigCommonModeB_r13 },
  { &hf_lte_rrc_mpdcch_pdsch_HoppingOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_freqHoppingParametersDL_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_freqHoppingParametersDL_r13, T_freqHoppingParametersDL_r13_sequence);

  return offset;
}


static const per_sequence_t CellSelectionInfoCE1_r13_sequence[] = {
  { &hf_lte_rrc_q_RxLevMinCE1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_q_QualMinRSRQ_CE1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfoCE1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfoCE1_r13, CellSelectionInfoCE1_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M8_M1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -8, -1, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellSelectionInfoCE1_v1360_sequence[] = {
  { &hf_lte_rrc_delta_RxLevMinCE1_v1360, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_M1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfoCE1_v1360(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfoCE1_v1360, CellSelectionInfoCE1_v1360_sequence);

  return offset;
}


static const value_string lte_rrc_T_eCallOverIMS_Support_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eCallOverIMS_Support_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_specialSubframePatterns_v1430_vals[] = {
  {   0, "ssp10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_specialSubframePatterns_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t TDD_Config_v1430_sequence[] = {
  { &hf_lte_rrc_specialSubframePatterns_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_specialSubframePatterns_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TDD_Config_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TDD_Config_v1430, TDD_Config_v1430_sequence);

  return offset;
}


static const per_sequence_t CellAccessRelatedInfo_r14_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityList_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_IdentityList },
  { &hf_lte_rrc_trackingAreaCode_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrackingAreaCode },
  { &hf_lte_rrc_cellIdentity_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellIdentity },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellAccessRelatedInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellAccessRelatedInfo_r14, CellAccessRelatedInfo_r14_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14_sequence_of[1] = {
  { &hf_lte_rrc_cellAccessRelatedInfoList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellAccessRelatedInfo_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14, SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14_sequence_of,
                                                  1, maxPLMN_1_r14, FALSE);

  return offset;
}


static const value_string lte_rrc_T_specialSubframePatterns_v1450_vals[] = {
  {   0, "ssp10-CRS-LessDwPTS" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_specialSubframePatterns_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t TDD_Config_v1450_sequence[] = {
  { &hf_lte_rrc_specialSubframePatterns_v1450, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_specialSubframePatterns_v1450 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TDD_Config_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TDD_Config_v1450, TDD_Config_v1450_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_50_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_50, T_nonCriticalExtension_50_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v1450_IEs_sequence[] = {
  { &hf_lte_rrc_tdd_Config_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config_v1450 },
  { &hf_lte_rrc_nonCriticalExtension_153, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_50 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v1450_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v1450_IEs, SystemInformationBlockType1_v1450_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_eCallOverIMS_Support_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_eCallOverIMS_Support_r14 },
  { &hf_lte_rrc_tdd_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config_v1430 },
  { &hf_lte_rrc_cellAccessRelatedInfoList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14 },
  { &hf_lte_rrc_nonCriticalExtension_152, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v1450_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v1430_IEs, SystemInformationBlockType1_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v1360_IEs_sequence[] = {
  { &hf_lte_rrc_cellSelectionInfoCE1_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE1_v1360 },
  { &hf_lte_rrc_nonCriticalExtension_151, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v1360_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v1360_IEs, SystemInformationBlockType1_v1360_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v1350_IEs_sequence[] = {
  { &hf_lte_rrc_cellSelectionInfoCE1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE1_r13 },
  { &hf_lte_rrc_nonCriticalExtension_150, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v1360_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v1350_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v1350_IEs, SystemInformationBlockType1_v1350_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v1320_IEs_sequence[] = {
  { &hf_lte_rrc_freqHoppingParametersDL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_freqHoppingParametersDL_r13 },
  { &hf_lte_rrc_nonCriticalExtension_149, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v1350_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v1320_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v1320_IEs, SystemInformationBlockType1_v1320_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_hyperSFN_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { &hf_lte_rrc_eDRX_Allowed_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_eDRX_Allowed_r13 },
  { &hf_lte_rrc_cellSelectionInfoCE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE_r13 },
  { &hf_lte_rrc_bandwidthReducedAccessRelatedInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_bandwidthReducedAccessRelatedInfo_r13 },
  { &hf_lte_rrc_nonCriticalExtension_148, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v1320_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v1310_IEs, SystemInformationBlockType1_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_cellAccessRelatedInfo_v1250, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellAccessRelatedInfo_v1250 },
  { &hf_lte_rrc_cellSelectionInfo_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfo_v1250 },
  { &hf_lte_rrc_freqBandIndicatorPriority_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_freqBandIndicatorPriority_r12 },
  { &hf_lte_rrc_nonCriticalExtension_147, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v1250_IEs, SystemInformationBlockType1_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_tdd_Config_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config_v1130 },
  { &hf_lte_rrc_cellSelectionInfo_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfo_v1130 },
  { &hf_lte_rrc_nonCriticalExtension_146, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v1130_IEs, SystemInformationBlockType1_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v920_IEs_sequence[] = {
  { &hf_lte_rrc_ims_EmergencySupport_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ims_EmergencySupport_r9 },
  { &hf_lte_rrc_cellSelectionInfo_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfo_v920 },
  { &hf_lte_rrc_nonCriticalExtension_145, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v920_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v920_IEs, SystemInformationBlockType1_v920_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v890_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_05, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_04 },
  { &hf_lte_rrc_nonCriticalExtension_140, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v920_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v890_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v890_IEs, SystemInformationBlockType1_v890_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_sequence[] = {
  { &hf_lte_rrc_cellAccessRelatedInfo, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellAccessRelatedInfo },
  { &hf_lte_rrc_cellSelectionInfo, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellSelectionInfo },
  { &hf_lte_rrc_p_Max       , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_freqBandIndicator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator },
  { &hf_lte_rrc_schedulingInfoList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SchedulingInfoList },
  { &hf_lte_rrc_tdd_Config  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config },
  { &hf_lte_rrc_si_WindowLength, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_WindowLength },
  { &hf_lte_rrc_systemInfoValueTag, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_systemInfoValueTag },
  { &hf_lte_rrc_nonCriticalExtension_139, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v890_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  if (private_data_get_bcch_dl_sch_msg(actx) == FALSE) {
    col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SystemInformationBlockType1");
    }

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1, SystemInformationBlockType1_sequence);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringFactor_vals[] = {
  {   0, "p00" },
  {   1, "p05" },
  {   2, "p10" },
  {   3, "p15" },
  {   4, "p20" },
  {   5, "p25" },
  {   6, "p30" },
  {   7, "p40" },
  {   8, "p50" },
  {   9, "p60" },
  {  10, "p70" },
  {  11, "p75" },
  {  12, "p80" },
  {  13, "p85" },
  {  14, "p90" },
  {  15, "p95" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringFactor(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringTime_vals[] = {
  {   0, "s4" },
  {   1, "s8" },
  {   2, "s16" },
  {   3, "s32" },
  {   4, "s64" },
  {   5, "s128" },
  {   6, "s256" },
  {   7, "s512" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringTime(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AC_BarringConfig_sequence[] = {
  { &hf_lte_rrc_ac_BarringFactor, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ac_BarringFactor },
  { &hf_lte_rrc_ac_BarringTime, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ac_BarringTime },
  { &hf_lte_rrc_ac_BarringForSpecialAC, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AC_BarringConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AC_BarringConfig, AC_BarringConfig_sequence);

  return offset;
}


static const per_sequence_t T_ac_BarringInfo_sequence[] = {
  { &hf_lte_rrc_ac_BarringForEmergency, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_ac_BarringForMO_Signalling, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { &hf_lte_rrc_ac_BarringForMO_Data, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ac_BarringInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ac_BarringInfo, T_ac_BarringInfo_sequence);

  return offset;
}


static const value_string lte_rrc_T_numberOfRA_Preambles_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  {   2, "n12" },
  {   3, "n16" },
  {   4, "n20" },
  {   5, "n24" },
  {   6, "n28" },
  {   7, "n32" },
  {   8, "n36" },
  {   9, "n40" },
  {  10, "n44" },
  {  11, "n48" },
  {  12, "n52" },
  {  13, "n56" },
  {  14, "n60" },
  {  15, "n64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_numberOfRA_Preambles(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint value;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, &value, FALSE, 0, NULL);

  /* This is mandatory, store value */
  private_data_set_ra_preambles(actx, value);


  return offset;
}


static const value_string lte_rrc_T_sizeOfRA_PreamblesGroupA_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  {   2, "n12" },
  {   3, "n16" },
  {   4, "n20" },
  {   5, "n24" },
  {   6, "n28" },
  {   7, "n32" },
  {   8, "n36" },
  {   9, "n40" },
  {  10, "n44" },
  {  11, "n48" },
  {  12, "n52" },
  {  13, "n56" },
  {  14, "n60" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sizeOfRA_PreamblesGroupA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint ra_value, value;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     15, &value, FALSE, 0, NULL);

  /* Retrived stored value for RA (both Group A & Group B) */
  ra_value = private_data_get_ra_preambles(actx);
  if (value > ra_value) {
    /* Something is wrong if A has more RAPIDs than A & B combined! */
    expert_add_info_format(actx->pinfo, actx->created_item, &ei_lte_rrc_too_many_group_a_rapids,
                                "Group A size (%s) > Total RA size (%s)!",
                                val_to_str_const(value, lte_rrc_T_sizeOfRA_PreamblesGroupA_vals, "Unknown"),
                                val_to_str_const(ra_value, lte_rrc_T_numberOfRA_Preambles_vals, "Unknown"));

  }
  /* Tell MAC dissector so that it can say for RAPIDs whether A, B, non-RA */
  set_mac_lte_rapid_ranges((value+1)*4, (ra_value+1)*4);
  /* Reset again */
  private_data_set_ra_preambles(actx, 0);


  return offset;
}


static const value_string lte_rrc_T_messageSizeGroupA_vals[] = {
  {   0, "b56" },
  {   1, "b144" },
  {   2, "b208" },
  {   3, "b256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_messageSizeGroupA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_messagePowerOffsetGroupB_vals[] = {
  {   0, "minusinfinity" },
  {   1, "dB0" },
  {   2, "dB5" },
  {   3, "dB8" },
  {   4, "dB10" },
  {   5, "dB12" },
  {   6, "dB15" },
  {   7, "dB18" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_messagePowerOffsetGroupB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_preamblesGroupAConfig_sequence[] = {
  { &hf_lte_rrc_sizeOfRA_PreamblesGroupA, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sizeOfRA_PreamblesGroupA },
  { &hf_lte_rrc_messageSizeGroupA, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_messageSizeGroupA },
  { &hf_lte_rrc_messagePowerOffsetGroupB, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_messagePowerOffsetGroupB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_preamblesGroupAConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_preamblesGroupAConfig, T_preamblesGroupAConfig_sequence);

  return offset;
}


static const per_sequence_t T_preambleInfo_sequence[] = {
  { &hf_lte_rrc_numberOfRA_Preambles, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_numberOfRA_Preambles },
  { &hf_lte_rrc_preamblesGroupAConfig, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_preamblesGroupAConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_preambleInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_preambleInfo, T_preambleInfo_sequence);

  /* Initialise to invalid value */
  private_data_set_ra_preambles(actx, 0);


  return offset;
}


static const value_string lte_rrc_T_powerRampingStep_vals[] = {
  {   0, "dB0" },
  {   1, "dB2" },
  {   2, "dB4" },
  {   3, "dB6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerRampingStep(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_preambleInitialReceivedTargetPower_vals[] = {
  {   0, "dBm-120" },
  {   1, "dBm-118" },
  {   2, "dBm-116" },
  {   3, "dBm-114" },
  {   4, "dBm-112" },
  {   5, "dBm-110" },
  {   6, "dBm-108" },
  {   7, "dBm-106" },
  {   8, "dBm-104" },
  {   9, "dBm-102" },
  {  10, "dBm-100" },
  {  11, "dBm-98" },
  {  12, "dBm-96" },
  {  13, "dBm-94" },
  {  14, "dBm-92" },
  {  15, "dBm-90" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_preambleInitialReceivedTargetPower(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PowerRampingParameters_sequence[] = {
  { &hf_lte_rrc_powerRampingStep, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_powerRampingStep },
  { &hf_lte_rrc_preambleInitialReceivedTargetPower, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_preambleInitialReceivedTargetPower },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PowerRampingParameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PowerRampingParameters, PowerRampingParameters_sequence);

  return offset;
}


static const value_string lte_rrc_PreambleTransMax_vals[] = {
  {   0, "n3" },
  {   1, "n4" },
  {   2, "n5" },
  {   3, "n6" },
  {   4, "n7" },
  {   5, "n8" },
  {   6, "n10" },
  {   7, "n20" },
  {   8, "n50" },
  {   9, "n100" },
  {  10, "n200" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PreambleTransMax(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     11, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ra_ResponseWindowSize_vals[] = {
  {   0, "sf2" },
  {   1, "sf3" },
  {   2, "sf4" },
  {   3, "sf5" },
  {   4, "sf6" },
  {   5, "sf7" },
  {   6, "sf8" },
  {   7, "sf10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ra_ResponseWindowSize(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mac_ContentionResolutionTimer_vals[] = {
  {   0, "sf8" },
  {   1, "sf16" },
  {   2, "sf24" },
  {   3, "sf32" },
  {   4, "sf40" },
  {   5, "sf48" },
  {   6, "sf56" },
  {   7, "sf64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mac_ContentionResolutionTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_ra_SupervisionInfo_sequence[] = {
  { &hf_lte_rrc_preambleTransMax, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PreambleTransMax },
  { &hf_lte_rrc_ra_ResponseWindowSize, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ra_ResponseWindowSize },
  { &hf_lte_rrc_mac_ContentionResolutionTimer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mac_ContentionResolutionTimer },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ra_SupervisionInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ra_SupervisionInfo, T_ra_SupervisionInfo_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_63(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_preambleMappingInfo_r13_sequence[] = {
  { &hf_lte_rrc_firstPreamble_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { &hf_lte_rrc_lastPreamble_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_preambleMappingInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_preambleMappingInfo_r13, T_preambleMappingInfo_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_ra_ResponseWindowSize_r13_vals[] = {
  {   0, "sf20" },
  {   1, "sf50" },
  {   2, "sf80" },
  {   3, "sf120" },
  {   4, "sf180" },
  {   5, "sf240" },
  {   6, "sf320" },
  {   7, "sf400" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ra_ResponseWindowSize_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mac_ContentionResolutionTimer_r13_vals[] = {
  {   0, "sf80" },
  {   1, "sf100" },
  {   2, "sf120" },
  {   3, "sf160" },
  {   4, "sf200" },
  {   5, "sf240" },
  {   6, "sf480" },
  {   7, "sf960" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mac_ContentionResolutionTimer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rar_HoppingConfig_r13_vals[] = {
  {   0, "on" },
  {   1, "off" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rar_HoppingConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RACH_CE_LevelInfo_r13_sequence[] = {
  { &hf_lte_rrc_preambleMappingInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_preambleMappingInfo_r13 },
  { &hf_lte_rrc_ra_ResponseWindowSize_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ra_ResponseWindowSize_r13 },
  { &hf_lte_rrc_mac_ContentionResolutionTimer_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mac_ContentionResolutionTimer_r13 },
  { &hf_lte_rrc_rar_HoppingConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rar_HoppingConfig_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_CE_LevelInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RACH_CE_LevelInfo_r13, RACH_CE_LevelInfo_r13_sequence);

  return offset;
}


static const per_sequence_t RACH_CE_LevelInfoList_r13_sequence_of[1] = {
  { &hf_lte_rrc_RACH_CE_LevelInfoList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RACH_CE_LevelInfo_r13 },
};

static int
dissect_lte_rrc_RACH_CE_LevelInfoList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_RACH_CE_LevelInfoList_r13, RACH_CE_LevelInfoList_r13_sequence_of,
                                                  1, maxCE_Level_r13, FALSE);

  return offset;
}


static const per_sequence_t RACH_ConfigCommon_eag_1_sequence[] = {
  { &hf_lte_rrc_preambleTransMax_CE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PreambleTransMax },
  { &hf_lte_rrc_rach_CE_LevelInfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RACH_CE_LevelInfoList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_ConfigCommon_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RACH_ConfigCommon_eag_1_sequence);

  return offset;
}


static const per_sequence_t RACH_ConfigCommon_sequence[] = {
  { &hf_lte_rrc_preambleInfo, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_preambleInfo },
  { &hf_lte_rrc_powerRampingParameters, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PowerRampingParameters },
  { &hf_lte_rrc_ra_SupervisionInfo, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ra_SupervisionInfo },
  { &hf_lte_rrc_maxHARQ_Msg3Tx, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_8 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RACH_ConfigCommon_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_ConfigCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RACH_ConfigCommon, RACH_ConfigCommon_sequence);

  return offset;
}


static const value_string lte_rrc_T_modificationPeriodCoeff_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  {   2, "n8" },
  {   3, "n16" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_modificationPeriodCoeff(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BCCH_Config_sequence[] = {
  { &hf_lte_rrc_modificationPeriodCoeff, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_modificationPeriodCoeff },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_Config, BCCH_Config_sequence);

  return offset;
}


static const value_string lte_rrc_T_defaultPagingCycle_vals[] = {
  {   0, "rf32" },
  {   1, "rf64" },
  {   2, "rf128" },
  {   3, "rf256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_defaultPagingCycle(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nB_vals[] = {
  {   0, "fourT" },
  {   1, "twoT" },
  {   2, "oneT" },
  {   3, "halfT" },
  {   4, "quarterT" },
  {   5, "oneEighthT" },
  {   6, "oneSixteenthT" },
  {   7, "oneThirtySecondT" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PCCH_Config_sequence[] = {
  { &hf_lte_rrc_defaultPagingCycle, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_defaultPagingCycle },
  { &hf_lte_rrc_nB          , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PCCH_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PCCH_Config, PCCH_Config_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_837(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 837U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_94(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 94U, NULL, FALSE);

  return offset;
}


static const per_sequence_t PRACH_ConfigInfo_sequence[] = {
  { &hf_lte_rrc_prach_ConfigIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { &hf_lte_rrc_highSpeedFlag, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_zeroCorrelationZoneConfig, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_prach_FreqOffset, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_94 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PRACH_ConfigInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PRACH_ConfigInfo, PRACH_ConfigInfo_sequence);

  return offset;
}


static const per_sequence_t PRACH_ConfigSIB_sequence[] = {
  { &hf_lte_rrc_rootSequenceIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_837 },
  { &hf_lte_rrc_prach_ConfigInfo, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PRACH_ConfigInfo },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PRACH_ConfigSIB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PRACH_ConfigSIB, PRACH_ConfigSIB_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M60_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -60, 50U, NULL, FALSE);

  return offset;
}


static const per_sequence_t PDSCH_ConfigCommon_sequence[] = {
  { &hf_lte_rrc_referenceSignalPower, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M60_50 },
  { &hf_lte_rrc_p_b         , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_ConfigCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_ConfigCommon, PDSCH_ConfigCommon_sequence);

  return offset;
}


static const value_string lte_rrc_T_hoppingMode_vals[] = {
  {   0, "interSubFrame" },
  {   1, "intraAndInterSubFrame" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_hoppingMode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_98(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 98U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_pusch_ConfigBasic_sequence[] = {
  { &hf_lte_rrc_n_SB        , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_hoppingMode , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_hoppingMode },
  { &hf_lte_rrc_pusch_HoppingOffset, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_98 },
  { &hf_lte_rrc_enable64QAM , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_pusch_ConfigBasic(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_pusch_ConfigBasic, T_pusch_ConfigBasic_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_29(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 29U, NULL, FALSE);

  return offset;
}


static const per_sequence_t UL_ReferenceSignalsPUSCH_sequence[] = {
  { &hf_lte_rrc_groupHoppingEnabled, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_groupAssignmentPUSCH, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_29 },
  { &hf_lte_rrc_sequenceHoppingEnabled, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_cyclicShift , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_ReferenceSignalsPUSCH(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_ReferenceSignalsPUSCH, UL_ReferenceSignalsPUSCH_sequence);

  return offset;
}


static const per_sequence_t PUSCH_ConfigCommon_sequence[] = {
  { &hf_lte_rrc_pusch_ConfigBasic, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pusch_ConfigBasic },
  { &hf_lte_rrc_ul_ReferenceSignalsPUSCH, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_ReferenceSignalsPUSCH },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigCommon, PUSCH_ConfigCommon_sequence);

  return offset;
}


static const value_string lte_rrc_T_deltaPUCCH_Shift_vals[] = {
  {   0, "ds1" },
  {   1, "ds2" },
  {   2, "ds3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaPUCCH_Shift(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigCommon_sequence[] = {
  { &hf_lte_rrc_deltaPUCCH_Shift, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaPUCCH_Shift },
  { &hf_lte_rrc_nRB_CQI     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_98 },
  { &hf_lte_rrc_nCS_AN      , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_n1PUCCH_AN  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigCommon, PUCCH_ConfigCommon_sequence);

  return offset;
}


static const value_string lte_rrc_T_srs_BandwidthConfig_vals[] = {
  {   0, "bw0" },
  {   1, "bw1" },
  {   2, "bw2" },
  {   3, "bw3" },
  {   4, "bw4" },
  {   5, "bw5" },
  {   6, "bw6" },
  {   7, "bw7" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_BandwidthConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_SubframeConfig_vals[] = {
  {   0, "sc0" },
  {   1, "sc1" },
  {   2, "sc2" },
  {   3, "sc3" },
  {   4, "sc4" },
  {   5, "sc5" },
  {   6, "sc6" },
  {   7, "sc7" },
  {   8, "sc8" },
  {   9, "sc9" },
  {  10, "sc10" },
  {  11, "sc11" },
  {  12, "sc12" },
  {  13, "sc13" },
  {  14, "sc14" },
  {  15, "sc15" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_SubframeConfig(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_MaxUpPts_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_MaxUpPts(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_82_sequence[] = {
  { &hf_lte_rrc_srs_BandwidthConfig, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_BandwidthConfig },
  { &hf_lte_rrc_srs_SubframeConfig, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_srs_SubframeConfig },
  { &hf_lte_rrc_ackNackSRS_SimultaneousTransmission, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_srs_MaxUpPts, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srs_MaxUpPts },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_82(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_82, T_setup_82_sequence);

  return offset;
}


static const value_string lte_rrc_SoundingRS_UL_ConfigCommon_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SoundingRS_UL_ConfigCommon_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_95    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_82 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SoundingRS_UL_ConfigCommon, SoundingRS_UL_ConfigCommon_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M127_M96(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -127, -96, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format1_vals[] = {
  {   0, "deltaF-2" },
  {   1, "deltaF0" },
  {   2, "deltaF2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format1b_vals[] = {
  {   0, "deltaF1" },
  {   1, "deltaF3" },
  {   2, "deltaF5" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format1b(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format2_vals[] = {
  {   0, "deltaF-2" },
  {   1, "deltaF0" },
  {   2, "deltaF1" },
  {   3, "deltaF2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format2a_vals[] = {
  {   0, "deltaF-2" },
  {   1, "deltaF0" },
  {   2, "deltaF2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format2a(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format2b_vals[] = {
  {   0, "deltaF-2" },
  {   1, "deltaF0" },
  {   2, "deltaF2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format2b(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DeltaFList_PUCCH_sequence[] = {
  { &hf_lte_rrc_deltaF_PUCCH_Format1, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format1 },
  { &hf_lte_rrc_deltaF_PUCCH_Format1b, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format1b },
  { &hf_lte_rrc_deltaF_PUCCH_Format2, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format2 },
  { &hf_lte_rrc_deltaF_PUCCH_Format2a, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format2a },
  { &hf_lte_rrc_deltaF_PUCCH_Format2b, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format2b },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DeltaFList_PUCCH(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DeltaFList_PUCCH, DeltaFList_PUCCH_sequence);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommon_sequence[] = {
  { &hf_lte_rrc_p0_NominalPUSCH, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M126_24 },
  { &hf_lte_rrc_alpha       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Alpha_r12 },
  { &hf_lte_rrc_p0_NominalPUCCH, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M127_M96 },
  { &hf_lte_rrc_deltaFList_PUCCH, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DeltaFList_PUCCH },
  { &hf_lte_rrc_deltaPreambleMsg3, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M1_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommon, UplinkPowerControlCommon_sequence);

  return offset;
}


static const value_string lte_rrc_UL_CyclicPrefixLength_vals[] = {
  {   0, "len1" },
  {   1, "len2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_UL_CyclicPrefixLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format3_r10_vals[] = {
  {   0, "deltaF-1" },
  {   1, "deltaF0" },
  {   2, "deltaF1" },
  {   3, "deltaF2" },
  {   4, "deltaF3" },
  {   5, "deltaF4" },
  {   6, "deltaF5" },
  {   7, "deltaF6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format3_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format1bCS_r10_vals[] = {
  {   0, "deltaF1" },
  {   1, "deltaF2" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format1bCS_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommon_v1020_sequence[] = {
  { &hf_lte_rrc_deltaF_PUCCH_Format3_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format3_r10 },
  { &hf_lte_rrc_deltaF_PUCCH_Format1bCS_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format1bCS_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommon_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommon_v1020, UplinkPowerControlCommon_v1020_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_eag_1_sequence[] = {
  { &hf_lte_rrc_uplinkPowerControlCommon_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlCommon_v1020 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSIB_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_connEstFailCount_r12_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connEstFailCount_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_connEstFailOffsetValidity_r12_vals[] = {
  {   0, "s30" },
  {   1, "s60" },
  {   2, "s120" },
  {   3, "s240" },
  {   4, "s300" },
  {   5, "s420" },
  {   6, "s600" },
  {   7, "s900" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connEstFailOffsetValidity_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_txFailParams_r12_sequence[] = {
  { &hf_lte_rrc_connEstFailCount_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_connEstFailCount_r12 },
  { &hf_lte_rrc_connEstFailOffsetValidity_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_connEstFailOffsetValidity_r12 },
  { &hf_lte_rrc_connEstFailOffset_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_txFailParams_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_txFailParams_r12, T_txFailParams_r12_sequence);

  return offset;
}


static const per_sequence_t RACH_ConfigCommon_v1250_sequence[] = {
  { &hf_lte_rrc_txFailParams_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_txFailParams_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_ConfigCommon_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RACH_ConfigCommon_v1250, RACH_ConfigCommon_v1250_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_eag_2_sequence[] = {
  { &hf_lte_rrc_rach_ConfigCommon_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RACH_ConfigCommon_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSIB_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_enable64QAM_v1270_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_enable64QAM_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigCommon_v1270_sequence[] = {
  { &hf_lte_rrc_enable64QAM_v1270, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_enable64QAM_v1270 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigCommon_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigCommon_v1270, PUSCH_ConfigCommon_v1270_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_eag_3_sequence[] = {
  { &hf_lte_rrc_pusch_ConfigCommon_v1270, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigCommon_v1270 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSIB_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_modificationPeriodCoeff_v1310_vals[] = {
  {   0, "n64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_modificationPeriodCoeff_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BCCH_Config_v1310_sequence[] = {
  { &hf_lte_rrc_modificationPeriodCoeff_v1310, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_modificationPeriodCoeff_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_Config_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_Config_v1310, BCCH_Config_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_NumRepetition_Paging_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_NumRepetition_Paging_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     9, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nB_v1310_vals[] = {
  {   0, "one64thT" },
  {   1, "one128thT" },
  {   2, "one256thT" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nB_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PCCH_Config_v1310_sequence[] = {
  { &hf_lte_rrc_paging_narrowBands_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
  { &hf_lte_rrc_mpdcch_NumRepetition_Paging_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_NumRepetition_Paging_r13 },
  { &hf_lte_rrc_nB_v1310    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nB_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PCCH_Config_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PCCH_Config_v1310, PCCH_Config_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_dummy_vals[] = {
  {   0, "nb2" },
  {   1, "nb4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dummy(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_FDD_r13_02_vals[] = {
  {   0, "int1" },
  {   1, "int2" },
  {   2, "int4" },
  {   3, "int8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_FDD_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_TDD_r13_02_vals[] = {
  {   0, "int1" },
  {   1, "int5" },
  {   2, "int10" },
  {   3, "int20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_TDD_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dummy2_vals[] = {
  {   0, "interval-FDD-r13" },
  {   1, "interval-TDD-r13" },
  { 0, NULL }
};

static const per_choice_t T_dummy2_choice[] = {
  {   0, &hf_lte_rrc_interval_FDD_r13_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_FDD_r13_02 },
  {   1, &hf_lte_rrc_interval_TDD_r13_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_TDD_r13_02 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dummy2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dummy2, T_dummy2_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_FDD_r13_03_vals[] = {
  {   0, "int2" },
  {   1, "int4" },
  {   2, "int8" },
  {   3, "int16" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_FDD_r13_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_TDD_r13_03_vals[] = {
  {   0, "int5" },
  {   1, "int10" },
  {   2, "int20" },
  {   3, "int40" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_TDD_r13_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dummy3_vals[] = {
  {   0, "interval-FDD-r13" },
  {   1, "interval-TDD-r13" },
  { 0, NULL }
};

static const per_choice_t T_dummy3_choice[] = {
  {   0, &hf_lte_rrc_interval_FDD_r13_03, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_FDD_r13_03 },
  {   1, &hf_lte_rrc_interval_TDD_r13_03, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_TDD_r13_03 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dummy3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dummy3, T_dummy3_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_FDD_r13_04_vals[] = {
  {   0, "int1" },
  {   1, "int2" },
  {   2, "int4" },
  {   3, "int8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_FDD_r13_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_TDD_r13_04_vals[] = {
  {   0, "int1" },
  {   1, "int5" },
  {   2, "int10" },
  {   3, "int20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_TDD_r13_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_ULHoppingConfigCommonModeA_r13_vals[] = {
  {   0, "interval-FDD-r13" },
  {   1, "interval-TDD-r13" },
  { 0, NULL }
};

static const per_choice_t T_interval_ULHoppingConfigCommonModeA_r13_choice[] = {
  {   0, &hf_lte_rrc_interval_FDD_r13_04, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_FDD_r13_04 },
  {   1, &hf_lte_rrc_interval_TDD_r13_04, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_TDD_r13_04 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_interval_ULHoppingConfigCommonModeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_interval_ULHoppingConfigCommonModeA_r13, T_interval_ULHoppingConfigCommonModeA_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_FDD_r13_05_vals[] = {
  {   0, "int2" },
  {   1, "int4" },
  {   2, "int8" },
  {   3, "int16" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_FDD_r13_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_TDD_r13_05_vals[] = {
  {   0, "int5" },
  {   1, "int10" },
  {   2, "int20" },
  {   3, "int40" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interval_TDD_r13_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interval_ULHoppingConfigCommonModeB_r13_vals[] = {
  {   0, "interval-FDD-r13" },
  {   1, "interval-TDD-r13" },
  { 0, NULL }
};

static const per_choice_t T_interval_ULHoppingConfigCommonModeB_r13_choice[] = {
  {   0, &hf_lte_rrc_interval_FDD_r13_05, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_FDD_r13_05 },
  {   1, &hf_lte_rrc_interval_TDD_r13_05, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interval_TDD_r13_05 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_interval_ULHoppingConfigCommonModeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_interval_ULHoppingConfigCommonModeB_r13, T_interval_ULHoppingConfigCommonModeB_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t FreqHoppingParameters_r13_sequence[] = {
  { &hf_lte_rrc_dummy_01    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dummy },
  { &hf_lte_rrc_dummy2      , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dummy2 },
  { &hf_lte_rrc_dummy3      , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dummy3 },
  { &hf_lte_rrc_interval_ULHoppingConfigCommonModeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interval_ULHoppingConfigCommonModeA_r13 },
  { &hf_lte_rrc_interval_ULHoppingConfigCommonModeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interval_ULHoppingConfigCommonModeB_r13 },
  { &hf_lte_rrc_dummy4      , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FreqHoppingParameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FreqHoppingParameters_r13, FreqHoppingParameters_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_pdsch_maxNumRepetitionCEmodeA_r13_vals[] = {
  {   0, "r16" },
  {   1, "r32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdsch_maxNumRepetitionCEmodeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pdsch_maxNumRepetitionCEmodeB_r13_vals[] = {
  {   0, "r192" },
  {   1, "r256" },
  {   2, "r384" },
  {   3, "r512" },
  {   4, "r768" },
  {   5, "r1024" },
  {   6, "r1536" },
  {   7, "r2048" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdsch_maxNumRepetitionCEmodeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDSCH_ConfigCommon_v1310_sequence[] = {
  { &hf_lte_rrc_pdsch_maxNumRepetitionCEmodeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdsch_maxNumRepetitionCEmodeA_r13 },
  { &hf_lte_rrc_pdsch_maxNumRepetitionCEmodeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdsch_maxNumRepetitionCEmodeB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_ConfigCommon_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_ConfigCommon_v1310, PDSCH_ConfigCommon_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_pusch_maxNumRepetitionCEmodeA_r13_vals[] = {
  {   0, "r8" },
  {   1, "r16" },
  {   2, "r32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pusch_maxNumRepetitionCEmodeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pusch_maxNumRepetitionCEmodeB_r13_vals[] = {
  {   0, "r192" },
  {   1, "r256" },
  {   2, "r384" },
  {   3, "r512" },
  {   4, "r768" },
  {   5, "r1024" },
  {   6, "r1536" },
  {   7, "r2048" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pusch_maxNumRepetitionCEmodeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigCommon_v1310_sequence[] = {
  { &hf_lte_rrc_pusch_maxNumRepetitionCEmodeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pusch_maxNumRepetitionCEmodeA_r13 },
  { &hf_lte_rrc_pusch_maxNumRepetitionCEmodeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pusch_maxNumRepetitionCEmodeB_r13 },
  { &hf_lte_rrc_pusch_HoppingOffset_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigCommon_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigCommon_v1310, PUSCH_ConfigCommon_v1310_sequence);

  return offset;
}


static const per_sequence_t RSRP_ThresholdsPrachInfoList_r13_sequence_of[1] = {
  { &hf_lte_rrc_RSRP_ThresholdsPrachInfoList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
};

static int
dissect_lte_rrc_RSRP_ThresholdsPrachInfoList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_RSRP_ThresholdsPrachInfoList_r13, RSRP_ThresholdsPrachInfoList_r13_sequence_of,
                                                  1, 3, FALSE);

  return offset;
}


static const value_string lte_rrc_T_fdd_r13_01_vals[] = {
  {   0, "v1" },
  {   1, "v1dot5" },
  {   2, "v2" },
  {   3, "v2dot5" },
  {   4, "v4" },
  {   5, "v5" },
  {   6, "v8" },
  {   7, "v10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fdd_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_r13_01_vals[] = {
  {   0, "v1" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v5" },
  {   4, "v8" },
  {   5, "v10" },
  {   6, "v20" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_startSF_CSS_RA_r13_vals[] = {
  {   0, "fdd-r13" },
  {   1, "tdd-r13" },
  { 0, NULL }
};

static const per_choice_t T_mpdcch_startSF_CSS_RA_r13_choice[] = {
  {   0, &hf_lte_rrc_fdd_r13_01  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_fdd_r13_01 },
  {   1, &hf_lte_rrc_tdd_r13_01  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_tdd_r13_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mpdcch_startSF_CSS_RA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mpdcch_startSF_CSS_RA_r13, T_mpdcch_startSF_CSS_RA_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_prach_StartingSubframe_r13_vals[] = {
  {   0, "sf2" },
  {   1, "sf4" },
  {   2, "sf8" },
  {   3, "sf16" },
  {   4, "sf32" },
  {   5, "sf64" },
  {   6, "sf128" },
  {   7, "sf256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_prach_StartingSubframe_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_maxNumPreambleAttemptCE_r13_vals[] = {
  {   0, "n3" },
  {   1, "n4" },
  {   2, "n5" },
  {   3, "n6" },
  {   4, "n7" },
  {   5, "n8" },
  {   6, "n10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxNumPreambleAttemptCE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_numRepetitionPerPreambleAttempt_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n4" },
  {   3, "n8" },
  {   4, "n16" },
  {   5, "n32" },
  {   6, "n64" },
  {   7, "n128" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_numRepetitionPerPreambleAttempt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_mpdcch_NarrowbandsToMonitor_r13_sequence_of[1] = {
  { &hf_lte_rrc_mpdcch_NarrowbandsToMonitor_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
};

static int
dissect_lte_rrc_T_mpdcch_NarrowbandsToMonitor_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_mpdcch_NarrowbandsToMonitor_r13, T_mpdcch_NarrowbandsToMonitor_r13_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_NumRepetition_RA_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_NumRepetition_RA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     9, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_prach_HoppingConfig_r13_vals[] = {
  {   0, "on" },
  {   1, "off" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_prach_HoppingConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PRACH_ParametersCE_r13_sequence[] = {
  { &hf_lte_rrc_prach_ConfigIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { &hf_lte_rrc_prach_FreqOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_94 },
  { &hf_lte_rrc_prach_StartingSubframe_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_prach_StartingSubframe_r13 },
  { &hf_lte_rrc_maxNumPreambleAttemptCE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxNumPreambleAttemptCE_r13 },
  { &hf_lte_rrc_numRepetitionPerPreambleAttempt_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_numRepetitionPerPreambleAttempt_r13 },
  { &hf_lte_rrc_mpdcch_NarrowbandsToMonitor_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_NarrowbandsToMonitor_r13 },
  { &hf_lte_rrc_mpdcch_NumRepetition_RA_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_NumRepetition_RA_r13 },
  { &hf_lte_rrc_prach_HoppingConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_prach_HoppingConfig_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PRACH_ParametersCE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PRACH_ParametersCE_r13, PRACH_ParametersCE_r13_sequence);

  return offset;
}


static const per_sequence_t PRACH_ParametersListCE_r13_sequence_of[1] = {
  { &hf_lte_rrc_PRACH_ParametersListCE_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PRACH_ParametersCE_r13 },
};

static int
dissect_lte_rrc_PRACH_ParametersListCE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PRACH_ParametersListCE_r13, PRACH_ParametersListCE_r13_sequence_of,
                                                  1, maxCE_Level_r13, FALSE);

  return offset;
}


static const per_sequence_t PRACH_ConfigSIB_v1310_sequence[] = {
  { &hf_lte_rrc_rsrp_ThresholdsPrachInfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_ThresholdsPrachInfoList_r13 },
  { &hf_lte_rrc_mpdcch_startSF_CSS_RA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mpdcch_startSF_CSS_RA_r13 },
  { &hf_lte_rrc_prach_HoppingOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_94 },
  { &hf_lte_rrc_prach_ParametersListCE_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PRACH_ParametersListCE_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PRACH_ConfigSIB_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PRACH_ConfigSIB_v1310, PRACH_ConfigSIB_v1310_sequence);

  return offset;
}


static const per_sequence_t N1PUCCH_AN_InfoList_r13_sequence_of[1] = {
  { &hf_lte_rrc_N1PUCCH_AN_InfoList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
};

static int
dissect_lte_rrc_N1PUCCH_AN_InfoList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_N1PUCCH_AN_InfoList_r13, N1PUCCH_AN_InfoList_r13_sequence_of,
                                                  1, maxCE_Level_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level0_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n4" },
  {   3, "n8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level0_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level1_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n4" },
  {   3, "n8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level2_r13_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  {   2, "n16" },
  {   3, "n32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level2_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level3_r13_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  {   2, "n16" },
  {   3, "n32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level3_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigCommon_v1310_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_InfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_N1PUCCH_AN_InfoList_r13 },
  { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level0_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level0_r13 },
  { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level1_r13 },
  { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level2_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level2_r13 },
  { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level3_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level3_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigCommon_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigCommon_v1310, PUCCH_ConfigCommon_v1310_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_eag_4_sequence[] = {
  { &hf_lte_rrc_bcch_Config_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BCCH_Config_v1310 },
  { &hf_lte_rrc_pcch_Config_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PCCH_Config_v1310 },
  { &hf_lte_rrc_freqHoppingParameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqHoppingParameters_r13 },
  { &hf_lte_rrc_pdsch_ConfigCommon_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigCommon_v1310 },
  { &hf_lte_rrc_pusch_ConfigCommon_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigCommon_v1310 },
  { &hf_lte_rrc_prach_ConfigCommon_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_ConfigSIB_v1310 },
  { &hf_lte_rrc_pucch_ConfigCommon_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigCommon_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSIB_eag_4_sequence);

  return offset;
}


static const value_string lte_rrc_T_highSpeedEnhancedMeasFlag_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_highSpeedEnhancedMeasFlag_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_highSpeedEnhancedDemodulationFlag_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_highSpeedEnhancedDemodulationFlag_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t HighSpeedConfig_r14_sequence[] = {
  { &hf_lte_rrc_highSpeedEnhancedMeasFlag_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_highSpeedEnhancedMeasFlag_r14 },
  { &hf_lte_rrc_highSpeedEnhancedDemodulationFlag_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_highSpeedEnhancedDemodulationFlag_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HighSpeedConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HighSpeedConfig_r14, HighSpeedConfig_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 12U, NULL, FALSE);

  return offset;
}


static const per_sequence_t PRACH_Config_v1430_sequence[] = {
  { &hf_lte_rrc_rootSequenceIndexHighSpeed_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_837 },
  { &hf_lte_rrc_zeroCorrelationZoneConfigHighSpeed_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_12 },
  { &hf_lte_rrc_prach_ConfigIndexHighSpeed_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { &hf_lte_rrc_prach_FreqOffsetHighSpeed_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_94 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PRACH_Config_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PRACH_Config_v1430, PRACH_Config_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level3_r14_vals[] = {
  {   0, "n64" },
  {   1, "n128" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level3_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigCommon_v1430_sequence[] = {
  { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level3_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level3_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigCommon_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigCommon_v1430, PUCCH_ConfigCommon_v1430_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_eag_5_sequence[] = {
  { &hf_lte_rrc_highSpeedConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HighSpeedConfig_r14 },
  { &hf_lte_rrc_prach_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_Config_v1430 },
  { &hf_lte_rrc_pucch_ConfigCommon_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigCommon_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSIB_eag_5_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_sequence[] = {
  { &hf_lte_rrc_rach_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RACH_ConfigCommon },
  { &hf_lte_rrc_bcch_Config , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_Config },
  { &hf_lte_rrc_pcch_Config , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PCCH_Config },
  { &hf_lte_rrc_prach_Config, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PRACH_ConfigSIB },
  { &hf_lte_rrc_pdsch_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDSCH_ConfigCommon },
  { &hf_lte_rrc_pusch_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PUSCH_ConfigCommon },
  { &hf_lte_rrc_pucch_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PUCCH_ConfigCommon },
  { &hf_lte_rrc_soundingRS_UL_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigCommon },
  { &hf_lte_rrc_uplinkPowerControlCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UplinkPowerControlCommon },
  { &hf_lte_rrc_ul_CyclicPrefixLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_CyclicPrefixLength },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB_eag_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommonSIB, RadioResourceConfigCommonSIB_sequence);

  return offset;
}


static const value_string lte_rrc_T_t300_vals[] = {
  {   0, "ms100" },
  {   1, "ms200" },
  {   2, "ms300" },
  {   3, "ms400" },
  {   4, "ms600" },
  {   5, "ms1000" },
  {   6, "ms1500" },
  {   7, "ms2000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t300(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t301_vals[] = {
  {   0, "ms100" },
  {   1, "ms200" },
  {   2, "ms300" },
  {   3, "ms400" },
  {   4, "ms600" },
  {   5, "ms1000" },
  {   6, "ms1500" },
  {   7, "ms2000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t301(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t310_vals[] = {
  {   0, "ms0" },
  {   1, "ms50" },
  {   2, "ms100" },
  {   3, "ms200" },
  {   4, "ms500" },
  {   5, "ms1000" },
  {   6, "ms2000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n310_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n6" },
  {   5, "n8" },
  {   6, "n10" },
  {   7, "n20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t311_vals[] = {
  {   0, "ms1000" },
  {   1, "ms3000" },
  {   2, "ms5000" },
  {   3, "ms10000" },
  {   4, "ms15000" },
  {   5, "ms20000" },
  {   6, "ms30000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t311(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n311_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n5" },
  {   5, "n6" },
  {   6, "n8" },
  {   7, "n10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n311(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t300_v1310_vals[] = {
  {   0, "ms2500" },
  {   1, "ms3000" },
  {   2, "ms3500" },
  {   3, "ms4000" },
  {   4, "ms5000" },
  {   5, "ms6000" },
  {   6, "ms8000" },
  {   7, "ms10000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t300_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t301_v1310_01_vals[] = {
  {   0, "ms2500" },
  {   1, "ms3000" },
  {   2, "ms3500" },
  {   3, "ms4000" },
  {   4, "ms5000" },
  {   5, "ms6000" },
  {   6, "ms8000" },
  {   7, "ms10000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t301_v1310_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UE_TimersAndConstants_eag_1_sequence[] = {
  { &hf_lte_rrc_t300_v1310  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t300_v1310 },
  { &hf_lte_rrc_t301_v1310_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t301_v1310_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_TimersAndConstants_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, UE_TimersAndConstants_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_t310_v1330_01_vals[] = {
  {   0, "ms4000" },
  {   1, "ms6000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t310_v1330_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UE_TimersAndConstants_eag_2_sequence[] = {
  { &hf_lte_rrc_t310_v1330_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t310_v1330_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_TimersAndConstants_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, UE_TimersAndConstants_eag_2_sequence);

  return offset;
}


static const per_sequence_t UE_TimersAndConstants_sequence[] = {
  { &hf_lte_rrc_t300        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t300 },
  { &hf_lte_rrc_t301        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t301 },
  { &hf_lte_rrc_t310        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t310 },
  { &hf_lte_rrc_n310        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n310 },
  { &hf_lte_rrc_t311        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t311 },
  { &hf_lte_rrc_n311        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n311 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_TimersAndConstants_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_TimersAndConstants_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_TimersAndConstants(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_TimersAndConstants, UE_TimersAndConstants_sequence);

  return offset;
}


static const value_string lte_rrc_T_ul_Bandwidth_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_Bandwidth(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_freqInfo_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_ul_Bandwidth, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Bandwidth },
  { &hf_lte_rrc_additionalSpectrumEmission, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_freqInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_freqInfo, T_freqInfo_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_06(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType2_v8h0_IEs_PDU);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_1_sequence[] = {
  { &hf_lte_rrc_ssac_BarringForMMTEL_Voice_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { &hf_lte_rrc_ssac_BarringForMMTEL_Video_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_2_sequence[] = {
  { &hf_lte_rrc_ac_BarringForCSFB_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringSkipForMMTELVoice_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringSkipForMMTELVoice_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringSkipForMMTELVideo_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringSkipForMMTELVideo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringSkipForSMS_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringSkipForSMS_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxPLMN_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxPLMN_r11, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_ac_BarringInfo_r12_sequence[] = {
  { &hf_lte_rrc_ac_BarringForEmergency_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_ac_BarringForMO_Signalling_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { &hf_lte_rrc_ac_BarringForMO_Data_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ac_BarringInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ac_BarringInfo_r12, T_ac_BarringInfo_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringSkipForMMTELVoice_r12_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringSkipForMMTELVoice_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringSkipForMMTELVideo_r12_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringSkipForMMTELVideo_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringSkipForSMS_r12_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringSkipForSMS_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AC_BarringPerPLMN_r12_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityIndex_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  { &hf_lte_rrc_ac_BarringInfo_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ac_BarringInfo_r12 },
  { &hf_lte_rrc_ac_BarringSkipForMMTELVoice_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ac_BarringSkipForMMTELVoice_r12_01 },
  { &hf_lte_rrc_ac_BarringSkipForMMTELVideo_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ac_BarringSkipForMMTELVideo_r12_01 },
  { &hf_lte_rrc_ac_BarringSkipForSMS_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ac_BarringSkipForSMS_r12_01 },
  { &hf_lte_rrc_ac_BarringForCSFB_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { &hf_lte_rrc_ssac_BarringForMMTEL_Voice_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { &hf_lte_rrc_ssac_BarringForMMTEL_Video_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AC_BarringPerPLMN_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AC_BarringPerPLMN_r12, AC_BarringPerPLMN_r12_sequence);

  return offset;
}


static const per_sequence_t AC_BarringPerPLMN_List_r12_sequence_of[1] = {
  { &hf_lte_rrc_AC_BarringPerPLMN_List_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AC_BarringPerPLMN_r12 },
};

static int
dissect_lte_rrc_AC_BarringPerPLMN_List_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AC_BarringPerPLMN_List_r12, AC_BarringPerPLMN_List_r12_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_3_sequence[] = {
  { &hf_lte_rrc_ac_BarringSkipForMMTELVoice_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ac_BarringSkipForMMTELVoice_r12 },
  { &hf_lte_rrc_ac_BarringSkipForMMTELVideo_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ac_BarringSkipForMMTELVideo_r12 },
  { &hf_lte_rrc_ac_BarringSkipForSMS_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ac_BarringSkipForSMS_r12 },
  { &hf_lte_rrc_ac_BarringPerPLMN_List_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringPerPLMN_List_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_voiceServiceCauseIndication_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_voiceServiceCauseIndication_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_4_sequence[] = {
  { &hf_lte_rrc_voiceServiceCauseIndication_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_voiceServiceCauseIndication_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_4_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxACDC_Cat_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxACDC_Cat_r13, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringFactor_r13_vals[] = {
  {   0, "p00" },
  {   1, "p05" },
  {   2, "p10" },
  {   3, "p15" },
  {   4, "p20" },
  {   5, "p25" },
  {   6, "p30" },
  {   7, "p40" },
  {   8, "p50" },
  {   9, "p60" },
  {  10, "p70" },
  {  11, "p75" },
  {  12, "p80" },
  {  13, "p85" },
  {  14, "p90" },
  {  15, "p95" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringFactor_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ac_BarringTime_r13_vals[] = {
  {   0, "s4" },
  {   1, "s8" },
  {   2, "s16" },
  {   3, "s32" },
  {   4, "s64" },
  {   5, "s128" },
  {   6, "s256" },
  {   7, "s512" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ac_BarringTime_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_acdc_BarringConfig_r13_sequence[] = {
  { &hf_lte_rrc_ac_BarringFactor_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ac_BarringFactor_r13 },
  { &hf_lte_rrc_ac_BarringTime_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ac_BarringTime_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_acdc_BarringConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_acdc_BarringConfig_r13, T_acdc_BarringConfig_r13_sequence);

  return offset;
}


static const per_sequence_t BarringPerACDC_Category_r13_sequence[] = {
  { &hf_lte_rrc_acdc_Category_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxACDC_Cat_r13 },
  { &hf_lte_rrc_acdc_BarringConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_acdc_BarringConfig_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BarringPerACDC_Category_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BarringPerACDC_Category_r13, BarringPerACDC_Category_r13_sequence);

  return offset;
}


static const per_sequence_t BarringPerACDC_CategoryList_r13_sequence_of[1] = {
  { &hf_lte_rrc_BarringPerACDC_CategoryList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BarringPerACDC_Category_r13 },
};

static int
dissect_lte_rrc_BarringPerACDC_CategoryList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BarringPerACDC_CategoryList_r13, BarringPerACDC_CategoryList_r13_sequence_of,
                                                  1, maxACDC_Cat_r13, FALSE);

  return offset;
}


static const per_sequence_t ACDC_BarringForCommon_r13_sequence[] = {
  { &hf_lte_rrc_acdc_HPLMNonly_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_barringPerACDC_CategoryList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BarringPerACDC_CategoryList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ACDC_BarringForCommon_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ACDC_BarringForCommon_r13, ACDC_BarringForCommon_r13_sequence);

  return offset;
}


static const per_sequence_t ACDC_BarringPerPLMN_r13_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  { &hf_lte_rrc_acdc_OnlyForHPLMN_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_barringPerACDC_CategoryList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BarringPerACDC_CategoryList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ACDC_BarringPerPLMN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ACDC_BarringPerPLMN_r13, ACDC_BarringPerPLMN_r13_sequence);

  return offset;
}


static const per_sequence_t ACDC_BarringPerPLMN_List_r13_sequence_of[1] = {
  { &hf_lte_rrc_ACDC_BarringPerPLMN_List_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ACDC_BarringPerPLMN_r13 },
};

static int
dissect_lte_rrc_ACDC_BarringPerPLMN_List_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_ACDC_BarringPerPLMN_List_r13, ACDC_BarringPerPLMN_List_r13_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_5_sequence[] = {
  { &hf_lte_rrc_acdc_BarringForCommon_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ACDC_BarringForCommon_r13 },
  { &hf_lte_rrc_acdc_BarringPerPLMN_List_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ACDC_BarringPerPLMN_List_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_5_sequence);

  return offset;
}


static const value_string lte_rrc_T_udt_Restricting_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_udt_Restricting_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_udt_RestrictingTime_r13_vals[] = {
  {   0, "s4" },
  {   1, "s8" },
  {   2, "s16" },
  {   3, "s32" },
  {   4, "s64" },
  {   5, "s128" },
  {   6, "s256" },
  {   7, "s512" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_udt_RestrictingTime_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UDT_Restricting_r13_sequence[] = {
  { &hf_lte_rrc_udt_Restricting_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_udt_Restricting_r13 },
  { &hf_lte_rrc_udt_RestrictingTime_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_udt_RestrictingTime_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UDT_Restricting_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UDT_Restricting_r13, UDT_Restricting_r13_sequence);

  return offset;
}


static const per_sequence_t UDT_RestrictingPerPLMN_r13_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  { &hf_lte_rrc_udt_Restricting_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UDT_Restricting_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UDT_RestrictingPerPLMN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UDT_RestrictingPerPLMN_r13, UDT_RestrictingPerPLMN_r13_sequence);

  return offset;
}


static const per_sequence_t UDT_RestrictingPerPLMN_List_r13_sequence_of[1] = {
  { &hf_lte_rrc_UDT_RestrictingPerPLMN_List_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UDT_RestrictingPerPLMN_r13 },
};

static int
dissect_lte_rrc_UDT_RestrictingPerPLMN_List_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_UDT_RestrictingPerPLMN_List_r13, UDT_RestrictingPerPLMN_List_r13_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_up_CIoT_EPS_Optimisation_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_up_CIoT_EPS_Optimisation_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_cp_CIoT_EPS_Optimisation_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cp_CIoT_EPS_Optimisation_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_attachWithoutPDN_Connectivity_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_attachWithoutPDN_Connectivity_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CIOT_OptimisationPLMN_r13_sequence[] = {
  { &hf_lte_rrc_up_CIoT_EPS_Optimisation_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_up_CIoT_EPS_Optimisation_r13_01 },
  { &hf_lte_rrc_cp_CIoT_EPS_Optimisation_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cp_CIoT_EPS_Optimisation_r13_01 },
  { &hf_lte_rrc_attachWithoutPDN_Connectivity_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_attachWithoutPDN_Connectivity_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CIOT_OptimisationPLMN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CIOT_OptimisationPLMN_r13, CIOT_OptimisationPLMN_r13_sequence);

  return offset;
}


static const per_sequence_t CIOT_EPS_OptimisationInfo_r13_sequence_of[1] = {
  { &hf_lte_rrc_CIOT_EPS_OptimisationInfo_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CIOT_OptimisationPLMN_r13 },
};

static int
dissect_lte_rrc_CIOT_EPS_OptimisationInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CIOT_EPS_OptimisationInfo_r13, CIOT_EPS_OptimisationInfo_r13_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_useFullResumeID_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_useFullResumeID_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_6_sequence[] = {
  { &hf_lte_rrc_udt_RestrictingForCommon_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UDT_Restricting_r13 },
  { &hf_lte_rrc_udt_RestrictingPerPLMN_List_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UDT_RestrictingPerPLMN_List_r13 },
  { &hf_lte_rrc_cIoT_EPS_OptimisationInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CIOT_EPS_OptimisationInfo_r13 },
  { &hf_lte_rrc_useFullResumeID_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_useFullResumeID_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_6_sequence);

  return offset;
}


static const value_string lte_rrc_T_unicastFreqHoppingInd_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_unicastFreqHoppingInd_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_7_sequence[] = {
  { &hf_lte_rrc_unicastFreqHoppingInd_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_unicastFreqHoppingInd_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_7_sequence);

  return offset;
}


static const value_string lte_rrc_T_videoServiceCauseIndication_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_videoServiceCauseIndication_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_8_sequence[] = {
  { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_SubframeConfigList_v1430 },
  { &hf_lte_rrc_videoServiceCauseIndication_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_videoServiceCauseIndication_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_8(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_8_sequence);

  return offset;
}


static const value_string lte_rrc_T_upperLayerIndication_r15_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_upperLayerIndication_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PLMN_Info_r15_sequence[] = {
  { &hf_lte_rrc_upperLayerIndication_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_upperLayerIndication_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PLMN_Info_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PLMN_Info_r15, PLMN_Info_r15_sequence);

  return offset;
}


static const per_sequence_t PLMN_InfoList_r15_sequence_of[1] = {
  { &hf_lte_rrc_PLMN_InfoList_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Info_r15 },
};

static int
dissect_lte_rrc_PLMN_InfoList_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PLMN_InfoList_r15, PLMN_InfoList_r15_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_eag_9_sequence[] = {
  { &hf_lte_rrc_plmn_InfoList_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PLMN_InfoList_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_eag_9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_eag_9_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_sequence[] = {
  { &hf_lte_rrc_ac_BarringInfo, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ac_BarringInfo },
  { &hf_lte_rrc_radioResourceConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB },
  { &hf_lte_rrc_ue_TimersAndConstants, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_TimersAndConstants },
  { &hf_lte_rrc_freqInfo    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_freqInfo },
  { &hf_lte_rrc_mbsfn_SubframeConfigList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_SubframeConfigList },
  { &hf_lte_rrc_timeAlignmentTimerCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeAlignmentTimer },
  { &hf_lte_rrc_lateNonCriticalExtension_07, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_06 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_6 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_7 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_8 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_eag_9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB2");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType2, SystemInformationBlockType2_sequence);

  return offset;
}


static const value_string lte_rrc_T_antennaPortsCount_vals[] = {
  {   0, "an1" },
  {   1, "an2" },
  {   2, "an4" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_antennaPortsCount(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AntennaInfoCommon_sequence[] = {
  { &hf_lte_rrc_antennaPortsCount, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_antennaPortsCount },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AntennaInfoCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AntennaInfoCommon, AntennaInfoCommon_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_sourceSystemInformationBlockType1Ext(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType1_v890_IEs_PDU);

  return offset;
}


static const value_string lte_rrc_T_proximityIndicationEUTRA_r9_vals[] = {
  {   0, "enabled" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_proximityIndicationEUTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_proximityIndicationUTRA_r9_vals[] = {
  {   0, "enabled" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_proximityIndicationUTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ReportProximityConfig_r9_sequence[] = {
  { &hf_lte_rrc_proximityIndicationEUTRA_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_proximityIndicationEUTRA_r9 },
  { &hf_lte_rrc_proximityIndicationUTRA_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_proximityIndicationUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReportProximityConfig_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReportProximityConfig_r9, ReportProximityConfig_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_idc_Indication_r11_01_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_idc_Indication_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_autonomousDenialSubframes_r11_vals[] = {
  {   0, "n2" },
  {   1, "n5" },
  {   2, "n10" },
  {   3, "n15" },
  {   4, "n20" },
  {   5, "n30" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_autonomousDenialSubframes_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_autonomousDenialValidity_r11_vals[] = {
  {   0, "sf200" },
  {   1, "sf500" },
  {   2, "sf1000" },
  {   3, "sf2000" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_autonomousDenialValidity_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_autonomousDenialParameters_r11_sequence[] = {
  { &hf_lte_rrc_autonomousDenialSubframes_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_autonomousDenialSubframes_r11 },
  { &hf_lte_rrc_autonomousDenialValidity_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_autonomousDenialValidity_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_autonomousDenialParameters_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_autonomousDenialParameters_r11, T_autonomousDenialParameters_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_idc_Indication_UL_CA_r11_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_idc_Indication_UL_CA_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IDC_Config_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_idc_Indication_UL_CA_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_idc_Indication_UL_CA_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IDC_Config_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, IDC_Config_r11_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_idc_HardwareSharingIndication_r13_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_idc_HardwareSharingIndication_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IDC_Config_r11_eag_2_sequence[] = {
  { &hf_lte_rrc_idc_HardwareSharingIndication_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_idc_HardwareSharingIndication_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IDC_Config_r11_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, IDC_Config_r11_eag_2_sequence);

  return offset;
}


static const per_sequence_t IDC_Config_r11_sequence[] = {
  { &hf_lte_rrc_idc_Indication_r11_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_idc_Indication_r11_01 },
  { &hf_lte_rrc_autonomousDenialParameters_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_autonomousDenialParameters_r11 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_IDC_Config_r11_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_IDC_Config_r11_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IDC_Config_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IDC_Config_r11, IDC_Config_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_powerPrefIndicationTimer_r11_vals[] = {
  {   0, "s0" },
  {   1, "s0dot5" },
  {   2, "s1" },
  {   3, "s2" },
  {   4, "s5" },
  {   5, "s10" },
  {   6, "s20" },
  {   7, "s30" },
  {   8, "s60" },
  {   9, "s90" },
  {  10, "s120" },
  {  11, "s300" },
  {  12, "s600" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerPrefIndicationTimer_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_114_sequence[] = {
  { &hf_lte_rrc_powerPrefIndicationTimer_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_powerPrefIndicationTimer_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_114(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_114, T_setup_114_sequence);

  return offset;
}


static const value_string lte_rrc_PowerPrefIndicationConfig_r11_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t PowerPrefIndicationConfig_r11_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_130   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_114 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_PowerPrefIndicationConfig_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_PowerPrefIndicationConfig_r11, PowerPrefIndicationConfig_r11_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_obtainLocation_r11_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_obtainLocation_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ObtainLocationConfig_r11_sequence[] = {
  { &hf_lte_rrc_obtainLocation_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_obtainLocation_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ObtainLocationConfig_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ObtainLocationConfig_r11, ObtainLocationConfig_r11_sequence);

  return offset;
}


static const per_sequence_t OtherConfig_r9_eag_1_sequence[] = {
  { &hf_lte_rrc_idc_Config_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IDC_Config_r11 },
  { &hf_lte_rrc_powerPrefIndicationConfig_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PowerPrefIndicationConfig_r11 },
  { &hf_lte_rrc_obtainLocationConfig_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ObtainLocationConfig_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_OtherConfig_r9_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, OtherConfig_r9_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_bw_PreferenceIndicationTimer_r14_vals[] = {
  {   0, "s0" },
  {   1, "s0dot5" },
  {   2, "s1" },
  {   3, "s2" },
  {   4, "s5" },
  {   5, "s10" },
  {   6, "s20" },
  {   7, "s30" },
  {   8, "s60" },
  {   9, "s90" },
  {  10, "s120" },
  {  11, "s300" },
  {  12, "s600" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_bw_PreferenceIndicationTimer_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_delayBudgetReportingProhibitTimer_r14_vals[] = {
  {   0, "s0" },
  {   1, "s0dot4" },
  {   2, "s0dot8" },
  {   3, "s1dot6" },
  {   4, "s3" },
  {   5, "s6" },
  {   6, "s12" },
  {   7, "s30" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_delayBudgetReportingProhibitTimer_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_111_sequence[] = {
  { &hf_lte_rrc_delayBudgetReportingProhibitTimer_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_delayBudgetReportingProhibitTimer_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_111(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_111, T_setup_111_sequence);

  return offset;
}


static const value_string lte_rrc_T_delayBudgetReportingConfig_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_delayBudgetReportingConfig_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_127   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_111 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_delayBudgetReportingConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_delayBudgetReportingConfig_r14, T_delayBudgetReportingConfig_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_rlmReportTimer_r14_vals[] = {
  {   0, "s0" },
  {   1, "s0dot5" },
  {   2, "s1" },
  {   3, "s2" },
  {   4, "s5" },
  {   5, "s10" },
  {   6, "s20" },
  {   7, "s30" },
  {   8, "s60" },
  {   9, "s90" },
  {  10, "s120" },
  {  11, "s300" },
  {  12, "s600" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlmReportTimer_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rlmReportRep_MPDCCH_r14_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlmReportRep_MPDCCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_112_sequence[] = {
  { &hf_lte_rrc_rlmReportTimer_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rlmReportTimer_r14 },
  { &hf_lte_rrc_rlmReportRep_MPDCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlmReportRep_MPDCCH_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_112(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_112, T_setup_112_sequence);

  return offset;
}


static const value_string lte_rrc_T_rlm_ReportConfig_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_rlm_ReportConfig_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_128   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_112 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_rlm_ReportConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_rlm_ReportConfig_r14, T_rlm_ReportConfig_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t OtherConfig_r9_eag_2_sequence[] = {
  { &hf_lte_rrc_bw_PreferenceIndicationTimer_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_bw_PreferenceIndicationTimer_r14 },
  { &hf_lte_rrc_sps_AssistanceInfoReport_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_delayBudgetReportingConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_delayBudgetReportingConfig_r14 },
  { &hf_lte_rrc_rlm_ReportConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlm_ReportConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_OtherConfig_r9_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, OtherConfig_r9_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_overheatingIndicationProhibitTimer_r14_vals[] = {
  {   0, "s0" },
  {   1, "s0dot5" },
  {   2, "s1" },
  {   3, "s2" },
  {   4, "s5" },
  {   5, "s10" },
  {   6, "s20" },
  {   7, "s30" },
  {   8, "s60" },
  {   9, "s90" },
  {  10, "s120" },
  {  11, "s300" },
  {  12, "s600" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_overheatingIndicationProhibitTimer_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_113_sequence[] = {
  { &hf_lte_rrc_overheatingIndicationProhibitTimer_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_overheatingIndicationProhibitTimer_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_113(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_113, T_setup_113_sequence);

  return offset;
}


static const value_string lte_rrc_T_overheatingAssistanceConfig_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_overheatingAssistanceConfig_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_129   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_113 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_overheatingAssistanceConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_overheatingAssistanceConfig_r14, T_overheatingAssistanceConfig_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t OtherConfig_r9_eag_3_sequence[] = {
  { &hf_lte_rrc_overheatingAssistanceConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_overheatingAssistanceConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_OtherConfig_r9_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, OtherConfig_r9_eag_3_sequence);

  return offset;
}


static const per_sequence_t OtherConfig_r9_sequence[] = {
  { &hf_lte_rrc_reportProximityConfig_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_ReportProximityConfig_r9 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_OtherConfig_r9_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_OtherConfig_r9_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_OtherConfig_r9_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_OtherConfig_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_OtherConfig_r9, OtherConfig_r9_sequence);

  return offset;
}


static const per_sequence_t AS_Config_eag_1_sequence[] = {
  { &hf_lte_rrc_sourceSystemInformationBlockType1Ext, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sourceSystemInformationBlockType1Ext },
  { &hf_lte_rrc_sourceOtherConfig_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OtherConfig_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, AS_Config_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_SCellIndex_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_cellIdentification_r10_sequence[] = {
  { &hf_lte_rrc_physCellId_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_dl_CarrierFreq_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellIdentification_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellIdentification_r10, T_cellIdentification_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_dl_Bandwidth_r10_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_Bandwidth_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonUL_Configuration_r10_01_sequence[] = {
  { &hf_lte_rrc_dl_Bandwidth_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_Bandwidth_r10 },
  { &hf_lte_rrc_antennaInfoCommon_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AntennaInfoCommon },
  { &hf_lte_rrc_mbsfn_SubframeConfigList_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_SubframeConfigList },
  { &hf_lte_rrc_phich_Config_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PHICH_Config },
  { &hf_lte_rrc_pdsch_ConfigCommon_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDSCH_ConfigCommon },
  { &hf_lte_rrc_tdd_Config_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonUL_Configuration_r10_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonUL_Configuration_r10_01, T_nonUL_Configuration_r10_01_sequence);

  return offset;
}


static const value_string lte_rrc_T_ul_Bandwidth_r10_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_Bandwidth_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_ul_FreqInfo_r10_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_ul_Bandwidth_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Bandwidth_r10 },
  { &hf_lte_rrc_additionalSpectrumEmissionSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_FreqInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_FreqInfo_r10, T_ul_FreqInfo_r10_sequence);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommonSCell_r10_sequence[] = {
  { &hf_lte_rrc_p0_NominalPUSCH_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M126_24 },
  { &hf_lte_rrc_alpha_r10   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Alpha_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommonSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommonSCell_r10, UplinkPowerControlCommonSCell_r10_sequence);

  return offset;
}


static const per_sequence_t PRACH_ConfigSCell_r10_sequence[] = {
  { &hf_lte_rrc_prach_ConfigIndex_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PRACH_ConfigSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PRACH_ConfigSCell_r10, PRACH_ConfigSCell_r10_sequence);

  return offset;
}


static const per_sequence_t T_ul_Configuration_r10_01_sequence[] = {
  { &hf_lte_rrc_ul_FreqInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ul_FreqInfo_r10 },
  { &hf_lte_rrc_p_Max_r10   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_uplinkPowerControlCommonSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UplinkPowerControlCommonSCell_r10 },
  { &hf_lte_rrc_soundingRS_UL_ConfigCommon_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigCommon },
  { &hf_lte_rrc_ul_CyclicPrefixLength_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_CyclicPrefixLength },
  { &hf_lte_rrc_prach_ConfigSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_ConfigSCell_r10 },
  { &hf_lte_rrc_pusch_ConfigCommon_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PUSCH_ConfigCommon },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_Configuration_r10_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_Configuration_r10_01, T_ul_Configuration_r10_01_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_r10_eag_1_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq_v1090, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSCell_r10_eag_1_sequence);

  return offset;
}


static const per_sequence_t T_ra_SupervisionInfo_r11_sequence[] = {
  { &hf_lte_rrc_preambleTransMax_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PreambleTransMax },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ra_SupervisionInfo_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ra_SupervisionInfo_r11, T_ra_SupervisionInfo_r11_sequence);

  return offset;
}


static const per_sequence_t RACH_ConfigCommonSCell_r11_sequence[] = {
  { &hf_lte_rrc_powerRampingParameters_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PowerRampingParameters },
  { &hf_lte_rrc_ra_SupervisionInfo_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ra_SupervisionInfo_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_ConfigCommonSCell_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RACH_ConfigCommonSCell_r11, RACH_ConfigCommonSCell_r11_sequence);

  return offset;
}


static const per_sequence_t PRACH_Config_sequence[] = {
  { &hf_lte_rrc_rootSequenceIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_837 },
  { &hf_lte_rrc_prach_ConfigInfo, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_ConfigInfo },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PRACH_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PRACH_Config, PRACH_Config_sequence);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommonSCell_v1130_sequence[] = {
  { &hf_lte_rrc_deltaPreambleMsg3_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M1_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommonSCell_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommonSCell_v1130, UplinkPowerControlCommonSCell_v1130_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_r10_eag_2_sequence[] = {
  { &hf_lte_rrc_rach_ConfigCommonSCell_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RACH_ConfigCommonSCell_r11 },
  { &hf_lte_rrc_prach_ConfigSCell_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_Config },
  { &hf_lte_rrc_tdd_Config_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config_v1130 },
  { &hf_lte_rrc_uplinkPowerControlCommonSCell_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlCommonSCell_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSCell_r10_eag_2_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_r10_eag_3_sequence[] = {
  { &hf_lte_rrc_pusch_ConfigCommon_v1270, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigCommon_v1270 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSCell_r10_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format3_r12_01_vals[] = {
  {   0, "deltaF-1" },
  {   1, "deltaF0" },
  {   2, "deltaF1" },
  {   3, "deltaF2" },
  {   4, "deltaF3" },
  {   5, "deltaF4" },
  {   6, "deltaF5" },
  {   7, "deltaF6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format3_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format1bCS_r12_01_vals[] = {
  {   0, "deltaF1" },
  {   1, "deltaF2" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format1bCS_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format4_r13_01_vals[] = {
  {   0, "deltaF16" },
  {   1, "deltaF15" },
  {   2, "deltaF14" },
  {   3, "deltaF13" },
  {   4, "deltaF12" },
  {   5, "deltaF11" },
  {   6, "deltaF10" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format4_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format5_13_01_vals[] = {
  {   0, "deltaF13" },
  {   1, "deltaF12" },
  {   2, "deltaF11" },
  {   3, "deltaF10" },
  {   4, "deltaF9" },
  {   5, "deltaF8" },
  {   6, "deltaF7" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format5_13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommonSCell_v1310_sequence[] = {
  { &hf_lte_rrc_p0_NominalPUCCH, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M127_M96 },
  { &hf_lte_rrc_deltaFList_PUCCH, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DeltaFList_PUCCH },
  { &hf_lte_rrc_deltaF_PUCCH_Format3_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_deltaF_PUCCH_Format3_r12_01 },
  { &hf_lte_rrc_deltaF_PUCCH_Format1bCS_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_deltaF_PUCCH_Format1bCS_r12_01 },
  { &hf_lte_rrc_deltaF_PUCCH_Format4_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_deltaF_PUCCH_Format4_r13_01 },
  { &hf_lte_rrc_deltaF_PUCCH_Format5_13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_deltaF_PUCCH_Format5_13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommonSCell_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommonSCell_v1310, UplinkPowerControlCommonSCell_v1310_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_r10_eag_4_sequence[] = {
  { &hf_lte_rrc_pucch_ConfigCommon_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigCommon },
  { &hf_lte_rrc_uplinkPowerControlCommonSCell_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlCommonSCell_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSCell_r10_eag_4_sequence);

  return offset;
}


static const value_string lte_rrc_T_highSpeedEnhancedDemodulationFlag_r14_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_highSpeedEnhancedDemodulationFlag_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t HighSpeedConfigSCell_r14_sequence[] = {
  { &hf_lte_rrc_highSpeedEnhancedDemodulationFlag_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_highSpeedEnhancedDemodulationFlag_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HighSpeedConfigSCell_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HighSpeedConfigSCell_r14, HighSpeedConfigSCell_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_ARFCN_ValueEUTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxEARFCN2, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_ul_Bandwidth_r14_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_Bandwidth_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_ul_FreqInfo_r14_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_ul_Bandwidth_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Bandwidth_r14 },
  { &hf_lte_rrc_additionalSpectrumEmissionSCell_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_FreqInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_FreqInfo_r14, T_ul_FreqInfo_r14_sequence);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommonPUSCH_LessCell_v1430_sequence[] = {
  { &hf_lte_rrc_p0_Nominal_PeriodicSRS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M126_24 },
  { &hf_lte_rrc_p0_Nominal_AperiodicSRS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M126_24 },
  { &hf_lte_rrc_alpha_SRS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Alpha_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommonPUSCH_LessCell_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommonPUSCH_LessCell_v1430, UplinkPowerControlCommonPUSCH_LessCell_v1430_sequence);

  return offset;
}


static const per_sequence_t T_ul_Configuration_r14_sequence[] = {
  { &hf_lte_rrc_ul_FreqInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ul_FreqInfo_r14 },
  { &hf_lte_rrc_p_Max_r14   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_soundingRS_UL_ConfigCommon_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigCommon },
  { &hf_lte_rrc_ul_CyclicPrefixLength_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_CyclicPrefixLength },
  { &hf_lte_rrc_prach_ConfigSCell_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_ConfigSCell_r10 },
  { &hf_lte_rrc_uplinkPowerControlCommonPUSCH_LessCell_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlCommonPUSCH_LessCell_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_Configuration_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_Configuration_r14, T_ul_Configuration_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_harq_ReferenceConfig_r14_vals[] = {
  {   0, "sa2" },
  {   1, "sa4" },
  {   2, "sa5" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_harq_ReferenceConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_soundingRS_FlexibleTiming_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_soundingRS_FlexibleTiming_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_r10_eag_5_sequence[] = {
  { &hf_lte_rrc_highSpeedConfigSCell_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HighSpeedConfigSCell_r14 },
  { &hf_lte_rrc_prach_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_Config_v1430 },
  { &hf_lte_rrc_ul_Configuration_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Configuration_r14 },
  { &hf_lte_rrc_harq_ReferenceConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_harq_ReferenceConfig_r14 },
  { &hf_lte_rrc_soundingRS_FlexibleTiming_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_soundingRS_FlexibleTiming_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSCell_r10_eag_5_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_r10_eag_6_sequence[] = {
  { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_SubframeConfigList_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSCell_r10_eag_6_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_r10_sequence[] = {
  { &hf_lte_rrc_nonUL_Configuration_r10_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nonUL_Configuration_r10_01 },
  { &hf_lte_rrc_ul_Configuration_r10_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Configuration_r10_01 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_r10_eag_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommonSCell_r10, RadioResourceConfigCommonSCell_r10_sequence);

  return offset;
}


static const per_sequence_t T_own_r10_sequence[] = {
  { &hf_lte_rrc_cif_Presence_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_own_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_own_r10, T_own_r10_sequence);

  return offset;
}



static int
dissect_lte_rrc_ServCellIndex_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_other_r10_sequence[] = {
  { &hf_lte_rrc_schedulingCellId_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r10 },
  { &hf_lte_rrc_pdsch_Start_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_other_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_other_r10, T_other_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_schedulingCellInfo_r10_vals[] = {
  {   0, "own-r10" },
  {   1, "other-r10" },
  { 0, NULL }
};

static const per_choice_t T_schedulingCellInfo_r10_choice[] = {
  {   0, &hf_lte_rrc_own_r10     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_own_r10 },
  {   1, &hf_lte_rrc_other_r10   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_other_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_schedulingCellInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_schedulingCellInfo_r10, T_schedulingCellInfo_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CrossCarrierSchedulingConfig_r10_sequence[] = {
  { &hf_lte_rrc_schedulingCellInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_schedulingCellInfo_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CrossCarrierSchedulingConfig_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CrossCarrierSchedulingConfig_r10, CrossCarrierSchedulingConfig_r10_sequence);

  return offset;
}


static const per_sequence_t T_nonUL_Configuration_r10_sequence[] = {
  { &hf_lte_rrc_antennaInfo_r10_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_r10 },
  { &hf_lte_rrc_crossCarrierSchedulingConfig_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CrossCarrierSchedulingConfig_r10 },
  { &hf_lte_rrc_csi_RS_Config_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_r10 },
  { &hf_lte_rrc_pdsch_ConfigDedicated_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonUL_Configuration_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonUL_Configuration_r10, T_nonUL_Configuration_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_groupHoppingDisabled_r10_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_groupHoppingDisabled_r10_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dmrs_WithOCC_Activated_r10_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dmrs_WithOCC_Activated_r10_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigDedicatedSCell_r10_sequence[] = {
  { &hf_lte_rrc_groupHoppingDisabled_r10_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_groupHoppingDisabled_r10_01 },
  { &hf_lte_rrc_dmrs_WithOCC_Activated_r10_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_WithOCC_Activated_r10_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigDedicatedSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigDedicatedSCell_r10, PUSCH_ConfigDedicatedSCell_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_deltaMCS_Enabled_r10_vals[] = {
  {   0, "en0" },
  {   1, "en1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaMCS_Enabled_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pathlossReferenceLinking_r10_vals[] = {
  {   0, "pCell" },
  {   1, "sCell" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pathlossReferenceLinking_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlDedicatedSCell_r10_sequence[] = {
  { &hf_lte_rrc_p0_UE_PUSCH_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_7 },
  { &hf_lte_rrc_deltaMCS_Enabled_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaMCS_Enabled_r10 },
  { &hf_lte_rrc_accumulationEnabled_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_pSRS_Offset_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_pSRS_OffsetAp_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_filterCoefficient_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FilterCoefficient },
  { &hf_lte_rrc_pathlossReferenceLinking_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pathlossReferenceLinking_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlDedicatedSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlDedicatedSCell_r10, UplinkPowerControlDedicatedSCell_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_pmi_RI_Report_r10_vals[] = {
  {   0, "setup" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pmi_RI_Report_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CQI_ReportConfigSCell_r10_sequence[] = {
  { &hf_lte_rrc_cqi_ReportModeAperiodic_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportModeAperiodic },
  { &hf_lte_rrc_nomPDSCH_RS_EPRE_Offset_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M1_6 },
  { &hf_lte_rrc_cqi_ReportPeriodicSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportPeriodic_r10 },
  { &hf_lte_rrc_pmi_RI_Report_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pmi_RI_Report_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CQI_ReportConfigSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CQI_ReportConfigSCell_r10, CQI_ReportConfigSCell_r10_sequence);

  return offset;
}


static const per_sequence_t T_ul_Configuration_r10_sequence[] = {
  { &hf_lte_rrc_antennaInfoUL_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoUL_r10 },
  { &hf_lte_rrc_pusch_ConfigDedicatedSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicatedSCell_r10 },
  { &hf_lte_rrc_uplinkPowerControlDedicatedSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicatedSCell_r10 },
  { &hf_lte_rrc_cqi_ReportConfigSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfigSCell_r10 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicated_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicated },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicated_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicated_v1020 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_Configuration_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_Configuration_r10, T_ul_Configuration_r10_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicatedSCell_r10_eag_1_sequence[] = {
  { &hf_lte_rrc_csi_RS_ConfigNZPToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11 },
  { &hf_lte_rrc_csi_RS_ConfigNZPToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11 },
  { &hf_lte_rrc_csi_RS_ConfigZPToReleaseList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11 },
  { &hf_lte_rrc_csi_RS_ConfigZPToAddModList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigZPToAddModList_r11 },
  { &hf_lte_rrc_epdcch_Config_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_EPDCCH_Config_r11 },
  { &hf_lte_rrc_pdsch_ConfigDedicated_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated_v1130 },
  { &hf_lte_rrc_cqi_ReportConfig_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1130 },
  { &hf_lte_rrc_pusch_ConfigDedicated_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicated_v1130 },
  { &hf_lte_rrc_uplinkPowerControlDedicatedSCell_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicated_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicatedSCell_r10_eag_1_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicatedSCell_r10_eag_2_sequence[] = {
  { &hf_lte_rrc_antennaInfo_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v1250 },
  { &hf_lte_rrc_eimta_MainConfigSCell_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_EIMTA_MainConfigServCell_r12 },
  { &hf_lte_rrc_cqi_ReportConfigSCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1250 },
  { &hf_lte_rrc_uplinkPowerControlDedicatedSCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicated_v1250 },
  { &hf_lte_rrc_csi_RS_Config_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicatedSCell_r10_eag_2_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicatedSCell_r10_eag_3_sequence[] = {
  { &hf_lte_rrc_pdsch_ConfigDedicated_v1280, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated_v1280 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicatedSCell_r10_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_Cell_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_Cell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_sr_ConfigIndex_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  guint16 periodicity, subframe_offset;
  proto_item *ti;
  proto_tree *subtree;
  gint index_offset = offset;
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 157U, &value, FALSE);

  /* Break config index into its parts */
  sr_lookup_configindex(value, &periodicity, &subframe_offset);
  /* Show parts as generated fields */
  subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_sr_ConfigIndex);
  ti = proto_tree_add_uint(subtree, hf_lte_rrc_sr_config_periodicity, tvb, index_offset>>3, 1, periodicity);
  PROTO_ITEM_SET_GENERATED(ti);
  ti = proto_tree_add_uint(subtree, hf_lte_rrc_sr_config_subframe_offset, tvb, index_offset>>3, 1, subframe_offset);
  PROTO_ITEM_SET_GENERATED(ti);


  return offset;
}


static const value_string lte_rrc_T_dsr_TransMax_r13_vals[] = {
  {   0, "n4" },
  {   1, "n8" },
  {   2, "n16" },
  {   3, "n32" },
  {   4, "n64" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dsr_TransMax_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_81_sequence[] = {
  { &hf_lte_rrc_sr_PUCCH_ResourceIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { &hf_lte_rrc_sr_PUCCH_ResourceIndexP1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_2047 },
  { &hf_lte_rrc_sr_ConfigIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sr_ConfigIndex_r13 },
  { &hf_lte_rrc_dsr_TransMax_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dsr_TransMax_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_81(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_81, T_setup_81_sequence);

  return offset;
}


static const value_string lte_rrc_SchedulingRequestConfigSCell_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SchedulingRequestConfigSCell_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_94    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_81 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SchedulingRequestConfigSCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SchedulingRequestConfigSCell_r13, SchedulingRequestConfigSCell_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_setup_99_sequence[] = {
  { &hf_lte_rrc_tpc_Index_PUCCH_SCell_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TPC_Index },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_99(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_99, T_setup_99_sequence);

  return offset;
}


static const value_string lte_rrc_TPC_PDCCH_ConfigSCell_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t TPC_PDCCH_ConfigSCell_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_112   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_99 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_TPC_PDCCH_ConfigSCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_TPC_PDCCH_ConfigSCell_r13, TPC_PDCCH_ConfigSCell_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlDedicatedSCell_v1310_sequence[] = {
  { &hf_lte_rrc_p0_UE_PUCCH , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_7 },
  { &hf_lte_rrc_deltaTxD_OffsetListPUCCH_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DeltaTxD_OffsetListPUCCH_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlDedicatedSCell_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlDedicatedSCell_v1310, UplinkPowerControlDedicatedSCell_v1310_sequence);

  return offset;
}


static const per_sequence_t T_setup_51_sequence[] = {
  { &hf_lte_rrc_pucch_ConfigDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated_r13 },
  { &hf_lte_rrc_schedulingRequestConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SchedulingRequestConfigSCell_r13 },
  { &hf_lte_rrc_tpc_PDCCH_ConfigPUCCH_SCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TPC_PDCCH_ConfigSCell_r13 },
  { &hf_lte_rrc_pusch_ConfigDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicated_r13 },
  { &hf_lte_rrc_uplinkPowerControlDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicatedSCell_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_51(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_51, T_setup_51_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_SCell_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_pucch_SCell_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_60    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_51 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pucch_SCell(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pucch_SCell, T_pucch_SCell_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_own_r13_sequence[] = {
  { &hf_lte_rrc_cif_Presence_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_own_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_own_r13, T_own_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_other_r13_sequence[] = {
  { &hf_lte_rrc_schedulingCellId_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r13 },
  { &hf_lte_rrc_pdsch_Start_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_cif_InSchedulingCell_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_other_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_other_r13, T_other_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_schedulingCellInfo_r13_vals[] = {
  {   0, "own-r13" },
  {   1, "other-r13" },
  { 0, NULL }
};

static const per_choice_t T_schedulingCellInfo_r13_choice[] = {
  {   0, &hf_lte_rrc_own_r13     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_own_r13 },
  {   1, &hf_lte_rrc_other_r13   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_other_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_schedulingCellInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_schedulingCellInfo_r13, T_schedulingCellInfo_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CrossCarrierSchedulingConfig_r13_sequence[] = {
  { &hf_lte_rrc_schedulingCellInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_schedulingCellInfo_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CrossCarrierSchedulingConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CrossCarrierSchedulingConfig_r13, CrossCarrierSchedulingConfig_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_skipMonitoringDCI_format0_1A_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipMonitoringDCI_format0_1A_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCCH_ConfigSCell_r13_sequence[] = {
  { &hf_lte_rrc_skipMonitoringDCI_format0_1A_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipMonitoringDCI_format0_1A_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCCH_ConfigSCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCCH_ConfigSCell_r13, PDCCH_ConfigSCell_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_subframeStartPosition_r13_vals[] = {
  {   0, "s0" },
  {   1, "s07" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_subframeStartPosition_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LAA_SCellConfiguration_r13_sequence[] = {
  { &hf_lte_rrc_subframeStartPosition_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_subframeStartPosition_r13 },
  { &hf_lte_rrc_laa_SCellSubframeConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LAA_SCellConfiguration_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LAA_SCellConfiguration_r13, LAA_SCellConfiguration_r13_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicatedSCell_r10_eag_4_sequence[] = {
  { &hf_lte_rrc_pucch_Cell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_Cell_r13 },
  { &hf_lte_rrc_pucch_SCell , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_SCell },
  { &hf_lte_rrc_crossCarrierSchedulingConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CrossCarrierSchedulingConfig_r13 },
  { &hf_lte_rrc_pdcch_ConfigSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCCH_ConfigSCell_r13 },
  { &hf_lte_rrc_cqi_ReportConfig_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1310 },
  { &hf_lte_rrc_pdsch_ConfigDedicated_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicated_v1310 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicated_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicated_v1310 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedUpPTsExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1310 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 },
  { &hf_lte_rrc_csi_RS_Config_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_v1310 },
  { &hf_lte_rrc_laa_SCellConfiguration_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LAA_SCellConfiguration_r13 },
  { &hf_lte_rrc_csi_RS_ConfigNZPToAddModListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13 },
  { &hf_lte_rrc_csi_RS_ConfigNZPToReleaseListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicatedSCell_r10_eag_4_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicatedSCell_r10_eag_5_sequence[] = {
  { &hf_lte_rrc_cqi_ReportConfig_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1320 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicatedSCell_r10_eag_5_sequence);

  return offset;
}


static const per_sequence_t CrossCarrierSchedulingConfigLAA_UL_r14_sequence[] = {
  { &hf_lte_rrc_schedulingCellId_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r13 },
  { &hf_lte_rrc_cif_InSchedulingCell_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CrossCarrierSchedulingConfigLAA_UL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CrossCarrierSchedulingConfigLAA_UL_r14, CrossCarrierSchedulingConfigLAA_UL_r14_sequence);

  return offset;
}


static const per_sequence_t T_setup_54_sequence[] = {
  { &hf_lte_rrc_crossCarrierSchedulingConfigLAA_UL_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CrossCarrierSchedulingConfigLAA_UL_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_54(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_54, T_setup_54_sequence);

  return offset;
}


static const value_string lte_rrc_T_crossCarrierSchedulingConfig_UL_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_crossCarrierSchedulingConfig_UL_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_63    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_54 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_crossCarrierSchedulingConfig_UL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_crossCarrierSchedulingConfig_UL_r14, T_crossCarrierSchedulingConfig_UL_r14_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M85_M52(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -85, -52, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M13_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -13, 20U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_LBT_Config_r14_vals[] = {
  {   0, "maxEnergyDetectionThreshold-r14" },
  {   1, "energyDetectionThresholdOffset-r14" },
  { 0, NULL }
};

static const per_choice_t LBT_Config_r14_choice[] = {
  {   0, &hf_lte_rrc_maxEnergyDetectionThreshold_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_M85_M52 },
  {   1, &hf_lte_rrc_energyDetectionThresholdOffset_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_M13_20 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_LBT_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_LBT_Config_r14, LBT_Config_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_maxNumberOfSchedSubframes_Format0B_r14_vals[] = {
  {   0, "sf2" },
  {   1, "sf3" },
  {   2, "sf4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxNumberOfSchedSubframes_Format0B_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_maxNumberOfSchedSubframes_Format4B_r14_vals[] = {
  {   0, "sf2" },
  {   1, "sf3" },
  {   2, "sf4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxNumberOfSchedSubframes_Format4B_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_skipMonitoringDCI_Format0A_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipMonitoringDCI_Format0A_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_skipMonitoringDCI_Format4A_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipMonitoringDCI_Format4A_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_PDCCH_CandidateReductionValue_r14_vals[] = {
  {   0, "n0" },
  {   1, "n50" },
  {   2, "n100" },
  {   3, "n150" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PDCCH_CandidateReductionValue_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_42_sequence[] = {
  { &hf_lte_rrc_pdcch_candidateReductionAL1_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r13 },
  { &hf_lte_rrc_pdcch_candidateReductionAL2_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r13 },
  { &hf_lte_rrc_pdcch_candidateReductionAL3_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r14 },
  { &hf_lte_rrc_pdcch_candidateReductionAL4_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r14 },
  { &hf_lte_rrc_pdcch_candidateReductionAL5_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCCH_CandidateReductionValue_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_42(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_42, T_setup_42_sequence);

  return offset;
}


static const value_string lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t PDCCH_CandidateReductionsLAA_UL_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_50    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_42 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14, PDCCH_CandidateReductionsLAA_UL_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PDCCH_ConfigLAA_r14_sequence[] = {
  { &hf_lte_rrc_maxNumberOfSchedSubframes_Format0B_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxNumberOfSchedSubframes_Format0B_r14 },
  { &hf_lte_rrc_maxNumberOfSchedSubframes_Format4B_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxNumberOfSchedSubframes_Format4B_r14 },
  { &hf_lte_rrc_skipMonitoringDCI_Format0A_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipMonitoringDCI_Format0A_r14 },
  { &hf_lte_rrc_skipMonitoringDCI_Format4A_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipMonitoringDCI_Format4A_r14 },
  { &hf_lte_rrc_pdcch_CandidateReductions_Format0A_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCCH_CandidateReductions_r13 },
  { &hf_lte_rrc_pdcch_CandidateReductions_Format4A_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14 },
  { &hf_lte_rrc_pdcch_CandidateReductions_Format0B_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14 },
  { &hf_lte_rrc_pdcch_CandidateReductions_Format4B_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCCH_ConfigLAA_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCCH_ConfigLAA_r14, PDCCH_ConfigLAA_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_absenceOfAnyOtherTechnology_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_absenceOfAnyOtherTechnology_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_92_sequence[] = {
  { &hf_lte_rrc_srs_SubframeIndication_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_92(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_92, T_setup_92_sequence);

  return offset;
}


static const value_string lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1430_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SoundingRS_UL_ConfigDedicatedAperiodic_v1430_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_105   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_92 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1430, SoundingRS_UL_ConfigDedicatedAperiodic_v1430_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t LAA_SCellConfiguration_v1430_sequence[] = {
  { &hf_lte_rrc_crossCarrierSchedulingConfig_UL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crossCarrierSchedulingConfig_UL_r14 },
  { &hf_lte_rrc_lbt_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LBT_Config_r14 },
  { &hf_lte_rrc_pdcch_ConfigLAA_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCCH_ConfigLAA_r14 },
  { &hf_lte_rrc_absenceOfAnyOtherTechnology_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_absenceOfAnyOtherTechnology_r14 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LAA_SCellConfiguration_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LAA_SCellConfiguration_v1430, LAA_SCellConfiguration_v1430_sequence);

  return offset;
}


static const per_sequence_t UplinkPUSCH_LessPowerControlDedicated_v1430_sequence[] = {
  { &hf_lte_rrc_p0_UE_PeriodicSRS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M8_7 },
  { &hf_lte_rrc_p0_UE_AperiodicSRS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M8_7 },
  { &hf_lte_rrc_accumulationEnabled_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPUSCH_LessPowerControlDedicated_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPUSCH_LessPowerControlDedicated_v1430, UplinkPUSCH_LessPowerControlDedicated_v1430_sequence);

  return offset;
}


static const per_sequence_t SoundingRS_AperiodicSet_r14_sequence[] = {
  { &hf_lte_rrc_srs_CC_SetIndexList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_AperiodicSet_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SoundingRS_AperiodicSet_r14, SoundingRS_AperiodicSet_r14_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14_sequence_of[1] = {
  { &hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_item_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_AperiodicSet_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14, SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const per_sequence_t SoundingRS_AperiodicSetUpPTsExt_r14_sequence[] = {
  { &hf_lte_rrc_srs_CC_SetIndexList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SoundingRS_AperiodicSetUpPTsExt_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SoundingRS_AperiodicSetUpPTsExt_r14, SoundingRS_AperiodicSetUpPTsExt_r14_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14_sequence_of[1] = {
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_item_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SoundingRS_AperiodicSetUpPTsExt_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14, SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const value_string lte_rrc_T_k_max_r14_01_vals[] = {
  {   0, "l1" },
  {   1, "l3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_k_max_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_p_a_must_r14_01_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4dot77" },
  {   2, "dB-3" },
  {   3, "dB-1dot77" },
  {   4, "dB0" },
  {   5, "dB1" },
  {   6, "dB2" },
  {   7, "dB3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_p_a_must_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_52_sequence[] = {
  { &hf_lte_rrc_k_max_r14_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_k_max_r14_01 },
  { &hf_lte_rrc_p_a_must_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_p_a_must_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_52(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_52, T_setup_52_sequence);

  return offset;
}


static const value_string lte_rrc_T_must_Config_r14_01_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_must_Config_r14_01_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_61    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_52 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_must_Config_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_must_Config_r14_01, T_must_Config_r14_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUSCH_ConfigDedicatedSCell_v1430_sequence[] = {
  { &hf_lte_rrc_enable256QAM_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Enable256QAM_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUSCH_ConfigDedicatedSCell_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUSCH_ConfigDedicatedSCell_v1430, PUSCH_ConfigDedicatedSCell_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_tbsIndexAlt2_r14_01_vals[] = {
  {   0, "b33" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tbsIndexAlt2_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDSCH_ConfigDedicatedSCell_v1430_sequence[] = {
  { &hf_lte_rrc_tbsIndexAlt2_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tbsIndexAlt2_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDSCH_ConfigDedicatedSCell_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDSCH_ConfigDedicatedSCell_v1430, PDSCH_ConfigDedicatedSCell_v1430_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicatedSCell_r10_eag_6_sequence[] = {
  { &hf_lte_rrc_laa_SCellConfiguration_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LAA_SCellConfiguration_v1430 },
  { &hf_lte_rrc_typeB_SRS_TPC_PDCCH_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SRS_TPC_PDCCH_Config_r14 },
  { &hf_lte_rrc_uplinkPUSCH_LessPowerControlDedicated_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPUSCH_LessPowerControlDedicated_v1430 },
  { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated },
  { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedUpPTsExtList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13 },
  { &hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14 },
  { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14 },
  { &hf_lte_rrc_must_Config_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_must_Config_r14_01 },
  { &hf_lte_rrc_pusch_ConfigDedicated_v1430_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigDedicatedSCell_v1430 },
  { &hf_lte_rrc_csi_RS_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_Config_v1430 },
  { &hf_lte_rrc_csi_RS_ConfigZP_ApList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSI_RS_ConfigZP_ApList_r14 },
  { &hf_lte_rrc_cqi_ReportConfig_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CQI_ReportConfig_v1430 },
  { &hf_lte_rrc_semiOpenLoop_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_pdsch_ConfigDedicatedSCell_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigDedicatedSCell_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicatedSCell_r10_eag_6_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicatedSCell_r10_sequence[] = {
  { &hf_lte_rrc_nonUL_Configuration_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonUL_Configuration_r10 },
  { &hf_lte_rrc_ul_Configuration_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Configuration_r10 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10_eag_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhysicalConfigDedicatedSCell_r10, PhysicalConfigDedicatedSCell_r10_sequence);

  return offset;
}


static const per_sequence_t MAC_MainConfigSCell_r11_sequence[] = {
  { &hf_lte_rrc_stag_Id_r11 , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_STAG_Id_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfigSCell_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_MainConfigSCell_r11, MAC_MainConfigSCell_r11_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedSCell_r10_eag_1_sequence[] = {
  { &hf_lte_rrc_mac_MainConfigSCell_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MAC_MainConfigSCell_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicatedSCell_r10_eag_1_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedSCell_r10_eag_2_sequence[] = {
  { &hf_lte_rrc_naics_Info_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NAICS_AssistanceInfo_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicatedSCell_r10_eag_2_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedSCell_r10_eag_3_sequence[] = {
  { &hf_lte_rrc_neighCellsCRS_InfoSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NeighCellsCRS_Info_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicatedSCell_r10_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_Format_v1370_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_pucch_Format_v1370_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_75    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PUCCH_Format3_Conf_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pucch_Format_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pucch_Format_v1370, T_pucch_Format_v1370_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PUCCH_ConfigDedicated_v1370_sequence[] = {
  { &hf_lte_rrc_pucch_Format_v1370, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pucch_Format_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PUCCH_ConfigDedicated_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PUCCH_ConfigDedicated_v1370, PUCCH_ConfigDedicated_v1370_sequence);

  return offset;
}


static const per_sequence_t T_setup_53_sequence[] = {
  { &hf_lte_rrc_pucch_ConfigDedicated_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_53(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_53, T_setup_53_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_SCell_v1370_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_pucch_SCell_v1370_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_62    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_53 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pucch_SCell_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pucch_SCell_v1370, T_pucch_SCell_v1370_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicatedSCell_v1370_sequence[] = {
  { &hf_lte_rrc_pucch_SCell_v1370, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pucch_SCell_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicatedSCell_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhysicalConfigDedicatedSCell_v1370, PhysicalConfigDedicatedSCell_v1370_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedSCell_r10_eag_4_sequence[] = {
  { &hf_lte_rrc_physicalConfigDedicatedSCell_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhysicalConfigDedicatedSCell_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicatedSCell_r10_eag_4_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedSCell_r10_sequence[] = {
  { &hf_lte_rrc_physicalConfigDedicatedSCell_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysicalConfigDedicatedSCell_r10 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10_eag_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigDedicatedSCell_r10, RadioResourceConfigDedicatedSCell_r10_sequence);

  return offset;
}


static const per_sequence_t SCellToAddMod_r10_eag_1_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_v1090, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCellToAddMod_r10_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SCellToAddMod_r10_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_maxLayersMIMO_r10_vals[] = {
  {   0, "twoLayers" },
  {   1, "fourLayers" },
  {   2, "eightLayers" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxLayersMIMO_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AntennaInfoDedicated_v10i0_sequence[] = {
  { &hf_lte_rrc_maxLayersMIMO_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxLayersMIMO_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AntennaInfoDedicated_v10i0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AntennaInfoDedicated_v10i0, AntennaInfoDedicated_v10i0_sequence);

  return offset;
}


static const per_sequence_t SCellToAddMod_r10_eag_2_sequence[] = {
  { &hf_lte_rrc_antennaInfoDedicatedSCell_v10i0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v10i0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCellToAddMod_r10_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SCellToAddMod_r10_eag_2_sequence);

  return offset;
}


static const per_sequence_t SCellToAddMod_r10_eag_3_sequence[] = {
  { &hf_lte_rrc_srs_SwitchFromServCellIndex_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCellToAddMod_r10_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SCellToAddMod_r10_eag_3_sequence);

  return offset;
}


static const per_sequence_t SCellToAddMod_r10_sequence[] = {
  { &hf_lte_rrc_sCellIndex_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellIndex_r10 },
  { &hf_lte_rrc_cellIdentification_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_cellIdentification_r10 },
  { &hf_lte_rrc_radioResourceConfigCommonSCell_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigCommonSCell_r10 },
  { &hf_lte_rrc_radioResourceConfigDedicatedSCell_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellToAddMod_r10_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellToAddMod_r10_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellToAddMod_r10_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCellToAddMod_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCellToAddMod_r10, SCellToAddMod_r10_sequence);

  return offset;
}


static const per_sequence_t SCellToAddModList_r10_sequence_of[1] = {
  { &hf_lte_rrc_SCellToAddModList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellToAddMod_r10 },
};

static int
dissect_lte_rrc_SCellToAddModList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToAddModList_r10, SCellToAddModList_r10_sequence_of,
                                                  1, maxSCell_r10, FALSE);

  return offset;
}


static const per_sequence_t AS_Config_eag_2_sequence[] = {
  { &hf_lte_rrc_sourceSCellConfigList_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModList_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, AS_Config_eag_2_sequence);

  return offset;
}


static const per_sequence_t T_scg_r12_sequence[] = {
  { &hf_lte_rrc_eps_BearerIdentity_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_pdcp_Config_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCP_Config },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_scg_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_scg_r12, T_scg_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_drb_Type_r12_01_vals[] = {
  {   0, "split-r12" },
  {   1, "scg-r12" },
  { 0, NULL }
};

static const per_choice_t T_drb_Type_r12_01_choice[] = {
  {   0, &hf_lte_rrc_split_r12   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_scg_r12     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_scg_r12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_drb_Type_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_drb_Type_r12_01, T_drb_Type_r12_01_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_3_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            3U, 10U, NULL, FALSE);

  return offset;
}


static const per_sequence_t DRB_ToAddModSCG_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_rlc_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddModSCG_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, DRB_ToAddModSCG_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t DRB_ToAddModSCG_r12_sequence[] = {
  { &hf_lte_rrc_drb_Identity_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_Identity },
  { &hf_lte_rrc_drb_Type_r12_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_Type_r12_01 },
  { &hf_lte_rrc_rlc_ConfigSCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config },
  { &hf_lte_rrc_rlc_Config_v1250, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_v1250 },
  { &hf_lte_rrc_logicalChannelIdentitySCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_3_10 },
  { &hf_lte_rrc_logicalChannelConfigSCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_LogicalChannelConfig },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddModSCG_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddModSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRB_ToAddModSCG_r12, DRB_ToAddModSCG_r12_sequence);

  return offset;
}


static const per_sequence_t DRB_ToAddModListSCG_r12_sequence_of[1] = {
  { &hf_lte_rrc_DRB_ToAddModListSCG_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddModSCG_r12 },
};

static int
dissect_lte_rrc_DRB_ToAddModListSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DRB_ToAddModListSCG_r12, DRB_ToAddModListSCG_r12_sequence_of,
                                                  1, maxDRB, FALSE);

  return offset;
}


static const value_string lte_rrc_T_t313_r12_vals[] = {
  {   0, "ms0" },
  {   1, "ms50" },
  {   2, "ms100" },
  {   3, "ms200" },
  {   4, "ms500" },
  {   5, "ms1000" },
  {   6, "ms2000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t313_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n313_r12_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n6" },
  {   5, "n8" },
  {   6, "n10" },
  {   7, "n20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n313_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n314_r12_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n5" },
  {   5, "n6" },
  {   6, "n8" },
  {   7, "n10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n314_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_79_sequence[] = {
  { &hf_lte_rrc_t313_r12    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t313_r12 },
  { &hf_lte_rrc_n313_r12    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n313_r12 },
  { &hf_lte_rrc_n314_r12    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n314_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_79(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_79, T_setup_79_sequence);

  return offset;
}


static const value_string lte_rrc_RLF_TimersAndConstantsSCG_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t RLF_TimersAndConstantsSCG_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_92    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_79 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RLF_TimersAndConstantsSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RLF_TimersAndConstantsSCG_r12, RLF_TimersAndConstantsSCG_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedSCG_r12_sequence[] = {
  { &hf_lte_rrc_drb_ToAddModListSCG_r12_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DRB_ToAddModListSCG_r12 },
  { &hf_lte_rrc_mac_MainConfigSCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MAC_MainConfig },
  { &hf_lte_rrc_rlf_TimersAndConstantsSCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RLF_TimersAndConstantsSCG_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigDedicatedSCG_r12, RadioResourceConfigDedicatedSCG_r12_sequence);

  return offset;
}


static const per_sequence_t SCellToReleaseList_r10_sequence_of[1] = {
  { &hf_lte_rrc_SCellToReleaseList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellIndex_r10 },
};

static int
dissect_lte_rrc_SCellToReleaseList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToReleaseList_r10, SCellToReleaseList_r10_sequence_of,
                                                  1, maxSCell_r10, FALSE);

  return offset;
}


static const per_sequence_t T_cellIdentification_r12_01_sequence[] = {
  { &hf_lte_rrc_physCellId_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_dl_CarrierFreq_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellIdentification_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellIdentification_r12_01, T_cellIdentification_r12_01_sequence);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format3_r12_vals[] = {
  {   0, "deltaF-1" },
  {   1, "deltaF0" },
  {   2, "deltaF1" },
  {   3, "deltaF2" },
  {   4, "deltaF3" },
  {   5, "deltaF4" },
  {   6, "deltaF5" },
  {   7, "deltaF6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format3_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format1bCS_r12_vals[] = {
  {   0, "deltaF1" },
  {   1, "deltaF2" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format1bCS_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommonPSCell_r12_sequence[] = {
  { &hf_lte_rrc_deltaF_PUCCH_Format3_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format3_r12 },
  { &hf_lte_rrc_deltaF_PUCCH_Format1bCS_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deltaF_PUCCH_Format1bCS_r12 },
  { &hf_lte_rrc_p0_NominalPUCCH_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M127_M96 },
  { &hf_lte_rrc_deltaFList_PUCCH_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DeltaFList_PUCCH },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommonPSCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommonPSCell_r12, UplinkPowerControlCommonPSCell_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format4_r13_vals[] = {
  {   0, "deltaF16" },
  {   1, "deltaF15" },
  {   2, "deltaF14" },
  {   3, "deltaF13" },
  {   4, "deltaF12" },
  {   5, "deltaF11" },
  {   6, "deltaF10" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format4_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deltaF_PUCCH_Format5_13_vals[] = {
  {   0, "deltaF13" },
  {   1, "deltaF12" },
  {   2, "deltaF11" },
  {   3, "deltaF10" },
  {   4, "deltaF9" },
  {   5, "deltaF8" },
  {   6, "deltaF7" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deltaF_PUCCH_Format5_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommon_v1310_sequence[] = {
  { &hf_lte_rrc_deltaF_PUCCH_Format4_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_deltaF_PUCCH_Format4_r13 },
  { &hf_lte_rrc_deltaF_PUCCH_Format5_13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_deltaF_PUCCH_Format5_13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommon_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommon_v1310, UplinkPowerControlCommon_v1310_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonPSCell_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_uplinkPowerControlCommonPSCell_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlCommon_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonPSCell_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonPSCell_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonPSCell_r12_sequence[] = {
  { &hf_lte_rrc_basicFields_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_r10 },
  { &hf_lte_rrc_pucch_ConfigCommon_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PUCCH_ConfigCommon },
  { &hf_lte_rrc_rach_ConfigCommon_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RACH_ConfigCommon },
  { &hf_lte_rrc_uplinkPowerControlCommonPSCell_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UplinkPowerControlCommonPSCell_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonPSCell_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonPSCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommonPSCell_r12, RadioResourceConfigCommonPSCell_r12_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedPSCell_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_neighCellsCRS_InfoPSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NeighCellsCRS_Info_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedPSCell_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicatedPSCell_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedPSCell_r12_eag_2_sequence[] = {
  { &hf_lte_rrc_sps_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_Config_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedPSCell_r12_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigDedicatedPSCell_r12_eag_2_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedPSCell_r12_sequence[] = {
  { &hf_lte_rrc_physicalConfigDedicatedPSCell_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysicalConfigDedicated },
  { &hf_lte_rrc_sps_Config_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SPS_Config },
  { &hf_lte_rrc_naics_Info_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_NAICS_AssistanceInfo_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicatedPSCell_r12_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicatedPSCell_r12_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedPSCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  private_data_set_simult_pucch_pusch_cell_type(actx, SIMULT_PUCCH_PUSCH_PSCELL);
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigDedicatedPSCell_r12, RadioResourceConfigDedicatedPSCell_r12_sequence);



  return offset;
}


static const per_sequence_t PSCellToAddMod_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_antennaInfoDedicatedPSCell_v1280, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v10i0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PSCellToAddMod_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PSCellToAddMod_r12_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_SCellIndex_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 31U, NULL, FALSE);

  return offset;
}


static const per_sequence_t PSCellToAddMod_r12_eag_2_sequence[] = {
  { &hf_lte_rrc_sCellIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellIndex_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PSCellToAddMod_r12_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PSCellToAddMod_r12_eag_2_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_v1370_sequence[] = {
  { &hf_lte_rrc_pucch_ConfigDedicated_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigDedicated_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhysicalConfigDedicated_v1370, PhysicalConfigDedicated_v1370_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicatedPSCell_v1370_sequence[] = {
  { &hf_lte_rrc_physicalConfigDedicatedPSCell_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhysicalConfigDedicated_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicatedPSCell_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigDedicatedPSCell_v1370, RadioResourceConfigDedicatedPSCell_v1370_sequence);

  return offset;
}


static const per_sequence_t PSCellToAddMod_r12_eag_3_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicatedPSCell_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicatedPSCell_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PSCellToAddMod_r12_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PSCellToAddMod_r12_eag_3_sequence);

  return offset;
}


static const per_sequence_t PSCellToAddMod_r12_sequence[] = {
  { &hf_lte_rrc_sCellIndex_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellIndex_r10 },
  { &hf_lte_rrc_cellIdentification_r12_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_cellIdentification_r12_01 },
  { &hf_lte_rrc_radioResourceConfigCommonPSCell_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigCommonPSCell_r12 },
  { &hf_lte_rrc_radioResourceConfigDedicatedPSCell_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicatedPSCell_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PSCellToAddMod_r12_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PSCellToAddMod_r12_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PSCellToAddMod_r12_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PSCellToAddMod_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PSCellToAddMod_r12, PSCellToAddMod_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_t307_r12_vals[] = {
  {   0, "ms50" },
  {   1, "ms100" },
  {   2, "ms150" },
  {   3, "ms200" },
  {   4, "ms500" },
  {   5, "ms1000" },
  {   6, "ms2000" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t307_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RACH_ConfigDedicated_sequence[] = {
  { &hf_lte_rrc_ra_PreambleIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { &hf_lte_rrc_ra_PRACH_MaskIndex, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_ConfigDedicated(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RACH_ConfigDedicated, RACH_ConfigDedicated_sequence);

  return offset;
}


static const value_string lte_rrc_T_makeBeforeBreakSCG_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_makeBeforeBreakSCG_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_targetTA_r14_vals[] = {
  {   0, "ta0-r14" },
  {   1, "mcg-PTAG-r14" },
  {   2, "scg-PTAG-r14" },
  {   3, "mcg-STAG-r14" },
  {   4, "scg-STAG-r14" },
  { 0, NULL }
};

static const per_choice_t T_targetTA_r14_choice[] = {
  {   0, &hf_lte_rrc_ta0_r14     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_mcg_PTAG_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_scg_PTAG_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_mcg_STAG_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_STAG_Id_r11 },
  {   4, &hf_lte_rrc_scg_STAG_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_STAG_Id_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_targetTA_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_targetTA_r14, T_targetTA_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_SchedInterval_r14_vals[] = {
  {   0, "sf2" },
  {   1, "sf5" },
  {   2, "sf10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_SchedInterval_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 9U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_ul_ConfigInfo_r14_sequence[] = {
  { &hf_lte_rrc_numberOfConfUL_Processes_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_8 },
  { &hf_lte_rrc_ul_SchedInterval_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ul_SchedInterval_r14 },
  { &hf_lte_rrc_ul_StartSubframe_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_9 },
  { &hf_lte_rrc_ul_Grant_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_ConfigInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_ConfigInfo_r14, T_ul_ConfigInfo_r14_sequence);

  return offset;
}


static const per_sequence_t RACH_Skip_r14_sequence[] = {
  { &hf_lte_rrc_targetTA_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_targetTA_r14 },
  { &hf_lte_rrc_ul_ConfigInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_ConfigInfo_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_Skip_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RACH_Skip_r14, RACH_Skip_r14_sequence);

  return offset;
}


static const per_sequence_t MobilityControlInfoSCG_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_makeBeforeBreakSCG_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_makeBeforeBreakSCG_r14 },
  { &hf_lte_rrc_rach_SkipSCG_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RACH_Skip_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfoSCG_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MobilityControlInfoSCG_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t MobilityControlInfoSCG_r12_sequence[] = {
  { &hf_lte_rrc_t307_r12    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t307_r12 },
  { &hf_lte_rrc_ue_IdentitySCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_rach_ConfigDedicated_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RACH_ConfigDedicated },
  { &hf_lte_rrc_cipheringAlgorithmSCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CipheringAlgorithm_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MobilityControlInfoSCG_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfoSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityControlInfoSCG_r12, MobilityControlInfoSCG_r12_sequence);

  return offset;
}


static const per_sequence_t SCellToReleaseListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_SCellToReleaseListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellIndex_r13 },
};

static int
dissect_lte_rrc_SCellToReleaseListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToReleaseListExt_r13, SCellToReleaseListExt_r13_sequence_of,
                                                  1, maxSCell_r13, FALSE);

  return offset;
}


static const per_sequence_t T_cellIdentification_r13_sequence[] = {
  { &hf_lte_rrc_physCellId_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_dl_CarrierFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellIdentification_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellIdentification_r13, T_cellIdentification_r13_sequence);

  return offset;
}


static const per_sequence_t SCellToAddModExt_r13_sequence[] = {
  { &hf_lte_rrc_sCellIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellIndex_r13 },
  { &hf_lte_rrc_cellIdentification_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cellIdentification_r13 },
  { &hf_lte_rrc_radioResourceConfigCommonSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigCommonSCell_r10 },
  { &hf_lte_rrc_radioResourceConfigDedicatedSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicatedSCell_r10 },
  { &hf_lte_rrc_antennaInfoDedicatedSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v10i0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCellToAddModExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCellToAddModExt_r13, SCellToAddModExt_r13_sequence);

  return offset;
}


static const per_sequence_t SCellToAddModListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_SCellToAddModListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellToAddModExt_r13 },
};

static int
dissect_lte_rrc_SCellToAddModListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToAddModListExt_r13, SCellToAddModListExt_r13_sequence_of,
                                                  1, maxSCell_r13, FALSE);

  return offset;
}


static const per_sequence_t SCG_ConfigPartSCG_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_sCellToReleaseListSCG_Ext_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToReleaseListExt_r13 },
  { &hf_lte_rrc_sCellToAddModListSCG_Ext_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListExt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigPartSCG_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SCG_ConfigPartSCG_r12_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_AdditionalSpectrumEmission_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            33U, 288U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_ul_Configuration_v10l0_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmissionSCell_v10l0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_Configuration_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_Configuration_v10l0, T_ul_Configuration_v10l0_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_v10l0_sequence[] = {
  { &hf_lte_rrc_ul_Configuration_v10l0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ul_Configuration_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommonSCell_v10l0, RadioResourceConfigCommonSCell_v10l0_sequence);

  return offset;
}


static const per_sequence_t SCellToAddModExt_v1370_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigCommonSCell_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigCommonSCell_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCellToAddModExt_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCellToAddModExt_v1370, SCellToAddModExt_v1370_sequence);

  return offset;
}


static const per_sequence_t SCellToAddModListExt_v1370_sequence_of[1] = {
  { &hf_lte_rrc_SCellToAddModListExt_v1370_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellToAddModExt_v1370 },
};

static int
dissect_lte_rrc_SCellToAddModListExt_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToAddModListExt_v1370, SCellToAddModListExt_v1370_sequence_of,
                                                  1, maxSCell_r13, FALSE);

  return offset;
}


static const per_sequence_t SCG_ConfigPartSCG_r12_eag_2_sequence[] = {
  { &hf_lte_rrc_sCellToAddModListSCG_Ext_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListExt_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigPartSCG_r12_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SCG_ConfigPartSCG_r12_eag_2_sequence);

  return offset;
}


static const per_sequence_t T_ul_FreqInfo_v1440_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmissionSCell_v1440, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_FreqInfo_v1440(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_FreqInfo_v1440, T_ul_FreqInfo_v1440_sequence);

  return offset;
}


static const per_sequence_t T_ul_Configuration_v1440_sequence[] = {
  { &hf_lte_rrc_ul_FreqInfo_v1440, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ul_FreqInfo_v1440 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_Configuration_v1440(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_Configuration_v1440, T_ul_Configuration_v1440_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSCell_v1440_sequence[] = {
  { &hf_lte_rrc_ul_Configuration_v1440, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ul_Configuration_v1440 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSCell_v1440(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommonSCell_v1440, RadioResourceConfigCommonSCell_v1440_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonPSCell_v1440_sequence[] = {
  { &hf_lte_rrc_basicFields_v1440, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_v1440 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonPSCell_v1440(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommonPSCell_v1440, RadioResourceConfigCommonPSCell_v1440_sequence);

  return offset;
}


static const per_sequence_t PSCellToAddMod_v1440_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigCommonPSCell_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigCommonPSCell_v1440 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PSCellToAddMod_v1440(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PSCellToAddMod_v1440, PSCellToAddMod_v1440_sequence);

  return offset;
}


static const per_sequence_t SCG_ConfigPartSCG_r12_eag_3_sequence[] = {
  { &hf_lte_rrc_pSCellToAddMod_v1440, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PSCellToAddMod_v1440 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigPartSCG_r12_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SCG_ConfigPartSCG_r12_eag_3_sequence);

  return offset;
}


static const per_sequence_t SCG_ConfigPartSCG_r12_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicatedSCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicatedSCG_r12 },
  { &hf_lte_rrc_sCellToReleaseListSCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToReleaseList_r10 },
  { &hf_lte_rrc_pSCellToAddMod_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PSCellToAddMod_r12 },
  { &hf_lte_rrc_sCellToAddModListSCG_r12_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModList_r10 },
  { &hf_lte_rrc_mobilityControlInfoSCG_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityControlInfoSCG_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCG_ConfigPartSCG_r12_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCG_ConfigPartSCG_r12_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCG_ConfigPartSCG_r12_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigPartSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_ConfigPartSCG_r12, SCG_ConfigPartSCG_r12_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_03_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_03, T_nonCriticalExtension_03_sequence);

  return offset;
}


static const per_sequence_t SCG_Config_r12_IEs_sequence[] = {
  { &hf_lte_rrc_scg_RadioConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_ConfigPartSCG_r12 },
  { &hf_lte_rrc_nonCriticalExtension_11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_Config_r12_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_Config_r12_IEs, SCG_Config_r12_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_02_vals[] = {
  {   0, "scg-Config-r12" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_02_choice[] = {
  {   0, &hf_lte_rrc_scg_Config_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SCG_Config_r12_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_02, T_c1_02_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_02_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_02, T_criticalExtensionsFuture_02_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_02_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_02_choice[] = {
  {   0, &hf_lte_rrc_c1_02       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_02 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_02 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_02, T_criticalExtensions_02_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SCG_Config_r12_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_Config_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_Config_r12, SCG_Config_r12_sequence);

  return offset;
}


static const per_sequence_t AS_Config_eag_3_sequence[] = {
  { &hf_lte_rrc_sourceConfigSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_Config_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, AS_Config_eag_3_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_sourceRB_ConfigNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *radio_bearer_config_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &radio_bearer_config_tvb);


  if (radio_bearer_config_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_sourceRB_ConfigNR_r15);
    dissect_nr_rrc_RadioBearerConfig_PDU(radio_bearer_config_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_sourceRB_ConfigSN_NR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *radio_bearer_config_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &radio_bearer_config_tvb);


  if (radio_bearer_config_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_sourceRB_ConfigSN_NR_r15);
    dissect_nr_rrc_RadioBearerConfig_PDU(radio_bearer_config_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_sourceOtherConfigSN_NR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *rrc_reconfiguration_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &rrc_reconfiguration_tvb);


  if (rrc_reconfiguration_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_sourceOtherConfigSN_NR_r15);
    dissect_nr_rrc_RRCReconfiguration_PDU(rrc_reconfiguration_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}


static const per_sequence_t AS_Config_eag_4_sequence[] = {
  { &hf_lte_rrc_sourceRB_ConfigNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sourceRB_ConfigNR_r15 },
  { &hf_lte_rrc_sourceRB_ConfigSN_NR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sourceRB_ConfigSN_NR_r15 },
  { &hf_lte_rrc_sourceOtherConfigSN_NR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sourceOtherConfigSN_NR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, AS_Config_eag_4_sequence);

  return offset;
}


static const per_sequence_t AS_Config_sequence[] = {
  { &hf_lte_rrc_sourceMeasConfig, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasConfig },
  { &hf_lte_rrc_sourceRadioResourceConfig, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated },
  { &hf_lte_rrc_sourceSecurityAlgorithmConfig, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SecurityAlgorithmConfig },
  { &hf_lte_rrc_sourceUE_Identity, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_sourceMasterInformationBlock, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MasterInformationBlock },
  { &hf_lte_rrc_sourceSystemInformationBlockType1, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType1 },
  { &hf_lte_rrc_sourceSystemInformationBlockType2, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2 },
  { &hf_lte_rrc_antennaInfoCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AntennaInfoCommon },
  { &hf_lte_rrc_sourceDl_CarrierFreq, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_AS_Config_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_AS_Config_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_AS_Config_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_AS_Config_eag_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Config, AS_Config_sequence);

  return offset;
}


static const value_string lte_rrc_T_ue_InactiveTime_vals[] = {
  {   0, "s1" },
  {   1, "s2" },
  {   2, "s3" },
  {   3, "s5" },
  {   4, "s7" },
  {   5, "s10" },
  {   6, "s15" },
  {   7, "s20" },
  {   8, "s25" },
  {   9, "s30" },
  {  10, "s40" },
  {  11, "s50" },
  {  12, "min1" },
  {  13, "min1s20c" },
  {  14, "min1s40" },
  {  15, "min2" },
  {  16, "min2s30" },
  {  17, "min3" },
  {  18, "min3s30" },
  {  19, "min4" },
  {  20, "min5" },
  {  21, "min6" },
  {  22, "min7" },
  {  23, "min8" },
  {  24, "min9" },
  {  25, "min10" },
  {  26, "min12" },
  {  27, "min14" },
  {  28, "min17" },
  {  29, "min20" },
  {  30, "min24" },
  {  31, "min28" },
  {  32, "min33" },
  {  33, "min38" },
  {  34, "min44" },
  {  35, "min50" },
  {  36, "hr1" },
  {  37, "hr1min30" },
  {  38, "hr2" },
  {  39, "hr2min30" },
  {  40, "hr3" },
  {  41, "hr3min30" },
  {  42, "hr4" },
  {  43, "hr5" },
  {  44, "hr6" },
  {  45, "hr8" },
  {  46, "hr10" },
  {  47, "hr13" },
  {  48, "hr16" },
  {  49, "hr20" },
  {  50, "day1" },
  {  51, "day1hr12" },
  {  52, "day2" },
  {  53, "day2hr12" },
  {  54, "day3" },
  {  55, "day4" },
  {  56, "day5" },
  {  57, "day7" },
  {  58, "day10" },
  {  59, "day14" },
  {  60, "day19" },
  {  61, "day24" },
  {  62, "day30" },
  {  63, "dayMoreThan30" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_ue_InactiveTime_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_ue_InactiveTime_vals);


static int
dissect_lte_rrc_T_ue_InactiveTime(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     64, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CandidateCellInfo_r10_eag_1_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_v1090, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CandidateCellInfo_r10_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CandidateCellInfo_r10_eag_1_sequence);

  return offset;
}


static const per_sequence_t CandidateCellInfo_r10_eag_2_sequence[] = {
  { &hf_lte_rrc_rsrqResult_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CandidateCellInfo_r10_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CandidateCellInfo_r10_eag_2_sequence);

  return offset;
}


static const per_sequence_t CandidateCellInfo_r10_eag_3_sequence[] = {
  { &hf_lte_rrc_rs_sinr_Result_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RS_SINR_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CandidateCellInfo_r10_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CandidateCellInfo_r10_eag_3_sequence);

  return offset;
}


static const per_sequence_t CandidateCellInfo_r10_sequence[] = {
  { &hf_lte_rrc_physCellId_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_dl_CarrierFreq_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_rsrpResult_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResult_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CandidateCellInfo_r10_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CandidateCellInfo_r10_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CandidateCellInfo_r10_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CandidateCellInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CandidateCellInfo_r10, CandidateCellInfo_r10_sequence);

  return offset;
}


static const per_sequence_t CandidateCellInfoList_r10_sequence_of[1] = {
  { &hf_lte_rrc_CandidateCellInfoList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CandidateCellInfo_r10 },
};

static int
dissect_lte_rrc_CandidateCellInfoList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CandidateCellInfoList_r10, CandidateCellInfoList_r10_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t RRM_Config_eag_1_sequence[] = {
  { &hf_lte_rrc_candidateCellInfoList_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CandidateCellInfoList_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRM_Config_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RRM_Config_eag_1_sequence);

  return offset;
}


static const per_sequence_t RRM_Config_sequence[] = {
  { &hf_lte_rrc_ue_InactiveTime, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_InactiveTime },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRM_Config_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRM_Config(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRM_Config, RRM_Config_sequence);

  return offset;
}



static int
dissect_lte_rrc_ShortMAC_I(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_Key_eNodeB_Star(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     256, 256, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t AdditionalReestabInfo_sequence[] = {
  { &hf_lte_rrc_cellIdentity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellIdentity },
  { &hf_lte_rrc_key_eNodeB_Star, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Key_eNodeB_Star },
  { &hf_lte_rrc_shortMAC_I  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ShortMAC_I },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AdditionalReestabInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AdditionalReestabInfo, AdditionalReestabInfo_sequence);

  return offset;
}


static const per_sequence_t AdditionalReestabInfoList_sequence_of[1] = {
  { &hf_lte_rrc_AdditionalReestabInfoList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalReestabInfo },
};

static int
dissect_lte_rrc_AdditionalReestabInfoList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AdditionalReestabInfoList, AdditionalReestabInfoList_sequence_of,
                                                  1, maxReestabInfo, FALSE);

  return offset;
}


static const per_sequence_t ReestablishmentInfo_sequence[] = {
  { &hf_lte_rrc_sourcePhysCellId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_targetCellShortMAC_I, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ShortMAC_I },
  { &hf_lte_rrc_additionalReestabInfoList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalReestabInfoList },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReestablishmentInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReestablishmentInfo, ReestablishmentInfo_sequence);

  return offset;
}


static const per_sequence_t AS_Context_sequence[] = {
  { &hf_lte_rrc_reestablishmentInfo, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ReestablishmentInfo },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Context(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Context, AS_Context_sequence);

  return offset;
}


static const value_string lte_rrc_T_ue_ConfigRelease_r9_vals[] = {
  {   0, "rel9" },
  {   1, "rel10" },
  {   2, "rel11" },
  {   3, "rel12" },
  {   4, "v10j0" },
  {   5, "v11e0" },
  {   6, "v1280" },
  {   7, "rel13" },
  {   8, "rel14" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_ConfigRelease_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, TRUE, 1, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_HandoverPreparationInformation_v9j0_IEs_PDU);

  return offset;
}


static const per_sequence_t AS_Config_v9e0_sequence[] = {
  { &hf_lte_rrc_sourceDl_CarrierFreq_v9e0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Config_v9e0, AS_Config_v9e0_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_idc_Indication_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_InDeviceCoexIndication_r11_PDU);

  return offset;
}



static int
dissect_lte_rrc_T_mbmsInterestIndication_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_MBMSInterestIndication_r11_PDU);

  return offset;
}



static int
dissect_lte_rrc_T_powerPrefIndication_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UEAssistanceInformation_r11_PDU);

  return offset;
}



static int
dissect_lte_rrc_T_sidelinkUEInformation_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SidelinkUEInformation_r12_PDU);

  return offset;
}


static const per_sequence_t AS_Context_v1130_eag_1_sequence[] = {
  { &hf_lte_rrc_sidelinkUEInformation_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sidelinkUEInformation_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Context_v1130_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, AS_Context_v1130_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_sourceContextENDC_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *scg_config_info_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &scg_config_info_tvb);


  if (scg_config_info_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_sourceContextENDC_r15);
    dissect_nr_rrc_SCG_ConfigInfo_PDU(scg_config_info_tvb, actx->pinfo, subtree, NULL);
  }



  return offset;
}


static const per_sequence_t AS_Context_v1130_eag_2_sequence[] = {
  { &hf_lte_rrc_sourceContextENDC_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sourceContextENDC_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Context_v1130_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, AS_Context_v1130_eag_2_sequence);

  return offset;
}


static const per_sequence_t AS_Context_v1130_sequence[] = {
  { &hf_lte_rrc_idc_Indication_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_idc_Indication_r11 },
  { &hf_lte_rrc_mbmsInterestIndication_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbmsInterestIndication_r11 },
  { &hf_lte_rrc_powerPrefIndication_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerPrefIndication_r11 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_AS_Context_v1130_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_AS_Context_v1130_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Context_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Context_v1130, AS_Context_v1130_sequence);

  return offset;
}


static const per_sequence_t T_thresholdRSRP_r12_sequence[] = {
  { &hf_lte_rrc_thresholdRSRP_Low_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_thresholdRSRP_High_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_thresholdRSRP_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_thresholdRSRP_r12, T_thresholdRSRP_r12_sequence);

  return offset;
}


static const per_sequence_t T_thresholdRSRQ_r12_sequence[] = {
  { &hf_lte_rrc_thresholdRSRQ_Low_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { &hf_lte_rrc_thresholdRSRQ_High_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_thresholdRSRQ_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_thresholdRSRQ_r12, T_thresholdRSRQ_r12_sequence);

  return offset;
}


static const per_sequence_t T_thresholdRSRQ_OnAllSymbolsWithWB_r12_sequence[] = {
  { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_Low_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_High_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_thresholdRSRQ_OnAllSymbolsWithWB_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_thresholdRSRQ_OnAllSymbolsWithWB_r12, T_thresholdRSRQ_OnAllSymbolsWithWB_r12_sequence);

  return offset;
}


static const per_sequence_t T_thresholdRSRQ_OnAllSymbols_r12_sequence[] = {
  { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsLow_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsHigh_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_thresholdRSRQ_OnAllSymbols_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_thresholdRSRQ_OnAllSymbols_r12, T_thresholdRSRQ_OnAllSymbols_r12_sequence);

  return offset;
}


static const per_sequence_t T_thresholdRSRQ_WB_r12_sequence[] = {
  { &hf_lte_rrc_thresholdRSRQ_WB_Low_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { &hf_lte_rrc_thresholdRSRQ_WB_High_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_thresholdRSRQ_WB_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_thresholdRSRQ_WB_r12, T_thresholdRSRQ_WB_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_thresholdChannelUtilizationLow_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  proto_item_append_text(actx->created_item, " (BSS load)");


  return offset;
}



static int
dissect_lte_rrc_T_thresholdChannelUtilizationHigh_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  proto_item_append_text(actx->created_item, " (BSS load)");


  return offset;
}


static const per_sequence_t T_thresholdChannelUtilization_r12_sequence[] = {
  { &hf_lte_rrc_thresholdChannelUtilizationLow_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_thresholdChannelUtilizationLow_r12 },
  { &hf_lte_rrc_thresholdChannelUtilizationHigh_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_thresholdChannelUtilizationHigh_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_thresholdChannelUtilization_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_thresholdChannelUtilization_r12, T_thresholdChannelUtilization_r12_sequence);

  return offset;
}


static const value_string lte_rrc_WLAN_backhaulRate_r12_vals[] = {
  {   0, "r0" },
  {   1, "r4" },
  {   2, "r8" },
  {   3, "r16" },
  {   4, "r32" },
  {   5, "r64" },
  {   6, "r128" },
  {   7, "r256" },
  {   8, "r512" },
  {   9, "r1024" },
  {  10, "r2048" },
  {  11, "r4096" },
  {  12, "r8192" },
  {  13, "r16384" },
  {  14, "r32768" },
  {  15, "r65536" },
  {  16, "r131072" },
  {  17, "r262144" },
  {  18, "r524288" },
  {  19, "r1048576" },
  {  20, "r2097152" },
  {  21, "r4194304" },
  {  22, "r8388608" },
  {  23, "r16777216" },
  {  24, "r33554432" },
  {  25, "r67108864" },
  {  26, "r134217728" },
  {  27, "r268435456" },
  {  28, "r536870912" },
  {  29, "r1073741824" },
  {  30, "r2147483648" },
  {  31, "r4294967296" },
  { 0, NULL }
};

static value_string_ext lte_rrc_WLAN_backhaulRate_r12_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_WLAN_backhaulRate_r12_vals);


static int
dissect_lte_rrc_WLAN_backhaulRate_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     32, NULL, FALSE, 0, NULL);

  proto_item_append_text(actx->created_item, "Kbps");


  return offset;
}


static const per_sequence_t T_thresholdBackhaul_Bandwidth_r12_sequence[] = {
  { &hf_lte_rrc_thresholdBackhaulDL_BandwidthLow_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_backhaulRate_r12 },
  { &hf_lte_rrc_thresholdBackhaulDL_BandwidthHigh_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_backhaulRate_r12 },
  { &hf_lte_rrc_thresholdBackhaulUL_BandwidthLow_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_backhaulRate_r12 },
  { &hf_lte_rrc_thresholdBackhaulUL_BandwidthHigh_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_backhaulRate_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_thresholdBackhaul_Bandwidth_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_thresholdBackhaul_Bandwidth_r12, T_thresholdBackhaul_Bandwidth_r12_sequence);

  return offset;
}


static const per_sequence_t T_thresholdWLAN_RSSI_r12_sequence[] = {
  { &hf_lte_rrc_thresholdWLAN_RSSI_Low_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_255 },
  { &hf_lte_rrc_thresholdWLAN_RSSI_High_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_255 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_thresholdWLAN_RSSI_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_thresholdWLAN_RSSI_r12, T_thresholdWLAN_RSSI_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_Reselection(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t WLAN_OffloadConfig_r12_sequence[] = {
  { &hf_lte_rrc_thresholdRSRP_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_thresholdRSRP_r12 },
  { &hf_lte_rrc_thresholdRSRQ_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_thresholdRSRQ_r12 },
  { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_thresholdRSRQ_OnAllSymbolsWithWB_r12 },
  { &hf_lte_rrc_thresholdRSRQ_OnAllSymbols_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_thresholdRSRQ_OnAllSymbols_r12 },
  { &hf_lte_rrc_thresholdRSRQ_WB_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_thresholdRSRQ_WB_r12 },
  { &hf_lte_rrc_thresholdChannelUtilization_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_thresholdChannelUtilization_r12 },
  { &hf_lte_rrc_thresholdBackhaul_Bandwidth_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_thresholdBackhaul_Bandwidth_r12 },
  { &hf_lte_rrc_thresholdWLAN_RSSI_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_thresholdWLAN_RSSI_r12 },
  { &hf_lte_rrc_offloadPreferenceIndicator_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_t_SteeringWLAN_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_Reselection },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_OffloadConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLAN_OffloadConfig_r12, WLAN_OffloadConfig_r12_sequence);

  return offset;
}


static const per_sequence_t MAC_MainConfigSL_r12_sequence[] = {
  { &hf_lte_rrc_periodic_BSR_TimerSL, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PeriodicBSR_Timer_r12 },
  { &hf_lte_rrc_retx_BSR_TimerSL, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RetxBSR_Timer_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfigSL_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_MainConfigSL_r12, MAC_MainConfigSL_r12_sequence);

  return offset;
}


static const value_string lte_rrc_SL_CP_Len_r12_vals[] = {
  {   0, "normal" },
  {   1, "extended" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SL_CP_Len_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_SL_PeriodComm_r12_vals[] = {
  {   0, "sf40" },
  {   1, "sf60" },
  {   2, "sf70" },
  {   3, "sf80" },
  {   4, "sf120" },
  {   5, "sf140" },
  {   6, "sf160" },
  {   7, "sf240" },
  {   8, "sf280" },
  {   9, "sf320" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare" },
  { 0, NULL }
};

static value_string_ext lte_rrc_SL_PeriodComm_r12_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_SL_PeriodComm_r12_vals);


static int
dissect_lte_rrc_SL_PeriodComm_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_99(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 99U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_319(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 319U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_SL_OffsetIndicator_r12_vals[] = {
  {   0, "small-r12" },
  {   1, "large-r12" },
  { 0, NULL }
};

static const per_choice_t SL_OffsetIndicator_r12_choice[] = {
  {   0, &hf_lte_rrc_small_r12   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_319 },
  {   1, &hf_lte_rrc_large_r12   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_10239 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SL_OffsetIndicator_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SL_OffsetIndicator_r12, SL_OffsetIndicator_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     12, 12, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_30(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     30, 30, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_42(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     42, 42, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_SubframeBitmapSL_r12_vals[] = {
  {   0, "bs4-r12" },
  {   1, "bs8-r12" },
  {   2, "bs12-r12" },
  {   3, "bs16-r12" },
  {   4, "bs30-r12" },
  {   5, "bs40-r12" },
  {   6, "bs42-r12" },
  { 0, NULL }
};

static const per_choice_t SubframeBitmapSL_r12_choice[] = {
  {   0, &hf_lte_rrc_bs4_r12     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_4 },
  {   1, &hf_lte_rrc_bs8_r12     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_8 },
  {   2, &hf_lte_rrc_bs12_r12    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_12 },
  {   3, &hf_lte_rrc_bs16_r12    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_16 },
  {   4, &hf_lte_rrc_bs30_r12    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_30 },
  {   5, &hf_lte_rrc_bs40_r12    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_40 },
  {   6, &hf_lte_rrc_bs42_r12    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_42 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SubframeBitmapSL_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SubframeBitmapSL_r12, SubframeBitmapSL_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_TF_ResourceConfig_r12_sequence[] = {
  { &hf_lte_rrc_prb_Num_r12 , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_100 },
  { &hf_lte_rrc_prb_Start_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_99 },
  { &hf_lte_rrc_prb_End_r12 , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_99 },
  { &hf_lte_rrc_offsetIndicator_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_OffsetIndicator_r12 },
  { &hf_lte_rrc_subframeBitmap_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SubframeBitmapSL_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_TF_ResourceConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_TF_ResourceConfig_r12, SL_TF_ResourceConfig_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_504(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 504U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_numSubbands_r12_vals[] = {
  {   0, "ns1" },
  {   1, "ns2" },
  {   2, "ns4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_numSubbands_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_110(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 110U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_HoppingConfigComm_r12_sequence[] = {
  { &hf_lte_rrc_hoppingParameter_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_504 },
  { &hf_lte_rrc_numSubbands_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_numSubbands_r12 },
  { &hf_lte_rrc_rb_Offset_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_110 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_HoppingConfigComm_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_HoppingConfigComm_r12, SL_HoppingConfigComm_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_TRPT_Subset_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     3, 5, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t T_ue_SelectedResourceConfig_r12_sequence[] = {
  { &hf_lte_rrc_data_TF_ResourceConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TF_ResourceConfig_r12 },
  { &hf_lte_rrc_trpt_Subset_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TRPT_Subset_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_SelectedResourceConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ue_SelectedResourceConfig_r12, T_ue_SelectedResourceConfig_r12_sequence);

  return offset;
}


static const per_sequence_t T_rxParametersNCell_r12_sequence[] = {
  { &hf_lte_rrc_tdd_Config_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config },
  { &hf_lte_rrc_syncConfigIndex_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rxParametersNCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rxParametersNCell_r12, T_rxParametersNCell_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_P0_SL_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -126, 31U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_TxParameters_r12_sequence[] = {
  { &hf_lte_rrc_alpha_r12   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Alpha_r12 },
  { &hf_lte_rrc_p0_r12      , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_P0_SL_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_TxParameters_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_TxParameters_r12, SL_TxParameters_r12_sequence);

  return offset;
}


static const per_sequence_t T_txParameters_r12_sequence[] = {
  { &hf_lte_rrc_sc_TxParameters_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxParameters_r12 },
  { &hf_lte_rrc_dataTxParameters_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxParameters_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_txParameters_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_txParameters_r12, T_txParameters_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_Priority_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 8U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_PriorityList_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_PriorityList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_Priority_r13 },
};

static int
dissect_lte_rrc_SL_PriorityList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_PriorityList_r13, SL_PriorityList_r13_sequence_of,
                                                  1, maxSL_Prio_r13, FALSE);

  return offset;
}


static const per_sequence_t SL_CommResourcePool_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_priorityList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_PriorityList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommResourcePool_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_CommResourcePool_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t SL_CommResourcePool_r12_sequence[] = {
  { &hf_lte_rrc_sc_CP_Len_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CP_Len_r12 },
  { &hf_lte_rrc_sc_Period_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_PeriodComm_r12 },
  { &hf_lte_rrc_sc_TF_ResourceConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TF_ResourceConfig_r12 },
  { &hf_lte_rrc_data_CP_Len_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CP_Len_r12 },
  { &hf_lte_rrc_dataHoppingConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_HoppingConfigComm_r12 },
  { &hf_lte_rrc_ue_SelectedResourceConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_SelectedResourceConfig_r12 },
  { &hf_lte_rrc_rxParametersNCell_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rxParametersNCell_r12 },
  { &hf_lte_rrc_txParameters_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_txParameters_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePool_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommResourcePool_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CommResourcePool_r12, SL_CommResourcePool_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_28(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 28U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_scheduled_r12_sequence[] = {
  { &hf_lte_rrc_sl_RNTI_r12 , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_mac_MainConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfigSL_r12 },
  { &hf_lte_rrc_sc_CommTxConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePool_r12 },
  { &hf_lte_rrc_mcs_r12     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_28 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_scheduled_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_scheduled_r12, T_scheduled_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_TxPoolIdentity_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxSL_TxPool_r12, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_TxPoolToReleaseList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_TxPoolToReleaseList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxPoolIdentity_r12 },
};

static int
dissect_lte_rrc_SL_TxPoolToReleaseList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_TxPoolToReleaseList_r12, SL_TxPoolToReleaseList_r12_sequence_of,
                                                  1, maxSL_TxPool_r12, FALSE);

  return offset;
}


static const per_sequence_t SL_CommTxPoolToAddMod_r12_sequence[] = {
  { &hf_lte_rrc_poolIdentity_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxPoolIdentity_r12 },
  { &hf_lte_rrc_pool_r12    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePool_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommTxPoolToAddMod_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CommTxPoolToAddMod_r12, SL_CommTxPoolToAddMod_r12_sequence);

  return offset;
}


static const per_sequence_t SL_CommTxPoolToAddModList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_CommTxPoolToAddModList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommTxPoolToAddMod_r12 },
};

static int
dissect_lte_rrc_SL_CommTxPoolToAddModList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CommTxPoolToAddModList_r12, SL_CommTxPoolToAddModList_r12_sequence_of,
                                                  1, maxSL_TxPool_r12, FALSE);

  return offset;
}


static const per_sequence_t T_commTxPoolNormalDedicated_r12_sequence[] = {
  { &hf_lte_rrc_poolToReleaseList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TxPoolToReleaseList_r12 },
  { &hf_lte_rrc_poolToAddModList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolToAddModList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_commTxPoolNormalDedicated_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_commTxPoolNormalDedicated_r12, T_commTxPoolNormalDedicated_r12_sequence);

  return offset;
}


static const per_sequence_t T_ue_Selected_r12_sequence[] = {
  { &hf_lte_rrc_commTxPoolNormalDedicated_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_commTxPoolNormalDedicated_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_Selected_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ue_Selected_r12, T_ue_Selected_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_115_vals[] = {
  {   0, "scheduled-r12" },
  {   1, "ue-Selected-r12" },
  { 0, NULL }
};

static const per_choice_t T_setup_115_choice[] = {
  {   0, &hf_lte_rrc_scheduled_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_scheduled_r12 },
  {   1, &hf_lte_rrc_ue_Selected_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_ue_Selected_r12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_115(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_115, T_setup_115_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_commTxResources_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_commTxResources_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_131   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_115 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_commTxResources_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_commTxResources_r12, T_commTxResources_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t LogicalChGroupInfoList_r13_sequence_of[1] = {
  { &hf_lte_rrc_LogicalChGroupInfoList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_PriorityList_r13 },
};

static int
dissect_lte_rrc_LogicalChGroupInfoList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_LogicalChGroupInfoList_r13, LogicalChGroupInfoList_r13_sequence_of,
                                                  1, maxLCG_r13, FALSE);

  return offset;
}


static const per_sequence_t T_scheduled_v1310_sequence[] = {
  { &hf_lte_rrc_logicalChGroupInfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogicalChGroupInfoList_r13 },
  { &hf_lte_rrc_multipleTx_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_scheduled_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_scheduled_v1310, T_scheduled_v1310_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_TxPoolIdentity_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            maxSL_TxPool_r12Plus1_r13, maxSL_TxPool_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_TxPoolToReleaseListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_TxPoolToReleaseListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxPoolIdentity_v1310 },
};

static int
dissect_lte_rrc_SL_TxPoolToReleaseListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_TxPoolToReleaseListExt_r13, SL_TxPoolToReleaseListExt_r13_sequence_of,
                                                  1, maxSL_TxPool_v1310, FALSE);

  return offset;
}


static const per_sequence_t SL_CommTxPoolToAddModExt_r13_sequence[] = {
  { &hf_lte_rrc_poolIdentity_v1310, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxPoolIdentity_v1310 },
  { &hf_lte_rrc_pool_r13    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePool_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommTxPoolToAddModExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CommTxPoolToAddModExt_r13, SL_CommTxPoolToAddModExt_r13_sequence);

  return offset;
}


static const per_sequence_t SL_CommTxPoolToAddModListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_CommTxPoolToAddModListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommTxPoolToAddModExt_r13 },
};

static int
dissect_lte_rrc_SL_CommTxPoolToAddModListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CommTxPoolToAddModListExt_r13, SL_CommTxPoolToAddModListExt_r13_sequence_of,
                                                  1, maxSL_TxPool_v1310, FALSE);

  return offset;
}


static const per_sequence_t T_commTxPoolNormalDedicatedExt_r13_sequence[] = {
  { &hf_lte_rrc_poolToReleaseListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TxPoolToReleaseListExt_r13 },
  { &hf_lte_rrc_poolToAddModListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolToAddModListExt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_commTxPoolNormalDedicatedExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_commTxPoolNormalDedicatedExt_r13, T_commTxPoolNormalDedicatedExt_r13_sequence);

  return offset;
}


static const per_sequence_t T_ue_Selected_v1310_sequence[] = {
  { &hf_lte_rrc_commTxPoolNormalDedicatedExt_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_commTxPoolNormalDedicatedExt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_Selected_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ue_Selected_v1310, T_ue_Selected_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_116_vals[] = {
  {   0, "scheduled-v1310" },
  {   1, "ue-Selected-v1310" },
  { 0, NULL }
};

static const per_choice_t T_setup_116_choice[] = {
  {   0, &hf_lte_rrc_scheduled_v1310, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_scheduled_v1310 },
  {   1, &hf_lte_rrc_ue_Selected_v1310, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_ue_Selected_v1310 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_116(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_116, T_setup_116_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_commTxResources_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_commTxResources_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_132   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_116 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_commTxResources_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_commTxResources_v1310, T_commTxResources_v1310_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_CommConfig_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_commTxResources_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_commTxResources_v1310 },
  { &hf_lte_rrc_commTxAllowRelayDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommConfig_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_CommConfig_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t SL_CommConfig_r12_sequence[] = {
  { &hf_lte_rrc_commTxResources_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_commTxResources_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommConfig_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CommConfig_r12, SL_CommConfig_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_discPeriod_r12_vals[] = {
  {   0, "rf32" },
  {   1, "rf64" },
  {   2, "rf128" },
  {   3, "rf256" },
  {   4, "rf512" },
  {   5, "rf1024" },
  {   6, "rf16-v1310" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discPeriod_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 50U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_RSRP_RangeSL2_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_PoolSelectionConfig_r12_sequence[] = {
  { &hf_lte_rrc_threshLow_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_RangeSL2_r12 },
  { &hf_lte_rrc_threshHigh_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_RangeSL2_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_PoolSelectionConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_PoolSelectionConfig_r12, SL_PoolSelectionConfig_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_poolSelection_r12_vals[] = {
  {   0, "rsrpBased-r12" },
  {   1, "random-r12" },
  { 0, NULL }
};

static const per_choice_t T_poolSelection_r12_choice[] = {
  {   0, &hf_lte_rrc_rsrpBased_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SL_PoolSelectionConfig_r12 },
  {   1, &hf_lte_rrc_random_r12  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_poolSelection_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_poolSelection_r12, T_poolSelection_r12_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_txProbability_r12_vals[] = {
  {   0, "p25" },
  {   1, "p50" },
  {   2, "p75" },
  {   3, "p100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_txProbability_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_ue_SelectedResourceConfig_r12_01_sequence[] = {
  { &hf_lte_rrc_poolSelection_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_poolSelection_r12 },
  { &hf_lte_rrc_txProbability_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_txProbability_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_SelectedResourceConfig_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ue_SelectedResourceConfig_r12_01, T_ue_SelectedResourceConfig_r12_01_sequence);

  return offset;
}


static const per_sequence_t T_txParameters_r12_01_sequence[] = {
  { &hf_lte_rrc_txParametersGeneral_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxParameters_r12 },
  { &hf_lte_rrc_ue_SelectedResourceConfig_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_SelectedResourceConfig_r12_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_txParameters_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_txParameters_r12_01, T_txParameters_r12_01_sequence);

  return offset;
}


static const per_sequence_t T_rxParameters_r12_sequence[] = {
  { &hf_lte_rrc_tdd_Config_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config },
  { &hf_lte_rrc_syncConfigIndex_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rxParameters_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rxParameters_r12, T_rxParameters_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_122_vals[] = {
  {   0, "rf4" },
  {   1, "rf6" },
  {   2, "rf7" },
  {   3, "rf8" },
  {   4, "rf12" },
  {   5, "rf14" },
  {   6, "rf24" },
  {   7, "rf28" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_setup_122(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_discPeriod_v1310_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_discPeriod_v1310_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_140   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_122 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_discPeriod_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_discPeriod_v1310, T_discPeriod_v1310_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PhysCellIdList_r13_sequence_of[1] = {
  { &hf_lte_rrc_PhysCellIdList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
};

static int
dissect_lte_rrc_PhysCellIdList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PhysCellIdList_r13, PhysCellIdList_r13_sequence_of,
                                                  1, maxSL_DiscCells_r13, FALSE);

  return offset;
}


static const per_sequence_t T_setup_123_sequence[] = {
  { &hf_lte_rrc_physCellId_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_123(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_123, T_setup_123_sequence);

  return offset;
}


static const value_string lte_rrc_T_rxParamsAddNeighFreq_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_rxParamsAddNeighFreq_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_141   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_123 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_rxParamsAddNeighFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_rxParamsAddNeighFreq_r13, T_rxParamsAddNeighFreq_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_Bandwidth_02_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_Bandwidth_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_freqInfo_01_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_ul_Bandwidth_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Bandwidth_02 },
  { &hf_lte_rrc_additionalSpectrumEmission, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_freqInfo_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_freqInfo_01, T_freqInfo_01_sequence);

  return offset;
}


static const per_sequence_t T_setup_124_sequence[] = {
  { &hf_lte_rrc_physCellId_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdList_r13 },
  { &hf_lte_rrc_p_Max       , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_tdd_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config },
  { &hf_lte_rrc_tdd_Config_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config_v1130 },
  { &hf_lte_rrc_freqInfo_01 , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_freqInfo_01 },
  { &hf_lte_rrc_referenceSignalPower, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M60_50 },
  { &hf_lte_rrc_syncConfigIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_124(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_124, T_setup_124_sequence);

  return offset;
}


static const value_string lte_rrc_T_txParamsAddNeighFreq_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_txParamsAddNeighFreq_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_142   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_124 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_txParamsAddNeighFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_txParamsAddNeighFreq_r13, T_txParamsAddNeighFreq_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_DiscResourcePool_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_discPeriod_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discPeriod_v1310 },
  { &hf_lte_rrc_rxParamsAddNeighFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rxParamsAddNeighFreq_r13 },
  { &hf_lte_rrc_txParamsAddNeighFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_txParamsAddNeighFreq_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscResourcePool_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_DiscResourcePool_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t T_freqInfo_v1370_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmission_v1370, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_freqInfo_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_freqInfo_v1370, T_freqInfo_v1370_sequence);

  return offset;
}


static const per_sequence_t T_setup_125_sequence[] = {
  { &hf_lte_rrc_freqInfo_v1370, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_freqInfo_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_125(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_125, T_setup_125_sequence);

  return offset;
}


static const value_string lte_rrc_T_txParamsAddNeighFreq_v1370_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_txParamsAddNeighFreq_v1370_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_143   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_125 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_txParamsAddNeighFreq_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_txParamsAddNeighFreq_v1370, T_txParamsAddNeighFreq_v1370_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_DiscResourcePool_r12_eag_2_sequence[] = {
  { &hf_lte_rrc_txParamsAddNeighFreq_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_txParamsAddNeighFreq_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscResourcePool_r12_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_DiscResourcePool_r12_eag_2_sequence);

  return offset;
}


static const per_sequence_t SL_DiscResourcePool_r12_sequence[] = {
  { &hf_lte_rrc_cp_Len_r12  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CP_Len_r12 },
  { &hf_lte_rrc_discPeriod_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_discPeriod_r12 },
  { &hf_lte_rrc_numRetx_r12 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_numRepetition_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_50 },
  { &hf_lte_rrc_tf_ResourceConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TF_ResourceConfig_r12 },
  { &hf_lte_rrc_txParameters_r12_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_txParameters_r12_01 },
  { &hf_lte_rrc_rxParameters_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rxParameters_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscResourcePool_r12_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscResourcePool_r12_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscResourcePool_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscResourcePool_r12, SL_DiscResourcePool_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_200(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 200U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_TF_IndexPair_r12_sequence[] = {
  { &hf_lte_rrc_discSF_Index_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_200 },
  { &hf_lte_rrc_discPRB_Index_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_50 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_TF_IndexPair_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_TF_IndexPair_r12, SL_TF_IndexPair_r12_sequence);

  return offset;
}


static const per_sequence_t SL_TF_IndexPairList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_TF_IndexPairList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TF_IndexPair_r12 },
};

static int
dissect_lte_rrc_SL_TF_IndexPairList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_TF_IndexPairList_r12, SL_TF_IndexPairList_r12_sequence_of,
                                                  1, maxSL_TF_IndexPair_r12, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 10U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_c_r12_vals[] = {
  {   0, "n1" },
  {   1, "n5" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_c_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_HoppingConfigDisc_r12_sequence[] = {
  { &hf_lte_rrc_a_r12       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_200 },
  { &hf_lte_rrc_b_r12       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_10 },
  { &hf_lte_rrc_c_r12       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_c_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_HoppingConfigDisc_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_HoppingConfigDisc_r12, SL_HoppingConfigDisc_r12_sequence);

  return offset;
}


static const per_sequence_t T_scheduled_r12_01_sequence[] = {
  { &hf_lte_rrc_discTxConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscResourcePool_r12 },
  { &hf_lte_rrc_discTF_IndexList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TF_IndexPairList_r12 },
  { &hf_lte_rrc_discHoppingConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_HoppingConfigDisc_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_scheduled_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_scheduled_r12_01, T_scheduled_r12_01_sequence);

  return offset;
}


static const per_sequence_t SL_DiscTxPoolToAddMod_r12_sequence[] = {
  { &hf_lte_rrc_poolIdentity_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxPoolIdentity_r12 },
  { &hf_lte_rrc_pool_r12_01 , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscResourcePool_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxPoolToAddMod_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscTxPoolToAddMod_r12, SL_DiscTxPoolToAddMod_r12_sequence);

  return offset;
}


static const per_sequence_t SL_DiscTxPoolToAddModList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_DiscTxPoolToAddModList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscTxPoolToAddMod_r12 },
};

static int
dissect_lte_rrc_SL_DiscTxPoolToAddModList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_DiscTxPoolToAddModList_r12, SL_DiscTxPoolToAddModList_r12_sequence_of,
                                                  1, maxSL_TxPool_r12, FALSE);

  return offset;
}


static const per_sequence_t T_discTxPoolDedicated_r12_sequence[] = {
  { &hf_lte_rrc_poolToReleaseList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TxPoolToReleaseList_r12 },
  { &hf_lte_rrc_poolToAddModList_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxPoolToAddModList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_discTxPoolDedicated_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_discTxPoolDedicated_r12, T_discTxPoolDedicated_r12_sequence);

  return offset;
}


static const per_sequence_t T_ue_Selected_r12_01_sequence[] = {
  { &hf_lte_rrc_discTxPoolDedicated_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discTxPoolDedicated_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_Selected_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ue_Selected_r12_01, T_ue_Selected_r12_01_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_117_vals[] = {
  {   0, "scheduled-r12" },
  {   1, "ue-Selected-r12" },
  { 0, NULL }
};

static const per_choice_t T_setup_117_choice[] = {
  {   0, &hf_lte_rrc_scheduled_r12_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_scheduled_r12_01 },
  {   1, &hf_lte_rrc_ue_Selected_r12_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_ue_Selected_r12_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_117(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_117, T_setup_117_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_discTxResources_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_discTxResources_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_133   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_117 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_discTxResources_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_discTxResources_r12, T_discTxResources_r12_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_209(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 209U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_49(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 49U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_TF_IndexPair_r12b_sequence[] = {
  { &hf_lte_rrc_discSF_Index_r12b, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_209 },
  { &hf_lte_rrc_discPRB_Index_r12b, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_49 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_TF_IndexPair_r12b(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_TF_IndexPair_r12b, SL_TF_IndexPair_r12b_sequence);

  return offset;
}


static const per_sequence_t SL_TF_IndexPairList_r12b_sequence_of[1] = {
  { &hf_lte_rrc_SL_TF_IndexPairList_r12b_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TF_IndexPair_r12b },
};

static int
dissect_lte_rrc_SL_TF_IndexPairList_r12b(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_TF_IndexPairList_r12b, SL_TF_IndexPairList_r12b_sequence_of,
                                                  1, maxSL_TF_IndexPair_r12, FALSE);

  return offset;
}


static const per_sequence_t T_setup_118_sequence[] = {
  { &hf_lte_rrc_discTF_IndexList_r12b, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TF_IndexPairList_r12b },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_118(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_118, T_setup_118_sequence);

  return offset;
}


static const value_string lte_rrc_T_discTF_IndexList_v1260_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_discTF_IndexList_v1260_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_134   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_118 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_discTF_IndexList_v1260(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_discTF_IndexList_v1260, T_discTF_IndexList_v1260_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_DiscConfig_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_discTF_IndexList_v1260, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discTF_IndexList_v1260 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscConfig_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_DiscConfig_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t SL_DiscTxConfigScheduled_r13_sequence[] = {
  { &hf_lte_rrc_discTxConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscResourcePool_r12 },
  { &hf_lte_rrc_discTF_IndexList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TF_IndexPairList_r12b },
  { &hf_lte_rrc_discHoppingConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_HoppingConfigDisc_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxConfigScheduled_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscTxConfigScheduled_r13, SL_DiscTxConfigScheduled_r13_sequence);

  return offset;
}


static const per_sequence_t SL_DiscTxPoolDedicated_r13_sequence[] = {
  { &hf_lte_rrc_poolToReleaseList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TxPoolToReleaseList_r12 },
  { &hf_lte_rrc_poolToAddModList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxPoolToAddModList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxPoolDedicated_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscTxPoolDedicated_r13, SL_DiscTxPoolDedicated_r13_sequence);

  return offset;
}


static const per_sequence_t T_ue_Selected_r13_sequence[] = {
  { &hf_lte_rrc_discTxPoolPS_Dedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscTxPoolDedicated_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_Selected_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ue_Selected_r13, T_ue_Selected_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_119_vals[] = {
  {   0, "scheduled-r13" },
  {   1, "ue-Selected-r13" },
  { 0, NULL }
};

static const per_choice_t T_setup_119_choice[] = {
  {   0, &hf_lte_rrc_scheduled_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SL_DiscTxConfigScheduled_r13 },
  {   1, &hf_lte_rrc_ue_Selected_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_ue_Selected_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_119(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_119, T_setup_119_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_discTxResourcesPS_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_discTxResourcesPS_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_135   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_119 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_discTxResourcesPS_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_discTxResourcesPS_r13, T_discTxResourcesPS_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_SL_DiscTxRefCarrierDedicated_r13_vals[] = {
  {   0, "pCell" },
  {   1, "sCell" },
  { 0, NULL }
};

static const per_choice_t SL_DiscTxRefCarrierDedicated_r13_choice[] = {
  {   0, &hf_lte_rrc_pCell       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_sCell       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SCellIndex_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxRefCarrierDedicated_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SL_DiscTxRefCarrierDedicated_r13, SL_DiscTxRefCarrierDedicated_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_setup_121_vals[] = {
  {   0, "scheduled-r13" },
  {   1, "ue-Selected-r13" },
  { 0, NULL }
};

static const per_choice_t T_setup_121_choice[] = {
  {   0, &hf_lte_rrc_scheduled_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SL_DiscTxConfigScheduled_r13 },
  {   1, &hf_lte_rrc_ue_Selected_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SL_DiscTxPoolDedicated_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_121(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_121, T_setup_121_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_SL_DiscTxResource_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SL_DiscTxResource_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_139   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_121 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxResource_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SL_DiscTxResource_r13, SL_DiscTxResource_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_q_Hyst_r13_vals[] = {
  {   0, "dB0" },
  {   1, "dB1" },
  {   2, "dB2" },
  {   3, "dB3" },
  {   4, "dB4" },
  {   5, "dB5" },
  {   6, "dB6" },
  {   7, "dB8" },
  {   8, "dB10" },
  {   9, "dB12" },
  {  10, "dB14" },
  {  11, "dB16" },
  {  12, "dB18" },
  {  13, "dB20" },
  {  14, "dB22" },
  {  15, "dB24" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_q_Hyst_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CellSelectionInfoNFreq_r13_sequence[] = {
  { &hf_lte_rrc_q_RxLevMin_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_q_RxLevMinOffset, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_8 },
  { &hf_lte_rrc_q_Hyst_r13  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_q_Hyst_r13 },
  { &hf_lte_rrc_q_RxLevMinReselection_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_t_ReselectionEUTRA_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfoNFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfoNFreq_r13, CellSelectionInfoNFreq_r13_sequence);

  return offset;
}


static const per_sequence_t SL_DiscTxResourceInfoPerFreq_r13_sequence[] = {
  { &hf_lte_rrc_discTxCarrierFreq_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_discTxResources_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxResource_r13 },
  { &hf_lte_rrc_discTxResourcesPS_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxResource_r13 },
  { &hf_lte_rrc_discTxRefCarrierDedicated_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxRefCarrierDedicated_r13 },
  { &hf_lte_rrc_discCellSelectionInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoNFreq_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxResourceInfoPerFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscTxResourceInfoPerFreq_r13, SL_DiscTxResourceInfoPerFreq_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13_sequence_of[1] = {
  { &hf_lte_rrc_discTxFreqToAddModList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscTxResourceInfoPerFreq_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13, SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9_sequence_of[1] = {
  { &hf_lte_rrc_discTxFreqToReleaseList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9, SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SL_DiscTxInfoInterFreqListAdd_r13_sequence[] = {
  { &hf_lte_rrc_discTxFreqToAddModList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13 },
  { &hf_lte_rrc_discTxFreqToReleaseList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxInfoInterFreqListAdd_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscTxInfoInterFreqListAdd_r13, SL_DiscTxInfoInterFreqListAdd_r13_sequence);

  return offset;
}


static const per_sequence_t T_setup_120_sequence[] = {
  { &hf_lte_rrc_discTxCarrierFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_discTxRefCarrierDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxRefCarrierDedicated_r13 },
  { &hf_lte_rrc_discTxInfoInterFreqListAdd_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxInfoInterFreqListAdd_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_120(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_120, T_setup_120_sequence);

  return offset;
}


static const value_string lte_rrc_T_discTxInterFreqInfo_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_discTxInterFreqInfo_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_136   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_120 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_discTxInterFreqInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_discTxInterFreqInfo_r13, T_discTxInterFreqInfo_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_gapPeriod_r13_vals[] = {
  {   0, "sf40" },
  {   1, "sf60" },
  {   2, "sf70" },
  {   3, "sf80" },
  {   4, "sf120" },
  {   5, "sf140" },
  {   6, "sf160" },
  {   7, "sf240" },
  {   8, "sf280" },
  {   9, "sf320" },
  {  10, "sf640" },
  {  11, "sf1280" },
  {  12, "sf2560" },
  {  13, "sf5120" },
  {  14, "sf10240" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gapPeriod_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     15, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_1_10240(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, 10240, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t SL_GapPattern_r13_sequence[] = {
  { &hf_lte_rrc_gapPeriod_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_gapPeriod_r13 },
  { &hf_lte_rrc_gapOffset_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_OffsetIndicator_r12 },
  { &hf_lte_rrc_gapSubframeBitmap_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_1_10240 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_GapPattern_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_GapPattern_r13, SL_GapPattern_r13_sequence);

  return offset;
}


static const per_sequence_t SL_GapPatternList_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_GapPatternList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_GapPattern_r13 },
};

static int
dissect_lte_rrc_SL_GapPatternList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_GapPatternList_r13, SL_GapPatternList_r13_sequence_of,
                                                  1, maxSL_GP_r13, FALSE);

  return offset;
}


static const per_sequence_t SL_GapConfig_r13_sequence[] = {
  { &hf_lte_rrc_gapPatternList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_GapPatternList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_GapConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_GapConfig_r13, SL_GapConfig_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_discRxGapConfig_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_discRxGapConfig_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_137   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SL_GapConfig_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_discRxGapConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_discRxGapConfig_r13, T_discRxGapConfig_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_discTxGapConfig_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_discTxGapConfig_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_137   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SL_GapConfig_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_discTxGapConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_discTxGapConfig_r13, T_discTxGapConfig_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_DiscSysInfoToReportFreqList_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_DiscSysInfoToReportFreqList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
};

static int
dissect_lte_rrc_SL_DiscSysInfoToReportFreqList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_DiscSysInfoToReportFreqList_r13, SL_DiscSysInfoToReportFreqList_r13_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const value_string lte_rrc_T_discSysInfoToReportConfig_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_discSysInfoToReportConfig_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_138   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SL_DiscSysInfoToReportFreqList_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_discSysInfoToReportConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_discSysInfoToReportConfig_r13, T_discSysInfoToReportConfig_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_DiscConfig_r12_eag_2_sequence[] = {
  { &hf_lte_rrc_discTxResourcesPS_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discTxResourcesPS_r13 },
  { &hf_lte_rrc_discTxInterFreqInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discTxInterFreqInfo_r13 },
  { &hf_lte_rrc_gapRequestsAllowedDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_discRxGapConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discRxGapConfig_r13 },
  { &hf_lte_rrc_discTxGapConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discTxGapConfig_r13 },
  { &hf_lte_rrc_discSysInfoToReportConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discSysInfoToReportConfig_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscConfig_r12_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_DiscConfig_r12_eag_2_sequence);

  return offset;
}


static const per_sequence_t SL_DiscConfig_r12_sequence[] = {
  { &hf_lte_rrc_discTxResources_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_discTxResources_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscConfig_r12_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscConfig_r12_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscConfig_r12, SL_DiscConfig_r12_sequence);

  return offset;
}


static const per_sequence_t AS_Config_v1250_sequence[] = {
  { &hf_lte_rrc_sourceWlan_OffloadConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_OffloadConfig_r12 },
  { &hf_lte_rrc_sourceSL_CommConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommConfig_r12 },
  { &hf_lte_rrc_sourceSL_DiscConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscConfig_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Config_v1250, AS_Config_v1250_sequence);

  return offset;
}


static const per_sequence_t WLAN_Id_List_r12_sequence_of[1] = {
  { &hf_lte_rrc_WLAN_Id_List_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_Identifiers_r12 },
};

static int
dissect_lte_rrc_WLAN_Id_List_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_WLAN_Id_List_r12, WLAN_Id_List_r12_sequence_of,
                                                  1, maxWLAN_Id_r12, FALSE);

  return offset;
}


static const per_sequence_t T_steerToWLAN_r13_sequence[] = {
  { &hf_lte_rrc_mobilityConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_Id_List_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_steerToWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_steerToWLAN_r13, T_steerToWLAN_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_command_vals[] = {
  {   0, "steerToWLAN-r13" },
  {   1, "steerToLTE-r13" },
  { 0, NULL }
};

static const per_choice_t T_command_choice[] = {
  {   0, &hf_lte_rrc_steerToWLAN_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_steerToWLAN_r13 },
  {   1, &hf_lte_rrc_steerToLTE_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_command(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_command, T_command_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RCLWI_Config_r13_sequence[] = {
  { &hf_lte_rrc_command     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_command },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RCLWI_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RCLWI_Config_r13, RCLWI_Config_r13_sequence);

  return offset;
}


static const per_sequence_t T_setup_75_sequence[] = {
  { &hf_lte_rrc_rclwi_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RCLWI_Config_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_75(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_75, T_setup_75_sequence);

  return offset;
}


static const value_string lte_rrc_RCLWI_Configuration_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t RCLWI_Configuration_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_88    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_75 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RCLWI_Configuration_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RCLWI_Configuration_r13, RCLWI_Configuration_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t AS_Config_v1320_sequence[] = {
  { &hf_lte_rrc_sourceSCellConfigList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListExt_r13 },
  { &hf_lte_rrc_sourceRCLWI_Configuration_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RCLWI_Configuration_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Config_v1320, AS_Config_v1320_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_wlanConnectionStatusReport_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_WLANConnectionStatusReport_r13_PDU);

  return offset;
}


static const per_sequence_t AS_Context_v1320_sequence[] = {
  { &hf_lte_rrc_wlanConnectionStatusReport_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_wlanConnectionStatusReport_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Context_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Context_v1320, AS_Context_v1320_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     50, 50, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_100(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     100, 100, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_SubframeBitmapSL_r14_vals[] = {
  {   0, "bs10-r14" },
  {   1, "bs16-r14" },
  {   2, "bs20-r14" },
  {   3, "bs30-r14" },
  {   4, "bs40-r14" },
  {   5, "bs50-r14" },
  {   6, "bs60-r14" },
  {   7, "bs100-r14" },
  { 0, NULL }
};

static const per_choice_t SubframeBitmapSL_r14_choice[] = {
  {   0, &hf_lte_rrc_bs10_r14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_10 },
  {   1, &hf_lte_rrc_bs16_r14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_16 },
  {   2, &hf_lte_rrc_bs20_r14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_20 },
  {   3, &hf_lte_rrc_bs30_r14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_30 },
  {   4, &hf_lte_rrc_bs40_r14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_40 },
  {   5, &hf_lte_rrc_bs50_r14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_50 },
  {   6, &hf_lte_rrc_bs60_r14    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_60 },
  {   7, &hf_lte_rrc_bs100_r14   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_100 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SubframeBitmapSL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SubframeBitmapSL_r14, SubframeBitmapSL_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_sizeSubchannel_r14_vals[] = {
  {   0, "n4" },
  {   1, "n5" },
  {   2, "n6" },
  {   3, "n8" },
  {   4, "n9" },
  {   5, "n10" },
  {   6, "n12" },
  {   7, "n15" },
  {   8, "n16" },
  {   9, "n18" },
  {  10, "n20" },
  {  11, "n25" },
  {  12, "n30" },
  {  13, "n48" },
  {  14, "n50" },
  {  15, "n72" },
  {  16, "n75" },
  {  17, "n96" },
  {  18, "n100" },
  {  19, "spare13" },
  {  20, "spare12" },
  {  21, "spare11" },
  {  22, "spare10" },
  {  23, "spare9" },
  {  24, "spare8" },
  {  25, "spare7" },
  {  26, "spare6" },
  {  27, "spare5" },
  {  28, "spare4" },
  {  29, "spare3" },
  {  30, "spare2" },
  {  31, "spare1" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_sizeSubchannel_r14_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_sizeSubchannel_r14_vals);


static int
dissect_lte_rrc_T_sizeSubchannel_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     32, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_numSubchannel_r14_vals[] = {
  {   0, "n1" },
  {   1, "n3" },
  {   2, "n5" },
  {   3, "n8" },
  {   4, "n10" },
  {   5, "n15" },
  {   6, "n20" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_numSubchannel_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_rxParametersNCell_r14_sequence[] = {
  { &hf_lte_rrc_tdd_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config },
  { &hf_lte_rrc_syncConfigIndex_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rxParametersNCell_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rxParametersNCell_r14, T_rxParametersNCell_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_45(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 45U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_maxCBR_Level_1_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxCBR_Level_1_r14, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_maxSL_V2X_CBRConfig_1_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxSL_V2X_CBRConfig_1_r14, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_Tx_ConfigIndex_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxSL_V2X_TxConfig_1_r14, NULL, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14_sequence_of[1] = {
  { &hf_lte_rrc_tx_ConfigIndexList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Tx_ConfigIndex_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14, SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14_sequence_of,
                                                  1, maxCBR_Level_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_PPPP_TxConfigIndex_r14_sequence[] = {
  { &hf_lte_rrc_priorityThreshold_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_Priority_r13 },
  { &hf_lte_rrc_defaultTxConfigIndex_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_maxCBR_Level_1_r14 },
  { &hf_lte_rrc_cbr_ConfigIndex_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_maxSL_V2X_CBRConfig_1_r14 },
  { &hf_lte_rrc_tx_ConfigIndexList_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_PPPP_TxConfigIndex_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_PPPP_TxConfigIndex_r14, SL_PPPP_TxConfigIndex_r14_sequence);

  return offset;
}


static const per_sequence_t SL_CBR_PPPP_TxConfigList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_CBR_PPPP_TxConfigList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_PPPP_TxConfigIndex_r14 },
};

static int
dissect_lte_rrc_SL_CBR_PPPP_TxConfigList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CBR_PPPP_TxConfigList_r14, SL_CBR_PPPP_TxConfigList_r14_sequence_of,
                                                  1, 8, FALSE);

  return offset;
}


static const value_string lte_rrc_T_partialSensing_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_partialSensing_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_randomSelection_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_randomSelection_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_P2X_ResourceSelectionConfig_r14_sequence[] = {
  { &hf_lte_rrc_partialSensing_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_partialSensing_r14 },
  { &hf_lte_rrc_randomSelection_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_randomSelection_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_P2X_ResourceSelectionConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_P2X_ResourceSelectionConfig_r14, SL_P2X_ResourceSelectionConfig_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_gnss_Sync_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gnss_Sync_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_enb_Sync_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_enb_Sync_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_Sync_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_Sync_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_SyncAllowed_r14_sequence[] = {
  { &hf_lte_rrc_gnss_Sync_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_gnss_Sync_r14 },
  { &hf_lte_rrc_enb_Sync_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_enb_Sync_r14 },
  { &hf_lte_rrc_ue_Sync_r14 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_Sync_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_SyncAllowed_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_SyncAllowed_r14, SL_SyncAllowed_r14_sequence);

  return offset;
}


static const value_string lte_rrc_SL_RestrictResourceReservationPeriod_r14_vals[] = {
  {   0, "v0dot2" },
  {   1, "v0dot5" },
  {   2, "v1" },
  {   3, "v2" },
  {   4, "v3" },
  {   5, "v4" },
  {   6, "v5" },
  {   7, "v6" },
  {   8, "v7" },
  {   9, "v8" },
  {  10, "v9" },
  {  11, "v10" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SL_RestrictResourceReservationPeriod_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_RestrictResourceReservationPeriodList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_RestrictResourceReservationPeriodList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_RestrictResourceReservationPeriod_r14 },
};

static int
dissect_lte_rrc_SL_RestrictResourceReservationPeriodList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_RestrictResourceReservationPeriodList_r14, SL_RestrictResourceReservationPeriodList_r14_sequence_of,
                                                  1, maxReservationPeriod_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_CommResourcePoolV2X_r14_sequence[] = {
  { &hf_lte_rrc_sl_OffsetIndicator_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_OffsetIndicator_r12 },
  { &hf_lte_rrc_sl_Subframe_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SubframeBitmapSL_r14 },
  { &hf_lte_rrc_adjacencyPSCCH_PSSCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_sizeSubchannel_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sizeSubchannel_r14 },
  { &hf_lte_rrc_numSubchannel_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_numSubchannel_r14 },
  { &hf_lte_rrc_startRB_Subchannel_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_99 },
  { &hf_lte_rrc_startRB_PSCCH_Pool_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_99 },
  { &hf_lte_rrc_rxParametersNCell_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rxParametersNCell_r14 },
  { &hf_lte_rrc_dataTxParameters_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TxParameters_r12 },
  { &hf_lte_rrc_zoneID_r14  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_threshS_RSSI_CBR_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_45 },
  { &hf_lte_rrc_poolReportId_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_V2X_TxPoolReportIdentity_r14 },
  { &hf_lte_rrc_cbr_pssch_TxConfigList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CBR_PPPP_TxConfigList_r14 },
  { &hf_lte_rrc_resourceSelectionConfigP2X_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_P2X_ResourceSelectionConfig_r14 },
  { &hf_lte_rrc_syncAllowed_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncAllowed_r14 },
  { &hf_lte_rrc_restrictResourceReservationPeriod_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_RestrictResourceReservationPeriodList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommResourcePoolV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CommResourcePoolV2X_r14, SL_CommResourcePoolV2X_r14_sequence);

  return offset;
}


static const per_sequence_t T_scheduled_r14_sequence[] = {
  { &hf_lte_rrc_sl_V_RNTI_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_mac_MainConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfigSL_r12 },
  { &hf_lte_rrc_v2x_SchedulingPool_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommResourcePoolV2X_r14 },
  { &hf_lte_rrc_mcs_r14     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_logicalChGroupInfoList_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogicalChGroupInfoList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_scheduled_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_scheduled_r14, T_scheduled_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_V2X_TxPoolIdentity_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxSL_V2X_TxPool_r14, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_TxPoolToReleaseListV2X_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_TxPoolToReleaseListV2X_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_V2X_TxPoolIdentity_r14 },
};

static int
dissect_lte_rrc_SL_TxPoolToReleaseListV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_TxPoolToReleaseListV2X_r14, SL_TxPoolToReleaseListV2X_r14_sequence_of,
                                                  1, maxSL_V2X_TxPool_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_TxPoolToAddMod_r14_sequence[] = {
  { &hf_lte_rrc_poolIdentity_r14_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_V2X_TxPoolIdentity_r14 },
  { &hf_lte_rrc_pool_r14    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePoolV2X_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_TxPoolToAddMod_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_TxPoolToAddMod_r14, SL_TxPoolToAddMod_r14_sequence);

  return offset;
}


static const per_sequence_t SL_TxPoolToAddModListV2X_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_TxPoolToAddModListV2X_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxPoolToAddMod_r14 },
};

static int
dissect_lte_rrc_SL_TxPoolToAddModListV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_TxPoolToAddModListV2X_r14, SL_TxPoolToAddModListV2X_r14_sequence_of,
                                                  1, maxSL_V2X_TxPool_r14, FALSE);

  return offset;
}


static const value_string lte_rrc_SL_TypeTxSync_r14_vals[] = {
  {   0, "gnss" },
  {   1, "enb" },
  {   2, "ue" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SL_TypeTxSync_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_thresUE_Speed_r14_vals[] = {
  {   0, "kmph60" },
  {   1, "kmph80" },
  {   2, "kmph100" },
  {   3, "kmph120" },
  {   4, "kmph140" },
  {   5, "kmph160" },
  {   6, "kmph180" },
  {   7, "kmph200" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_thresUE_Speed_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 20U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_allowedRetxNumberPSSCH_r14_vals[] = {
  {   0, "n0" },
  {   1, "n1" },
  {   2, "both" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_allowedRetxNumberPSSCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M41_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -41, 31U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_SL_TxPower_r14_vals[] = {
  {   0, "minusinfinity-r14" },
  {   1, "txPower-r14" },
  { 0, NULL }
};

static const per_choice_t SL_TxPower_r14_choice[] = {
  {   0, &hf_lte_rrc_minusinfinity_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_txPower_r14 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_M41_31 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SL_TxPower_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SL_TxPower_r14, SL_TxPower_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_PSSCH_TxParameters_r14_sequence[] = {
  { &hf_lte_rrc_minMCS_PSSCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_maxMCS_PSSCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_minSubChannel_NumberPSSCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_20 },
  { &hf_lte_rrc_maxSubchannel_NumberPSSCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_20 },
  { &hf_lte_rrc_allowedRetxNumberPSSCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_allowedRetxNumberPSSCH_r14 },
  { &hf_lte_rrc_maxTxPower_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TxPower_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_PSSCH_TxParameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_PSSCH_TxParameters_r14, SL_PSSCH_TxParameters_r14_sequence);

  return offset;
}


static const per_sequence_t SL_PSSCH_TxConfig_r14_sequence[] = {
  { &hf_lte_rrc_typeTxSync_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TypeTxSync_r14 },
  { &hf_lte_rrc_thresUE_Speed_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_thresUE_Speed_r14 },
  { &hf_lte_rrc_parametersAboveThres_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_PSSCH_TxParameters_r14 },
  { &hf_lte_rrc_parametersBelowThres_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_PSSCH_TxParameters_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_PSSCH_TxConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_PSSCH_TxConfig_r14, SL_PSSCH_TxConfig_r14_sequence);

  return offset;
}


static const per_sequence_t SL_PSSCH_TxConfigList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_PSSCH_TxConfigList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_PSSCH_TxConfig_r14 },
};

static int
dissect_lte_rrc_SL_PSSCH_TxConfigList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_PSSCH_TxConfigList_r14, SL_PSSCH_TxConfigList_r14_sequence_of,
                                                  1, maxPSSCH_TxConfig_r14, FALSE);

  return offset;
}



static int
dissect_lte_rrc_SL_ThresPSSCH_RSRP_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 66U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_ThresPSSCH_RSRP_List_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_ThresPSSCH_RSRP_List_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_ThresPSSCH_RSRP_r14 },
};

static int
dissect_lte_rrc_SL_ThresPSSCH_RSRP_List_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_ThresPSSCH_RSRP_List_r14, SL_ThresPSSCH_RSRP_List_r14_sequence_of,
                                                  64, 64, FALSE);

  return offset;
}


static const value_string lte_rrc_T_probResourceKeep_r14_vals[] = {
  {   0, "v0" },
  {   1, "v0dot2" },
  {   2, "v0dot4" },
  {   3, "v0dot6" },
  {   4, "v0dot8" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_probResourceKeep_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 13U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_p2x_SensingConfig_r14_sequence[] = {
  { &hf_lte_rrc_minNumCandidateSF_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_13 },
  { &hf_lte_rrc_gapCandidateSensing_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_p2x_SensingConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_p2x_SensingConfig_r14, T_p2x_SensingConfig_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_sl_ReselectAfter_r14_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n5" },
  {   5, "n6" },
  {   6, "n7" },
  {   7, "n8" },
  {   8, "n9" },
  {   9, "spare7" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sl_ReselectAfter_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_CommTxPoolSensingConfig_r14_sequence[] = {
  { &hf_lte_rrc_pssch_TxConfigList_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_PSSCH_TxConfigList_r14 },
  { &hf_lte_rrc_thresPSSCH_RSRP_List_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_ThresPSSCH_RSRP_List_r14 },
  { &hf_lte_rrc_restrictResourceReservationPeriod_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_RestrictResourceReservationPeriodList_r14 },
  { &hf_lte_rrc_probResourceKeep_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_probResourceKeep_r14 },
  { &hf_lte_rrc_p2x_SensingConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_p2x_SensingConfig_r14 },
  { &hf_lte_rrc_sl_ReselectAfter_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sl_ReselectAfter_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommTxPoolSensingConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CommTxPoolSensingConfig_r14, SL_CommTxPoolSensingConfig_r14_sequence);

  return offset;
}


static const per_sequence_t T_v2x_CommTxPoolNormalDedicated_r14_sequence[] = {
  { &hf_lte_rrc_poolToReleaseList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TxPoolToReleaseListV2X_r14 },
  { &hf_lte_rrc_poolToAddModList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TxPoolToAddModListV2X_r14 },
  { &hf_lte_rrc_v2x_CommTxPoolSensingConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolSensingConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_v2x_CommTxPoolNormalDedicated_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_v2x_CommTxPoolNormalDedicated_r14, T_v2x_CommTxPoolNormalDedicated_r14_sequence);

  return offset;
}


static const per_sequence_t T_ue_Selected_r14_sequence[] = {
  { &hf_lte_rrc_v2x_CommTxPoolNormalDedicated_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_v2x_CommTxPoolNormalDedicated_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ue_Selected_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ue_Selected_r14, T_ue_Selected_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_setup_126_vals[] = {
  {   0, "scheduled-r14" },
  {   1, "ue-Selected-r14" },
  { 0, NULL }
};

static const per_choice_t T_setup_126_choice[] = {
  {   0, &hf_lte_rrc_scheduled_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_scheduled_r14 },
  {   1, &hf_lte_rrc_ue_Selected_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_ue_Selected_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_126(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_setup_126, T_setup_126_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_commTxResources_r14_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_commTxResources_r14_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_144   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_126 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_commTxResources_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_commTxResources_r14, T_commTxResources_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_sl_Bandwidth_r14_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sl_Bandwidth_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_SL_OffsetIndicatorSync_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 39U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_SLSSID_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 167U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_asyncParameters_r13_sequence[] = {
  { &hf_lte_rrc_syncCP_Len_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CP_Len_r12 },
  { &hf_lte_rrc_syncOffsetIndicator_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_OffsetIndicatorSync_r12 },
  { &hf_lte_rrc_slssid_r13  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SLSSID_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_asyncParameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_asyncParameters_r13, T_asyncParameters_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_RSRP_RangeSL_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 13U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_19(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     19, 19, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_syncTxPeriodic_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_syncTxPeriodic_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_txParameters_r13_sequence[] = {
  { &hf_lte_rrc_syncTxParameters_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxParameters_r12 },
  { &hf_lte_rrc_syncTxThreshIC_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_RangeSL_r12 },
  { &hf_lte_rrc_syncInfoReserved_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_19 },
  { &hf_lte_rrc_syncTxPeriodic_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_syncTxPeriodic_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_txParameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_txParameters_r13, T_txParameters_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_discSyncWindow_r13_vals[] = {
  {   0, "w1" },
  {   1, "w2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discSyncWindow_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_rxParameters_r13_sequence[] = {
  { &hf_lte_rrc_discSyncWindow_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_discSyncWindow_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rxParameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rxParameters_r13, T_rxParameters_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_OffsetIndicatorSync_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            40U, 159U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_gnss_Sync_r14_02_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gnss_Sync_r14_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_SyncConfigNFreq_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_syncOffsetIndicator_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_OffsetIndicatorSync_v1430 },
  { &hf_lte_rrc_gnss_Sync_r14_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_gnss_Sync_r14_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_SyncConfigNFreq_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_SyncConfigNFreq_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t SL_SyncConfigNFreq_r13_sequence[] = {
  { &hf_lte_rrc_asyncParameters_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_asyncParameters_r13 },
  { &hf_lte_rrc_txParameters_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_txParameters_r13 },
  { &hf_lte_rrc_rxParameters_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rxParameters_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_SyncConfigNFreq_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_SyncConfigNFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_SyncConfigNFreq_r13, SL_SyncConfigNFreq_r13_sequence);

  return offset;
}


static const per_sequence_t SL_SyncConfigListNFreqV2X_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_SyncConfigListNFreqV2X_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_SyncConfigNFreq_r13 },
};

static int
dissect_lte_rrc_SL_SyncConfigListNFreqV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_SyncConfigListNFreqV2X_r14, SL_SyncConfigListNFreqV2X_r14_sequence_of,
                                                  1, maxSL_V2X_SyncConfig_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_CommRxPoolListV2X_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_CommRxPoolListV2X_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePoolV2X_r14 },
};

static int
dissect_lte_rrc_SL_CommRxPoolListV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CommRxPoolListV2X_r14, SL_CommRxPoolListV2X_r14_sequence_of,
                                                  1, maxSL_V2X_RxPool_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_CommTxPoolListV2X_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_CommTxPoolListV2X_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePoolV2X_r14 },
};

static int
dissect_lte_rrc_SL_CommTxPoolListV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CommTxPoolListV2X_r14, SL_CommTxPoolListV2X_r14_sequence_of,
                                                  1, maxSL_V2X_TxPool_r14, FALSE);

  return offset;
}


static const value_string lte_rrc_T_zoneLength_r14_vals[] = {
  {   0, "m5" },
  {   1, "m10" },
  {   2, "m20" },
  {   3, "m50" },
  {   4, "m100" },
  {   5, "m200" },
  {   6, "m500" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_zoneLength_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_zoneWidth_r14_vals[] = {
  {   0, "m5" },
  {   1, "m10" },
  {   2, "m20" },
  {   3, "m50" },
  {   4, "m100" },
  {   5, "m200" },
  {   6, "m500" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_zoneWidth_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_ZoneConfig_r14_sequence[] = {
  { &hf_lte_rrc_zoneLength_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_zoneLength_r14 },
  { &hf_lte_rrc_zoneWidth_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_zoneWidth_r14 },
  { &hf_lte_rrc_zoneIdLongiMod_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { &hf_lte_rrc_zoneIdLatiMod_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_ZoneConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_ZoneConfig_r14, SL_ZoneConfig_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_1000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1000U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_V2X_InterFreqUE_Config_r14_sequence[] = {
  { &hf_lte_rrc_physCellIdList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysCellIdList_r13 },
  { &hf_lte_rrc_typeTxSync_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TypeTxSync_r14 },
  { &hf_lte_rrc_v2x_SyncConfig_r14_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncConfigListNFreqV2X_r14 },
  { &hf_lte_rrc_v2x_CommRxPool_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommRxPoolListV2X_r14 },
  { &hf_lte_rrc_v2x_CommTxPoolNormal_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolListV2X_r14 },
  { &hf_lte_rrc_p2x_CommTxPoolNormal_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolListV2X_r14 },
  { &hf_lte_rrc_v2x_CommTxPoolExceptional_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommResourcePoolV2X_r14 },
  { &hf_lte_rrc_v2x_ResourceSelectionConfig_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolSensingConfig_r14 },
  { &hf_lte_rrc_zoneConfig_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_ZoneConfig_r14 },
  { &hf_lte_rrc_offsetDFN_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_V2X_InterFreqUE_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_V2X_InterFreqUE_Config_r14, SL_V2X_InterFreqUE_Config_r14_sequence);

  return offset;
}


static const per_sequence_t SL_V2X_UE_ConfigList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_V2X_UE_ConfigList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_V2X_InterFreqUE_Config_r14 },
};

static int
dissect_lte_rrc_SL_V2X_UE_ConfigList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_V2X_UE_ConfigList_r14, SL_V2X_UE_ConfigList_r14_sequence_of,
                                                  1, maxCellIntra, FALSE);

  return offset;
}


static const value_string lte_rrc_T_additionalSpectrumEmissionV2X_r14_vals[] = {
  {   0, "additionalSpectrumEmission-r14" },
  {   1, "additionalSpectrumEmission-v1440" },
  { 0, NULL }
};

static const per_choice_t T_additionalSpectrumEmissionV2X_r14_choice[] = {
  {   0, &hf_lte_rrc_additionalSpectrumEmission_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_AdditionalSpectrumEmission },
  {   1, &hf_lte_rrc_additionalSpectrumEmission_v1440, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_additionalSpectrumEmissionV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_additionalSpectrumEmissionV2X_r14, T_additionalSpectrumEmissionV2X_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_InterFreqInfoV2X_r14_eag_1_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmissionV2X_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_additionalSpectrumEmissionV2X_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_InterFreqInfoV2X_r14_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_InterFreqInfoV2X_r14_eag_1_sequence);

  return offset;
}


static const per_sequence_t SL_InterFreqInfoV2X_r14_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PLMN_IdentityList },
  { &hf_lte_rrc_v2x_CommCarrierFreq_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_sl_MaxTxPower_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_sl_Bandwidth_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_sl_Bandwidth_r14 },
  { &hf_lte_rrc_v2x_SchedulingPool_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommResourcePoolV2X_r14 },
  { &hf_lte_rrc_v2x_UE_ConfigList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_V2X_UE_ConfigList_r14 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_InterFreqInfoV2X_r14_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_InterFreqInfoV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_InterFreqInfoV2X_r14, SL_InterFreqInfoV2X_r14_sequence);

  return offset;
}


static const per_sequence_t SL_InterFreqInfoListV2X_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_InterFreqInfoListV2X_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_InterFreqInfoV2X_r14 },
};

static int
dissect_lte_rrc_SL_InterFreqInfoListV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_InterFreqInfoListV2X_r14, SL_InterFreqInfoListV2X_r14_sequence_of,
                                                  0, maxFreqV2X_1_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_CBR_Levels_Config_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_CBR_Levels_Config_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CBR_r14 },
};

static int
dissect_lte_rrc_SL_CBR_Levels_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CBR_Levels_Config_r14, SL_CBR_Levels_Config_r14_sequence_of,
                                                  1, maxCBR_Level_r14, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14_sequence_of[1] = {
  { &hf_lte_rrc_cbr_RangeCommonConfigList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CBR_Levels_Config_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14, SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14_sequence_of,
                                                  1, maxSL_V2X_CBRConfig_r14, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_10000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 10000U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_CBR_PSSCH_TxConfig_r14_sequence[] = {
  { &hf_lte_rrc_cr_Limit_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_10000 },
  { &hf_lte_rrc_tx_Parameters_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_PSSCH_TxParameters_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CBR_PSSCH_TxConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CBR_PSSCH_TxConfig_r14, SL_CBR_PSSCH_TxConfig_r14_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14_sequence_of[1] = {
  { &hf_lte_rrc_sl_CBR_PSSCH_TxConfigList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CBR_PSSCH_TxConfig_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14, SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14_sequence_of,
                                                  1, maxSL_V2X_TxConfig_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_CBR_CommonTxConfigList_r14_sequence[] = {
  { &hf_lte_rrc_cbr_RangeCommonConfigList_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14 },
  { &hf_lte_rrc_sl_CBR_PSSCH_TxConfigList_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CBR_CommonTxConfigList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CBR_CommonTxConfigList_r14, SL_CBR_CommonTxConfigList_r14_sequence);

  return offset;
}


static const per_sequence_t SL_V2X_ConfigDedicated_r14_sequence[] = {
  { &hf_lte_rrc_commTxResources_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_commTxResources_r14 },
  { &hf_lte_rrc_v2x_InterFreqInfoList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_InterFreqInfoListV2X_r14 },
  { &hf_lte_rrc_thresSL_TxPrioritization_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_Priority_r13 },
  { &hf_lte_rrc_typeTxSync_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TypeTxSync_r14 },
  { &hf_lte_rrc_cbr_DedicatedTxConfigList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CBR_CommonTxConfigList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_V2X_ConfigDedicated_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_V2X_ConfigDedicated_r14, SL_V2X_ConfigDedicated_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_associationTimer_r13_vals[] = {
  {   0, "s10" },
  {   1, "s30" },
  {   2, "s60" },
  {   3, "s120" },
  {   4, "s240" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_associationTimer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_successReportRequested_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_successReportRequested_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t WLAN_SuspendConfig_r14_sequence[] = {
  { &hf_lte_rrc_wlan_SuspendResumeAllowed_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_wlan_SuspendTriggersStatusReport_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_SuspendConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLAN_SuspendConfig_r14, WLAN_SuspendConfig_r14_sequence);

  return offset;
}


static const per_sequence_t WLAN_MobilityConfig_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_wlan_SuspendConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_SuspendConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_MobilityConfig_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, WLAN_MobilityConfig_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t WLAN_MobilityConfig_r13_sequence[] = {
  { &hf_lte_rrc_wlan_ToReleaseList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_Id_List_r13 },
  { &hf_lte_rrc_wlan_ToAddList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_Id_List_r13 },
  { &hf_lte_rrc_associationTimer_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_associationTimer_r13 },
  { &hf_lte_rrc_successReportRequested_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_successReportRequested_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_MobilityConfig_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_MobilityConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLAN_MobilityConfig_r13, WLAN_MobilityConfig_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_65535(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}


static const per_sequence_t LWA_Config_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_wt_MAC_Address_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING_SIZE_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LWA_Config_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, LWA_Config_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t LWA_Config_r13_sequence[] = {
  { &hf_lte_rrc_lwa_MobilityConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_MobilityConfig_r13 },
  { &hf_lte_rrc_lwa_WT_Counter_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_65535 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_LWA_Config_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LWA_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LWA_Config_r13, LWA_Config_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_31250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31250U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_connectedWLAN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connectedWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MeasResultWLAN_r13_sequence[] = {
  { &hf_lte_rrc_wlan_Identifiers_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_Identifiers_r12 },
  { &hf_lte_rrc_carrierInfoWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_CarrierInfo_r13 },
  { &hf_lte_rrc_bandWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_BandIndicator_r13 },
  { &hf_lte_rrc_rssiWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_RSSI_Range_r13 },
  { &hf_lte_rrc_availableAdmissionCapacityWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_31250 },
  { &hf_lte_rrc_backhaulDL_BandwidthWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_backhaulRate_r12 },
  { &hf_lte_rrc_backhaulUL_BandwidthWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_backhaulRate_r12 },
  { &hf_lte_rrc_channelUtilizationWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_255 },
  { &hf_lte_rrc_stationCountWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_65535 },
  { &hf_lte_rrc_connectedWLAN_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_connectedWLAN_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultWLAN_r13, MeasResultWLAN_r13_sequence);

  return offset;
}


static const per_sequence_t MeasResultListWLAN_r13_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListWLAN_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultWLAN_r13 },
};

static int
dissect_lte_rrc_MeasResultListWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListWLAN_r13, MeasResultListWLAN_r13_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}


static const per_sequence_t AS_Config_v1430_sequence[] = {
  { &hf_lte_rrc_sourceSL_V2X_CommConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_V2X_ConfigDedicated_r14 },
  { &hf_lte_rrc_sourceLWA_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LWA_Config_r13 },
  { &hf_lte_rrc_sourceWLAN_MeasResult_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultListWLAN_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Config_v1430, AS_Config_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_makeBeforeBreakReq_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_makeBeforeBreakReq_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_02_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_02, T_nonCriticalExtension_02_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_as_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Config_v1430 },
  { &hf_lte_rrc_makeBeforeBreakReq_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_makeBeforeBreakReq_r14 },
  { &hf_lte_rrc_nonCriticalExtension_10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v1430_IEs, HandoverPreparationInformation_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v1320_IEs_sequence[] = {
  { &hf_lte_rrc_as_Config_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Config_v1320 },
  { &hf_lte_rrc_as_Context_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Context_v1320 },
  { &hf_lte_rrc_nonCriticalExtension_09, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v1320_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v1320_IEs, HandoverPreparationInformation_v1320_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_ue_SupportedEARFCN_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_as_Config_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Config_v1250 },
  { &hf_lte_rrc_nonCriticalExtension_08, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_v1320_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v1250_IEs, HandoverPreparationInformation_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_as_Context_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Context_v1130 },
  { &hf_lte_rrc_nonCriticalExtension_07, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v1130_IEs, HandoverPreparationInformation_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v9e0_IEs_sequence[] = {
  { &hf_lte_rrc_as_Config_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Config_v9e0 },
  { &hf_lte_rrc_nonCriticalExtension_06, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v9e0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v9e0_IEs, HandoverPreparationInformation_v9e0_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v9d0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension },
  { &hf_lte_rrc_nonCriticalExtension_03, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_v9e0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v9d0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v9d0_IEs, HandoverPreparationInformation_v9d0_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v920_IEs_sequence[] = {
  { &hf_lte_rrc_ue_ConfigRelease_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_ConfigRelease_r9 },
  { &hf_lte_rrc_nonCriticalExtension_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_v9d0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v920_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v920_IEs, HandoverPreparationInformation_v920_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_r8_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioAccessCapabilityInfo, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_CapabilityRAT_ContainerList },
  { &hf_lte_rrc_as_Config   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Config },
  { &hf_lte_rrc_rrm_Config  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRM_Config },
  { &hf_lte_rrc_as_Context  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Context },
  { &hf_lte_rrc_nonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_v920_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_r8_IEs, HandoverPreparationInformation_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_01_vals[] = {
  {   0, "handoverPreparationInformation-r8" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_01_choice[] = {
  {   0, &hf_lte_rrc_handoverPreparationInformation_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_HandoverPreparationInformation_r8_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_01, T_c1_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_01_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_01, T_criticalExtensionsFuture_01_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_01_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_01_choice[] = {
  {   0, &hf_lte_rrc_c1_01       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_01 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_01, T_criticalExtensions_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation, HandoverPreparationInformation_sequence);

  return offset;
}



static int
dissect_lte_rrc_OCTET_STRING(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, NULL);

  return offset;
}


static const per_sequence_t AS_Config_v10j0_sequence[] = {
  { &hf_lte_rrc_antennaInfoDedicatedPCell_v10i0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v10i0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_v10j0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Config_v10j0, AS_Config_v10j0_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_01_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_01, T_nonCriticalExtension_01_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v10j0_IEs_sequence[] = {
  { &hf_lte_rrc_as_Config_v10j0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Config_v10j0 },
  { &hf_lte_rrc_nonCriticalExtension_05, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v10j0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v10j0_IEs, HandoverPreparationInformation_v10j0_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_v9j0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_04, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_v10j0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_v9j0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_v9j0_IEs, HandoverPreparationInformation_v9j0_IEs_sequence);

  return offset;
}


static const per_sequence_t PowerCoordinationInfo_r12_sequence[] = {
  { &hf_lte_rrc_p_MeNB_r12  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_16 },
  { &hf_lte_rrc_p_SeNB_r12  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_16 },
  { &hf_lte_rrc_powerControlMode_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PowerCoordinationInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PowerCoordinationInfo_r12, PowerCoordinationInfo_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_eutra_CapabilityInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_lte_rrc_UECapabilityInformation_PDU);

  return offset;
}


static const per_sequence_t SCG_ConfigRestrictInfo_r12_sequence[] = {
  { &hf_lte_rrc_maxSCH_TB_BitsDL_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_100 },
  { &hf_lte_rrc_maxSCH_TB_BitsUL_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_100 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigRestrictInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_ConfigRestrictInfo_r12, SCG_ConfigRestrictInfo_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_mbmsInterestIndication_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_MBMSInterestIndication_r11_PDU);

  return offset;
}


static const per_sequence_t T_measResultSCell_r12_sequence[] = {
  { &hf_lte_rrc_rsrpResultSCell_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResultSCell_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultSCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultSCell_r12, T_measResultSCell_r12_sequence);

  return offset;
}


static const per_sequence_t T_measResultSCell_v1310_sequence[] = {
  { &hf_lte_rrc_rs_sinr_ResultSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RS_SINR_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultSCell_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultSCell_v1310, T_measResultSCell_v1310_sequence);

  return offset;
}


static const per_sequence_t MeasResultServCellSCG_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_servCellId_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ServCellIndex_r13 },
  { &hf_lte_rrc_measResultSCell_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultSCell_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultServCellSCG_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResultServCellSCG_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t MeasResultServCellSCG_r12_sequence[] = {
  { &hf_lte_rrc_servCellId_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r10 },
  { &hf_lte_rrc_measResultSCell_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResultSCell_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServCellSCG_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultServCellSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultServCellSCG_r12, MeasResultServCellSCG_r12_sequence);

  return offset;
}


static const per_sequence_t MeasResultServCellListSCG_r12_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultServCellListSCG_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServCellSCG_r12 },
};

static int
dissect_lte_rrc_MeasResultServCellListSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultServCellListSCG_r12, MeasResultServCellListSCG_r12_sequence_of,
                                                  1, maxServCell_r10, FALSE);

  return offset;
}


static const value_string lte_rrc_T_drb_Type_r12_vals[] = {
  {   0, "split" },
  {   1, "scg" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_Type_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DRB_InfoSCG_r12_sequence[] = {
  { &hf_lte_rrc_eps_BearerIdentity_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_drb_Identity_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_Identity },
  { &hf_lte_rrc_drb_Type_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_Type_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_InfoSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRB_InfoSCG_r12, DRB_InfoSCG_r12_sequence);

  return offset;
}


static const per_sequence_t DRB_InfoListSCG_r12_sequence_of[1] = {
  { &hf_lte_rrc_DRB_InfoListSCG_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_InfoSCG_r12 },
};

static int
dissect_lte_rrc_DRB_InfoListSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DRB_InfoListSCG_r12, DRB_InfoListSCG_r12_sequence_of,
                                                  1, maxDRB, FALSE);

  return offset;
}


static const per_sequence_t T_cellIdentification_r12_sequence[] = {
  { &hf_lte_rrc_physCellId_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_dl_CarrierFreq_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellIdentification_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellIdentification_r12, T_cellIdentification_r12_sequence);

  return offset;
}


static const per_sequence_t T_measResultCellToAdd_r12_sequence[] = {
  { &hf_lte_rrc_rsrpResult_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResult_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultCellToAdd_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultCellToAdd_r12, T_measResultCellToAdd_r12_sequence);

  return offset;
}


static const per_sequence_t T_measResultCellToAdd_v1310_sequence[] = {
  { &hf_lte_rrc_rs_sinr_Result_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RS_SINR_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultCellToAdd_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultCellToAdd_v1310, T_measResultCellToAdd_v1310_sequence);

  return offset;
}


static const per_sequence_t Cell_ToAddMod_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_sCellIndex_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellIndex_r13 },
  { &hf_lte_rrc_measResultCellToAdd_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultCellToAdd_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Cell_ToAddMod_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, Cell_ToAddMod_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t Cell_ToAddMod_r12_sequence[] = {
  { &hf_lte_rrc_sCellIndex_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellIndex_r10 },
  { &hf_lte_rrc_cellIdentification_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_cellIdentification_r12 },
  { &hf_lte_rrc_measResultCellToAdd_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultCellToAdd_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_Cell_ToAddMod_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Cell_ToAddMod_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Cell_ToAddMod_r12, Cell_ToAddMod_r12_sequence);

  return offset;
}


static const per_sequence_t SCellToAddModListSCG_r12_sequence_of[1] = {
  { &hf_lte_rrc_SCellToAddModListSCG_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Cell_ToAddMod_r12 },
};

static int
dissect_lte_rrc_SCellToAddModListSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToAddModListSCG_r12, SCellToAddModListSCG_r12_sequence_of,
                                                  1, maxSCell_r10, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M5_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -5, 4U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_127(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasResultSSTD_r13_sequence[] = {
  { &hf_lte_rrc_sfn_OffsetResult_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_frameBoundaryOffsetResult_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M5_4 },
  { &hf_lte_rrc_subframeBoundaryOffsetResult_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_127 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultSSTD_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultSSTD_r13, MeasResultSSTD_r13_sequence);

  return offset;
}


static const per_sequence_t MeasResultServCellListSCG_Ext_r13_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultServCellListSCG_Ext_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServCellSCG_r12 },
};

static int
dissect_lte_rrc_MeasResultServCellListSCG_Ext_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultServCellListSCG_Ext_r13, MeasResultServCellListSCG_Ext_r13_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}


static const per_sequence_t SCellToAddModListSCG_Ext_r13_sequence_of[1] = {
  { &hf_lte_rrc_SCellToAddModListSCG_Ext_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Cell_ToAddMod_r12 },
};

static int
dissect_lte_rrc_SCellToAddModListSCG_Ext_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToAddModListSCG_Ext_r13, SCellToAddModListSCG_Ext_r13_sequence_of,
                                                  1, maxSCell_r13, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_100(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 100U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MeasResultForRSSI_r13_sequence[] = {
  { &hf_lte_rrc_rssi_Result_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSSI_Range_r13 },
  { &hf_lte_rrc_channelOccupancy_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_100 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultForRSSI_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultForRSSI_r13, MeasResultForRSSI_r13_sequence);

  return offset;
}


static const per_sequence_t MeasResultRSSI_SCG_r13_sequence[] = {
  { &hf_lte_rrc_servCellId_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r13 },
  { &hf_lte_rrc_measResultForRSSI_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultForRSSI_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultRSSI_SCG_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultRSSI_SCG_r13, MeasResultRSSI_SCG_r13_sequence);

  return offset;
}


static const per_sequence_t MeasResultListRSSI_SCG_r13_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListRSSI_SCG_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultRSSI_SCG_r13 },
};

static int
dissect_lte_rrc_MeasResultListRSSI_SCG_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListRSSI_SCG_r13, MeasResultListRSSI_SCG_r13_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_makeBeforeBreakSCG_Req_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_makeBeforeBreakSCG_Req_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_04_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_04, T_nonCriticalExtension_04_sequence);

  return offset;
}


static const per_sequence_t SCG_ConfigInfo_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_makeBeforeBreakSCG_Req_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_makeBeforeBreakSCG_Req_r14 },
  { &hf_lte_rrc_measGapConfigPerCC_List, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasGapConfigPerCC_List_r14 },
  { &hf_lte_rrc_nonCriticalExtension_15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_04 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigInfo_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_ConfigInfo_v1430_IEs, SCG_ConfigInfo_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t SCG_ConfigInfo_v1330_IEs_sequence[] = {
  { &hf_lte_rrc_measResultListRSSI_SCG_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultListRSSI_SCG_r13 },
  { &hf_lte_rrc_nonCriticalExtension_14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_ConfigInfo_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigInfo_v1330_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_ConfigInfo_v1330_IEs, SCG_ConfigInfo_v1330_IEs_sequence);

  return offset;
}


static const per_sequence_t SCG_ConfigInfo_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_measResultSSTD_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultSSTD_r13 },
  { &hf_lte_rrc_sCellToAddModListMCG_Ext_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListExt_r13 },
  { &hf_lte_rrc_measResultServCellListSCG_Ext_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultServCellListSCG_Ext_r13 },
  { &hf_lte_rrc_sCellToAddModListSCG_Ext_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListSCG_Ext_r13 },
  { &hf_lte_rrc_sCellToReleaseListSCG_Ext_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToReleaseListExt_r13 },
  { &hf_lte_rrc_nonCriticalExtension_13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_ConfigInfo_v1330_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigInfo_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_ConfigInfo_v1310_IEs, SCG_ConfigInfo_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t SCG_ConfigInfo_r12_IEs_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedMCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicated },
  { &hf_lte_rrc_sCellToAddModListMCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModList_r10 },
  { &hf_lte_rrc_measGapConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasGapConfig },
  { &hf_lte_rrc_powerCoordinationInfo_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PowerCoordinationInfo_r12 },
  { &hf_lte_rrc_scg_RadioConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_ConfigPartSCG_r12 },
  { &hf_lte_rrc_eutra_CapabilityInfo_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_eutra_CapabilityInfo_r12 },
  { &hf_lte_rrc_scg_ConfigRestrictInfo_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_ConfigRestrictInfo_r12 },
  { &hf_lte_rrc_mbmsInterestIndication_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbmsInterestIndication_r12 },
  { &hf_lte_rrc_measResultServCellListSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultServCellListSCG_r12 },
  { &hf_lte_rrc_drb_ToAddModListSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DRB_InfoListSCG_r12 },
  { &hf_lte_rrc_drb_ToReleaseListSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DRB_ToReleaseList },
  { &hf_lte_rrc_sCellToAddModListSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListSCG_r12 },
  { &hf_lte_rrc_sCellToReleaseListSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToReleaseList_r10 },
  { &hf_lte_rrc_p_Max_r12   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_nonCriticalExtension_12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_ConfigInfo_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigInfo_r12_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_ConfigInfo_r12_IEs, SCG_ConfigInfo_r12_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_03_vals[] = {
  {   0, "scg-ConfigInfo-r12" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_03_choice[] = {
  {   0, &hf_lte_rrc_scg_ConfigInfo_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SCG_ConfigInfo_r12_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_03, T_c1_03_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_03_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_03, T_criticalExtensionsFuture_03_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_03_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_03_choice[] = {
  {   0, &hf_lte_rrc_c1_03       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_03 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_03, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_03 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_03, T_criticalExtensions_03_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SCG_ConfigInfo_r12_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_03, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_ConfigInfo_r12, SCG_ConfigInfo_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_256(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_05_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_05, T_nonCriticalExtension_05_sequence);

  return offset;
}


static const per_sequence_t UEPagingCoverageInformation_r13_IEs_sequence[] = {
  { &hf_lte_rrc_mpdcch_NumRepetition_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_256 },
  { &hf_lte_rrc_nonCriticalExtension_16, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_05 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEPagingCoverageInformation_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEPagingCoverageInformation_r13_IEs, UEPagingCoverageInformation_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_04_vals[] = {
  {   0, "uePagingCoverageInformation-r13" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_04_choice[] = {
  {   0, &hf_lte_rrc_uePagingCoverageInformation_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UEPagingCoverageInformation_r13_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_04, T_c1_04_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_04_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_04, T_criticalExtensionsFuture_04_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_04_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_04_choice[] = {
  {   0, &hf_lte_rrc_c1_04       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_04 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_04, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_04 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_04, T_criticalExtensions_04_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UEPagingCoverageInformation_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_04, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_04 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEPagingCoverageInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEPagingCoverageInformation, UEPagingCoverageInformation_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ue_RadioAccessCapabilityInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_lte_rrc_UECapabilityInformation_PDU);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_06_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_06(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_06, T_nonCriticalExtension_06_sequence);

  return offset;
}


static const per_sequence_t UERadioAccessCapabilityInformation_r8_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioAccessCapabilityInfo_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ue_RadioAccessCapabilityInfo },
  { &hf_lte_rrc_nonCriticalExtension_17, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_06 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioAccessCapabilityInformation_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioAccessCapabilityInformation_r8_IEs, UERadioAccessCapabilityInformation_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_05_vals[] = {
  {   0, "ueRadioAccessCapabilityInformation-r8" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_05_choice[] = {
  {   0, &hf_lte_rrc_ueRadioAccessCapabilityInformation_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UERadioAccessCapabilityInformation_r8_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_05, T_c1_05_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_05_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_05, T_criticalExtensionsFuture_05_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_05_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_05_choice[] = {
  {   0, &hf_lte_rrc_c1_05       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_05 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_05, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_05 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_05, T_criticalExtensions_05_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UERadioAccessCapabilityInformation_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_05, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_05 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioAccessCapabilityInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioAccessCapabilityInformation, UERadioAccessCapabilityInformation_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ue_RadioPagingInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UE_RadioPagingInfo_r12_PDU);

  return offset;
}



static int
dissect_lte_rrc_FreqBandIndicator_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxFBI2, NULL, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11_sequence_of[1] = {
  { &hf_lte_rrc_supportedBandListEUTRAForPaging_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11, SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_07_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_07(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_07, T_nonCriticalExtension_07_sequence);

  return offset;
}


static const per_sequence_t UERadioPagingInformation_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_supportedBandListEUTRAForPaging_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11 },
  { &hf_lte_rrc_nonCriticalExtension_19, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_07 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioPagingInformation_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioPagingInformation_v1310_IEs, UERadioPagingInformation_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t UERadioPagingInformation_r12_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioPagingInfo_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ue_RadioPagingInfo_r12 },
  { &hf_lte_rrc_nonCriticalExtension_18, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UERadioPagingInformation_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioPagingInformation_r12_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioPagingInformation_r12_IEs, UERadioPagingInformation_r12_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_06_vals[] = {
  {   0, "ueRadioPagingInformation-r12" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_06_choice[] = {
  {   0, &hf_lte_rrc_ueRadioPagingInformation_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UERadioPagingInformation_r12_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_06(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_06, T_c1_06_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_06_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_06(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_06, T_criticalExtensionsFuture_06_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_06_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_06_choice[] = {
  {   0, &hf_lte_rrc_c1_06       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_06 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_06, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_06 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_06(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_06, T_criticalExtensions_06_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UERadioPagingInformation_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_06, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_06 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioPagingInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioPagingInformation, UERadioPagingInformation_sequence);

  return offset;
}



static int
dissect_lte_rrc_BCCH_BCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_MasterInformationBlock(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t BCCH_BCH_Message_sequence[] = {
  { &hf_lte_rrc_message     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_BCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_BCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_BCH_Message, BCCH_BCH_Message_sequence);

  return offset;
}


static const value_string lte_rrc_T_dl_Bandwidth_MBMS_r14_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_Bandwidth_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     13, 13, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t MasterInformationBlock_MBMS_r14_sequence[] = {
  { &hf_lte_rrc_dl_Bandwidth_MBMS_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_Bandwidth_MBMS_r14 },
  { &hf_lte_rrc_systemFrameNumber_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_6 },
  { &hf_lte_rrc_additionalNonMBSFNSubframes_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_spare_02    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MasterInformationBlock_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MasterInformationBlock_MBMS_r14, MasterInformationBlock_MBMS_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_BCCH_BCH_MessageType_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_MasterInformationBlock_MBMS_r14(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t BCCH_BCH_Message_MBMS_sequence[] = {
  { &hf_lte_rrc_message_01  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_BCH_MessageType_MBMS_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_BCH_Message_MBMS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_BCH_Message_MBMS, BCCH_BCH_Message_MBMS_sequence);

  return offset;
}


static const value_string lte_rrc_T_q_Hyst_vals[] = {
  {   0, "dB0" },
  {   1, "dB1" },
  {   2, "dB2" },
  {   3, "dB3" },
  {   4, "dB4" },
  {   5, "dB5" },
  {   6, "dB6" },
  {   7, "dB8" },
  {   8, "dB10" },
  {   9, "dB12" },
  {  10, "dB14" },
  {  11, "dB16" },
  {  12, "dB18" },
  {  13, "dB20" },
  {  14, "dB22" },
  {  15, "dB24" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_q_Hyst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sf_Medium_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4" },
  {   2, "dB-2" },
  {   3, "dB0" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sf_Medium(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sf_High_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4" },
  {   2, "dB-2" },
  {   3, "dB0" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sf_High(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_q_HystSF_sequence[] = {
  { &hf_lte_rrc_sf_Medium   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sf_Medium },
  { &hf_lte_rrc_sf_High     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sf_High },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_q_HystSF(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_q_HystSF, T_q_HystSF_sequence);

  return offset;
}


static const per_sequence_t T_speedStateReselectionPars_sequence[] = {
  { &hf_lte_rrc_mobilityStateParameters, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MobilityStateParameters },
  { &hf_lte_rrc_q_HystSF    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_q_HystSF },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_speedStateReselectionPars(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_speedStateReselectionPars, T_speedStateReselectionPars_sequence);

  return offset;
}


static const per_sequence_t T_cellReselectionInfoCommon_sequence[] = {
  { &hf_lte_rrc_q_Hyst      , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_q_Hyst },
  { &hf_lte_rrc_speedStateReselectionPars, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_speedStateReselectionPars },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellReselectionInfoCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellReselectionInfoCommon, T_cellReselectionInfoCommon_sequence);

  return offset;
}



static int
dissect_lte_rrc_ReselectionThreshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_CellReselectionPriority(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_cellReselectionServingFreqInfo_sequence[] = {
  { &hf_lte_rrc_s_NonIntraSearch, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_threshServingLow, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionPriority },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellReselectionServingFreqInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellReselectionServingFreqInfo, T_cellReselectionServingFreqInfo_sequence);

  return offset;
}


static const per_sequence_t T_intraFreqCellReselectionInfo_sequence[] = {
  { &hf_lte_rrc_q_RxLevMin  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_p_Max       , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_s_IntraSearch, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_allowedMeasBandwidth, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AllowedMeasBandwidth },
  { &hf_lte_rrc_presenceAntennaPort1, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PresenceAntennaPort1 },
  { &hf_lte_rrc_neighCellConfig, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellConfig },
  { &hf_lte_rrc_t_ReselectionEUTRA, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { &hf_lte_rrc_t_ReselectionEUTRA_SF, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SpeedStateScaleFactors },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_intraFreqCellReselectionInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_intraFreqCellReselectionInfo, T_intraFreqCellReselectionInfo_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_07(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType3_v10j0_IEs_PDU);

  return offset;
}



static int
dissect_lte_rrc_ReselectionThresholdQ_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_s_IntraSearch_v920_sequence[] = {
  { &hf_lte_rrc_s_IntraSearchP_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_s_IntraSearchQ_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_s_IntraSearch_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_s_IntraSearch_v920, T_s_IntraSearch_v920_sequence);

  return offset;
}


static const per_sequence_t T_s_NonIntraSearch_v920_sequence[] = {
  { &hf_lte_rrc_s_NonIntraSearchP_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_s_NonIntraSearchQ_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_s_NonIntraSearch_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_s_NonIntraSearch_v920, T_s_NonIntraSearch_v920_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_eag_1_sequence[] = {
  { &hf_lte_rrc_s_IntraSearch_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_s_IntraSearch_v920 },
  { &hf_lte_rrc_s_NonIntraSearch_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_s_NonIntraSearch_v920 },
  { &hf_lte_rrc_q_QualMin_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { &hf_lte_rrc_threshServingLowQ_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_eag_2_sequence[] = {
  { &hf_lte_rrc_q_QualMinWB_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_eag_2_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_eag_3_sequence[] = {
  { &hf_lte_rrc_q_QualMinRSRQ_OnAllSymbols_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_CellReselectionSubPriority_r13_vals[] = {
  {   0, "oDot2" },
  {   1, "oDot4" },
  {   2, "oDot6" },
  {   3, "oDot8" },
  { 0, NULL }
};


static int
dissect_lte_rrc_CellReselectionSubPriority_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CellReselectionServingFreqInfo_v1310_sequence[] = {
  { &hf_lte_rrc_cellReselectionSubPriority_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionSubPriority_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellReselectionServingFreqInfo_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellReselectionServingFreqInfo_v1310, CellReselectionServingFreqInfo_v1310_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 10U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_redistributionFactorCell_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_redistributionFactorCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t360_r13_vals[] = {
  {   0, "min4" },
  {   1, "min8" },
  {   2, "min16" },
  {   3, "min32" },
  {   4, "infinity" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t360_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_redistrOnPagingOnly_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_redistrOnPagingOnly_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RedistributionServingInfo_r13_sequence[] = {
  { &hf_lte_rrc_redistributionFactorServing_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_10 },
  { &hf_lte_rrc_redistributionFactorCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_redistributionFactorCell_r13 },
  { &hf_lte_rrc_t360_r13    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t360_r13 },
  { &hf_lte_rrc_redistrOnPagingOnly_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_redistrOnPagingOnly_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RedistributionServingInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RedistributionServingInfo_r13, RedistributionServingInfo_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ReselectionEUTRA_CE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_eag_4_sequence[] = {
  { &hf_lte_rrc_cellReselectionServingFreqInfo_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionServingFreqInfo_v1310 },
  { &hf_lte_rrc_redistributionServingInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RedistributionServingInfo_r13 },
  { &hf_lte_rrc_cellSelectionInfoCE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE_r13 },
  { &hf_lte_rrc_t_ReselectionEUTRA_CE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ReselectionEUTRA_CE_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_eag_4_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_eag_5_sequence[] = {
  { &hf_lte_rrc_cellSelectionInfoCE1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE1_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_eag_5_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_eag_6_sequence[] = {
  { &hf_lte_rrc_cellSelectionInfoCE1_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE1_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_eag_6_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_sequence[] = {
  { &hf_lte_rrc_cellReselectionInfoCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellReselectionInfoCommon },
  { &hf_lte_rrc_cellReselectionServingFreqInfo, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellReselectionServingFreqInfo },
  { &hf_lte_rrc_intraFreqCellReselectionInfo, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_intraFreqCellReselectionInfo },
  { &hf_lte_rrc_lateNonCriticalExtension_08, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_07 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_eag_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB3");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType3, SystemInformationBlockType3_sequence);

  return offset;
}


static const per_sequence_t IntraFreqNeighCellInfo_sequence[] = {
  { &hf_lte_rrc_physCellId_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_q_OffsetCell, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_OffsetRange },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IntraFreqNeighCellInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IntraFreqNeighCellInfo, IntraFreqNeighCellInfo_sequence);

  return offset;
}


static const per_sequence_t IntraFreqNeighCellList_sequence_of[1] = {
  { &hf_lte_rrc_IntraFreqNeighCellList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IntraFreqNeighCellInfo },
};

static int
dissect_lte_rrc_IntraFreqNeighCellList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_IntraFreqNeighCellList, IntraFreqNeighCellList_sequence_of,
                                                  1, maxCellIntra, FALSE);

  return offset;
}


static const per_sequence_t IntraFreqBlackCellList_sequence_of[1] = {
  { &hf_lte_rrc_IntraFreqBlackCellList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdRange },
};

static int
dissect_lte_rrc_IntraFreqBlackCellList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_IntraFreqBlackCellList, IntraFreqBlackCellList_sequence_of,
                                                  1, maxCellBlack, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType4_sequence[] = {
  { &hf_lte_rrc_intraFreqNeighCellList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IntraFreqNeighCellList },
  { &hf_lte_rrc_intraFreqBlackCellList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IntraFreqBlackCellList },
  { &hf_lte_rrc_csg_PhysCellIdRange, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysCellIdRange },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB4");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType4, SystemInformationBlockType4_sequence);

  return offset;
}


static const per_sequence_t InterFreqNeighCellInfo_sequence[] = {
  { &hf_lte_rrc_physCellId_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_q_OffsetCell, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_OffsetRange },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqNeighCellInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqNeighCellInfo, InterFreqNeighCellInfo_sequence);

  return offset;
}


static const per_sequence_t InterFreqNeighCellList_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqNeighCellList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqNeighCellInfo },
};

static int
dissect_lte_rrc_InterFreqNeighCellList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqNeighCellList, InterFreqNeighCellList_sequence_of,
                                                  1, maxCellInter, FALSE);

  return offset;
}


static const per_sequence_t InterFreqBlackCellList_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqBlackCellList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdRange },
};

static int
dissect_lte_rrc_InterFreqBlackCellList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqBlackCellList, InterFreqBlackCellList_sequence_of,
                                                  1, maxCellBlack, FALSE);

  return offset;
}


static const per_sequence_t T_threshX_Q_r9_sequence[] = {
  { &hf_lte_rrc_threshX_HighQ_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { &hf_lte_rrc_threshX_LowQ_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_threshX_Q_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_threshX_Q_r9, T_threshX_Q_r9_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_eag_1_sequence[] = {
  { &hf_lte_rrc_q_QualMin_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { &hf_lte_rrc_threshX_Q_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_threshX_Q_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, InterFreqCarrierFreqInfo_eag_1_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_eag_2_sequence[] = {
  { &hf_lte_rrc_q_QualMinWB_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, InterFreqCarrierFreqInfo_eag_2_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_q_RxLevMin  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_p_Max       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_t_ReselectionEUTRA, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { &hf_lte_rrc_t_ReselectionEUTRA_SF, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SpeedStateScaleFactors },
  { &hf_lte_rrc_threshX_High, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_threshX_Low , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_allowedMeasBandwidth, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AllowedMeasBandwidth },
  { &hf_lte_rrc_presenceAntennaPort1, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PresenceAntennaPort1 },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionPriority },
  { &hf_lte_rrc_neighCellConfig, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellConfig },
  { &hf_lte_rrc_q_OffsetFreq, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_OffsetRange },
  { &hf_lte_rrc_interFreqNeighCellList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqNeighCellList },
  { &hf_lte_rrc_interFreqBlackCellList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqBlackCellList },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo, InterFreqCarrierFreqInfo_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqList_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqList, InterFreqCarrierFreqList_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_08(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType5_v8h0_IEs_PDU);

  return offset;
}


static const value_string lte_rrc_T_reducedMeasPerformance_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reducedMeasPerformance_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_v1250_sequence[] = {
  { &hf_lte_rrc_reducedMeasPerformance_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedMeasPerformance_r12 },
  { &hf_lte_rrc_q_QualMinRSRQ_OnAllSymbols_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_v1250, InterFreqCarrierFreqInfo_v1250_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqList_v1250_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqList_v1250_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v1250 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqList_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqList_v1250, InterFreqCarrierFreqList_v1250_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t T_threshX_Q_r12_sequence[] = {
  { &hf_lte_rrc_threshX_HighQ_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { &hf_lte_rrc_threshX_LowQ_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_threshX_Q_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_threshX_Q_r12, T_threshX_Q_r12_sequence);

  return offset;
}


static const per_sequence_t MultiBandInfoList_r11_sequence_of[1] = {
  { &hf_lte_rrc_MultiBandInfoList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
};

static int
dissect_lte_rrc_MultiBandInfoList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MultiBandInfoList_r11, MultiBandInfoList_r11_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_reducedMeasPerformance_r12_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reducedMeasPerformance_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_r12_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_q_RxLevMin_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_p_Max_r12   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_t_ReselectionEUTRA_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { &hf_lte_rrc_t_ReselectionEUTRA_SF_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SpeedStateScaleFactors },
  { &hf_lte_rrc_threshX_High_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_threshX_Low_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_allowedMeasBandwidth_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AllowedMeasBandwidth },
  { &hf_lte_rrc_presenceAntennaPort1_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PresenceAntennaPort1 },
  { &hf_lte_rrc_cellReselectionPriority_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionPriority },
  { &hf_lte_rrc_neighCellConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellConfig },
  { &hf_lte_rrc_q_OffsetFreq_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_OffsetRange },
  { &hf_lte_rrc_interFreqNeighCellList_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqNeighCellList },
  { &hf_lte_rrc_interFreqBlackCellList_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqBlackCellList },
  { &hf_lte_rrc_q_QualMin_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { &hf_lte_rrc_threshX_Q_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_threshX_Q_r12 },
  { &hf_lte_rrc_q_QualMinWB_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { &hf_lte_rrc_multiBandInfoList_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_r11 },
  { &hf_lte_rrc_reducedMeasPerformance_r12_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedMeasPerformance_r12_01 },
  { &hf_lte_rrc_q_QualMinRSRQ_OnAllSymbols_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_r12, InterFreqCarrierFreqInfo_r12_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqListExt_r12_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqListExt_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_r12 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqListExt_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqListExt_r12, InterFreqCarrierFreqListExt_r12_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_eag_1_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqCarrierFreqList_v1250 },
  { &hf_lte_rrc_interFreqCarrierFreqListExt_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqCarrierFreqListExt_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType5_eag_1_sequence);

  return offset;
}


static const per_sequence_t NS_PmaxValue_r10_sequence[] = {
  { &hf_lte_rrc_additionalPmax_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_additionalSpectrumEmission, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NS_PmaxValue_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NS_PmaxValue_r10, NS_PmaxValue_r10_sequence);

  return offset;
}


static const per_sequence_t NS_PmaxList_r10_sequence_of[1] = {
  { &hf_lte_rrc_NS_PmaxList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NS_PmaxValue_r10 },
};

static int
dissect_lte_rrc_NS_PmaxList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NS_PmaxList_r10, NS_PmaxList_r10_sequence_of,
                                                  1, maxNS_Pmax_r10, FALSE);

  return offset;
}


static const per_sequence_t MultiBandInfoList_v10j0_sequence_of[1] = {
  { &hf_lte_rrc_MultiBandInfoList_v10j0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NS_PmaxList_r10 },
};

static int
dissect_lte_rrc_MultiBandInfoList_v10j0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MultiBandInfoList_v10j0, MultiBandInfoList_v10j0_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_v10j0_sequence[] = {
  { &hf_lte_rrc_freqBandInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_r10 },
  { &hf_lte_rrc_multiBandInfoList_v10j0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_v10j0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_v10j0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_v10j0, InterFreqCarrierFreqInfo_v10j0_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqListExt_v1280_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqListExt_v1280_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v10j0 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqListExt_v1280(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqListExt_v1280, InterFreqCarrierFreqListExt_v1280_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_eag_2_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqListExt_v1280, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqCarrierFreqListExt_v1280 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType5_eag_2_sequence);

  return offset;
}



static int
dissect_lte_rrc_RedistributionFactor_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 10U, NULL, FALSE);

  return offset;
}


static const per_sequence_t RedistributionNeighCell_r13_sequence[] = {
  { &hf_lte_rrc_physCellId_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_redistributionFactorCell_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RedistributionFactor_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RedistributionNeighCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RedistributionNeighCell_r13, RedistributionNeighCell_r13_sequence);

  return offset;
}


static const per_sequence_t RedistributionNeighCellList_r13_sequence_of[1] = {
  { &hf_lte_rrc_RedistributionNeighCellList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RedistributionNeighCell_r13 },
};

static int
dissect_lte_rrc_RedistributionNeighCellList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_RedistributionNeighCellList_r13, RedistributionNeighCellList_r13_sequence_of,
                                                  1, maxCellInter, FALSE);

  return offset;
}


static const per_sequence_t RedistributionInterFreqInfo_r13_sequence[] = {
  { &hf_lte_rrc_redistributionFactorFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RedistributionFactor_r13 },
  { &hf_lte_rrc_redistributionNeighCellList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RedistributionNeighCellList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RedistributionInterFreqInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RedistributionInterFreqInfo_r13, RedistributionInterFreqInfo_r13_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_v1310_sequence[] = {
  { &hf_lte_rrc_cellReselectionSubPriority_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionSubPriority_r13 },
  { &hf_lte_rrc_redistributionInterFreqInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RedistributionInterFreqInfo_r13 },
  { &hf_lte_rrc_cellSelectionInfoCE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE_r13 },
  { &hf_lte_rrc_t_ReselectionEUTRA_CE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ReselectionEUTRA_CE_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_v1310, InterFreqCarrierFreqInfo_v1310_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqList_v1310_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqList_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v1310 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqList_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqList_v1310, InterFreqCarrierFreqList_v1310_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqListExt_v1310_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqListExt_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v1310 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqListExt_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqListExt_v1310, InterFreqCarrierFreqListExt_v1310_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_eag_3_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqCarrierFreqList_v1310 },
  { &hf_lte_rrc_interFreqCarrierFreqListExt_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqCarrierFreqListExt_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType5_eag_3_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_v1350_sequence[] = {
  { &hf_lte_rrc_cellSelectionInfoCE1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE1_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_v1350, InterFreqCarrierFreqInfo_v1350_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqList_v1350_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqList_v1350_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v1350 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqList_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqList_v1350, InterFreqCarrierFreqList_v1350_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqListExt_v1350_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqListExt_v1350_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v1350 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqListExt_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqListExt_v1350, InterFreqCarrierFreqListExt_v1350_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_eag_4_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v1350, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqCarrierFreqList_v1350 },
  { &hf_lte_rrc_interFreqCarrierFreqListExt_v1350, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqCarrierFreqListExt_v1350 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType5_eag_4_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_v1360_sequence[] = {
  { &hf_lte_rrc_cellSelectionInfoCE1_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoCE1_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_v1360(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_v1360, InterFreqCarrierFreqInfo_v1360_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqListExt_v1360_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqListExt_v1360_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v1360 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqListExt_v1360(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqListExt_v1360, InterFreqCarrierFreqListExt_v1360_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_eag_5_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqListExt_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqCarrierFreqListExt_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType5_eag_5_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_eag_6_sequence[] = {
  { &hf_lte_rrc_scptm_FreqOffset_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType5_eag_6_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqList },
  { &hf_lte_rrc_lateNonCriticalExtension_09, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_08 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType5_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType5_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType5_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType5_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType5_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType5_eag_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB5");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType5, SystemInformationBlockType5_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M60_M13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -60, -13, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M50_33(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -50, 33U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M24_0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -24, 0U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_threshX_Q_r9_01_sequence[] = {
  { &hf_lte_rrc_threshX_HighQ_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { &hf_lte_rrc_threshX_LowQ_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_threshX_Q_r9_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_threshX_Q_r9_01, T_threshX_Q_r9_01_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqUTRA_FDD_eag_1_sequence[] = {
  { &hf_lte_rrc_threshX_Q_r9_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_threshX_Q_r9_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqUTRA_FDD_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, CarrierFreqUTRA_FDD_eag_1_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqUTRA_FDD_sequence[] = {
  { &hf_lte_rrc_carrierFreq_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionPriority },
  { &hf_lte_rrc_threshX_High, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_threshX_Low , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_q_RxLevMin_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M60_M13 },
  { &hf_lte_rrc_p_MaxUTRA   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M50_33 },
  { &hf_lte_rrc_q_QualMin   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M24_0 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqUTRA_FDD_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqUTRA_FDD, CarrierFreqUTRA_FDD_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqListUTRA_FDD_sequence_of[1] = {
  { &hf_lte_rrc_CarrierFreqListUTRA_FDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqUTRA_FDD },
};

static int
dissect_lte_rrc_CarrierFreqListUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CarrierFreqListUTRA_FDD, CarrierFreqListUTRA_FDD_sequence_of,
                                                  1, maxUTRA_FDD_Carrier, FALSE);

  return offset;
}


static const per_sequence_t CarrierFreqUTRA_TDD_sequence[] = {
  { &hf_lte_rrc_carrierFreq_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionPriority },
  { &hf_lte_rrc_threshX_High, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_threshX_Low , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_q_RxLevMin_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M60_M13 },
  { &hf_lte_rrc_p_MaxUTRA   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M50_33 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqUTRA_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqUTRA_TDD, CarrierFreqUTRA_TDD_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqListUTRA_TDD_sequence_of[1] = {
  { &hf_lte_rrc_CarrierFreqListUTRA_TDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqUTRA_TDD },
};

static int
dissect_lte_rrc_CarrierFreqListUTRA_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CarrierFreqListUTRA_TDD, CarrierFreqListUTRA_TDD_sequence_of,
                                                  1, maxUTRA_TDD_Carrier, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_09(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType6_v8h0_IEs_PDU);

  return offset;
}


static const value_string lte_rrc_T_reducedMeasPerformance_r12_02_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reducedMeasPerformance_r12_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CarrierFreqInfoUTRA_v1250_sequence[] = {
  { &hf_lte_rrc_reducedMeasPerformance_r12_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedMeasPerformance_r12_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqInfoUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqInfoUTRA_v1250, CarrierFreqInfoUTRA_v1250_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250_sequence_of[1] = {
  { &hf_lte_rrc_carrierFreqListUTRA_FDD_v1250_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqInfoUTRA_v1250 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250, SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250_sequence_of,
                                                  1, maxUTRA_FDD_Carrier, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250_sequence_of[1] = {
  { &hf_lte_rrc_carrierFreqListUTRA_TDD_v1250_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqInfoUTRA_v1250 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250, SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250_sequence_of,
                                                  1, maxUTRA_TDD_Carrier, FALSE);

  return offset;
}


static const per_sequence_t T_threshX_Q_r12_01_sequence[] = {
  { &hf_lte_rrc_threshX_HighQ_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { &hf_lte_rrc_threshX_LowQ_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThresholdQ_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_threshX_Q_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_threshX_Q_r12_01, T_threshX_Q_r12_01_sequence);

  return offset;
}



static int
dissect_lte_rrc_FreqBandIndicator_UTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 86U, NULL, FALSE);

  return offset;
}


static const per_sequence_t FreqBandIndicator_UTRA_FDD_r12_sequence_of[1] = {
  { &hf_lte_rrc_multiBandInfoList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_UTRA_FDD },
};

static int
dissect_lte_rrc_FreqBandIndicator_UTRA_FDD_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqBandIndicator_UTRA_FDD_r12, FreqBandIndicator_UTRA_FDD_r12_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_reducedMeasPerformance_r12_03_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reducedMeasPerformance_r12_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CarrierFreqUTRA_FDD_Ext_r12_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r12_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_cellReselectionPriority_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionPriority },
  { &hf_lte_rrc_threshX_High_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_threshX_Low_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_q_RxLevMin_r12_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M60_M13 },
  { &hf_lte_rrc_p_MaxUTRA_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M50_33 },
  { &hf_lte_rrc_q_QualMin_r12_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M24_0 },
  { &hf_lte_rrc_threshX_Q_r12_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_threshX_Q_r12_01 },
  { &hf_lte_rrc_multiBandInfoList_r12_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_FreqBandIndicator_UTRA_FDD_r12 },
  { &hf_lte_rrc_reducedMeasPerformance_r12_03, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedMeasPerformance_r12_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqUTRA_FDD_Ext_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqUTRA_FDD_Ext_r12, CarrierFreqUTRA_FDD_Ext_r12_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqListUTRA_FDD_Ext_r12_sequence_of[1] = {
  { &hf_lte_rrc_CarrierFreqListUTRA_FDD_Ext_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqUTRA_FDD_Ext_r12 },
};

static int
dissect_lte_rrc_CarrierFreqListUTRA_FDD_Ext_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CarrierFreqListUTRA_FDD_Ext_r12, CarrierFreqListUTRA_FDD_Ext_r12_sequence_of,
                                                  1, maxUTRA_FDD_Carrier, FALSE);

  return offset;
}


static const value_string lte_rrc_T_reducedMeasPerformance_r12_04_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reducedMeasPerformance_r12_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CarrierFreqUTRA_TDD_r12_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r12_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_cellReselectionPriority_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionPriority },
  { &hf_lte_rrc_threshX_High_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_threshX_Low_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_q_RxLevMin_r12_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M60_M13 },
  { &hf_lte_rrc_p_MaxUTRA_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M50_33 },
  { &hf_lte_rrc_reducedMeasPerformance_r12_04, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedMeasPerformance_r12_04 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqUTRA_TDD_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqUTRA_TDD_r12, CarrierFreqUTRA_TDD_r12_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqListUTRA_TDD_Ext_r12_sequence_of[1] = {
  { &hf_lte_rrc_CarrierFreqListUTRA_TDD_Ext_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqUTRA_TDD_r12 },
};

static int
dissect_lte_rrc_CarrierFreqListUTRA_TDD_Ext_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CarrierFreqListUTRA_TDD_Ext_r12, CarrierFreqListUTRA_TDD_Ext_r12_sequence_of,
                                                  1, maxUTRA_TDD_Carrier, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType6_eag_1_sequence[] = {
  { &hf_lte_rrc_carrierFreqListUTRA_FDD_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250 },
  { &hf_lte_rrc_carrierFreqListUTRA_TDD_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250 },
  { &hf_lte_rrc_carrierFreqListUTRA_FDD_Ext_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqListUTRA_FDD_Ext_r12 },
  { &hf_lte_rrc_carrierFreqListUTRA_TDD_Ext_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqListUTRA_TDD_Ext_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType6_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType6_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType6_sequence[] = {
  { &hf_lte_rrc_carrierFreqListUTRA_FDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqListUTRA_FDD },
  { &hf_lte_rrc_carrierFreqListUTRA_TDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqListUTRA_TDD },
  { &hf_lte_rrc_t_ReselectionUTRA, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { &hf_lte_rrc_t_ReselectionUTRA_SF, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SpeedStateScaleFactors },
  { &hf_lte_rrc_lateNonCriticalExtension_10, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_09 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType6_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB6");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType6, SystemInformationBlockType6_sequence);

  return offset;
}


static const per_sequence_t T_commonInfo_sequence[] = {
  { &hf_lte_rrc_cellReselectionPriority, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionPriority },
  { &hf_lte_rrc_ncc_Permitted, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { &hf_lte_rrc_q_RxLevMin_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_45 },
  { &hf_lte_rrc_p_MaxGERAN  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_39 },
  { &hf_lte_rrc_threshX_High, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_threshX_Low , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_commonInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_commonInfo, T_commonInfo_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqsInfoGERAN_sequence[] = {
  { &hf_lte_rrc_carrierFreqs, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqsGERAN },
  { &hf_lte_rrc_commonInfo  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_commonInfo },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqsInfoGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqsInfoGERAN, CarrierFreqsInfoGERAN_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqsInfoListGERAN_sequence_of[1] = {
  { &hf_lte_rrc_CarrierFreqsInfoListGERAN_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqsInfoGERAN },
};

static int
dissect_lte_rrc_CarrierFreqsInfoListGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CarrierFreqsInfoListGERAN, CarrierFreqsInfoListGERAN_sequence_of,
                                                  1, maxGNFG, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType7_sequence[] = {
  { &hf_lte_rrc_t_ReselectionGERAN, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { &hf_lte_rrc_t_ReselectionGERAN_SF, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SpeedStateScaleFactors },
  { &hf_lte_rrc_carrierFreqsInfoList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqsInfoListGERAN },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB7");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType7, SystemInformationBlockType7_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_synchronousSystemTime(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *sync_system_time_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     39, 39, FALSE, &sync_system_time_tvb, NULL);



  if (sync_system_time_tvb) {
    guint64 bits;
    nstime_t ts;
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_timeInfo);
    bits = tvb_get_bits64(sync_system_time_tvb, 0, 39, ENC_BIG_ENDIAN);
    ts.secs = (time_t)(bits/100) + 315964800; /* CDMA2000 epoch is 00:00:00 (midnight) UTC on 1980-01-06 */
    ts.nsecs = (int)(bits%100)*10000000;
    proto_tree_add_time(subtree, hf_lte_rrc_cdma_time, sync_system_time_tvb, 0, 5, &ts);
    proto_tree_add_time(subtree, hf_lte_rrc_local_time, sync_system_time_tvb, 0, 5, &ts);
  }

  return offset;
}



static int
dissect_lte_rrc_T_asynchronousSystemTime(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *async_system_time_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     49, 49, FALSE, &async_system_time_tvb, NULL);



  if (async_system_time_tvb) {
    guint64 bits;
    nstime_t ts;
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_timeInfo);
    bits = tvb_get_bits64(async_system_time_tvb, 0, 49, ENC_BIG_ENDIAN);
    ts.secs = (time_t)((bits*8)/1228800) + 315964800; /* CDMA2000 epoch is 00:00:00 (midnight) UTC on 1980-01-06 */
    ts.nsecs = (int)(((bits%153600)*8*1000000000)/1228800);
    proto_tree_add_time(subtree, hf_lte_rrc_cdma_time, async_system_time_tvb, 0, 7, &ts);
    proto_tree_add_time(subtree, hf_lte_rrc_local_time, async_system_time_tvb, 0, 7,&ts);
  }

  return offset;
}


static const value_string lte_rrc_T_cdma_SystemTime_vals[] = {
  {   0, "synchronousSystemTime" },
  {   1, "asynchronousSystemTime" },
  { 0, NULL }
};

static const per_choice_t T_cdma_SystemTime_choice[] = {
  {   0, &hf_lte_rrc_synchronousSystemTime, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_synchronousSystemTime },
  {   1, &hf_lte_rrc_asynchronousSystemTime, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_asynchronousSystemTime },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cdma_SystemTime(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cdma_SystemTime, T_cdma_SystemTime_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SystemTimeInfoCDMA2000_sequence[] = {
  { &hf_lte_rrc_cdma_EUTRA_Synchronisation, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_cdma_SystemTime, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cdma_SystemTime },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemTimeInfoCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemTimeInfoCDMA2000, SystemTimeInfoCDMA2000_sequence);

  return offset;
}


static const per_sequence_t BandClassInfoCDMA2000_sequence[] = {
  { &hf_lte_rrc_bandClass   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandclassCDMA2000 },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionPriority },
  { &hf_lte_rrc_threshX_High_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { &hf_lte_rrc_threshX_Low_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandClassInfoCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandClassInfoCDMA2000, BandClassInfoCDMA2000_sequence);

  return offset;
}


static const per_sequence_t BandClassListCDMA2000_sequence_of[1] = {
  { &hf_lte_rrc_BandClassListCDMA2000_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandClassInfoCDMA2000 },
};

static int
dissect_lte_rrc_BandClassListCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandClassListCDMA2000, BandClassListCDMA2000_sequence_of,
                                                  1, maxCDMA_BandClass, FALSE);

  return offset;
}


static const per_sequence_t PhysCellIdListCDMA2000_sequence_of[1] = {
  { &hf_lte_rrc_PhysCellIdListCDMA2000_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdCDMA2000 },
};

static int
dissect_lte_rrc_PhysCellIdListCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PhysCellIdListCDMA2000, PhysCellIdListCDMA2000_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const per_sequence_t NeighCellsPerBandclassCDMA2000_sequence[] = {
  { &hf_lte_rrc_arfcn       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueCDMA2000 },
  { &hf_lte_rrc_physCellIdList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdListCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellsPerBandclassCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NeighCellsPerBandclassCDMA2000, NeighCellsPerBandclassCDMA2000_sequence);

  return offset;
}


static const per_sequence_t NeighCellsPerBandclassListCDMA2000_sequence_of[1] = {
  { &hf_lte_rrc_NeighCellsPerBandclassListCDMA2000_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellsPerBandclassCDMA2000 },
};

static int
dissect_lte_rrc_NeighCellsPerBandclassListCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NeighCellsPerBandclassListCDMA2000, NeighCellsPerBandclassListCDMA2000_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const per_sequence_t NeighCellCDMA2000_sequence[] = {
  { &hf_lte_rrc_bandClass   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandclassCDMA2000 },
  { &hf_lte_rrc_neighCellsPerFreqList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellsPerBandclassListCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NeighCellCDMA2000, NeighCellCDMA2000_sequence);

  return offset;
}


static const per_sequence_t NeighCellListCDMA2000_sequence_of[1] = {
  { &hf_lte_rrc_NeighCellListCDMA2000_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellCDMA2000 },
};

static int
dissect_lte_rrc_NeighCellListCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NeighCellListCDMA2000, NeighCellListCDMA2000_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const per_sequence_t CellReselectionParametersCDMA2000_sequence[] = {
  { &hf_lte_rrc_bandClassList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandClassListCDMA2000 },
  { &hf_lte_rrc_neighCellList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellListCDMA2000 },
  { &hf_lte_rrc_t_ReselectionCDMA2000, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { &hf_lte_rrc_t_ReselectionCDMA2000_SF, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SpeedStateScaleFactors },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellReselectionParametersCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellReselectionParametersCDMA2000, CellReselectionParametersCDMA2000_sequence);

  return offset;
}


static const per_sequence_t T_parametersHRPD_sequence[] = {
  { &hf_lte_rrc_preRegistrationInfoHRPD, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PreRegistrationInfoHRPD },
  { &hf_lte_rrc_cellReselectionParametersHRPD, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionParametersCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_parametersHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_parametersHRPD, T_parametersHRPD_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     15, 15, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     7, 7, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t CSFB_RegistrationParam1XRTT_sequence[] = {
  { &hf_lte_rrc_sid         , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_15 },
  { &hf_lte_rrc_nid         , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_multipleSID , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_multipleNID , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_homeReg     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_foreignSIDReg, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_foreignNIDReg, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_parameterReg, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_powerUpReg  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_registrationPeriod, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_7 },
  { &hf_lte_rrc_registrationZone, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_12 },
  { &hf_lte_rrc_totalZone   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_3 },
  { &hf_lte_rrc_zoneTimer   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSFB_RegistrationParam1XRTT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSFB_RegistrationParam1XRTT, CSFB_RegistrationParam1XRTT_sequence);

  return offset;
}


static const per_sequence_t T_parameters1XRTT_sequence[] = {
  { &hf_lte_rrc_csfb_RegistrationParam1XRTT, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSFB_RegistrationParam1XRTT },
  { &hf_lte_rrc_longCodeState1XRTT, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_42 },
  { &hf_lte_rrc_cellReselectionParameters1XRTT, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionParametersCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_parameters1XRTT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_parameters1XRTT, T_parameters1XRTT_sequence);

  return offset;
}


static const per_sequence_t PhysCellIdListCDMA2000_v920_sequence_of[1] = {
  { &hf_lte_rrc_PhysCellIdListCDMA2000_v920_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdCDMA2000 },
};

static int
dissect_lte_rrc_PhysCellIdListCDMA2000_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PhysCellIdListCDMA2000_v920, PhysCellIdListCDMA2000_v920_sequence_of,
                                                  0, 24, FALSE);

  return offset;
}


static const per_sequence_t NeighCellsPerBandclassCDMA2000_v920_sequence[] = {
  { &hf_lte_rrc_physCellIdList_v920, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdListCDMA2000_v920 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellsPerBandclassCDMA2000_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NeighCellsPerBandclassCDMA2000_v920, NeighCellsPerBandclassCDMA2000_v920_sequence);

  return offset;
}


static const per_sequence_t NeighCellsPerBandclassListCDMA2000_v920_sequence_of[1] = {
  { &hf_lte_rrc_NeighCellsPerBandclassListCDMA2000_v920_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellsPerBandclassCDMA2000_v920 },
};

static int
dissect_lte_rrc_NeighCellsPerBandclassListCDMA2000_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NeighCellsPerBandclassListCDMA2000_v920, NeighCellsPerBandclassListCDMA2000_v920_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const per_sequence_t NeighCellCDMA2000_v920_sequence[] = {
  { &hf_lte_rrc_neighCellsPerFreqList_v920, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellsPerBandclassListCDMA2000_v920 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellCDMA2000_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NeighCellCDMA2000_v920, NeighCellCDMA2000_v920_sequence);

  return offset;
}


static const per_sequence_t NeighCellListCDMA2000_v920_sequence_of[1] = {
  { &hf_lte_rrc_NeighCellListCDMA2000_v920_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellCDMA2000_v920 },
};

static int
dissect_lte_rrc_NeighCellListCDMA2000_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NeighCellListCDMA2000_v920, NeighCellListCDMA2000_v920_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const per_sequence_t CellReselectionParametersCDMA2000_v920_sequence[] = {
  { &hf_lte_rrc_neighCellList_v920, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellListCDMA2000_v920 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellReselectionParametersCDMA2000_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellReselectionParametersCDMA2000_v920, CellReselectionParametersCDMA2000_v920_sequence);

  return offset;
}


static const value_string lte_rrc_T_powerDownReg_r9_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerDownReg_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CSFB_RegistrationParam1XRTT_v920_sequence[] = {
  { &hf_lte_rrc_powerDownReg_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_powerDownReg_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSFB_RegistrationParam1XRTT_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSFB_RegistrationParam1XRTT_v920, CSFB_RegistrationParam1XRTT_v920_sequence);

  return offset;
}


static const per_sequence_t AC_BarringConfig1XRTT_r9_sequence[] = {
  { &hf_lte_rrc_ac_Barring0to9_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { &hf_lte_rrc_ac_Barring10_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_ac_Barring11_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_ac_Barring12_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_ac_Barring13_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_ac_Barring14_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_ac_Barring15_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_ac_BarringMsg_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_ac_BarringReg_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_ac_BarringEmg_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AC_BarringConfig1XRTT_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AC_BarringConfig1XRTT_r9, AC_BarringConfig1XRTT_r9_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType8_eag_1_sequence[] = {
  { &hf_lte_rrc_csfb_SupportForDualRxUEs_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_cellReselectionParametersHRPD_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionParametersCDMA2000_v920 },
  { &hf_lte_rrc_cellReselectionParameters1XRTT_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionParametersCDMA2000_v920 },
  { &hf_lte_rrc_csfb_RegistrationParam1XRTT_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSFB_RegistrationParam1XRTT_v920 },
  { &hf_lte_rrc_ac_BarringConfig1XRTT_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig1XRTT_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType8_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType8_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_csfb_DualRxTxSupport_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csfb_DualRxTxSupport_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType8_eag_2_sequence[] = {
  { &hf_lte_rrc_csfb_DualRxTxSupport_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csfb_DualRxTxSupport_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType8_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType8_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_systemTimeInfo_r11_vals[] = {
  {   0, "explicitValue" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_systemTimeInfo_r11_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemTimeInfoCDMA2000 },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_systemTimeInfo_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_systemTimeInfo_r11, T_systemTimeInfo_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000_sequence_of[1] = {
  { &hf_lte_rrc_physCellIdList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdCDMA2000 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000, SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000_sequence_of,
                                                  1, 40, FALSE);

  return offset;
}


static const per_sequence_t NeighCellsPerBandclassCDMA2000_r11_sequence[] = {
  { &hf_lte_rrc_arfcn       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueCDMA2000 },
  { &hf_lte_rrc_physCellIdList_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellsPerBandclassCDMA2000_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NeighCellsPerBandclassCDMA2000_r11, NeighCellsPerBandclassCDMA2000_r11_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11_sequence_of[1] = {
  { &hf_lte_rrc_neighFreqInfoList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellsPerBandclassCDMA2000_r11 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11, SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const per_sequence_t NeighCellCDMA2000_r11_sequence[] = {
  { &hf_lte_rrc_bandClass   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandclassCDMA2000 },
  { &hf_lte_rrc_neighFreqInfoList_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellCDMA2000_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NeighCellCDMA2000_r11, NeighCellCDMA2000_r11_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11_sequence_of[1] = {
  { &hf_lte_rrc_neighCellList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellCDMA2000_r11 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11, SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const per_sequence_t CellReselectionParametersCDMA2000_r11_sequence[] = {
  { &hf_lte_rrc_bandClassList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandClassListCDMA2000 },
  { &hf_lte_rrc_neighCellList_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11 },
  { &hf_lte_rrc_t_ReselectionCDMA2000, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { &hf_lte_rrc_t_ReselectionCDMA2000_SF, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SpeedStateScaleFactors },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellReselectionParametersCDMA2000_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellReselectionParametersCDMA2000_r11, CellReselectionParametersCDMA2000_r11_sequence);

  return offset;
}


static const per_sequence_t T_parametersHRPD_r11_sequence[] = {
  { &hf_lte_rrc_preRegistrationInfoHRPD_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PreRegistrationInfoHRPD },
  { &hf_lte_rrc_cellReselectionParametersHRPD_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionParametersCDMA2000_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_parametersHRPD_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_parametersHRPD_r11, T_parametersHRPD_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_csfb_DualRxTxSupport_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csfb_DualRxTxSupport_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_parameters1XRTT_r11_sequence[] = {
  { &hf_lte_rrc_csfb_RegistrationParam1XRTT_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSFB_RegistrationParam1XRTT },
  { &hf_lte_rrc_csfb_RegistrationParam1XRTT_Ext_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSFB_RegistrationParam1XRTT_v920 },
  { &hf_lte_rrc_longCodeState1XRTT_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_42 },
  { &hf_lte_rrc_cellReselectionParameters1XRTT_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionParametersCDMA2000_r11 },
  { &hf_lte_rrc_ac_BarringConfig1XRTT_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AC_BarringConfig1XRTT_r9 },
  { &hf_lte_rrc_csfb_SupportForDualRxUEs_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_csfb_DualRxTxSupport_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csfb_DualRxTxSupport_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_parameters1XRTT_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_parameters1XRTT_r11, T_parameters1XRTT_r11_sequence);

  return offset;
}


static const per_sequence_t ParametersCDMA2000_r11_sequence[] = {
  { &hf_lte_rrc_systemTimeInfo_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_systemTimeInfo_r11 },
  { &hf_lte_rrc_searchWindowSize_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_parametersHRPD_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_parametersHRPD_r11 },
  { &hf_lte_rrc_parameters1XRTT_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_parameters1XRTT_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ParametersCDMA2000_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ParametersCDMA2000_r11, ParametersCDMA2000_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_parametersCDMA2000_r11_vals[] = {
  {   0, "explicitValue" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_parametersCDMA2000_r11_choice[] = {
  {   0, &hf_lte_rrc_explicitValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ParametersCDMA2000_r11 },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_parametersCDMA2000_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_parametersCDMA2000_r11, T_parametersCDMA2000_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SIB8_PerPLMN_r11_sequence[] = {
  { &hf_lte_rrc_plmn_Identity_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  { &hf_lte_rrc_parametersCDMA2000_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_parametersCDMA2000_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SIB8_PerPLMN_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SIB8_PerPLMN_r11, SIB8_PerPLMN_r11_sequence);

  return offset;
}


static const per_sequence_t SIB8_PerPLMN_List_r11_sequence_of[1] = {
  { &hf_lte_rrc_SIB8_PerPLMN_List_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SIB8_PerPLMN_r11 },
};

static int
dissect_lte_rrc_SIB8_PerPLMN_List_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SIB8_PerPLMN_List_r11, SIB8_PerPLMN_List_r11_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType8_eag_3_sequence[] = {
  { &hf_lte_rrc_sib8_PerPLMN_List_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SIB8_PerPLMN_List_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType8_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType8_eag_3_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType8_sequence[] = {
  { &hf_lte_rrc_systemTimeInfo, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SystemTimeInfoCDMA2000 },
  { &hf_lte_rrc_searchWindowSize, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_parametersHRPD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_parametersHRPD },
  { &hf_lte_rrc_parameters1XRTT, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_parameters1XRTT },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType8_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType8_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType8_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType8(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB8");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType8, SystemInformationBlockType8_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_hnb_Name(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *hnb_name_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, -1,
                                       1, 48, FALSE, &hnb_name_tvb);

  actx->created_item = proto_tree_add_item(tree, hf_index, hnb_name_tvb, 0, -1, ENC_UTF_8|ENC_NA);


  return offset;
}


static const per_sequence_t SystemInformationBlockType9_sequence[] = {
  { &hf_lte_rrc_hnb_Name    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_hnb_Name },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB9");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType9, SystemInformationBlockType9_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_messageIdentifier(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *msg_id_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     16, 16, FALSE, &msg_id_tvb, NULL);



  if (msg_id_tvb) {
    actx->created_item = proto_tree_add_item(tree, hf_index, msg_id_tvb, 0, 2, ENC_BIG_ENDIAN);
  }

  return offset;
}



static int
dissect_lte_rrc_T_serialNumber(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *serial_nb_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, &serial_nb_tvb, NULL);



  if (serial_nb_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_serialNumber);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_gs, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_msg_code, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_upd_nb, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
  }

  return offset;
}



static int
dissect_lte_rrc_T_warningType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *warning_type_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       2, 2, FALSE, &warning_type_tvb);



  if (warning_type_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_warningType);
    proto_tree_add_item(subtree, hf_lte_rrc_warningType_value, warning_type_tvb, 0, 2, ENC_BIG_ENDIAN);
    proto_tree_add_item(subtree, hf_lte_rrc_warningType_emergency_user_alert, warning_type_tvb, 0, 2, ENC_BIG_ENDIAN);
    proto_tree_add_item(subtree, hf_lte_rrc_warningType_popup, warning_type_tvb, 0, 2, ENC_BIG_ENDIAN);
  }

  return offset;
}



static int
dissect_lte_rrc_OCTET_STRING_SIZE_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       50, 50, FALSE, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType10_sequence[] = {
  { &hf_lte_rrc_messageIdentifier, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_messageIdentifier },
  { &hf_lte_rrc_serialNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_serialNumber },
  { &hf_lte_rrc_warningType , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_warningType },
  { &hf_lte_rrc_dummy       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING_SIZE_50 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB10");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType10, SystemInformationBlockType10_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_messageIdentifier_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *msg_id_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     16, 16, FALSE, &msg_id_tvb, NULL);



  if (msg_id_tvb) {
    private_data_set_message_identifier(actx, tvb_get_ntohs(msg_id_tvb, 0) << 16);
    actx->created_item = proto_tree_add_item(tree, hf_index, msg_id_tvb, 0, 2, ENC_BIG_ENDIAN);
  }

  return offset;
}



static int
dissect_lte_rrc_T_serialNumber_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *serial_nb_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, &serial_nb_tvb, NULL);



  if (serial_nb_tvb) {
    proto_tree *subtree;
    private_data_set_message_identifier(actx,
                                        private_data_get_message_identifier(actx) | tvb_get_ntohs(serial_nb_tvb, 0));
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_serialNumber);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_gs, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_msg_code, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_upd_nb, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
  }

  return offset;
}


static const value_string lte_rrc_T_warningMessageSegmentType_vals[] = {
  {   0, "notLastSegment" },
  {   1, "lastSegment" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_warningMessageSegmentType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 segment_type;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, &segment_type, FALSE, 0, NULL);

  private_data_set_warning_message_segment_type(actx, (guint8)segment_type);


  return offset;
}



static int
dissect_lte_rrc_T_warningMessageSegmentNumber(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 segment_number;
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, &segment_number, FALSE);

  private_data_set_warning_message_segment_number(actx, (guint8)segment_number);


  return offset;
}



static int
dissect_lte_rrc_T_warningMessageSegment(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *warning_msg_seg_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &warning_msg_seg_tvb);



  if (warning_msg_seg_tvb) {
    proto_tree *subtree;
    tvbuff_t *frag_tvb;
    gpointer p_dcs;
    fragment_head *frag_data = fragment_add_seq_check(&lte_rrc_sib11_reassembly_table, warning_msg_seg_tvb, 0, actx->pinfo,
                                                      private_data_get_message_identifier(actx), NULL,
                                                      private_data_get_warning_message_segment_number(actx),
                                                      tvb_reported_length(warning_msg_seg_tvb),
                                                      private_data_get_warning_message_segment_type(actx) ? FALSE : TRUE);
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_warningMessageSegment);
    frag_tvb = process_reassembled_data(warning_msg_seg_tvb, 0, actx->pinfo, "Reassembled SIB11 warning message",
                                        frag_data, &lte_rrc_sib11_frag_items, NULL, subtree);
    p_dcs = wmem_map_lookup(lte_rrc_etws_cmas_dcs_hash, GUINT_TO_POINTER((guint)private_data_get_message_identifier(actx)));
    if (frag_tvb && p_dcs) {
      dissect_lte_rrc_warningMessageSegment(frag_tvb, subtree, actx->pinfo, GPOINTER_TO_UINT(p_dcs));
    }
  }

  return offset;
}



static int
dissect_lte_rrc_T_dataCodingScheme(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *data_coding_scheme_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       1, 1, FALSE, &data_coding_scheme_tvb);



  if (data_coding_scheme_tvb) {
    proto_tree *subtree;
    guint32 dataCodingScheme;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_dataCodingScheme);
    dataCodingScheme = dissect_cbs_data_coding_scheme(data_coding_scheme_tvb, actx->pinfo, subtree, 0);
    wmem_map_insert(lte_rrc_etws_cmas_dcs_hash, GUINT_TO_POINTER((guint)private_data_get_message_identifier(actx)),
                        GUINT_TO_POINTER(dataCodingScheme));
  }

  return offset;
}


static const per_sequence_t SystemInformationBlockType11_sequence[] = {
  { &hf_lte_rrc_messageIdentifier_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_messageIdentifier_01 },
  { &hf_lte_rrc_serialNumber_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_serialNumber_01 },
  { &hf_lte_rrc_warningMessageSegmentType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_warningMessageSegmentType },
  { &hf_lte_rrc_warningMessageSegmentNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_warningMessageSegmentNumber },
  { &hf_lte_rrc_warningMessageSegment, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_warningMessageSegment },
  { &hf_lte_rrc_dataCodingScheme, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_dataCodingScheme },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NOT_EXTENSION_ROOT, ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB11");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType11, SystemInformationBlockType11_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_messageIdentifier_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *msg_id_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     16, 16, FALSE, &msg_id_tvb, NULL);



  if (msg_id_tvb) {
    private_data_set_message_identifier(actx, tvb_get_ntohs(msg_id_tvb, 0) << 16);
    actx->created_item = proto_tree_add_item(tree, hf_index, msg_id_tvb, 0, 2, ENC_BIG_ENDIAN);
  }

  return offset;
}



static int
dissect_lte_rrc_T_serialNumber_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *serial_nb_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, &serial_nb_tvb, NULL);



  if (serial_nb_tvb) {
    proto_tree *subtree;
    private_data_set_message_identifier(actx,
                                        private_data_get_message_identifier(actx) | tvb_get_ntohs(serial_nb_tvb, 0));
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_serialNumber);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_gs, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_msg_code, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
    proto_tree_add_item(subtree, hf_lte_rrc_serialNumber_upd_nb, serial_nb_tvb, 0, 2, ENC_BIG_ENDIAN);
  }

  return offset;
}


static const value_string lte_rrc_T_warningMessageSegmentType_r9_vals[] = {
  {   0, "notLastSegment" },
  {   1, "lastSegment" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_warningMessageSegmentType_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 segment_type;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, &segment_type, FALSE, 0, NULL);

  private_data_set_warning_message_segment_type(actx, (guint8)segment_type);


  return offset;
}



static int
dissect_lte_rrc_T_warningMessageSegmentNumber_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 segment_number;
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, &segment_number, FALSE);

  private_data_set_warning_message_segment_number(actx, (guint8)segment_number);


  return offset;
}



static int
dissect_lte_rrc_T_warningMessageSegment_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *warning_msg_seg_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &warning_msg_seg_tvb);



  if (warning_msg_seg_tvb) {
    proto_tree *subtree;
    tvbuff_t *frag_tvb;
    gpointer p_dcs;
    fragment_head *frag_data = fragment_add_seq_check(&lte_rrc_sib12_reassembly_table, warning_msg_seg_tvb, 0, actx->pinfo,
                                                      private_data_get_message_identifier(actx), NULL,
                                                      private_data_get_warning_message_segment_number(actx),
                                                      tvb_reported_length(warning_msg_seg_tvb),
                                                      private_data_get_warning_message_segment_type(actx) ? FALSE : TRUE);
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_warningMessageSegment);
    frag_tvb = process_reassembled_data(warning_msg_seg_tvb, 0, actx->pinfo, "Reassembled SIB12 warning message",
                                        frag_data, &lte_rrc_sib12_frag_items, NULL, subtree);
    p_dcs = wmem_map_lookup(lte_rrc_etws_cmas_dcs_hash, GUINT_TO_POINTER((guint)private_data_get_message_identifier(actx)));
    if (frag_tvb && p_dcs) {
      dissect_lte_rrc_warningMessageSegment(frag_tvb, subtree, actx->pinfo, GPOINTER_TO_UINT(p_dcs));
    }
  }

  return offset;
}



static int
dissect_lte_rrc_T_dataCodingScheme_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *data_coding_scheme_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       1, 1, FALSE, &data_coding_scheme_tvb);



  if (data_coding_scheme_tvb) {
    proto_tree *subtree;
    guint32 dataCodingScheme;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_dataCodingScheme);
    dataCodingScheme = dissect_cbs_data_coding_scheme(data_coding_scheme_tvb, actx->pinfo, subtree, 0);
    wmem_map_insert(lte_rrc_etws_cmas_dcs_hash, GUINT_TO_POINTER((guint)private_data_get_message_identifier(actx)),
                        GUINT_TO_POINTER(dataCodingScheme));
  }

  return offset;
}


static const per_sequence_t SystemInformationBlockType12_r9_sequence[] = {
  { &hf_lte_rrc_messageIdentifier_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_messageIdentifier_r9 },
  { &hf_lte_rrc_serialNumber_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_serialNumber_r9 },
  { &hf_lte_rrc_warningMessageSegmentType_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_warningMessageSegmentType_r9 },
  { &hf_lte_rrc_warningMessageSegmentNumber_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_warningMessageSegmentNumber_r9 },
  { &hf_lte_rrc_warningMessageSegment_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_warningMessageSegment_r9 },
  { &hf_lte_rrc_dataCodingScheme_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_dataCodingScheme_r9 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType12_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB12");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType12_r9, SystemInformationBlockType12_r9_sequence);

  return offset;
}



static int
dissect_lte_rrc_MBSFN_AreaId_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_non_MBSFNregionLength_vals[] = {
  {   0, "s1" },
  {   1, "s2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_non_MBSFNregionLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mcch_RepetitionPeriod_r9_vals[] = {
  {   0, "rf32" },
  {   1, "rf64" },
  {   2, "rf128" },
  {   3, "rf256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mcch_RepetitionPeriod_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mcch_ModificationPeriod_r9_vals[] = {
  {   0, "rf512" },
  {   1, "rf1024" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mcch_ModificationPeriod_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_signallingMCS_r9_vals[] = {
  {   0, "n2" },
  {   1, "n7" },
  {   2, "n13" },
  {   3, "n19" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_signallingMCS_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_mcch_Config_r9_sequence[] = {
  { &hf_lte_rrc_mcch_RepetitionPeriod_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mcch_RepetitionPeriod_r9 },
  { &hf_lte_rrc_mcch_Offset_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_10 },
  { &hf_lte_rrc_mcch_ModificationPeriod_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mcch_ModificationPeriod_r9 },
  { &hf_lte_rrc_sf_AllocInfo_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_6 },
  { &hf_lte_rrc_signallingMCS_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_signallingMCS_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_mcch_Config_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_mcch_Config_r9, T_mcch_Config_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_mcch_RepetitionPeriod_v1430_vals[] = {
  {   0, "rf1" },
  {   1, "rf2" },
  {   2, "rf4" },
  {   3, "rf8" },
  {   4, "rf16" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mcch_RepetitionPeriod_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mcch_ModificationPeriod_v1430_vals[] = {
  {   0, "rf1" },
  {   1, "rf2" },
  {   2, "rf4" },
  {   3, "rf8" },
  {   4, "rf16" },
  {   5, "rf32" },
  {   6, "rf64" },
  {   7, "rf128" },
  {   8, "rf256" },
  {   9, "spare7" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mcch_ModificationPeriod_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     10, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_mcch_Config_r14_sequence[] = {
  { &hf_lte_rrc_mcch_RepetitionPeriod_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mcch_RepetitionPeriod_v1430 },
  { &hf_lte_rrc_mcch_ModificationPeriod_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mcch_ModificationPeriod_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_mcch_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_mcch_Config_r14, T_mcch_Config_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_subcarrierSpacingMBMS_r14_vals[] = {
  {   0, "khz-7dot5" },
  {   1, "khz-1dot25" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_subcarrierSpacingMBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MBSFN_AreaInfo_r9_eag_1_sequence[] = {
  { &hf_lte_rrc_mcch_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mcch_Config_r14 },
  { &hf_lte_rrc_subcarrierSpacingMBMS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_subcarrierSpacingMBMS_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBSFN_AreaInfo_r9_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MBSFN_AreaInfo_r9_eag_1_sequence);

  return offset;
}


static const per_sequence_t MBSFN_AreaInfo_r9_sequence[] = {
  { &hf_lte_rrc_mbsfn_AreaId_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_AreaId_r12 },
  { &hf_lte_rrc_non_MBSFNregionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_non_MBSFNregionLength },
  { &hf_lte_rrc_notificationIndicator_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_mcch_Config_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mcch_Config_r9 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_AreaInfo_r9_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBSFN_AreaInfo_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBSFN_AreaInfo_r9, MBSFN_AreaInfo_r9_sequence);

  return offset;
}


static const per_sequence_t MBSFN_AreaInfoList_r9_sequence_of[1] = {
  { &hf_lte_rrc_MBSFN_AreaInfoList_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_AreaInfo_r9 },
};

static int
dissect_lte_rrc_MBSFN_AreaInfoList_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBSFN_AreaInfoList_r9, MBSFN_AreaInfoList_r9_sequence_of,
                                                  1, maxMBSFN_Area, FALSE);

  return offset;
}


static const value_string lte_rrc_T_notificationRepetitionCoeff_r9_vals[] = {
  {   0, "n2" },
  {   1, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_notificationRepetitionCoeff_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 6U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MBMS_NotificationConfig_r9_sequence[] = {
  { &hf_lte_rrc_notificationRepetitionCoeff_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_notificationRepetitionCoeff_r9 },
  { &hf_lte_rrc_notificationOffset_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_10 },
  { &hf_lte_rrc_notificationSF_Index_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_NotificationConfig_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_NotificationConfig_r9, MBMS_NotificationConfig_r9_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_7_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            7U, 10U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MBMS_NotificationConfig_v1430_sequence[] = {
  { &hf_lte_rrc_notificationSF_Index_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_7_10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_NotificationConfig_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_NotificationConfig_v1430, MBMS_NotificationConfig_v1430_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType13_r9_eag_1_sequence[] = {
  { &hf_lte_rrc_notificationConfig_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_NotificationConfig_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType13_r9_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType13_r9_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType13_r9_sequence[] = {
  { &hf_lte_rrc_mbsfn_AreaInfoList_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_AreaInfoList_r9 },
  { &hf_lte_rrc_notificationConfig_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_NotificationConfig_r9 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType13_r9_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType13_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB13");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType13_r9, SystemInformationBlockType13_r9_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_eab_Category_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t EAB_Config_r11_sequence[] = {
  { &hf_lte_rrc_eab_Category_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eab_Category_r11 },
  { &hf_lte_rrc_eab_BarringBitmap_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_EAB_Config_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_EAB_Config_r11, EAB_Config_r11_sequence);

  return offset;
}


static const per_sequence_t EAB_ConfigPLMN_r11_sequence[] = {
  { &hf_lte_rrc_eab_Config_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_EAB_Config_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_EAB_ConfigPLMN_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_EAB_ConfigPLMN_r11, EAB_ConfigPLMN_r11_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11_sequence_of[1] = {
  { &hf_lte_rrc_eab_PerPLMN_List_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_EAB_ConfigPLMN_r11 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11, SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_eab_Param_r11_vals[] = {
  {   0, "eab-Common-r11" },
  {   1, "eab-PerPLMN-List-r11" },
  { 0, NULL }
};

static const per_choice_t T_eab_Param_r11_choice[] = {
  {   0, &hf_lte_rrc_eab_Common_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_EAB_Config_r11 },
  {   1, &hf_lte_rrc_eab_PerPLMN_List_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_eab_Param_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_eab_Param_r11, T_eab_Param_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType14_r11_sequence[] = {
  { &hf_lte_rrc_eab_Param_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_eab_Param_r11 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType14_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB14");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType14_r11, SystemInformationBlockType14_r11_sequence);

  return offset;
}



static int
dissect_lte_rrc_MBMS_SAI_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MBMS_SAI_List_r11_sequence_of[1] = {
  { &hf_lte_rrc_MBMS_SAI_List_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SAI_r11 },
};

static int
dissect_lte_rrc_MBMS_SAI_List_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBMS_SAI_List_r11, MBMS_SAI_List_r11_sequence_of,
                                                  1, maxSAI_MBMS_r11, FALSE);

  return offset;
}


static const per_sequence_t MBMS_SAI_InterFreq_r11_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_mbms_SAI_List_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SAI_List_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_SAI_InterFreq_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_SAI_InterFreq_r11, MBMS_SAI_InterFreq_r11_sequence);

  return offset;
}


static const per_sequence_t MBMS_SAI_InterFreqList_r11_sequence_of[1] = {
  { &hf_lte_rrc_MBMS_SAI_InterFreqList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SAI_InterFreq_r11 },
};

static int
dissect_lte_rrc_MBMS_SAI_InterFreqList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBMS_SAI_InterFreqList_r11, MBMS_SAI_InterFreqList_r11_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t MBMS_SAI_InterFreq_v1140_sequence[] = {
  { &hf_lte_rrc_multiBandInfoList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_SAI_InterFreq_v1140(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_SAI_InterFreq_v1140, MBMS_SAI_InterFreq_v1140_sequence);

  return offset;
}


static const per_sequence_t MBMS_SAI_InterFreqList_v1140_sequence_of[1] = {
  { &hf_lte_rrc_MBMS_SAI_InterFreqList_v1140_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SAI_InterFreq_v1140 },
};

static int
dissect_lte_rrc_MBMS_SAI_InterFreqList_v1140(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBMS_SAI_InterFreqList_v1140, MBMS_SAI_InterFreqList_v1140_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType15_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_mbms_SAI_InterFreqList_v1140, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_SAI_InterFreqList_v1140 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType15_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType15_r11_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_carrierType_r14_vals[] = {
  {   0, "mbms" },
  {   1, "fembmsMixed" },
  {   2, "fembmsDedicated" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_carrierType_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MBMS_CarrierType_r14_sequence[] = {
  { &hf_lte_rrc_carrierType_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_carrierType_r14 },
  { &hf_lte_rrc_frameOffset_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_CarrierType_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_CarrierType_r14, MBMS_CarrierType_r14_sequence);

  return offset;
}


static const per_sequence_t MBMS_InterFreqCarrierTypeList_r14_sequence_of[1] = {
  { &hf_lte_rrc_MBMS_InterFreqCarrierTypeList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_CarrierType_r14 },
};

static int
dissect_lte_rrc_MBMS_InterFreqCarrierTypeList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBMS_InterFreqCarrierTypeList_r14, MBMS_InterFreqCarrierTypeList_r14_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType15_r11_eag_2_sequence[] = {
  { &hf_lte_rrc_mbms_IntraFreqCarrierType_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_CarrierType_r14 },
  { &hf_lte_rrc_mbms_InterFreqCarrierTypeList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_InterFreqCarrierTypeList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType15_r11_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType15_r11_eag_2_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType15_r11_sequence[] = {
  { &hf_lte_rrc_mbms_SAI_IntraFreq_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_SAI_List_r11 },
  { &hf_lte_rrc_mbms_SAI_InterFreqList_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_SAI_InterFreqList_r11 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType15_r11_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType15_r11_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType15_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB15");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType15_r11, SystemInformationBlockType15_r11_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_timeInfoUTC_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint64 timeInfo;
  proto_tree *subtree;
  nstime_t ts;
  guint32 old_offset = offset;
  offset = dissect_per_constrained_integer_64b(tvb, offset, actx, tree, hf_index,
                                                            0U, G_GUINT64_CONSTANT(549755813887), &timeInfo, FALSE);



  subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_timeInfo);
  ts.secs = (time_t)(timeInfo/100)-2208988800U; /* epoch is 00:00:00 (midnight) UTC on 1900-01-01 */
  ts.nsecs = (int)(timeInfo%100)*10000000;
  proto_tree_add_time(subtree, hf_lte_rrc_utc_time, tvb, old_offset>>3, (old_offset&0x07) ? 6 : 5, &ts);
  proto_tree_add_time(subtree, hf_lte_rrc_local_time, tvb, old_offset>>3, (old_offset&0x07) ? 6 : 5, &ts);

  return offset;
}



static int
dissect_lte_rrc_T_dayLightSavingTime_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *daylight_saving_time_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     2, 2, FALSE, &daylight_saving_time_tvb, NULL);



  if (daylight_saving_time_tvb) {
    guint bitvalue = tvb_get_bits8(daylight_saving_time_tvb, 0, 2);
    actx->created_item = proto_tree_add_uint(tree, hf_index, daylight_saving_time_tvb, 0, 1, bitvalue);
  }

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M127_128(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -127, 128U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M63_64(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -63, 64U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_timeInfo_r11_sequence[] = {
  { &hf_lte_rrc_timeInfoUTC_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_timeInfoUTC_r11 },
  { &hf_lte_rrc_dayLightSavingTime_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dayLightSavingTime_r11 },
  { &hf_lte_rrc_leapSeconds_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M127_128 },
  { &hf_lte_rrc_localTimeOffset_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M63_64 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_timeInfo_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_timeInfo_r11, T_timeInfo_r11_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType16_r11_sequence[] = {
  { &hf_lte_rrc_timeInfo_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_timeInfo_r11 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType16_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB16");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType16_r11, SystemInformationBlockType16_r11_sequence);

  return offset;
}


static const per_sequence_t WLAN_OffloadInfoPerPLMN_r12_sequence[] = {
  { &hf_lte_rrc_wlan_OffloadConfigCommon_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_OffloadConfig_r12 },
  { &hf_lte_rrc_wlan_Id_List_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_Id_List_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_OffloadInfoPerPLMN_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLAN_OffloadInfoPerPLMN_r12, WLAN_OffloadInfoPerPLMN_r12_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12_sequence_of[1] = {
  { &hf_lte_rrc_wlan_OffloadInfoPerPLMN_List_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_OffloadInfoPerPLMN_r12 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12, SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType17_r12_sequence[] = {
  { &hf_lte_rrc_wlan_OffloadInfoPerPLMN_List_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType17_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB17");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType17_r12, SystemInformationBlockType17_r12_sequence);

  return offset;
}


static const per_sequence_t SL_CommRxPoolList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_CommRxPoolList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePool_r12 },
};

static int
dissect_lte_rrc_SL_CommRxPoolList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CommRxPoolList_r12, SL_CommRxPoolList_r12_sequence_of,
                                                  1, maxSL_RxPool_r12, FALSE);

  return offset;
}


static const per_sequence_t SL_CommTxPoolList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_CommTxPoolList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePool_r12 },
};

static int
dissect_lte_rrc_SL_CommTxPoolList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CommTxPoolList_r12, SL_CommTxPoolList_r12_sequence_of,
                                                  1, maxSL_TxPool_r12, FALSE);

  return offset;
}


static const per_sequence_t T_txParameters_r12_02_sequence[] = {
  { &hf_lte_rrc_syncTxParameters_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_TxParameters_r12 },
  { &hf_lte_rrc_syncTxThreshIC_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_RangeSL_r12 },
  { &hf_lte_rrc_syncInfoReserved_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_19 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_txParameters_r12_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_txParameters_r12_02, T_txParameters_r12_02_sequence);

  return offset;
}


static const value_string lte_rrc_T_discSyncWindow_r12_vals[] = {
  {   0, "w1" },
  {   1, "w2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discSyncWindow_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_rxParamsNCell_r12_sequence[] = {
  { &hf_lte_rrc_physCellId_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_discSyncWindow_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_discSyncWindow_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rxParamsNCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rxParamsNCell_r12, T_rxParamsNCell_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_syncTxPeriodic_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_syncTxPeriodic_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_SyncConfig_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_syncTxPeriodic_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_syncTxPeriodic_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_SyncConfig_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_SyncConfig_r12_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_gnss_Sync_r14_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gnss_Sync_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_SyncConfig_r12_eag_2_sequence[] = {
  { &hf_lte_rrc_syncOffsetIndicator_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_OffsetIndicatorSync_v1430 },
  { &hf_lte_rrc_gnss_Sync_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_gnss_Sync_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_SyncConfig_r12_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_SyncConfig_r12_eag_2_sequence);

  return offset;
}


static const per_sequence_t SL_SyncConfig_r12_sequence[] = {
  { &hf_lte_rrc_syncCP_Len_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CP_Len_r12 },
  { &hf_lte_rrc_syncOffsetIndicator_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_OffsetIndicatorSync_r12 },
  { &hf_lte_rrc_slssid_r12  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SLSSID_r12 },
  { &hf_lte_rrc_txParameters_r12_02, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_txParameters_r12_02 },
  { &hf_lte_rrc_rxParamsNCell_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rxParamsNCell_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_SyncConfig_r12_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_SyncConfig_r12_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_SyncConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_SyncConfig_r12, SL_SyncConfig_r12_sequence);

  return offset;
}


static const per_sequence_t SL_SyncConfigList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_SyncConfigList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_SyncConfig_r12 },
};

static int
dissect_lte_rrc_SL_SyncConfigList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_SyncConfigList_r12, SL_SyncConfigList_r12_sequence_of,
                                                  1, maxSL_SyncConfig_r12, FALSE);

  return offset;
}


static const per_sequence_t T_commConfig_r12_sequence[] = {
  { &hf_lte_rrc_commRxPool_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommRxPoolList_r12 },
  { &hf_lte_rrc_commTxPoolNormalCommon_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolList_r12 },
  { &hf_lte_rrc_commTxPoolExceptional_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolList_r12 },
  { &hf_lte_rrc_commSyncConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncConfigList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_commConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_commConfig_r12, T_commConfig_r12_sequence);

  return offset;
}


static const per_sequence_t SL_CommTxPoolListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_CommTxPoolListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CommResourcePool_r12 },
};

static int
dissect_lte_rrc_SL_CommTxPoolListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CommTxPoolListExt_r13, SL_CommTxPoolListExt_r13_sequence_of,
                                                  1, maxSL_TxPool_v1310, FALSE);

  return offset;
}


static const value_string lte_rrc_T_commTxResourceUC_ReqAllowed_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_commTxResourceUC_ReqAllowed_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_commTxAllowRelayCommon_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_commTxAllowRelayCommon_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType18_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_commTxPoolNormalCommonExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolListExt_r13 },
  { &hf_lte_rrc_commTxResourceUC_ReqAllowed_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_commTxResourceUC_ReqAllowed_r13 },
  { &hf_lte_rrc_commTxAllowRelayCommon_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_commTxAllowRelayCommon_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType18_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType18_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType18_r12_sequence[] = {
  { &hf_lte_rrc_commConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_commConfig_r12 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType18_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType18_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB18");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType18_r12, SystemInformationBlockType18_r12_sequence);

  return offset;
}


static const per_sequence_t SL_DiscRxPoolList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_DiscRxPoolList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscResourcePool_r12 },
};

static int
dissect_lte_rrc_SL_DiscRxPoolList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_DiscRxPoolList_r12, SL_DiscRxPoolList_r12_sequence_of,
                                                  1, maxSL_RxPool_r12, FALSE);

  return offset;
}


static const per_sequence_t SL_DiscTxPoolList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_DiscTxPoolList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscResourcePool_r12 },
};

static int
dissect_lte_rrc_SL_DiscTxPoolList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_DiscTxPoolList_r12, SL_DiscTxPoolList_r12_sequence_of,
                                                  1, maxSL_TxPool_r12, FALSE);

  return offset;
}


static const per_sequence_t SL_DiscTxPowerInfo_r12_sequence[] = {
  { &hf_lte_rrc_discMaxTxPower_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_P_Max },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxPowerInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscTxPowerInfo_r12, SL_DiscTxPowerInfo_r12_sequence);

  return offset;
}


static const per_sequence_t SL_DiscTxPowerInfoList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_DiscTxPowerInfoList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscTxPowerInfo_r12 },
};

static int
dissect_lte_rrc_SL_DiscTxPowerInfoList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_DiscTxPowerInfoList_r12, SL_DiscTxPowerInfoList_r12_sequence_of,
                                                  maxSL_DiscPowerClass_r12, maxSL_DiscPowerClass_r12, FALSE);

  return offset;
}


static const per_sequence_t T_discConfig_r12_sequence[] = {
  { &hf_lte_rrc_discRxPool_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscRxPoolList_r12 },
  { &hf_lte_rrc_discTxPoolCommon_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxPoolList_r12 },
  { &hf_lte_rrc_discTxPowerInfo_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxPowerInfoList_r12 },
  { &hf_lte_rrc_discSyncConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncConfigList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_discConfig_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_discConfig_r12, T_discConfig_r12_sequence);

  return offset;
}


static const value_string lte_rrc_PLMN_IdentityInfo2_r12_vals[] = {
  {   0, "plmn-Index-r12" },
  {   1, "plmnIdentity-r12" },
  { 0, NULL }
};

static const per_choice_t PLMN_IdentityInfo2_r12_choice[] = {
  {   0, &hf_lte_rrc_plmn_Index_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  {   1, &hf_lte_rrc_plmnIdentity_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PLMN_Identity },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_PLMN_IdentityInfo2_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_PLMN_IdentityInfo2_r12, PLMN_IdentityInfo2_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PLMN_IdentityList4_r12_sequence_of[1] = {
  { &hf_lte_rrc_PLMN_IdentityList4_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_IdentityInfo2_r12 },
};

static int
dissect_lte_rrc_PLMN_IdentityList4_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PLMN_IdentityList4_r12, PLMN_IdentityList4_r12_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const per_sequence_t SL_CarrierFreqInfo_r12_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_plmn_IdentityList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PLMN_IdentityList4_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CarrierFreqInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CarrierFreqInfo_r12, SL_CarrierFreqInfo_r12_sequence);

  return offset;
}


static const per_sequence_t SL_CarrierFreqInfoList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_CarrierFreqInfoList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CarrierFreqInfo_r12 },
};

static int
dissect_lte_rrc_SL_CarrierFreqInfoList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CarrierFreqInfoList_r12, SL_CarrierFreqInfoList_r12_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const value_string lte_rrc_SL_DiscTxResourcesInterFreq_r13_vals[] = {
  {   0, "acquireSI-FromCarrier-r13" },
  {   1, "discTxPoolCommon-r13" },
  {   2, "requestDedicated-r13" },
  {   3, "noTxOnCarrier-r13" },
  { 0, NULL }
};

static const per_choice_t SL_DiscTxResourcesInterFreq_r13_choice[] = {
  {   0, &hf_lte_rrc_acquireSI_FromCarrier_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_discTxPoolCommon_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SL_DiscTxPoolList_r12 },
  {   2, &hf_lte_rrc_requestDedicated_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_noTxOnCarrier_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxResourcesInterFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SL_DiscTxResourcesInterFreq_r13, SL_DiscTxResourcesInterFreq_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SL_ResourcesInterFreq_r13_sequence[] = {
  { &hf_lte_rrc_discRxResourcesInterFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscRxPoolList_r12 },
  { &hf_lte_rrc_discTxResourcesInterFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxResourcesInterFreq_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_ResourcesInterFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_ResourcesInterFreq_r13, SL_ResourcesInterFreq_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_refCarrierCommon_r13_vals[] = {
  {   0, "pCell" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_refCarrierCommon_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_SyncConfigListNFreq_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_SyncConfigListNFreq_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_SyncConfigNFreq_r13 },
};

static int
dissect_lte_rrc_SL_SyncConfigListNFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_SyncConfigListNFreq_r13, SL_SyncConfigListNFreq_r13_sequence_of,
                                                  1, maxSL_SyncConfig_r12, FALSE);

  return offset;
}


static const per_sequence_t SL_DiscConfigOtherInterFreq_r13_sequence[] = {
  { &hf_lte_rrc_txPowerInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxPowerInfoList_r12 },
  { &hf_lte_rrc_refCarrierCommon_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_refCarrierCommon_r13 },
  { &hf_lte_rrc_discSyncConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncConfigListNFreq_r13 },
  { &hf_lte_rrc_discCellSelectionInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfoNFreq_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscConfigOtherInterFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscConfigOtherInterFreq_r13, SL_DiscConfigOtherInterFreq_r13_sequence);

  return offset;
}


static const per_sequence_t SL_CarrierFreqInfo_v1310_sequence[] = {
  { &hf_lte_rrc_discResourcesNonPS_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_ResourcesInterFreq_r13 },
  { &hf_lte_rrc_discResourcesPS_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_ResourcesInterFreq_r13 },
  { &hf_lte_rrc_discConfigOther_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscConfigOtherInterFreq_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CarrierFreqInfo_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CarrierFreqInfo_v1310, SL_CarrierFreqInfo_v1310_sequence);

  return offset;
}


static const per_sequence_t SL_CarrierFreqInfoList_v1310_sequence_of[1] = {
  { &hf_lte_rrc_SL_CarrierFreqInfoList_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CarrierFreqInfo_v1310 },
};

static int
dissect_lte_rrc_SL_CarrierFreqInfoList_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_CarrierFreqInfoList_v1310, SL_CarrierFreqInfoList_v1310_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const value_string lte_rrc_T_gapRequestsAllowedCommon_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gapRequestsAllowedCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_discConfig_v1310_sequence[] = {
  { &hf_lte_rrc_discInterFreqList_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CarrierFreqInfoList_v1310 },
  { &hf_lte_rrc_gapRequestsAllowedCommon, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_gapRequestsAllowedCommon },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_discConfig_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_discConfig_v1310, T_discConfig_v1310_sequence);

  return offset;
}



static int
dissect_lte_rrc_RSRP_RangeSL4_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 49U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_hystMax_r13_vals[] = {
  {   0, "dB0" },
  {   1, "dB3" },
  {   2, "dB6" },
  {   3, "dB9" },
  {   4, "dB12" },
  {   5, "dBinf" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_hystMax_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_hystMin_r13_vals[] = {
  {   0, "dB0" },
  {   1, "dB3" },
  {   2, "dB6" },
  {   3, "dB9" },
  {   4, "dB12" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_hystMin_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_DiscConfigRelayUE_r13_sequence[] = {
  { &hf_lte_rrc_threshHigh_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_RangeSL4_r13 },
  { &hf_lte_rrc_threshLow_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_RangeSL4_r13 },
  { &hf_lte_rrc_hystMax_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_hystMax_r13 },
  { &hf_lte_rrc_hystMin_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_hystMin_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscConfigRelayUE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscConfigRelayUE_r13, SL_DiscConfigRelayUE_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_hystMax_r13_01_vals[] = {
  {   0, "dB0" },
  {   1, "dB3" },
  {   2, "dB6" },
  {   3, "dB9" },
  {   4, "dB12" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_hystMax_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_minHyst_r13_vals[] = {
  {   0, "dB0" },
  {   1, "dB3" },
  {   2, "dB6" },
  {   3, "dB9" },
  {   4, "dB12" },
  {   5, "dBinf" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_minHyst_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t ReselectionInfoRelay_r13_sequence[] = {
  { &hf_lte_rrc_q_RxLevMin_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_filterCoefficient_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FilterCoefficient },
  { &hf_lte_rrc_minHyst_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_minHyst_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReselectionInfoRelay_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReselectionInfoRelay_r13, ReselectionInfoRelay_r13_sequence);

  return offset;
}


static const per_sequence_t SL_DiscConfigRemoteUE_r13_sequence[] = {
  { &hf_lte_rrc_threshHigh_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_RangeSL4_r13 },
  { &hf_lte_rrc_hystMax_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_hystMax_r13_01 },
  { &hf_lte_rrc_reselectionInfoIC_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionInfoRelay_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscConfigRemoteUE_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscConfigRemoteUE_r13, SL_DiscConfigRemoteUE_r13_sequence);

  return offset;
}


static const per_sequence_t T_discConfigRelay_r13_sequence[] = {
  { &hf_lte_rrc_relayUE_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscConfigRelayUE_r13 },
  { &hf_lte_rrc_remoteUE_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscConfigRemoteUE_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_discConfigRelay_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_discConfigRelay_r13, T_discConfigRelay_r13_sequence);

  return offset;
}


static const per_sequence_t T_discConfigPS_13_sequence[] = {
  { &hf_lte_rrc_discRxPoolPS_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscRxPoolList_r12 },
  { &hf_lte_rrc_discTxPoolPS_Common_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxPoolList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_discConfigPS_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_discConfigPS_13, T_discConfigPS_13_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType19_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_discConfig_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discConfig_v1310 },
  { &hf_lte_rrc_discConfigRelay_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discConfigRelay_r13 },
  { &hf_lte_rrc_discConfigPS_13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discConfigPS_13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType19_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType19_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType19_r12_sequence[] = {
  { &hf_lte_rrc_discConfig_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_discConfig_r12 },
  { &hf_lte_rrc_discInterFreqList_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CarrierFreqInfoList_r12 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType19_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType19_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB19");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType19_r12, SystemInformationBlockType19_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_RepetitionPeriod_r13_vals[] = {
  {   0, "rf2" },
  {   1, "rf4" },
  {   2, "rf8" },
  {   3, "rf16" },
  {   4, "rf32" },
  {   5, "rf64" },
  {   6, "rf128" },
  {   7, "rf256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sc_mcch_RepetitionPeriod_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_2_9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            2U, 9U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_ModificationPeriod_r13_vals[] = {
  {   0, "rf2" },
  {   1, "rf4" },
  {   2, "rf8" },
  {   3, "rf16" },
  {   4, "rf32" },
  {   5, "rf64" },
  {   6, "rf128" },
  {   7, "rf256" },
  {   8, "rf512" },
  {   9, "rf1024" },
  {  10, "r2048" },
  {  11, "rf4096" },
  {  12, "rf8192" },
  {  13, "rf16384" },
  {  14, "rf32768" },
  {  15, "rf65536" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sc_mcch_ModificationPeriod_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_RepetitionPeriod_v1430_vals[] = {
  {   0, "rf1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sc_mcch_RepetitionPeriod_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_ModificationPeriod_v1430_vals[] = {
  {   0, "rf1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sc_mcch_ModificationPeriod_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_NumRepetition_SC_MCCH_r14_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_NumRepetition_SC_MCCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     9, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_fdd_r14_vals[] = {
  {   0, "v1" },
  {   1, "v1dot5" },
  {   2, "v2" },
  {   3, "v2dot5" },
  {   4, "v4" },
  {   5, "v5" },
  {   6, "v8" },
  {   7, "v10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fdd_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_r14_vals[] = {
  {   0, "v1" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v5" },
  {   4, "v8" },
  {   5, "v10" },
  {   6, "v20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_StartSF_SC_MCCH_r14_vals[] = {
  {   0, "fdd-r14" },
  {   1, "tdd-r14" },
  { 0, NULL }
};

static const per_choice_t T_mpdcch_StartSF_SC_MCCH_r14_choice[] = {
  {   0, &hf_lte_rrc_fdd_r14     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_fdd_r14 },
  {   1, &hf_lte_rrc_tdd_r14     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_tdd_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mpdcch_StartSF_SC_MCCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mpdcch_StartSF_SC_MCCH_r14, T_mpdcch_StartSF_SC_MCCH_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14_vals[] = {
  {   0, "off" },
  {   1, "ce-ModeA" },
  {   2, "ce-ModeB" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_RepetitionPeriod_BR_r14_vals[] = {
  {   0, "rf32" },
  {   1, "rf128" },
  {   2, "rf512" },
  {   3, "rf1024" },
  {   4, "rf2048" },
  {   5, "rf4096" },
  {   6, "rf8192" },
  {   7, "rf16384" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sc_mcch_RepetitionPeriod_BR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_ModificationPeriod_BR_r14_vals[] = {
  {   0, "rf32" },
  {   1, "rf128" },
  {   2, "rf256" },
  {   3, "rf512" },
  {   4, "rf1024" },
  {   5, "rf2048" },
  {   6, "rf4096" },
  {   7, "rf8192" },
  {   8, "rf16384" },
  {   9, "rf32768" },
  {  10, "rf65536" },
  {  11, "rf131072" },
  {  12, "rf262144" },
  {  13, "rf524288" },
  {  14, "rf1048576" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sc_mcch_ModificationPeriod_BR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     15, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_br_BCCH_Config_r14_sequence[] = {
  { &hf_lte_rrc_sc_mcch_RepetitionPeriod_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_RepetitionPeriod_v1430 },
  { &hf_lte_rrc_sc_mcch_ModificationPeriod_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_ModificationPeriod_v1430 },
  { &hf_lte_rrc_mpdcch_Narrowband_SC_MCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
  { &hf_lte_rrc_mpdcch_NumRepetition_SC_MCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_NumRepetition_SC_MCCH_r14 },
  { &hf_lte_rrc_mpdcch_StartSF_SC_MCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_StartSF_SC_MCCH_r14 },
  { &hf_lte_rrc_mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14 },
  { &hf_lte_rrc_sc_mcch_CarrierFreq_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_sc_mcch_Offset_BR_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_10 },
  { &hf_lte_rrc_sc_mcch_RepetitionPeriod_BR_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_RepetitionPeriod_BR_r14 },
  { &hf_lte_rrc_sc_mcch_ModificationPeriod_BR_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_ModificationPeriod_BR_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_br_BCCH_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_br_BCCH_Config_r14, T_br_BCCH_Config_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_onDurationTimerSCPTM_r14_vals[] = {
  {   0, "psf10" },
  {   1, "psf20" },
  {   2, "psf100" },
  {   3, "psf300" },
  {   4, "psf500" },
  {   5, "psf1000" },
  {   6, "psf1200" },
  {   7, "psf1600" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_onDurationTimerSCPTM_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_InactivityTimerSCPTM_r14_vals[] = {
  {   0, "psf0" },
  {   1, "psf1" },
  {   2, "psf2" },
  {   3, "psf4" },
  {   4, "psf8" },
  {   5, "psf16" },
  {   6, "psf32" },
  {   7, "psf64" },
  {   8, "psf128" },
  {   9, "psf256" },
  {  10, "ps512" },
  {  11, "psf1024" },
  {  12, "psf2048" },
  {  13, "psf4096" },
  {  14, "psf8192" },
  {  15, "psf16384" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_19(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 19U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_511(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 511U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_4095(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4095U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_8191(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 8191U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf32" },
  {   3, "sf40" },
  {   4, "sf64" },
  {   5, "sf80" },
  {   6, "sf128" },
  {   7, "sf160" },
  {   8, "sf256" },
  {   9, "sf320" },
  {  10, "sf512" },
  {  11, "sf640" },
  {  12, "sf1024" },
  {  13, "sf2048" },
  {  14, "sf4096" },
  {  15, "sf8192" },
  { 0, NULL }
};

static const per_choice_t T_schedulingPeriodStartOffsetSCPTM_r14_choice[] = {
  {   0, &hf_lte_rrc_sf10        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_9 },
  {   1, &hf_lte_rrc_sf20        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_19 },
  {   2, &hf_lte_rrc_sf32        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_31 },
  {   3, &hf_lte_rrc_sf40        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_39 },
  {   4, &hf_lte_rrc_sf64        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_63 },
  {   5, &hf_lte_rrc_sf80        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_79 },
  {   6, &hf_lte_rrc_sf128       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_127 },
  {   7, &hf_lte_rrc_sf160       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_159 },
  {   8, &hf_lte_rrc_sf256       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_255 },
  {   9, &hf_lte_rrc_sf320       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_319 },
  {  10, &hf_lte_rrc_sf512       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_511 },
  {  11, &hf_lte_rrc_sf640       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_639 },
  {  12, &hf_lte_rrc_sf1024      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_1023 },
  {  13, &hf_lte_rrc_sf2048      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_2047 },
  {  14, &hf_lte_rrc_sf4096      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_4095 },
  {  15, &hf_lte_rrc_sf8192      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_8191 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14, T_schedulingPeriodStartOffsetSCPTM_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SC_MCCH_SchedulingInfo_r14_sequence[] = {
  { &hf_lte_rrc_onDurationTimerSCPTM_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_onDurationTimerSCPTM_r14 },
  { &hf_lte_rrc_drx_InactivityTimerSCPTM_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r14 },
  { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MCCH_SchedulingInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MCCH_SchedulingInfo_r14, SC_MCCH_SchedulingInfo_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14_vals[] = {
  {   0, "r16" },
  {   1, "r32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14_vals[] = {
  {   0, "r192" },
  {   1, "r256" },
  {   2, "r384" },
  {   3, "r512" },
  {   4, "r768" },
  {   5, "r1024" },
  {   6, "r1536" },
  {   7, "r2048" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType20_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_br_BCCH_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_br_BCCH_Config_r14 },
  { &hf_lte_rrc_sc_mcch_SchedulingInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SC_MCCH_SchedulingInfo_r14 },
  { &hf_lte_rrc_pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14 },
  { &hf_lte_rrc_pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType20_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType20_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType20_r13_sequence[] = {
  { &hf_lte_rrc_sc_mcch_RepetitionPeriod_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_RepetitionPeriod_r13 },
  { &hf_lte_rrc_sc_mcch_Offset_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_10 },
  { &hf_lte_rrc_sc_mcch_FirstSubframe_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_9 },
  { &hf_lte_rrc_sc_mcch_duration_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_2_9 },
  { &hf_lte_rrc_sc_mcch_ModificationPeriod_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_ModificationPeriod_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType20_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType20_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB20");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType20_r13, SystemInformationBlockType20_r13_sequence);

  return offset;
}


static const per_sequence_t SL_SyncConfigListV2X_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_SyncConfigListV2X_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_SyncConfig_r12 },
};

static int
dissect_lte_rrc_SL_SyncConfigListV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_SyncConfigListV2X_r14, SL_SyncConfigListV2X_r14_sequence_of,
                                                  1, maxSL_V2X_SyncConfig_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_AnchorCarrierFreqList_V2X_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_AnchorCarrierFreqList_V2X_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
};

static int
dissect_lte_rrc_SL_AnchorCarrierFreqList_V2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_AnchorCarrierFreqList_V2X_r14, SL_AnchorCarrierFreqList_V2X_r14_sequence_of,
                                                  1, maxFreqV2X_r14, FALSE);

  return offset;
}


static const per_sequence_t SL_V2X_ConfigCommon_r14_sequence[] = {
  { &hf_lte_rrc_v2x_CommRxPool_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommRxPoolListV2X_r14 },
  { &hf_lte_rrc_v2x_CommTxPoolNormalCommon_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolListV2X_r14 },
  { &hf_lte_rrc_p2x_CommTxPoolNormalCommon_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolListV2X_r14 },
  { &hf_lte_rrc_v2x_CommTxPoolExceptional_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommResourcePoolV2X_r14 },
  { &hf_lte_rrc_v2x_SyncConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncConfigListV2X_r14 },
  { &hf_lte_rrc_v2x_InterFreqInfoList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_InterFreqInfoListV2X_r14 },
  { &hf_lte_rrc_v2x_ResourceSelectionConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxPoolSensingConfig_r14 },
  { &hf_lte_rrc_zoneConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_ZoneConfig_r14 },
  { &hf_lte_rrc_typeTxSync_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TypeTxSync_r14 },
  { &hf_lte_rrc_thresSL_TxPrioritization_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_Priority_r13 },
  { &hf_lte_rrc_anchorCarrierFreqList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_AnchorCarrierFreqList_V2X_r14 },
  { &hf_lte_rrc_offsetDFN_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1000 },
  { &hf_lte_rrc_cbr_CommonTxConfigList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CBR_CommonTxConfigList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_V2X_ConfigCommon_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_V2X_ConfigCommon_r14, SL_V2X_ConfigCommon_r14_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType21_r14_sequence[] = {
  { &hf_lte_rrc_sl_V2X_ConfigCommon_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_V2X_ConfigCommon_r14 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType21_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB21");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType21_r14, SystemInformationBlockType21_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_sib_TypeAndInfo_item_vals[] = {
  {   0, "sib2" },
  {   1, "sib3" },
  {   2, "sib4" },
  {   3, "sib5" },
  {   4, "sib6" },
  {   5, "sib7" },
  {   6, "sib8" },
  {   7, "sib9" },
  {   8, "sib10" },
  {   9, "sib11" },
  {  10, "sib12-v920" },
  {  11, "sib13-v920" },
  {  12, "sib14-v1130" },
  {  13, "sib15-v1130" },
  {  14, "sib16-v1130" },
  {  15, "sib17-v1250" },
  {  16, "sib18-v1250" },
  {  17, "sib19-v1250" },
  {  18, "sib20-v1310" },
  {  19, "sib21-v1430" },
  { 0, NULL }
};

static const per_choice_t T_sib_TypeAndInfo_item_choice[] = {
  {   0, &hf_lte_rrc_sib2        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType2 },
  {   1, &hf_lte_rrc_sib3        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType3 },
  {   2, &hf_lte_rrc_sib4        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType4 },
  {   3, &hf_lte_rrc_sib5        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType5 },
  {   4, &hf_lte_rrc_sib6        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType6 },
  {   5, &hf_lte_rrc_sib7        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType7 },
  {   6, &hf_lte_rrc_sib8        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType8 },
  {   7, &hf_lte_rrc_sib9        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType9 },
  {   8, &hf_lte_rrc_sib10       , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType10 },
  {   9, &hf_lte_rrc_sib11       , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType11 },
  {  10, &hf_lte_rrc_sib12_v920  , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType12_r9 },
  {  11, &hf_lte_rrc_sib13_v920  , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType13_r9 },
  {  12, &hf_lte_rrc_sib14_v1130 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType14_r11 },
  {  13, &hf_lte_rrc_sib15_v1130 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType15_r11 },
  {  14, &hf_lte_rrc_sib16_v1130 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType16_r11 },
  {  15, &hf_lte_rrc_sib17_v1250 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType17_r12 },
  {  16, &hf_lte_rrc_sib18_v1250 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType18_r12 },
  {  17, &hf_lte_rrc_sib19_v1250 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType19_r12 },
  {  18, &hf_lte_rrc_sib20_v1310 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType20_r13 },
  {  19, &hf_lte_rrc_sib21_v1430 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType21_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_sib_TypeAndInfo_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_sib_TypeAndInfo_item, T_sib_TypeAndInfo_item_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_sib_TypeAndInfo_sequence_of[1] = {
  { &hf_lte_rrc_sib_TypeAndInfo_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sib_TypeAndInfo_item },
};

static int
dissect_lte_rrc_T_sib_TypeAndInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_sib_TypeAndInfo, T_sib_TypeAndInfo_sequence_of,
                                                  1, maxSIB, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_48_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_48(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_48, T_nonCriticalExtension_48_sequence);

  return offset;
}


static const per_sequence_t SystemInformation_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_138, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_48 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformation_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformation_v8a0_IEs, SystemInformation_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformation_r8_IEs_sequence[] = {
  { &hf_lte_rrc_sib_TypeAndInfo, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sib_TypeAndInfo },
  { &hf_lte_rrc_nonCriticalExtension_137, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformation_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformation_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformation_r8_IEs, SystemInformation_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_42_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_42(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_42, T_criticalExtensionsFuture_42_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_42_vals[] = {
  {   0, "systemInformation-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_42_choice[] = {
  {   0, &hf_lte_rrc_systemInformation_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformation_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_42, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_42 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_42(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_42, T_criticalExtensions_42_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SystemInformation_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_42, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_42 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  if (private_data_get_bcch_dl_sch_msg(actx) == FALSE) {
    col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SystemInformation [");
  }


  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformation, SystemInformation_sequence);

  if (private_data_get_bcch_dl_sch_msg(actx) == FALSE) {
    col_append_str(actx->pinfo->cinfo, COL_INFO, " ]");
  }


  return offset;
}


static const value_string lte_rrc_T_c1_07_vals[] = {
  {   0, "systemInformation" },
  {   1, "systemInformationBlockType1" },
  { 0, NULL }
};

static const per_choice_t T_c1_07_choice[] = {
  {   0, &hf_lte_rrc_systemInformation, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformation },
  {   1, &hf_lte_rrc_systemInformationBlockType1, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformationBlockType1 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_07(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_07, T_c1_07_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension, T_messageClassExtension_sequence);

  return offset;
}


static const value_string lte_rrc_BCCH_DL_SCH_MessageType_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t BCCH_DL_SCH_MessageType_choice[] = {
  {   0, &hf_lte_rrc_c1_07       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_07 },
  {   1, &hf_lte_rrc_messageClassExtension, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_DL_SCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_BCCH_DL_SCH_MessageType, BCCH_DL_SCH_MessageType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t BCCH_DL_SCH_Message_sequence[] = {
  { &hf_lte_rrc_message_02  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_DL_SCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_DL_SCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_DL_SCH_Message, BCCH_DL_SCH_Message_sequence);

  return offset;
}



static int
dissect_lte_rrc_SystemInformation_BR_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  private_data_set_bcch_dl_sch_msg(actx, TRUE);
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SystemInformation-BR-r13 [");


  offset = dissect_lte_rrc_SystemInformation(tvb, offset, actx, tree, hf_index);

  col_append_str(actx->pinfo->cinfo, COL_INFO, " ]");


  return offset;
}



static int
dissect_lte_rrc_SystemInformationBlockType1_BR_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  private_data_set_bcch_dl_sch_msg(actx, TRUE);
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SystemInformationBlockType1-BR-r13");

  offset = dissect_lte_rrc_SystemInformationBlockType1(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string lte_rrc_T_c1_08_vals[] = {
  {   0, "systemInformation-BR-r13" },
  {   1, "systemInformationBlockType1-BR-r13" },
  { 0, NULL }
};

static const per_choice_t T_c1_08_choice[] = {
  {   0, &hf_lte_rrc_systemInformation_BR_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformation_BR_r13 },
  {   1, &hf_lte_rrc_systemInformationBlockType1_BR_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformationBlockType1_BR_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_08(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_08, T_c1_08_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_01_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_01, T_messageClassExtension_01_sequence);

  return offset;
}


static const value_string lte_rrc_BCCH_DL_SCH_MessageType_BR_r13_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t BCCH_DL_SCH_MessageType_BR_r13_choice[] = {
  {   0, &hf_lte_rrc_c1_08       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_08 },
  {   1, &hf_lte_rrc_messageClassExtension_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_DL_SCH_MessageType_BR_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_BCCH_DL_SCH_MessageType_BR_r13, BCCH_DL_SCH_MessageType_BR_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t BCCH_DL_SCH_Message_BR_sequence[] = {
  { &hf_lte_rrc_message_03  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_DL_SCH_MessageType_BR_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_DL_SCH_Message_BR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_DL_SCH_Message_BR, BCCH_DL_SCH_Message_BR_sequence);

  return offset;
}



static int
dissect_lte_rrc_SystemInformation_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  private_data_set_bcch_dl_sch_msg(actx, TRUE);
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SystemInformation-MBMS-r14 [");


  offset = dissect_lte_rrc_SystemInformation(tvb, offset, actx, tree, hf_index);

  col_append_str(actx->pinfo->cinfo, COL_INFO, " ]");


  return offset;
}


static const per_sequence_t PLMN_IdentityList_MBMS_r14_sequence_of[1] = {
  { &hf_lte_rrc_PLMN_IdentityList_MBMS_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
};

static int
dissect_lte_rrc_PLMN_IdentityList_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PLMN_IdentityList_MBMS_r14, PLMN_IdentityList_MBMS_r14_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const per_sequence_t T_cellAccessRelatedInfo_r14_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityList_r14_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_IdentityList_MBMS_r14 },
  { &hf_lte_rrc_trackingAreaCode_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrackingAreaCode },
  { &hf_lte_rrc_cellIdentity_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellIdentity },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellAccessRelatedInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellAccessRelatedInfo_r14, T_cellAccessRelatedInfo_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_si_Periodicity_r14_vals[] = {
  {   0, "rf16" },
  {   1, "rf32" },
  {   2, "rf64" },
  {   3, "rf128" },
  {   4, "rf256" },
  {   5, "rf512" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_Periodicity_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_SIB_Type_MBMS_r14_vals[] = {
  {   0, "sibType10" },
  {   1, "sibType11" },
  {   2, "sibType12-v920" },
  {   3, "sibType13-v920" },
  {   4, "sibType15-v1130" },
  {   5, "sibType16-v1130" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SIB_Type_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t SIB_MappingInfo_MBMS_r14_sequence_of[1] = {
  { &hf_lte_rrc_SIB_MappingInfo_MBMS_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SIB_Type_MBMS_r14 },
};

static int
dissect_lte_rrc_SIB_MappingInfo_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SIB_MappingInfo_MBMS_r14, SIB_MappingInfo_MBMS_r14_sequence_of,
                                                  0, maxSIB_1, FALSE);

  return offset;
}


static const per_sequence_t SchedulingInfo_MBMS_r14_sequence[] = {
  { &hf_lte_rrc_si_Periodicity_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_Periodicity_r14 },
  { &hf_lte_rrc_sib_MappingInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SIB_MappingInfo_MBMS_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SchedulingInfo_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SchedulingInfo_MBMS_r14, SchedulingInfo_MBMS_r14_sequence);

  return offset;
}


static const per_sequence_t SchedulingInfoList_MBMS_r14_sequence_of[1] = {
  { &hf_lte_rrc_SchedulingInfoList_MBMS_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SchedulingInfo_MBMS_r14 },
};

static int
dissect_lte_rrc_SchedulingInfoList_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SchedulingInfoList_MBMS_r14, SchedulingInfoList_MBMS_r14_sequence_of,
                                                  1, maxSI_Message, FALSE);

  return offset;
}


static const value_string lte_rrc_T_si_WindowLength_r14_vals[] = {
  {   0, "ms1" },
  {   1, "ms2" },
  {   2, "ms5" },
  {   3, "ms10" },
  {   4, "ms15" },
  {   5, "ms20" },
  {   6, "ms40" },
  {   7, "ms80" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_WindowLength_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_radioFrameAllocationPeriod_r14_vals[] = {
  {   0, "rf4" },
  {   1, "rf8" },
  {   2, "rf16" },
  {   3, "rf32" },
  {   4, "rf64" },
  {   5, "rf128" },
  {   6, "rf512" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_radioFrameAllocationPeriod_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     9, 9, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t NonMBSFN_SubframeConfig_r14_sequence[] = {
  { &hf_lte_rrc_radioFrameAllocationPeriod_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_radioFrameAllocationPeriod_r14 },
  { &hf_lte_rrc_radioFrameAllocationOffset_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7 },
  { &hf_lte_rrc_subframeAllocation_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NonMBSFN_SubframeConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NonMBSFN_SubframeConfig_r14, NonMBSFN_SubframeConfig_r14_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_51_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_51(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_51, T_nonCriticalExtension_51_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_MBMS_r14_sequence[] = {
  { &hf_lte_rrc_cellAccessRelatedInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellAccessRelatedInfo_r14 },
  { &hf_lte_rrc_freqBandIndicator_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
  { &hf_lte_rrc_multiBandInfoList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_r11 },
  { &hf_lte_rrc_schedulingInfoList_MBMS_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SchedulingInfoList_MBMS_r14 },
  { &hf_lte_rrc_si_WindowLength_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_WindowLength_r14 },
  { &hf_lte_rrc_systemInfoValueTag_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_nonMBSFN_SubframeConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NonMBSFN_SubframeConfig_r14 },
  { &hf_lte_rrc_pdsch_ConfigCommon_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDSCH_ConfigCommon },
  { &hf_lte_rrc_systemInformationBlockType13_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType13_r9 },
  { &hf_lte_rrc_cellAccessRelatedInfoList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14 },
  { &hf_lte_rrc_nonCriticalExtension_154, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_51 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SystemInformationBlockType1-MBMS-r14");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_MBMS_r14, SystemInformationBlockType1_MBMS_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_09_vals[] = {
  {   0, "systemInformation-MBMS-r14" },
  {   1, "systemInformationBlockType1-MBMS-r14" },
  { 0, NULL }
};

static const per_choice_t T_c1_09_choice[] = {
  {   0, &hf_lte_rrc_systemInformation_MBMS_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformation_MBMS_r14 },
  {   1, &hf_lte_rrc_systemInformationBlockType1_MBMS_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformationBlockType1_MBMS_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_09(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_09, T_c1_09_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_02_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_02, T_messageClassExtension_02_sequence);

  return offset;
}


static const value_string lte_rrc_BCCH_DL_SCH_MessageType_MBMS_r14_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t BCCH_DL_SCH_MessageType_MBMS_r14_choice[] = {
  {   0, &hf_lte_rrc_c1_09       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_09 },
  {   1, &hf_lte_rrc_messageClassExtension_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_02 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_DL_SCH_MessageType_MBMS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_BCCH_DL_SCH_MessageType_MBMS_r14, BCCH_DL_SCH_MessageType_MBMS_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t BCCH_DL_SCH_Message_MBMS_sequence[] = {
  { &hf_lte_rrc_message_04  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_DL_SCH_MessageType_MBMS_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_DL_SCH_Message_MBMS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_DL_SCH_Message_MBMS, BCCH_DL_SCH_Message_MBMS_sequence);

  return offset;
}


static const per_sequence_t CommonSF_AllocPatternList_r9_sequence_of[1] = {
  { &hf_lte_rrc_CommonSF_AllocPatternList_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfig },
};

static int
dissect_lte_rrc_CommonSF_AllocPatternList_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CommonSF_AllocPatternList_r9, CommonSF_AllocPatternList_r9_sequence_of,
                                                  1, maxMBSFN_Allocations, FALSE);

  return offset;
}


static const value_string lte_rrc_T_commonSF_AllocPeriod_r9_vals[] = {
  {   0, "rf4" },
  {   1, "rf8" },
  {   2, "rf16" },
  {   3, "rf32" },
  {   4, "rf64" },
  {   5, "rf128" },
  {   6, "rf256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_commonSF_AllocPeriod_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_1535(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1535U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_mch_SchedulingPeriod_r9_vals[] = {
  {   0, "rf8" },
  {   1, "rf16" },
  {   2, "rf32" },
  {   3, "rf64" },
  {   4, "rf128" },
  {   5, "rf256" },
  {   6, "rf512" },
  {   7, "rf1024" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mch_SchedulingPeriod_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PMCH_Config_r9_sequence[] = {
  { &hf_lte_rrc_sf_AllocEnd_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1535 },
  { &hf_lte_rrc_dataMCS_r9  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_28 },
  { &hf_lte_rrc_mch_SchedulingPeriod_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mch_SchedulingPeriod_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PMCH_Config_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PMCH_Config_r9, PMCH_Config_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_plmn_Id_r9_vals[] = {
  {   0, "plmn-Index-r9" },
  {   1, "explicitValue-r9" },
  { 0, NULL }
};

static const per_choice_t T_plmn_Id_r9_choice[] = {
  {   0, &hf_lte_rrc_plmn_Index_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  {   1, &hf_lte_rrc_explicitValue_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PLMN_Identity },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_plmn_Id_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_plmn_Id_r9, T_plmn_Id_r9_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_OCTET_STRING_SIZE_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       3, 3, FALSE, NULL);

  return offset;
}


static const per_sequence_t TMGI_r9_sequence[] = {
  { &hf_lte_rrc_plmn_Id_r9  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_plmn_Id_r9 },
  { &hf_lte_rrc_serviceId_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OCTET_STRING_SIZE_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TMGI_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TMGI_r9, TMGI_r9_sequence);

  return offset;
}



static int
dissect_lte_rrc_OCTET_STRING_SIZE_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       1, 1, FALSE, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_maxSessionPerPMCH_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxSessionPerPMCH_1, NULL, FALSE);

  return offset;
}


static const per_sequence_t MBMS_SessionInfo_r9_sequence[] = {
  { &hf_lte_rrc_tmgi_r9     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TMGI_r9 },
  { &hf_lte_rrc_sessionId_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING_SIZE_1 },
  { &hf_lte_rrc_logicalChannelIdentity_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_maxSessionPerPMCH_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_SessionInfo_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_SessionInfo_r9, MBMS_SessionInfo_r9_sequence);

  return offset;
}


static const per_sequence_t MBMS_SessionInfoList_r9_sequence_of[1] = {
  { &hf_lte_rrc_MBMS_SessionInfoList_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SessionInfo_r9 },
};

static int
dissect_lte_rrc_MBMS_SessionInfoList_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBMS_SessionInfoList_r9, MBMS_SessionInfoList_r9_sequence_of,
                                                  0, maxSessionPerPMCH, FALSE);

  return offset;
}


static const per_sequence_t PMCH_Info_r9_sequence[] = {
  { &hf_lte_rrc_pmch_Config_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PMCH_Config_r9 },
  { &hf_lte_rrc_mbms_SessionInfoList_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SessionInfoList_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PMCH_Info_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PMCH_Info_r9, PMCH_Info_r9_sequence);

  return offset;
}


static const per_sequence_t PMCH_InfoList_r9_sequence_of[1] = {
  { &hf_lte_rrc_PMCH_InfoList_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PMCH_Info_r9 },
};

static int
dissect_lte_rrc_PMCH_InfoList_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PMCH_InfoList_r9, PMCH_InfoList_r9_sequence_of,
                                                  0, maxPMCH_PerMBSFN, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_27(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 27U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_dataMCS_r12_vals[] = {
  {   0, "normal-r12" },
  {   1, "higerOrder-r12" },
  { 0, NULL }
};

static const per_choice_t T_dataMCS_r12_choice[] = {
  {   0, &hf_lte_rrc_normal_r12  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_28 },
  {   1, &hf_lte_rrc_higerOrder_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_27 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dataMCS_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dataMCS_r12, T_dataMCS_r12_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_mch_SchedulingPeriod_r12_vals[] = {
  {   0, "rf4" },
  {   1, "rf8" },
  {   2, "rf16" },
  {   3, "rf32" },
  {   4, "rf64" },
  {   5, "rf128" },
  {   6, "rf256" },
  {   7, "rf512" },
  {   8, "rf1024" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mch_SchedulingPeriod_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     9, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mch_SchedulingPeriod_v1430_vals[] = {
  {   0, "rf1" },
  {   1, "rf2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mch_SchedulingPeriod_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PMCH_Config_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_mch_SchedulingPeriod_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mch_SchedulingPeriod_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PMCH_Config_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PMCH_Config_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t PMCH_Config_r12_sequence[] = {
  { &hf_lte_rrc_sf_AllocEnd_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_1535 },
  { &hf_lte_rrc_dataMCS_r12 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dataMCS_r12 },
  { &hf_lte_rrc_mch_SchedulingPeriod_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mch_SchedulingPeriod_r12 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PMCH_Config_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PMCH_Config_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PMCH_Config_r12, PMCH_Config_r12_sequence);

  return offset;
}


static const per_sequence_t PMCH_InfoExt_r12_sequence[] = {
  { &hf_lte_rrc_pmch_Config_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PMCH_Config_r12 },
  { &hf_lte_rrc_mbms_SessionInfoList_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SessionInfoList_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PMCH_InfoExt_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PMCH_InfoExt_r12, PMCH_InfoExt_r12_sequence);

  return offset;
}


static const per_sequence_t PMCH_InfoListExt_r12_sequence_of[1] = {
  { &hf_lte_rrc_PMCH_InfoListExt_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PMCH_InfoExt_r12 },
};

static int
dissect_lte_rrc_PMCH_InfoListExt_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PMCH_InfoListExt_r12, PMCH_InfoListExt_r12_sequence_of,
                                                  0, maxPMCH_PerMBSFN, FALSE);

  return offset;
}


static const per_sequence_t CommonSF_AllocPatternList_r14_sequence_of[1] = {
  { &hf_lte_rrc_CommonSF_AllocPatternList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_SubframeConfig_v1430 },
};

static int
dissect_lte_rrc_CommonSF_AllocPatternList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CommonSF_AllocPatternList_r14, CommonSF_AllocPatternList_r14_sequence_of,
                                                  1, maxMBSFN_Allocations, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_20_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_20, T_nonCriticalExtension_20_sequence);

  return offset;
}


static const per_sequence_t MBSFNAreaConfiguration_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_commonSF_Alloc_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CommonSF_AllocPatternList_r14 },
  { &hf_lte_rrc_nonCriticalExtension_50, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_20 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBSFNAreaConfiguration_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBSFNAreaConfiguration_v1430_IEs, MBSFNAreaConfiguration_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t MBSFNAreaConfiguration_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_pmch_InfoListExt_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PMCH_InfoListExt_r12 },
  { &hf_lte_rrc_nonCriticalExtension_49, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFNAreaConfiguration_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBSFNAreaConfiguration_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBSFNAreaConfiguration_v1250_IEs, MBSFNAreaConfiguration_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t MBSFNAreaConfiguration_v930_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_48, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFNAreaConfiguration_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBSFNAreaConfiguration_v930_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBSFNAreaConfiguration_v930_IEs, MBSFNAreaConfiguration_v930_IEs_sequence);

  return offset;
}


static const per_sequence_t MBSFNAreaConfiguration_r9_sequence[] = {
  { &hf_lte_rrc_commonSF_Alloc_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CommonSF_AllocPatternList_r9 },
  { &hf_lte_rrc_commonSF_AllocPeriod_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_commonSF_AllocPeriod_r9 },
  { &hf_lte_rrc_pmch_InfoList_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PMCH_InfoList_r9 },
  { &hf_lte_rrc_nonCriticalExtension_47, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFNAreaConfiguration_v930_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBSFNAreaConfiguration_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MBSFNAreaConfiguration-r9");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBSFNAreaConfiguration_r9, MBSFNAreaConfiguration_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_10_vals[] = {
  {   0, "mbsfnAreaConfiguration-r9" },
  { 0, NULL }
};

static const per_choice_t T_c1_10_choice[] = {
  {   0, &hf_lte_rrc_mbsfnAreaConfiguration_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MBSFNAreaConfiguration_r9 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_10, T_c1_10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CountingRequestInfo_r10_sequence[] = {
  { &hf_lte_rrc_tmgi_r10    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TMGI_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CountingRequestInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CountingRequestInfo_r10, CountingRequestInfo_r10_sequence);

  return offset;
}


static const per_sequence_t CountingRequestList_r10_sequence_of[1] = {
  { &hf_lte_rrc_CountingRequestList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CountingRequestInfo_r10 },
};

static int
dissect_lte_rrc_CountingRequestList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CountingRequestList_r10, CountingRequestList_r10_sequence_of,
                                                  1, maxServiceCount, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_17_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_17(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_17, T_nonCriticalExtension_17_sequence);

  return offset;
}


static const per_sequence_t MBMSCountingRequest_r10_sequence[] = {
  { &hf_lte_rrc_countingRequestList_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CountingRequestList_r10 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_43, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_17 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMSCountingRequest_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MBMSCountingRequest-r10");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMSCountingRequest_r10, MBMSCountingRequest_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_c2_vals[] = {
  {   0, "mbmsCountingRequest-r10" },
  { 0, NULL }
};

static const per_choice_t T_c2_choice[] = {
  {   0, &hf_lte_rrc_mbmsCountingRequest_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MBMSCountingRequest_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c2, T_c2_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_03_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_03, T_messageClassExtension_03_sequence);

  return offset;
}


static const value_string lte_rrc_T_later_vals[] = {
  {   0, "c2" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t T_later_choice[] = {
  {   0, &hf_lte_rrc_c2          , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c2 },
  {   1, &hf_lte_rrc_messageClassExtension_03, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_03 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_later(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_later, T_later_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_MCCH_MessageType_vals[] = {
  {   0, "c1" },
  {   1, "later" },
  { 0, NULL }
};

static const per_choice_t MCCH_MessageType_choice[] = {
  {   0, &hf_lte_rrc_c1_10       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_10 },
  {   1, &hf_lte_rrc_later       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_later },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_MCCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_MCCH_MessageType, MCCH_MessageType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MCCH_Message_sequence[] = {
  { &hf_lte_rrc_message_05  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MCCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MCCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MCCH_Message, MCCH_Message_sequence);

  return offset;
}



static int
dissect_lte_rrc_MMEC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     8, 8, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t S_TMSI_sequence[] = {
  { &hf_lte_rrc_mmec        , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MMEC },
  { &hf_lte_rrc_m_TMSI      , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_32 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_S_TMSI(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_S_TMSI, S_TMSI_sequence);

  return offset;
}



static int
dissect_lte_rrc_IMSI_Digit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 9U, NULL, FALSE);

  return offset;
}


static const per_sequence_t IMSI_sequence_of[1] = {
  { &hf_lte_rrc_IMSI_item   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IMSI_Digit },
};

static int
dissect_lte_rrc_IMSI(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_IMSI, IMSI_sequence_of,
                                                  6, 21, FALSE);

  return offset;
}


static const value_string lte_rrc_PagingUE_Identity_vals[] = {
  {   0, "s-TMSI" },
  {   1, "imsi" },
  { 0, NULL }
};

static const per_choice_t PagingUE_Identity_choice[] = {
  {   0, &hf_lte_rrc_s_TMSI      , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_S_TMSI },
  {   1, &hf_lte_rrc_imsi        , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_IMSI },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_PagingUE_Identity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_PagingUE_Identity, PagingUE_Identity_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_cn_Domain_vals[] = {
  {   0, "ps" },
  {   1, "cs" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cn_Domain(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PagingRecord_sequence[] = {
  { &hf_lte_rrc_ue_Identity , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PagingUE_Identity },
  { &hf_lte_rrc_cn_Domain   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cn_Domain },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PagingRecord(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PagingRecord, PagingRecord_sequence);

  return offset;
}


static const per_sequence_t PagingRecordList_sequence_of[1] = {
  { &hf_lte_rrc_PagingRecordList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PagingRecord },
};

static int
dissect_lte_rrc_PagingRecordList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PagingRecordList, PagingRecordList_sequence_of,
                                                  1, maxPageRec, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_pagingRecordList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  /* Number of items is (last 3 bits of first byte and first bit of second) + 1 */
  guint16 number_of_records = ((tvb_get_ntohs(tvb, 0) >> 7) & 0x0f) + 1;
  offset = dissect_lte_rrc_PagingRecordList(tvb, offset, actx, tree, hf_index);

  col_append_fstr(actx->pinfo->cinfo, COL_INFO, " (%u PagingRecords)", number_of_records);


  return offset;
}


static const value_string lte_rrc_T_systemInfoModification_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_systemInfoModification(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  col_append_str(actx->pinfo->cinfo, COL_INFO, " (systemInfoModification)");
  expert_add_info(actx->pinfo, actx->created_item, &ei_lte_rrc_sibs_changing);


  return offset;
}


static const value_string lte_rrc_T_etws_Indication_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_etws_Indication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  col_append_str(actx->pinfo->cinfo, COL_INFO, " (ETWS)");
  expert_add_info(actx->pinfo, actx->created_item, &ei_lte_rrc_earthquake_warning_sys);


  return offset;
}


static const value_string lte_rrc_T_cmas_Indication_r9_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cmas_Indication_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  col_append_str(actx->pinfo->cinfo, COL_INFO, " (CMAS)");
  expert_add_info(actx->pinfo, actx->created_item, &ei_lte_rrc_commercial_mobile_alert_sys);


  return offset;
}


static const value_string lte_rrc_T_eab_ParamModification_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eab_ParamModification_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_redistributionIndication_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_redistributionIndication_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_systemInfoModification_eDRX_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_systemInfoModification_eDRX_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  col_append_str(actx->pinfo->cinfo, COL_INFO, " (systemInfoModification-eDRX-r13)");
  expert_add_info(actx->pinfo, actx->created_item, &ei_lte_rrc_sibs_changing_edrx);


  return offset;
}


static const per_sequence_t T_nonCriticalExtension_24_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_24(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_24, T_nonCriticalExtension_24_sequence);

  return offset;
}


static const per_sequence_t Paging_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_redistributionIndication_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_redistributionIndication_r13 },
  { &hf_lte_rrc_systemInfoModification_eDRX_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_systemInfoModification_eDRX_r13 },
  { &hf_lte_rrc_nonCriticalExtension_63, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_24 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Paging_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Paging_v1310_IEs, Paging_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t Paging_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_eab_ParamModification_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_eab_ParamModification_r11 },
  { &hf_lte_rrc_nonCriticalExtension_62, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Paging_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Paging_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Paging_v1130_IEs, Paging_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t Paging_v920_IEs_sequence[] = {
  { &hf_lte_rrc_cmas_Indication_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cmas_Indication_r9 },
  { &hf_lte_rrc_nonCriticalExtension_61, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Paging_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Paging_v920_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Paging_v920_IEs, Paging_v920_IEs_sequence);

  return offset;
}


static const per_sequence_t Paging_v890_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_60, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Paging_v920_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Paging_v890_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Paging_v890_IEs, Paging_v890_IEs_sequence);

  return offset;
}


static const per_sequence_t Paging_sequence[] = {
  { &hf_lte_rrc_pagingRecordList, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pagingRecordList },
  { &hf_lte_rrc_systemInfoModification, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_systemInfoModification },
  { &hf_lte_rrc_etws_Indication, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_etws_Indication },
  { &hf_lte_rrc_nonCriticalExtension_59, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Paging_v890_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Paging(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "Paging");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Paging, Paging_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_11_vals[] = {
  {   0, "paging" },
  { 0, NULL }
};

static const per_choice_t T_c1_11_choice[] = {
  {   0, &hf_lte_rrc_paging      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Paging },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_11, T_c1_11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_04_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_04, T_messageClassExtension_04_sequence);

  return offset;
}


static const value_string lte_rrc_PCCH_MessageType_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t PCCH_MessageType_choice[] = {
  {   0, &hf_lte_rrc_c1_11       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_11 },
  {   1, &hf_lte_rrc_messageClassExtension_04, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_04 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_PCCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_PCCH_MessageType, PCCH_MessageType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PCCH_Message_sequence[] = {
  { &hf_lte_rrc_message_06  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PCCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PCCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PCCH_Message, PCCH_Message_sequence);

  return offset;
}



static int
dissect_lte_rrc_RRC_TransactionIdentifier(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 3U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_NextHopChainingCount(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_30_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_30(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_30, T_nonCriticalExtension_30_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishment_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_89, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_30 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishment_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishment_v8a0_IEs, RRCConnectionReestablishment_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishment_r8_IEs_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicated, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated },
  { &hf_lte_rrc_nextHopChainingCount, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NextHopChainingCount },
  { &hf_lte_rrc_nonCriticalExtension_88, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReestablishment_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishment_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishment_r8_IEs, RRCConnectionReestablishment_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_31_vals[] = {
  {   0, "rrcConnectionReestablishment-r8" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_31_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishment_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishment_r8_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_31, T_c1_31_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_25_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_25(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_25, T_criticalExtensionsFuture_25_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_25_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_25_choice[] = {
  {   0, &hf_lte_rrc_c1_31       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_31 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_25, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_25 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_25(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_25, T_criticalExtensions_25_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishment_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_25, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_25 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishment(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReestablishment");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishment, RRCConnectionReestablishment_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_32_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_32, T_nonCriticalExtension_32_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentReject_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_97, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_32 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentReject_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentReject_v8a0_IEs, RRCConnectionReestablishmentReject_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentReject_r8_IEs_sequence[] = {
  { &hf_lte_rrc_nonCriticalExtension_96, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReestablishmentReject_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentReject_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentReject_r8_IEs, RRCConnectionReestablishmentReject_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_27_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_27(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_27, T_criticalExtensionsFuture_27_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_27_vals[] = {
  {   0, "rrcConnectionReestablishmentReject-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_27_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishmentReject_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentReject_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_27, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_27 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_27(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_27, T_criticalExtensions_27_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentReject_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_27, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_27 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentReject(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReestablishmentReject");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentReject, RRCConnectionReestablishmentReject_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_1800(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 1800U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_deprioritisationType_r11_vals[] = {
  {   0, "frequency" },
  {   1, "e-utra" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deprioritisationType_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_deprioritisationTimer_r11_vals[] = {
  {   0, "min5" },
  {   1, "min10" },
  {   2, "min15" },
  {   3, "min30" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deprioritisationTimer_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_deprioritisationReq_r11_sequence[] = {
  { &hf_lte_rrc_deprioritisationType_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deprioritisationType_r11 },
  { &hf_lte_rrc_deprioritisationTimer_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_deprioritisationTimer_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_deprioritisationReq_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_deprioritisationReq_r11, T_deprioritisationReq_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_rrc_SuspendIndication_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rrc_SuspendIndication_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_33_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_33(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_33, T_nonCriticalExtension_33_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReject_v1320_IEs_sequence[] = {
  { &hf_lte_rrc_rrc_SuspendIndication_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rrc_SuspendIndication_r13 },
  { &hf_lte_rrc_nonCriticalExtension_102, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_33 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReject_v1320_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReject_v1320_IEs, RRCConnectionReject_v1320_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReject_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_deprioritisationReq_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_deprioritisationReq_r11 },
  { &hf_lte_rrc_nonCriticalExtension_101, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReject_v1320_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReject_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReject_v1130_IEs, RRCConnectionReject_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReject_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_extendedWaitTime_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_1800 },
  { &hf_lte_rrc_nonCriticalExtension_100, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReject_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReject_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReject_v1020_IEs, RRCConnectionReject_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReject_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_99, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReject_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReject_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReject_v8a0_IEs, RRCConnectionReject_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReject_r8_IEs_sequence[] = {
  { &hf_lte_rrc_waitTime    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_16 },
  { &hf_lte_rrc_nonCriticalExtension_98, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReject_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReject_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReject_r8_IEs, RRCConnectionReject_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_32_vals[] = {
  {   0, "rrcConnectionReject-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_32_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReject_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReject_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_32, T_c1_32_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_29_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_29(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_29, T_criticalExtensionsFuture_29_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_29_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_29_choice[] = {
  {   0, &hf_lte_rrc_c1_32       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_32 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_29, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_29 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_29(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_29, T_criticalExtensions_29_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReject_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_29, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_29 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReject(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReject");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReject, RRCConnectionReject_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_38_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_38(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_38, T_nonCriticalExtension_38_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetup_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_112, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_38 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetup_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetup_v8a0_IEs, RRCConnectionSetup_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetup_r8_IEs_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicated, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated },
  { &hf_lte_rrc_nonCriticalExtension_111, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetup_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetup_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetup_r8_IEs, RRCConnectionSetup_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_35_vals[] = {
  {   0, "rrcConnectionSetup-r8" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_35_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionSetup_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionSetup_r8_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_35(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_35, T_c1_35_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_35_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_35(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_35, T_criticalExtensionsFuture_35_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_35_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_35_choice[] = {
  {   0, &hf_lte_rrc_c1_35       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_35 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_35, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_35 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_35(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_35, T_criticalExtensions_35_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionSetup_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_35, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_35 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetup(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  mac_lte_info* p_mac_lte_info;

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionSetup");

  /* Look for UE identifier */
  p_mac_lte_info = (mac_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_mac_lte, 0);
  if (p_mac_lte_info != NULL) {
    /* If found, tell MAC to release DRX config coming from a previous RRC connection */
    /* We do release the configuration here instead of RRC Connection Release message */
    /* as the UE could have locally dropped the previous RRC Connection */
    set_mac_lte_drx_config_release(p_mac_lte_info->ueid, actx->pinfo);
    /* Also tell MAC to release extended BSR sizes configuration */
    set_mac_lte_extended_bsr_sizes(p_mac_lte_info->ueid, FALSE, actx->pinfo);
    /* Also tell MAC to release simutaneous PUCCH/PUSCH configuration */
    set_mac_lte_simult_pucch_pusch(p_mac_lte_info->ueid, SIMULT_PUCCH_PUSCH_PCELL, FALSE, actx->pinfo);
    set_mac_lte_simult_pucch_pusch(p_mac_lte_info->ueid, SIMULT_PUCCH_PUSCH_PSCELL, FALSE, actx->pinfo);
    /* TODO: also release PDCP security config here */
  }
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetup, RRCConnectionSetup_sequence);




  return offset;
}


static const value_string lte_rrc_T_c1_12_vals[] = {
  {   0, "rrcConnectionReestablishment" },
  {   1, "rrcConnectionReestablishmentReject" },
  {   2, "rrcConnectionReject" },
  {   3, "rrcConnectionSetup" },
  { 0, NULL }
};

static const per_choice_t T_c1_12_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishment, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishment },
  {   1, &hf_lte_rrc_rrcConnectionReestablishmentReject, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentReject },
  {   2, &hf_lte_rrc_rrcConnectionReject, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReject },
  {   3, &hf_lte_rrc_rrcConnectionSetup, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionSetup },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_12, T_c1_12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_05_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_05, T_messageClassExtension_05_sequence);

  return offset;
}


static const value_string lte_rrc_DL_CCCH_MessageType_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t DL_CCCH_MessageType_choice[] = {
  {   0, &hf_lte_rrc_c1_12       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_12 },
  {   1, &hf_lte_rrc_messageClassExtension_05, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_05 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DL_CCCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DL_CCCH_MessageType, DL_CCCH_MessageType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DL_CCCH_Message_sequence[] = {
  { &hf_lte_rrc_message_07  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_CCCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_CCCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_CCCH_Message, DL_CCCH_Message_sequence);

  return offset;
}



static int
dissect_lte_rrc_RAND_CDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_MobilityParametersCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_11_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_11, T_nonCriticalExtension_11_sequence);

  return offset;
}


static const per_sequence_t CSFBParametersResponseCDMA2000_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_27, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSFBParametersResponseCDMA2000_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSFBParametersResponseCDMA2000_v8a0_IEs, CSFBParametersResponseCDMA2000_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t CSFBParametersResponseCDMA2000_r8_IEs_sequence[] = {
  { &hf_lte_rrc_rand        , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RAND_CDMA2000 },
  { &hf_lte_rrc_mobilityParameters, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MobilityParametersCDMA2000 },
  { &hf_lte_rrc_nonCriticalExtension_26, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSFBParametersResponseCDMA2000_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSFBParametersResponseCDMA2000_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSFBParametersResponseCDMA2000_r8_IEs, CSFBParametersResponseCDMA2000_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_10_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_10, T_criticalExtensionsFuture_10_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_10_vals[] = {
  {   0, "csfbParametersResponseCDMA2000-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_10_choice[] = {
  {   0, &hf_lte_rrc_csfbParametersResponseCDMA2000_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSFBParametersResponseCDMA2000_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_10, T_criticalExtensions_10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSFBParametersResponseCDMA2000_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSFBParametersResponseCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "CSFBParametersResponseCDMA2000");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSFBParametersResponseCDMA2000, CSFBParametersResponseCDMA2000_sequence);

  return offset;
}



static int
dissect_lte_rrc_DedicatedInfoNAS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *nas_eps_tvb=NULL;
  proto_tree *subtree;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &nas_eps_tvb);

  if ((nas_eps_tvb)&&(nas_eps_handle)) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_dedicatedInfoNAS);
    lte_rrc_call_dissector(nas_eps_handle, nas_eps_tvb, actx->pinfo, subtree);
  }


  return offset;
}



static int
dissect_lte_rrc_DedicatedInfoCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, NULL);

  return offset;
}


static const value_string lte_rrc_T_dedicatedInfoType_vals[] = {
  {   0, "dedicatedInfoNAS" },
  {   1, "dedicatedInfoCDMA2000-1XRTT" },
  {   2, "dedicatedInfoCDMA2000-HRPD" },
  { 0, NULL }
};

static const per_choice_t T_dedicatedInfoType_choice[] = {
  {   0, &hf_lte_rrc_dedicatedInfoNAS, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DedicatedInfoNAS },
  {   1, &hf_lte_rrc_dedicatedInfoCDMA2000_1XRTT, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DedicatedInfoCDMA2000 },
  {   2, &hf_lte_rrc_dedicatedInfoCDMA2000_HRPD, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DedicatedInfoCDMA2000 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dedicatedInfoType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dedicatedInfoType, T_dedicatedInfoType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_12_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_12, T_nonCriticalExtension_12_sequence);

  return offset;
}


static const per_sequence_t DLInformationTransfer_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_29, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DLInformationTransfer_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DLInformationTransfer_v8a0_IEs, DLInformationTransfer_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t DLInformationTransfer_r8_IEs_sequence[] = {
  { &hf_lte_rrc_dedicatedInfoType, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dedicatedInfoType },
  { &hf_lte_rrc_nonCriticalExtension_28, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DLInformationTransfer_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DLInformationTransfer_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DLInformationTransfer_r8_IEs, DLInformationTransfer_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_18_vals[] = {
  {   0, "dlInformationTransfer-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_18_choice[] = {
  {   0, &hf_lte_rrc_dlInformationTransfer_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DLInformationTransfer_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_18(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_18, T_c1_18_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_11_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_11, T_criticalExtensionsFuture_11_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_11_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_11_choice[] = {
  {   0, &hf_lte_rrc_c1_18       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_18 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_11, T_criticalExtensions_11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DLInformationTransfer_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DLInformationTransfer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "DLInformationTransfer");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DLInformationTransfer, DLInformationTransfer_sequence);

  return offset;
}


static const value_string lte_rrc_T_dualRxTxRedirectIndicator_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dualRxTxRedirectIndicator_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_13_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_13, T_nonCriticalExtension_13_sequence);

  return offset;
}


static const per_sequence_t HandoverFromEUTRAPreparationRequest_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_dualRxTxRedirectIndicator_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dualRxTxRedirectIndicator_r10 },
  { &hf_lte_rrc_redirectCarrierCDMA2000_1XRTT_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqCDMA2000 },
  { &hf_lte_rrc_nonCriticalExtension_33, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverFromEUTRAPreparationRequest_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v1020_IEs, HandoverFromEUTRAPreparationRequest_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverFromEUTRAPreparationRequest_v920_IEs_sequence[] = {
  { &hf_lte_rrc_concurrPrepCDMA2000_HRPD_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_nonCriticalExtension_32, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverFromEUTRAPreparationRequest_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverFromEUTRAPreparationRequest_v920_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v920_IEs, HandoverFromEUTRAPreparationRequest_v920_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverFromEUTRAPreparationRequest_v890_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_31, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverFromEUTRAPreparationRequest_v920_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverFromEUTRAPreparationRequest_v890_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v890_IEs, HandoverFromEUTRAPreparationRequest_v890_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverFromEUTRAPreparationRequest_r8_IEs_sequence[] = {
  { &hf_lte_rrc_cdma2000_Type, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CDMA2000_Type },
  { &hf_lte_rrc_rand        , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RAND_CDMA2000 },
  { &hf_lte_rrc_mobilityParameters, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityParametersCDMA2000 },
  { &hf_lte_rrc_nonCriticalExtension_30, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverFromEUTRAPreparationRequest_v890_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverFromEUTRAPreparationRequest_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverFromEUTRAPreparationRequest_r8_IEs, HandoverFromEUTRAPreparationRequest_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_19_vals[] = {
  {   0, "handoverFromEUTRAPreparationRequest-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_19_choice[] = {
  {   0, &hf_lte_rrc_handoverFromEUTRAPreparationRequest_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_HandoverFromEUTRAPreparationRequest_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_19(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_19, T_c1_19_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_12_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_12, T_criticalExtensionsFuture_12_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_12_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_12_choice[] = {
  {   0, &hf_lte_rrc_c1_19       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_19 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_12, T_criticalExtensions_12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t HandoverFromEUTRAPreparationRequest_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverFromEUTRAPreparationRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "HandoverFromEUTRAPreparationRequest");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverFromEUTRAPreparationRequest, HandoverFromEUTRAPreparationRequest_sequence);

  return offset;
}


static const value_string lte_rrc_T_targetRAT_Type_vals[] = {
  { T_targetRAT_Type_utra, "utra" },
  { T_targetRAT_Type_geran, "geran" },
  { T_targetRAT_Type_cdma2000_1XRTT, "cdma2000-1XRTT" },
  { T_targetRAT_Type_cdma2000_HRPD, "cdma2000-HRPD" },
  { T_targetRAT_Type_spare4, "spare4" },
  { T_targetRAT_Type_spare3, "spare3" },
  { T_targetRAT_Type_spare2, "spare2" },
  { T_targetRAT_Type_spare1, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_targetRAT_Type(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 target_rat_type;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, &target_rat_type, TRUE, 0, NULL);

  private_data_set_rat_target_type(actx, (guint8)target_rat_type);


  return offset;
}



static int
dissect_lte_rrc_T_targetRAT_MessageContainer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *target_rat_msg_cont_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &target_rat_msg_cont_tvb);

  if(target_rat_msg_cont_tvb){
    guint8 byte;
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_targetRAT_MessageContainer);
    switch (private_data_get_rat_target_type(actx)){
    case T_targetRAT_Type_utra:
      /* utra */
      if (rrc_irat_ho_to_utran_cmd_handle)
        lte_rrc_call_dissector(rrc_irat_ho_to_utran_cmd_handle, target_rat_msg_cont_tvb, actx->pinfo, subtree);
      break;
    case T_targetRAT_Type_geran:
      /* geran */
      byte = tvb_get_guint8(target_rat_msg_cont_tvb, 0);
      if (byte == 0x06) {
        if (gsm_a_dtap_handle) {
          lte_rrc_call_dissector(gsm_a_dtap_handle, target_rat_msg_cont_tvb, actx->pinfo, subtree);
        }
      } else {
        if (gsm_rlcmac_dl_handle) {
          tvbuff_t *gsm_rlcmac_dl_tvb = tvb_new_composite();
          guint8 *pd = (guint8 *) wmem_alloc(actx->pinfo->pool, 1);
          pd[0] = 0x40;
          tvb_composite_append(gsm_rlcmac_dl_tvb, tvb_new_child_real_data(tvb, pd, 1, 1));
          tvb_composite_append(gsm_rlcmac_dl_tvb, target_rat_msg_cont_tvb);
          tvb_composite_finalize(gsm_rlcmac_dl_tvb);
          add_new_data_source(actx->pinfo, gsm_rlcmac_dl_tvb, "GPRS DL control block");
          lte_rrc_call_dissector(gsm_rlcmac_dl_handle, gsm_rlcmac_dl_tvb, actx->pinfo, subtree);
        }
      }
      break;
    case T_targetRAT_Type_cdma2000_1XRTT:
      /* cdma2000-1XRTT */
      break;
    case T_targetRAT_Type_cdma2000_HRPD:
      /* cdma2000-HRPD */
      break;
    default:
      break;
    }
  }


  return offset;
}



static int
dissect_lte_rrc_T_nas_SecurityParamFromEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *nas_sec_param_from_eutra_tvb = NULL;
  guint32 length;
  proto_tree *subtree;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       1, 1, FALSE, &nas_sec_param_from_eutra_tvb);

  if (nas_sec_param_from_eutra_tvb) {
    length = tvb_reported_length(nas_sec_param_from_eutra_tvb);
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_nas_SecurityParam);
    de_emm_sec_par_from_eutra(nas_sec_param_from_eutra_tvb, subtree, actx->pinfo, 0, length, NULL, 0);
  }


  return offset;
}



static int
dissect_lte_rrc_SystemInfoListGERAN_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *sys_info_list_tvb = NULL;
  proto_tree *subtree;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       1, 23, FALSE, &sys_info_list_tvb);

  if (sys_info_list_tvb) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_siPsiSibContainer);
    switch (private_data_get_si_or_psi_geran(actx)) {
    case SI_OrPSI_GERAN_si:
      /* SI message */
      if (gsm_a_dtap_handle) {
        tvbuff_t *si_tvb = tvb_new_composite();
        guint8 *pd = (guint8 *) wmem_alloc(actx->pinfo->pool, 1);
        pd[0] = 0x06;
        tvb_composite_append(si_tvb, tvb_new_child_real_data(tvb, pd, 1, 1));
        tvb_composite_append(si_tvb, sys_info_list_tvb);
        tvb_composite_finalize(si_tvb);
        add_new_data_source(actx->pinfo, si_tvb, "System Information");
        lte_rrc_call_dissector(gsm_a_dtap_handle, si_tvb, actx->pinfo, subtree);
      }
      break;
    case SI_OrPSI_GERAN_psi:
      /* PSI message */
      if (gsm_rlcmac_dl_handle) {
        tvbuff_t *gsm_rlcmac_dl_tvb = tvb_new_composite();
        guint8 *pd = (guint8 *) wmem_alloc(actx->pinfo->pool, 1);
        pd[0] = 0x40;
        tvb_composite_append(gsm_rlcmac_dl_tvb, tvb_new_child_real_data(tvb, pd, 1, 1));
        tvb_composite_append(gsm_rlcmac_dl_tvb, sys_info_list_tvb);
        tvb_composite_finalize(gsm_rlcmac_dl_tvb);
        add_new_data_source(actx->pinfo, gsm_rlcmac_dl_tvb, "GPRS DL control block");
        lte_rrc_call_dissector(gsm_rlcmac_dl_handle, sys_info_list_tvb, actx->pinfo, subtree);
      }
      break;
    default:
      break;
    }
  }


  return offset;
}


static const per_sequence_t SystemInfoListGERAN_sequence_of[1] = {
  { &hf_lte_rrc_SystemInfoListGERAN_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInfoListGERAN_item },
};

static int
dissect_lte_rrc_SystemInfoListGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SystemInfoListGERAN, SystemInfoListGERAN_sequence_of,
                                                  1, maxGERAN_SI, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_si(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  private_data_set_si_or_psi_geran(actx, (guint8)SI_OrPSI_GERAN_si); /* SI message */
  offset = dissect_lte_rrc_SystemInfoListGERAN(tvb, offset, actx, tree, hf_index);



  return offset;
}



static int
dissect_lte_rrc_T_psi(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  private_data_set_si_or_psi_geran(actx, (guint8)SI_OrPSI_GERAN_psi); /* PSI message */
  offset = dissect_lte_rrc_SystemInfoListGERAN(tvb, offset, actx, tree, hf_index);



  return offset;
}


static const value_string lte_rrc_SI_OrPSI_GERAN_vals[] = {
  { SI_OrPSI_GERAN_si, "si" },
  { SI_OrPSI_GERAN_psi, "psi" },
  { 0, NULL }
};

static const per_choice_t SI_OrPSI_GERAN_choice[] = {
  { SI_OrPSI_GERAN_si, &hf_lte_rrc_si          , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_si },
  { SI_OrPSI_GERAN_psi, &hf_lte_rrc_psi         , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_psi },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SI_OrPSI_GERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SI_OrPSI_GERAN, SI_OrPSI_GERAN_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Handover_sequence[] = {
  { &hf_lte_rrc_targetRAT_Type, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_targetRAT_Type },
  { &hf_lte_rrc_targetRAT_MessageContainer, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_targetRAT_MessageContainer },
  { &hf_lte_rrc_nas_SecurityParamFromEUTRA, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nas_SecurityParamFromEUTRA },
  { &hf_lte_rrc_systemInformation_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SI_OrPSI_GERAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Handover(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  /* Initialise to invalid value */
  private_data_set_rat_target_type(actx, 0xFF);
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Handover, Handover_sequence);



  return offset;
}


static const value_string lte_rrc_T_t304_vals[] = {
  {   0, "ms100" },
  {   1, "ms200" },
  {   2, "ms500" },
  {   3, "ms1000" },
  {   4, "ms2000" },
  {   5, "ms4000" },
  {   6, "ms8000" },
  {   7, "ms10000-v1310" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t304(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CarrierFreqGERAN_sequence[] = {
  { &hf_lte_rrc_arfcn_01    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueGERAN },
  { &hf_lte_rrc_bandIndicator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandIndicatorGERAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqGERAN, CarrierFreqGERAN_sequence);

  return offset;
}


static const per_sequence_t T_geran_sequence[] = {
  { &hf_lte_rrc_physCellId  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdGERAN },
  { &hf_lte_rrc_carrierFreq , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqGERAN },
  { &hf_lte_rrc_networkControlOrder, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_2 },
  { &hf_lte_rrc_systemInformation_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SI_OrPSI_GERAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_geran(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_geran, T_geran_sequence);

  return offset;
}


static const value_string lte_rrc_T_targetRAT_Type_01_vals[] = {
  {   0, "geran" },
  { 0, NULL }
};

static const per_choice_t T_targetRAT_Type_01_choice[] = {
  {   0, &hf_lte_rrc_geran       , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_geran },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_targetRAT_Type_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_targetRAT_Type_01, T_targetRAT_Type_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CellChangeOrder_sequence[] = {
  { &hf_lte_rrc_t304        , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t304 },
  { &hf_lte_rrc_targetRAT_Type_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_targetRAT_Type_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellChangeOrder(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellChangeOrder, CellChangeOrder_sequence);

  return offset;
}


static const value_string lte_rrc_T_purpose_vals[] = {
  {   0, "handover" },
  {   1, "cellChangeOrder" },
  { 0, NULL }
};

static const per_choice_t T_purpose_choice[] = {
  {   0, &hf_lte_rrc_handover    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Handover },
  {   1, &hf_lte_rrc_cellChangeOrder, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CellChangeOrder },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_purpose(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_purpose, T_purpose_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_22_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_22(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_22, T_nonCriticalExtension_22_sequence);

  return offset;
}


static const per_sequence_t MobilityFromEUTRACommand_v8d0_IEs_sequence[] = {
  { &hf_lte_rrc_bandIndicator, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandIndicatorGERAN },
  { &hf_lte_rrc_nonCriticalExtension_55, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_22 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityFromEUTRACommand_v8d0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityFromEUTRACommand_v8d0_IEs, MobilityFromEUTRACommand_v8d0_IEs_sequence);

  return offset;
}


static const per_sequence_t MobilityFromEUTRACommand_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_54, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityFromEUTRACommand_v8d0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityFromEUTRACommand_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityFromEUTRACommand_v8a0_IEs, MobilityFromEUTRACommand_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t MobilityFromEUTRACommand_r8_IEs_sequence[] = {
  { &hf_lte_rrc_cs_FallbackIndicator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_purpose     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_purpose },
  { &hf_lte_rrc_nonCriticalExtension_53, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityFromEUTRACommand_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityFromEUTRACommand_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityFromEUTRACommand_r8_IEs, MobilityFromEUTRACommand_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_mobilityCDMA2000_HRPD_r9_vals[] = {
  {   0, "handover" },
  {   1, "redirection" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mobilityCDMA2000_HRPD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t E_CSFB_r9_sequence[] = {
  { &hf_lte_rrc_messageContCDMA2000_1XRTT_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_mobilityCDMA2000_HRPD_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mobilityCDMA2000_HRPD_r9 },
  { &hf_lte_rrc_messageContCDMA2000_HRPD_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_redirectCarrierCDMA2000_HRPD_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_E_CSFB_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_E_CSFB_r9, E_CSFB_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_purpose_01_vals[] = {
  {   0, "handover" },
  {   1, "cellChangeOrder" },
  {   2, "e-CSFB-r9" },
  { 0, NULL }
};

static const per_choice_t T_purpose_01_choice[] = {
  {   0, &hf_lte_rrc_handover    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_Handover },
  {   1, &hf_lte_rrc_cellChangeOrder, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_CellChangeOrder },
  {   2, &hf_lte_rrc_e_CSFB_r9   , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_E_CSFB_r9 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_purpose_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_purpose_01, T_purpose_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_23_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_23(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_23, T_nonCriticalExtension_23_sequence);

  return offset;
}


static const per_sequence_t MobilityFromEUTRACommand_v960_IEs_sequence[] = {
  { &hf_lte_rrc_bandIndicator, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandIndicatorGERAN },
  { &hf_lte_rrc_nonCriticalExtension_58, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_23 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityFromEUTRACommand_v960_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityFromEUTRACommand_v960_IEs, MobilityFromEUTRACommand_v960_IEs_sequence);

  return offset;
}


static const per_sequence_t MobilityFromEUTRACommand_v930_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_57, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityFromEUTRACommand_v960_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityFromEUTRACommand_v930_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityFromEUTRACommand_v930_IEs, MobilityFromEUTRACommand_v930_IEs_sequence);

  return offset;
}


static const per_sequence_t MobilityFromEUTRACommand_r9_IEs_sequence[] = {
  { &hf_lte_rrc_cs_FallbackIndicator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_purpose_01  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_purpose_01 },
  { &hf_lte_rrc_nonCriticalExtension_56, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityFromEUTRACommand_v930_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityFromEUTRACommand_r9_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityFromEUTRACommand_r9_IEs, MobilityFromEUTRACommand_r9_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_26_vals[] = {
  {   0, "mobilityFromEUTRACommand-r8" },
  {   1, "mobilityFromEUTRACommand-r9" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_26_choice[] = {
  {   0, &hf_lte_rrc_mobilityFromEUTRACommand_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MobilityFromEUTRACommand_r8_IEs },
  {   1, &hf_lte_rrc_mobilityFromEUTRACommand_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MobilityFromEUTRACommand_r9_IEs },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_26(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_26, T_c1_26_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_19_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_19(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_19, T_criticalExtensionsFuture_19_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_19_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_19_choice[] = {
  {   0, &hf_lte_rrc_c1_26       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_26 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_19, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_19 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_19(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_19, T_criticalExtensions_19_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MobilityFromEUTRACommand_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_19, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_19 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityFromEUTRACommand(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MobilityFromEUTRACommand");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityFromEUTRACommand, MobilityFromEUTRACommand_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqEUTRA_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_ul_CarrierFreq, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqEUTRA, CarrierFreqEUTRA_sequence);

  return offset;
}


static const value_string lte_rrc_T_dl_Bandwidth_01_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  {   6, "spare10" },
  {   7, "spare9" },
  {   8, "spare8" },
  {   9, "spare7" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_Bandwidth_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_Bandwidth_01_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  {   6, "spare10" },
  {   7, "spare9" },
  {   8, "spare8" },
  {   9, "spare7" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_Bandwidth_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CarrierBandwidthEUTRA_sequence[] = {
  { &hf_lte_rrc_dl_Bandwidth_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_Bandwidth_01 },
  { &hf_lte_rrc_ul_Bandwidth_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Bandwidth_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierBandwidthEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierBandwidthEUTRA, CarrierBandwidthEUTRA_sequence);

  return offset;
}


static const value_string lte_rrc_T_t304_01_vals[] = {
  {   0, "ms50" },
  {   1, "ms100" },
  {   2, "ms150" },
  {   3, "ms200" },
  {   4, "ms500" },
  {   5, "ms1000" },
  {   6, "ms2000" },
  {   7, "ms10000-v1310" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t304_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommon_eag_1_sequence[] = {
  { &hf_lte_rrc_uplinkPowerControlCommon_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlCommon_v1020 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommon_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommon_eag_1_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommon_eag_2_sequence[] = {
  { &hf_lte_rrc_tdd_Config_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommon_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommon_eag_2_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommon_eag_3_sequence[] = {
  { &hf_lte_rrc_pusch_ConfigCommon_v1270, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigCommon_v1270 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommon_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommon_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_fdd_r13_02_vals[] = {
  {   0, "v1" },
  {   1, "v1dot5" },
  {   2, "v2" },
  {   3, "v2dot5" },
  {   4, "v4" },
  {   5, "v5" },
  {   6, "v8" },
  {   7, "v10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fdd_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_r13_02_vals[] = {
  {   0, "v1" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v5" },
  {   4, "v8" },
  {   5, "v10" },
  {   6, "v20" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_startSF_CSS_RA_r13_01_vals[] = {
  {   0, "fdd-r13" },
  {   1, "tdd-r13" },
  { 0, NULL }
};

static const per_choice_t T_mpdcch_startSF_CSS_RA_r13_01_choice[] = {
  {   0, &hf_lte_rrc_fdd_r13_02  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_fdd_r13_02 },
  {   1, &hf_lte_rrc_tdd_r13_02  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_tdd_r13_02 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mpdcch_startSF_CSS_RA_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mpdcch_startSF_CSS_RA_r13_01, T_mpdcch_startSF_CSS_RA_r13_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PRACH_Config_v1310_sequence[] = {
  { &hf_lte_rrc_rsrp_ThresholdsPrachInfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_ThresholdsPrachInfoList_r13 },
  { &hf_lte_rrc_mpdcch_startSF_CSS_RA_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mpdcch_startSF_CSS_RA_r13_01 },
  { &hf_lte_rrc_prach_HoppingOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_94 },
  { &hf_lte_rrc_prach_ParametersListCE_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_ParametersListCE_r13 },
  { &hf_lte_rrc_initial_CE_level_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PRACH_Config_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PRACH_Config_v1310, PRACH_Config_v1310_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommon_eag_4_sequence[] = {
  { &hf_lte_rrc_prach_Config_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_Config_v1310 },
  { &hf_lte_rrc_freqHoppingParameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqHoppingParameters_r13 },
  { &hf_lte_rrc_pdsch_ConfigCommon_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigCommon_v1310 },
  { &hf_lte_rrc_pucch_ConfigCommon_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigCommon_v1310 },
  { &hf_lte_rrc_pusch_ConfigCommon_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUSCH_ConfigCommon_v1310 },
  { &hf_lte_rrc_uplinkPowerControlCommon_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlCommon_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommon_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommon_eag_4_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommon_eag_5_sequence[] = {
  { &hf_lte_rrc_highSpeedConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HighSpeedConfig_r14 },
  { &hf_lte_rrc_prach_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PRACH_Config_v1430 },
  { &hf_lte_rrc_pucch_ConfigCommon_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigCommon_v1430 },
  { &hf_lte_rrc_tdd_Config_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommon_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommon_eag_5_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommon_eag_6_sequence[] = {
  { &hf_lte_rrc_tdd_Config_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config_v1450 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommon_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommon_eag_6_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommon_sequence[] = {
  { &hf_lte_rrc_rach_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RACH_ConfigCommon },
  { &hf_lte_rrc_prach_Config_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PRACH_Config },
  { &hf_lte_rrc_pdsch_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PDSCH_ConfigCommon },
  { &hf_lte_rrc_pusch_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PUSCH_ConfigCommon },
  { &hf_lte_rrc_phich_Config, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PHICH_Config },
  { &hf_lte_rrc_pucch_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PUCCH_ConfigCommon },
  { &hf_lte_rrc_soundingRS_UL_ConfigCommon, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SoundingRS_UL_ConfigCommon },
  { &hf_lte_rrc_uplinkPowerControlCommon, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlCommon },
  { &hf_lte_rrc_antennaInfoCommon, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoCommon },
  { &hf_lte_rrc_p_Max       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_tdd_Config  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config },
  { &hf_lte_rrc_ul_CyclicPrefixLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_CyclicPrefixLength },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommon_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommon_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommon_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommon_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommon_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommon_eag_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommon(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommon, RadioResourceConfigCommon_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqEUTRA_v9e0_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_v9e0_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_ul_CarrierFreq_v9e0_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqEUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqEUTRA_v9e0, CarrierFreqEUTRA_v9e0_sequence);

  return offset;
}


static const per_sequence_t MobilityControlInfo_eag_1_sequence[] = {
  { &hf_lte_rrc_carrierFreq_v9e0_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfo_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MobilityControlInfo_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_drb_ContinueROHC_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_ContinueROHC_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MobilityControlInfo_eag_2_sequence[] = {
  { &hf_lte_rrc_drb_ContinueROHC_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_ContinueROHC_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfo_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MobilityControlInfo_eag_2_sequence);

  return offset;
}


static const per_sequence_t MobilityControlInfoV2X_r14_sequence[] = {
  { &hf_lte_rrc_v2x_CommTxPoolExceptional_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommResourcePoolV2X_r14 },
  { &hf_lte_rrc_v2x_CommRxPool_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommRxPoolListV2X_r14 },
  { &hf_lte_rrc_v2x_CommSyncConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncConfigListV2X_r14 },
  { &hf_lte_rrc_cbr_MobilityTxConfigList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CBR_CommonTxConfigList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfoV2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityControlInfoV2X_r14, MobilityControlInfoV2X_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_handoverWithoutWT_Change_r14_vals[] = {
  {   0, "keepLWA-Config" },
  {   1, "sendEndMarker" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_handoverWithoutWT_Change_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_makeBeforeBreak_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_makeBeforeBreak_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sameSFN_Indication_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sameSFN_Indication_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MobilityControlInfo_eag_3_sequence[] = {
  { &hf_lte_rrc_mobilityControlInfoV2X_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityControlInfoV2X_r14 },
  { &hf_lte_rrc_handoverWithoutWT_Change_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_handoverWithoutWT_Change_r14 },
  { &hf_lte_rrc_makeBeforeBreak_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_makeBeforeBreak_r14 },
  { &hf_lte_rrc_rach_Skip_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RACH_Skip_r14 },
  { &hf_lte_rrc_sameSFN_Indication_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sameSFN_Indication_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfo_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MobilityControlInfo_eag_3_sequence);

  return offset;
}


static const per_sequence_t MobilityControlInfo_eag_4_sequence[] = {
  { &hf_lte_rrc_mib_RepetitionStatus_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_schedulingInfoSIB1_BR_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfo_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MobilityControlInfo_eag_4_sequence);

  return offset;
}


static const per_sequence_t MobilityControlInfo_sequence[] = {
  { &hf_lte_rrc_targetPhysCellId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_carrierFreq_03, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqEUTRA },
  { &hf_lte_rrc_carrierBandwidth, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierBandwidthEUTRA },
  { &hf_lte_rrc_additionalSpectrumEmission, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalSpectrumEmission },
  { &hf_lte_rrc_t304_01     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t304_01 },
  { &hf_lte_rrc_newUE_Identity, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_radioResourceConfigCommon_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommon },
  { &hf_lte_rrc_rach_ConfigDedicated, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RACH_ConfigDedicated },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MobilityControlInfo_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MobilityControlInfo_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MobilityControlInfo_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MobilityControlInfo_eag_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityControlInfo, MobilityControlInfo_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS_sequence_of[1] = {
  { &hf_lte_rrc_dedicatedInfoNASList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DedicatedInfoNAS },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS, SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS_sequence_of,
                                                  1, maxDRB, FALSE);

  return offset;
}


static const per_sequence_t T_intraLTE_sequence[] = {
  { &hf_lte_rrc_securityAlgorithmConfig, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SecurityAlgorithmConfig },
  { &hf_lte_rrc_keyChangeIndicator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_nextHopChainingCount, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NextHopChainingCount },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_intraLTE(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_intraLTE, T_intraLTE_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_nas_SecurityParamToEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *nas_sec_param_to_eutra_tvb = NULL;
  guint32 length;
  proto_tree *subtree;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       6, 6, FALSE, &nas_sec_param_to_eutra_tvb);

  if (nas_sec_param_to_eutra_tvb) {
    length = tvb_reported_length(nas_sec_param_to_eutra_tvb);
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_nas_SecurityParam);
    de_emm_sec_par_to_eutra(nas_sec_param_to_eutra_tvb, subtree, actx->pinfo, 0, length, NULL, 0);
  }


  return offset;
}


static const per_sequence_t T_interRAT_sequence[] = {
  { &hf_lte_rrc_securityAlgorithmConfig, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SecurityAlgorithmConfig },
  { &hf_lte_rrc_nas_SecurityParamToEUTRA, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nas_SecurityParamToEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_interRAT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_interRAT, T_interRAT_sequence);

  return offset;
}


static const value_string lte_rrc_T_handoverType_vals[] = {
  {   0, "intraLTE" },
  {   1, "interRAT" },
  { 0, NULL }
};

static const per_choice_t T_handoverType_choice[] = {
  {   0, &hf_lte_rrc_intraLTE    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_intraLTE },
  {   1, &hf_lte_rrc_interRAT    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interRAT },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_handoverType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_handoverType, T_handoverType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SecurityConfigHO_sequence[] = {
  { &hf_lte_rrc_handoverType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_handoverType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityConfigHO(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityConfigHO, SecurityConfigHO_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_RRCConnectionReconfiguration_v8m0_IEs_PDU);

  return offset;
}


static const value_string lte_rrc_T_fullConfig_r9_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fullConfig_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_systemInformationBlockType1Dedicated_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType1_PDU);

  return offset;
}


static const value_string lte_rrc_T_t350_r12_vals[] = {
  {   0, "min5" },
  {   1, "min10" },
  {   2, "min20" },
  {   3, "min30" },
  {   4, "min60" },
  {   5, "min120" },
  {   6, "min180" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t350_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_sequence[] = {
  { &hf_lte_rrc_wlan_OffloadConfigDedicated_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_OffloadConfig_r12 },
  { &hf_lte_rrc_t350_r12    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t350_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup, T_setup_sequence);

  return offset;
}


static const value_string lte_rrc_T_wlan_OffloadInfo_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_wlan_OffloadInfo_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_wlan_OffloadInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_wlan_OffloadInfo_r12, T_wlan_OffloadInfo_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_scg_ConfigPartMCG_r12_sequence[] = {
  { &hf_lte_rrc_scg_Counter_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_65535 },
  { &hf_lte_rrc_powerCoordinationInfo_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PowerCoordinationInfo_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_scg_ConfigPartMCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_scg_ConfigPartMCG_r12, T_scg_ConfigPartMCG_r12_sequence);

  return offset;
}


static const per_sequence_t T_setup_01_sequence[] = {
  { &hf_lte_rrc_scg_ConfigPartMCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_scg_ConfigPartMCG_r12 },
  { &hf_lte_rrc_scg_ConfigPartSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_ConfigPartSCG_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_01, T_setup_01_sequence);

  return offset;
}


static const value_string lte_rrc_SCG_Configuration_r12_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SCG_Configuration_r12_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SCG_Configuration_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SCG_Configuration_r12, SCG_Configuration_r12_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_networkControlledSyncTx_r12_vals[] = {
  {   0, "on" },
  {   1, "off" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_networkControlledSyncTx_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_SyncTxControl_r12_sequence[] = {
  { &hf_lte_rrc_networkControlledSyncTx_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_networkControlledSyncTx_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_SyncTxControl_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_SyncTxControl_r12, SL_SyncTxControl_r12_sequence);

  return offset;
}


static const per_sequence_t T_setup_32_sequence[] = {
  { &hf_lte_rrc_lwa_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LWA_Config_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_32, T_setup_32_sequence);

  return offset;
}


static const value_string lte_rrc_LWA_Configuration_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t LWA_Configuration_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_39    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_32 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_LWA_Configuration_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_LWA_Configuration_r13, LWA_Configuration_r13_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_T_ipv4_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ipv4_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     32, 32, FALSE, &ipv4_tvb, NULL);

  if (ipv4_tvb) {
    actx->created_item = proto_tree_add_item(tree, hf_index, ipv4_tvb, 0, 4, ENC_BIG_ENDIAN);
  }


  return offset;
}



static int
dissect_lte_rrc_T_ipv6_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ipv6_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     128, 128, FALSE, &ipv6_tvb, NULL);

  if (ipv6_tvb) {
    actx->created_item = proto_tree_add_item(tree, hf_index, ipv6_tvb, 0, 16, ENC_BIG_ENDIAN);
  }


  return offset;
}


static const value_string lte_rrc_IP_Address_r13_vals[] = {
  {   0, "ipv4-r13" },
  {   1, "ipv6-r13" },
  { 0, NULL }
};

static const per_choice_t IP_Address_r13_choice[] = {
  {   0, &hf_lte_rrc_ipv4_r13    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_ipv4_r13 },
  {   1, &hf_lte_rrc_ipv6_r13    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_ipv6_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_IP_Address_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_IP_Address_r13, IP_Address_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t IKE_Identity_r13_sequence[] = {
  { &hf_lte_rrc_idI_r13     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IKE_Identity_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IKE_Identity_r13, IKE_Identity_r13_sequence);

  return offset;
}


static const per_sequence_t TunnelConfigLWIP_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_lwip_Counter_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_65535 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TunnelConfigLWIP_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, TunnelConfigLWIP_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t TunnelConfigLWIP_r13_sequence[] = {
  { &hf_lte_rrc_ip_Address_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IP_Address_r13 },
  { &hf_lte_rrc_ike_Identity_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IKE_Identity_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_TunnelConfigLWIP_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TunnelConfigLWIP_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TunnelConfigLWIP_r13, TunnelConfigLWIP_r13_sequence);

  return offset;
}


static const per_sequence_t LWIP_Config_r13_sequence[] = {
  { &hf_lte_rrc_lwip_MobilityConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_MobilityConfig_r13 },
  { &hf_lte_rrc_tunnelConfigLWIP_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_TunnelConfigLWIP_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LWIP_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LWIP_Config_r13, LWIP_Config_r13_sequence);

  return offset;
}


static const per_sequence_t T_setup_33_sequence[] = {
  { &hf_lte_rrc_lwip_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LWIP_Config_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_33(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_33, T_setup_33_sequence);

  return offset;
}


static const value_string lte_rrc_LWIP_Configuration_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t LWIP_Configuration_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_40    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_33 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_LWIP_Configuration_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_LWIP_Configuration_r13, LWIP_Configuration_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SCellToAddModExt_v1430_sequence[] = {
  { &hf_lte_rrc_srs_SwitchFromServCellIndex_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCellToAddModExt_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCellToAddModExt_v1430, SCellToAddModExt_v1430_sequence);

  return offset;
}


static const per_sequence_t SCellToAddModListExt_v1430_sequence_of[1] = {
  { &hf_lte_rrc_SCellToAddModListExt_v1430_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellToAddModExt_v1430 },
};

static int
dissect_lte_rrc_SCellToAddModListExt_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToAddModListExt_v1430, SCellToAddModListExt_v1430_sequence_of,
                                                  1, maxSCell_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_perCC_GapIndicationRequest_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_perCC_GapIndicationRequest_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_systemInformationBlockType2Dedicated_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType2_PDU);

  return offset;
}



static int
dissect_lte_rrc_T_nr_SecondaryCellGroupConfig_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *rrc_reconfiguration_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &rrc_reconfiguration_tvb);


  if (rrc_reconfiguration_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_nr_SecondaryCellGroupConfig_r15);
    dissect_nr_rrc_RRCReconfiguration_PDU(rrc_reconfiguration_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_nr_RadioBearerConfig_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *radio_bearer_config_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &radio_bearer_config_tvb);


  if (radio_bearer_config_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_nr_RadioBearerConfig_r15);
    dissect_nr_rrc_RadioBearerConfig_PDU(radio_bearer_config_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_nr_RadioBearerConfigS_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *radio_bearer_config_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &radio_bearer_config_tvb);


  if (radio_bearer_config_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_nr_RadioBearerConfigS_r15);
    dissect_nr_rrc_RadioBearerConfig_PDU(radio_bearer_config_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}


static const value_string lte_rrc_SubframeAssignment_r15_vals[] = {
  {   0, "sa0" },
  {   1, "sa1" },
  {   2, "sa2" },
  {   3, "sa3" },
  {   4, "sa4" },
  {   5, "sa5" },
  {   6, "sa6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SubframeAssignment_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_tdm_PatternSingle_Tx_r15_sequence[] = {
  { &hf_lte_rrc_subframeAssignment_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SubframeAssignment_r15 },
  { &hf_lte_rrc_harq_Offset_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_tdm_PatternSingle_Tx_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_tdm_PatternSingle_Tx_r15, T_tdm_PatternSingle_Tx_r15_sequence);

  return offset;
}


static const per_sequence_t T_endc_Config_r15_sequence[] = {
  { &hf_lte_rrc_scg_ConfigReleaseNR_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_sk_Counter_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_65535 },
  { &hf_lte_rrc_nr_SecondaryCellGroupConfig_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nr_SecondaryCellGroupConfig_r15 },
  { &hf_lte_rrc_nr_RadioBearerConfig_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nr_RadioBearerConfig_r15 },
  { &hf_lte_rrc_nr_RadioBearerConfigS_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nr_RadioBearerConfigS_r15 },
  { &hf_lte_rrc_tdm_PatternSingle_Tx_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tdm_PatternSingle_Tx_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_endc_Config_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_endc_Config_r15, T_endc_Config_r15_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v15x0_IEs_sequence[] = {
  { &hf_lte_rrc_endc_Config_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_endc_Config_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v15x0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v15x0_IEs, RRCConnectionReconfiguration_v15x0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_sl_V2X_ConfigDedicated_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_V2X_ConfigDedicated_r14 },
  { &hf_lte_rrc_sCellToAddModListExt_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListExt_v1430 },
  { &hf_lte_rrc_perCC_GapIndicationRequest_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_perCC_GapIndicationRequest_r14 },
  { &hf_lte_rrc_systemInformationBlockType2Dedicated_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_systemInformationBlockType2Dedicated_r14 },
  { &hf_lte_rrc_nonCriticalExtension_80, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v15x0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v1430_IEs, RRCConnectionReconfiguration_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_sCellToReleaseListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToReleaseListExt_r13 },
  { &hf_lte_rrc_sCellToAddModListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListExt_r13 },
  { &hf_lte_rrc_lwa_Configuration_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LWA_Configuration_r13 },
  { &hf_lte_rrc_lwip_Configuration_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LWIP_Configuration_r13 },
  { &hf_lte_rrc_rclwi_Configuration_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RCLWI_Configuration_r13 },
  { &hf_lte_rrc_nonCriticalExtension_79, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v1310_IEs, RRCConnectionReconfiguration_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_wlan_OffloadInfo_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_wlan_OffloadInfo_r12 },
  { &hf_lte_rrc_scg_Configuration_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_Configuration_r12 },
  { &hf_lte_rrc_sl_SyncTxControl_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncTxControl_r12 },
  { &hf_lte_rrc_sl_DiscConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscConfig_r12 },
  { &hf_lte_rrc_sl_CommConfig_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommConfig_r12 },
  { &hf_lte_rrc_nonCriticalExtension_78, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v1250_IEs, RRCConnectionReconfiguration_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_systemInformationBlockType1Dedicated_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_systemInformationBlockType1Dedicated_r11 },
  { &hf_lte_rrc_nonCriticalExtension_77, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v1130_IEs, RRCConnectionReconfiguration_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_sCellToReleaseList_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToReleaseList_r10 },
  { &hf_lte_rrc_sCellToAddModList_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModList_r10 },
  { &hf_lte_rrc_nonCriticalExtension_76, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v1020_IEs, RRCConnectionReconfiguration_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v920_IEs_sequence[] = {
  { &hf_lte_rrc_otherConfig_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OtherConfig_r9 },
  { &hf_lte_rrc_fullConfig_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fullConfig_r9 },
  { &hf_lte_rrc_nonCriticalExtension_75, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v920_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v920_IEs, RRCConnectionReconfiguration_v920_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v890_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_01 },
  { &hf_lte_rrc_nonCriticalExtension_69, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v920_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v890_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v890_IEs, RRCConnectionReconfiguration_v890_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_r8_IEs_sequence[] = {
  { &hf_lte_rrc_measConfig  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasConfig },
  { &hf_lte_rrc_mobilityControlInfo, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityControlInfo },
  { &hf_lte_rrc_dedicatedInfoNASList, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS },
  { &hf_lte_rrc_radioResourceConfigDedicated, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicated },
  { &hf_lte_rrc_securityConfigHO, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SecurityConfigHO },
  { &hf_lte_rrc_nonCriticalExtension_68, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v890_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_r8_IEs, RRCConnectionReconfiguration_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_30_vals[] = {
  {   0, "rrcConnectionReconfiguration-r8" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_30_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReconfiguration_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReconfiguration_r8_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_30(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_30, T_c1_30_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_23_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_23(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_23, T_criticalExtensionsFuture_23_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_23_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_23_choice[] = {
  {   0, &hf_lte_rrc_c1_30       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_30 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_23, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_23 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_23(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_23, T_criticalExtensions_23_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_23, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_23 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReconfiguration");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration, RRCConnectionReconfiguration_sequence);

  return offset;
}


static const value_string lte_rrc_ReleaseCause_vals[] = {
  {   0, "loadBalancingTAUrequired" },
  {   1, "other" },
  {   2, "cs-FallbackHighPriority-v1020" },
  {   3, "rrc-Suspend-v1320" },
  { 0, NULL }
};


static int
dissect_lte_rrc_ReleaseCause(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, &value, FALSE, 0, NULL);

  col_append_fstr(actx->pinfo->cinfo, COL_INFO, " [cause=%s]",
                  val_to_str(value, lte_rrc_ReleaseCause_vals, "Unknown"));


  return offset;
}


static const per_sequence_t CarrierFreqListUTRA_TDD_r10_sequence_of[1] = {
  { &hf_lte_rrc_CarrierFreqListUTRA_TDD_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
};

static int
dissect_lte_rrc_CarrierFreqListUTRA_TDD_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CarrierFreqListUTRA_TDD_r10, CarrierFreqListUTRA_TDD_r10_sequence_of,
                                                  1, maxFreqUTRA_TDD_r10, FALSE);

  return offset;
}


static const value_string lte_rrc_RedirectedCarrierInfo_vals[] = {
  {   0, "eutra" },
  {   1, "geran" },
  {   2, "utra-FDD" },
  {   3, "utra-TDD" },
  {   4, "cdma2000-HRPD" },
  {   5, "cdma2000-1xRTT" },
  {   6, "utra-TDD-r10" },
  { 0, NULL }
};

static const per_choice_t RedirectedCarrierInfo_choice[] = {
  {   0, &hf_lte_rrc_eutra       , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_ARFCN_ValueEUTRA },
  {   1, &hf_lte_rrc_geran_01    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_CarrierFreqsGERAN },
  {   2, &hf_lte_rrc_utra_FDD    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_ARFCN_ValueUTRA },
  {   3, &hf_lte_rrc_utra_TDD    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_ARFCN_ValueUTRA },
  {   4, &hf_lte_rrc_cdma2000_HRPD, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_CarrierFreqCDMA2000 },
  {   5, &hf_lte_rrc_cdma2000_1xRTT, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_CarrierFreqCDMA2000 },
  {   6, &hf_lte_rrc_utra_TDD_r10_01, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_CarrierFreqListUTRA_TDD_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RedirectedCarrierInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RedirectedCarrierInfo, RedirectedCarrierInfo_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t FreqPriorityEUTRA_sequence[] = {
  { &hf_lte_rrc_carrierFreq_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionPriority },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FreqPriorityEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FreqPriorityEUTRA, FreqPriorityEUTRA_sequence);

  return offset;
}


static const per_sequence_t FreqPriorityListEUTRA_sequence_of[1] = {
  { &hf_lte_rrc_FreqPriorityListEUTRA_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqPriorityEUTRA },
};

static int
dissect_lte_rrc_FreqPriorityListEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqPriorityListEUTRA, FreqPriorityListEUTRA_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t FreqsPriorityGERAN_sequence[] = {
  { &hf_lte_rrc_carrierFreqs, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqsGERAN },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionPriority },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FreqsPriorityGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FreqsPriorityGERAN, FreqsPriorityGERAN_sequence);

  return offset;
}


static const per_sequence_t FreqsPriorityListGERAN_sequence_of[1] = {
  { &hf_lte_rrc_FreqsPriorityListGERAN_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqsPriorityGERAN },
};

static int
dissect_lte_rrc_FreqsPriorityListGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqsPriorityListGERAN, FreqsPriorityListGERAN_sequence_of,
                                                  1, maxGNFG, FALSE);

  return offset;
}


static const per_sequence_t FreqPriorityUTRA_FDD_sequence[] = {
  { &hf_lte_rrc_carrierFreq_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionPriority },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FreqPriorityUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FreqPriorityUTRA_FDD, FreqPriorityUTRA_FDD_sequence);

  return offset;
}


static const per_sequence_t FreqPriorityListUTRA_FDD_sequence_of[1] = {
  { &hf_lte_rrc_FreqPriorityListUTRA_FDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqPriorityUTRA_FDD },
};

static int
dissect_lte_rrc_FreqPriorityListUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqPriorityListUTRA_FDD, FreqPriorityListUTRA_FDD_sequence_of,
                                                  1, maxUTRA_FDD_Carrier, FALSE);

  return offset;
}


static const per_sequence_t FreqPriorityUTRA_TDD_sequence[] = {
  { &hf_lte_rrc_carrierFreq_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionPriority },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FreqPriorityUTRA_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FreqPriorityUTRA_TDD, FreqPriorityUTRA_TDD_sequence);

  return offset;
}


static const per_sequence_t FreqPriorityListUTRA_TDD_sequence_of[1] = {
  { &hf_lte_rrc_FreqPriorityListUTRA_TDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqPriorityUTRA_TDD },
};

static int
dissect_lte_rrc_FreqPriorityListUTRA_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqPriorityListUTRA_TDD, FreqPriorityListUTRA_TDD_sequence_of,
                                                  1, maxUTRA_TDD_Carrier, FALSE);

  return offset;
}


static const per_sequence_t BandClassPriorityHRPD_sequence[] = {
  { &hf_lte_rrc_bandClass   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandclassCDMA2000 },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionPriority },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandClassPriorityHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandClassPriorityHRPD, BandClassPriorityHRPD_sequence);

  return offset;
}


static const per_sequence_t BandClassPriorityListHRPD_sequence_of[1] = {
  { &hf_lte_rrc_BandClassPriorityListHRPD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandClassPriorityHRPD },
};

static int
dissect_lte_rrc_BandClassPriorityListHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandClassPriorityListHRPD, BandClassPriorityListHRPD_sequence_of,
                                                  1, maxCDMA_BandClass, FALSE);

  return offset;
}


static const per_sequence_t BandClassPriority1XRTT_sequence[] = {
  { &hf_lte_rrc_bandClass   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandclassCDMA2000 },
  { &hf_lte_rrc_cellReselectionPriority, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionPriority },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandClassPriority1XRTT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandClassPriority1XRTT, BandClassPriority1XRTT_sequence);

  return offset;
}


static const per_sequence_t BandClassPriorityList1XRTT_sequence_of[1] = {
  { &hf_lte_rrc_BandClassPriorityList1XRTT_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandClassPriority1XRTT },
};

static int
dissect_lte_rrc_BandClassPriorityList1XRTT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandClassPriorityList1XRTT, BandClassPriorityList1XRTT_sequence_of,
                                                  1, maxCDMA_BandClass, FALSE);

  return offset;
}


static const value_string lte_rrc_T_t320_vals[] = {
  {   0, "min5" },
  {   1, "min10" },
  {   2, "min20" },
  {   3, "min30" },
  {   4, "min60" },
  {   5, "min120" },
  {   6, "min180" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t FreqPriorityEUTRA_r12_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_cellReselectionPriority_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellReselectionPriority },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FreqPriorityEUTRA_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FreqPriorityEUTRA_r12, FreqPriorityEUTRA_r12_sequence);

  return offset;
}


static const per_sequence_t FreqPriorityListExtEUTRA_r12_sequence_of[1] = {
  { &hf_lte_rrc_FreqPriorityListExtEUTRA_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqPriorityEUTRA_r12 },
};

static int
dissect_lte_rrc_FreqPriorityListExtEUTRA_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqPriorityListExtEUTRA_r12, FreqPriorityListExtEUTRA_r12_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t IdleModeMobilityControlInfo_eag_1_sequence[] = {
  { &hf_lte_rrc_freqPriorityListExtEUTRA_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqPriorityListExtEUTRA_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IdleModeMobilityControlInfo_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, IdleModeMobilityControlInfo_eag_1_sequence);

  return offset;
}


static const per_sequence_t FreqPriorityEUTRA_v1310_sequence[] = {
  { &hf_lte_rrc_cellReselectionSubPriority_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionSubPriority_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FreqPriorityEUTRA_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FreqPriorityEUTRA_v1310, FreqPriorityEUTRA_v1310_sequence);

  return offset;
}


static const per_sequence_t FreqPriorityListEUTRA_v1310_sequence_of[1] = {
  { &hf_lte_rrc_FreqPriorityListEUTRA_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqPriorityEUTRA_v1310 },
};

static int
dissect_lte_rrc_FreqPriorityListEUTRA_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqPriorityListEUTRA_v1310, FreqPriorityListEUTRA_v1310_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t FreqPriorityListExtEUTRA_v1310_sequence_of[1] = {
  { &hf_lte_rrc_FreqPriorityListExtEUTRA_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqPriorityEUTRA_v1310 },
};

static int
dissect_lte_rrc_FreqPriorityListExtEUTRA_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqPriorityListExtEUTRA_v1310, FreqPriorityListExtEUTRA_v1310_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t IdleModeMobilityControlInfo_eag_2_sequence[] = {
  { &hf_lte_rrc_freqPriorityListEUTRA_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqPriorityListEUTRA_v1310 },
  { &hf_lte_rrc_freqPriorityListExtEUTRA_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqPriorityListExtEUTRA_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IdleModeMobilityControlInfo_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, IdleModeMobilityControlInfo_eag_2_sequence);

  return offset;
}


static const per_sequence_t IdleModeMobilityControlInfo_sequence[] = {
  { &hf_lte_rrc_freqPriorityListEUTRA, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_FreqPriorityListEUTRA },
  { &hf_lte_rrc_freqPriorityListGERAN, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_FreqsPriorityListGERAN },
  { &hf_lte_rrc_freqPriorityListUTRA_FDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_FreqPriorityListUTRA_FDD },
  { &hf_lte_rrc_freqPriorityListUTRA_TDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_FreqPriorityListUTRA_TDD },
  { &hf_lte_rrc_bandClassPriorityListHRPD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BandClassPriorityListHRPD },
  { &hf_lte_rrc_bandClassPriorityList1XRTT, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BandClassPriorityList1XRTT },
  { &hf_lte_rrc_t320        , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_t320 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_IdleModeMobilityControlInfo_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_IdleModeMobilityControlInfo_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IdleModeMobilityControlInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IdleModeMobilityControlInfo, IdleModeMobilityControlInfo_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_RRCConnectionRelease_v9e0_IEs_PDU);

  return offset;
}



static int
dissect_lte_rrc_T_systemInformation_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  private_data_set_si_or_psi_geran(actx, (guint8)SI_OrPSI_GERAN_si); /* SI message */
  offset = dissect_lte_rrc_SystemInfoListGERAN(tvb, offset, actx, tree, hf_index);



  return offset;
}


static const per_sequence_t CellInfoGERAN_r9_sequence[] = {
  { &hf_lte_rrc_physCellId_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdGERAN },
  { &hf_lte_rrc_carrierFreq_r9_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqGERAN },
  { &hf_lte_rrc_systemInformation_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_systemInformation_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellInfoGERAN_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellInfoGERAN_r9, CellInfoGERAN_r9_sequence);

  return offset;
}


static const per_sequence_t CellInfoListGERAN_r9_sequence_of[1] = {
  { &hf_lte_rrc_CellInfoListGERAN_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellInfoGERAN_r9 },
};

static int
dissect_lte_rrc_CellInfoListGERAN_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellInfoListGERAN_r9, CellInfoListGERAN_r9_sequence_of,
                                                  1, maxCellInfoGERAN_r9, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_utra_BCCH_Container_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *utra_bcch_cont_tvb = NULL;
  proto_tree *subtree;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &utra_bcch_cont_tvb);

  if (utra_bcch_cont_tvb && rrc_sys_info_cont_handle) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_siPsiSibContainer);
    lte_rrc_call_dissector(rrc_sys_info_cont_handle, utra_bcch_cont_tvb, actx->pinfo, subtree);
  }


  return offset;
}


static const per_sequence_t CellInfoUTRA_FDD_r9_sequence[] = {
  { &hf_lte_rrc_physCellId_r9_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdUTRA_FDD },
  { &hf_lte_rrc_utra_BCCH_Container_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_utra_BCCH_Container_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellInfoUTRA_FDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellInfoUTRA_FDD_r9, CellInfoUTRA_FDD_r9_sequence);

  return offset;
}


static const per_sequence_t CellInfoListUTRA_FDD_r9_sequence_of[1] = {
  { &hf_lte_rrc_CellInfoListUTRA_FDD_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellInfoUTRA_FDD_r9 },
};

static int
dissect_lte_rrc_CellInfoListUTRA_FDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellInfoListUTRA_FDD_r9, CellInfoListUTRA_FDD_r9_sequence_of,
                                                  1, maxCellInfoUTRA_r9, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_utra_BCCH_Container_r9_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *utra_bcch_cont_tvb = NULL;
  proto_tree *subtree;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &utra_bcch_cont_tvb);

  if (utra_bcch_cont_tvb && rrc_sys_info_cont_handle) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_siPsiSibContainer);
    lte_rrc_call_dissector(rrc_sys_info_cont_handle, utra_bcch_cont_tvb, actx->pinfo, subtree);
  }


  return offset;
}


static const per_sequence_t CellInfoUTRA_TDD_r9_sequence[] = {
  { &hf_lte_rrc_physCellId_r9_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdUTRA_TDD },
  { &hf_lte_rrc_utra_BCCH_Container_r9_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_utra_BCCH_Container_r9_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellInfoUTRA_TDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellInfoUTRA_TDD_r9, CellInfoUTRA_TDD_r9_sequence);

  return offset;
}


static const per_sequence_t CellInfoListUTRA_TDD_r9_sequence_of[1] = {
  { &hf_lte_rrc_CellInfoListUTRA_TDD_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellInfoUTRA_TDD_r9 },
};

static int
dissect_lte_rrc_CellInfoListUTRA_TDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellInfoListUTRA_TDD_r9, CellInfoListUTRA_TDD_r9_sequence_of,
                                                  1, maxCellInfoUTRA_r9, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_utra_BCCH_Container_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *utra_bcch_cont_tvb = NULL;
  proto_tree *subtree;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &utra_bcch_cont_tvb);

  if (utra_bcch_cont_tvb && rrc_sys_info_cont_handle) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_siPsiSibContainer);
    lte_rrc_call_dissector(rrc_sys_info_cont_handle, utra_bcch_cont_tvb, actx->pinfo, subtree);
  }


  return offset;
}


static const per_sequence_t CellInfoUTRA_TDD_r10_sequence[] = {
  { &hf_lte_rrc_physCellId_r10_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdUTRA_TDD },
  { &hf_lte_rrc_carrierFreq_r10_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_utra_BCCH_Container_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_utra_BCCH_Container_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellInfoUTRA_TDD_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellInfoUTRA_TDD_r10, CellInfoUTRA_TDD_r10_sequence);

  return offset;
}


static const per_sequence_t CellInfoListUTRA_TDD_r10_sequence_of[1] = {
  { &hf_lte_rrc_CellInfoListUTRA_TDD_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellInfoUTRA_TDD_r10 },
};

static int
dissect_lte_rrc_CellInfoListUTRA_TDD_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellInfoListUTRA_TDD_r10, CellInfoListUTRA_TDD_r10_sequence_of,
                                                  1, maxCellInfoUTRA_r9, FALSE);

  return offset;
}


static const value_string lte_rrc_T_cellInfoList_r9_vals[] = {
  {   0, "geran-r9" },
  {   1, "utra-FDD-r9" },
  {   2, "utra-TDD-r9" },
  {   3, "utra-TDD-r10" },
  { 0, NULL }
};

static const per_choice_t T_cellInfoList_r9_choice[] = {
  {   0, &hf_lte_rrc_geran_r9    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_CellInfoListGERAN_r9 },
  {   1, &hf_lte_rrc_utra_FDD_r9 , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_CellInfoListUTRA_FDD_r9 },
  {   2, &hf_lte_rrc_utra_TDD_r9 , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_CellInfoListUTRA_TDD_r9 },
  {   3, &hf_lte_rrc_utra_TDD_r10, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_CellInfoListUTRA_TDD_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_cellInfoList_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_cellInfoList_r9, T_cellInfoList_r9_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_ResumeIdentity_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     40, 40, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_35_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_35(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_35, T_nonCriticalExtension_35_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_v1320_IEs_sequence[] = {
  { &hf_lte_rrc_resumeIdentity_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ResumeIdentity_r13 },
  { &hf_lte_rrc_nonCriticalExtension_108, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_35 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_v1320_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_v1320_IEs, RRCConnectionRelease_v1320_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_extendedWaitTime_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_1800 },
  { &hf_lte_rrc_nonCriticalExtension_107, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionRelease_v1320_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_v1020_IEs, RRCConnectionRelease_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_v920_IEs_sequence[] = {
  { &hf_lte_rrc_cellInfoList_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cellInfoList_r9 },
  { &hf_lte_rrc_nonCriticalExtension_106, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionRelease_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_v920_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_v920_IEs, RRCConnectionRelease_v920_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_v890_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_03, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_02 },
  { &hf_lte_rrc_nonCriticalExtension_104, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionRelease_v920_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_v890_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_v890_IEs, RRCConnectionRelease_v890_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_r8_IEs_sequence[] = {
  { &hf_lte_rrc_releaseCause, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReleaseCause },
  { &hf_lte_rrc_redirectedCarrierInfo, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RedirectedCarrierInfo },
  { &hf_lte_rrc_idleModeMobilityControlInfo, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IdleModeMobilityControlInfo },
  { &hf_lte_rrc_nonCriticalExtension_103, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionRelease_v890_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_r8_IEs, RRCConnectionRelease_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_33_vals[] = {
  {   0, "rrcConnectionRelease-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_33_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionRelease_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionRelease_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_33(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_33, T_c1_33_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_30_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_30(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_30, T_criticalExtensionsFuture_30_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_30_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_30_choice[] = {
  {   0, &hf_lte_rrc_c1_33       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_33 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_30, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_30 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_30(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_30, T_criticalExtensions_30_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_30, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_30 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionRelease");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease, RRCConnectionRelease_sequence);

  return offset;
}


static const per_sequence_t SecurityConfigSMC_sequence[] = {
  { &hf_lte_rrc_securityAlgorithmConfig, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SecurityAlgorithmConfig },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityConfigSMC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityConfigSMC, SecurityConfigSMC_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_44_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_44(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_44, T_nonCriticalExtension_44_sequence);

  return offset;
}


static const per_sequence_t SecurityModeCommand_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_129, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_44 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeCommand_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeCommand_v8a0_IEs, SecurityModeCommand_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t SecurityModeCommand_r8_IEs_sequence[] = {
  { &hf_lte_rrc_securityConfigSMC, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SecurityConfigSMC },
  { &hf_lte_rrc_nonCriticalExtension_128, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SecurityModeCommand_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeCommand_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeCommand_r8_IEs, SecurityModeCommand_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_38_vals[] = {
  {   0, "securityModeCommand-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_38_choice[] = {
  {   0, &hf_lte_rrc_securityModeCommand_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeCommand_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_38(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_38, T_c1_38_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_38_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_38(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_38, T_criticalExtensionsFuture_38_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_38_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_38_choice[] = {
  {   0, &hf_lte_rrc_c1_38       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_38 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_38, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_38 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_38(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_38, T_criticalExtensions_38_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SecurityModeCommand_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_38, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_38 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeCommand(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SecurityModeCommand");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeCommand, SecurityModeCommand_sequence);

  return offset;
}


static const per_sequence_t UE_CapabilityRequest_sequence_of[1] = {
  { &hf_lte_rrc_UE_CapabilityRequest_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RAT_Type },
};

static int
dissect_lte_rrc_UE_CapabilityRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_UE_CapabilityRequest, UE_CapabilityRequest_sequence_of,
                                                  1, maxRAT_Capabilities, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11_sequence_of[1] = {
  { &hf_lte_rrc_requestedFrequencyBands_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11, SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const value_string lte_rrc_T_requestReducedFormat_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_requestReducedFormat_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_requestSkipFallbackComb_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_requestSkipFallbackComb_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_2_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            2U, 32U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_requestReducedIntNonContComb_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_requestReducedIntNonContComb_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_CA_BandwidthClass_r10_vals[] = {
  {   0, "a" },
  {   1, "b" },
  {   2, "c" },
  {   3, "d" },
  {   4, "e" },
  {   5, "f" },
  { 0, NULL }
};


static int
dissect_lte_rrc_CA_BandwidthClass_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t BandIndication_r14_sequence[] = {
  { &hf_lte_rrc_bandEUTRA_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
  { &hf_lte_rrc_ca_BandwidthClassDL_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_BandwidthClass_r10 },
  { &hf_lte_rrc_ca_BandwidthClassUL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CA_BandwidthClass_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandIndication_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandIndication_r14, BandIndication_r14_sequence);

  return offset;
}


static const per_sequence_t BandCombination_r14_sequence_of[1] = {
  { &hf_lte_rrc_BandCombination_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandIndication_r14 },
};

static int
dissect_lte_rrc_BandCombination_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandCombination_r14, BandCombination_r14_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t BandCombinationList_r14_sequence_of[1] = {
  { &hf_lte_rrc_BandCombinationList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombination_r14 },
};

static int
dissect_lte_rrc_BandCombinationList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandCombinationList_r14, BandCombinationList_r14_sequence_of,
                                                  1, maxBandComb_r13, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_53_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_53(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_53, T_nonCriticalExtension_53_sequence);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_v15x0_IEs_sequence[] = {
  { &hf_lte_rrc_requestedFreqBandsNR_MRDC_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_163, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_53 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry_v15x0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry_v15x0_IEs, UECapabilityEnquiry_v15x0_IEs_sequence);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_requestDiffFallbackCombList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandCombinationList_r14 },
  { &hf_lte_rrc_nonCriticalExtension_162, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UECapabilityEnquiry_v15x0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry_v1430_IEs, UECapabilityEnquiry_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_requestReducedFormat_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_requestReducedFormat_r13 },
  { &hf_lte_rrc_requestSkipFallbackComb_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_requestSkipFallbackComb_r13 },
  { &hf_lte_rrc_requestedMaxCCsDL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_2_32 },
  { &hf_lte_rrc_requestedMaxCCsUL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_2_32 },
  { &hf_lte_rrc_requestReducedIntNonContComb_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_requestReducedIntNonContComb_r13 },
  { &hf_lte_rrc_nonCriticalExtension_161, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UECapabilityEnquiry_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry_v1310_IEs, UECapabilityEnquiry_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_v1180_IEs_sequence[] = {
  { &hf_lte_rrc_requestedFrequencyBands_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11 },
  { &hf_lte_rrc_nonCriticalExtension_160, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UECapabilityEnquiry_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry_v1180_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry_v1180_IEs, UECapabilityEnquiry_v1180_IEs_sequence);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_159, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UECapabilityEnquiry_v1180_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry_v8a0_IEs, UECapabilityEnquiry_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_r8_IEs_sequence[] = {
  { &hf_lte_rrc_ue_CapabilityRequest, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_CapabilityRequest },
  { &hf_lte_rrc_nonCriticalExtension_158, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UECapabilityEnquiry_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry_r8_IEs, UECapabilityEnquiry_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_41_vals[] = {
  {   0, "ueCapabilityEnquiry-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_41_choice[] = {
  {   0, &hf_lte_rrc_ueCapabilityEnquiry_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UECapabilityEnquiry_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_41(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_41, T_c1_41_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_44_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_44(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_44, T_criticalExtensionsFuture_44_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_44_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_44_choice[] = {
  {   0, &hf_lte_rrc_c1_41       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_41 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_44, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_44 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_44(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_44, T_criticalExtensions_44_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_44, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_44 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "UECapabilityEnquiry");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry, UECapabilityEnquiry_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_33554431(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 33554431U, NULL, FALSE);

  return offset;
}


static const per_sequence_t DRB_CountMSB_Info_sequence[] = {
  { &hf_lte_rrc_drb_Identity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_Identity },
  { &hf_lte_rrc_countMSB_Uplink, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_33554431 },
  { &hf_lte_rrc_countMSB_Downlink, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_33554431 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_CountMSB_Info(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRB_CountMSB_Info, DRB_CountMSB_Info_sequence);

  return offset;
}


static const per_sequence_t DRB_CountMSB_InfoList_sequence_of[1] = {
  { &hf_lte_rrc_DRB_CountMSB_InfoList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_CountMSB_Info },
};

static int
dissect_lte_rrc_DRB_CountMSB_InfoList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DRB_CountMSB_InfoList, DRB_CountMSB_InfoList_sequence_of,
                                                  1, maxDRB, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_08_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_08(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_08, T_nonCriticalExtension_08_sequence);

  return offset;
}


static const per_sequence_t CounterCheck_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_21, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_08 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CounterCheck_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CounterCheck_v8a0_IEs, CounterCheck_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t CounterCheck_r8_IEs_sequence[] = {
  { &hf_lte_rrc_drb_CountMSB_InfoList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_CountMSB_InfoList },
  { &hf_lte_rrc_nonCriticalExtension_20, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CounterCheck_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CounterCheck_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CounterCheck_r8_IEs, CounterCheck_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_17_vals[] = {
  {   0, "counterCheck-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_17_choice[] = {
  {   0, &hf_lte_rrc_counterCheck_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CounterCheck_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_17(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_17, T_c1_17_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_07_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_07(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_07, T_criticalExtensionsFuture_07_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_07_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_07_choice[] = {
  {   0, &hf_lte_rrc_c1_17       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_17 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_07, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_07 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_07(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_07, T_criticalExtensions_07_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CounterCheck_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_07, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_07 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CounterCheck(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "CounterCheck");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CounterCheck, CounterCheck_sequence);

  return offset;
}


static const value_string lte_rrc_T_logMeasReportReq_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasReportReq_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_connEstFailReportReq_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connEstFailReportReq_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mobilityHistoryReportReq_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mobilityHistoryReportReq_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_55_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_55(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_55, T_nonCriticalExtension_55_sequence);

  return offset;
}


static const per_sequence_t UEInformationRequest_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_mobilityHistoryReportReq_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mobilityHistoryReportReq_r12 },
  { &hf_lte_rrc_nonCriticalExtension_171, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_55 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationRequest_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationRequest_v1250_IEs, UEInformationRequest_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t UEInformationRequest_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_connEstFailReportReq_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_connEstFailReportReq_r11 },
  { &hf_lte_rrc_nonCriticalExtension_170, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEInformationRequest_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationRequest_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationRequest_v1130_IEs, UEInformationRequest_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t UEInformationRequest_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_logMeasReportReq_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasReportReq_r10 },
  { &hf_lte_rrc_nonCriticalExtension_169, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEInformationRequest_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationRequest_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationRequest_v1020_IEs, UEInformationRequest_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t UEInformationRequest_v930_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_168, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEInformationRequest_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationRequest_v930_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationRequest_v930_IEs, UEInformationRequest_v930_IEs_sequence);

  return offset;
}


static const per_sequence_t UEInformationRequest_r9_IEs_sequence[] = {
  { &hf_lte_rrc_rach_ReportReq_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_rlf_ReportReq_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_nonCriticalExtension_167, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEInformationRequest_v930_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationRequest_r9_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationRequest_r9_IEs, UEInformationRequest_r9_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_43_vals[] = {
  {   0, "ueInformationRequest-r9" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_43_choice[] = {
  {   0, &hf_lte_rrc_ueInformationRequest_r9_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UEInformationRequest_r9_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_43(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_43, T_c1_43_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_46_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_46(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_46, T_criticalExtensionsFuture_46_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_46_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_46_choice[] = {
  {   0, &hf_lte_rrc_c1_43       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_43 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_46, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_46 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_46(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_46, T_criticalExtensions_46_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UEInformationRequest_r9_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_46, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_46 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationRequest_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "UEInformationRequest-r9");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationRequest_r9, UEInformationRequest_r9_sequence);

  return offset;
}


static const per_sequence_t TraceReference_r10_sequence[] = {
  { &hf_lte_rrc_plmn_Identity_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
  { &hf_lte_rrc_traceId_r10 , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OCTET_STRING_SIZE_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TraceReference_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TraceReference_r10, TraceReference_r10_sequence);

  return offset;
}



static int
dissect_lte_rrc_OCTET_STRING_SIZE_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       2, 2, FALSE, NULL);

  return offset;
}



static int
dissect_lte_rrc_AbsoluteTimeInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *abs_time_info_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     48, 48, FALSE, &abs_time_info_tvb, NULL);


  if (abs_time_info_tvb) {
    const gchar *str, *hf_str;
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_absTimeInfo);
    str = tvb_bcd_dig_to_wmem_packet_str(abs_time_info_tvb, 0, 6, NULL, FALSE);
    hf_str = wmem_strdup_printf(wmem_packet_scope(), "%c%c-%c%c-%c%c %c%c:%c%c:%c%c", str[0], str[1],
                        str[2], str[3], str[4], str[5], str[6], str[7], str[8], str[9], str[10], str[11]);
    proto_tree_add_string(subtree, hf_lte_rrc_absolute_time, abs_time_info_tvb, 0, 6, hf_str);
  }

  return offset;
}


static const per_sequence_t CellGlobalIdEUTRA_sequence[] = {
  { &hf_lte_rrc_plmn_Identity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
  { &hf_lte_rrc_cellIdentity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellIdentity },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellGlobalIdEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellGlobalIdEUTRA, CellGlobalIdEUTRA_sequence);

  return offset;
}


static const per_sequence_t CellGlobalIdList_r10_sequence_of[1] = {
  { &hf_lte_rrc_CellGlobalIdList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellGlobalIdEUTRA },
};

static int
dissect_lte_rrc_CellGlobalIdList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CellGlobalIdList_r10, CellGlobalIdList_r10_sequence_of,
                                                  1, 32, FALSE);

  return offset;
}


static const per_sequence_t TrackingAreaCodeList_r10_sequence_of[1] = {
  { &hf_lte_rrc_TrackingAreaCodeList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrackingAreaCode },
};

static int
dissect_lte_rrc_TrackingAreaCodeList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_TrackingAreaCodeList_r10, TrackingAreaCodeList_r10_sequence_of,
                                                  1, 8, FALSE);

  return offset;
}


static const value_string lte_rrc_AreaConfiguration_r10_vals[] = {
  {   0, "cellGlobalIdList-r10" },
  {   1, "trackingAreaCodeList-r10" },
  { 0, NULL }
};

static const per_choice_t AreaConfiguration_r10_choice[] = {
  {   0, &hf_lte_rrc_cellGlobalIdList_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CellGlobalIdList_r10 },
  {   1, &hf_lte_rrc_trackingAreaCodeList_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_TrackingAreaCodeList_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_AreaConfiguration_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_AreaConfiguration_r10, AreaConfiguration_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_LoggingDuration_r10_vals[] = {
  {   0, "min10" },
  {   1, "min20" },
  {   2, "min40" },
  {   3, "min60" },
  {   4, "min90" },
  {   5, "min120" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_LoggingDuration_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_LoggingInterval_r10_vals[] = {
  {   0, "ms1280" },
  {   1, "ms2560" },
  {   2, "ms5120" },
  {   3, "ms10240" },
  {   4, "ms20480" },
  {   5, "ms30720" },
  {   6, "ms40960" },
  {   7, "ms61440" },
  { 0, NULL }
};


static int
dissect_lte_rrc_LoggingInterval_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PLMN_IdentityList3_r11_sequence_of[1] = {
  { &hf_lte_rrc_PLMN_IdentityList3_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
};

static int
dissect_lte_rrc_PLMN_IdentityList3_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PLMN_IdentityList3_r11, PLMN_IdentityList3_r11_sequence_of,
                                                  1, 16, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_8_OF_PLMN_Identity_sequence_of[1] = {
  { &hf_lte_rrc_plmn_Identity_perTAC_List_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_PLMN_Identity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_PLMN_Identity, SEQUENCE_SIZE_1_8_OF_PLMN_Identity_sequence_of,
                                                  1, 8, FALSE);

  return offset;
}


static const per_sequence_t TrackingAreaCodeList_v1130_sequence[] = {
  { &hf_lte_rrc_plmn_Identity_perTAC_List_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_8_OF_PLMN_Identity },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TrackingAreaCodeList_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TrackingAreaCodeList_v1130, TrackingAreaCodeList_v1130_sequence);

  return offset;
}


static const per_sequence_t AreaConfiguration_v1130_sequence[] = {
  { &hf_lte_rrc_trackingAreaCodeList_v1130, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrackingAreaCodeList_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AreaConfiguration_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AreaConfiguration_v1130, AreaConfiguration_v1130_sequence);

  return offset;
}


static const per_sequence_t TargetMBSFN_Area_r12_sequence[] = {
  { &hf_lte_rrc_mbsfn_AreaId_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MBSFN_AreaId_r12 },
  { &hf_lte_rrc_carrierFreq_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TargetMBSFN_Area_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TargetMBSFN_Area_r12, TargetMBSFN_Area_r12_sequence);

  return offset;
}


static const per_sequence_t TargetMBSFN_AreaList_r12_sequence_of[1] = {
  { &hf_lte_rrc_TargetMBSFN_AreaList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TargetMBSFN_Area_r12 },
};

static int
dissect_lte_rrc_TargetMBSFN_AreaList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_TargetMBSFN_AreaList_r12, TargetMBSFN_AreaList_r12_sequence_of,
                                                  0, maxMBSFN_Area, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_16_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_16, T_nonCriticalExtension_16_sequence);

  return offset;
}


static const per_sequence_t LoggedMeasurementConfiguration_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_targetMBSFN_AreaList_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TargetMBSFN_AreaList_r12 },
  { &hf_lte_rrc_nonCriticalExtension_42, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_16 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LoggedMeasurementConfiguration_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LoggedMeasurementConfiguration_v1250_IEs, LoggedMeasurementConfiguration_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t LoggedMeasurementConfiguration_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PLMN_IdentityList3_r11 },
  { &hf_lte_rrc_areaConfiguration_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AreaConfiguration_v1130 },
  { &hf_lte_rrc_nonCriticalExtension_41, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LoggedMeasurementConfiguration_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LoggedMeasurementConfiguration_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LoggedMeasurementConfiguration_v1130_IEs, LoggedMeasurementConfiguration_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t LoggedMeasurementConfiguration_v1080_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_40, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LoggedMeasurementConfiguration_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LoggedMeasurementConfiguration_v1080_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LoggedMeasurementConfiguration_v1080_IEs, LoggedMeasurementConfiguration_v1080_IEs_sequence);

  return offset;
}


static const per_sequence_t LoggedMeasurementConfiguration_r10_IEs_sequence[] = {
  { &hf_lte_rrc_traceReference_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TraceReference_r10 },
  { &hf_lte_rrc_traceRecordingSessionRef_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OCTET_STRING_SIZE_2 },
  { &hf_lte_rrc_tce_Id_r10  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OCTET_STRING_SIZE_1 },
  { &hf_lte_rrc_absoluteTimeInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AbsoluteTimeInfo_r10 },
  { &hf_lte_rrc_areaConfiguration_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AreaConfiguration_r10 },
  { &hf_lte_rrc_loggingDuration_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LoggingDuration_r10 },
  { &hf_lte_rrc_loggingInterval_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LoggingInterval_r10 },
  { &hf_lte_rrc_nonCriticalExtension_39, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LoggedMeasurementConfiguration_v1080_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LoggedMeasurementConfiguration_r10_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LoggedMeasurementConfiguration_r10_IEs, LoggedMeasurementConfiguration_r10_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_22_vals[] = {
  {   0, "loggedMeasurementConfiguration-r10" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_22_choice[] = {
  {   0, &hf_lte_rrc_loggedMeasurementConfiguration_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_LoggedMeasurementConfiguration_r10_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_22(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_22, T_c1_22_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_15_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_15, T_criticalExtensionsFuture_15_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_15_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_15_choice[] = {
  {   0, &hf_lte_rrc_c1_22       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_22 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_15, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_15, T_criticalExtensions_15_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t LoggedMeasurementConfiguration_r10_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LoggedMeasurementConfiguration_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "LoggedMeasurementConfiguration-r10");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LoggedMeasurementConfiguration_r10, LoggedMeasurementConfiguration_r10_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_systemInformationBlockType1_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SystemInformationBlockType1_PDU);

  return offset;
}


static const per_sequence_t RN_SystemInfo_r10_sequence[] = {
  { &hf_lte_rrc_systemInformationBlockType1_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_systemInformationBlockType1_r10 },
  { &hf_lte_rrc_systemInformationBlockType2_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RN_SystemInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RN_SystemInfo_r10, RN_SystemInfo_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_subframeConfigPattern_r10_vals[] = {
  {   0, "subframeConfigPatternFDD-r10" },
  {   1, "subframeConfigPatternTDD-r10" },
  { 0, NULL }
};

static const per_choice_t T_subframeConfigPattern_r10_choice[] = {
  {   0, &hf_lte_rrc_subframeConfigPatternFDD_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_8 },
  {   1, &hf_lte_rrc_subframeConfigPatternTDD_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_31 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_subframeConfigPattern_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_subframeConfigPattern_r10, T_subframeConfigPattern_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_resourceAllocationType_r10_vals[] = {
  {   0, "type0" },
  {   1, "type1" },
  {   2, "type2Localized" },
  {   3, "type2Distributed" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_resourceAllocationType_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_17(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     17, 17, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_25(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     25, 25, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_type01_r10_vals[] = {
  {   0, "nrb6-r10" },
  {   1, "nrb15-r10" },
  {   2, "nrb25-r10" },
  {   3, "nrb50-r10" },
  {   4, "nrb75-r10" },
  {   5, "nrb100-r10" },
  { 0, NULL }
};

static const per_choice_t T_type01_r10_choice[] = {
  {   0, &hf_lte_rrc_nrb6_r10    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_6 },
  {   1, &hf_lte_rrc_nrb15_r10   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_8 },
  {   2, &hf_lte_rrc_nrb25_r10   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_13 },
  {   3, &hf_lte_rrc_nrb50_r10   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_17 },
  {   4, &hf_lte_rrc_nrb75_r10   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_19 },
  {   5, &hf_lte_rrc_nrb100_r10  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_25 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_type01_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_type01_r10, T_type01_r10_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     11, 11, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_type2_r10_vals[] = {
  {   0, "nrb6-r10" },
  {   1, "nrb15-r10" },
  {   2, "nrb25-r10" },
  {   3, "nrb50-r10" },
  {   4, "nrb75-r10" },
  {   5, "nrb100-r10" },
  { 0, NULL }
};

static const per_choice_t T_type2_r10_choice[] = {
  {   0, &hf_lte_rrc_nrb6_r10_01 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_5 },
  {   1, &hf_lte_rrc_nrb15_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_7 },
  {   2, &hf_lte_rrc_nrb25_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_9 },
  {   3, &hf_lte_rrc_nrb50_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_11 },
  {   4, &hf_lte_rrc_nrb75_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_12 },
  {   5, &hf_lte_rrc_nrb100_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_type2_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_type2_r10, T_type2_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_resourceBlockAssignment_r10_vals[] = {
  {   0, "type01-r10" },
  {   1, "type2-r10" },
  { 0, NULL }
};

static const per_choice_t T_resourceBlockAssignment_r10_choice[] = {
  {   0, &hf_lte_rrc_type01_r10  , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_type01_r10 },
  {   1, &hf_lte_rrc_type2_r10   , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_type2_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_resourceBlockAssignment_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_resourceBlockAssignment_r10, T_resourceBlockAssignment_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_interleaving_r10_vals[] = {
  {   0, "crs" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interleaving_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_noInterleaving_r10_vals[] = {
  {   0, "crs" },
  {   1, "dmrs" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_noInterleaving_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_demodulationRS_r10_vals[] = {
  {   0, "interleaving-r10" },
  {   1, "noInterleaving-r10" },
  { 0, NULL }
};

static const per_choice_t T_demodulationRS_r10_choice[] = {
  {   0, &hf_lte_rrc_interleaving_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_interleaving_r10 },
  {   1, &hf_lte_rrc_noInterleaving_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_noInterleaving_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_demodulationRS_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_demodulationRS_r10, T_demodulationRS_r10_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 3U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_n1PUCCH_AN_List_r10_sequence_of[1] = {
  { &hf_lte_rrc_n1PUCCH_AN_List_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
};

static int
dissect_lte_rrc_T_n1PUCCH_AN_List_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_n1PUCCH_AN_List_r10, T_n1PUCCH_AN_List_r10_sequence_of,
                                                  1, 4, FALSE);

  return offset;
}


static const per_sequence_t T_channelSelectionMultiplexingBundling_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_List_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n1PUCCH_AN_List_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_channelSelectionMultiplexingBundling(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_channelSelectionMultiplexingBundling, T_channelSelectionMultiplexingBundling_sequence);

  return offset;
}


static const per_sequence_t T_fallbackForFormat3_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_P0_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { &hf_lte_rrc_n1PUCCH_AN_P1_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_fallbackForFormat3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_fallbackForFormat3, T_fallbackForFormat3_sequence);

  return offset;
}


static const value_string lte_rrc_T_tdd_vals[] = {
  {   0, "channelSelectionMultiplexingBundling" },
  {   1, "fallbackForFormat3" },
  { 0, NULL }
};

static const per_choice_t T_tdd_choice[] = {
  {   0, &hf_lte_rrc_channelSelectionMultiplexingBundling, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_channelSelectionMultiplexingBundling },
  {   1, &hf_lte_rrc_fallbackForFormat3, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_fallbackForFormat3 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_tdd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_tdd, T_tdd_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_fdd_sequence[] = {
  { &hf_lte_rrc_n1PUCCH_AN_P0_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2047 },
  { &hf_lte_rrc_n1PUCCH_AN_P1_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_2047 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_fdd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_fdd, T_fdd_sequence);

  return offset;
}


static const value_string lte_rrc_T_pucch_Config_r10_vals[] = {
  {   0, "tdd" },
  {   1, "fdd" },
  { 0, NULL }
};

static const per_choice_t T_pucch_Config_r10_choice[] = {
  {   0, &hf_lte_rrc_tdd         , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_tdd },
  {   1, &hf_lte_rrc_fdd         , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_fdd },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_pucch_Config_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_pucch_Config_r10, T_pucch_Config_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_rpdcch_Config_r10_sequence[] = {
  { &hf_lte_rrc_resourceAllocationType_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_resourceAllocationType_r10 },
  { &hf_lte_rrc_resourceBlockAssignment_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_resourceBlockAssignment_r10 },
  { &hf_lte_rrc_demodulationRS_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_demodulationRS_r10 },
  { &hf_lte_rrc_pdsch_Start_r10_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_3 },
  { &hf_lte_rrc_pucch_Config_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_pucch_Config_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rpdcch_Config_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rpdcch_Config_r10, T_rpdcch_Config_r10_sequence);

  return offset;
}


static const per_sequence_t RN_SubframeConfig_r10_sequence[] = {
  { &hf_lte_rrc_subframeConfigPattern_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_subframeConfigPattern_r10 },
  { &hf_lte_rrc_rpdcch_Config_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rpdcch_Config_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RN_SubframeConfig_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RN_SubframeConfig_r10, RN_SubframeConfig_r10_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_26_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_26(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_26, T_nonCriticalExtension_26_sequence);

  return offset;
}


static const per_sequence_t RNReconfiguration_r10_IEs_sequence[] = {
  { &hf_lte_rrc_rn_SystemInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RN_SystemInfo_r10 },
  { &hf_lte_rrc_rn_SubframeConfig_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RN_SubframeConfig_r10 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_66, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_26 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RNReconfiguration_r10_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RNReconfiguration_r10_IEs, RNReconfiguration_r10_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_28_vals[] = {
  {   0, "rnReconfiguration-r10" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_28_choice[] = {
  {   0, &hf_lte_rrc_rnReconfiguration_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RNReconfiguration_r10_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_28(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_28, T_c1_28_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_21_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_21(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_21, T_criticalExtensionsFuture_21_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_21_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_21_choice[] = {
  {   0, &hf_lte_rrc_c1_28       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_28 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_21, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_21 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_21(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_21, T_criticalExtensions_21_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RNReconfiguration_r10_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_21, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_21 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RNReconfiguration_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RNReconfiguration-r10");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RNReconfiguration_r10, RNReconfiguration_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_drb_ContinueROHC_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_ContinueROHC_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_nr_RadioBearerConfig_r15_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *radio_bearer_config_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &radio_bearer_config_tvb);


  if (radio_bearer_config_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_nr_RadioBearerConfig_r15);
    dissect_nr_rrc_RadioBearerConfig_PDU(radio_bearer_config_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_nr_RadioBearerConfigS_r15_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *radio_bearer_config_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &radio_bearer_config_tvb);


  if (radio_bearer_config_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_nr_RadioBearerConfigS_r15);
    dissect_nr_rrc_RadioBearerConfig_PDU(radio_bearer_config_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}


static const per_sequence_t T_nonCriticalExtension_36_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_36(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_36, T_nonCriticalExtension_36_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionResume_v15x0_IEs_sequence[] = {
  { &hf_lte_rrc_sk_Counter_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_65535 },
  { &hf_lte_rrc_nr_RadioBearerConfig_r15_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nr_RadioBearerConfig_r15_01 },
  { &hf_lte_rrc_nr_RadioBearerConfigS_r15_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nr_RadioBearerConfigS_r15_01 },
  { &hf_lte_rrc_nonCriticalExtension_109, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_36 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResume_v15x0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResume_v15x0_IEs, RRCConnectionResume_v15x0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionResume_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_otherConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OtherConfig_r9 },
  { &hf_lte_rrc_rrcConnectionResume_v15x0_IEs, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionResume_v15x0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResume_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResume_v1430_IEs, RRCConnectionResume_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionResume_r13_IEs_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicated_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicated },
  { &hf_lte_rrc_nextHopChainingCount_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NextHopChainingCount },
  { &hf_lte_rrc_measConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasConfig },
  { &hf_lte_rrc_antennaInfoDedicatedPCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v10i0 },
  { &hf_lte_rrc_drb_ContinueROHC_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_ContinueROHC_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_rrcConnectionResume_v1430_IEs, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionResume_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResume_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResume_r13_IEs, RRCConnectionResume_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_34_vals[] = {
  {   0, "rrcConnectionResume-r13" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_34_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionResume_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResume_r13_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_34(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_34, T_c1_34_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_32_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_32, T_criticalExtensionsFuture_32_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_32_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_32_choice[] = {
  {   0, &hf_lte_rrc_c1_34       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_34 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_32, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_32 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_32, T_criticalExtensions_32_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionResume_r13_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_32, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_32 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResume_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionResume-r13");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResume_r13, RRCConnectionResume_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_13_vals[] = {
  {   0, "csfbParametersResponseCDMA2000" },
  {   1, "dlInformationTransfer" },
  {   2, "handoverFromEUTRAPreparationRequest" },
  {   3, "mobilityFromEUTRACommand" },
  {   4, "rrcConnectionReconfiguration" },
  {   5, "rrcConnectionRelease" },
  {   6, "securityModeCommand" },
  {   7, "ueCapabilityEnquiry" },
  {   8, "counterCheck" },
  {   9, "ueInformationRequest-r9" },
  {  10, "loggedMeasurementConfiguration-r10" },
  {  11, "rnReconfiguration-r10" },
  {  12, "rrcConnectionResume-r13" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_13_choice[] = {
  {   0, &hf_lte_rrc_csfbParametersResponseCDMA2000, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSFBParametersResponseCDMA2000 },
  {   1, &hf_lte_rrc_dlInformationTransfer, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DLInformationTransfer },
  {   2, &hf_lte_rrc_handoverFromEUTRAPreparationRequest, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_HandoverFromEUTRAPreparationRequest },
  {   3, &hf_lte_rrc_mobilityFromEUTRACommand, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MobilityFromEUTRACommand },
  {   4, &hf_lte_rrc_rrcConnectionReconfiguration, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReconfiguration },
  {   5, &hf_lte_rrc_rrcConnectionRelease, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionRelease },
  {   6, &hf_lte_rrc_securityModeCommand, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeCommand },
  {   7, &hf_lte_rrc_ueCapabilityEnquiry, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UECapabilityEnquiry },
  {   8, &hf_lte_rrc_counterCheck, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CounterCheck },
  {   9, &hf_lte_rrc_ueInformationRequest_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UEInformationRequest_r9 },
  {  10, &hf_lte_rrc_loggedMeasurementConfiguration_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_LoggedMeasurementConfiguration_r10 },
  {  11, &hf_lte_rrc_rnReconfiguration_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RNReconfiguration_r10 },
  {  12, &hf_lte_rrc_rrcConnectionResume_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResume_r13 },
  {  13, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  14, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  15, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_13, T_c1_13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_06_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_06(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_06, T_messageClassExtension_06_sequence);

  return offset;
}


static const value_string lte_rrc_DL_DCCH_MessageType_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t DL_DCCH_MessageType_choice[] = {
  {   0, &hf_lte_rrc_c1_13       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_13 },
  {   1, &hf_lte_rrc_messageClassExtension_06, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_06 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DL_DCCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DL_DCCH_MessageType, DL_DCCH_MessageType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DL_DCCH_Message_sequence[] = {
  { &hf_lte_rrc_message_08  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_DCCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_DCCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  actx->pinfo->link_dir = P2P_DIR_DL;

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_DCCH_Message, DL_DCCH_Message_sequence);

  return offset;
}


static const per_sequence_t ReestabUE_Identity_sequence[] = {
  { &hf_lte_rrc_c_RNTI      , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_physCellId_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_shortMAC_I  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ShortMAC_I },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReestabUE_Identity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReestabUE_Identity, ReestabUE_Identity_sequence);

  return offset;
}


static const value_string lte_rrc_ReestablishmentCause_vals[] = {
  {   0, "reconfigurationFailure" },
  {   1, "handoverFailure" },
  {   2, "otherFailure" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_ReestablishmentCause(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentRequest_r8_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Identity_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReestabUE_Identity },
  { &hf_lte_rrc_reestablishmentCause, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReestablishmentCause },
  { &hf_lte_rrc_spare_03    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentRequest_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentRequest_r8_IEs, RRCConnectionReestablishmentRequest_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_28_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_28(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_28, T_criticalExtensionsFuture_28_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_28_vals[] = {
  {   0, "rrcConnectionReestablishmentRequest-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_28_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishmentRequest_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentRequest_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_28, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_28 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_28(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_28, T_criticalExtensions_28_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentRequest_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_28, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_28 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReestablishmentRequest");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentRequest, RRCConnectionReestablishmentRequest_sequence);

  return offset;
}


static const value_string lte_rrc_InitialUE_Identity_vals[] = {
  {   0, "s-TMSI" },
  {   1, "randomValue" },
  { 0, NULL }
};

static const per_choice_t InitialUE_Identity_choice[] = {
  {   0, &hf_lte_rrc_s_TMSI      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_S_TMSI },
  {   1, &hf_lte_rrc_randomValue , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_40 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_InitialUE_Identity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_InitialUE_Identity, InitialUE_Identity_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_EstablishmentCause_vals[] = {
  {   0, "emergency" },
  {   1, "highPriorityAccess" },
  {   2, "mt-Access" },
  {   3, "mo-Signalling" },
  {   4, "mo-Data" },
  {   5, "delayTolerantAccess-v1020" },
  {   6, "mo-VoiceCall-v1280" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_EstablishmentCause(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, 1, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t RRCConnectionRequest_r8_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Identity_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InitialUE_Identity },
  { &hf_lte_rrc_establishmentCause, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_EstablishmentCause },
  { &hf_lte_rrc_spare_04    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRequest_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRequest_r8_IEs, RRCConnectionRequest_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_31_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_31, T_criticalExtensionsFuture_31_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_31_vals[] = {
  {   0, "rrcConnectionRequest-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_31_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionRequest_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionRequest_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_31, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_31 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_31, T_criticalExtensions_31_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionRequest_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_31, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionRequest");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRequest, RRCConnectionRequest_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_14_vals[] = {
  {   0, "rrcConnectionReestablishmentRequest" },
  {   1, "rrcConnectionRequest" },
  { 0, NULL }
};

static const per_choice_t T_c1_14_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishmentRequest, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentRequest },
  {   1, &hf_lte_rrc_rrcConnectionRequest, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionRequest },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_14, T_c1_14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_resumeIdentity_r13_vals[] = {
  {   0, "resumeID-r13" },
  {   1, "truncatedResumeID-r13" },
  { 0, NULL }
};

static const per_choice_t T_resumeIdentity_r13_choice[] = {
  {   0, &hf_lte_rrc_resumeID_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ResumeIdentity_r13 },
  {   1, &hf_lte_rrc_truncatedResumeID_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_24 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_resumeIdentity_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_resumeIdentity_r13, T_resumeIdentity_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_ResumeCause_vals[] = {
  {   0, "emergency" },
  {   1, "highPriorityAccess" },
  {   2, "mt-Access" },
  {   3, "mo-Signalling" },
  {   4, "mo-Data" },
  {   5, "delayTolerantAccess-v1020" },
  {   6, "mo-VoiceCall-v1280" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_ResumeCause(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RRCConnectionResumeRequest_r13_IEs_sequence[] = {
  { &hf_lte_rrc_resumeIdentity_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_resumeIdentity_r13 },
  { &hf_lte_rrc_shortResumeMAC_I_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_resumeCause_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ResumeCause },
  { &hf_lte_rrc_spare_04    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResumeRequest_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResumeRequest_r13_IEs, RRCConnectionResumeRequest_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_34_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_34(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_34, T_criticalExtensionsFuture_34_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_34_vals[] = {
  {   0, "rrcConnectionResumeRequest-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_34_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionResumeRequest_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResumeRequest_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_34, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_34 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_34(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_34, T_criticalExtensions_34_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionResumeRequest_r13_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_34, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_34 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResumeRequest_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResumeRequest_r13, RRCConnectionResumeRequest_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_c2_01_vals[] = {
  {   0, "rrcConnectionResumeRequest-r13" },
  { 0, NULL }
};

static const per_choice_t T_c2_01_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionResumeRequest_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResumeRequest_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c2_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c2_01, T_c2_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtensionFuture_r13_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtensionFuture_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtensionFuture_r13, T_messageClassExtensionFuture_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_messageClassExtension_07_vals[] = {
  {   0, "c2" },
  {   1, "messageClassExtensionFuture-r13" },
  { 0, NULL }
};

static const per_choice_t T_messageClassExtension_07_choice[] = {
  {   0, &hf_lte_rrc_c2_01       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c2_01 },
  {   1, &hf_lte_rrc_messageClassExtensionFuture_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtensionFuture_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_07(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_messageClassExtension_07, T_messageClassExtension_07_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_UL_CCCH_MessageType_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t UL_CCCH_MessageType_choice[] = {
  {   0, &hf_lte_rrc_c1_14       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_14 },
  {   1, &hf_lte_rrc_messageClassExtension_07, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_07 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_UL_CCCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_UL_CCCH_MessageType, UL_CCCH_MessageType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UL_CCCH_Message_sequence[] = {
  { &hf_lte_rrc_message_09  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_CCCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_CCCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_CCCH_Message, UL_CCCH_Message_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_10_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_10, T_nonCriticalExtension_10_sequence);

  return offset;
}


static const per_sequence_t CSFBParametersRequestCDMA2000_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_25, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSFBParametersRequestCDMA2000_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSFBParametersRequestCDMA2000_v8a0_IEs, CSFBParametersRequestCDMA2000_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t CSFBParametersRequestCDMA2000_r8_IEs_sequence[] = {
  { &hf_lte_rrc_nonCriticalExtension_24, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSFBParametersRequestCDMA2000_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSFBParametersRequestCDMA2000_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSFBParametersRequestCDMA2000_r8_IEs, CSFBParametersRequestCDMA2000_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_09_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_09(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_09, T_criticalExtensionsFuture_09_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_09_vals[] = {
  {   0, "csfbParametersRequestCDMA2000-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_09_choice[] = {
  {   0, &hf_lte_rrc_csfbParametersRequestCDMA2000_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSFBParametersRequestCDMA2000_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_09, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_09 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_09(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_09, T_criticalExtensions_09_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CSFBParametersRequestCDMA2000_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_09, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_09 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSFBParametersRequestCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "CSFBParametersRequestCDMA2000");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSFBParametersRequestCDMA2000, CSFBParametersRequestCDMA2000_sequence);

  return offset;
}


static const per_sequence_t T_measResultPCell_sequence[] = {
  { &hf_lte_rrc_rsrpResult  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResult  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultPCell(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultPCell, T_measResultPCell_sequence);

  return offset;
}


static const per_sequence_t PLMN_IdentityList2_sequence_of[1] = {
  { &hf_lte_rrc_PLMN_IdentityList2_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
};

static int
dissect_lte_rrc_PLMN_IdentityList2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PLMN_IdentityList2, PLMN_IdentityList2_sequence_of,
                                                  1, 5, FALSE);

  return offset;
}


static const per_sequence_t T_cgi_Info_sequence[] = {
  { &hf_lte_rrc_cellGlobalId, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellGlobalIdEUTRA },
  { &hf_lte_rrc_trackingAreaCode, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrackingAreaCode },
  { &hf_lte_rrc_plmn_IdentityList_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PLMN_IdentityList2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cgi_Info(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cgi_Info, T_cgi_Info_sequence);

  return offset;
}


static const value_string lte_rrc_T_csg_MemberStatus_r9_vals[] = {
  {   0, "member" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csg_MemberStatus_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AdditionalSI_Info_r9_sequence[] = {
  { &hf_lte_rrc_csg_MemberStatus_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csg_MemberStatus_r9 },
  { &hf_lte_rrc_csg_Identity_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CSG_Identity },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AdditionalSI_Info_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AdditionalSI_Info_r9, AdditionalSI_Info_r9_sequence);

  return offset;
}


static const per_sequence_t T_eag_1_03_sequence[] = {
  { &hf_lte_rrc_additionalSI_Info_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalSI_Info_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_1_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_1_03_sequence);

  return offset;
}


static const value_string lte_rrc_T_primaryPLMN_Suitable_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_primaryPLMN_Suitable_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_eag_2_01_sequence[] = {
  { &hf_lte_rrc_primaryPLMN_Suitable_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_primaryPLMN_Suitable_r12 },
  { &hf_lte_rrc_measResult_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_2_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_2_01_sequence);

  return offset;
}


static const value_string lte_rrc_T_freqBandIndicatorPriority_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_freqBandIndicatorPriority_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_cgi_Info_v1310_sequence[] = {
  { &hf_lte_rrc_freqBandIndicator_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqBandIndicator_r11 },
  { &hf_lte_rrc_multiBandInfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_r11 },
  { &hf_lte_rrc_freqBandIndicatorPriority_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_freqBandIndicatorPriority_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cgi_Info_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cgi_Info_v1310, T_cgi_Info_v1310_sequence);

  return offset;
}


static const per_sequence_t T_eag_3_01_sequence[] = {
  { &hf_lte_rrc_rs_sinr_Result_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RS_SINR_Range_r13 },
  { &hf_lte_rrc_cgi_Info_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cgi_Info_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_3_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_3_01_sequence);

  return offset;
}



static int
dissect_lte_rrc_RSRP_Range_v1360(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -17, -1, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_eag_4_sequence[] = {
  { &hf_lte_rrc_measResult_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_Range_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_4_sequence);

  return offset;
}


static const per_sequence_t T_measResult_sequence[] = {
  { &hf_lte_rrc_rsrpResult  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResult  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_1_03 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_2_01 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_3_01 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResult(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResult, T_measResult_sequence);

  return offset;
}


static const per_sequence_t MeasResultEUTRA_sequence[] = {
  { &hf_lte_rrc_physCellId_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_cgi_Info    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cgi_Info },
  { &hf_lte_rrc_measResult  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResult },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultEUTRA, MeasResultEUTRA_sequence);

  return offset;
}


static const per_sequence_t MeasResultListEUTRA_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListEUTRA_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultEUTRA },
};

static int
dissect_lte_rrc_MeasResultListEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListEUTRA, MeasResultListEUTRA_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}


static const value_string lte_rrc_T_physCellId_vals[] = {
  {   0, "fdd" },
  {   1, "tdd" },
  { 0, NULL }
};

static const per_choice_t T_physCellId_choice[] = {
  {   0, &hf_lte_rrc_fdd_01      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PhysCellIdUTRA_FDD },
  {   1, &hf_lte_rrc_tdd_01      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PhysCellIdUTRA_TDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_physCellId(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_physCellId, T_physCellId_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_28(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     28, 28, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t CellGlobalIdUTRA_sequence[] = {
  { &hf_lte_rrc_plmn_Identity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
  { &hf_lte_rrc_cellIdentity_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_28 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellGlobalIdUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellGlobalIdUTRA, CellGlobalIdUTRA_sequence);

  return offset;
}


static const per_sequence_t T_cgi_Info_01_sequence[] = {
  { &hf_lte_rrc_cellGlobalId_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellGlobalIdUTRA },
  { &hf_lte_rrc_locationAreaCode, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_routingAreaCode, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { &hf_lte_rrc_plmn_IdentityList_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PLMN_IdentityList2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cgi_Info_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cgi_Info_01, T_cgi_Info_01_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M5_91(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -5, 91U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_eag_1_04_sequence[] = {
  { &hf_lte_rrc_additionalSI_Info_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalSI_Info_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_1_04(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_1_04_sequence);

  return offset;
}


static const value_string lte_rrc_T_primaryPLMN_Suitable_r12_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_primaryPLMN_Suitable_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_eag_2_02_sequence[] = {
  { &hf_lte_rrc_primaryPLMN_Suitable_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_primaryPLMN_Suitable_r12_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_2_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_2_02_sequence);

  return offset;
}


static const per_sequence_t T_measResult_01_sequence[] = {
  { &hf_lte_rrc_utra_RSCP   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M5_91 },
  { &hf_lte_rrc_utra_EcN0   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_49 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_1_04 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_2_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResult_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResult_01, T_measResult_01_sequence);

  return offset;
}


static const per_sequence_t MeasResultUTRA_sequence[] = {
  { &hf_lte_rrc_physCellId_05, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_physCellId },
  { &hf_lte_rrc_cgi_Info_01 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cgi_Info_01 },
  { &hf_lte_rrc_measResult_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResult_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultUTRA, MeasResultUTRA_sequence);

  return offset;
}


static const per_sequence_t MeasResultListUTRA_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListUTRA_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultUTRA },
};

static int
dissect_lte_rrc_MeasResultListUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListUTRA, MeasResultListUTRA_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}


static const per_sequence_t CellGlobalIdGERAN_sequence[] = {
  { &hf_lte_rrc_plmn_Identity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
  { &hf_lte_rrc_locationAreaCode, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_cellIdentity_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellGlobalIdGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellGlobalIdGERAN, CellGlobalIdGERAN_sequence);

  return offset;
}


static const per_sequence_t T_cgi_Info_02_sequence[] = {
  { &hf_lte_rrc_cellGlobalId_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellGlobalIdGERAN },
  { &hf_lte_rrc_routingAreaCode, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cgi_Info_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cgi_Info_02, T_cgi_Info_02_sequence);

  return offset;
}


static const per_sequence_t T_measResult_02_sequence[] = {
  { &hf_lte_rrc_rssi        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResult_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResult_02, T_measResult_02_sequence);

  return offset;
}


static const per_sequence_t MeasResultGERAN_sequence[] = {
  { &hf_lte_rrc_carrierFreq , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqGERAN },
  { &hf_lte_rrc_physCellId  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdGERAN },
  { &hf_lte_rrc_cgi_Info_02 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cgi_Info_02 },
  { &hf_lte_rrc_measResult_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResult_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultGERAN, MeasResultGERAN_sequence);

  return offset;
}


static const per_sequence_t MeasResultListGERAN_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListGERAN_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultGERAN },
};

static int
dissect_lte_rrc_MeasResultListGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListGERAN, MeasResultListGERAN_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_47(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     47, 47, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_128(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     128, 128, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_CellGlobalIdCDMA2000_vals[] = {
  {   0, "cellGlobalId1XRTT" },
  {   1, "cellGlobalIdHRPD" },
  { 0, NULL }
};

static const per_choice_t CellGlobalIdCDMA2000_choice[] = {
  {   0, &hf_lte_rrc_cellGlobalId1XRTT, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_47 },
  {   1, &hf_lte_rrc_cellGlobalIdHRPD, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_128 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_CellGlobalIdCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_CellGlobalIdCDMA2000, CellGlobalIdCDMA2000_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_32767(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 32767U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_measResult_03_sequence[] = {
  { &hf_lte_rrc_pilotPnPhase, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_32767 },
  { &hf_lte_rrc_pilotStrength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_63 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResult_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResult_03, T_measResult_03_sequence);

  return offset;
}


static const per_sequence_t MeasResultCDMA2000_sequence[] = {
  { &hf_lte_rrc_physCellId_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdCDMA2000 },
  { &hf_lte_rrc_cgi_Info_03 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellGlobalIdCDMA2000 },
  { &hf_lte_rrc_measResult_03, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResult_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultCDMA2000, MeasResultCDMA2000_sequence);

  return offset;
}


static const per_sequence_t MeasResultListCDMA2000_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListCDMA2000_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultCDMA2000 },
};

static int
dissect_lte_rrc_MeasResultListCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListCDMA2000, MeasResultListCDMA2000_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}


static const per_sequence_t MeasResultsCDMA2000_sequence[] = {
  { &hf_lte_rrc_preRegistrationStatusHRPD, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_measResultListCDMA2000, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultListCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultsCDMA2000(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultsCDMA2000, MeasResultsCDMA2000_sequence);

  return offset;
}


static const per_sequence_t MeasResultNR_r15_sequence[] = {
  { &hf_lte_rrc_rsrpResult_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_RangeNR_r15 },
  { &hf_lte_rrc_rsrqResult_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_RangeNR_r15 },
  { &hf_lte_rrc_rs_sinr_Result_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RS_SINR_RangeNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultNR_r15, MeasResultNR_r15_sequence);

  return offset;
}


static const per_sequence_t MeasResultSSB_Index_r15_sequence[] = {
  { &hf_lte_rrc_ssb_Index_r15, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RS_IndexNR_r15 },
  { &hf_lte_rrc_measResultSSB_Index_r15, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultSSB_Index_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultSSB_Index_r15, MeasResultSSB_Index_r15_sequence);

  return offset;
}


static const per_sequence_t MeasResultSSB_IndexList_r15_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultSSB_IndexList_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultSSB_Index_r15 },
};

static int
dissect_lte_rrc_MeasResultSSB_IndexList_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultSSB_IndexList_r15, MeasResultSSB_IndexList_r15_sequence_of,
                                                  1, maxRS_Index_r15, FALSE);

  return offset;
}


static const per_sequence_t MeasResultCellNR_r15_sequence[] = {
  { &hf_lte_rrc_pci_r15     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellIdNR_r15 },
  { &hf_lte_rrc_measResultCell_r15, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultNR_r15 },
  { &hf_lte_rrc_measResultRS_IndexList_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultSSB_IndexList_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultCellNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultCellNR_r15, MeasResultCellNR_r15_sequence);

  return offset;
}


static const per_sequence_t MeasResultCellListNR_r15_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultCellListNR_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultCellNR_r15 },
};

static int
dissect_lte_rrc_MeasResultCellListNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultCellListNR_r15, MeasResultCellListNR_r15_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}


static const value_string lte_rrc_T_measResultNeighCells_vals[] = {
  {   0, "measResultListEUTRA" },
  {   1, "measResultListUTRA" },
  {   2, "measResultListGERAN" },
  {   3, "measResultsCDMA2000" },
  {   4, "measResultNCellListNR-r15" },
  { 0, NULL }
};

static const per_choice_t T_measResultNeighCells_choice[] = {
  {   0, &hf_lte_rrc_measResultListEUTRA, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasResultListEUTRA },
  {   1, &hf_lte_rrc_measResultListUTRA, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasResultListUTRA },
  {   2, &hf_lte_rrc_measResultListGERAN, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasResultListGERAN },
  {   3, &hf_lte_rrc_measResultsCDMA2000, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_MeasResultsCDMA2000 },
  {   4, &hf_lte_rrc_measResultNCellListNR_r15, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_MeasResultCellListNR_r15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultNeighCells(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_measResultNeighCells, T_measResultNeighCells_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasResultForECID_r9_sequence[] = {
  { &hf_lte_rrc_ue_RxTxTimeDiffResult_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_4095 },
  { &hf_lte_rrc_currentSFN_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultForECID_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultForECID_r9, MeasResultForECID_r9_sequence);

  return offset;
}


static const per_sequence_t MeasResults_eag_1_sequence[] = {
  { &hf_lte_rrc_measResultForECID_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultForECID_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResults_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResults_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ellipsoid_Point_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ellipsoid_point_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &ellipsoid_point_tvb);

  if (ellipsoid_point_tvb) {
    dissect_lpp_Ellipsoid_Point_PDU(ellipsoid_point_tvb, actx->pinfo, tree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_ellipsoidPointWithAltitude_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ellipsoid_point_with_alt_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &ellipsoid_point_with_alt_tvb);

  if (ellipsoid_point_with_alt_tvb) {
    dissect_lpp_EllipsoidPointWithAltitude_PDU(ellipsoid_point_with_alt_tvb, actx->pinfo, tree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_ellipsoidPointWithUncertaintyCircle_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ellipsoid_point_with_uncert_circ_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &ellipsoid_point_with_uncert_circ_tvb);

  if (ellipsoid_point_with_uncert_circ_tvb) {
    dissect_lpp_Ellipsoid_PointWithUncertaintyCircle_PDU(ellipsoid_point_with_uncert_circ_tvb, actx->pinfo, tree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_ellipsoidPointWithUncertaintyEllipse_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ellipsoid_point_with_uncert_ellipse_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &ellipsoid_point_with_uncert_ellipse_tvb);

  if (ellipsoid_point_with_uncert_ellipse_tvb) {
    dissect_lpp_EllipsoidPointWithUncertaintyEllipse_PDU(ellipsoid_point_with_uncert_ellipse_tvb, actx->pinfo, tree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_ellipsoidPointWithAltitudeAndUncertaintyEllipsoid_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ellipsoid_point_with_alt_uncert_ellipsoid_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &ellipsoid_point_with_alt_uncert_ellipsoid_tvb);

  if (ellipsoid_point_with_alt_uncert_ellipsoid_tvb) {
    dissect_lpp_EllipsoidPointWithAltitudeAndUncertaintyEllipsoid_PDU(ellipsoid_point_with_alt_uncert_ellipsoid_tvb, actx->pinfo, tree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_ellipsoidArc_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *ellipsoid_arc_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &ellipsoid_arc_tvb);

  if (ellipsoid_arc_tvb) {
    dissect_lpp_EllipsoidArc_PDU(ellipsoid_arc_tvb, actx->pinfo, tree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_polygon_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *polygon_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &polygon_tvb);

  if (polygon_tvb) {
    dissect_lpp_Polygon_PDU(polygon_tvb, actx->pinfo, tree, NULL);
  }


  return offset;
}


static const value_string lte_rrc_T_locationCoordinates_r10_vals[] = {
  {   0, "ellipsoid-Point-r10" },
  {   1, "ellipsoidPointWithAltitude-r10" },
  {   2, "ellipsoidPointWithUncertaintyCircle-r11" },
  {   3, "ellipsoidPointWithUncertaintyEllipse-r11" },
  {   4, "ellipsoidPointWithAltitudeAndUncertaintyEllipsoid-r11" },
  {   5, "ellipsoidArc-r11" },
  {   6, "polygon-r11" },
  { 0, NULL }
};

static const per_choice_t T_locationCoordinates_r10_choice[] = {
  {   0, &hf_lte_rrc_ellipsoid_Point_r10, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_ellipsoid_Point_r10 },
  {   1, &hf_lte_rrc_ellipsoidPointWithAltitude_r10, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_ellipsoidPointWithAltitude_r10 },
  {   2, &hf_lte_rrc_ellipsoidPointWithUncertaintyCircle_r11, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_ellipsoidPointWithUncertaintyCircle_r11 },
  {   3, &hf_lte_rrc_ellipsoidPointWithUncertaintyEllipse_r11, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_ellipsoidPointWithUncertaintyEllipse_r11 },
  {   4, &hf_lte_rrc_ellipsoidPointWithAltitudeAndUncertaintyEllipsoid_r11, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_ellipsoidPointWithAltitudeAndUncertaintyEllipsoid_r11 },
  {   5, &hf_lte_rrc_ellipsoidArc_r11, ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_ellipsoidArc_r11 },
  {   6, &hf_lte_rrc_polygon_r11 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_T_polygon_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_locationCoordinates_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_locationCoordinates_r10, T_locationCoordinates_r10_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_T_horizontalVelocity_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *horizontal_velocity_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &horizontal_velocity_tvb);

  if (horizontal_velocity_tvb) {
    dissect_lpp_HorizontalVelocity_PDU(horizontal_velocity_tvb, actx->pinfo, tree, NULL);
  }


  return offset;
}



static int
dissect_lte_rrc_T_gnss_TOD_msec_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *gnss_tod_msec_tvb = NULL;
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &gnss_tod_msec_tvb);

  if (gnss_tod_msec_tvb) {
    asn1_ctx_t asn1_ctx;
    asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, actx->pinfo);
    dissect_per_constrained_integer(gnss_tod_msec_tvb, 0, &asn1_ctx, tree, hf_index, 0U, 3599999U, NULL, FALSE);
  }


  return offset;
}


static const per_sequence_t LocationInfo_r10_sequence[] = {
  { &hf_lte_rrc_locationCoordinates_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_locationCoordinates_r10 },
  { &hf_lte_rrc_horizontalVelocity_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_horizontalVelocity_r10 },
  { &hf_lte_rrc_gnss_TOD_msec_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_gnss_TOD_msec_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LocationInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LocationInfo_r10, LocationInfo_r10_sequence);

  return offset;
}


static const per_sequence_t T_measResultSCell_r10_sequence[] = {
  { &hf_lte_rrc_rsrpResultSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResultSCell_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultSCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultSCell_r10, T_measResultSCell_r10_sequence);

  return offset;
}


static const per_sequence_t T_measResultBestNeighCell_r10_sequence[] = {
  { &hf_lte_rrc_physCellId_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_rsrpResultNCell_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResultNCell_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultBestNeighCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultBestNeighCell_r10, T_measResultBestNeighCell_r10_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreq_r10_eag_1_sequence[] = {
  { &hf_lte_rrc_measResultSCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range_v1250 },
  { &hf_lte_rrc_measResultBestNeighCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultServFreq_r10_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResultServFreq_r10_eag_1_sequence);

  return offset;
}


static const per_sequence_t T_measResultSCell_v1310_01_sequence[] = {
  { &hf_lte_rrc_rs_sinr_Result_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RS_SINR_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultSCell_v1310_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultSCell_v1310_01, T_measResultSCell_v1310_01_sequence);

  return offset;
}


static const per_sequence_t T_measResultBestNeighCell_v1310_sequence[] = {
  { &hf_lte_rrc_rs_sinr_Result_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RS_SINR_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultBestNeighCell_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultBestNeighCell_v1310, T_measResultBestNeighCell_v1310_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreq_r10_eag_2_sequence[] = {
  { &hf_lte_rrc_measResultSCell_v1310_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultSCell_v1310_01 },
  { &hf_lte_rrc_measResultBestNeighCell_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultBestNeighCell_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultServFreq_r10_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResultServFreq_r10_eag_2_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreq_r10_sequence[] = {
  { &hf_lte_rrc_servFreqId_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r10 },
  { &hf_lte_rrc_measResultSCell_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultSCell_r10 },
  { &hf_lte_rrc_measResultBestNeighCell_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultBestNeighCell_r10 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServFreq_r10_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServFreq_r10_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultServFreq_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultServFreq_r10, MeasResultServFreq_r10_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreqList_r10_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultServFreqList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServFreq_r10 },
};

static int
dissect_lte_rrc_MeasResultServFreqList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultServFreqList_r10, MeasResultServFreqList_r10_sequence_of,
                                                  1, maxServCell_r10, FALSE);

  return offset;
}


static const per_sequence_t MeasResults_eag_2_sequence[] = {
  { &hf_lte_rrc_locationInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LocationInfo_r10 },
  { &hf_lte_rrc_measResultServFreqList_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultServFreqList_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResults_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResults_eag_2_sequence);

  return offset;
}


static const per_sequence_t MeasResultCSI_RS_r12_sequence[] = {
  { &hf_lte_rrc_measCSI_RS_Id_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasCSI_RS_Id_r12 },
  { &hf_lte_rrc_csi_RSRP_Result_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSI_RSRP_Range_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultCSI_RS_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultCSI_RS_r12, MeasResultCSI_RS_r12_sequence);

  return offset;
}


static const per_sequence_t MeasResultCSI_RS_List_r12_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultCSI_RS_List_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultCSI_RS_r12 },
};

static int
dissect_lte_rrc_MeasResultCSI_RS_List_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultCSI_RS_List_r12, MeasResultCSI_RS_List_r12_sequence_of,
                                                  1, maxCellReport, FALSE);

  return offset;
}


static const per_sequence_t MeasResults_eag_3_sequence[] = {
  { &hf_lte_rrc_measId_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasId_v1250 },
  { &hf_lte_rrc_measResultPCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range_v1250 },
  { &hf_lte_rrc_measResultCSI_RS_List_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultCSI_RS_List_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResults_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResults_eag_3_sequence);

  return offset;
}



static int
dissect_lte_rrc_RSRQ_Range_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -30, 46U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_measResultSCell_r13_sequence[] = {
  { &hf_lte_rrc_rsrpResultSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResultSCell_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range_r13 },
  { &hf_lte_rrc_rs_sinr_Result_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RS_SINR_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultSCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultSCell_r13, T_measResultSCell_r13_sequence);

  return offset;
}


static const per_sequence_t T_measResultBestNeighCell_r13_sequence[] = {
  { &hf_lte_rrc_physCellId_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_rsrpResultNCell_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResultNCell_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range_r13 },
  { &hf_lte_rrc_rs_sinr_Result_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RS_SINR_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultBestNeighCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultBestNeighCell_r13, T_measResultBestNeighCell_r13_sequence);

  return offset;
}


static const per_sequence_t T_measResultBestNeighCell_v1360_sequence[] = {
  { &hf_lte_rrc_rsrpResultNCell_v1360, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultBestNeighCell_v1360(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultBestNeighCell_v1360, T_measResultBestNeighCell_v1360_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreq_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_measResultBestNeighCell_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultBestNeighCell_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultServFreq_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResultServFreq_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreq_r13_sequence[] = {
  { &hf_lte_rrc_servFreqId_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r13 },
  { &hf_lte_rrc_measResultSCell_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultSCell_r13 },
  { &hf_lte_rrc_measResultBestNeighCell_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultBestNeighCell_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServFreq_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultServFreq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultServFreq_r13, MeasResultServFreq_r13_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreqListExt_r13_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultServFreqListExt_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServFreq_r13 },
};

static int
dissect_lte_rrc_MeasResultServFreqListExt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultServFreqListExt_r13, MeasResultServFreqListExt_r13_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}


static const per_sequence_t T_measResultPCell_v1310_sequence[] = {
  { &hf_lte_rrc_rs_sinr_Result_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RS_SINR_Range_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultPCell_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultPCell_v1310, T_measResultPCell_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_qci_Id_r13_vals[] = {
  {   0, "qci1" },
  {   1, "qci2" },
  {   2, "qci3" },
  {   3, "qci4" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_qci_Id_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UL_PDCP_DelayResult_r13_sequence[] = {
  { &hf_lte_rrc_qci_Id_r13  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_qci_Id_r13 },
  { &hf_lte_rrc_excessDelay_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_PDCP_DelayResult_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_PDCP_DelayResult_r13, UL_PDCP_DelayResult_r13_sequence);

  return offset;
}


static const per_sequence_t UL_PDCP_DelayResultList_r13_sequence_of[1] = {
  { &hf_lte_rrc_UL_PDCP_DelayResultList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_PDCP_DelayResult_r13 },
};

static int
dissect_lte_rrc_UL_PDCP_DelayResultList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_UL_PDCP_DelayResultList_r13, UL_PDCP_DelayResultList_r13_sequence_of,
                                                  1, maxQCI_r13, FALSE);

  return offset;
}


static const per_sequence_t MeasResults_eag_4_sequence[] = {
  { &hf_lte_rrc_measResultForRSSI_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultForRSSI_r13 },
  { &hf_lte_rrc_measResultServFreqListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultServFreqListExt_r13 },
  { &hf_lte_rrc_measResultSSTD_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultSSTD_r13 },
  { &hf_lte_rrc_measResultPCell_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultPCell_v1310 },
  { &hf_lte_rrc_ul_PDCP_DelayResultList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UL_PDCP_DelayResultList_r13 },
  { &hf_lte_rrc_measResultListWLAN_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultListWLAN_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResults_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResults_eag_4_sequence);

  return offset;
}


static const per_sequence_t MeasResults_eag_5_sequence[] = {
  { &hf_lte_rrc_measResultPCell_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_Range_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResults_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResults_eag_5_sequence);

  return offset;
}


static const per_sequence_t MeasResultCBR_r14_sequence[] = {
  { &hf_lte_rrc_poolIdentity_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_V2X_TxPoolReportIdentity_r14 },
  { &hf_lte_rrc_cbr_PSSCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_CBR_r14 },
  { &hf_lte_rrc_cbr_PSCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CBR_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultCBR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultCBR_r14, MeasResultCBR_r14_sequence);

  return offset;
}


static const per_sequence_t MeasResultListCBR_r14_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListCBR_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultCBR_r14 },
};

static int
dissect_lte_rrc_MeasResultListCBR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListCBR_r14, MeasResultListCBR_r14_sequence_of,
                                                  1, maxCBR_Report_r14, FALSE);

  return offset;
}


static const per_sequence_t MeasResultListWLAN_r14_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListWLAN_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultWLAN_r13 },
};

static int
dissect_lte_rrc_MeasResultListWLAN_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListWLAN_r14, MeasResultListWLAN_r14_sequence_of,
                                                  1, maxWLAN_Id_Report_r14, FALSE);

  return offset;
}


static const per_sequence_t MeasResults_eag_6_sequence[] = {
  { &hf_lte_rrc_measResultListCBR_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultListCBR_r14 },
  { &hf_lte_rrc_measResultListWLAN_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultListWLAN_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResults_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResults_eag_6_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreqNR_r15_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r15, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueNR_r15 },
  { &hf_lte_rrc_measResultSCell_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultCellNR_r15 },
  { &hf_lte_rrc_measResultBestNeighCell_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultCellNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultServFreqNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultServFreqNR_r15, MeasResultServFreqNR_r15_sequence);

  return offset;
}


static const per_sequence_t MeasResultServFreqListNR_r15_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultServFreqListNR_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultServFreqNR_r15 },
};

static int
dissect_lte_rrc_MeasResultServFreqListNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultServFreqListNR_r15, MeasResultServFreqListNR_r15_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}


static const per_sequence_t MeasResults_eag_7_sequence[] = {
  { &hf_lte_rrc_measResultServFreqListNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultServFreqListNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResults_eag_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MeasResults_eag_7_sequence);

  return offset;
}


static const per_sequence_t MeasResults_sequence[] = {
  { &hf_lte_rrc_measId      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasId },
  { &hf_lte_rrc_measResultPCell, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResultPCell },
  { &hf_lte_rrc_measResultNeighCells, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultNeighCells },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResults_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResults_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResults_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResults_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResults_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResults_eag_6 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResults_eag_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResults(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResults, MeasResults_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_21_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_21(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_21, T_nonCriticalExtension_21_sequence);

  return offset;
}


static const per_sequence_t MeasurementReport_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_52, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_21 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasurementReport_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasurementReport_v8a0_IEs, MeasurementReport_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t MeasurementReport_r8_IEs_sequence[] = {
  { &hf_lte_rrc_measResults , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResults },
  { &hf_lte_rrc_nonCriticalExtension_51, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasurementReport_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasurementReport_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasurementReport_r8_IEs, MeasurementReport_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_25_vals[] = {
  {   0, "measurementReport-r8" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_25_choice[] = {
  {   0, &hf_lte_rrc_measurementReport_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MeasurementReport_r8_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_25(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_25, T_c1_25_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_18_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_18(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_18, T_criticalExtensionsFuture_18_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_18_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_18_choice[] = {
  {   0, &hf_lte_rrc_c1_25       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_25 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_18, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_18 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_18(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_18, T_criticalExtensions_18_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MeasurementReport_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_18, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_18 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasurementReport(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MeasurementReport");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasurementReport, MeasurementReport_sequence);

  return offset;
}


static const value_string lte_rrc_T_rlf_InfoAvailable_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlf_InfoAvailable_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailable_r10_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailable_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_connEstFailInfoAvailable_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connEstFailInfoAvailable_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailableMBSFN_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailableMBSFN_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_gapIndication_r14_vals[] = {
  {   0, "gap" },
  {   1, "ncsg" },
  {   2, "nogap-noNcsg" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gapIndication_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PerCC_GapIndication_r14_sequence[] = {
  { &hf_lte_rrc_servCellId_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ServCellIndex_r13 },
  { &hf_lte_rrc_gapIndication_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_gapIndication_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PerCC_GapIndication_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PerCC_GapIndication_r14, PerCC_GapIndication_r14_sequence);

  return offset;
}


static const per_sequence_t PerCC_GapIndicationList_r14_sequence_of[1] = {
  { &hf_lte_rrc_PerCC_GapIndicationList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PerCC_GapIndication_r14 },
};

static int
dissect_lte_rrc_PerCC_GapIndicationList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PerCC_GapIndicationList_r14, PerCC_GapIndicationList_r14_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 12U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_scg_ConfigResponseNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *rrc_reconfiguration_complete_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &rrc_reconfiguration_complete_tvb);


  if (rrc_reconfiguration_complete_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_scg_ConfigResponseNR_r15);
    dissect_nr_rrc_RRCReconfigurationComplete_PDU(rrc_reconfiguration_complete_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}


static const per_sequence_t T_nonCriticalExtension_29_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_29(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_29, T_nonCriticalExtension_29_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_v15xy_IEs_sequence[] = {
  { &hf_lte_rrc_scg_ConfigResponseNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_scg_ConfigResponseNR_r15 },
  { &hf_lte_rrc_nonCriticalExtension_87, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_29 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_v15xy_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_v15xy_IEs, RRCConnectionReconfigurationComplete_v15xy_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_perCC_GapIndicationList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PerCC_GapIndicationList_r14 },
  { &hf_lte_rrc_numFreqEffective_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_12 },
  { &hf_lte_rrc_numFreqEffectiveReduced_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_12 },
  { &hf_lte_rrc_nonCriticalExtension_86, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfigurationComplete_v15xy_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_v1430_IEs, RRCConnectionReconfigurationComplete_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_logMeasAvailableMBSFN_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailableMBSFN_r12 },
  { &hf_lte_rrc_nonCriticalExtension_85, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfigurationComplete_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_v1250_IEs, RRCConnectionReconfigurationComplete_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_connEstFailInfoAvailable_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_connEstFailInfoAvailable_r11 },
  { &hf_lte_rrc_nonCriticalExtension_84, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfigurationComplete_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_v1130_IEs, RRCConnectionReconfigurationComplete_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_rlf_InfoAvailable_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlf_InfoAvailable_r10 },
  { &hf_lte_rrc_logMeasAvailable_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailable_r10 },
  { &hf_lte_rrc_nonCriticalExtension_83, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfigurationComplete_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_v1020_IEs, RRCConnectionReconfigurationComplete_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_82, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfigurationComplete_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_v8a0_IEs, RRCConnectionReconfigurationComplete_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_r8_IEs_sequence[] = {
  { &hf_lte_rrc_nonCriticalExtension_81, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfigurationComplete_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_r8_IEs, RRCConnectionReconfigurationComplete_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_24_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_24(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_24, T_criticalExtensionsFuture_24_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_24_vals[] = {
  {   0, "rrcConnectionReconfigurationComplete-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_24_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReconfigurationComplete_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReconfigurationComplete_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_24, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_24 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_24(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_24, T_criticalExtensions_24_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_24, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_24 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReconfigurationComplete");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete, RRCConnectionReconfigurationComplete_sequence);

  return offset;
}


static const value_string lte_rrc_T_rlf_InfoAvailable_r9_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlf_InfoAvailable_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailable_r10_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailable_r10_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_connEstFailInfoAvailable_r11_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connEstFailInfoAvailable_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailableMBSFN_r12_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailableMBSFN_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_31_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_31(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_31, T_nonCriticalExtension_31_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_logMeasAvailableMBSFN_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailableMBSFN_r12_01 },
  { &hf_lte_rrc_nonCriticalExtension_95, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete_v1250_IEs, RRCConnectionReestablishmentComplete_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_connEstFailInfoAvailable_r11_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_connEstFailInfoAvailable_r11_01 },
  { &hf_lte_rrc_nonCriticalExtension_94, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReestablishmentComplete_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete_v1130_IEs, RRCConnectionReestablishmentComplete_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_logMeasAvailable_r10_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailable_r10_01 },
  { &hf_lte_rrc_nonCriticalExtension_93, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReestablishmentComplete_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete_v1020_IEs, RRCConnectionReestablishmentComplete_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_92, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReestablishmentComplete_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete_v8a0_IEs, RRCConnectionReestablishmentComplete_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_v920_IEs_sequence[] = {
  { &hf_lte_rrc_rlf_InfoAvailable_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlf_InfoAvailable_r9 },
  { &hf_lte_rrc_nonCriticalExtension_91, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReestablishmentComplete_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete_v920_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete_v920_IEs, RRCConnectionReestablishmentComplete_v920_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_r8_IEs_sequence[] = {
  { &hf_lte_rrc_nonCriticalExtension_90, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReestablishmentComplete_v920_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete_r8_IEs, RRCConnectionReestablishmentComplete_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_26_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_26(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_26, T_criticalExtensionsFuture_26_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_26_vals[] = {
  {   0, "rrcConnectionReestablishmentComplete-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_26_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishmentComplete_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentComplete_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_26, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_26 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_26(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_26, T_criticalExtensions_26_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_26, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_26 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReestablishmentComplete");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete, RRCConnectionReestablishmentComplete_sequence);

  return offset;
}


static const per_sequence_t RegisteredMME_sequence[] = {
  { &hf_lte_rrc_plmn_Identity, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PLMN_Identity },
  { &hf_lte_rrc_mmegi       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_mmec        , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MMEC },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RegisteredMME(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RegisteredMME, RegisteredMME_sequence);

  return offset;
}


static const value_string lte_rrc_T_gummei_Type_r10_vals[] = {
  {   0, "native" },
  {   1, "mapped" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gummei_Type_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rlf_InfoAvailable_r10_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlf_InfoAvailable_r10_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailable_r10_02_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailable_r10_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rn_SubframeConfigReq_r10_vals[] = {
  {   0, "required" },
  {   1, "notRequired" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rn_SubframeConfigReq_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_connEstFailInfoAvailable_r11_02_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connEstFailInfoAvailable_r11_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mobilityState_r12_vals[] = {
  {   0, "normal" },
  {   1, "medium" },
  {   2, "high" },
  {   3, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mobilityState_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mobilityHistoryAvail_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mobilityHistoryAvail_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailableMBSFN_r12_02_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailableMBSFN_r12_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_ModeB_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_ModeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_attachWithoutPDN_Connectivity_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_attachWithoutPDN_Connectivity_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_up_CIoT_EPS_Optimisation_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_up_CIoT_EPS_Optimisation_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_cp_CIoT_EPS_Optimisation_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cp_CIoT_EPS_Optimisation_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_CE_NeedULGaps_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CE_NeedULGaps_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_39_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_39(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_39, T_nonCriticalExtension_39_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_dcn_ID_r14  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_65535 },
  { &hf_lte_rrc_nonCriticalExtension_120, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_39 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_v1430_IEs, RRCConnectionSetupComplete_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_v1330_IEs_sequence[] = {
  { &hf_lte_rrc_ue_CE_NeedULGaps_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CE_NeedULGaps_r13 },
  { &hf_lte_rrc_nonCriticalExtension_119, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetupComplete_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_v1330_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_v1330_IEs, RRCConnectionSetupComplete_v1330_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_v1320_IEs_sequence[] = {
  { &hf_lte_rrc_ce_ModeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_ModeB_r13 },
  { &hf_lte_rrc_s_TMSI_r13  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_S_TMSI },
  { &hf_lte_rrc_attachWithoutPDN_Connectivity_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_attachWithoutPDN_Connectivity_r13 },
  { &hf_lte_rrc_up_CIoT_EPS_Optimisation_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_up_CIoT_EPS_Optimisation_r13 },
  { &hf_lte_rrc_cp_CIoT_EPS_Optimisation_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cp_CIoT_EPS_Optimisation_r13 },
  { &hf_lte_rrc_nonCriticalExtension_118, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetupComplete_v1330_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_v1320_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_v1320_IEs, RRCConnectionSetupComplete_v1320_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_mobilityState_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mobilityState_r12 },
  { &hf_lte_rrc_mobilityHistoryAvail_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mobilityHistoryAvail_r12 },
  { &hf_lte_rrc_logMeasAvailableMBSFN_r12_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailableMBSFN_r12_02 },
  { &hf_lte_rrc_nonCriticalExtension_117, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetupComplete_v1320_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_v1250_IEs, RRCConnectionSetupComplete_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_connEstFailInfoAvailable_r11_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_connEstFailInfoAvailable_r11_02 },
  { &hf_lte_rrc_nonCriticalExtension_116, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetupComplete_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_v1130_IEs, RRCConnectionSetupComplete_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_gummei_Type_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_gummei_Type_r10 },
  { &hf_lte_rrc_rlf_InfoAvailable_r10_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlf_InfoAvailable_r10_01 },
  { &hf_lte_rrc_logMeasAvailable_r10_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailable_r10_02 },
  { &hf_lte_rrc_rn_SubframeConfigReq_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rn_SubframeConfigReq_r10 },
  { &hf_lte_rrc_nonCriticalExtension_115, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetupComplete_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_v1020_IEs, RRCConnectionSetupComplete_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_114, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetupComplete_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_v8a0_IEs, RRCConnectionSetupComplete_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_r8_IEs_sequence[] = {
  { &hf_lte_rrc_selectedPLMN_Identity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  { &hf_lte_rrc_registeredMME, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RegisteredMME },
  { &hf_lte_rrc_dedicatedInfoNAS, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DedicatedInfoNAS },
  { &hf_lte_rrc_nonCriticalExtension_113, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetupComplete_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_r8_IEs, RRCConnectionSetupComplete_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_36_vals[] = {
  {   0, "rrcConnectionSetupComplete-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_36_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionSetupComplete_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionSetupComplete_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_36(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_36, T_c1_36_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_36_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_36(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_36, T_criticalExtensionsFuture_36_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_36_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_36_choice[] = {
  {   0, &hf_lte_rrc_c1_36       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_36 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_36, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_36 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_36(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_36, T_criticalExtensions_36_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_36, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_36 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionSetupComplete");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete, RRCConnectionSetupComplete_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_45_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_45(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_45, T_nonCriticalExtension_45_sequence);

  return offset;
}


static const per_sequence_t SecurityModeComplete_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_131, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_45 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeComplete_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeComplete_v8a0_IEs, SecurityModeComplete_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t SecurityModeComplete_r8_IEs_sequence[] = {
  { &hf_lte_rrc_nonCriticalExtension_130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SecurityModeComplete_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeComplete_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeComplete_r8_IEs, SecurityModeComplete_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_39_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_39(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_39, T_criticalExtensionsFuture_39_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_39_vals[] = {
  {   0, "securityModeComplete-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_39_choice[] = {
  {   0, &hf_lte_rrc_securityModeComplete_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeComplete_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_39, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_39 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_39(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_39, T_criticalExtensions_39_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SecurityModeComplete_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_39, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_39 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeComplete(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SecurityModeComplete");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeComplete, SecurityModeComplete_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_46_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_46(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_46, T_nonCriticalExtension_46_sequence);

  return offset;
}


static const per_sequence_t SecurityModeFailure_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_133, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_46 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeFailure_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeFailure_v8a0_IEs, SecurityModeFailure_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t SecurityModeFailure_r8_IEs_sequence[] = {
  { &hf_lte_rrc_nonCriticalExtension_132, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SecurityModeFailure_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeFailure_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeFailure_r8_IEs, SecurityModeFailure_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_40_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_40(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_40, T_criticalExtensionsFuture_40_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_40_vals[] = {
  {   0, "securityModeFailure-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_40_choice[] = {
  {   0, &hf_lte_rrc_securityModeFailure_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeFailure_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_40, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_40 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_40(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_40, T_criticalExtensions_40_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SecurityModeFailure_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_40, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_40 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SecurityModeFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  mac_lte_info *p_mac_lte_info;
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SecurityModeFailure, SecurityModeFailure_sequence);

  /* Look for UE identifier */
  p_mac_lte_info = (mac_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_mac_lte, 0);

  if (p_mac_lte_info != NULL) {
    /* Inform PDCP that the UE failed to execute the securityModeCommand */
    set_pdcp_lte_security_algorithms_failed(p_mac_lte_info->ueid);
  }

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SecurityModeFailure");



  return offset;
}



static int
dissect_lte_rrc_INTEGER_0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 0U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_ue_CategoryDL_v1310_01_vals[] = {
  {   0, "m1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CategoryDL_v1310_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_ModeA_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_ModeA_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_ModeB_r13_02_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_ModeB_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UE_RadioPagingInfo_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_ue_CategoryDL_v1310_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CategoryDL_v1310_01 },
  { &hf_lte_rrc_ce_ModeA_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_ModeA_r13_01 },
  { &hf_lte_rrc_ce_ModeB_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_ModeB_r13_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_RadioPagingInfo_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, UE_RadioPagingInfo_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t UE_RadioPagingInfo_r12_sequence[] = {
  { &hf_lte_rrc_ue_Category_v1250, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_RadioPagingInfo_r12_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_RadioPagingInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_RadioPagingInfo_r12, UE_RadioPagingInfo_r12_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_54_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_54(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_54, T_nonCriticalExtension_54_sequence);

  return offset;
}


static const per_sequence_t UECapabilityInformation_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioPagingInfo_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_RadioPagingInfo_r12 },
  { &hf_lte_rrc_nonCriticalExtension_166, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_54 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityInformation_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityInformation_v1250_IEs, UECapabilityInformation_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t UECapabilityInformation_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_165, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UECapabilityInformation_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityInformation_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityInformation_v8a0_IEs, UECapabilityInformation_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t UECapabilityInformation_r8_IEs_sequence[] = {
  { &hf_lte_rrc_ue_CapabilityRAT_ContainerList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_CapabilityRAT_ContainerList },
  { &hf_lte_rrc_nonCriticalExtension_164, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UECapabilityInformation_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityInformation_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityInformation_r8_IEs, UECapabilityInformation_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_42_vals[] = {
  {   0, "ueCapabilityInformation-r8" },
  {   1, "spare7" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_42_choice[] = {
  {   0, &hf_lte_rrc_ueCapabilityInformation_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UECapabilityInformation_r8_IEs },
  {   1, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_42(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_42, T_c1_42_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_45_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_45(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_45, T_criticalExtensionsFuture_45_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_45_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_45_choice[] = {
  {   0, &hf_lte_rrc_c1_42       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_42 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_45, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_45 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_45(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_45, T_criticalExtensions_45_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UECapabilityInformation_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_45, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_45 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "UECapabilityInformation");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityInformation, UECapabilityInformation_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_56(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     56, 56, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_58_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_58(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_58, T_nonCriticalExtension_58_sequence);

  return offset;
}


static const per_sequence_t ULHandoverPreparationTransfer_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_179, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_58 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULHandoverPreparationTransfer_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULHandoverPreparationTransfer_v8a0_IEs, ULHandoverPreparationTransfer_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t ULHandoverPreparationTransfer_r8_IEs_sequence[] = {
  { &hf_lte_rrc_cdma2000_Type, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CDMA2000_Type },
  { &hf_lte_rrc_meid        , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_56 },
  { &hf_lte_rrc_dedicatedInfo, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DedicatedInfoCDMA2000 },
  { &hf_lte_rrc_nonCriticalExtension_178, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ULHandoverPreparationTransfer_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULHandoverPreparationTransfer_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULHandoverPreparationTransfer_r8_IEs, ULHandoverPreparationTransfer_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_45_vals[] = {
  {   0, "ulHandoverPreparationTransfer-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_45_choice[] = {
  {   0, &hf_lte_rrc_ulHandoverPreparationTransfer_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ULHandoverPreparationTransfer_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_45(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_45, T_c1_45_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_48_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_48(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_48, T_criticalExtensionsFuture_48_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_48_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_48_choice[] = {
  {   0, &hf_lte_rrc_c1_45       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_45 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_48, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_48 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_48(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_48, T_criticalExtensions_48_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ULHandoverPreparationTransfer_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_48, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_48 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULHandoverPreparationTransfer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "ULHandoverPreparationTransfer");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULHandoverPreparationTransfer, ULHandoverPreparationTransfer_sequence);

  return offset;
}


static const value_string lte_rrc_T_dedicatedInfoType_01_vals[] = {
  {   0, "dedicatedInfoNAS" },
  {   1, "dedicatedInfoCDMA2000-1XRTT" },
  {   2, "dedicatedInfoCDMA2000-HRPD" },
  { 0, NULL }
};

static const per_choice_t T_dedicatedInfoType_01_choice[] = {
  {   0, &hf_lte_rrc_dedicatedInfoNAS, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DedicatedInfoNAS },
  {   1, &hf_lte_rrc_dedicatedInfoCDMA2000_1XRTT, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DedicatedInfoCDMA2000 },
  {   2, &hf_lte_rrc_dedicatedInfoCDMA2000_HRPD, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DedicatedInfoCDMA2000 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dedicatedInfoType_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dedicatedInfoType_01, T_dedicatedInfoType_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_59_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_59(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_59, T_nonCriticalExtension_59_sequence);

  return offset;
}


static const per_sequence_t ULInformationTransfer_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_181, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_59 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULInformationTransfer_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULInformationTransfer_v8a0_IEs, ULInformationTransfer_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t ULInformationTransfer_r8_IEs_sequence[] = {
  { &hf_lte_rrc_dedicatedInfoType_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dedicatedInfoType_01 },
  { &hf_lte_rrc_nonCriticalExtension_180, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ULInformationTransfer_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULInformationTransfer_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULInformationTransfer_r8_IEs, ULInformationTransfer_r8_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_46_vals[] = {
  {   0, "ulInformationTransfer-r8" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_46_choice[] = {
  {   0, &hf_lte_rrc_ulInformationTransfer_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ULInformationTransfer_r8_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_46(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_46, T_c1_46_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_49_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_49(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_49, T_criticalExtensionsFuture_49_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_49_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_49_choice[] = {
  {   0, &hf_lte_rrc_c1_46       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_46 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_49, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_49 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_49(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_49, T_criticalExtensions_49_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ULInformationTransfer_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_49, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_49 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULInformationTransfer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "ULInformationTransfer");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULInformationTransfer, ULInformationTransfer_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_4294967295(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4294967295U, NULL, FALSE);

  return offset;
}


static const per_sequence_t DRB_CountInfo_sequence[] = {
  { &hf_lte_rrc_drb_Identity, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_Identity },
  { &hf_lte_rrc_count_Uplink, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_4294967295 },
  { &hf_lte_rrc_count_Downlink, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_4294967295 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_CountInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRB_CountInfo, DRB_CountInfo_sequence);

  return offset;
}


static const per_sequence_t DRB_CountInfoList_sequence_of[1] = {
  { &hf_lte_rrc_DRB_CountInfoList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_CountInfo },
};

static int
dissect_lte_rrc_DRB_CountInfoList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DRB_CountInfoList, DRB_CountInfoList_sequence_of,
                                                  0, maxDRB, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_09_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_09(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_09, T_nonCriticalExtension_09_sequence);

  return offset;
}


static const per_sequence_t CounterCheckResponse_v8a0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_23, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_09 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CounterCheckResponse_v8a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CounterCheckResponse_v8a0_IEs, CounterCheckResponse_v8a0_IEs_sequence);

  return offset;
}


static const per_sequence_t CounterCheckResponse_r8_IEs_sequence[] = {
  { &hf_lte_rrc_drb_CountInfoList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_CountInfoList },
  { &hf_lte_rrc_nonCriticalExtension_22, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CounterCheckResponse_v8a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CounterCheckResponse_r8_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CounterCheckResponse_r8_IEs, CounterCheckResponse_r8_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_08_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_08(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_08, T_criticalExtensionsFuture_08_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_08_vals[] = {
  {   0, "counterCheckResponse-r8" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_08_choice[] = {
  {   0, &hf_lte_rrc_counterCheckResponse_r8, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CounterCheckResponse_r8_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_08, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_08 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_08(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_08, T_criticalExtensions_08_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CounterCheckResponse_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_08, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_08 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CounterCheckResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "CounterCheckResponse");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CounterCheckResponse, CounterCheckResponse_sequence);

  return offset;
}



static int
dissect_lte_rrc_NumberOfPreamblesSent_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 200U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_rach_Report_r9_sequence[] = {
  { &hf_lte_rrc_numberOfPreamblesSent_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NumberOfPreamblesSent_r11 },
  { &hf_lte_rrc_contentionDetected_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rach_Report_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rach_Report_r9, T_rach_Report_r9_sequence);

  return offset;
}


static const per_sequence_t T_measResultLastServCell_r9_sequence[] = {
  { &hf_lte_rrc_rsrpResult_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResult_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultLastServCell_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultLastServCell_r9, T_measResultLastServCell_r9_sequence);

  return offset;
}


static const per_sequence_t MeasResult2EUTRA_r9_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r9_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_measResultList_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultListEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResult2EUTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResult2EUTRA_r9, MeasResult2EUTRA_r9_sequence);

  return offset;
}


static const per_sequence_t MeasResultList2EUTRA_r9_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultList2EUTRA_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResult2EUTRA_r9 },
};

static int
dissect_lte_rrc_MeasResultList2EUTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultList2EUTRA_r9, MeasResultList2EUTRA_r9_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t MeasResult2UTRA_r9_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r9_03, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_measResultList_r9_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultListUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResult2UTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResult2UTRA_r9, MeasResult2UTRA_r9_sequence);

  return offset;
}


static const per_sequence_t MeasResultList2UTRA_r9_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultList2UTRA_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResult2UTRA_r9 },
};

static int
dissect_lte_rrc_MeasResultList2UTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultList2UTRA_r9, MeasResultList2UTRA_r9_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t MeasResult2CDMA2000_r9_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r9_04, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqCDMA2000 },
  { &hf_lte_rrc_measResultList_r9_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultsCDMA2000 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResult2CDMA2000_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResult2CDMA2000_r9, MeasResult2CDMA2000_r9_sequence);

  return offset;
}


static const per_sequence_t MeasResultList2CDMA2000_r9_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultList2CDMA2000_r9_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResult2CDMA2000_r9 },
};

static int
dissect_lte_rrc_MeasResultList2CDMA2000_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultList2CDMA2000_r9, MeasResultList2CDMA2000_r9_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t T_measResultNeighCells_r9_sequence[] = {
  { &hf_lte_rrc_measResultListEUTRA_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_r9 },
  { &hf_lte_rrc_measResultListUTRA_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2UTRA_r9 },
  { &hf_lte_rrc_measResultListGERAN_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultListGERAN },
  { &hf_lte_rrc_measResultsCDMA2000_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2CDMA2000_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultNeighCells_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultNeighCells_r9, T_measResultNeighCells_r9_sequence);

  return offset;
}


static const per_sequence_t T_pci_arfcn_r10_sequence[] = {
  { &hf_lte_rrc_physCellId_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_carrierFreq_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_pci_arfcn_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_pci_arfcn_r10, T_pci_arfcn_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_failedPCellId_r10_vals[] = {
  {   0, "cellGlobalId-r10" },
  {   1, "pci-arfcn-r10" },
  { 0, NULL }
};

static const per_choice_t T_failedPCellId_r10_choice[] = {
  {   0, &hf_lte_rrc_cellGlobalId_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CellGlobalIdEUTRA },
  {   1, &hf_lte_rrc_pci_arfcn_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_pci_arfcn_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_failedPCellId_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_failedPCellId_r10, T_failedPCellId_r10_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_connectionFailureType_r10_vals[] = {
  {   0, "rlf" },
  {   1, "hof" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connectionFailureType_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RLF_Report_r9_eag_1_sequence[] = {
  { &hf_lte_rrc_locationInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LocationInfo_r10 },
  { &hf_lte_rrc_failedPCellId_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_failedPCellId_r10 },
  { &hf_lte_rrc_reestablishmentCellId_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellGlobalIdEUTRA },
  { &hf_lte_rrc_timeConnFailure_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_1023 },
  { &hf_lte_rrc_connectionFailureType_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_connectionFailureType_r10 },
  { &hf_lte_rrc_previousPCellId_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellGlobalIdEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLF_Report_r9_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RLF_Report_r9_eag_1_sequence);

  return offset;
}


static const per_sequence_t T_failedPCellId_v1090_sequence[] = {
  { &hf_lte_rrc_carrierFreq_v1090, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_failedPCellId_v1090(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_failedPCellId_v1090, T_failedPCellId_v1090_sequence);

  return offset;
}


static const per_sequence_t RLF_Report_r9_eag_2_sequence[] = {
  { &hf_lte_rrc_failedPCellId_v1090, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_failedPCellId_v1090 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLF_Report_r9_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RLF_Report_r9_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_rlf_Cause_r11_vals[] = {
  {   0, "t310-Expiry" },
  {   1, "randomAccessProblem" },
  {   2, "rlc-MaxNumRetx" },
  {   3, "t312-Expiry-r12" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlf_Cause_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_TimeSinceFailure_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 172800U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_basicFields_r11_sequence[] = {
  { &hf_lte_rrc_c_RNTI_r11  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_rlf_Cause_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rlf_Cause_r11 },
  { &hf_lte_rrc_timeSinceFailure_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeSinceFailure_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_basicFields_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_basicFields_r11, T_basicFields_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_physCellId_r11_vals[] = {
  {   0, "fdd-r11" },
  {   1, "tdd-r11" },
  { 0, NULL }
};

static const per_choice_t T_physCellId_r11_choice[] = {
  {   0, &hf_lte_rrc_fdd_r11     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PhysCellIdUTRA_FDD },
  {   1, &hf_lte_rrc_tdd_r11     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PhysCellIdUTRA_TDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_physCellId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_physCellId_r11, T_physCellId_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_previousUTRA_CellId_r11_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r11_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_physCellId_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_physCellId_r11 },
  { &hf_lte_rrc_cellGlobalId_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellGlobalIdUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_previousUTRA_CellId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_previousUTRA_CellId_r11, T_previousUTRA_CellId_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_physCellId_r11_01_vals[] = {
  {   0, "fdd-r11" },
  {   1, "tdd-r11" },
  { 0, NULL }
};

static const per_choice_t T_physCellId_r11_01_choice[] = {
  {   0, &hf_lte_rrc_fdd_r11     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PhysCellIdUTRA_FDD },
  {   1, &hf_lte_rrc_tdd_r11     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_PhysCellIdUTRA_TDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_physCellId_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_physCellId_r11_01, T_physCellId_r11_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_selectedUTRA_CellId_r11_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r11_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueUTRA },
  { &hf_lte_rrc_physCellId_r11_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_physCellId_r11_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_selectedUTRA_CellId_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_selectedUTRA_CellId_r11, T_selectedUTRA_CellId_r11_sequence);

  return offset;
}


static const per_sequence_t RLF_Report_r9_eag_3_sequence[] = {
  { &hf_lte_rrc_basicFields_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_basicFields_r11 },
  { &hf_lte_rrc_previousUTRA_CellId_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_previousUTRA_CellId_r11 },
  { &hf_lte_rrc_selectedUTRA_CellId_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_selectedUTRA_CellId_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLF_Report_r9_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RLF_Report_r9_eag_3_sequence);

  return offset;
}


static const per_sequence_t T_failedPCellId_v1250_sequence[] = {
  { &hf_lte_rrc_tac_FailedPCell_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrackingAreaCode },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_failedPCellId_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_failedPCellId_v1250, T_failedPCellId_v1250_sequence);

  return offset;
}


static const per_sequence_t RSRQ_Type_r12_sequence[] = {
  { &hf_lte_rrc_allSymbols_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_wideBand_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RSRQ_Type_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RSRQ_Type_r12, RSRQ_Type_r12_sequence);

  return offset;
}


static const per_sequence_t MeasResult2EUTRA_v1250_sequence[] = {
  { &hf_lte_rrc_rsrq_Type_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Type_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResult2EUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResult2EUTRA_v1250, MeasResult2EUTRA_v1250_sequence);

  return offset;
}


static const per_sequence_t MeasResultList2EUTRA_v1250_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultList2EUTRA_v1250_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResult2EUTRA_v1250 },
};

static int
dissect_lte_rrc_MeasResultList2EUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultList2EUTRA_v1250, MeasResultList2EUTRA_v1250_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t RLF_Report_r9_eag_4_sequence[] = {
  { &hf_lte_rrc_failedPCellId_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_failedPCellId_v1250 },
  { &hf_lte_rrc_measResultLastServCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range_v1250 },
  { &hf_lte_rrc_lastServCellRSRQ_Type_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Type_r12 },
  { &hf_lte_rrc_measResultListEUTRA_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLF_Report_r9_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RLF_Report_r9_eag_4_sequence);

  return offset;
}


static const value_string lte_rrc_T_drb_EstablishedWithQCI_1_r13_vals[] = {
  {   0, "qci1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_EstablishedWithQCI_1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RLF_Report_r9_eag_5_sequence[] = {
  { &hf_lte_rrc_drb_EstablishedWithQCI_1_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_EstablishedWithQCI_1_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLF_Report_r9_eag_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RLF_Report_r9_eag_5_sequence);

  return offset;
}


static const per_sequence_t RLF_Report_r9_eag_6_sequence[] = {
  { &hf_lte_rrc_measResultLastServCell_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_Range_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLF_Report_r9_eag_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RLF_Report_r9_eag_6_sequence);

  return offset;
}


static const per_sequence_t RLF_Report_r9_sequence[] = {
  { &hf_lte_rrc_measResultLastServCell_r9, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResultLastServCell_r9 },
  { &hf_lte_rrc_measResultNeighCells_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultNeighCells_r9 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RLF_Report_r9_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RLF_Report_r9_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RLF_Report_r9_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RLF_Report_r9_eag_4 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RLF_Report_r9_eag_5 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RLF_Report_r9_eag_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLF_Report_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLF_Report_r9, RLF_Report_r9_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UEInformationResponse_v9e0_IEs_PDU);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_7200(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7200U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_measResultServCell_r10_sequence[] = {
  { &hf_lte_rrc_rsrpResult_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResult_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultServCell_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultServCell_r10, T_measResultServCell_r10_sequence);

  return offset;
}


static const per_sequence_t MeasResultList2GERAN_r10_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultList2GERAN_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultListGERAN },
};

static int
dissect_lte_rrc_MeasResultList2GERAN_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultList2GERAN_r10, MeasResultList2GERAN_r10_sequence_of,
                                                  1, maxCellListGERAN, FALSE);

  return offset;
}


static const per_sequence_t T_measResultNeighCells_r10_sequence[] = {
  { &hf_lte_rrc_measResultListEUTRA_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_r9 },
  { &hf_lte_rrc_measResultListUTRA_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2UTRA_r9 },
  { &hf_lte_rrc_measResultListGERAN_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2GERAN_r10 },
  { &hf_lte_rrc_measResultListCDMA2000_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2CDMA2000_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultNeighCells_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultNeighCells_r10, T_measResultNeighCells_r10_sequence);

  return offset;
}


static const per_sequence_t MeasResult2EUTRA_v9e0_sequence[] = {
  { &hf_lte_rrc_carrierFreq_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResult2EUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResult2EUTRA_v9e0, MeasResult2EUTRA_v9e0_sequence);

  return offset;
}


static const per_sequence_t MeasResultList2EUTRA_v9e0_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultList2EUTRA_v9e0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResult2EUTRA_v9e0 },
};

static int
dissect_lte_rrc_MeasResultList2EUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultList2EUTRA_v9e0, MeasResultList2EUTRA_v9e0_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t LogMeasInfo_r10_eag_1_sequence[] = {
  { &hf_lte_rrc_measResultListEUTRA_v1090, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogMeasInfo_r10_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, LogMeasInfo_r10_eag_1_sequence);

  return offset;
}


static const per_sequence_t T_mbsfn_Area_r12_sequence[] = {
  { &hf_lte_rrc_mbsfn_AreaId_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_AreaId_r12 },
  { &hf_lte_rrc_carrierFreq_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_mbsfn_Area_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_mbsfn_Area_r12, T_mbsfn_Area_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_MBSFN_RSRQ_Range_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_BLER_Range_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_n_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *n_r12_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     3, 3, FALSE, &n_r12_tvb, NULL);

  if (n_r12_tvb) {
    guint bitvalue = tvb_get_bits8(n_r12_tvb, 0, 3);
    actx->created_item = proto_tree_add_uint(tree, hf_index, n_r12_tvb, 0, 1, bitvalue);
  }


  return offset;
}



static int
dissect_lte_rrc_T_m_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *m_r12_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     8, 8, FALSE, &m_r12_tvb, NULL);

  if (m_r12_tvb) {
    actx->created_item = proto_tree_add_item(tree, hf_index, m_r12_tvb, 0, 1, ENC_BIG_ENDIAN);
  }


  return offset;
}


static const per_sequence_t T_blocksReceived_r12_sequence[] = {
  { &hf_lte_rrc_n_r12       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n_r12 },
  { &hf_lte_rrc_m_r12       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_m_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_blocksReceived_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_blocksReceived_r12, T_blocksReceived_r12_sequence);

  return offset;
}


static const per_sequence_t BLER_Result_r12_sequence[] = {
  { &hf_lte_rrc_bler_r12    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BLER_Range_r12 },
  { &hf_lte_rrc_blocksReceived_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_blocksReceived_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BLER_Result_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BLER_Result_r12, BLER_Result_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxPMCH_PerMBSFN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxPMCH_PerMBSFN, NULL, FALSE);

  return offset;
}


static const per_sequence_t DataBLER_MCH_Result_r12_sequence[] = {
  { &hf_lte_rrc_mch_Index_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxPMCH_PerMBSFN },
  { &hf_lte_rrc_dataBLER_Result_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BLER_Result_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DataBLER_MCH_Result_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DataBLER_MCH_Result_r12, DataBLER_MCH_Result_r12_sequence);

  return offset;
}


static const per_sequence_t DataBLER_MCH_ResultList_r12_sequence_of[1] = {
  { &hf_lte_rrc_DataBLER_MCH_ResultList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DataBLER_MCH_Result_r12 },
};

static int
dissect_lte_rrc_DataBLER_MCH_ResultList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DataBLER_MCH_ResultList_r12, DataBLER_MCH_ResultList_r12_sequence_of,
                                                  1, maxPMCH_PerMBSFN, FALSE);

  return offset;
}


static const per_sequence_t MeasResultMBSFN_r12_sequence[] = {
  { &hf_lte_rrc_mbsfn_Area_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mbsfn_Area_r12 },
  { &hf_lte_rrc_rsrpResultMBSFN_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResultMBSFN_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBSFN_RSRQ_Range_r12 },
  { &hf_lte_rrc_signallingBLER_Result_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BLER_Result_r12 },
  { &hf_lte_rrc_dataBLER_MCH_ResultList_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DataBLER_MCH_ResultList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultMBSFN_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultMBSFN_r12, MeasResultMBSFN_r12_sequence);

  return offset;
}


static const per_sequence_t MeasResultListMBSFN_r12_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultListMBSFN_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultMBSFN_r12 },
};

static int
dissect_lte_rrc_MeasResultListMBSFN_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultListMBSFN_r12, MeasResultListMBSFN_r12_sequence_of,
                                                  1, maxMBSFN_Area, FALSE);

  return offset;
}


static const per_sequence_t LogMeasInfo_r10_eag_2_sequence[] = {
  { &hf_lte_rrc_measResultListMBSFN_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultListMBSFN_r12 },
  { &hf_lte_rrc_measResultServCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range_v1250 },
  { &hf_lte_rrc_servCellRSRQ_Type_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Type_r12 },
  { &hf_lte_rrc_measResultListEUTRA_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogMeasInfo_r10_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, LogMeasInfo_r10_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_inDeviceCoexDetected_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_inDeviceCoexDetected_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LogMeasInfo_r10_eag_3_sequence[] = {
  { &hf_lte_rrc_inDeviceCoexDetected_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_inDeviceCoexDetected_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogMeasInfo_r10_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, LogMeasInfo_r10_eag_3_sequence);

  return offset;
}


static const per_sequence_t LogMeasInfo_r10_eag_4_sequence[] = {
  { &hf_lte_rrc_measResultServCell_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_Range_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogMeasInfo_r10_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, LogMeasInfo_r10_eag_4_sequence);

  return offset;
}


static const per_sequence_t LogMeasInfo_r10_sequence[] = {
  { &hf_lte_rrc_locationInfo_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_LocationInfo_r10 },
  { &hf_lte_rrc_relativeTimeStamp_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_7200 },
  { &hf_lte_rrc_servCellIdentity_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellGlobalIdEUTRA },
  { &hf_lte_rrc_measResultServCell_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResultServCell_r10 },
  { &hf_lte_rrc_measResultNeighCells_r10, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultNeighCells_r10 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogMeasInfo_r10_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogMeasInfo_r10_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogMeasInfo_r10_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogMeasInfo_r10_eag_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogMeasInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LogMeasInfo_r10, LogMeasInfo_r10_sequence);

  return offset;
}


static const per_sequence_t LogMeasInfoList_r10_sequence_of[1] = {
  { &hf_lte_rrc_LogMeasInfoList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogMeasInfo_r10 },
};

static int
dissect_lte_rrc_LogMeasInfoList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_LogMeasInfoList_r10, LogMeasInfoList_r10_sequence_of,
                                                  1, maxLogMeasReport_r10, FALSE);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailable_r10_03_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailable_r10_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LogMeasReport_r10_sequence[] = {
  { &hf_lte_rrc_absoluteTimeStamp_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AbsoluteTimeInfo_r10 },
  { &hf_lte_rrc_traceReference_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TraceReference_r10 },
  { &hf_lte_rrc_traceRecordingSessionRef_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OCTET_STRING_SIZE_2 },
  { &hf_lte_rrc_tce_Id_r10  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OCTET_STRING_SIZE_1 },
  { &hf_lte_rrc_logMeasInfoList_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LogMeasInfoList_r10 },
  { &hf_lte_rrc_logMeasAvailable_r10_03, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailable_r10_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogMeasReport_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LogMeasReport_r10, LogMeasReport_r10_sequence);

  return offset;
}


static const per_sequence_t T_measResultFailedCell_r11_sequence[] = {
  { &hf_lte_rrc_rsrpResult_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
  { &hf_lte_rrc_rsrqResult_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultFailedCell_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultFailedCell_r11, T_measResultFailedCell_r11_sequence);

  return offset;
}


static const per_sequence_t T_measResultNeighCells_r11_sequence[] = {
  { &hf_lte_rrc_measResultListEUTRA_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_r9 },
  { &hf_lte_rrc_measResultListUTRA_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2UTRA_r9 },
  { &hf_lte_rrc_measResultListGERAN_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultListGERAN },
  { &hf_lte_rrc_measResultsCDMA2000_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2CDMA2000_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_measResultNeighCells_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_measResultNeighCells_r11, T_measResultNeighCells_r11_sequence);

  return offset;
}


static const per_sequence_t ConnEstFailReport_r11_eag_1_sequence[] = {
  { &hf_lte_rrc_measResultFailedCell_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Range_v1250 },
  { &hf_lte_rrc_failedCellRSRQ_Type_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRQ_Type_r12 },
  { &hf_lte_rrc_measResultListEUTRA_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ConnEstFailReport_r11_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ConnEstFailReport_r11_eag_1_sequence);

  return offset;
}


static const per_sequence_t ConnEstFailReport_r11_eag_2_sequence[] = {
  { &hf_lte_rrc_measResultFailedCell_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_Range_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ConnEstFailReport_r11_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, ConnEstFailReport_r11_eag_2_sequence);

  return offset;
}


static const per_sequence_t ConnEstFailReport_r11_sequence[] = {
  { &hf_lte_rrc_failedCellId_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellGlobalIdEUTRA },
  { &hf_lte_rrc_locationInfo_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_LocationInfo_r10 },
  { &hf_lte_rrc_measResultFailedCell_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measResultFailedCell_r11 },
  { &hf_lte_rrc_measResultNeighCells_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultNeighCells_r11 },
  { &hf_lte_rrc_numberOfPreamblesSent_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NumberOfPreamblesSent_r11 },
  { &hf_lte_rrc_contentionDetected_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_maxTxPowerReached_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_timeSinceFailure_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeSinceFailure_r11 },
  { &hf_lte_rrc_measResultListEUTRA_v1130, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_v9e0 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ConnEstFailReport_r11_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_ConnEstFailReport_r11_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ConnEstFailReport_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ConnEstFailReport_r11, ConnEstFailReport_r11_sequence);

  return offset;
}


static const per_sequence_t T_pci_arfcn_r12_sequence[] = {
  { &hf_lte_rrc_physCellId_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_carrierFreq_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_pci_arfcn_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_pci_arfcn_r12, T_pci_arfcn_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_visitedCellId_r12_vals[] = {
  {   0, "cellGlobalId-r12" },
  {   1, "pci-arfcn-r12" },
  { 0, NULL }
};

static const per_choice_t T_visitedCellId_r12_choice[] = {
  {   0, &hf_lte_rrc_cellGlobalId_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CellGlobalIdEUTRA },
  {   1, &hf_lte_rrc_pci_arfcn_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_pci_arfcn_r12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_visitedCellId_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_visitedCellId_r12, T_visitedCellId_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t VisitedCellInfo_r12_sequence[] = {
  { &hf_lte_rrc_visitedCellId_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_visitedCellId_r12 },
  { &hf_lte_rrc_timeSpent_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_4095 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_VisitedCellInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_VisitedCellInfo_r12, VisitedCellInfo_r12_sequence);

  return offset;
}


static const per_sequence_t VisitedCellInfoList_r12_sequence_of[1] = {
  { &hf_lte_rrc_VisitedCellInfoList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_VisitedCellInfo_r12 },
};

static int
dissect_lte_rrc_VisitedCellInfoList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_VisitedCellInfoList_r12, VisitedCellInfoList_r12_sequence_of,
                                                  1, maxCellHistory_r12, FALSE);

  return offset;
}



static int
dissect_lte_rrc_MobilityHistoryReport_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_VisitedCellInfoList_r12(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_57_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_57(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_57, T_nonCriticalExtension_57_sequence);

  return offset;
}


static const per_sequence_t UEInformationResponse_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_mobilityHistoryReport_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityHistoryReport_r12 },
  { &hf_lte_rrc_nonCriticalExtension_177, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_57 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationResponse_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationResponse_v1250_IEs, UEInformationResponse_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t UEInformationResponse_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_connEstFailReport_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ConnEstFailReport_r11 },
  { &hf_lte_rrc_nonCriticalExtension_176, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEInformationResponse_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationResponse_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationResponse_v1130_IEs, UEInformationResponse_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t UEInformationResponse_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_logMeasReport_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LogMeasReport_r10 },
  { &hf_lte_rrc_nonCriticalExtension_175, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEInformationResponse_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationResponse_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationResponse_v1020_IEs, UEInformationResponse_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t UEInformationResponse_v930_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_06, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_05 },
  { &hf_lte_rrc_nonCriticalExtension_174, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEInformationResponse_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationResponse_v930_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationResponse_v930_IEs, UEInformationResponse_v930_IEs_sequence);

  return offset;
}


static const per_sequence_t UEInformationResponse_r9_IEs_sequence[] = {
  { &hf_lte_rrc_rach_Report_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rach_Report_r9 },
  { &hf_lte_rrc_rlf_Report_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLF_Report_r9 },
  { &hf_lte_rrc_nonCriticalExtension_172, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEInformationResponse_v930_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationResponse_r9_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationResponse_r9_IEs, UEInformationResponse_r9_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_44_vals[] = {
  {   0, "ueInformationResponse-r9" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_44_choice[] = {
  {   0, &hf_lte_rrc_ueInformationResponse_r9_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UEInformationResponse_r9_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_44(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_44, T_c1_44_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_47_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_47(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_47, T_criticalExtensionsFuture_47_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_47_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_47_choice[] = {
  {   0, &hf_lte_rrc_c1_44       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_44 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_47, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_47 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_47(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_47, T_criticalExtensions_47_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UEInformationResponse_r9_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_47, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_47 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationResponse_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "UEInformationResponse-r9");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationResponse_r9, UEInformationResponse_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_type_r9_vals[] = {
  {   0, "entering" },
  {   1, "leaving" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_type_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_carrierFreq_r9_vals[] = {
  {   0, "eutra-r9" },
  {   1, "utra-r9" },
  {   2, "eutra2-v9e0" },
  { 0, NULL }
};

static const per_choice_t T_carrierFreq_r9_choice[] = {
  {   0, &hf_lte_rrc_eutra_r9    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_ARFCN_ValueEUTRA },
  {   1, &hf_lte_rrc_utra_r9     , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_ARFCN_ValueUTRA },
  {   2, &hf_lte_rrc_eutra2_v9e0 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_carrierFreq_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_carrierFreq_r9, T_carrierFreq_r9_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_25_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_25(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_25, T_nonCriticalExtension_25_sequence);

  return offset;
}


static const per_sequence_t ProximityIndication_v930_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_65, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_25 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ProximityIndication_v930_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ProximityIndication_v930_IEs, ProximityIndication_v930_IEs_sequence);

  return offset;
}


static const per_sequence_t ProximityIndication_r9_IEs_sequence[] = {
  { &hf_lte_rrc_type_r9     , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_type_r9 },
  { &hf_lte_rrc_carrierFreq_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_carrierFreq_r9 },
  { &hf_lte_rrc_nonCriticalExtension_64, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ProximityIndication_v930_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ProximityIndication_r9_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ProximityIndication_r9_IEs, ProximityIndication_r9_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_27_vals[] = {
  {   0, "proximityIndication-r9" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_27_choice[] = {
  {   0, &hf_lte_rrc_proximityIndication_r9_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ProximityIndication_r9_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_27(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_27, T_c1_27_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_20_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_20, T_criticalExtensionsFuture_20_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_20_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_20_choice[] = {
  {   0, &hf_lte_rrc_c1_27       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_27 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_20, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_20 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_20, T_criticalExtensions_20_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ProximityIndication_r9_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_20, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_20 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ProximityIndication_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "ProximityIndication-r9");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ProximityIndication_r9, ProximityIndication_r9_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_27_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_27(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_27, T_nonCriticalExtension_27_sequence);

  return offset;
}


static const per_sequence_t RNReconfigurationComplete_r10_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_67, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_27 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RNReconfigurationComplete_r10_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RNReconfigurationComplete_r10_IEs, RNReconfigurationComplete_r10_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_29_vals[] = {
  {   0, "rnReconfigurationComplete-r10" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_29_choice[] = {
  {   0, &hf_lte_rrc_rnReconfigurationComplete_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RNReconfigurationComplete_r10_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_29(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_29, T_c1_29_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_22_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_22(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_22, T_criticalExtensionsFuture_22_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_22_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_22_choice[] = {
  {   0, &hf_lte_rrc_c1_29       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_29 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_22, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_22 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_22(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_22, T_criticalExtensions_22_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RNReconfigurationComplete_r10_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_22, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_22 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RNReconfigurationComplete_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RNReconfigurationComplete-r10");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RNReconfigurationComplete_r10, RNReconfigurationComplete_r10_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_maxMBSFN_Area_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxMBSFN_Area_1, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_maxServiceCount_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxServiceCount_1, NULL, FALSE);

  return offset;
}


static const per_sequence_t CountingResponseInfo_r10_sequence[] = {
  { &hf_lte_rrc_countingResponseService_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_maxServiceCount_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CountingResponseInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CountingResponseInfo_r10, CountingResponseInfo_r10_sequence);

  return offset;
}


static const per_sequence_t CountingResponseList_r10_sequence_of[1] = {
  { &hf_lte_rrc_CountingResponseList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CountingResponseInfo_r10 },
};

static int
dissect_lte_rrc_CountingResponseList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CountingResponseList_r10, CountingResponseList_r10_sequence_of,
                                                  1, maxServiceCount, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_18_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_18(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_18, T_nonCriticalExtension_18_sequence);

  return offset;
}


static const per_sequence_t MBMSCountingResponse_r10_IEs_sequence[] = {
  { &hf_lte_rrc_mbsfn_AreaIndex_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_maxMBSFN_Area_1 },
  { &hf_lte_rrc_countingResponseList_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CountingResponseList_r10 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_44, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_18 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMSCountingResponse_r10_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMSCountingResponse_r10_IEs, MBMSCountingResponse_r10_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_23_vals[] = {
  {   0, "countingResponse-r10" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_23_choice[] = {
  {   0, &hf_lte_rrc_countingResponse_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MBMSCountingResponse_r10_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_23(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_23, T_c1_23_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_16_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_16, T_criticalExtensionsFuture_16_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_16_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_16_choice[] = {
  {   0, &hf_lte_rrc_c1_23       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_23 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_16, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_16 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_16, T_criticalExtensions_16_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MBMSCountingResponse_r10_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_16, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_16 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMSCountingResponse_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MBMSCountingResponse-r10");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMSCountingResponse_r10, MBMSCountingResponse_r10_sequence);

  return offset;
}


static const per_sequence_t RSTD_InterFreqInfo_r10_eag_1_sequence[] = {
  { &hf_lte_rrc_carrierFreq_v1090, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RSTD_InterFreqInfo_r10_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RSTD_InterFreqInfo_r10_eag_1_sequence);

  return offset;
}


static const per_sequence_t RSTD_InterFreqInfo_r10_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_measPRS_Offset_r10, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_39 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSTD_InterFreqInfo_r10_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RSTD_InterFreqInfo_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RSTD_InterFreqInfo_r10, RSTD_InterFreqInfo_r10_sequence);

  return offset;
}


static const per_sequence_t RSTD_InterFreqInfoList_r10_sequence_of[1] = {
  { &hf_lte_rrc_RSTD_InterFreqInfoList_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSTD_InterFreqInfo_r10 },
};

static int
dissect_lte_rrc_RSTD_InterFreqInfoList_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_RSTD_InterFreqInfoList_r10, RSTD_InterFreqInfoList_r10_sequence_of,
                                                  1, maxRSTD_Freq_r10, FALSE);

  return offset;
}


static const per_sequence_t T_start_sequence[] = {
  { &hf_lte_rrc_rstd_InterFreqInfoList_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSTD_InterFreqInfoList_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_start(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_start, T_start_sequence);

  return offset;
}


static const value_string lte_rrc_T_rstd_InterFreqIndication_r10_vals[] = {
  {   0, "start" },
  {   1, "stop" },
  { 0, NULL }
};

static const per_choice_t T_rstd_InterFreqIndication_r10_choice[] = {
  {   0, &hf_lte_rrc_start       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_start },
  {   1, &hf_lte_rrc_stop        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_rstd_InterFreqIndication_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_rstd_InterFreqIndication_r10, T_rstd_InterFreqIndication_r10_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_15_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_15, T_nonCriticalExtension_15_sequence);

  return offset;
}


static const per_sequence_t InterFreqRSTDMeasurementIndication_r10_IEs_sequence[] = {
  { &hf_lte_rrc_rstd_InterFreqIndication_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rstd_InterFreqIndication_r10 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_38, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqRSTDMeasurementIndication_r10_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqRSTDMeasurementIndication_r10_IEs, InterFreqRSTDMeasurementIndication_r10_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_21_vals[] = {
  {   0, "interFreqRSTDMeasurementIndication-r10" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_21_choice[] = {
  {   0, &hf_lte_rrc_interFreqRSTDMeasurementIndication_r10_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_InterFreqRSTDMeasurementIndication_r10_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_21(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_21, T_c1_21_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_14_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_14, T_criticalExtensionsFuture_14_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_14_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_14_choice[] = {
  {   0, &hf_lte_rrc_c1_21       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_21 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_14, T_criticalExtensions_14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t InterFreqRSTDMeasurementIndication_r10_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqRSTDMeasurementIndication_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "InterFreqRSTDMeasurementIndication-r10");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqRSTDMeasurementIndication_r10, InterFreqRSTDMeasurementIndication_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_15_vals[] = {
  {   0, "csfbParametersRequestCDMA2000" },
  {   1, "measurementReport" },
  {   2, "rrcConnectionReconfigurationComplete" },
  {   3, "rrcConnectionReestablishmentComplete" },
  {   4, "rrcConnectionSetupComplete" },
  {   5, "securityModeComplete" },
  {   6, "securityModeFailure" },
  {   7, "ueCapabilityInformation" },
  {   8, "ulHandoverPreparationTransfer" },
  {   9, "ulInformationTransfer" },
  {  10, "counterCheckResponse" },
  {  11, "ueInformationResponse-r9" },
  {  12, "proximityIndication-r9" },
  {  13, "rnReconfigurationComplete-r10" },
  {  14, "mbmsCountingResponse-r10" },
  {  15, "interFreqRSTDMeasurementIndication-r10" },
  { 0, NULL }
};

static const per_choice_t T_c1_15_choice[] = {
  {   0, &hf_lte_rrc_csfbParametersRequestCDMA2000, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CSFBParametersRequestCDMA2000 },
  {   1, &hf_lte_rrc_measurementReport, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MeasurementReport },
  {   2, &hf_lte_rrc_rrcConnectionReconfigurationComplete, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReconfigurationComplete },
  {   3, &hf_lte_rrc_rrcConnectionReestablishmentComplete, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentComplete },
  {   4, &hf_lte_rrc_rrcConnectionSetupComplete, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionSetupComplete },
  {   5, &hf_lte_rrc_securityModeComplete, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeComplete },
  {   6, &hf_lte_rrc_securityModeFailure, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeFailure },
  {   7, &hf_lte_rrc_ueCapabilityInformation, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UECapabilityInformation },
  {   8, &hf_lte_rrc_ulHandoverPreparationTransfer, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ULHandoverPreparationTransfer },
  {   9, &hf_lte_rrc_ulInformationTransfer, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ULInformationTransfer },
  {  10, &hf_lte_rrc_counterCheckResponse, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_CounterCheckResponse },
  {  11, &hf_lte_rrc_ueInformationResponse_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UEInformationResponse_r9 },
  {  12, &hf_lte_rrc_proximityIndication_r9, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ProximityIndication_r9 },
  {  13, &hf_lte_rrc_rnReconfigurationComplete_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RNReconfigurationComplete_r10 },
  {  14, &hf_lte_rrc_mbmsCountingResponse_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MBMSCountingResponse_r10 },
  {  15, &hf_lte_rrc_interFreqRSTDMeasurementIndication_r10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_InterFreqRSTDMeasurementIndication_r10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_15, T_c1_15_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_powerPrefIndication_r11_01_vals[] = {
  {   0, "normal" },
  {   1, "lowPowerConsumption" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerPrefIndication_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dl_Preference_r14_vals[] = {
  {   0, "mhz1dot4" },
  {   1, "mhz5" },
  {   2, "mhz20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_Preference_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_Preference_r14_vals[] = {
  {   0, "mhz1dot4" },
  {   1, "mhz5" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_Preference_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BW_Preference_r14_sequence[] = {
  { &hf_lte_rrc_dl_Preference_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dl_Preference_r14 },
  { &hf_lte_rrc_ul_Preference_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Preference_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BW_Preference_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BW_Preference_r14, BW_Preference_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_trafficPeriodicity_r14_vals[] = {
  {   0, "sf20" },
  {   1, "sf50" },
  {   2, "sf100" },
  {   3, "sf200" },
  {   4, "sf300" },
  {   5, "sf400" },
  {   6, "sf500" },
  {   7, "sf600" },
  {   8, "sf700" },
  {   9, "sf800" },
  {  10, "sf900" },
  {  11, "sf1000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_trafficPeriodicity_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     12, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_messageSize_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *messageSize_r14_tvb = NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, -1,
                                     6, 6, FALSE, &messageSize_r14_tvb, NULL);

  if (messageSize_r14_tvb) {
    guint bitvalue = tvb_get_bits8(messageSize_r14_tvb, 0, 6);
    actx->created_item = proto_tree_add_uint(tree, hf_index, messageSize_r14_tvb, 0, 1, bitvalue);
  }


  return offset;
}


static const per_sequence_t TrafficPatternInfo_r14_sequence[] = {
  { &hf_lte_rrc_trafficPeriodicity_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_trafficPeriodicity_r14 },
  { &hf_lte_rrc_timingOffset_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_10239 },
  { &hf_lte_rrc_priorityInfoSL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_Priority_r13 },
  { &hf_lte_rrc_logicalChannelIdentityUL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_3_10 },
  { &hf_lte_rrc_messageSize_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_messageSize_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TrafficPatternInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TrafficPatternInfo_r14, TrafficPatternInfo_r14_sequence);

  return offset;
}


static const per_sequence_t TrafficPatternInfoList_r14_sequence_of[1] = {
  { &hf_lte_rrc_TrafficPatternInfoList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrafficPatternInfo_r14 },
};

static int
dissect_lte_rrc_TrafficPatternInfoList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_TrafficPatternInfoList_r14, TrafficPatternInfoList_r14_sequence_of,
                                                  1, maxTrafficPattern_r14, FALSE);

  return offset;
}


static const per_sequence_t T_sps_AssistanceInformation_r14_sequence[] = {
  { &hf_lte_rrc_trafficPatternInfoListSL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TrafficPatternInfoList_r14 },
  { &hf_lte_rrc_trafficPatternInfoListUL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TrafficPatternInfoList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_sps_AssistanceInformation_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_sps_AssistanceInformation_r14, T_sps_AssistanceInformation_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_rlm_Event_r14_vals[] = {
  {   0, "earlyOutOfSync" },
  {   1, "earlyInSync" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlm_Event_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_excessRep_MPDCCH_r14_vals[] = {
  {   0, "excessRep1" },
  {   1, "excessRep2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_excessRep_MPDCCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_rlm_Report_r14_sequence[] = {
  { &hf_lte_rrc_rlm_Event_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rlm_Event_r14 },
  { &hf_lte_rrc_excessRep_MPDCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_excessRep_MPDCCH_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rlm_Report_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rlm_Report_r14, T_rlm_Report_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_type1_vals[] = {
  {   0, "msMinus1280" },
  {   1, "msMinus640" },
  {   2, "msMinus320" },
  {   3, "msMinus160" },
  {   4, "msMinus80" },
  {   5, "msMinus60" },
  {   6, "msMinus40" },
  {   7, "msMinus20" },
  {   8, "ms0" },
  {   9, "ms20" },
  {  10, "ms40" },
  {  11, "ms60" },
  {  12, "ms80" },
  {  13, "ms160" },
  {  14, "ms320" },
  {  15, "ms640" },
  {  16, "ms1280" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_type1_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_type1_vals);


static int
dissect_lte_rrc_T_type1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     17, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_type2_vals[] = {
  {   0, "msMinus192" },
  {   1, "msMinus168" },
  {   2, "msMinus144" },
  {   3, "msMinus120" },
  {   4, "msMinus96" },
  {   5, "msMinus72" },
  {   6, "msMinus48" },
  {   7, "msMinus24" },
  {   8, "ms0" },
  {   9, "ms24" },
  {  10, "ms48" },
  {  11, "ms72" },
  {  12, "ms96" },
  {  13, "ms120" },
  {  14, "ms144" },
  {  15, "ms168" },
  {  16, "ms192" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_type2_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_type2_vals);


static int
dissect_lte_rrc_T_type2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     17, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_DelayBudgetReport_r14_vals[] = {
  {   0, "type1" },
  {   1, "type2" },
  { 0, NULL }
};

static const per_choice_t DelayBudgetReport_r14_choice[] = {
  {   0, &hf_lte_rrc_type1       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_type1 },
  {   1, &hf_lte_rrc_type2       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_type2 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DelayBudgetReport_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DelayBudgetReport_r14, DelayBudgetReport_r14_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_21(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 21U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_reducedUE_Category_sequence[] = {
  { &hf_lte_rrc_reducedUE_CategoryDL, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_19 },
  { &hf_lte_rrc_reducedUE_CategoryUL, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_21 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_reducedUE_Category(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_reducedUE_Category, T_reducedUE_Category_sequence);

  return offset;
}


static const per_sequence_t T_reducedMaxCCs_sequence[] = {
  { &hf_lte_rrc_reducedCCsDL, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_reducedCCsUL, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_reducedMaxCCs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_reducedMaxCCs, T_reducedMaxCCs_sequence);

  return offset;
}


static const per_sequence_t OverheatingAssistance_r14_sequence[] = {
  { &hf_lte_rrc_reducedUE_Category, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedUE_Category },
  { &hf_lte_rrc_reducedMaxCCs, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedMaxCCs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_OverheatingAssistance_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_OverheatingAssistance_r14, OverheatingAssistance_r14_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_52_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_52(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_52, T_nonCriticalExtension_52_sequence);

  return offset;
}


static const per_sequence_t UEAssistanceInformation_v1450_IEs_sequence[] = {
  { &hf_lte_rrc_overheatingAssistance_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OverheatingAssistance_r14 },
  { &hf_lte_rrc_nonCriticalExtension_157, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_52 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEAssistanceInformation_v1450_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEAssistanceInformation_v1450_IEs, UEAssistanceInformation_v1450_IEs_sequence);

  return offset;
}


static const per_sequence_t UEAssistanceInformation_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_bw_Preference_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BW_Preference_r14 },
  { &hf_lte_rrc_sps_AssistanceInformation_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sps_AssistanceInformation_r14 },
  { &hf_lte_rrc_rlm_Report_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlm_Report_r14 },
  { &hf_lte_rrc_delayBudgetReport_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DelayBudgetReport_r14 },
  { &hf_lte_rrc_nonCriticalExtension_156, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEAssistanceInformation_v1450_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEAssistanceInformation_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEAssistanceInformation_v1430_IEs, UEAssistanceInformation_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t UEAssistanceInformation_r11_IEs_sequence[] = {
  { &hf_lte_rrc_powerPrefIndication_r11_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerPrefIndication_r11_01 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_155, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UEAssistanceInformation_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEAssistanceInformation_r11_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEAssistanceInformation_r11_IEs, UEAssistanceInformation_r11_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_40_vals[] = {
  {   0, "ueAssistanceInformation-r11" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_40_choice[] = {
  {   0, &hf_lte_rrc_ueAssistanceInformation_r11_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UEAssistanceInformation_r11_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_40(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_40, T_c1_40_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_43_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_43(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_43, T_criticalExtensionsFuture_43_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_43_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_43_choice[] = {
  {   0, &hf_lte_rrc_c1_40       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_40 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_43, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_43 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_43(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_43, T_criticalExtensions_43_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UEAssistanceInformation_r11_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_43, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_43 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEAssistanceInformation_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "UEAssistanceInformation-r11");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEAssistanceInformation_r11, UEAssistanceInformation_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_interferenceDirection_r11_vals[] = {
  {   0, "eutra" },
  {   1, "other" },
  {   2, "both" },
  {   3, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interferenceDirection_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AffectedCarrierFreq_r11_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId },
  { &hf_lte_rrc_interferenceDirection_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_interferenceDirection_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AffectedCarrierFreq_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AffectedCarrierFreq_r11, AffectedCarrierFreq_r11_sequence);

  return offset;
}


static const per_sequence_t AffectedCarrierFreqList_r11_sequence_of[1] = {
  { &hf_lte_rrc_AffectedCarrierFreqList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AffectedCarrierFreq_r11 },
};

static int
dissect_lte_rrc_AffectedCarrierFreqList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AffectedCarrierFreqList_r11, AffectedCarrierFreqList_r11_sequence_of,
                                                  1, maxFreqIDC_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_drx_CycleLength_r11_vals[] = {
  {   0, "sf40" },
  {   1, "sf64" },
  {   2, "sf80" },
  {   3, "sf128" },
  {   4, "sf160" },
  {   5, "sf256" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_CycleLength_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_ActiveTime_r11_vals[] = {
  {   0, "sf20" },
  {   1, "sf30" },
  {   2, "sf40" },
  {   3, "sf60" },
  {   4, "sf80" },
  {   5, "sf100" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_ActiveTime_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_drx_AssistanceInfo_r11_sequence[] = {
  { &hf_lte_rrc_drx_CycleLength_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_CycleLength_r11 },
  { &hf_lte_rrc_drx_Offset_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_255 },
  { &hf_lte_rrc_drx_ActiveTime_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_ActiveTime_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_drx_AssistanceInfo_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_drx_AssistanceInfo_r11, T_drx_AssistanceInfo_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_subframePatternTDD_r11_vals[] = {
  {   0, "subframeConfig0-r11" },
  {   1, "subframeConfig1-5-r11" },
  {   2, "subframeConfig6-r11" },
  { 0, NULL }
};

static const per_choice_t T_subframePatternTDD_r11_choice[] = {
  {   0, &hf_lte_rrc_subframeConfig0_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_70 },
  {   1, &hf_lte_rrc_subframeConfig1_5_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_10 },
  {   2, &hf_lte_rrc_subframeConfig6_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_60 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_subframePatternTDD_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_subframePatternTDD_r11, T_subframePatternTDD_r11_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_IDC_SubframePattern_r11_vals[] = {
  {   0, "subframePatternFDD-r11" },
  {   1, "subframePatternTDD-r11" },
  { 0, NULL }
};

static const per_choice_t IDC_SubframePattern_r11_choice[] = {
  {   0, &hf_lte_rrc_subframePatternFDD_r11, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_BIT_STRING_SIZE_4 },
  {   1, &hf_lte_rrc_subframePatternTDD_r11, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_subframePatternTDD_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_IDC_SubframePattern_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_IDC_SubframePattern_r11, IDC_SubframePattern_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t IDC_SubframePatternList_r11_sequence_of[1] = {
  { &hf_lte_rrc_IDC_SubframePatternList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IDC_SubframePattern_r11 },
};

static int
dissect_lte_rrc_IDC_SubframePatternList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_IDC_SubframePatternList_r11, IDC_SubframePatternList_r11_sequence_of,
                                                  1, maxSubframePatternIDC_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_TDM_AssistanceInfo_r11_vals[] = {
  {   0, "drx-AssistanceInfo-r11" },
  {   1, "idc-SubframePatternList-r11" },
  { 0, NULL }
};

static const per_choice_t TDM_AssistanceInfo_r11_choice[] = {
  {   0, &hf_lte_rrc_drx_AssistanceInfo_r11, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_drx_AssistanceInfo_r11 },
  {   1, &hf_lte_rrc_idc_SubframePatternList_r11, ASN1_EXTENSION_ROOT    , dissect_lte_rrc_IDC_SubframePatternList_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_TDM_AssistanceInfo_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_TDM_AssistanceInfo_r11, TDM_AssistanceInfo_r11_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t AffectedCarrierFreqComb_r11_sequence_of[1] = {
  { &hf_lte_rrc_AffectedCarrierFreqComb_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId },
};

static int
dissect_lte_rrc_AffectedCarrierFreqComb_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AffectedCarrierFreqComb_r11, AffectedCarrierFreqComb_r11_sequence_of,
                                                  2, maxServCell_r10, FALSE);

  return offset;
}


static const per_sequence_t AffectedCarrierFreqCombList_r11_sequence_of[1] = {
  { &hf_lte_rrc_AffectedCarrierFreqCombList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AffectedCarrierFreqComb_r11 },
};

static int
dissect_lte_rrc_AffectedCarrierFreqCombList_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AffectedCarrierFreqCombList_r11, AffectedCarrierFreqCombList_r11_sequence_of,
                                                  1, maxCombIDC_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_gps_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gps_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_glonass_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_glonass_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_bds_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_bds_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_galileo_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_galileo_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_wlan_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_wlan_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_bluetooth_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_bluetooth_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t VictimSystemType_r11_sequence[] = {
  { &hf_lte_rrc_gps_r11     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_gps_r11 },
  { &hf_lte_rrc_glonass_r11 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_glonass_r11 },
  { &hf_lte_rrc_bds_r11     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_bds_r11 },
  { &hf_lte_rrc_galileo_r11 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_galileo_r11 },
  { &hf_lte_rrc_wlan_r11    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_wlan_r11 },
  { &hf_lte_rrc_bluetooth_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_bluetooth_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_VictimSystemType_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_VictimSystemType_r11, VictimSystemType_r11_sequence);

  return offset;
}


static const per_sequence_t T_ul_CA_AssistanceInfo_r11_sequence[] = {
  { &hf_lte_rrc_affectedCarrierFreqCombList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AffectedCarrierFreqCombList_r11 },
  { &hf_lte_rrc_victimSystemType_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_VictimSystemType_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_CA_AssistanceInfo_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_CA_AssistanceInfo_r11, T_ul_CA_AssistanceInfo_r11_sequence);

  return offset;
}


static const per_sequence_t AffectedCarrierFreq_v1310_sequence[] = {
  { &hf_lte_rrc_carrierFreq_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasObjectId_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AffectedCarrierFreq_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AffectedCarrierFreq_v1310, AffectedCarrierFreq_v1310_sequence);

  return offset;
}


static const per_sequence_t AffectedCarrierFreqList_v1310_sequence_of[1] = {
  { &hf_lte_rrc_AffectedCarrierFreqList_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AffectedCarrierFreq_v1310 },
};

static int
dissect_lte_rrc_AffectedCarrierFreqList_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AffectedCarrierFreqList_v1310, AffectedCarrierFreqList_v1310_sequence_of,
                                                  1, maxFreqIDC_r11, FALSE);

  return offset;
}



static int
dissect_lte_rrc_MeasObjectId_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxObjectId_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t AffectedCarrierFreqComb_r13_sequence_of[1] = {
  { &hf_lte_rrc_AffectedCarrierFreqComb_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasObjectId_r13 },
};

static int
dissect_lte_rrc_AffectedCarrierFreqComb_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AffectedCarrierFreqComb_r13, AffectedCarrierFreqComb_r13_sequence_of,
                                                  2, maxServCell_r13, FALSE);

  return offset;
}


static const per_sequence_t AffectedCarrierFreqCombList_r13_sequence_of[1] = {
  { &hf_lte_rrc_AffectedCarrierFreqCombList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AffectedCarrierFreqComb_r13 },
};

static int
dissect_lte_rrc_AffectedCarrierFreqCombList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AffectedCarrierFreqCombList_r13, AffectedCarrierFreqCombList_r13_sequence_of,
                                                  1, maxCombIDC_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_hardwareSharingProblem_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_hardwareSharingProblem_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_14_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_14, T_nonCriticalExtension_14_sequence);

  return offset;
}


static const per_sequence_t InDeviceCoexIndication_v1360_IEs_sequence[] = {
  { &hf_lte_rrc_hardwareSharingProblem_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_hardwareSharingProblem_r13 },
  { &hf_lte_rrc_nonCriticalExtension_37, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InDeviceCoexIndication_v1360_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InDeviceCoexIndication_v1360_IEs, InDeviceCoexIndication_v1360_IEs_sequence);

  return offset;
}


static const per_sequence_t InDeviceCoexIndication_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_affectedCarrierFreqList_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AffectedCarrierFreqList_v1310 },
  { &hf_lte_rrc_affectedCarrierFreqCombList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AffectedCarrierFreqCombList_r13 },
  { &hf_lte_rrc_nonCriticalExtension_36, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InDeviceCoexIndication_v1360_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InDeviceCoexIndication_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InDeviceCoexIndication_v1310_IEs, InDeviceCoexIndication_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t InDeviceCoexIndication_v11d0_IEs_sequence[] = {
  { &hf_lte_rrc_ul_CA_AssistanceInfo_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_CA_AssistanceInfo_r11 },
  { &hf_lte_rrc_nonCriticalExtension_35, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InDeviceCoexIndication_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InDeviceCoexIndication_v11d0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InDeviceCoexIndication_v11d0_IEs, InDeviceCoexIndication_v11d0_IEs_sequence);

  return offset;
}


static const per_sequence_t InDeviceCoexIndication_r11_IEs_sequence[] = {
  { &hf_lte_rrc_affectedCarrierFreqList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AffectedCarrierFreqList_r11 },
  { &hf_lte_rrc_tdm_AssistanceInfo_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_TDM_AssistanceInfo_r11 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_34, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InDeviceCoexIndication_v11d0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InDeviceCoexIndication_r11_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InDeviceCoexIndication_r11_IEs, InDeviceCoexIndication_r11_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_20_vals[] = {
  {   0, "inDeviceCoexIndication-r11" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_20_choice[] = {
  {   0, &hf_lte_rrc_inDeviceCoexIndication_r11_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_InDeviceCoexIndication_r11_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_20, T_c1_20_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_13_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_13, T_criticalExtensionsFuture_13_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_13_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_13_choice[] = {
  {   0, &hf_lte_rrc_c1_20       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_20 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_13, T_criticalExtensions_13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t InDeviceCoexIndication_r11_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InDeviceCoexIndication_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "InDeviceCoexIndication-r11");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InDeviceCoexIndication_r11, InDeviceCoexIndication_r11_sequence);

  return offset;
}


static const per_sequence_t CarrierFreqListMBMS_r11_sequence_of[1] = {
  { &hf_lte_rrc_CarrierFreqListMBMS_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
};

static int
dissect_lte_rrc_CarrierFreqListMBMS_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_CarrierFreqListMBMS_r11, CarrierFreqListMBMS_r11_sequence_of,
                                                  1, maxFreqMBMS_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_mbms_Priority_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mbms_Priority_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MBMS_ServiceInfo_r13_sequence[] = {
  { &hf_lte_rrc_tmgi_r13    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TMGI_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_ServiceInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_ServiceInfo_r13, MBMS_ServiceInfo_r13_sequence);

  return offset;
}


static const per_sequence_t MBMS_ServiceList_r13_sequence_of[1] = {
  { &hf_lte_rrc_MBMS_ServiceList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_ServiceInfo_r13 },
};

static int
dissect_lte_rrc_MBMS_ServiceList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBMS_ServiceList_r13, MBMS_ServiceList_r13_sequence_of,
                                                  0, maxMBMS_ServiceListPerUE_r13, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_19_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_19(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_19, T_nonCriticalExtension_19_sequence);

  return offset;
}


static const per_sequence_t MBMSInterestIndication_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_mbms_Services_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_ServiceList_r13 },
  { &hf_lte_rrc_nonCriticalExtension_46, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_19 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMSInterestIndication_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMSInterestIndication_v1310_IEs, MBMSInterestIndication_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t MBMSInterestIndication_r11_IEs_sequence[] = {
  { &hf_lte_rrc_mbms_FreqList_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreqListMBMS_r11 },
  { &hf_lte_rrc_mbms_Priority_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbms_Priority_r11 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_45, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMSInterestIndication_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMSInterestIndication_r11_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMSInterestIndication_r11_IEs, MBMSInterestIndication_r11_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_24_vals[] = {
  {   0, "interestIndication-r11" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_24_choice[] = {
  {   0, &hf_lte_rrc_interestIndication_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MBMSInterestIndication_r11_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_24(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_24, T_c1_24_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_17_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_17(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_17, T_criticalExtensionsFuture_17_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_17_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_17_choice[] = {
  {   0, &hf_lte_rrc_c1_24       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_24 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_17, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_17 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_17(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_17, T_criticalExtensions_17_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MBMSInterestIndication_r11_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_17, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_17 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMSInterestIndication_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MBMSInterestIndication-r11");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMSInterestIndication_r11, MBMSInterestIndication_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_failureType_r12_vals[] = {
  {   0, "t313-Expiry" },
  {   1, "randomAccessProblem" },
  {   2, "rlc-MaxNumRetx" },
  {   3, "scg-ChangeFailure" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_failureType_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_failureType_v1290_vals[] = {
  {   0, "maxUL-TimingDiff-v1290" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_failureType_v1290(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t FailureReportSCG_r12_eag_1_sequence[] = {
  { &hf_lte_rrc_failureType_v1290, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_failureType_v1290 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FailureReportSCG_r12_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, FailureReportSCG_r12_eag_1_sequence);

  return offset;
}


static const per_sequence_t FailureReportSCG_r12_eag_2_sequence[] = {
  { &hf_lte_rrc_measResultServFreqListExt_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultServFreqListExt_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FailureReportSCG_r12_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, FailureReportSCG_r12_eag_2_sequence);

  return offset;
}


static const per_sequence_t FailureReportSCG_r12_sequence[] = {
  { &hf_lte_rrc_failureType_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_failureType_r12 },
  { &hf_lte_rrc_measResultServFreqList_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultServFreqList_r10 },
  { &hf_lte_rrc_measResultNeighCells_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_r9 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_FailureReportSCG_r12_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_FailureReportSCG_r12_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FailureReportSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FailureReportSCG_r12, FailureReportSCG_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_SCGFailureInformation_v12d0_IEs_PDU);

  return offset;
}


static const value_string lte_rrc_T_failureType_r15_vals[] = {
  {   0, "t313-Expiry" },
  {   1, "randomAccessProblem" },
  {   2, "rlc-MaxNumRetx" },
  {   3, "maxUL-TimingDiff" },
  {   4, "scg-ChangeFailure" },
  {   5, "scg-reconfigFailure" },
  {   6, "srb3-IntegrityFailure" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_failureType_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MeasResultFreqFailNR_r15_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r15, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueNR_r15 },
  { &hf_lte_rrc_measResultCellList_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultCellListNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasResultFreqFailNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasResultFreqFailNR_r15, MeasResultFreqFailNR_r15_sequence);

  return offset;
}


static const per_sequence_t MeasResultFreqListFailNR_r15_sequence_of[1] = {
  { &hf_lte_rrc_MeasResultFreqListFailNR_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultFreqFailNR_r15 },
};

static int
dissect_lte_rrc_MeasResultFreqListFailNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MeasResultFreqListFailNR_r15, MeasResultFreqListFailNR_r15_sequence_of,
                                                  1, maxFreqNR_r15, FALSE);

  return offset;
}



static int
dissect_lte_rrc_T_measResultSCG_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *meas_results_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &meas_results_tvb);


  if (meas_results_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_measResultSCG_r15);
    dissect_nr_rrc_MeasResults_PDU(meas_results_tvb, actx->pinfo, subtree, NULL);
  }


  return offset;
}


static const per_sequence_t FailureReportSCG_NR_r15_sequence[] = {
  { &hf_lte_rrc_failureType_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_failureType_r15 },
  { &hf_lte_rrc_measResultFreqListNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultFreqListFailNR_r15 },
  { &hf_lte_rrc_measResultSCG_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measResultSCG_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FailureReportSCG_NR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FailureReportSCG_NR_r15, FailureReportSCG_NR_r15_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_40_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_40(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_40, T_nonCriticalExtension_40_sequence);

  return offset;
}


static const per_sequence_t SCGFailureInformation_v15x0_IEs_sequence[] = {
  { &hf_lte_rrc_failureReportSCG_NR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FailureReportSCG_NR_r15 },
  { &hf_lte_rrc_nonCriticalExtension_123, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_40 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCGFailureInformation_v15x0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCGFailureInformation_v15x0_IEs, SCGFailureInformation_v15x0_IEs_sequence);

  return offset;
}


static const per_sequence_t SCGFailureInformation_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_04, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_03 },
  { &hf_lte_rrc_nonCriticalExtension_122, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCGFailureInformation_v15x0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCGFailureInformation_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCGFailureInformation_v1310_IEs, SCGFailureInformation_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t SCGFailureInformation_r12_IEs_sequence[] = {
  { &hf_lte_rrc_failureReportSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FailureReportSCG_r12 },
  { &hf_lte_rrc_nonCriticalExtension_121, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCGFailureInformation_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCGFailureInformation_r12_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCGFailureInformation_r12_IEs, SCGFailureInformation_r12_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_37_vals[] = {
  {   0, "scgFailureInformation-r12" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_37_choice[] = {
  {   0, &hf_lte_rrc_scgFailureInformation_r12_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SCGFailureInformation_r12_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_37(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_37, T_c1_37_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_37_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_37(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_37, T_criticalExtensionsFuture_37_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_37_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_37_choice[] = {
  {   0, &hf_lte_rrc_c1_37       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_37 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_37, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_37 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_37(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_37, T_criticalExtensions_37_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SCGFailureInformation_r12_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_37, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_37 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCGFailureInformation_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SCGFailureInformation-r12");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCGFailureInformation_r12, SCGFailureInformation_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_SL_DestinationIdentity_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     24, 24, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t SL_DestinationInfoList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SL_DestinationInfoList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DestinationIdentity_r12 },
};

static int
dissect_lte_rrc_SL_DestinationInfoList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_DestinationInfoList_r12, SL_DestinationInfoList_r12_sequence_of,
                                                  1, maxSL_Dest_r12, FALSE);

  return offset;
}


static const per_sequence_t SL_CommTxResourceReq_r12_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_destinationInfoList_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DestinationInfoList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_CommTxResourceReq_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_CommTxResourceReq_r12, SL_CommTxResourceReq_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_discRxInterest_r12_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discRxInterest_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_63(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 63U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_ue_Type_r13_vals[] = {
  {   0, "relayUE" },
  {   1, "remoteUE" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_Type_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_commTxResourceInfoReqRelay_r13_sequence[] = {
  { &hf_lte_rrc_commTxResourceReqRelay_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxResourceReq_r12 },
  { &hf_lte_rrc_commTxResourceReqRelayUC_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxResourceReq_r12 },
  { &hf_lte_rrc_ue_Type_r13 , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ue_Type_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_commTxResourceInfoReqRelay_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_commTxResourceInfoReqRelay_r13, T_commTxResourceInfoReqRelay_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxFreq(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxFreq, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_DiscTxResourceReq_r13_sequence[] = {
  { &hf_lte_rrc_carrierFreqDiscTx_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxFreq },
  { &hf_lte_rrc_discTxResourceReq_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_63 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscTxResourceReq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscTxResourceReq_r13, SL_DiscTxResourceReq_r13_sequence);

  return offset;
}


static const per_sequence_t SL_DiscTxResourceReqPerFreqList_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_DiscTxResourceReqPerFreqList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscTxResourceReq_r13 },
};

static int
dissect_lte_rrc_SL_DiscTxResourceReqPerFreqList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_DiscTxResourceReqPerFreqList_r13, SL_DiscTxResourceReqPerFreqList_r13_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t T_discTxResourceReq_v1310_sequence[] = {
  { &hf_lte_rrc_carrierFreqDiscTx_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxFreq },
  { &hf_lte_rrc_discTxResourceReqAddFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxResourceReqPerFreqList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_discTxResourceReq_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_discTxResourceReq_v1310, T_discTxResourceReq_v1310_sequence);

  return offset;
}


static const per_sequence_t SL_GapFreqInfo_r13_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_gapPatternList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_GapPatternList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_GapFreqInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_GapFreqInfo_r13, SL_GapFreqInfo_r13_sequence);

  return offset;
}


static const per_sequence_t SL_GapRequest_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_GapRequest_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_GapFreqInfo_r13 },
};

static int
dissect_lte_rrc_SL_GapRequest_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_GapRequest_r13, SL_GapRequest_r13_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t T_discCellSelectionInfo_r13_sequence[] = {
  { &hf_lte_rrc_q_RxLevMin_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_q_RxLevMinOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_discCellSelectionInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_discCellSelectionInfo_r13, T_discCellSelectionInfo_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_q_Hyst_r13_01_vals[] = {
  {   0, "dB0" },
  {   1, "dB1" },
  {   2, "dB2" },
  {   3, "dB3" },
  {   4, "dB4" },
  {   5, "dB5" },
  {   6, "dB6" },
  {   7, "dB8" },
  {   8, "dB10" },
  {   9, "dB12" },
  {  10, "dB14" },
  {  11, "dB16" },
  {  12, "dB18" },
  {  13, "dB20" },
  {  14, "dB22" },
  {  15, "dB24" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_q_Hyst_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_cellReselectionInfo_r13_sequence[] = {
  { &hf_lte_rrc_q_Hyst_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_q_Hyst_r13_01 },
  { &hf_lte_rrc_q_RxLevMin_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_t_ReselectionEUTRA_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellReselectionInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellReselectionInfo_r13, T_cellReselectionInfo_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_ul_Bandwidth_r13_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_Bandwidth_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_freqInfo_r13_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA },
  { &hf_lte_rrc_ul_Bandwidth_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_Bandwidth_r13 },
  { &hf_lte_rrc_additionalSpectrumEmission_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_freqInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_freqInfo_r13, T_freqInfo_r13_sequence);

  return offset;
}


static const per_sequence_t T_freqInfo_v1370_01_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmission_v1370, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_freqInfo_v1370_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_freqInfo_v1370_01, T_freqInfo_v1370_01_sequence);

  return offset;
}


static const per_sequence_t SL_DiscSysInfoReport_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_freqInfo_v1370_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_freqInfo_v1370_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscSysInfoReport_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SL_DiscSysInfoReport_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t SL_DiscSysInfoReport_r13_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PLMN_IdentityList },
  { &hf_lte_rrc_cellIdentity_13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CellIdentity },
  { &hf_lte_rrc_carrierFreqInfo_13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_discRxResources_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscRxPoolList_r12 },
  { &hf_lte_rrc_discTxPoolCommon_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxPoolList_r12 },
  { &hf_lte_rrc_discTxPowerInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxPowerInfoList_r12 },
  { &hf_lte_rrc_discSyncConfig_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SL_SyncConfigNFreq_r13 },
  { &hf_lte_rrc_discCellSelectionInfo_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_discCellSelectionInfo_r13 },
  { &hf_lte_rrc_cellReselectionInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_cellReselectionInfo_r13 },
  { &hf_lte_rrc_tdd_Config_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_TDD_Config },
  { &hf_lte_rrc_freqInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_freqInfo_r13 },
  { &hf_lte_rrc_p_Max_r13   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_referenceSignalPower_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M60_50 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscSysInfoReport_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_DiscSysInfoReport_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_DiscSysInfoReport_r13, SL_DiscSysInfoReport_r13_sequence);

  return offset;
}


static const per_sequence_t SL_DiscSysInfoReportFreqList_r13_sequence_of[1] = {
  { &hf_lte_rrc_SL_DiscSysInfoReportFreqList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_DiscSysInfoReport_r13 },
};

static int
dissect_lte_rrc_SL_DiscSysInfoReportFreqList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_DiscSysInfoReportFreqList_r13, SL_DiscSysInfoReportFreqList_r13_sequence_of,
                                                  1, maxSL_DiscSysInfoReportFreq_r13, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_maxFreqV2X_1_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxFreqV2X_1_r14, NULL, FALSE);

  return offset;
}


static const per_sequence_t SL_V2X_CommFreqList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_V2X_CommFreqList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_maxFreqV2X_1_r14 },
};

static int
dissect_lte_rrc_SL_V2X_CommFreqList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_V2X_CommFreqList_r14, SL_V2X_CommFreqList_r14_sequence_of,
                                                  1, maxFreqV2X_r14, FALSE);

  return offset;
}


static const value_string lte_rrc_T_p2x_CommTxType_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_p2x_CommTxType_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_V2X_CommTxResourceReq_r14_sequence[] = {
  { &hf_lte_rrc_carrierFreqCommTx_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_maxFreqV2X_1_r14 },
  { &hf_lte_rrc_v2x_TypeTxSync_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_TypeTxSync_r14 },
  { &hf_lte_rrc_v2x_DestinationInfoList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DestinationInfoList_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_V2X_CommTxResourceReq_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_V2X_CommTxResourceReq_r14, SL_V2X_CommTxResourceReq_r14_sequence);

  return offset;
}


static const per_sequence_t SL_V2X_CommTxFreqList_r14_sequence_of[1] = {
  { &hf_lte_rrc_SL_V2X_CommTxFreqList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SL_V2X_CommTxResourceReq_r14 },
};

static int
dissect_lte_rrc_SL_V2X_CommTxFreqList_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SL_V2X_CommTxFreqList_r14, SL_V2X_CommTxFreqList_r14_sequence_of,
                                                  1, maxFreqV2X_r14, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_47_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_47(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_47, T_nonCriticalExtension_47_sequence);

  return offset;
}


static const per_sequence_t SidelinkUEInformation_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_v2x_CommRxInterestedFreqList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_V2X_CommFreqList_r14 },
  { &hf_lte_rrc_p2x_CommTxType_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_p2x_CommTxType_r14 },
  { &hf_lte_rrc_v2x_CommTxResourceReq_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_V2X_CommTxFreqList_r14 },
  { &hf_lte_rrc_nonCriticalExtension_136, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_47 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SidelinkUEInformation_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SidelinkUEInformation_v1430_IEs, SidelinkUEInformation_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t SidelinkUEInformation_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_commTxResourceReqUC_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxResourceReq_r12 },
  { &hf_lte_rrc_commTxResourceInfoReqRelay_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_commTxResourceInfoReqRelay_r13 },
  { &hf_lte_rrc_discTxResourceReq_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discTxResourceReq_v1310 },
  { &hf_lte_rrc_discTxResourceReqPS_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscTxResourceReq_r13 },
  { &hf_lte_rrc_discRxGapReq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_GapRequest_r13 },
  { &hf_lte_rrc_discTxGapReq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_GapRequest_r13 },
  { &hf_lte_rrc_discSysInfoReportFreqList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_DiscSysInfoReportFreqList_r13 },
  { &hf_lte_rrc_nonCriticalExtension_135, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SidelinkUEInformation_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SidelinkUEInformation_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SidelinkUEInformation_v1310_IEs, SidelinkUEInformation_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t SidelinkUEInformation_r12_IEs_sequence[] = {
  { &hf_lte_rrc_commRxInterestedFreq_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_commTxResourceReq_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_CommTxResourceReq_r12 },
  { &hf_lte_rrc_discRxInterest_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discRxInterest_r12 },
  { &hf_lte_rrc_discTxResourceReq_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_63 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_134, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SidelinkUEInformation_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SidelinkUEInformation_r12_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SidelinkUEInformation_r12_IEs, SidelinkUEInformation_r12_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_39_vals[] = {
  {   0, "sidelinkUEInformation-r12" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_39_choice[] = {
  {   0, &hf_lte_rrc_sidelinkUEInformation_r12_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SidelinkUEInformation_r12_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_39(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_39, T_c1_39_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_41_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_41(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_41, T_criticalExtensionsFuture_41_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_41_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_41_choice[] = {
  {   0, &hf_lte_rrc_c1_39       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_39 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_41, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_41 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_41(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_41, T_criticalExtensions_41_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SidelinkUEInformation_r12_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_41, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_41 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SidelinkUEInformation_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SidelinkUEInformation-r12");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SidelinkUEInformation_r12, SidelinkUEInformation_r12_sequence);

  return offset;
}


static const value_string lte_rrc_WLAN_Status_r13_vals[] = {
  {   0, "successfulAssociation" },
  {   1, "failureWlanRadioLink" },
  {   2, "failureWlanUnavailable" },
  {   3, "failureTimeout" },
  { 0, NULL }
};


static int
dissect_lte_rrc_WLAN_Status_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_WLAN_Status_v1430_vals[] = {
  {   0, "suspended" },
  {   1, "resumed" },
  { 0, NULL }
};


static int
dissect_lte_rrc_WLAN_Status_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_61_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_61(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_61, T_nonCriticalExtension_61_sequence);

  return offset;
}


static const per_sequence_t WLANConnectionStatusReport_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_wlan_Status_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_Status_v1430 },
  { &hf_lte_rrc_nonCriticalExtension_184, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_61 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLANConnectionStatusReport_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLANConnectionStatusReport_v1430_IEs, WLANConnectionStatusReport_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t WLANConnectionStatusReport_r13_IEs_sequence[] = {
  { &hf_lte_rrc_wlan_Status_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_Status_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_183, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_WLANConnectionStatusReport_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLANConnectionStatusReport_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLANConnectionStatusReport_r13_IEs, WLANConnectionStatusReport_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_48_vals[] = {
  {   0, "wlanConnectionStatusReport-r13" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_48_choice[] = {
  {   0, &hf_lte_rrc_wlanConnectionStatusReport_r13_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_WLANConnectionStatusReport_r13_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_48(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_48, T_c1_48_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_51_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_51(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_51, T_criticalExtensionsFuture_51_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_51_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_51_choice[] = {
  {   0, &hf_lte_rrc_c1_48       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_48 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_51, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_51 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_51(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_51, T_criticalExtensions_51_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t WLANConnectionStatusReport_r13_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_51, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_51 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLANConnectionStatusReport_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "WLANConnectionStatusReport-r13");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLANConnectionStatusReport_r13, WLANConnectionStatusReport_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_rlf_InfoAvailable_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlf_InfoAvailable_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailable_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailable_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_connEstFailInfoAvailable_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_connEstFailInfoAvailable_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mobilityState_r13_vals[] = {
  {   0, "normal" },
  {   1, "medium" },
  {   2, "high" },
  {   3, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mobilityState_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mobilityHistoryAvail_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mobilityHistoryAvail_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_logMeasAvailableMBSFN_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logMeasAvailableMBSFN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_37_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_37(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_37, T_nonCriticalExtension_37_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionResumeComplete_r13_IEs_sequence[] = {
  { &hf_lte_rrc_selectedPLMN_Identity_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  { &hf_lte_rrc_dedicatedInfoNAS_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DedicatedInfoNAS },
  { &hf_lte_rrc_rlf_InfoAvailable_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlf_InfoAvailable_r13 },
  { &hf_lte_rrc_logMeasAvailable_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailable_r13 },
  { &hf_lte_rrc_connEstFailInfoAvailable_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_connEstFailInfoAvailable_r13 },
  { &hf_lte_rrc_mobilityState_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mobilityState_r13 },
  { &hf_lte_rrc_mobilityHistoryAvail_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mobilityHistoryAvail_r13 },
  { &hf_lte_rrc_logMeasAvailableMBSFN_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logMeasAvailableMBSFN_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_110, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_37 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResumeComplete_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResumeComplete_r13_IEs, RRCConnectionResumeComplete_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_33_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_33(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_33, T_criticalExtensionsFuture_33_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_33_vals[] = {
  {   0, "rrcConnectionResumeComplete-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_33_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionResumeComplete_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResumeComplete_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_33, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_33 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_33(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_33, T_criticalExtensions_33_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionResumeComplete_r13_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_33, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_33 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResumeComplete_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionResumeComplete-r13");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResumeComplete_r13, RRCConnectionResumeComplete_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ul_DCCH_MessageNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *nr_ul_dcch_tvb = NULL;

  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       NO_BOUND, NO_BOUND, FALSE, &nr_ul_dcch_tvb);


  if (nr_ul_dcch_tvb) {
    proto_tree *subtree;
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_ul_DCCH_MessageNR_r15);
    dissect_nr_rrc_UL_DCCH_Message_PDU(nr_ul_dcch_tvb, actx->pinfo, subtree, NULL);
  }



  return offset;
}


static const per_sequence_t T_nonCriticalExtension_60_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_60(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_60, T_nonCriticalExtension_60_sequence);

  return offset;
}


static const per_sequence_t ULInformationTransferMRDC_r15_IEs_sequence[] = {
  { &hf_lte_rrc_ul_DCCH_MessageNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_DCCH_MessageNR_r15 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_182, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_60 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULInformationTransferMRDC_r15_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULInformationTransferMRDC_r15_IEs, ULInformationTransferMRDC_r15_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_47_vals[] = {
  {   0, "ulInformationTransferMRDC-r15" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_47_choice[] = {
  {   0, &hf_lte_rrc_ulInformationTransferMRDC_r15_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ULInformationTransferMRDC_r15_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_47(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_47, T_c1_47_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_50_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_50, T_criticalExtensionsFuture_50_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_50_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_50_choice[] = {
  {   0, &hf_lte_rrc_c1_47       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_47 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_50, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_50 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_50, T_criticalExtensions_50_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ULInformationTransferMRDC_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_50, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_50 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULInformationTransferMRDC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "ULInformationTransferMRDC");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULInformationTransferMRDC, ULInformationTransferMRDC_sequence);

  return offset;
}


static const value_string lte_rrc_T_c2_02_vals[] = {
  {   0, "ueAssistanceInformation-r11" },
  {   1, "inDeviceCoexIndication-r11" },
  {   2, "mbmsInterestIndication-r11" },
  {   3, "scgFailureInformation-r12" },
  {   4, "sidelinkUEInformation-r12" },
  {   5, "wlanConnectionStatusReport-r13" },
  {   6, "rrcConnectionResumeComplete-r13" },
  {   7, "ulInformationTransferMRDC-r15" },
  {   8, "spare8" },
  {   9, "spare7" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c2_02_choice[] = {
  {   0, &hf_lte_rrc_ueAssistanceInformation_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UEAssistanceInformation_r11 },
  {   1, &hf_lte_rrc_inDeviceCoexIndication_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_InDeviceCoexIndication_r11 },
  {   2, &hf_lte_rrc_mbmsInterestIndication_r11_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MBMSInterestIndication_r11 },
  {   3, &hf_lte_rrc_scgFailureInformation_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SCGFailureInformation_r12 },
  {   4, &hf_lte_rrc_sidelinkUEInformation_r12_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SidelinkUEInformation_r12 },
  {   5, &hf_lte_rrc_wlanConnectionStatusReport_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_WLANConnectionStatusReport_r13 },
  {   6, &hf_lte_rrc_rrcConnectionResumeComplete_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResumeComplete_r13 },
  {   7, &hf_lte_rrc_ulInformationTransferMRDC_r15, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ULInformationTransferMRDC },
  {   8, &hf_lte_rrc_spare8      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   9, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  10, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  11, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  12, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  13, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  14, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  15, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c2_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c2_02, T_c2_02_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtensionFuture_r11_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtensionFuture_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtensionFuture_r11, T_messageClassExtensionFuture_r11_sequence);

  return offset;
}


static const value_string lte_rrc_T_messageClassExtension_08_vals[] = {
  {   0, "c2" },
  {   1, "messageClassExtensionFuture-r11" },
  { 0, NULL }
};

static const per_choice_t T_messageClassExtension_08_choice[] = {
  {   0, &hf_lte_rrc_c2_02       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c2_02 },
  {   1, &hf_lte_rrc_messageClassExtensionFuture_r11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtensionFuture_r11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_08(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_messageClassExtension_08, T_messageClassExtension_08_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_UL_DCCH_MessageType_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t UL_DCCH_MessageType_choice[] = {
  {   0, &hf_lte_rrc_c1_15       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_15 },
  {   1, &hf_lte_rrc_messageClassExtension_08, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_08 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_UL_DCCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_UL_DCCH_MessageType, UL_DCCH_MessageType_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UL_DCCH_Message_sequence[] = {
  { &hf_lte_rrc_message_10  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_DCCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_DCCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  actx->pinfo->link_dir = P2P_DIR_UL;

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_DCCH_Message, UL_DCCH_Message_sequence);

  return offset;
}


static const per_sequence_t MBMSSessionInfo_r13_sequence[] = {
  { &hf_lte_rrc_tmgi_r13    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TMGI_r9 },
  { &hf_lte_rrc_sessionId_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING_SIZE_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMSSessionInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMSSessionInfo_r13, MBMSSessionInfo_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_onDurationTimerSCPTM_r13_vals[] = {
  {   0, "psf1" },
  {   1, "psf2" },
  {   2, "psf3" },
  {   3, "psf4" },
  {   4, "psf5" },
  {   5, "psf6" },
  {   6, "psf8" },
  {   7, "psf10" },
  {   8, "psf20" },
  {   9, "psf30" },
  {  10, "psf40" },
  {  11, "psf50" },
  {  12, "psf60" },
  {  13, "psf80" },
  {  14, "psf100" },
  {  15, "psf200" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_onDurationTimerSCPTM_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_InactivityTimerSCPTM_r13_vals[] = {
  {   0, "psf0" },
  {   1, "psf1" },
  {   2, "psf2" },
  {   3, "psf4" },
  {   4, "psf8" },
  {   5, "psf10" },
  {   6, "psf20" },
  {   7, "psf40" },
  {   8, "psf80" },
  {   9, "psf160" },
  {  10, "ps320" },
  {  11, "psf640" },
  {  12, "psf960" },
  {  13, "psf1280" },
  {  14, "psf1920" },
  {  15, "psf2560" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_2048(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2048U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_4096(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4096U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_8192(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 8192U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r13_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf32" },
  {   3, "sf40" },
  {   4, "sf64" },
  {   5, "sf80" },
  {   6, "sf128" },
  {   7, "sf160" },
  {   8, "sf256" },
  {   9, "sf320" },
  {  10, "sf512" },
  {  11, "sf640" },
  {  12, "sf1024" },
  {  13, "sf2048" },
  {  14, "sf4096" },
  {  15, "sf8192" },
  { 0, NULL }
};

static const per_choice_t T_schedulingPeriodStartOffsetSCPTM_r13_choice[] = {
  {   0, &hf_lte_rrc_sf10        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_9 },
  {   1, &hf_lte_rrc_sf20        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_19 },
  {   2, &hf_lte_rrc_sf32        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_31 },
  {   3, &hf_lte_rrc_sf40        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_39 },
  {   4, &hf_lte_rrc_sf64        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_63 },
  {   5, &hf_lte_rrc_sf80        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_79 },
  {   6, &hf_lte_rrc_sf128       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_127 },
  {   7, &hf_lte_rrc_sf160       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_159 },
  {   8, &hf_lte_rrc_sf256       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_255 },
  {   9, &hf_lte_rrc_sf320       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_319 },
  {  10, &hf_lte_rrc_sf512       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_511 },
  {  11, &hf_lte_rrc_sf640       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_639 },
  {  12, &hf_lte_rrc_sf1024      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_1023 },
  {  13, &hf_lte_rrc_sf2048_02   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_2048 },
  {  14, &hf_lte_rrc_sf4096_01   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_4096 },
  {  15, &hf_lte_rrc_sf8192_01   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_8192 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r13, T_schedulingPeriodStartOffsetSCPTM_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SC_MTCH_SchedulingInfo_r13_sequence[] = {
  { &hf_lte_rrc_onDurationTimerSCPTM_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_onDurationTimerSCPTM_r13 },
  { &hf_lte_rrc_drx_InactivityTimerSCPTM_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r13 },
  { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MTCH_SchedulingInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MTCH_SchedulingInfo_r13, SC_MTCH_SchedulingInfo_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_maxNeighCell_SCPTM_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     maxNeighCell_SCPTM_r13, maxNeighCell_SCPTM_r13, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_p_a_r13_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4dot77" },
  {   2, "dB-3" },
  {   3, "dB-1dot77" },
  {   4, "dB0" },
  {   5, "dB1" },
  {   6, "dB2" },
  {   7, "dB3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_p_a_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SC_MTCH_Info_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_p_a_r13     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_p_a_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MTCH_Info_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SC_MTCH_Info_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t SC_MTCH_Info_r13_sequence[] = {
  { &hf_lte_rrc_mbmsSessionInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMSSessionInfo_r13 },
  { &hf_lte_rrc_g_RNTI_r13  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_sc_mtch_schedulingInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SC_MTCH_SchedulingInfo_r13 },
  { &hf_lte_rrc_sc_mtch_neighbourCell_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_maxNeighCell_SCPTM_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MTCH_Info_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MTCH_Info_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MTCH_Info_r13, SC_MTCH_Info_r13_sequence);

  return offset;
}


static const per_sequence_t SC_MTCH_InfoList_r13_sequence_of[1] = {
  { &hf_lte_rrc_SC_MTCH_InfoList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MTCH_Info_r13 },
};

static int
dissect_lte_rrc_SC_MTCH_InfoList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SC_MTCH_InfoList_r13, SC_MTCH_InfoList_r13_sequence_of,
                                                  0, maxSC_MTCH_r13, FALSE);

  return offset;
}


static const per_sequence_t PCI_ARFCN_r13_sequence[] = {
  { &hf_lte_rrc_physCellId_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_carrierFreq_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PCI_ARFCN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PCI_ARFCN_r13, PCI_ARFCN_r13_sequence);

  return offset;
}


static const per_sequence_t SCPTM_NeighbourCellList_r13_sequence_of[1] = {
  { &hf_lte_rrc_SCPTM_NeighbourCellList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PCI_ARFCN_r13 },
};

static int
dissect_lte_rrc_SCPTM_NeighbourCellList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCPTM_NeighbourCellList_r13, SCPTM_NeighbourCellList_r13_sequence_of,
                                                  1, maxNeighCell_SCPTM_r13, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_42_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_42(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_42, T_nonCriticalExtension_42_sequence);

  return offset;
}


static const per_sequence_t SCPTMConfiguration_v1340_sequence[] = {
  { &hf_lte_rrc_p_b_r13     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_nonCriticalExtension_126, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_42 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCPTMConfiguration_v1340(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCPTMConfiguration_v1340, SCPTMConfiguration_v1340_sequence);

  return offset;
}


static const per_sequence_t SCPTMConfiguration_r13_sequence[] = {
  { &hf_lte_rrc_sc_mtch_InfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MTCH_InfoList_r13 },
  { &hf_lte_rrc_scptm_NeighbourCellList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCPTM_NeighbourCellList_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_125, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCPTMConfiguration_v1340 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCPTMConfiguration_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SCPTMConfiguration-r13");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCPTMConfiguration_r13, SCPTMConfiguration_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_16_vals[] = {
  {   0, "scptmConfiguration-r13" },
  { 0, NULL }
};

static const per_choice_t T_c1_16_choice[] = {
  {   0, &hf_lte_rrc_scptmConfiguration_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SCPTMConfiguration_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_16, T_c1_16_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_onDurationTimerSCPTM_r14_01_vals[] = {
  {   0, "psf300" },
  {   1, "psf400" },
  {   2, "psf500" },
  {   3, "psf600" },
  {   4, "psf800" },
  {   5, "psf1000" },
  {   6, "psf1200" },
  {   7, "psf1600" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_onDurationTimerSCPTM_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_InactivityTimerSCPTM_r14_01_vals[] = {
  {   0, "psf0" },
  {   1, "psf1" },
  {   2, "psf2" },
  {   3, "psf4" },
  {   4, "psf8" },
  {   5, "psf16" },
  {   6, "psf32" },
  {   7, "psf64" },
  {   8, "psf128" },
  {   9, "psf256" },
  {  10, "ps512" },
  {  11, "psf1024" },
  {  12, "psf2048" },
  {  13, "psf4096" },
  {  14, "psf8192" },
  {  15, "psf16384" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_01_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf32" },
  {   3, "sf40" },
  {   4, "sf64" },
  {   5, "sf80" },
  {   6, "sf128" },
  {   7, "sf160" },
  {   8, "sf256" },
  {   9, "sf320" },
  {  10, "sf512" },
  {  11, "sf640" },
  {  12, "sf1024" },
  {  13, "sf2048" },
  {  14, "sf4096" },
  {  15, "sf8192" },
  { 0, NULL }
};

static const per_choice_t T_schedulingPeriodStartOffsetSCPTM_r14_01_choice[] = {
  {   0, &hf_lte_rrc_sf10        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_9 },
  {   1, &hf_lte_rrc_sf20        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_19 },
  {   2, &hf_lte_rrc_sf32        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_31 },
  {   3, &hf_lte_rrc_sf40        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_39 },
  {   4, &hf_lte_rrc_sf64        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_63 },
  {   5, &hf_lte_rrc_sf80        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_79 },
  {   6, &hf_lte_rrc_sf128       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_127 },
  {   7, &hf_lte_rrc_sf160       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_159 },
  {   8, &hf_lte_rrc_sf256       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_255 },
  {   9, &hf_lte_rrc_sf320       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_319 },
  {  10, &hf_lte_rrc_sf512       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_511 },
  {  11, &hf_lte_rrc_sf640       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_639 },
  {  12, &hf_lte_rrc_sf1024      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_1023 },
  {  13, &hf_lte_rrc_sf2048      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_2047 },
  {  14, &hf_lte_rrc_sf4096      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_4095 },
  {  15, &hf_lte_rrc_sf8192      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_8191 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_01, T_schedulingPeriodStartOffsetSCPTM_r14_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SC_MTCH_SchedulingInfo_BR_r14_sequence[] = {
  { &hf_lte_rrc_onDurationTimerSCPTM_r14_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_onDurationTimerSCPTM_r14_01 },
  { &hf_lte_rrc_drx_InactivityTimerSCPTM_r14_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r14_01 },
  { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MTCH_SchedulingInfo_BR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MTCH_SchedulingInfo_BR_r14, SC_MTCH_SchedulingInfo_BR_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_NumRepetition_SC_MTCH_r14_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_NumRepetition_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     9, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_fdd_r14_01_vals[] = {
  {   0, "v1" },
  {   1, "v1dot5" },
  {   2, "v2" },
  {   3, "v2dot5" },
  {   4, "v4" },
  {   5, "v5" },
  {   6, "v8" },
  {   7, "v10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fdd_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_r14_01_vals[] = {
  {   0, "v1" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v5" },
  {   4, "v8" },
  {   5, "v10" },
  {   6, "v20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_StartSF_SC_MTCH_r14_vals[] = {
  {   0, "fdd-r14" },
  {   1, "tdd-r14" },
  { 0, NULL }
};

static const per_choice_t T_mpdcch_StartSF_SC_MTCH_r14_choice[] = {
  {   0, &hf_lte_rrc_fdd_r14_01  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_fdd_r14_01 },
  {   1, &hf_lte_rrc_tdd_r14_01  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_tdd_r14_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mpdcch_StartSF_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mpdcch_StartSF_SC_MTCH_r14, T_mpdcch_StartSF_SC_MTCH_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14_vals[] = {
  {   0, "on" },
  {   1, "off" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14_vals[] = {
  {   0, "ce-ModeA" },
  {   1, "ce-ModeB" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14_vals[] = {
  {   0, "bw1dot4" },
  {   1, "bw5" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mpdcch_Offset_SC_MTCH_r14_vals[] = {
  {   0, "zero" },
  {   1, "oneEighth" },
  {   2, "oneQuarter" },
  {   3, "threeEighth" },
  {   4, "oneHalf" },
  {   5, "fiveEighth" },
  {   6, "threeQuarter" },
  {   7, "sevenEighth" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mpdcch_Offset_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_p_a_r14_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4dot77" },
  {   2, "dB-3" },
  {   3, "dB-1dot77" },
  {   4, "dB0" },
  {   5, "dB1" },
  {   6, "dB2" },
  {   7, "dB3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_p_a_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SC_MTCH_Info_BR_r14_sequence[] = {
  { &hf_lte_rrc_sc_mtch_CarrierFreq_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_mbmsSessionInfo_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMSSessionInfo_r13 },
  { &hf_lte_rrc_g_RNTI_r14  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_sc_mtch_schedulingInfo_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SC_MTCH_SchedulingInfo_BR_r14 },
  { &hf_lte_rrc_sc_mtch_neighbourCell_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_maxNeighCell_SCPTM_r13 },
  { &hf_lte_rrc_mpdcch_Narrowband_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxAvailNarrowBands_r13 },
  { &hf_lte_rrc_mpdcch_NumRepetition_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_NumRepetition_SC_MTCH_r14 },
  { &hf_lte_rrc_mpdcch_StartSF_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_StartSF_SC_MTCH_r14 },
  { &hf_lte_rrc_mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14 },
  { &hf_lte_rrc_mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14 },
  { &hf_lte_rrc_mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14 },
  { &hf_lte_rrc_mpdcch_Offset_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mpdcch_Offset_SC_MTCH_r14 },
  { &hf_lte_rrc_p_a_r14     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_p_a_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MTCH_Info_BR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MTCH_Info_BR_r14, SC_MTCH_Info_BR_r14_sequence);

  return offset;
}


static const per_sequence_t SC_MTCH_InfoList_BR_r14_sequence_of[1] = {
  { &hf_lte_rrc_SC_MTCH_InfoList_BR_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MTCH_Info_BR_r14 },
};

static int
dissect_lte_rrc_SC_MTCH_InfoList_BR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SC_MTCH_InfoList_BR_r14, SC_MTCH_InfoList_BR_r14_sequence_of,
                                                  0, maxSC_MTCH_BR_r14, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_43_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_43(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_43, T_nonCriticalExtension_43_sequence);

  return offset;
}


static const per_sequence_t SCPTMConfiguration_BR_r14_sequence[] = {
  { &hf_lte_rrc_sc_mtch_InfoList_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MTCH_InfoList_BR_r14 },
  { &hf_lte_rrc_scptm_NeighbourCellList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCPTM_NeighbourCellList_r13 },
  { &hf_lte_rrc_p_b_r14     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_127, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_43 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCPTMConfiguration_BR_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {

  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SCPTMConfiguration-BR-r14");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCPTMConfiguration_BR_r14, SCPTMConfiguration_BR_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_c2_03_vals[] = {
  {   0, "scptmConfiguration-BR-r14" },
  {   1, "spare" },
  { 0, NULL }
};

static const per_choice_t T_c2_03_choice[] = {
  {   0, &hf_lte_rrc_scptmConfiguration_BR_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SCPTMConfiguration_BR_r14 },
  {   1, &hf_lte_rrc_spare       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c2_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c2_03, T_c2_03_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtensionFuture_r14_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtensionFuture_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtensionFuture_r14, T_messageClassExtensionFuture_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_messageClassExtension_09_vals[] = {
  {   0, "c2" },
  {   1, "messageClassExtensionFuture-r14" },
  { 0, NULL }
};

static const per_choice_t T_messageClassExtension_09_choice[] = {
  {   0, &hf_lte_rrc_c2_03       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c2_03 },
  {   1, &hf_lte_rrc_messageClassExtensionFuture_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtensionFuture_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_09(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_messageClassExtension_09, T_messageClassExtension_09_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_SC_MCCH_MessageType_r13_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t SC_MCCH_MessageType_r13_choice[] = {
  {   0, &hf_lte_rrc_c1_16       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_16 },
  {   1, &hf_lte_rrc_messageClassExtension_09, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_09 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SC_MCCH_MessageType_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SC_MCCH_MessageType_r13, SC_MCCH_MessageType_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SC_MCCH_Message_r13_sequence[] = {
  { &hf_lte_rrc_message_11  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MCCH_MessageType_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MCCH_Message_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MCCH_Message_r13, SC_MCCH_Message_r13_sequence);

  return offset;
}


static const per_sequence_t MobilityControlInfo_v10l0_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmission_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityControlInfo_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityControlInfo_v10l0, MobilityControlInfo_v10l0_sequence);

  return offset;
}


static const per_sequence_t SCellToAddMod_v10l0_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigCommonSCell_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigCommonSCell_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCellToAddMod_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCellToAddMod_v10l0, SCellToAddMod_v10l0_sequence);

  return offset;
}


static const per_sequence_t SCellToAddModList_v10l0_sequence_of[1] = {
  { &hf_lte_rrc_SCellToAddModList_v10l0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SCellToAddMod_v10l0 },
};

static int
dissect_lte_rrc_SCellToAddModList_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCellToAddModList_v10l0, SCellToAddModList_v10l0_sequence_of,
                                                  1, maxSCell_r10, FALSE);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonPSCell_v12f0_sequence[] = {
  { &hf_lte_rrc_basicFields_v12f0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSCell_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonPSCell_v12f0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommonPSCell_v12f0, RadioResourceConfigCommonPSCell_v12f0_sequence);

  return offset;
}


static const per_sequence_t PSCellToAddMod_v12f0_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigCommonPSCell_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigCommonPSCell_v12f0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PSCellToAddMod_v12f0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PSCellToAddMod_v12f0, PSCellToAddMod_v12f0_sequence);

  return offset;
}


static const per_sequence_t SCG_ConfigPartSCG_v12f0_sequence[] = {
  { &hf_lte_rrc_pSCellToAddMod_v12f0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PSCellToAddMod_v12f0 },
  { &hf_lte_rrc_sCellToAddModListSCG_v12f0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModList_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCG_ConfigPartSCG_v12f0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCG_ConfigPartSCG_v12f0, SCG_ConfigPartSCG_v12f0_sequence);

  return offset;
}


static const per_sequence_t T_setup_02_sequence[] = {
  { &hf_lte_rrc_scg_ConfigPartSCG_v12f0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_ConfigPartSCG_v12f0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_02, T_setup_02_sequence);

  return offset;
}


static const value_string lte_rrc_SCG_Configuration_v12f0_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t SCG_Configuration_v12f0_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_02    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_02 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SCG_Configuration_v12f0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SCG_Configuration_v12f0, SCG_Configuration_v12f0_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_v1370_sequence[] = {
  { &hf_lte_rrc_physicalConfigDedicated_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhysicalConfigDedicated_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigDedicated_v1370, RadioResourceConfigDedicated_v1370_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_28_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_28(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_28, T_nonCriticalExtension_28_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v1370_IEs_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicated_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicated_v1370 },
  { &hf_lte_rrc_sCellToAddModListExt_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModListExt_v1370 },
  { &hf_lte_rrc_nonCriticalExtension_74, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_28 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v1370_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v1370_IEs, RRCConnectionReconfiguration_v1370_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v12f0_IEs_sequence[] = {
  { &hf_lte_rrc_scg_Configuration_v12f0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCG_Configuration_v12f0 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_73, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v1370_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v12f0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v12f0_IEs, RRCConnectionReconfiguration_v12f0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v10l0_IEs_sequence[] = {
  { &hf_lte_rrc_mobilityControlInfo_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityControlInfo_v10l0 },
  { &hf_lte_rrc_sCellToAddModList_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCellToAddModList_v10l0 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_72, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v12f0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v10l0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v10l0_IEs, RRCConnectionReconfiguration_v10l0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v10i0_IEs_sequence[] = {
  { &hf_lte_rrc_antennaInfoDedicatedPCell_v10i0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AntennaInfoDedicated_v10i0 },
  { &hf_lte_rrc_nonCriticalExtension_71, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v10l0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v10i0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v10i0_IEs, RRCConnectionReconfiguration_v10i0_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_v8m0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_70, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReconfiguration_v10i0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_v8m0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_v8m0_IEs, RRCConnectionReconfiguration_v8m0_IEs_sequence);

  return offset;
}


static const per_sequence_t RedirectedCarrierInfo_v9e0_sequence[] = {
  { &hf_lte_rrc_eutra_v9e0  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RedirectedCarrierInfo_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RedirectedCarrierInfo_v9e0, RedirectedCarrierInfo_v9e0_sequence);

  return offset;
}


static const per_sequence_t FreqPriorityEUTRA_v9e0_sequence[] = {
  { &hf_lte_rrc_carrierFreq_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FreqPriorityEUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FreqPriorityEUTRA_v9e0, FreqPriorityEUTRA_v9e0_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0_sequence_of[1] = {
  { &hf_lte_rrc_freqPriorityListEUTRA_v9e0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqPriorityEUTRA_v9e0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0, SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t IdleModeMobilityControlInfo_v9e0_sequence[] = {
  { &hf_lte_rrc_freqPriorityListEUTRA_v9e0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IdleModeMobilityControlInfo_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IdleModeMobilityControlInfo_v9e0, IdleModeMobilityControlInfo_v9e0_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_34_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_34(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_34, T_nonCriticalExtension_34_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_v9e0_IEs_sequence[] = {
  { &hf_lte_rrc_redirectedCarrierInfo_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RedirectedCarrierInfo_v9e0 },
  { &hf_lte_rrc_idleModeMobilityControlInfo_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IdleModeMobilityControlInfo_v9e0 },
  { &hf_lte_rrc_nonCriticalExtension_105, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_34 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_v9e0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_v9e0_IEs, RRCConnectionRelease_v9e0_IEs_sequence);

  return offset;
}


static const per_sequence_t FailureReportSCG_v12d0_sequence[] = {
  { &hf_lte_rrc_measResultNeighCells_v12d0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasResultList2EUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FailureReportSCG_v12d0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FailureReportSCG_v12d0, FailureReportSCG_v12d0_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_41_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_41(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_41, T_nonCriticalExtension_41_sequence);

  return offset;
}


static const per_sequence_t SCGFailureInformation_v12d0_IEs_sequence[] = {
  { &hf_lte_rrc_failureReportSCG_v12d0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FailureReportSCG_v12d0 },
  { &hf_lte_rrc_nonCriticalExtension_124, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_41 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCGFailureInformation_v12d0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCGFailureInformation_v12d0_IEs, SCGFailureInformation_v12d0_IEs_sequence);

  return offset;
}


static const per_sequence_t MultiBandInfoList_sequence_of[1] = {
  { &hf_lte_rrc_MultiBandInfoList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator },
};

static int
dissect_lte_rrc_MultiBandInfoList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MultiBandInfoList, MultiBandInfoList_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}



static int
dissect_lte_rrc_FreqBandIndicator_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            maxFBI_Plus1, maxFBI2, NULL, FALSE);

  return offset;
}


static const per_sequence_t MultiBandInfo_v9e0_sequence[] = {
  { &hf_lte_rrc_freqBandIndicator_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqBandIndicator_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MultiBandInfo_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MultiBandInfo_v9e0, MultiBandInfo_v9e0_sequence);

  return offset;
}


static const per_sequence_t MultiBandInfoList_v9e0_sequence_of[1] = {
  { &hf_lte_rrc_MultiBandInfoList_v9e0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MultiBandInfo_v9e0 },
};

static int
dissect_lte_rrc_MultiBandInfoList_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MultiBandInfoList_v9e0, MultiBandInfoList_v9e0_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t NS_PmaxValue_v10l0_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmission_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NS_PmaxValue_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NS_PmaxValue_v10l0, NS_PmaxValue_v10l0_sequence);

  return offset;
}


static const per_sequence_t NS_PmaxList_v10l0_sequence_of[1] = {
  { &hf_lte_rrc_NS_PmaxList_v10l0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NS_PmaxValue_v10l0 },
};

static int
dissect_lte_rrc_NS_PmaxList_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NS_PmaxList_v10l0, NS_PmaxList_v10l0_sequence_of,
                                                  1, maxNS_Pmax_r10, FALSE);

  return offset;
}


static const per_sequence_t MultiBandInfoList_v10l0_sequence_of[1] = {
  { &hf_lte_rrc_MultiBandInfoList_v10l0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NS_PmaxList_v10l0 },
};

static int
dissect_lte_rrc_MultiBandInfoList_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MultiBandInfoList_v10l0, MultiBandInfoList_v10l0_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_49_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_49(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_49, T_nonCriticalExtension_49_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v10l0_IEs_sequence[] = {
  { &hf_lte_rrc_freqBandInfo_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_v10l0 },
  { &hf_lte_rrc_multiBandInfoList_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_v10l0 },
  { &hf_lte_rrc_nonCriticalExtension_144, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_49 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v10l0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v10l0_IEs, SystemInformationBlockType1_v10l0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v10j0_IEs_sequence[] = {
  { &hf_lte_rrc_freqBandInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_r10 },
  { &hf_lte_rrc_multiBandInfoList_v10j0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_v10j0 },
  { &hf_lte_rrc_nonCriticalExtension_143, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v10l0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v10j0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v10j0_IEs, SystemInformationBlockType1_v10j0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v9e0_IEs_sequence[] = {
  { &hf_lte_rrc_freqBandIndicator_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqBandIndicator_v9e0 },
  { &hf_lte_rrc_multiBandInfoList_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_v9e0 },
  { &hf_lte_rrc_nonCriticalExtension_142, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v10j0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v9e0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v9e0_IEs, SystemInformationBlockType1_v9e0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_v8h0_IEs_sequence[] = {
  { &hf_lte_rrc_multiBandInfoList, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList },
  { &hf_lte_rrc_nonCriticalExtension_141, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_v9e0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_v8h0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_v8h0_IEs, SystemInformationBlockType1_v8h0_IEs_sequence);

  return offset;
}


static const per_sequence_t RLF_Report_v9e0_sequence[] = {
  { &hf_lte_rrc_measResultListEUTRA_v9e0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasResultList2EUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLF_Report_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLF_Report_v9e0, RLF_Report_v9e0_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_56_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_56(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_56, T_nonCriticalExtension_56_sequence);

  return offset;
}


static const per_sequence_t UEInformationResponse_v9e0_IEs_sequence[] = {
  { &hf_lte_rrc_rlf_Report_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLF_Report_v9e0 },
  { &hf_lte_rrc_nonCriticalExtension_173, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_56 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEInformationResponse_v9e0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEInformationResponse_v9e0_IEs, UEInformationResponse_v9e0_IEs_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_sequence_of[1] = {
  { &hf_lte_rrc_multiBandInfoList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission, SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t T_freqInfo_v10l0_sequence[] = {
  { &hf_lte_rrc_additionalSpectrumEmission_v10l0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_freqInfo_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_freqInfo_v10l0, T_freqInfo_v10l0_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0_sequence_of[1] = {
  { &hf_lte_rrc_multiBandInfoList_v10l0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission_v10l0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0, SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_62_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_62(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_62, T_nonCriticalExtension_62_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_v10l0_IEs_sequence[] = {
  { &hf_lte_rrc_freqInfo_v10l0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_freqInfo_v10l0 },
  { &hf_lte_rrc_multiBandInfoList_v10l0_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0 },
  { &hf_lte_rrc_nonCriticalExtension_188, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_62 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_v10l0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType2_v10l0_IEs, SystemInformationBlockType2_v10l0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_v9i0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_187, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType2_v10l0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_v9i0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType2_v9i0_IEs, SystemInformationBlockType2_v9i0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_v9e0_IEs_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { &hf_lte_rrc_nonCriticalExtension_186, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType2_v9i0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_v9e0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType2_v9e0_IEs, SystemInformationBlockType2_v9e0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_v8h0_IEs_sequence[] = {
  { &hf_lte_rrc_multiBandInfoList_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission },
  { &hf_lte_rrc_nonCriticalExtension_185, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType2_v9e0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_v8h0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType2_v8h0_IEs, SystemInformationBlockType2_v8h0_IEs_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_63_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_63(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_63, T_nonCriticalExtension_63_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_v10l0_IEs_sequence[] = {
  { &hf_lte_rrc_freqBandInfo_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_v10l0 },
  { &hf_lte_rrc_multiBandInfoList_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_v10l0 },
  { &hf_lte_rrc_nonCriticalExtension_190, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_63 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_v10l0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType3_v10l0_IEs, SystemInformationBlockType3_v10l0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_v10j0_IEs_sequence[] = {
  { &hf_lte_rrc_freqBandInfo_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_r10 },
  { &hf_lte_rrc_multiBandInfoList_v10j0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_v10j0 },
  { &hf_lte_rrc_nonCriticalExtension_189, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType3_v10l0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_v10j0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType3_v10j0_IEs, SystemInformationBlockType3_v10j0_IEs_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_v8h0_sequence[] = {
  { &hf_lte_rrc_multiBandInfoList, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_v8h0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_v8h0, InterFreqCarrierFreqInfo_v8h0_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0_sequence_of[1] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v8h0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v8h0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0, SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_v9e0_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ARFCN_ValueEUTRA_v9e0 },
  { &hf_lte_rrc_multiBandInfoList_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_v9e0, InterFreqCarrierFreqInfo_v9e0_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0_sequence_of[1] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v9e0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v9e0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0, SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0_sequence_of[1] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v10j0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v10j0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0, SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_v10l0_sequence[] = {
  { &hf_lte_rrc_freqBandInfo_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_v10l0 },
  { &hf_lte_rrc_multiBandInfoList_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_v10l0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_v10l0, InterFreqCarrierFreqInfo_v10l0_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0_sequence_of[1] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v10l0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_v10l0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0, SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_64_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_64(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_64, T_nonCriticalExtension_64_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_v10l0_IEs_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v10l0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0 },
  { &hf_lte_rrc_nonCriticalExtension_194, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_64 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_v10l0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType5_v10l0_IEs, SystemInformationBlockType5_v10l0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_v10j0_IEs_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v10j0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0 },
  { &hf_lte_rrc_nonCriticalExtension_193, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType5_v10l0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_v10j0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType5_v10j0_IEs, SystemInformationBlockType5_v10j0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_v9e0_IEs_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0 },
  { &hf_lte_rrc_nonCriticalExtension_192, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType5_v10j0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_v9e0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType5_v9e0_IEs, SystemInformationBlockType5_v9e0_IEs_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_v8h0_IEs_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_v8h0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0 },
  { &hf_lte_rrc_nonCriticalExtension_191, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType5_v9e0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_v8h0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType5_v8h0_IEs, SystemInformationBlockType5_v8h0_IEs_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD_sequence_of[1] = {
  { &hf_lte_rrc_multiBandInfoList_item_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_UTRA_FDD },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD, SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t CarrierFreqInfoUTRA_FDD_v8h0_sequence[] = {
  { &hf_lte_rrc_multiBandInfoList_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreqInfoUTRA_FDD_v8h0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreqInfoUTRA_FDD_v8h0, CarrierFreqInfoUTRA_FDD_v8h0_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0_sequence_of[1] = {
  { &hf_lte_rrc_carrierFreqListUTRA_FDD_v8h0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreqInfoUTRA_FDD_v8h0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0, SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0_sequence_of,
                                                  1, maxUTRA_FDD_Carrier, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_65_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_65(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_65, T_nonCriticalExtension_65_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType6_v8h0_IEs_sequence[] = {
  { &hf_lte_rrc_carrierFreqListUTRA_FDD_v8h0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0 },
  { &hf_lte_rrc_nonCriticalExtension_195, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_65 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType6_v8h0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType6_v8h0_IEs, SystemInformationBlockType6_v8h0_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_subframeAssignmentSL_r12_vals[] = {
  {   0, "none" },
  {   1, "sa0" },
  {   2, "sa1" },
  {   3, "sa2" },
  {   4, "sa3" },
  {   5, "sa4" },
  {   6, "sa5" },
  {   7, "sa6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_subframeAssignmentSL_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t TDD_ConfigSL_r12_sequence[] = {
  { &hf_lte_rrc_subframeAssignmentSL_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_subframeAssignmentSL_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_TDD_ConfigSL_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_TDD_ConfigSL_r12, TDD_ConfigSL_r12_sequence);

  return offset;
}


static const value_string lte_rrc_AccessStratumRelease_vals[] = {
  {   0, "rel8" },
  {   1, "rel9" },
  {   2, "rel10" },
  {   3, "rel11" },
  {   4, "rel12" },
  {   5, "rel13" },
  {   6, "rel14" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_AccessStratumRelease(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t T_supportedROHC_Profiles_sequence[] = {
  { &hf_lte_rrc_profile0x0001, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0002, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0003, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0004, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0006, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0101, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0102, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0103, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0104, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_supportedROHC_Profiles(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_supportedROHC_Profiles, T_supportedROHC_Profiles_sequence);

  return offset;
}


static const value_string lte_rrc_T_maxNumberROHC_ContextSessions_vals[] = {
  {   0, "cs2" },
  {   1, "cs4" },
  {   2, "cs8" },
  {   3, "cs12" },
  {   4, "cs16" },
  {   5, "cs24" },
  {   6, "cs32" },
  {   7, "cs48" },
  {   8, "cs64" },
  {   9, "cs128" },
  {  10, "cs256" },
  {  11, "cs512" },
  {  12, "cs1024" },
  {  13, "cs16384" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxNumberROHC_ContextSessions(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCP_Parameters_sequence[] = {
  { &hf_lte_rrc_supportedROHC_Profiles, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_supportedROHC_Profiles },
  { &hf_lte_rrc_maxNumberROHC_ContextSessions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxNumberROHC_ContextSessions },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Parameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCP_Parameters, PDCP_Parameters_sequence);

  return offset;
}


static const per_sequence_t PhyLayerParameters_sequence[] = {
  { &hf_lte_rrc_ue_TxAntennaSelectionSupported, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_ue_SpecificRefSigsSupported, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters, PhyLayerParameters_sequence);

  return offset;
}


static const per_sequence_t SupportedBandEUTRA_sequence[] = {
  { &hf_lte_rrc_bandEUTRA   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator },
  { &hf_lte_rrc_halfDuplex  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SupportedBandEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SupportedBandEUTRA, SupportedBandEUTRA_sequence);

  return offset;
}


static const per_sequence_t SupportedBandListEUTRA_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListEUTRA_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandEUTRA },
};

static int
dissect_lte_rrc_SupportedBandListEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListEUTRA, SupportedBandListEUTRA_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_sequence[] = {
  { &hf_lte_rrc_supportedBandListEUTRA, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandListEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters, RF_Parameters_sequence);

  return offset;
}


static const per_sequence_t InterFreqBandInfo_sequence[] = {
  { &hf_lte_rrc_interFreqNeedForGaps, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqBandInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  meas_capabilities_item_band_mappings_t *mappings;
  proto_item *it;
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqBandInfo, InterFreqBandInfo_sequence);

  mappings = private_data_meas_capabilities_item_band_mappings(actx);
  if (mappings->number_of_interfreq_serving_read < mappings->number_of_bands_set) {
    guint16 serving_band = mappings->band_by_item[mappings->number_of_interfreq_serving_read];
    guint16 target_band = mappings->band_by_item[mappings->number_of_interfreq_target_read++];
    if (mappings->number_of_interfreq_target_read == mappings->number_of_bands_set) {
      mappings->number_of_interfreq_target_read = 0;
      mappings->number_of_interfreq_serving_read++;
    }

    /* Add a generated item showing serving & target band for this entry */
    it = proto_tree_add_uint(tree, hf_lte_rrc_bandEUTRA, tvb, 0, 0, serving_band);
    proto_item_append_text(it, " -> band %u", target_band);
    PROTO_ITEM_SET_GENERATED(it);
  }


  return offset;
}


static const per_sequence_t InterFreqBandList_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqBandList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqBandInfo },
};

static int
dissect_lte_rrc_InterFreqBandList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqBandList, InterFreqBandList_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t InterRAT_BandInfo_sequence[] = {
  { &hf_lte_rrc_interRAT_NeedForGaps, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterRAT_BandInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterRAT_BandInfo, InterRAT_BandInfo_sequence);

  return offset;
}


static const per_sequence_t InterRAT_BandList_sequence_of[1] = {
  { &hf_lte_rrc_InterRAT_BandList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterRAT_BandInfo },
};

static int
dissect_lte_rrc_InterRAT_BandList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterRAT_BandList, InterRAT_BandList_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t BandInfoEUTRA_sequence[] = {
  { &hf_lte_rrc_interFreqBandList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqBandList },
  { &hf_lte_rrc_interRAT_BandList, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_InterRAT_BandList },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandInfoEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandInfoEUTRA, BandInfoEUTRA_sequence);

  return offset;
}


static const per_sequence_t BandListEUTRA_sequence_of[1] = {
  { &hf_lte_rrc_BandListEUTRA_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandInfoEUTRA },
};

static int
dissect_lte_rrc_BandListEUTRA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandListEUTRA, BandListEUTRA_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t MeasParameters_sequence[] = {
  { &hf_lte_rrc_bandListEUTRA, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandListEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasParameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasParameters, MeasParameters_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_measParameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  meas_capabilities_item_band_mappings_t *mappings;
  offset = dissect_lte_rrc_MeasParameters(tvb, offset, actx, tree, hf_index);

  /* Clear band mapping once measParameters IE has been decoded */
  mappings = private_data_meas_capabilities_item_band_mappings(actx);
  mappings->number_of_bands_set = 0;


  return offset;
}



static int
dissect_lte_rrc_T_featureGroupIndicators(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *featureGroupIndicators_tvb=NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, &featureGroupIndicators_tvb, NULL);

  if(featureGroupIndicators_tvb){
    /* Dissect featureGroupIndicators */
    dissect_lte_rrc_featureGroupIndicators(featureGroupIndicators_tvb, actx);
  }


  return offset;
}


static const value_string lte_rrc_SupportedBandUTRA_FDD_vals[] = {
  {   0, "bandI" },
  {   1, "bandII" },
  {   2, "bandIII" },
  {   3, "bandIV" },
  {   4, "bandV" },
  {   5, "bandVI" },
  {   6, "bandVII" },
  {   7, "bandVIII" },
  {   8, "bandIX" },
  {   9, "bandX" },
  {  10, "bandXI" },
  {  11, "bandXII" },
  {  12, "bandXIII" },
  {  13, "bandXIV" },
  {  14, "bandXV" },
  {  15, "bandXVI" },
  {  16, "bandXVII-8a0" },
  {  17, "bandXVIII-8a0" },
  {  18, "bandXIX-8a0" },
  {  19, "bandXX-8a0" },
  {  20, "bandXXI-8a0" },
  {  21, "bandXXII-8a0" },
  {  22, "bandXXIII-8a0" },
  {  23, "bandXXIV-8a0" },
  {  24, "bandXXV-8a0" },
  {  25, "bandXXVI-8a0" },
  {  26, "bandXXVII-8a0" },
  {  27, "bandXXVIII-8a0" },
  {  28, "bandXXIX-8a0" },
  {  29, "bandXXX-8a0" },
  {  30, "bandXXXI-8a0" },
  {  31, "bandXXXII-8a0" },
  { 0, NULL }
};

static value_string_ext lte_rrc_SupportedBandUTRA_FDD_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_SupportedBandUTRA_FDD_vals);


static int
dissect_lte_rrc_SupportedBandUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, TRUE, 16, NULL);

  return offset;
}


static const per_sequence_t SupportedBandListUTRA_FDD_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListUTRA_FDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandUTRA_FDD },
};

static int
dissect_lte_rrc_SupportedBandListUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListUTRA_FDD, SupportedBandListUTRA_FDD_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t IRAT_ParametersUTRA_FDD_sequence[] = {
  { &hf_lte_rrc_supportedBandListUTRA_FDD, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandListUTRA_FDD },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersUTRA_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersUTRA_FDD, IRAT_ParametersUTRA_FDD_sequence);

  return offset;
}


static const value_string lte_rrc_SupportedBandUTRA_TDD128_vals[] = {
  {   0, "a" },
  {   1, "b" },
  {   2, "c" },
  {   3, "d" },
  {   4, "e" },
  {   5, "f" },
  {   6, "g" },
  {   7, "h" },
  {   8, "i" },
  {   9, "j" },
  {  10, "k" },
  {  11, "l" },
  {  12, "m" },
  {  13, "n" },
  {  14, "o" },
  {  15, "p" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SupportedBandUTRA_TDD128(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBandListUTRA_TDD128_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListUTRA_TDD128_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandUTRA_TDD128 },
};

static int
dissect_lte_rrc_SupportedBandListUTRA_TDD128(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListUTRA_TDD128, SupportedBandListUTRA_TDD128_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t IRAT_ParametersUTRA_TDD128_sequence[] = {
  { &hf_lte_rrc_supportedBandListUTRA_TDD128, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandListUTRA_TDD128 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersUTRA_TDD128(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersUTRA_TDD128, IRAT_ParametersUTRA_TDD128_sequence);

  return offset;
}


static const value_string lte_rrc_SupportedBandUTRA_TDD384_vals[] = {
  {   0, "a" },
  {   1, "b" },
  {   2, "c" },
  {   3, "d" },
  {   4, "e" },
  {   5, "f" },
  {   6, "g" },
  {   7, "h" },
  {   8, "i" },
  {   9, "j" },
  {  10, "k" },
  {  11, "l" },
  {  12, "m" },
  {  13, "n" },
  {  14, "o" },
  {  15, "p" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SupportedBandUTRA_TDD384(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBandListUTRA_TDD384_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListUTRA_TDD384_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandUTRA_TDD384 },
};

static int
dissect_lte_rrc_SupportedBandListUTRA_TDD384(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListUTRA_TDD384, SupportedBandListUTRA_TDD384_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t IRAT_ParametersUTRA_TDD384_sequence[] = {
  { &hf_lte_rrc_supportedBandListUTRA_TDD384, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandListUTRA_TDD384 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersUTRA_TDD384(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersUTRA_TDD384, IRAT_ParametersUTRA_TDD384_sequence);

  return offset;
}


static const value_string lte_rrc_SupportedBandUTRA_TDD768_vals[] = {
  {   0, "a" },
  {   1, "b" },
  {   2, "c" },
  {   3, "d" },
  {   4, "e" },
  {   5, "f" },
  {   6, "g" },
  {   7, "h" },
  {   8, "i" },
  {   9, "j" },
  {  10, "k" },
  {  11, "l" },
  {  12, "m" },
  {  13, "n" },
  {  14, "o" },
  {  15, "p" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SupportedBandUTRA_TDD768(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBandListUTRA_TDD768_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListUTRA_TDD768_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandUTRA_TDD768 },
};

static int
dissect_lte_rrc_SupportedBandListUTRA_TDD768(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListUTRA_TDD768, SupportedBandListUTRA_TDD768_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t IRAT_ParametersUTRA_TDD768_sequence[] = {
  { &hf_lte_rrc_supportedBandListUTRA_TDD768, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandListUTRA_TDD768 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersUTRA_TDD768(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersUTRA_TDD768, IRAT_ParametersUTRA_TDD768_sequence);

  return offset;
}


static const value_string lte_rrc_SupportedBandGERAN_vals[] = {
  {   0, "gsm450" },
  {   1, "gsm480" },
  {   2, "gsm710" },
  {   3, "gsm750" },
  {   4, "gsm810" },
  {   5, "gsm850" },
  {   6, "gsm900P" },
  {   7, "gsm900E" },
  {   8, "gsm900R" },
  {   9, "gsm1800" },
  {  10, "gsm1900" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SupportedBandGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBandListGERAN_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListGERAN_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandGERAN },
};

static int
dissect_lte_rrc_SupportedBandListGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListGERAN, SupportedBandListGERAN_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t IRAT_ParametersGERAN_sequence[] = {
  { &hf_lte_rrc_supportedBandListGERAN, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandListGERAN },
  { &hf_lte_rrc_interRAT_PS_HO_ToGERAN, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersGERAN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersGERAN, IRAT_ParametersGERAN_sequence);

  return offset;
}


static const per_sequence_t SupportedBandListHRPD_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListHRPD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandclassCDMA2000 },
};

static int
dissect_lte_rrc_SupportedBandListHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListHRPD, SupportedBandListHRPD_sequence_of,
                                                  1, maxCDMA_BandClass, FALSE);

  return offset;
}


static const value_string lte_rrc_T_tx_ConfigHRPD_vals[] = {
  {   0, "single" },
  {   1, "dual" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tx_ConfigHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rx_ConfigHRPD_vals[] = {
  {   0, "single" },
  {   1, "dual" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rx_ConfigHRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersCDMA2000_HRPD_sequence[] = {
  { &hf_lte_rrc_supportedBandListHRPD, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandListHRPD },
  { &hf_lte_rrc_tx_ConfigHRPD, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_tx_ConfigHRPD },
  { &hf_lte_rrc_rx_ConfigHRPD, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rx_ConfigHRPD },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersCDMA2000_HRPD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersCDMA2000_HRPD, IRAT_ParametersCDMA2000_HRPD_sequence);

  return offset;
}


static const per_sequence_t SupportedBandList1XRTT_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandList1XRTT_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandclassCDMA2000 },
};

static int
dissect_lte_rrc_SupportedBandList1XRTT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandList1XRTT, SupportedBandList1XRTT_sequence_of,
                                                  1, maxCDMA_BandClass, FALSE);

  return offset;
}


static const value_string lte_rrc_T_tx_Config1XRTT_vals[] = {
  {   0, "single" },
  {   1, "dual" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tx_Config1XRTT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rx_Config1XRTT_vals[] = {
  {   0, "single" },
  {   1, "dual" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rx_Config1XRTT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersCDMA2000_1XRTT_sequence[] = {
  { &hf_lte_rrc_supportedBandList1XRTT, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandList1XRTT },
  { &hf_lte_rrc_tx_Config1XRTT, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_tx_Config1XRTT },
  { &hf_lte_rrc_rx_Config1XRTT, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rx_Config1XRTT },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersCDMA2000_1XRTT(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT, IRAT_ParametersCDMA2000_1XRTT_sequence);

  return offset;
}


static const per_sequence_t T_interRAT_Parameters_sequence[] = {
  { &hf_lte_rrc_utraFDD     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_FDD },
  { &hf_lte_rrc_utraTDD128  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_TDD128 },
  { &hf_lte_rrc_utraTDD384  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_TDD384 },
  { &hf_lte_rrc_utraTDD768  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_TDD768 },
  { &hf_lte_rrc_geran_02    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersGERAN },
  { &hf_lte_rrc_cdma2000_HRPD_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersCDMA2000_HRPD },
  { &hf_lte_rrc_cdma2000_1xRTT_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersCDMA2000_1XRTT },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_interRAT_Parameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_interRAT_Parameters, T_interRAT_Parameters_sequence);

  return offset;
}


static const value_string lte_rrc_T_enhancedDualLayerFDD_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_enhancedDualLayerFDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_enhancedDualLayerTDD_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_enhancedDualLayerTDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v920_sequence[] = {
  { &hf_lte_rrc_enhancedDualLayerFDD_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_enhancedDualLayerFDD_r9 },
  { &hf_lte_rrc_enhancedDualLayerTDD_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_enhancedDualLayerTDD_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v920, PhyLayerParameters_v920_sequence);

  return offset;
}


static const value_string lte_rrc_T_dtm_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dtm_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_e_RedirectionGERAN_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_e_RedirectionGERAN_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersGERAN_v920_sequence[] = {
  { &hf_lte_rrc_dtm_r9      , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dtm_r9 },
  { &hf_lte_rrc_e_RedirectionGERAN_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_e_RedirectionGERAN_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersGERAN_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersGERAN_v920, IRAT_ParametersGERAN_v920_sequence);

  return offset;
}


static const value_string lte_rrc_T_e_RedirectionUTRA_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_e_RedirectionUTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersUTRA_v920_sequence[] = {
  { &hf_lte_rrc_e_RedirectionUTRA_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_e_RedirectionUTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersUTRA_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersUTRA_v920, IRAT_ParametersUTRA_v920_sequence);

  return offset;
}


static const value_string lte_rrc_T_e_CSFB_1XRTT_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_e_CSFB_1XRTT_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_e_CSFB_ConcPS_Mob1XRTT_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_e_CSFB_ConcPS_Mob1XRTT_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersCDMA2000_1XRTT_v920_sequence[] = {
  { &hf_lte_rrc_e_CSFB_1XRTT_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_e_CSFB_1XRTT_r9 },
  { &hf_lte_rrc_e_CSFB_ConcPS_Mob1XRTT_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_e_CSFB_ConcPS_Mob1XRTT_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v920(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v920, IRAT_ParametersCDMA2000_1XRTT_v920_sequence);

  return offset;
}


static const value_string lte_rrc_T_deviceType_r9_vals[] = {
  {   0, "noBenFromBatConsumpOpt" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_deviceType_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_intraFreqProximityIndication_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreqProximityIndication_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interFreqProximityIndication_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interFreqProximityIndication_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_utran_ProximityIndication_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_utran_ProximityIndication_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CSG_ProximityIndicationParameters_r9_sequence[] = {
  { &hf_lte_rrc_intraFreqProximityIndication_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_intraFreqProximityIndication_r9 },
  { &hf_lte_rrc_interFreqProximityIndication_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interFreqProximityIndication_r9 },
  { &hf_lte_rrc_utran_ProximityIndication_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_utran_ProximityIndication_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CSG_ProximityIndicationParameters_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CSG_ProximityIndicationParameters_r9, CSG_ProximityIndicationParameters_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_intraFreqSI_AcquisitionForHO_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreqSI_AcquisitionForHO_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interFreqSI_AcquisitionForHO_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interFreqSI_AcquisitionForHO_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_utran_SI_AcquisitionForHO_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_utran_SI_AcquisitionForHO_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NeighCellSI_AcquisitionParameters_r9_sequence[] = {
  { &hf_lte_rrc_intraFreqSI_AcquisitionForHO_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_intraFreqSI_AcquisitionForHO_r9 },
  { &hf_lte_rrc_interFreqSI_AcquisitionForHO_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interFreqSI_AcquisitionForHO_r9 },
  { &hf_lte_rrc_utran_SI_AcquisitionForHO_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_utran_SI_AcquisitionForHO_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NeighCellSI_AcquisitionParameters_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NeighCellSI_AcquisitionParameters_r9, NeighCellSI_AcquisitionParameters_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_rach_Report_r9_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rach_Report_r9_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SON_Parameters_r9_sequence[] = {
  { &hf_lte_rrc_rach_Report_r9_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rach_Report_r9_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SON_Parameters_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SON_Parameters_r9, SON_Parameters_r9_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UE_EUTRA_Capability_v9a0_IEs_PDU);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_6_8(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            6U, 8U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_twoAntennaPortsForPUCCH_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_twoAntennaPortsForPUCCH_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tm9_With_8Tx_FDD_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tm9_With_8Tx_FDD_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pmi_Disabling_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pmi_Disabling_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_crossCarrierScheduling_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crossCarrierScheduling_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_simultaneousPUCCH_PUSCH_r10_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_simultaneousPUCCH_PUSCH_r10_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multiClusterPUSCH_WithinCC_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiClusterPUSCH_WithinCC_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nonContiguousUL_RA_WithinCC_Info_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nonContiguousUL_RA_WithinCC_Info_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NonContiguousUL_RA_WithinCC_r10_sequence[] = {
  { &hf_lte_rrc_nonContiguousUL_RA_WithinCC_Info_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonContiguousUL_RA_WithinCC_Info_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NonContiguousUL_RA_WithinCC_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NonContiguousUL_RA_WithinCC_r10, NonContiguousUL_RA_WithinCC_r10_sequence);

  return offset;
}


static const per_sequence_t NonContiguousUL_RA_WithinCC_List_r10_sequence_of[1] = {
  { &hf_lte_rrc_NonContiguousUL_RA_WithinCC_List_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NonContiguousUL_RA_WithinCC_r10 },
};

static int
dissect_lte_rrc_NonContiguousUL_RA_WithinCC_List_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NonContiguousUL_RA_WithinCC_List_r10, NonContiguousUL_RA_WithinCC_List_r10_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1020_sequence[] = {
  { &hf_lte_rrc_twoAntennaPortsForPUCCH_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoAntennaPortsForPUCCH_r10 },
  { &hf_lte_rrc_tm9_With_8Tx_FDD_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tm9_With_8Tx_FDD_r10 },
  { &hf_lte_rrc_pmi_Disabling_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pmi_Disabling_r10 },
  { &hf_lte_rrc_crossCarrierScheduling_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crossCarrierScheduling_r10 },
  { &hf_lte_rrc_simultaneousPUCCH_PUSCH_r10_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_simultaneousPUCCH_PUSCH_r10_01 },
  { &hf_lte_rrc_multiClusterPUSCH_WithinCC_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiClusterPUSCH_WithinCC_r10 },
  { &hf_lte_rrc_nonContiguousUL_RA_WithinCC_List_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NonContiguousUL_RA_WithinCC_List_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1020, PhyLayerParameters_v1020_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_bandEUTRA_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_FreqBandIndicator(tvb, offset, actx, tree, hf_index);

  remove_last_freq_band_indicator(actx);

  return offset;
}


static const value_string lte_rrc_MIMO_CapabilityUL_r10_vals[] = {
  {   0, "twoLayers" },
  {   1, "fourLayers" },
  { 0, NULL }
};


static int
dissect_lte_rrc_MIMO_CapabilityUL_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CA_MIMO_ParametersUL_r10_sequence[] = {
  { &hf_lte_rrc_ca_BandwidthClassUL_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_BandwidthClass_r10 },
  { &hf_lte_rrc_supportedMIMO_CapabilityUL_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CapabilityUL_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CA_MIMO_ParametersUL_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CA_MIMO_ParametersUL_r10, CA_MIMO_ParametersUL_r10_sequence);

  return offset;
}


static const per_sequence_t BandParametersUL_r10_sequence_of[1] = {
  { &hf_lte_rrc_BandParametersUL_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_MIMO_ParametersUL_r10 },
};

static int
dissect_lte_rrc_BandParametersUL_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandParametersUL_r10, BandParametersUL_r10_sequence_of,
                                                  1, maxBandwidthClass_r10, FALSE);

  return offset;
}


static const value_string lte_rrc_MIMO_CapabilityDL_r10_vals[] = {
  {   0, "twoLayers" },
  {   1, "fourLayers" },
  {   2, "eightLayers" },
  { 0, NULL }
};


static int
dissect_lte_rrc_MIMO_CapabilityDL_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CA_MIMO_ParametersDL_r10_sequence[] = {
  { &hf_lte_rrc_ca_BandwidthClassDL_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_BandwidthClass_r10 },
  { &hf_lte_rrc_supportedMIMO_CapabilityDL_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CapabilityDL_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CA_MIMO_ParametersDL_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CA_MIMO_ParametersDL_r10, CA_MIMO_ParametersDL_r10_sequence);

  return offset;
}


static const per_sequence_t BandParametersDL_r10_sequence_of[1] = {
  { &hf_lte_rrc_BandParametersDL_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_MIMO_ParametersDL_r10 },
};

static int
dissect_lte_rrc_BandParametersDL_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandParametersDL_r10, BandParametersDL_r10_sequence_of,
                                                  1, maxBandwidthClass_r10, FALSE);

  return offset;
}


static const per_sequence_t BandParameters_r10_sequence[] = {
  { &hf_lte_rrc_bandEUTRA_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_bandEUTRA_r10 },
  { &hf_lte_rrc_bandParametersUL_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandParametersUL_r10 },
  { &hf_lte_rrc_bandParametersDL_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandParametersDL_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_r10, BandParameters_r10_sequence);

  return offset;
}


static const per_sequence_t BandCombinationParameters_r10_sequence_of[1] = {
  { &hf_lte_rrc_BandCombinationParameters_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_r10 },
};

static int
dissect_lte_rrc_BandCombinationParameters_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandCombinationParameters_r10, BandCombinationParameters_r10_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombination_r10_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_r10 },
};

static int
dissect_lte_rrc_SupportedBandCombination_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_r10, SupportedBandCombination_r10_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1020_sequence[] = {
  { &hf_lte_rrc_supportedBandCombination_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandCombination_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1020, RF_Parameters_v1020_sequence);

  return offset;
}


static const per_sequence_t BandCombinationListEUTRA_r10_sequence_of[1] = {
  { &hf_lte_rrc_BandCombinationListEUTRA_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandInfoEUTRA },
};

static int
dissect_lte_rrc_BandCombinationListEUTRA_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandCombinationListEUTRA_r10, BandCombinationListEUTRA_r10_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t MeasParameters_v1020_sequence[] = {
  { &hf_lte_rrc_bandCombinationListEUTRA_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationListEUTRA_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasParameters_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasParameters_v1020, MeasParameters_v1020_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_featureGroupIndRel10_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *featureGroupIndRel10_tvb=NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, &featureGroupIndRel10_tvb, NULL);

  if(featureGroupIndRel10_tvb){
    /* Dissect featureGroupIndRel10-r10 */
    dissect_lte_rrc_featureGroupIndRel10(featureGroupIndRel10_tvb, actx);
  }


  return offset;
}


static const value_string lte_rrc_T_e_CSFB_dual_1XRTT_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_e_CSFB_dual_1XRTT_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersCDMA2000_1XRTT_v1020_sequence[] = {
  { &hf_lte_rrc_e_CSFB_dual_1XRTT_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_e_CSFB_dual_1XRTT_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v1020, IRAT_ParametersCDMA2000_1XRTT_v1020_sequence);

  return offset;
}


static const value_string lte_rrc_T_loggedMeasurementsIdle_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_loggedMeasurementsIdle_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_standaloneGNSS_Location_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_standaloneGNSS_Location_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UE_BasedNetwPerfMeasParameters_r10_sequence[] = {
  { &hf_lte_rrc_loggedMeasurementsIdle_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_loggedMeasurementsIdle_r10 },
  { &hf_lte_rrc_standaloneGNSS_Location_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_standaloneGNSS_Location_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_BasedNetwPerfMeasParameters_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_BasedNetwPerfMeasParameters_r10, UE_BasedNetwPerfMeasParameters_r10_sequence);

  return offset;
}


static const value_string lte_rrc_T_e_RedirectionUTRA_TDD_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_e_RedirectionUTRA_TDD_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersUTRA_TDD_v1020_sequence[] = {
  { &hf_lte_rrc_e_RedirectionUTRA_TDD_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_e_RedirectionUTRA_TDD_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersUTRA_TDD_v1020(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersUTRA_TDD_v1020, IRAT_ParametersUTRA_TDD_v1020_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_featureGroupIndRel10_v1060(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *featureGroupIndRel10_tvb=NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, &featureGroupIndRel10_tvb, NULL);

  if(featureGroupIndRel10_tvb){
    /* Dissect featureGroupIndRel10-v1060 */
    dissect_lte_rrc_featureGroupIndRel10(featureGroupIndRel10_tvb, actx);
  }


  return offset;
}


static const value_string lte_rrc_T_otdoa_UE_Assisted_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_otdoa_UE_Assisted_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interFreqRSTD_Measurement_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interFreqRSTD_Measurement_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t OTDOA_PositioningCapabilities_r10_sequence[] = {
  { &hf_lte_rrc_otdoa_UE_Assisted_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_otdoa_UE_Assisted_r10 },
  { &hf_lte_rrc_interFreqRSTD_Measurement_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interFreqRSTD_Measurement_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_OTDOA_PositioningCapabilities_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_OTDOA_PositioningCapabilities_r10, OTDOA_PositioningCapabilities_r10_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1060_eag_1_sequence[] = {
  { &hf_lte_rrc_otdoa_PositioningCapabilities_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OTDOA_PositioningCapabilities_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1060_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, UE_EUTRA_CapabilityAddXDD_Mode_v1060_eag_1_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1060_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1060, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1020 },
  { &hf_lte_rrc_featureGroupIndRel10_v1060, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_featureGroupIndRel10_v1060 },
  { &hf_lte_rrc_interRAT_ParametersCDMA2000_v1060, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v1020 },
  { &hf_lte_rrc_interRAT_ParametersUTRA_TDD_v1060, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_TDD_v1020 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1060_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1060(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1060, UE_EUTRA_CapabilityAddXDD_Mode_v1060_sequence);

  return offset;
}



static int
dissect_lte_rrc_SupportedBandwidthCombinationSet_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, maxBandwidthCombSet_r10, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t BandCombinationParametersExt_r10_sequence[] = {
  { &hf_lte_rrc_supportedBandwidthCombinationSet_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandwidthCombinationSet_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParametersExt_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParametersExt_r10, BandCombinationParametersExt_r10_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombinationExt_r10_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationExt_r10_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParametersExt_r10 },
};

static int
dissect_lte_rrc_SupportedBandCombinationExt_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationExt_r10, SupportedBandCombinationExt_r10_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1060_sequence[] = {
  { &hf_lte_rrc_supportedBandCombinationExt_r10, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandCombinationExt_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1060(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1060, RF_Parameters_v1060_sequence);

  return offset;
}


static const per_sequence_t BandParameters_v1090_sequence[] = {
  { &hf_lte_rrc_bandEUTRA_v1090, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_FreqBandIndicator_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_v1090(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_v1090, BandParameters_v1090_sequence);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v1090_sequence_of[1] = {
  { &hf_lte_rrc_BandCombinationParameters_v1090_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_v1090 },
};

static int
dissect_lte_rrc_BandCombinationParameters_v1090(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BandCombinationParameters_v1090, BandCombinationParameters_v1090_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v1090_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v1090_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1090 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v1090(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v1090, SupportedBandCombination_v1090_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1090_sequence[] = {
  { &hf_lte_rrc_supportedBandCombination_v1090, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v1090 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1090(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1090, RF_Parameters_v1090_sequence);

  return offset;
}


static const value_string lte_rrc_T_pdcp_SN_Extension_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdcp_SN_Extension_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_supportRohcContextContinue_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_supportRohcContextContinue_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCP_Parameters_v1130_sequence[] = {
  { &hf_lte_rrc_pdcp_SN_Extension_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdcp_SN_Extension_r11 },
  { &hf_lte_rrc_supportRohcContextContinue_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_supportRohcContextContinue_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Parameters_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCP_Parameters_v1130, PDCP_Parameters_v1130_sequence);

  return offset;
}


static const value_string lte_rrc_T_crs_InterfHandl_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crs_InterfHandl_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ePDCCH_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ePDCCH_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multiACK_CSI_Reporting_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiACK_CSI_Reporting_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ss_CCH_InterfHandl_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ss_CCH_InterfHandl_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_SpecialSubframe_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_SpecialSubframe_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_txDiv_PUCCH1b_ChSelect_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_txDiv_PUCCH1b_ChSelect_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_CoMP_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_CoMP_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1130_sequence[] = {
  { &hf_lte_rrc_crs_InterfHandl_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crs_InterfHandl_r11 },
  { &hf_lte_rrc_ePDCCH_r11  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ePDCCH_r11 },
  { &hf_lte_rrc_multiACK_CSI_Reporting_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiACK_CSI_Reporting_r11 },
  { &hf_lte_rrc_ss_CCH_InterfHandl_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ss_CCH_InterfHandl_r11 },
  { &hf_lte_rrc_tdd_SpecialSubframe_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tdd_SpecialSubframe_r11 },
  { &hf_lte_rrc_txDiv_PUCCH1b_ChSelect_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_txDiv_PUCCH1b_ChSelect_r11 },
  { &hf_lte_rrc_ul_CoMP_r11 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_CoMP_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1130, PhyLayerParameters_v1130_sequence);

  return offset;
}


static const value_string lte_rrc_T_multipleTimingAdvance_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multipleTimingAdvance_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_simultaneousRx_Tx_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_simultaneousRx_Tx_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_supportedCSI_Proc_r11_vals[] = {
  {   0, "n1" },
  {   1, "n3" },
  {   2, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_supportedCSI_Proc_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BandParameters_v1130_sequence[] = {
  { &hf_lte_rrc_supportedCSI_Proc_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_supportedCSI_Proc_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_v1130, BandParameters_v1130_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_v1130 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v1130_sequence[] = {
  { &hf_lte_rrc_multipleTimingAdvance_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_multipleTimingAdvance_r11 },
  { &hf_lte_rrc_simultaneousRx_Tx_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_simultaneousRx_Tx_r11 },
  { &hf_lte_rrc_bandParameterList_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_v1130, BandCombinationParameters_v1130_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v1130_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v1130_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1130 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v1130, SupportedBandCombination_v1130_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1130_sequence[] = {
  { &hf_lte_rrc_supportedBandCombination_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v1130 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1130, RF_Parameters_v1130_sequence);

  return offset;
}


static const value_string lte_rrc_T_rsrqMeasWideband_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rsrqMeasWideband_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MeasParameters_v1130_sequence[] = {
  { &hf_lte_rrc_rsrqMeasWideband_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rsrqMeasWideband_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasParameters_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasParameters_v1130, MeasParameters_v1130_sequence);

  return offset;
}


static const value_string lte_rrc_T_cdma2000_NW_Sharing_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cdma2000_NW_Sharing_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersCDMA2000_v1130_sequence[] = {
  { &hf_lte_rrc_cdma2000_NW_Sharing_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cdma2000_NW_Sharing_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersCDMA2000_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersCDMA2000_v1130, IRAT_ParametersCDMA2000_v1130_sequence);

  return offset;
}


static const value_string lte_rrc_T_inDeviceCoexInd_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_inDeviceCoexInd_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_powerPrefInd_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerPrefInd_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_Rx_TxTimeDiffMeasurements_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_Rx_TxTimeDiffMeasurements_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t Other_Parameters_r11_sequence[] = {
  { &hf_lte_rrc_inDeviceCoexInd_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_inDeviceCoexInd_r11 },
  { &hf_lte_rrc_powerPrefInd_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerPrefInd_r11 },
  { &hf_lte_rrc_ue_Rx_TxTimeDiffMeasurements_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_Rx_TxTimeDiffMeasurements_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Other_Parameters_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Other_Parameters_r11, Other_Parameters_r11_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1130_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1130, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1130 },
  { &hf_lte_rrc_measParameters_v1130, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MeasParameters_v1130 },
  { &hf_lte_rrc_otherParameters_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Other_Parameters_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1130, UE_EUTRA_CapabilityAddXDD_Mode_v1130_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_interBandTDD_CA_WithDifferentConfig_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *inter_band_tdd_ca_tvb=NULL;
  proto_tree *subtree;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     2, 2, FALSE, &inter_band_tdd_ca_tvb, NULL);

  if (inter_band_tdd_ca_tvb) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_interBandTDD_CA_WithDifferentConfig);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_bit1, inter_band_tdd_ca_tvb, 0, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_bit2, inter_band_tdd_ca_tvb, 1, 1, ENC_BIG_ENDIAN);
  }


  return offset;
}


static const per_sequence_t PhyLayerParameters_v1170_sequence[] = {
  { &hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interBandTDD_CA_WithDifferentConfig_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1170(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1170, PhyLayerParameters_v1170_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_9_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            9U, 10U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_freqBandRetrieval_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_freqBandRetrieval_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_supportedCSI_Proc_r11_01_vals[] = {
  {   0, "n1" },
  {   1, "n3" },
  {   2, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_supportedCSI_Proc_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BandParameters_r11_sequence[] = {
  { &hf_lte_rrc_bandEUTRA_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
  { &hf_lte_rrc_bandParametersUL_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandParametersUL_r10 },
  { &hf_lte_rrc_bandParametersDL_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandParametersDL_r10 },
  { &hf_lte_rrc_supportedCSI_Proc_r11_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_supportedCSI_Proc_r11_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_r11, BandParameters_r11_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_r11_item_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_r11 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const value_string lte_rrc_T_multipleTimingAdvance_r11_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multipleTimingAdvance_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_simultaneousRx_Tx_r11_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_simultaneousRx_Tx_r11_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BandCombinationParameters_r11_sequence[] = {
  { &hf_lte_rrc_bandParameterList_r11_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11 },
  { &hf_lte_rrc_supportedBandwidthCombinationSet_r11, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandwidthCombinationSet_r10 },
  { &hf_lte_rrc_multipleTimingAdvance_r11_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_multipleTimingAdvance_r11_01 },
  { &hf_lte_rrc_simultaneousRx_Tx_r11_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_simultaneousRx_Tx_r11_01 },
  { &hf_lte_rrc_bandInfoEUTRA_r11, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandInfoEUTRA },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_r11, BandCombinationParameters_r11_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombinationAdd_r11_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationAdd_r11_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_r11 },
};

static int
dissect_lte_rrc_SupportedBandCombinationAdd_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationAdd_r11, SupportedBandCombinationAdd_r11_sequence_of,
                                                  1, maxBandComb_r11, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1180_sequence[] = {
  { &hf_lte_rrc_freqBandRetrieval_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_freqBandRetrieval_r11 },
  { &hf_lte_rrc_requestedBands_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11 },
  { &hf_lte_rrc_supportedBandCombinationAdd_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationAdd_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1180(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1180, RF_Parameters_v1180_sequence);

  return offset;
}


static const value_string lte_rrc_T_mbms_SCell_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mbms_SCell_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mbms_NonServingCell_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mbms_NonServingCell_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MBMS_Parameters_r11_sequence[] = {
  { &hf_lte_rrc_mbms_SCell_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbms_SCell_r11 },
  { &hf_lte_rrc_mbms_NonServingCell_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbms_NonServingCell_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_Parameters_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_Parameters_r11, MBMS_Parameters_r11_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1180_sequence[] = {
  { &hf_lte_rrc_mbms_Parameters_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_Parameters_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1180(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1180, UE_EUTRA_CapabilityAddXDD_Mode_v1180_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_11_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            11U, 12U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_benefitsFromInterruption_r11_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_benefitsFromInterruption_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MeasParameters_v11a0_sequence[] = {
  { &hf_lte_rrc_benefitsFromInterruption_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_benefitsFromInterruption_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasParameters_v11a0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasParameters_v11a0, MeasParameters_v11a0_sequence);

  return offset;
}


static const value_string lte_rrc_T_e_HARQ_Pattern_FDD_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_e_HARQ_Pattern_FDD_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_enhanced_4TxCodebook_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_enhanced_4TxCodebook_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_T_tdd_FDD_CA_PCellDuplex_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *pcellduplex_tvb=NULL;
  proto_tree *subtree;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     2, 2, FALSE, &pcellduplex_tvb, NULL);

  if (pcellduplex_tvb) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_tdd_FDD_CA_PCellDuplex_r12);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit1, pcellduplex_tvb, 0, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit2, pcellduplex_tvb, 1, 1, ENC_BIG_ENDIAN);
  }


  return offset;
}


static const value_string lte_rrc_T_phy_TDD_ReConfig_TDD_PCell_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_phy_TDD_ReConfig_TDD_PCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_phy_TDD_ReConfig_FDD_PCell_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_phy_TDD_ReConfig_FDD_PCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pusch_FeedbackMode_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pusch_FeedbackMode_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pusch_SRS_PowerControl_SubframeSet_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pusch_SRS_PowerControl_SubframeSet_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_csi_SubframeSet_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_SubframeSet_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_noResourceRestrictionForTTIBundling_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_noResourceRestrictionForTTIBundling_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_discoverySignalsInDeactSCell_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discoverySignalsInDeactSCell_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_numberOfAggregatedPRB_r12_vals[] = {
  {   0, "n50" },
  {   1, "n75" },
  {   2, "n100" },
  {   3, "n125" },
  {   4, "n150" },
  {   5, "n175" },
  {   6, "n200" },
  {   7, "n225" },
  {   8, "n250" },
  {   9, "n275" },
  {  10, "n300" },
  {  11, "n350" },
  {  12, "n400" },
  {  13, "n450" },
  {  14, "n500" },
  {  15, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_numberOfAggregatedPRB_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NAICS_Capability_Entry_r12_sequence[] = {
  { &hf_lte_rrc_numberOfNAICS_CapableCC_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_5 },
  { &hf_lte_rrc_numberOfAggregatedPRB_r12, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_numberOfAggregatedPRB_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NAICS_Capability_Entry_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NAICS_Capability_Entry_r12, NAICS_Capability_Entry_r12_sequence);

  return offset;
}


static const per_sequence_t NAICS_Capability_List_r12_sequence_of[1] = {
  { &hf_lte_rrc_NAICS_Capability_List_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NAICS_Capability_Entry_r12 },
};

static int
dissect_lte_rrc_NAICS_Capability_List_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NAICS_Capability_List_r12, NAICS_Capability_List_r12_sequence_of,
                                                  1, maxNAICS_Entries_r12, FALSE);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1250_sequence[] = {
  { &hf_lte_rrc_e_HARQ_Pattern_FDD_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_e_HARQ_Pattern_FDD_r12 },
  { &hf_lte_rrc_enhanced_4TxCodebook_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_enhanced_4TxCodebook_r12 },
  { &hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tdd_FDD_CA_PCellDuplex_r12 },
  { &hf_lte_rrc_phy_TDD_ReConfig_TDD_PCell_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_phy_TDD_ReConfig_TDD_PCell_r12 },
  { &hf_lte_rrc_phy_TDD_ReConfig_FDD_PCell_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_phy_TDD_ReConfig_FDD_PCell_r12 },
  { &hf_lte_rrc_pusch_FeedbackMode_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pusch_FeedbackMode_r12 },
  { &hf_lte_rrc_pusch_SRS_PowerControl_SubframeSet_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pusch_SRS_PowerControl_SubframeSet_r12 },
  { &hf_lte_rrc_csi_SubframeSet_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_SubframeSet_r12 },
  { &hf_lte_rrc_noResourceRestrictionForTTIBundling_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_noResourceRestrictionForTTIBundling_r12 },
  { &hf_lte_rrc_discoverySignalsInDeactSCell_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discoverySignalsInDeactSCell_r12 },
  { &hf_lte_rrc_naics_Capability_List_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NAICS_Capability_List_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1250, PhyLayerParameters_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_T_dl_256QAM_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_256QAM_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_64QAM_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_64QAM_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBandEUTRA_v1250_sequence[] = {
  { &hf_lte_rrc_dl_256QAM_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dl_256QAM_r12 },
  { &hf_lte_rrc_ul_64QAM_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_64QAM_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SupportedBandEUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SupportedBandEUTRA_v1250, SupportedBandEUTRA_v1250_sequence);

  return offset;
}


static const per_sequence_t SupportedBandListEUTRA_v1250_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListEUTRA_v1250_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandEUTRA_v1250 },
};

static int
dissect_lte_rrc_SupportedBandListEUTRA_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListEUTRA_v1250, SupportedBandListEUTRA_v1250_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_asynchronous_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_asynchronous_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_supportedCellGrouping_r12_vals[] = {
  {   0, "threeEntries-r12" },
  {   1, "fourEntries-r12" },
  {   2, "fiveEntries-r12" },
  { 0, NULL }
};

static const per_choice_t T_supportedCellGrouping_r12_choice[] = {
  {   0, &hf_lte_rrc_threeEntries_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_3 },
  {   1, &hf_lte_rrc_fourEntries_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_7 },
  {   2, &hf_lte_rrc_fiveEntries_r12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_supportedCellGrouping_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_supportedCellGrouping_r12, T_supportedCellGrouping_r12_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_dc_Support_r12_sequence[] = {
  { &hf_lte_rrc_asynchronous_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_asynchronous_r12 },
  { &hf_lte_rrc_supportedCellGrouping_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_supportedCellGrouping_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_dc_Support_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_dc_Support_r12, T_dc_Support_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_1_maxNAICS_Entries_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, maxNAICS_Entries_r12, FALSE, NULL, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_1_maxBands(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, maxBands, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v1250_sequence[] = {
  { &hf_lte_rrc_dc_Support_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_dc_Support_r12 },
  { &hf_lte_rrc_supportedNAICS_2CRS_AP_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_1_maxNAICS_Entries_r12 },
  { &hf_lte_rrc_commSupportedBandsPerBC_r12, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_1_maxBands },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_v1250, BandCombinationParameters_v1250_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v1250_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v1250_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1250 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v1250, SupportedBandCombination_v1250_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationAdd_v1250_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationAdd_v1250_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1250 },
};

static int
dissect_lte_rrc_SupportedBandCombinationAdd_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationAdd_v1250, SupportedBandCombinationAdd_v1250_sequence_of,
                                                  1, maxBandComb_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_freqBandPriorityAdjustment_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_freqBandPriorityAdjustment_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RF_Parameters_v1250_sequence[] = {
  { &hf_lte_rrc_supportedBandListEUTRA_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandListEUTRA_v1250 },
  { &hf_lte_rrc_supportedBandCombination_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v1250 },
  { &hf_lte_rrc_supportedBandCombinationAdd_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationAdd_v1250 },
  { &hf_lte_rrc_freqBandPriorityAdjustment_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_freqBandPriorityAdjustment_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1250, RF_Parameters_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_T_extended_RLC_LI_Field_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extended_RLC_LI_Field_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RLC_Parameters_r12_sequence[] = {
  { &hf_lte_rrc_extended_RLC_LI_Field_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_extended_RLC_LI_Field_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Parameters_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLC_Parameters_r12, RLC_Parameters_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_loggedMBSFNMeasurements_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_loggedMBSFNMeasurements_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UE_BasedNetwPerfMeasParameters_v1250_sequence[] = {
  { &hf_lte_rrc_loggedMBSFNMeasurements_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_loggedMBSFNMeasurements_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_BasedNetwPerfMeasParameters_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_BasedNetwPerfMeasParameters_v1250, UE_BasedNetwPerfMeasParameters_v1250_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 14U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 13U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_wlan_IW_RAN_Rules_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_wlan_IW_RAN_Rules_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_wlan_IW_ANDSF_Policies_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_wlan_IW_ANDSF_Policies_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t WLAN_IW_Parameters_r12_sequence[] = {
  { &hf_lte_rrc_wlan_IW_RAN_Rules_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_wlan_IW_RAN_Rules_r12 },
  { &hf_lte_rrc_wlan_IW_ANDSF_Policies_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_wlan_IW_ANDSF_Policies_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_IW_Parameters_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLAN_IW_Parameters_r12, WLAN_IW_Parameters_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_timerT312_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_timerT312_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_alternativeTimeToTrigger_r12_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_alternativeTimeToTrigger_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_incMonEUTRA_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_incMonEUTRA_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_incMonUTRA_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_incMonUTRA_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_extendedMaxMeasId_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedMaxMeasId_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_extendedRSRQ_LowerRange_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedRSRQ_LowerRange_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rsrq_OnAllSymbols_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rsrq_OnAllSymbols_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_crs_DiscoverySignalsMeas_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crs_DiscoverySignalsMeas_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_csi_RS_DiscoverySignalsMeas_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_RS_DiscoverySignalsMeas_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MeasParameters_v1250_sequence[] = {
  { &hf_lte_rrc_timerT312_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_timerT312_r12 },
  { &hf_lte_rrc_alternativeTimeToTrigger_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_alternativeTimeToTrigger_r12_01 },
  { &hf_lte_rrc_incMonEUTRA_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_incMonEUTRA_r12 },
  { &hf_lte_rrc_incMonUTRA_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_incMonUTRA_r12 },
  { &hf_lte_rrc_extendedMaxMeasId_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedMaxMeasId_r12 },
  { &hf_lte_rrc_extendedRSRQ_LowerRange_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedRSRQ_LowerRange_r12 },
  { &hf_lte_rrc_rsrq_OnAllSymbols_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rsrq_OnAllSymbols_r12 },
  { &hf_lte_rrc_crs_DiscoverySignalsMeas_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crs_DiscoverySignalsMeas_r12 },
  { &hf_lte_rrc_csi_RS_DiscoverySignalsMeas_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_RS_DiscoverySignalsMeas_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasParameters_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasParameters_v1250, MeasParameters_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_T_drb_TypeSplit_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_TypeSplit_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drb_TypeSCG_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_TypeSCG_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DC_Parameters_r12_sequence[] = {
  { &hf_lte_rrc_drb_TypeSplit_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_TypeSplit_r12 },
  { &hf_lte_rrc_drb_TypeSCG_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_TypeSCG_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DC_Parameters_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DC_Parameters_r12, DC_Parameters_r12_sequence);

  return offset;
}


static const value_string lte_rrc_T_mbms_AsyncDC_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mbms_AsyncDC_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MBMS_Parameters_v1250_sequence[] = {
  { &hf_lte_rrc_mbms_AsyncDC_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_mbms_AsyncDC_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_Parameters_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_Parameters_v1250, MBMS_Parameters_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_T_logicalChannelSR_ProhibitTimer_r12_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logicalChannelSR_ProhibitTimer_r12_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_longDRX_Command_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_longDRX_Command_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MAC_Parameters_r12_sequence[] = {
  { &hf_lte_rrc_logicalChannelSR_ProhibitTimer_r12_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_logicalChannelSR_ProhibitTimer_r12_01 },
  { &hf_lte_rrc_longDRX_Command_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_longDRX_Command_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_Parameters_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_Parameters_r12, MAC_Parameters_r12_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1250_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1250 },
  { &hf_lte_rrc_measParameters_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasParameters_v1250 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1250(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1250, UE_EUTRA_CapabilityAddXDD_Mode_v1250_sequence);

  return offset;
}


static const value_string lte_rrc_T_commSimultaneousTx_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_commSimultaneousTx_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t FreqBandIndicatorListEUTRA_r12_sequence_of[1] = {
  { &hf_lte_rrc_FreqBandIndicatorListEUTRA_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
};

static int
dissect_lte_rrc_FreqBandIndicatorListEUTRA_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_FreqBandIndicatorListEUTRA_r12, FreqBandIndicatorListEUTRA_r12_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_support_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_support_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBandInfo_r12_sequence[] = {
  { &hf_lte_rrc_support_r12 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_support_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SupportedBandInfo_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SupportedBandInfo_r12, SupportedBandInfo_r12_sequence);

  return offset;
}


static const per_sequence_t SupportedBandInfoList_r12_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandInfoList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandInfo_r12 },
};

static int
dissect_lte_rrc_SupportedBandInfoList_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandInfoList_r12, SupportedBandInfoList_r12_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_discScheduledResourceAlloc_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discScheduledResourceAlloc_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_disc_UE_SelectedResourceAlloc_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_disc_UE_SelectedResourceAlloc_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_disc_SLSS_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_disc_SLSS_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_discSupportedProc_r12_vals[] = {
  {   0, "n50" },
  {   1, "n400" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discSupportedProc_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_Parameters_r12_sequence[] = {
  { &hf_lte_rrc_commSimultaneousTx_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_commSimultaneousTx_r12 },
  { &hf_lte_rrc_commSupportedBands_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqBandIndicatorListEUTRA_r12 },
  { &hf_lte_rrc_discSupportedBands_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandInfoList_r12 },
  { &hf_lte_rrc_discScheduledResourceAlloc_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discScheduledResourceAlloc_r12 },
  { &hf_lte_rrc_disc_UE_SelectedResourceAlloc_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_disc_UE_SelectedResourceAlloc_r12 },
  { &hf_lte_rrc_disc_SLSS_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_disc_SLSS_r12 },
  { &hf_lte_rrc_discSupportedProc_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discSupportedProc_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_Parameters_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_Parameters_r12, SL_Parameters_r12_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_15_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            15U, 16U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_fourLayerTM3_TM4_perCC_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fourLayerTM3_TM4_perCC_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_supportedCSI_Proc_r12_vals[] = {
  {   0, "n1" },
  {   1, "n3" },
  {   2, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_supportedCSI_Proc_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IntraBandContiguousCC_Info_r12_sequence[] = {
  { &hf_lte_rrc_fourLayerTM3_TM4_perCC_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fourLayerTM3_TM4_perCC_r12 },
  { &hf_lte_rrc_supportedMIMO_CapabilityDL_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CapabilityDL_r10 },
  { &hf_lte_rrc_supportedCSI_Proc_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_supportedCSI_Proc_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IntraBandContiguousCC_Info_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IntraBandContiguousCC_Info_r12, IntraBandContiguousCC_Info_r12_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12_sequence_of[1] = {
  { &hf_lte_rrc_intraBandContiguousCC_InfoList_r12_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IntraBandContiguousCC_Info_r12 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12, SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12_sequence_of,
                                                  1, maxServCell_r10, FALSE);

  return offset;
}


static const per_sequence_t CA_MIMO_ParametersDL_v1270_sequence[] = {
  { &hf_lte_rrc_intraBandContiguousCC_InfoList_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CA_MIMO_ParametersDL_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CA_MIMO_ParametersDL_v1270, CA_MIMO_ParametersDL_v1270_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270_sequence_of[1] = {
  { &hf_lte_rrc_bandParametersDL_v1270_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_MIMO_ParametersDL_v1270 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270, SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270_sequence_of,
                                                  1, maxBandwidthClass_r10, FALSE);

  return offset;
}


static const per_sequence_t BandParameters_v1270_sequence[] = {
  { &hf_lte_rrc_bandParametersDL_v1270, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_v1270, BandParameters_v1270_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_v1270_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_v1270 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v1270_sequence[] = {
  { &hf_lte_rrc_bandParameterList_v1270, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_v1270, BandCombinationParameters_v1270_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v1270_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v1270_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1270 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v1270, SupportedBandCombination_v1270_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationAdd_v1270_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationAdd_v1270_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1270 },
};

static int
dissect_lte_rrc_SupportedBandCombinationAdd_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationAdd_v1270, SupportedBandCombinationAdd_v1270_sequence_of,
                                                  1, maxBandComb_r11, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1270_sequence[] = {
  { &hf_lte_rrc_supportedBandCombination_v1270, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v1270 },
  { &hf_lte_rrc_supportedBandCombinationAdd_v1270, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationAdd_v1270 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1270(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1270, RF_Parameters_v1270_sequence);

  return offset;
}


static const value_string lte_rrc_T_alternativeTBS_Indices_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_alternativeTBS_Indices_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1280_sequence[] = {
  { &hf_lte_rrc_alternativeTBS_Indices_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_alternativeTBS_Indices_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1280(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1280, PhyLayerParameters_v1280_sequence);

  return offset;
}


static const value_string lte_rrc_T_ue_CategoryDL_v1310_vals[] = {
  {   0, "n17" },
  {   1, "m1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CategoryDL_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_CategoryUL_v1310_vals[] = {
  {   0, "n14" },
  {   1, "m1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CategoryUL_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pdcp_SN_Extension_18bits_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdcp_SN_Extension_18bits_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCP_Parameters_v1310_sequence[] = {
  { &hf_lte_rrc_pdcp_SN_Extension_18bits_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdcp_SN_Extension_18bits_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Parameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCP_Parameters_v1310, PDCP_Parameters_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_extendedRLC_SN_SO_Field_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedRLC_SN_SO_Field_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RLC_Parameters_v1310_sequence[] = {
  { &hf_lte_rrc_extendedRLC_SN_SO_Field_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedRLC_SN_SO_Field_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Parameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLC_Parameters_v1310, RLC_Parameters_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_extendedMAC_LengthField_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedMAC_LengthField_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_extendedLongDRX_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedLongDRX_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MAC_Parameters_v1310_sequence[] = {
  { &hf_lte_rrc_extendedMAC_LengthField_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedMAC_LengthField_r13 },
  { &hf_lte_rrc_extendedLongDRX_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedLongDRX_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_Parameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_Parameters_v1310, MAC_Parameters_v1310_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_aperiodicCSI_Reporting_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *aperiodicCSI_tvb=NULL;
  proto_tree *subtree;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     2, 2, FALSE, &aperiodicCSI_tvb, NULL);

  if (aperiodicCSI_tvb) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_aperiodicCSI_Reporting_r13);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_aperiodicCSI_Reporting_r13_bit1, aperiodicCSI_tvb, 0, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_aperiodicCSI_Reporting_r13_bit2, aperiodicCSI_tvb, 1, 1, ENC_BIG_ENDIAN);
  }


  return offset;
}



static int
dissect_lte_rrc_T_codebook_HARQ_ACK_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *codebook_tvb=NULL;
  proto_tree *subtree;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     2, 2, FALSE, &codebook_tvb, NULL);

  if (codebook_tvb) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_codebook_HARQ_ACK_r13);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_codebook_HARQ_ACK_r13_bit1, codebook_tvb, 0, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_codebook_HARQ_ACK_r13_bit2, codebook_tvb, 1, 1, ENC_BIG_ENDIAN);
  }


  return offset;
}


static const value_string lte_rrc_T_crossCarrierScheduling_B5C_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crossCarrierScheduling_B5C_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_fdd_HARQ_TimingTDD_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fdd_HARQ_TimingTDD_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_5_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            5U, 32U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_pucch_Format4_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_Format4_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_Format5_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_Format5_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pucch_SCell_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pucch_SCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_spatialBundling_HARQ_ACK_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_spatialBundling_HARQ_ACK_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 32U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_pdcch_CandidateReductions_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdcch_CandidateReductions_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_skipMonitoringDCI_Format0_1A_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipMonitoringDCI_Format0_1A_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_supportedBlindDecoding_r13_sequence[] = {
  { &hf_lte_rrc_maxNumberDecoding_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_32 },
  { &hf_lte_rrc_pdcch_CandidateReductions_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdcch_CandidateReductions_r13 },
  { &hf_lte_rrc_skipMonitoringDCI_Format0_1A_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipMonitoringDCI_Format0_1A_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_supportedBlindDecoding_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_supportedBlindDecoding_r13, T_supportedBlindDecoding_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_uci_PUSCH_Ext_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_uci_PUSCH_Ext_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_crs_InterfMitigationTM10_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crs_InterfMitigationTM10_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pdsch_CollisionHandling_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdsch_CollisionHandling_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1310_sequence[] = {
  { &hf_lte_rrc_aperiodicCSI_Reporting_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_aperiodicCSI_Reporting_r13 },
  { &hf_lte_rrc_codebook_HARQ_ACK_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_codebook_HARQ_ACK_r13 },
  { &hf_lte_rrc_crossCarrierScheduling_B5C_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crossCarrierScheduling_B5C_r13 },
  { &hf_lte_rrc_fdd_HARQ_TimingTDD_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fdd_HARQ_TimingTDD_r13 },
  { &hf_lte_rrc_maxNumberUpdatedCSI_Proc_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_5_32 },
  { &hf_lte_rrc_pucch_Format4_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_Format4_r13 },
  { &hf_lte_rrc_pucch_Format5_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_Format5_r13 },
  { &hf_lte_rrc_pucch_SCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pucch_SCell_r13 },
  { &hf_lte_rrc_spatialBundling_HARQ_ACK_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_spatialBundling_HARQ_ACK_r13 },
  { &hf_lte_rrc_supportedBlindDecoding_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_supportedBlindDecoding_r13 },
  { &hf_lte_rrc_uci_PUSCH_Ext_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_uci_PUSCH_Ext_r13 },
  { &hf_lte_rrc_crs_InterfMitigationTM10_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crs_InterfMitigationTM10_r13 },
  { &hf_lte_rrc_pdsch_CollisionHandling_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdsch_CollisionHandling_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1310, PhyLayerParameters_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_reducedIntNonContCombRequested_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reducedIntNonContCombRequested_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_skipFallbackCombRequested_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipFallbackCombRequested_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_eNB_RequestedParameters_r13_sequence[] = {
  { &hf_lte_rrc_reducedIntNonContCombRequested_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedIntNonContCombRequested_r13 },
  { &hf_lte_rrc_requestedCCsDL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_2_32 },
  { &hf_lte_rrc_requestedCCsUL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_2_32 },
  { &hf_lte_rrc_skipFallbackCombRequested_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipFallbackCombRequested_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eNB_RequestedParameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eNB_RequestedParameters_r13, T_eNB_RequestedParameters_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_maximumCCsRetrieval_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maximumCCsRetrieval_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_skipFallbackCombinations_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipFallbackCombinations_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_reducedIntNonContComb_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_reducedIntNonContComb_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_PowerClass_5_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_PowerClass_5_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBandEUTRA_v1310_sequence[] = {
  { &hf_lte_rrc_ue_PowerClass_5_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_PowerClass_5_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SupportedBandEUTRA_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SupportedBandEUTRA_v1310, SupportedBandEUTRA_v1310_sequence);

  return offset;
}


static const per_sequence_t SupportedBandListEUTRA_v1310_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListEUTRA_v1310_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandEUTRA_v1310 },
};

static int
dissect_lte_rrc_SupportedBandListEUTRA_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListEUTRA_v1310, SupportedBandListEUTRA_v1310_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_differentFallbackSupported_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_differentFallbackSupported_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BandParametersUL_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_CA_MIMO_ParametersUL_r10(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string lte_rrc_T_fourLayerTM3_TM4_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fourLayerTM3_TM4_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12_sequence_of[1] = {
  { &hf_lte_rrc_intraBandContiguousCC_InfoList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IntraBandContiguousCC_Info_r12 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12, SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}


static const per_sequence_t CA_MIMO_ParametersDL_r13_sequence[] = {
  { &hf_lte_rrc_ca_BandwidthClassDL_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_BandwidthClass_r10 },
  { &hf_lte_rrc_supportedMIMO_CapabilityDL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CapabilityDL_r10 },
  { &hf_lte_rrc_fourLayerTM3_TM4_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fourLayerTM3_TM4_r13 },
  { &hf_lte_rrc_intraBandContiguousCC_InfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CA_MIMO_ParametersDL_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CA_MIMO_ParametersDL_r13, CA_MIMO_ParametersDL_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_BandParametersDL_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_CA_MIMO_ParametersDL_r13(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string lte_rrc_T_supportedCSI_Proc_r13_vals[] = {
  {   0, "n1" },
  {   1, "n3" },
  {   2, "n4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_supportedCSI_Proc_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BandParameters_r13_sequence[] = {
  { &hf_lte_rrc_bandEUTRA_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
  { &hf_lte_rrc_bandParametersUL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandParametersUL_r13 },
  { &hf_lte_rrc_bandParametersDL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandParametersDL_r13 },
  { &hf_lte_rrc_supportedCSI_Proc_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_supportedCSI_Proc_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_r13, BandParameters_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const value_string lte_rrc_T_multipleTimingAdvance_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multipleTimingAdvance_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_simultaneousRx_Tx_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_simultaneousRx_Tx_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_asynchronous_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_asynchronous_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_supportedCellGrouping_r13_vals[] = {
  {   0, "threeEntries-r13" },
  {   1, "fourEntries-r13" },
  {   2, "fiveEntries-r13" },
  { 0, NULL }
};

static const per_choice_t T_supportedCellGrouping_r13_choice[] = {
  {   0, &hf_lte_rrc_threeEntries_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_3 },
  {   1, &hf_lte_rrc_fourEntries_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_7 },
  {   2, &hf_lte_rrc_fiveEntries_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_supportedCellGrouping_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_supportedCellGrouping_r13, T_supportedCellGrouping_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_dc_Support_r13_sequence[] = {
  { &hf_lte_rrc_asynchronous_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_asynchronous_r13 },
  { &hf_lte_rrc_supportedCellGrouping_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_supportedCellGrouping_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_dc_Support_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_dc_Support_r13, T_dc_Support_r13_sequence);

  return offset;
}


static const per_sequence_t BandCombinationParameters_r13_sequence[] = {
  { &hf_lte_rrc_differentFallbackSupported_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_differentFallbackSupported_r13 },
  { &hf_lte_rrc_bandParameterList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13 },
  { &hf_lte_rrc_supportedBandwidthCombinationSet_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandwidthCombinationSet_r10 },
  { &hf_lte_rrc_multipleTimingAdvance_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multipleTimingAdvance_r13 },
  { &hf_lte_rrc_simultaneousRx_Tx_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_simultaneousRx_Tx_r13 },
  { &hf_lte_rrc_bandInfoEUTRA_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandInfoEUTRA },
  { &hf_lte_rrc_dc_Support_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dc_Support_r13 },
  { &hf_lte_rrc_supportedNAICS_2CRS_AP_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_1_maxNAICS_Entries_r12 },
  { &hf_lte_rrc_commSupportedBandsPerBC_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_1_maxBands },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_r13, BandCombinationParameters_r13_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombinationReduced_r13_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationReduced_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_r13 },
};

static int
dissect_lte_rrc_SupportedBandCombinationReduced_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationReduced_r13, SupportedBandCombinationReduced_r13_sequence_of,
                                                  1, maxBandComb_r13, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1310_sequence[] = {
  { &hf_lte_rrc_eNB_RequestedParameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_eNB_RequestedParameters_r13 },
  { &hf_lte_rrc_maximumCCsRetrieval_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_maximumCCsRetrieval_r13 },
  { &hf_lte_rrc_skipFallbackCombinations_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipFallbackCombinations_r13 },
  { &hf_lte_rrc_reducedIntNonContComb_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_reducedIntNonContComb_r13 },
  { &hf_lte_rrc_supportedBandListEUTRA_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandListEUTRA_v1310 },
  { &hf_lte_rrc_supportedBandCombinationReduced_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationReduced_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1310, RF_Parameters_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_rs_SINR_Meas_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rs_SINR_Meas_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_whiteCellList_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_whiteCellList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_extendedMaxObjectId_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedMaxObjectId_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_PDCP_Delay_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_PDCP_Delay_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_extendedFreqPriorities_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedFreqPriorities_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multiBandInfoReport_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiBandInfoReport_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rssi_AndChannelOccupancyReporting_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rssi_AndChannelOccupancyReporting_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MeasParameters_v1310_sequence[] = {
  { &hf_lte_rrc_rs_SINR_Meas_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rs_SINR_Meas_r13 },
  { &hf_lte_rrc_whiteCellList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_whiteCellList_r13 },
  { &hf_lte_rrc_extendedMaxObjectId_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedMaxObjectId_r13 },
  { &hf_lte_rrc_ul_PDCP_Delay_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_PDCP_Delay_r13 },
  { &hf_lte_rrc_extendedFreqPriorities_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedFreqPriorities_r13 },
  { &hf_lte_rrc_multiBandInfoReport_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiBandInfoReport_r13 },
  { &hf_lte_rrc_rssi_AndChannelOccupancyReporting_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rssi_AndChannelOccupancyReporting_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasParameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasParameters_v1310, MeasParameters_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_pdcp_TransferSplitUL_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pdcp_TransferSplitUL_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_SSTD_Meas_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_SSTD_Meas_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DC_Parameters_v1310_sequence[] = {
  { &hf_lte_rrc_pdcp_TransferSplitUL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pdcp_TransferSplitUL_r13 },
  { &hf_lte_rrc_ue_SSTD_Meas_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_SSTD_Meas_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DC_Parameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DC_Parameters_v1310, DC_Parameters_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_discSysInfoReporting_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discSysInfoReporting_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_commMultipleTx_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_commMultipleTx_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_discInterFreqTx_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discInterFreqTx_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_discPeriodicSLSS_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discPeriodicSLSS_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SL_Parameters_v1310_sequence[] = {
  { &hf_lte_rrc_discSysInfoReporting_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discSysInfoReporting_r13 },
  { &hf_lte_rrc_commMultipleTx_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_commMultipleTx_r13 },
  { &hf_lte_rrc_discInterFreqTx_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discInterFreqTx_r13 },
  { &hf_lte_rrc_discPeriodicSLSS_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_discPeriodicSLSS_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_Parameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_Parameters_v1310, SL_Parameters_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_scptm_ParallelReception_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_scptm_ParallelReception_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_scptm_SCell_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_scptm_SCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_scptm_NonServingCell_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_scptm_NonServingCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_scptm_AsyncDC_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_scptm_AsyncDC_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SCPTM_Parameters_r13_sequence[] = {
  { &hf_lte_rrc_scptm_ParallelReception_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_scptm_ParallelReception_r13 },
  { &hf_lte_rrc_scptm_SCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_scptm_SCell_r13 },
  { &hf_lte_rrc_scptm_NonServingCell_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_scptm_NonServingCell_r13 },
  { &hf_lte_rrc_scptm_AsyncDC_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_scptm_AsyncDC_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCPTM_Parameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCPTM_Parameters_r13, SCPTM_Parameters_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_ce_ModeA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_ModeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_ModeB_r13_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_ModeB_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CE_Parameters_r13_sequence[] = {
  { &hf_lte_rrc_ce_ModeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_ModeA_r13 },
  { &hf_lte_rrc_ce_ModeB_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_ModeB_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CE_Parameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CE_Parameters_r13, CE_Parameters_r13_sequence);

  return offset;
}


static const per_sequence_t SupportedBandListWLAN_r13_sequence_of[1] = {
  { &hf_lte_rrc_supportedBandListWLAN_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_BandIndicator_r13 },
};

static int
dissect_lte_rrc_SupportedBandListWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListWLAN_r13, SupportedBandListWLAN_r13_sequence_of,
                                                  1, maxWLAN_Bands_r13, FALSE);

  return offset;
}


static const per_sequence_t IRAT_ParametersWLAN_r13_sequence[] = {
  { &hf_lte_rrc_supportedBandListWLAN_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandListWLAN_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersWLAN_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersWLAN_r13, IRAT_ParametersWLAN_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_crossCarrierSchedulingLAA_DL_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crossCarrierSchedulingLAA_DL_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_csi_RS_DRS_RRM_MeasurementsLAA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_RS_DRS_RRM_MeasurementsLAA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_downlinkLAA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_downlinkLAA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_endingDwPTS_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_endingDwPTS_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_secondSlotStartingPosition_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_secondSlotStartingPosition_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tm9_LAA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tm9_LAA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tm10_LAA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tm10_LAA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LAA_Parameters_r13_sequence[] = {
  { &hf_lte_rrc_crossCarrierSchedulingLAA_DL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crossCarrierSchedulingLAA_DL_r13 },
  { &hf_lte_rrc_csi_RS_DRS_RRM_MeasurementsLAA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_RS_DRS_RRM_MeasurementsLAA_r13 },
  { &hf_lte_rrc_downlinkLAA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_downlinkLAA_r13 },
  { &hf_lte_rrc_endingDwPTS_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_endingDwPTS_r13 },
  { &hf_lte_rrc_secondSlotStartingPosition_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_secondSlotStartingPosition_r13 },
  { &hf_lte_rrc_tm9_LAA_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tm9_LAA_r13 },
  { &hf_lte_rrc_tm10_LAA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tm10_LAA_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LAA_Parameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LAA_Parameters_r13, LAA_Parameters_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_lwa_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwa_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_lwa_SplitBearer_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwa_SplitBearer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_lwa_BufferSize_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwa_BufferSize_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LWA_Parameters_r13_sequence[] = {
  { &hf_lte_rrc_lwa_r13     , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwa_r13 },
  { &hf_lte_rrc_lwa_SplitBearer_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwa_SplitBearer_r13 },
  { &hf_lte_rrc_wlan_MAC_Address_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING_SIZE_6 },
  { &hf_lte_rrc_lwa_BufferSize_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwa_BufferSize_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LWA_Parameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LWA_Parameters_r13, LWA_Parameters_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_rclwi_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rclwi_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t WLAN_IW_Parameters_v1310_sequence[] = {
  { &hf_lte_rrc_rclwi_r13   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rclwi_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_WLAN_IW_Parameters_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_WLAN_IW_Parameters_v1310, WLAN_IW_Parameters_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_lwip_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwip_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LWIP_Parameters_r13_sequence[] = {
  { &hf_lte_rrc_lwip_r13    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwip_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LWIP_Parameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LWIP_Parameters_r13, LWIP_Parameters_r13_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1310_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1310 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1310(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1310, UE_EUTRA_CapabilityAddXDD_Mode_v1310_sequence);

  return offset;
}


static const value_string lte_rrc_T_intraFreqA3_CE_ModeA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreqA3_CE_ModeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_intraFreqA3_CE_ModeB_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreqA3_CE_ModeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_intraFreqHO_CE_ModeA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreqHO_CE_ModeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_intraFreqHO_CE_ModeB_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreqHO_CE_ModeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CE_Parameters_v1320_sequence[] = {
  { &hf_lte_rrc_intraFreqA3_CE_ModeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_intraFreqA3_CE_ModeA_r13 },
  { &hf_lte_rrc_intraFreqA3_CE_ModeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_intraFreqA3_CE_ModeB_r13 },
  { &hf_lte_rrc_intraFreqHO_CE_ModeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_intraFreqHO_CE_ModeA_r13 },
  { &hf_lte_rrc_intraFreqHO_CE_ModeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_intraFreqHO_CE_ModeB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CE_Parameters_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CE_Parameters_v1320, CE_Parameters_v1320_sequence);

  return offset;
}


static const value_string lte_rrc_T_config1_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_config1_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_config2_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_config2_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_config3_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_config3_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_config4_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_config4_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MIMO_NonPrecodedCapabilities_r13_sequence[] = {
  { &hf_lte_rrc_config1_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_config1_r13 },
  { &hf_lte_rrc_config2_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_config2_r13 },
  { &hf_lte_rrc_config3_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_config3_r13 },
  { &hf_lte_rrc_config4_r13 , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_config4_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_NonPrecodedCapabilities_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_NonPrecodedCapabilities_r13, MIMO_NonPrecodedCapabilities_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_altCodebook_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_altCodebook_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_1_7(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, 7, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t MIMO_BeamformedCapabilities_r13_sequence[] = {
  { &hf_lte_rrc_k_Max_r13   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_8 },
  { &hf_lte_rrc_n_MaxList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_1_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_BeamformedCapabilities_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_BeamformedCapabilities_r13, MIMO_BeamformedCapabilities_r13_sequence);

  return offset;
}


static const per_sequence_t MIMO_BeamformedCapabilityList_r13_sequence_of[1] = {
  { &hf_lte_rrc_MIMO_BeamformedCapabilityList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MIMO_BeamformedCapabilities_r13 },
};

static int
dissect_lte_rrc_MIMO_BeamformedCapabilityList_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MIMO_BeamformedCapabilityList_r13, MIMO_BeamformedCapabilityList_r13_sequence_of,
                                                  1, maxCSI_Proc_r11, FALSE);

  return offset;
}


static const per_sequence_t MIMO_UE_BeamformedCapabilities_r13_sequence[] = {
  { &hf_lte_rrc_altCodebook_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_altCodebook_r13 },
  { &hf_lte_rrc_mimo_BeamformedCapabilities_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MIMO_BeamformedCapabilityList_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_UE_BeamformedCapabilities_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_UE_BeamformedCapabilities_r13, MIMO_UE_BeamformedCapabilities_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_channelMeasRestriction_r13_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_channelMeasRestriction_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dmrs_Enhancements_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dmrs_Enhancements_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_csi_RS_EnhancementsTDD_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_RS_EnhancementsTDD_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MIMO_UE_ParametersPerTM_r13_sequence[] = {
  { &hf_lte_rrc_nonPrecoded_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_NonPrecodedCapabilities_r13 },
  { &hf_lte_rrc_beamformed_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_UE_BeamformedCapabilities_r13 },
  { &hf_lte_rrc_channelMeasRestriction_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_channelMeasRestriction_r13_01 },
  { &hf_lte_rrc_dmrs_Enhancements_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_Enhancements_r13 },
  { &hf_lte_rrc_csi_RS_EnhancementsTDD_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_RS_EnhancementsTDD_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_UE_ParametersPerTM_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_UE_ParametersPerTM_r13, MIMO_UE_ParametersPerTM_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_srs_EnhancementsTDD_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_EnhancementsTDD_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srs_Enhancements_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_Enhancements_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_interferenceMeasRestriction_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interferenceMeasRestriction_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MIMO_UE_Parameters_r13_sequence[] = {
  { &hf_lte_rrc_parametersTM9_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_UE_ParametersPerTM_r13 },
  { &hf_lte_rrc_parametersTM10_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_UE_ParametersPerTM_r13 },
  { &hf_lte_rrc_srs_EnhancementsTDD_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srs_EnhancementsTDD_r13 },
  { &hf_lte_rrc_srs_Enhancements_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srs_Enhancements_r13 },
  { &hf_lte_rrc_interferenceMeasRestriction_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interferenceMeasRestriction_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_UE_Parameters_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_UE_Parameters_r13, MIMO_UE_Parameters_r13_sequence);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1320_sequence[] = {
  { &hf_lte_rrc_mimo_UE_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_UE_Parameters_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1320, PhyLayerParameters_v1320_sequence);

  return offset;
}


static const value_string lte_rrc_T_intraFreq_CE_NeedForGaps_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreq_CE_NeedForGaps_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_PowerClass_N_r13_vals[] = {
  {   0, "class1" },
  {   1, "class2" },
  {   2, "class4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_PowerClass_N_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBandEUTRA_v1320_sequence[] = {
  { &hf_lte_rrc_intraFreq_CE_NeedForGaps_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_intraFreq_CE_NeedForGaps_r13 },
  { &hf_lte_rrc_ue_PowerClass_N_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_PowerClass_N_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SupportedBandEUTRA_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SupportedBandEUTRA_v1320, SupportedBandEUTRA_v1320_sequence);

  return offset;
}


static const per_sequence_t SupportedBandListEUTRA_v1320_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListEUTRA_v1320_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandEUTRA_v1320 },
};

static int
dissect_lte_rrc_SupportedBandListEUTRA_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListEUTRA_v1320, SupportedBandListEUTRA_v1320_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_dmrs_Enhancements_r13_01_vals[] = {
  {   0, "different" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dmrs_Enhancements_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MIMO_CA_ParametersPerBoBCPerTM_r13_sequence[] = {
  { &hf_lte_rrc_nonPrecoded_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_NonPrecodedCapabilities_r13 },
  { &hf_lte_rrc_beamformed_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_BeamformedCapabilityList_r13 },
  { &hf_lte_rrc_dmrs_Enhancements_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_Enhancements_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_r13, MIMO_CA_ParametersPerBoBCPerTM_r13_sequence);

  return offset;
}


static const per_sequence_t MIMO_CA_ParametersPerBoBC_r13_sequence[] = {
  { &hf_lte_rrc_parametersTM9_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_r13 },
  { &hf_lte_rrc_parametersTM10_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_CA_ParametersPerBoBC_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_CA_ParametersPerBoBC_r13, MIMO_CA_ParametersPerBoBC_r13_sequence);

  return offset;
}


static const per_sequence_t BandParameters_v1320_sequence[] = {
  { &hf_lte_rrc_bandParametersDL_v1320, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MIMO_CA_ParametersPerBoBC_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_v1320, BandParameters_v1320_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_v1320_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_v1320 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const value_string lte_rrc_T_additionalRx_Tx_PerformanceReq_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_additionalRx_Tx_PerformanceReq_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v1320_sequence[] = {
  { &hf_lte_rrc_bandParameterList_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320 },
  { &hf_lte_rrc_additionalRx_Tx_PerformanceReq_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_additionalRx_Tx_PerformanceReq_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_v1320, BandCombinationParameters_v1320_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v1320_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v1320_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1320 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v1320, SupportedBandCombination_v1320_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationAdd_v1320_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationAdd_v1320_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1320 },
};

static int
dissect_lte_rrc_SupportedBandCombinationAdd_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationAdd_v1320, SupportedBandCombinationAdd_v1320_sequence_of,
                                                  1, maxBandComb_r11, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationReduced_v1320_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationReduced_v1320_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1320 },
};

static int
dissect_lte_rrc_SupportedBandCombinationReduced_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationReduced_v1320, SupportedBandCombinationReduced_v1320_sequence_of,
                                                  1, maxBandComb_r13, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1320_sequence[] = {
  { &hf_lte_rrc_supportedBandListEUTRA_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandListEUTRA_v1320 },
  { &hf_lte_rrc_supportedBandCombination_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v1320 },
  { &hf_lte_rrc_supportedBandCombinationAdd_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationAdd_v1320 },
  { &hf_lte_rrc_supportedBandCombinationReduced_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationReduced_v1320 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1320, RF_Parameters_v1320_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1320_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1320 },
  { &hf_lte_rrc_scptm_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCPTM_Parameters_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1320(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1320, UE_EUTRA_CapabilityAddXDD_Mode_v1320_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_18_19(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            18U, 19U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_cch_InterfMitigation_RefRecTypeA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cch_InterfMitigation_RefRecTypeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_cch_InterfMitigation_RefRecTypeB_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cch_InterfMitigation_RefRecTypeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxServCell_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxServCell_r13, NULL, FALSE);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1330_sequence[] = {
  { &hf_lte_rrc_cch_InterfMitigation_RefRecTypeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cch_InterfMitigation_RefRecTypeA_r13 },
  { &hf_lte_rrc_cch_InterfMitigation_RefRecTypeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cch_InterfMitigation_RefRecTypeB_r13 },
  { &hf_lte_rrc_cch_InterfMitigation_MaxNumCCs_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxServCell_r13 },
  { &hf_lte_rrc_crs_InterfMitigationTM1toTM9_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxServCell_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1330(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1330, PhyLayerParameters_v1330_sequence);

  return offset;
}


static const value_string lte_rrc_T_ue_CE_NeedULGaps_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CE_NeedULGaps_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            15U, 15U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_ue_CategoryDL_v1350_vals[] = {
  {   0, "oneBis" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CategoryDL_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_CategoryUL_v1350_vals[] = {
  {   0, "oneBis" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CategoryUL_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_unicastFrequencyHopping_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_unicastFrequencyHopping_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CE_Parameters_v1350_sequence[] = {
  { &hf_lte_rrc_unicastFrequencyHopping_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_unicastFrequencyHopping_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CE_Parameters_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CE_Parameters_v1350, CE_Parameters_v1350_sequence);

  return offset;
}


static const value_string lte_rrc_T_inDeviceCoexInd_HardwareSharingInd_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_inDeviceCoexInd_HardwareSharingInd_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t Other_Parameters_v1360_sequence[] = {
  { &hf_lte_rrc_inDeviceCoexInd_HardwareSharingInd_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_inDeviceCoexInd_HardwareSharingInd_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Other_Parameters_v1360(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Other_Parameters_v1360, Other_Parameters_v1360_sequence);

  return offset;
}


static const value_string lte_rrc_T_ce_PUSCH_NB_MaxTBS_r14_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PUSCH_NB_MaxTBS_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_PDSCH_PUSCH_MaxBandwidth_r14_vals[] = {
  {   0, "bw5" },
  {   1, "bw20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PDSCH_PUSCH_MaxBandwidth_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_HARQ_AckBundling_r14_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_HARQ_AckBundling_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_PDSCH_TenProcesses_r14_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PDSCH_TenProcesses_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_RetuningSymbols_r14_vals[] = {
  {   0, "n0" },
  {   1, "n1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_RetuningSymbols_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_PDSCH_PUSCH_Enhancement_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PDSCH_PUSCH_Enhancement_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_SchedulingEnhancement_r14_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_SchedulingEnhancement_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_SRS_Enhancement_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_SRS_Enhancement_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_PUCCH_Enhancement_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_PUCCH_Enhancement_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_ClosedLoopTxAntennaSelection_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_ClosedLoopTxAntennaSelection_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_SpecialSubframe_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_SpecialSubframe_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tdd_TTI_Bundling_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tdd_TTI_Bundling_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dmrs_LessUpPTS_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dmrs_LessUpPTS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nMaxResource_r14_vals[] = {
  {   0, "ffs1" },
  {   1, "ffs2" },
  {   2, "ffs3" },
  {   3, "ffs4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nMaxResource_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nzp_CSI_RS_AperiodicInfo_r14_sequence[] = {
  { &hf_lte_rrc_nMaxProc_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_5_32 },
  { &hf_lte_rrc_nMaxResource_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nMaxResource_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nzp_CSI_RS_AperiodicInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nzp_CSI_RS_AperiodicInfo_r14, T_nzp_CSI_RS_AperiodicInfo_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_nMaxResource_r14_01_vals[] = {
  {   0, "ffs1" },
  {   1, "ffs2" },
  {   2, "ffs3" },
  {   3, "ffs4" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nMaxResource_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nzp_CSI_RS_PeriodicInfo_r14_sequence[] = {
  { &hf_lte_rrc_nMaxResource_r14_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nMaxResource_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nzp_CSI_RS_PeriodicInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nzp_CSI_RS_PeriodicInfo_r14, T_nzp_CSI_RS_PeriodicInfo_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_zp_CSI_RS_AperiodicInfo_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_zp_CSI_RS_AperiodicInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_dmrs_Enhancements_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_dmrs_Enhancements_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_densityReductionNP_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_densityReductionNP_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_densityReductionBF_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_densityReductionBF_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_hybridCSI_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_hybridCSI_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_semiOL_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_semiOL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_csi_ReportingNP_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_ReportingNP_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_csi_ReportingAdvanced_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_ReportingAdvanced_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MIMO_UE_ParametersPerTM_v1430_sequence[] = {
  { &hf_lte_rrc_nzp_CSI_RS_AperiodicInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nzp_CSI_RS_AperiodicInfo_r14 },
  { &hf_lte_rrc_nzp_CSI_RS_PeriodicInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nzp_CSI_RS_PeriodicInfo_r14 },
  { &hf_lte_rrc_zp_CSI_RS_AperiodicInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_zp_CSI_RS_AperiodicInfo_r14 },
  { &hf_lte_rrc_ul_dmrs_Enhancements_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_dmrs_Enhancements_r14 },
  { &hf_lte_rrc_densityReductionNP_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_densityReductionNP_r14 },
  { &hf_lte_rrc_densityReductionBF_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_densityReductionBF_r14 },
  { &hf_lte_rrc_hybridCSI_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_hybridCSI_r14 },
  { &hf_lte_rrc_semiOL_r14  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_semiOL_r14 },
  { &hf_lte_rrc_csi_ReportingNP_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_ReportingNP_r14 },
  { &hf_lte_rrc_csi_ReportingAdvanced_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_ReportingAdvanced_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_UE_ParametersPerTM_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_UE_ParametersPerTM_v1430, MIMO_UE_ParametersPerTM_v1430_sequence);

  return offset;
}


static const per_sequence_t MIMO_UE_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_parametersTM9_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_UE_ParametersPerTM_v1430 },
  { &hf_lte_rrc_parametersTM10_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_UE_ParametersPerTM_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_UE_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_UE_Parameters_v1430, MIMO_UE_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_alternativeTBS_Index_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_alternativeTBS_Index_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_unicast_fembmsMixedSCell_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_unicast_fembmsMixedSCell_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_emptyUnicastRegion_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_emptyUnicastRegion_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t FeMBMS_Unicast_Parameters_r14_sequence[] = {
  { &hf_lte_rrc_unicast_fembmsMixedSCell_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_unicast_fembmsMixedSCell_r14 },
  { &hf_lte_rrc_emptyUnicastRegion_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_emptyUnicastRegion_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_FeMBMS_Unicast_Parameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_FeMBMS_Unicast_Parameters_r14, FeMBMS_Unicast_Parameters_r14_sequence);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1430_sequence[] = {
  { &hf_lte_rrc_ce_PUSCH_NB_MaxTBS_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PUSCH_NB_MaxTBS_r14_01 },
  { &hf_lte_rrc_ce_PDSCH_PUSCH_MaxBandwidth_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PDSCH_PUSCH_MaxBandwidth_r14 },
  { &hf_lte_rrc_ce_HARQ_AckBundling_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_HARQ_AckBundling_r14_01 },
  { &hf_lte_rrc_ce_PDSCH_TenProcesses_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PDSCH_TenProcesses_r14_01 },
  { &hf_lte_rrc_ce_RetuningSymbols_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_RetuningSymbols_r14 },
  { &hf_lte_rrc_ce_PDSCH_PUSCH_Enhancement_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PDSCH_PUSCH_Enhancement_r14 },
  { &hf_lte_rrc_ce_SchedulingEnhancement_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_SchedulingEnhancement_r14_01 },
  { &hf_lte_rrc_ce_SRS_Enhancement_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_SRS_Enhancement_r14 },
  { &hf_lte_rrc_ce_PUCCH_Enhancement_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_PUCCH_Enhancement_r14 },
  { &hf_lte_rrc_ce_ClosedLoopTxAntennaSelection_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_ClosedLoopTxAntennaSelection_r14 },
  { &hf_lte_rrc_tdd_SpecialSubframe_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tdd_SpecialSubframe_r14 },
  { &hf_lte_rrc_tdd_TTI_Bundling_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tdd_TTI_Bundling_r14 },
  { &hf_lte_rrc_dmrs_LessUpPTS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_LessUpPTS_r14 },
  { &hf_lte_rrc_mimo_UE_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_UE_Parameters_v1430 },
  { &hf_lte_rrc_alternativeTBS_Index_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_alternativeTBS_Index_r14 },
  { &hf_lte_rrc_feMBMS_Unicast_Parameters_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FeMBMS_Unicast_Parameters_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1430, PhyLayerParameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_ue_CategoryDL_v1430_vals[] = {
  {   0, "m2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CategoryDL_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_CategoryUL_v1430_vals[] = {
  {   0, "n16" },
  {   1, "n17" },
  {   2, "n18" },
  {   3, "n19" },
  {   4, "n20" },
  {   5, "m2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CategoryUL_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_CategoryUL_v1430b_vals[] = {
  {   0, "n21" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_CategoryUL_v1430b(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_shortSPS_IntervalFDD_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_shortSPS_IntervalFDD_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_shortSPS_IntervalTDD_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_shortSPS_IntervalTDD_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_skipUplinkDynamic_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipUplinkDynamic_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_skipUplinkSPS_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_skipUplinkSPS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multipleUplinkSPS_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multipleUplinkSPS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dataInactMon_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dataInactMon_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MAC_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_shortSPS_IntervalFDD_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_shortSPS_IntervalFDD_r14 },
  { &hf_lte_rrc_shortSPS_IntervalTDD_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_shortSPS_IntervalTDD_r14 },
  { &hf_lte_rrc_skipUplinkDynamic_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipUplinkDynamic_r14 },
  { &hf_lte_rrc_skipUplinkSPS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_skipUplinkSPS_r14 },
  { &hf_lte_rrc_multipleUplinkSPS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multipleUplinkSPS_r14 },
  { &hf_lte_rrc_dataInactMon_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dataInactMon_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_Parameters_v1430, MAC_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_ceMeasurements_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ceMeasurements_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ncsg_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ncsg_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_shortMeasurementGap_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_shortMeasurementGap_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_perServingCellMeasurementGap_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_perServingCellMeasurementGap_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nonUniformGap_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nonUniformGap_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MeasParameters_v1430_sequence[] = {
  { &hf_lte_rrc_ceMeasurements_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ceMeasurements_r14 },
  { &hf_lte_rrc_ncsg_r14    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ncsg_r14 },
  { &hf_lte_rrc_shortMeasurementGap_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_shortMeasurementGap_r14 },
  { &hf_lte_rrc_perServingCellMeasurementGap_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_perServingCellMeasurementGap_r14 },
  { &hf_lte_rrc_nonUniformGap_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonUniformGap_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MeasParameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MeasParameters_v1430, MeasParameters_v1430_sequence);

  return offset;
}


static const per_sequence_t T_supportedUplinkOnlyROHC_Profiles_r14_sequence[] = {
  { &hf_lte_rrc_profile0x0006_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_supportedUplinkOnlyROHC_Profiles_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_supportedUplinkOnlyROHC_Profiles_r14, T_supportedUplinkOnlyROHC_Profiles_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_maxNumberROHC_ContextSessions_r14_vals[] = {
  {   0, "cs2" },
  {   1, "cs4" },
  {   2, "cs8" },
  {   3, "cs12" },
  {   4, "cs16" },
  {   5, "cs24" },
  {   6, "cs32" },
  {   7, "cs48" },
  {   8, "cs64" },
  {   9, "cs128" },
  {  10, "cs256" },
  {  11, "cs512" },
  {  12, "cs1024" },
  {  13, "cs16384" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxNumberROHC_ContextSessions_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCP_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_supportedUplinkOnlyROHC_Profiles_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_supportedUplinkOnlyROHC_Profiles_r14 },
  { &hf_lte_rrc_maxNumberROHC_ContextSessions_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxNumberROHC_ContextSessions_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCP_Parameters_v1430, PDCP_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_extendedPollByte_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_extendedPollByte_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RLC_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_extendedPollByte_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_extendedPollByte_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLC_Parameters_v1430, RLC_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_csi_ReportingNP_r14_01_vals[] = {
  {   0, "different" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_ReportingNP_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_csi_ReportingAdvanced_r14_01_vals[] = {
  {   0, "different" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_csi_ReportingAdvanced_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MIMO_CA_ParametersPerBoBCPerTM_v1430_sequence[] = {
  { &hf_lte_rrc_csi_ReportingNP_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_ReportingNP_r14_01 },
  { &hf_lte_rrc_csi_ReportingAdvanced_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_csi_ReportingAdvanced_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_v1430, MIMO_CA_ParametersPerBoBCPerTM_v1430_sequence);

  return offset;
}


static const per_sequence_t MIMO_CA_ParametersPerBoBC_v1430_sequence[] = {
  { &hf_lte_rrc_parametersTM9_v1430_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_v1430 },
  { &hf_lte_rrc_parametersTM10_v1430_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MIMO_CA_ParametersPerBoBC_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MIMO_CA_ParametersPerBoBC_v1430, MIMO_CA_ParametersPerBoBC_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_ul_256QAM_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_256QAM_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ul_256QAM_perCC_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ul_256QAM_perCC_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UL_256QAM_perCC_Info_r14_sequence[] = {
  { &hf_lte_rrc_ul_256QAM_perCC_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_256QAM_perCC_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_256QAM_perCC_Info_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_256QAM_perCC_Info_r14, UL_256QAM_perCC_Info_r14_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14_sequence_of[1] = {
  { &hf_lte_rrc_ul_256QAM_perCC_InfoList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_256QAM_perCC_Info_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14, SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14_sequence_of,
                                                  2, maxServCell_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_rf_RetuningTimeDL_r14_vals[] = {
  {   0, "n0" },
  {   1, "n0dot5" },
  {   2, "n1" },
  {   3, "n1dot5" },
  {   4, "n2" },
  {   5, "n2dot5" },
  {   6, "n3" },
  {   7, "n3dot5" },
  {   8, "n4" },
  {   9, "n4dot5" },
  {  10, "n5" },
  {  11, "n5dot5" },
  {  12, "n6" },
  {  13, "n6dot5" },
  {  14, "n7" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rf_RetuningTimeDL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rf_RetuningTimeUL_r14_vals[] = {
  {   0, "n0" },
  {   1, "n0dot5" },
  {   2, "n1" },
  {   3, "n1dot5" },
  {   4, "n2" },
  {   5, "n2dot5" },
  {   6, "n3" },
  {   7, "n3dot5" },
  {   8, "n4" },
  {   9, "n4dot5" },
  {  10, "n5" },
  {  11, "n5dot5" },
  {  12, "n6" },
  {  13, "n6dot5" },
  {  14, "n7" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rf_RetuningTimeUL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_retuningInfo_sequence[] = {
  { &hf_lte_rrc_rf_RetuningTimeDL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rf_RetuningTimeDL_r14 },
  { &hf_lte_rrc_rf_RetuningTimeUL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rf_RetuningTimeUL_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_retuningInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_retuningInfo, T_retuningInfo_sequence);

  return offset;
}


static const per_sequence_t RetuningTimeInfo_r14_sequence[] = {
  { &hf_lte_rrc_retuningInfo, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_retuningInfo },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RetuningTimeInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RetuningTimeInfo_r14, RetuningTimeInfo_r14_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14_sequence_of[1] = {
  { &hf_lte_rrc_retuningTimeInfoBandList_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RetuningTimeInfo_r14 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t BandParameters_v1430_sequence[] = {
  { &hf_lte_rrc_bandParametersDL_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CA_ParametersPerBoBC_v1430 },
  { &hf_lte_rrc_ul_256QAM_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_256QAM_r14 },
  { &hf_lte_rrc_ul_256QAM_perCC_InfoList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14 },
  { &hf_lte_rrc_retuningTimeInfoBandList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_v1430, BandParameters_v1430_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_v1430_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_v1430 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_1_maxBandComb_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, maxBandComb_r13, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v1430_sequence[] = {
  { &hf_lte_rrc_bandParameterList_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430 },
  { &hf_lte_rrc_v2x_SupportedTxBandCombListPerBC_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_1_maxBandComb_r13 },
  { &hf_lte_rrc_v2x_SupportedRxBandCombListPerBC_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_1_maxBandComb_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_v1430, BandCombinationParameters_v1430_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v1430_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v1430_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1430 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v1430, SupportedBandCombination_v1430_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationAdd_v1430_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationAdd_v1430_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1430 },
};

static int
dissect_lte_rrc_SupportedBandCombinationAdd_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationAdd_v1430, SupportedBandCombinationAdd_v1430_sequence_of,
                                                  1, maxBandComb_r11, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationReduced_v1430_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationReduced_v1430_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1430 },
};

static int
dissect_lte_rrc_SupportedBandCombinationReduced_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationReduced_v1430, SupportedBandCombinationReduced_v1430_sequence_of,
                                                  1, maxBandComb_r13, FALSE);

  return offset;
}


static const per_sequence_t T_eNB_RequestedParameters_v1430_sequence[] = {
  { &hf_lte_rrc_requestedDiffFallbackCombList_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationList_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eNB_RequestedParameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_eNB_RequestedParameters_v1430, T_eNB_RequestedParameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_diffFallbackCombReport_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_diffFallbackCombReport_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RF_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_supportedBandCombination_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v1430 },
  { &hf_lte_rrc_supportedBandCombinationAdd_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationAdd_v1430 },
  { &hf_lte_rrc_supportedBandCombinationReduced_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationReduced_v1430 },
  { &hf_lte_rrc_eNB_RequestedParameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_eNB_RequestedParameters_v1430 },
  { &hf_lte_rrc_diffFallbackCombReport_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_diffFallbackCombReport_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1430, RF_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_crossCarrierSchedulingLAA_UL_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crossCarrierSchedulingLAA_UL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_uplinkLAA_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_uplinkLAA_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_twoStepSchedulingTimingInfo_r14_vals[] = {
  {   0, "nPlus1" },
  {   1, "nPlus2" },
  {   2, "nPlus3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_twoStepSchedulingTimingInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_uss_BlindDecodingAdjustment_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_uss_BlindDecodingAdjustment_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_uss_BlindDecodingReduction_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_uss_BlindDecodingReduction_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_outOfSequenceGrantHandling_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_outOfSequenceGrantHandling_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LAA_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_crossCarrierSchedulingLAA_UL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crossCarrierSchedulingLAA_UL_r14 },
  { &hf_lte_rrc_uplinkLAA_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_uplinkLAA_r14 },
  { &hf_lte_rrc_twoStepSchedulingTimingInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoStepSchedulingTimingInfo_r14 },
  { &hf_lte_rrc_uss_BlindDecodingAdjustment_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_uss_BlindDecodingAdjustment_r14 },
  { &hf_lte_rrc_uss_BlindDecodingReduction_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_uss_BlindDecodingReduction_r14 },
  { &hf_lte_rrc_outOfSequenceGrantHandling_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_outOfSequenceGrantHandling_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LAA_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LAA_Parameters_v1430, LAA_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_lwa_HO_WithoutWT_Change_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwa_HO_WithoutWT_Change_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_lwa_UL_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwa_UL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_wlan_PeriodicMeas_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_wlan_PeriodicMeas_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_wlan_ReportAnyWLAN_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_wlan_ReportAnyWLAN_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_2048(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 2048U, NULL, FALSE);

  return offset;
}


static const per_sequence_t LWA_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_lwa_HO_WithoutWT_Change_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwa_HO_WithoutWT_Change_r14 },
  { &hf_lte_rrc_lwa_UL_r14  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwa_UL_r14 },
  { &hf_lte_rrc_wlan_PeriodicMeas_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_wlan_PeriodicMeas_r14 },
  { &hf_lte_rrc_wlan_ReportAnyWLAN_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_wlan_ReportAnyWLAN_r14 },
  { &hf_lte_rrc_wlan_SupportedDataRate_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_2048 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LWA_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LWA_Parameters_v1430, LWA_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_lwip_Aggregation_DL_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwip_Aggregation_DL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_lwip_Aggregation_UL_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwip_Aggregation_UL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LWIP_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_lwip_Aggregation_DL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwip_Aggregation_DL_r14 },
  { &hf_lte_rrc_lwip_Aggregation_UL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwip_Aggregation_UL_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LWIP_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LWIP_Parameters_v1430, LWIP_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_bwPrefInd_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_bwPrefInd_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rlm_ReportSupport_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rlm_ReportSupport_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t Other_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_bwPrefInd_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_bwPrefInd_r14 },
  { &hf_lte_rrc_rlm_ReportSupport_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlm_ReportSupport_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Other_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Other_Parameters_v1430, Other_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_delayBudgetReporting_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_delayBudgetReporting_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_pusch_Enhancements_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_pusch_Enhancements_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_recommendedBitRate_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_recommendedBitRate_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_recommendedBitRateQuery_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_recommendedBitRateQuery_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MMTEL_Parameters_r14_sequence[] = {
  { &hf_lte_rrc_delayBudgetReporting_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_delayBudgetReporting_r14 },
  { &hf_lte_rrc_pusch_Enhancements_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_pusch_Enhancements_r14 },
  { &hf_lte_rrc_recommendedBitRate_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_recommendedBitRate_r14 },
  { &hf_lte_rrc_recommendedBitRateQuery_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_recommendedBitRateQuery_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MMTEL_Parameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MMTEL_Parameters_r14, MMTEL_Parameters_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_makeBeforeBreak_r14_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_makeBeforeBreak_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rach_Less_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rach_Less_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MobilityParameters_r14_sequence[] = {
  { &hf_lte_rrc_makeBeforeBreak_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_makeBeforeBreak_r14_01 },
  { &hf_lte_rrc_rach_Less_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rach_Less_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MobilityParameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MobilityParameters_r14, MobilityParameters_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_ce_SwitchWithoutHO_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_SwitchWithoutHO_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CE_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_ce_SwitchWithoutHO_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_SwitchWithoutHO_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CE_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CE_Parameters_v1430, CE_Parameters_v1430_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1430_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1430 },
  { &hf_lte_rrc_mmtel_Parameters_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MMTEL_Parameters_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1430, UE_EUTRA_CapabilityAddXDD_Mode_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_fembmsDedicatedCell_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fembmsDedicatedCell_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_fembmsMixedCell_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fembmsMixedCell_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_subcarrierSpacingMBMS_khz7dot5_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_subcarrierSpacingMBMS_khz7dot5_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_subcarrierSpacingMBMS_khz1dot25_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_subcarrierSpacingMBMS_khz1dot25_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MBMS_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_fembmsDedicatedCell_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fembmsDedicatedCell_r14 },
  { &hf_lte_rrc_fembmsMixedCell_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fembmsMixedCell_r14 },
  { &hf_lte_rrc_subcarrierSpacingMBMS_khz7dot5_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_subcarrierSpacingMBMS_khz7dot5_r14 },
  { &hf_lte_rrc_subcarrierSpacingMBMS_khz1dot25_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_subcarrierSpacingMBMS_khz1dot25_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_Parameters_v1430, MBMS_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_zoneBasedPoolSelection_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_zoneBasedPoolSelection_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_AutonomousWithFullSensing_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_AutonomousWithFullSensing_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_AutonomousWithPartialSensing_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_AutonomousWithPartialSensing_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sl_CongestionControl_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sl_CongestionControl_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_v2x_TxWithShortResvInterval_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_v2x_TxWithShortResvInterval_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_v2x_nonAdjacentPSCCH_PSSCH_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_v2x_nonAdjacentPSCCH_PSSCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_slss_TxRx_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_slss_TxRx_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_V2X_BandwidthClass_r14_vals[] = {
  {   0, "a" },
  {   1, "b" },
  {   2, "c" },
  {   3, "d" },
  {   4, "e" },
  {   5, "f" },
  { 0, NULL }
};


static int
dissect_lte_rrc_V2X_BandwidthClass_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t V2X_BandwidthClassSL_r14_sequence_of[1] = {
  { &hf_lte_rrc_V2X_BandwidthClassSL_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_V2X_BandwidthClass_r14 },
};

static int
dissect_lte_rrc_V2X_BandwidthClassSL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_V2X_BandwidthClassSL_r14, V2X_BandwidthClassSL_r14_sequence_of,
                                                  1, maxBandwidthClass_r10, FALSE);

  return offset;
}


static const value_string lte_rrc_T_v2x_eNB_Scheduled_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_v2x_eNB_Scheduled_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_v2x_HighPower_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_v2x_HighPower_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BandParametersTxSL_r14_sequence[] = {
  { &hf_lte_rrc_v2x_BandwidthClassTxSL_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_V2X_BandwidthClassSL_r14 },
  { &hf_lte_rrc_v2x_eNB_Scheduled_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_v2x_eNB_Scheduled_r14 },
  { &hf_lte_rrc_v2x_HighPower_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_v2x_HighPower_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParametersTxSL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParametersTxSL_r14, BandParametersTxSL_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_v2x_HighReception_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_v2x_HighReception_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BandParametersRxSL_r14_sequence[] = {
  { &hf_lte_rrc_v2x_BandwidthClassRxSL_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_V2X_BandwidthClassSL_r14 },
  { &hf_lte_rrc_v2x_HighReception_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_v2x_HighReception_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParametersRxSL_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParametersRxSL_r14, BandParametersRxSL_r14_sequence);

  return offset;
}


static const per_sequence_t V2X_BandParameters_r14_sequence[] = {
  { &hf_lte_rrc_v2x_FreqBandEUTRA_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_r11 },
  { &hf_lte_rrc_bandParametersTxSL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandParametersTxSL_r14 },
  { &hf_lte_rrc_bandParametersRxSL_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BandParametersRxSL_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_V2X_BandParameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_V2X_BandParameters_r14, V2X_BandParameters_r14_sequence);

  return offset;
}


static const per_sequence_t V2X_BandCombinationParameters_r14_sequence_of[1] = {
  { &hf_lte_rrc_V2X_BandCombinationParameters_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_V2X_BandParameters_r14 },
};

static int
dissect_lte_rrc_V2X_BandCombinationParameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_V2X_BandCombinationParameters_r14, V2X_BandCombinationParameters_r14_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t V2X_SupportedBandCombination_r14_sequence_of[1] = {
  { &hf_lte_rrc_V2X_SupportedBandCombination_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_V2X_BandCombinationParameters_r14 },
};

static int
dissect_lte_rrc_V2X_SupportedBandCombination_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_V2X_SupportedBandCombination_r14, V2X_SupportedBandCombination_r14_sequence_of,
                                                  1, maxBandComb_r13, FALSE);

  return offset;
}


static const per_sequence_t SL_Parameters_v1430_sequence[] = {
  { &hf_lte_rrc_zoneBasedPoolSelection_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_zoneBasedPoolSelection_r14 },
  { &hf_lte_rrc_ue_AutonomousWithFullSensing_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_AutonomousWithFullSensing_r14 },
  { &hf_lte_rrc_ue_AutonomousWithPartialSensing_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_AutonomousWithPartialSensing_r14 },
  { &hf_lte_rrc_sl_CongestionControl_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sl_CongestionControl_r14 },
  { &hf_lte_rrc_v2x_TxWithShortResvInterval_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_v2x_TxWithShortResvInterval_r14 },
  { &hf_lte_rrc_v2x_numberTxRxTiming_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_16 },
  { &hf_lte_rrc_v2x_nonAdjacentPSCCH_PSSCH_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_v2x_nonAdjacentPSCCH_PSSCH_r14 },
  { &hf_lte_rrc_slss_TxRx_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_slss_TxRx_r14 },
  { &hf_lte_rrc_v2x_SupportedBandCombinationList_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_V2X_SupportedBandCombination_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SL_Parameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SL_Parameters_v1430, SL_Parameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_locationReport_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_locationReport_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UE_BasedNetwPerfMeasParameters_v1430_sequence[] = {
  { &hf_lte_rrc_locationReport_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_locationReport_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_BasedNetwPerfMeasParameters_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_BasedNetwPerfMeasParameters_v1430, UE_BasedNetwPerfMeasParameters_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_measurementEnhancements_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_measurementEnhancements_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_demodulationEnhancements_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_demodulationEnhancements_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_prach_Enhancements_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_prach_Enhancements_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t HighSpeedEnhParameters_r14_sequence[] = {
  { &hf_lte_rrc_measurementEnhancements_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_measurementEnhancements_r14 },
  { &hf_lte_rrc_demodulationEnhancements_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_demodulationEnhancements_r14 },
  { &hf_lte_rrc_prach_Enhancements_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_prach_Enhancements_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HighSpeedEnhParameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HighSpeedEnhParameters_r14, HighSpeedEnhParameters_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_lwa_RLC_UM_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_lwa_RLC_UM_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t LWA_Parameters_v1440_sequence[] = {
  { &hf_lte_rrc_lwa_RLC_UM_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lwa_RLC_UM_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LWA_Parameters_v1440(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LWA_Parameters_v1440, LWA_Parameters_v1440_sequence);

  return offset;
}


static const value_string lte_rrc_T_rai_Support_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rai_Support_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MAC_Parameters_v1440_sequence[] = {
  { &hf_lte_rrc_rai_Support_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rai_Support_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_Parameters_v1440(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_Parameters_v1440, MAC_Parameters_v1440_sequence);

  return offset;
}


static const value_string lte_rrc_T_ce_SRS_EnhancementWithoutComb4_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_SRS_EnhancementWithoutComb4_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_crs_LessDwPTS_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_crs_LessDwPTS_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v1450_sequence[] = {
  { &hf_lte_rrc_ce_SRS_EnhancementWithoutComb4_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_SRS_EnhancementWithoutComb4_r14 },
  { &hf_lte_rrc_crs_LessDwPTS_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_crs_LessDwPTS_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v1450, PhyLayerParameters_v1450_sequence);

  return offset;
}


static const value_string lte_rrc_T_must_TM234_UpTo2Tx_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_must_TM234_UpTo2Tx_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_must_TM89_UpToOneInterferingLayer_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_must_TM89_UpToOneInterferingLayer_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_must_TM10_UpToOneInterferingLayer_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_must_TM10_UpToOneInterferingLayer_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_must_TM89_UpToThreeInterferingLayers_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_must_TM89_UpToThreeInterferingLayers_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_must_TM10_UpToThreeInterferingLayers_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_must_TM10_UpToThreeInterferingLayers_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MUST_Parameters_r14_sequence[] = {
  { &hf_lte_rrc_must_TM234_UpTo2Tx_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_must_TM234_UpTo2Tx_r14 },
  { &hf_lte_rrc_must_TM89_UpToOneInterferingLayer_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_must_TM89_UpToOneInterferingLayer_r14 },
  { &hf_lte_rrc_must_TM10_UpToOneInterferingLayer_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_must_TM10_UpToOneInterferingLayer_r14 },
  { &hf_lte_rrc_must_TM89_UpToThreeInterferingLayers_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_must_TM89_UpToThreeInterferingLayers_r14 },
  { &hf_lte_rrc_must_TM10_UpToThreeInterferingLayers_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_must_TM10_UpToThreeInterferingLayers_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MUST_Parameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MUST_Parameters_r14, MUST_Parameters_r14_sequence);

  return offset;
}


static const per_sequence_t BandParameters_v1450_sequence[] = {
  { &hf_lte_rrc_must_CapabilityPerBand_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MUST_Parameters_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_v1450, BandParameters_v1450_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_v1450_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_v1450 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v1450_sequence[] = {
  { &hf_lte_rrc_bandParameterList_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_v1450, BandCombinationParameters_v1450_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v1450_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v1450_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1450 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v1450, SupportedBandCombination_v1450_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationAdd_v1450_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationAdd_v1450_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1450 },
};

static int
dissect_lte_rrc_SupportedBandCombinationAdd_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationAdd_v1450, SupportedBandCombinationAdd_v1450_sequence_of,
                                                  1, maxBandComb_r11, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationReduced_v1450_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationReduced_v1450_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1450 },
};

static int
dissect_lte_rrc_SupportedBandCombinationReduced_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationReduced_v1450, SupportedBandCombinationReduced_v1450_sequence_of,
                                                  1, maxBandComb_r13, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1450_sequence[] = {
  { &hf_lte_rrc_supportedBandCombination_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v1450 },
  { &hf_lte_rrc_supportedBandCombinationAdd_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationAdd_v1450 },
  { &hf_lte_rrc_supportedBandCombinationReduced_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationReduced_v1450 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1450, RF_Parameters_v1450_sequence);

  return offset;
}


static const value_string lte_rrc_T_overheatingInd_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_overheatingInd_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t OtherParameters_v1450_sequence[] = {
  { &hf_lte_rrc_overheatingInd_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_overheatingInd_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_OtherParameters_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_OtherParameters_v1450, OtherParameters_v1450_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            20U, 20U, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_en_DC_r15_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_en_DC_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_FreqBandIndicatorNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxFBI_NR_r15, NULL, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandNR_r15_sequence[] = {
  { &hf_lte_rrc_bandNR_r15  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicatorNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SupportedBandNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SupportedBandNR_r15, SupportedBandNR_r15_sequence);

  return offset;
}


static const per_sequence_t SupportedBandListNR_r15_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListNR_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandNR_r15 },
};

static int
dissect_lte_rrc_SupportedBandListNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListNR_r15, SupportedBandListNR_r15_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t T_rohc_Profiles_r15_sequence[] = {
  { &hf_lte_rrc_profile0x0001_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0002_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0003_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0004_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0006_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0101_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0102_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0103_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0104_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rohc_Profiles_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rohc_Profiles_r15, T_rohc_Profiles_r15_sequence);

  return offset;
}


static const value_string lte_rrc_T_rohc_ContextMaxSessions_r15_vals[] = {
  {   0, "cs2" },
  {   1, "cs4" },
  {   2, "cs8" },
  {   3, "cs12" },
  {   4, "cs16" },
  {   5, "cs24" },
  {   6, "cs32" },
  {   7, "cs48" },
  {   8, "cs64" },
  {   9, "cs128" },
  {  10, "cs256" },
  {  11, "cs512" },
  {  12, "cs1024" },
  {  13, "cs16384" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rohc_ContextMaxSessions_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_rohc_ProfilesUL_Only_r15_sequence[] = {
  { &hf_lte_rrc_profile0x0006_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rohc_ProfilesUL_Only_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rohc_ProfilesUL_Only_r15, T_rohc_ProfilesUL_Only_r15_sequence);

  return offset;
}


static const value_string lte_rrc_T_rohc_ContextContinue_r15_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rohc_ContextContinue_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_outOfOrderDelivery_r15_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_outOfOrderDelivery_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sn_SizeLo_r15_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sn_SizeLo_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_voice_r15_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_voice_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCP_ParametersNR_r15_sequence[] = {
  { &hf_lte_rrc_rohc_Profiles_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rohc_Profiles_r15 },
  { &hf_lte_rrc_rohc_ContextMaxSessions_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rohc_ContextMaxSessions_r15 },
  { &hf_lte_rrc_rohc_ProfilesUL_Only_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_rohc_ProfilesUL_Only_r15 },
  { &hf_lte_rrc_rohc_ContextContinue_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rohc_ContextContinue_r15 },
  { &hf_lte_rrc_outOfOrderDelivery_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_outOfOrderDelivery_r15 },
  { &hf_lte_rrc_sn_SizeLo_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_sn_SizeLo_r15 },
  { &hf_lte_rrc_voice_r15   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_voice_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_ParametersNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCP_ParametersNR_r15, PDCP_ParametersNR_r15_sequence);

  return offset;
}


static const per_sequence_t IRAT_ParametersNR_r15_sequence[] = {
  { &hf_lte_rrc_en_DC_r15   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_en_DC_r15 },
  { &hf_lte_rrc_supportedBandListNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandListNR_r15 },
  { &hf_lte_rrc_pdcp_ParametersNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCP_ParametersNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersNR_r15, IRAT_ParametersNR_r15_sequence);

  return offset;
}


static const per_sequence_t ModulationOrder_r15_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ModulationOrder_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ModulationOrder_r15, ModulationOrder_r15_sequence);

  return offset;
}


static const per_sequence_t SubCarrierSpacingNR_r15_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SubCarrierSpacingNR_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SubCarrierSpacingNR_r15, SubCarrierSpacingNR_r15_sequence);

  return offset;
}


static const per_sequence_t BP_InfoPerCC_r15_sequence[] = {
  { &hf_lte_rrc_supportedMIMO_CapabilityDL_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CapabilityDL_r10 },
  { &hf_lte_rrc_supportedMIMO_CapabilityUL_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MIMO_CapabilityUL_r10 },
  { &hf_lte_rrc_modulationOrder_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ModulationOrder_r15 },
  { &hf_lte_rrc_subCarrierSpacing, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SubCarrierSpacingNR_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BP_InfoPerCC_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BP_InfoPerCC_r15, BP_InfoPerCC_r15_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15_sequence_of[1] = {
  { &hf_lte_rrc_bp_InfoPerCC_List_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BP_InfoPerCC_r15 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15, SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15_sequence_of,
                                                  1, maxServCell_r13, FALSE);

  return offset;
}


static const per_sequence_t BW_PerCC_r15_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BW_PerCC_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BW_PerCC_r15, BW_PerCC_r15_sequence);

  return offset;
}


static const per_sequence_t BP_InfoPerBand_r15_sequence[] = {
  { &hf_lte_rrc_ca_BandwidthClassDL_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_BandwidthClass_r10 },
  { &hf_lte_rrc_ca_BandwidthClassUL_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_BandwidthClass_r10 },
  { &hf_lte_rrc_bp_InfoPerCC_List_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15 },
  { &hf_lte_rrc_supportedBandwidthPerCC_r15, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BW_PerCC_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BP_InfoPerBand_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BP_InfoPerBand_r15, BP_InfoPerBand_r15_sequence);

  return offset;
}


static const per_sequence_t BP_InfoPerBandList_r15_sequence_of[1] = {
  { &hf_lte_rrc_BP_InfoPerBandList_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BP_InfoPerBand_r15 },
};

static int
dissect_lte_rrc_BP_InfoPerBandList_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BP_InfoPerBandList_r15, BP_InfoPerBandList_r15_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t BasebandProcessingCombi_r15_sequence[] = {
  { &hf_lte_rrc_bp_InfoPerBandList, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BP_InfoPerBandList_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BasebandProcessingCombi_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BasebandProcessingCombi_r15, BasebandProcessingCombi_r15_sequence);

  return offset;
}


static const per_sequence_t BasebandProcessingCombiList_r15_sequence_of[1] = {
  { &hf_lte_rrc_BasebandProcessingCombiList_r15_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BasebandProcessingCombi_r15 },
};

static int
dissect_lte_rrc_BasebandProcessingCombiList_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_BasebandProcessingCombiList_r15, BasebandProcessingCombiList_r15_sequence_of,
                                                  1, maxBP_Comb_r15, FALSE);

  return offset;
}


static const per_sequence_t BasebandParameters_r15_sequence[] = {
  { &hf_lte_rrc_basebandProcessingCombiList_r15, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BasebandProcessingCombiList_r15 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BasebandParameters_r15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BasebandParameters_r15, BasebandParameters_r15_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_68_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_68(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_68, T_nonCriticalExtension_68_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v15x0_IEs_sequence[] = {
  { &hf_lte_rrc_irat_ParametersNR_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersNR_r15 },
  { &hf_lte_rrc_basebandParameters_r15, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BasebandParameters_r15 },
  { &hf_lte_rrc_nonCriticalExtension_234, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_68 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v15x0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v15x0_IEs, UE_EUTRA_Capability_v15x0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1450_IEs_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1450 },
  { &hf_lte_rrc_rf_Parameters_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1450 },
  { &hf_lte_rrc_otherParameters_v1450, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_OtherParameters_v1450 },
  { &hf_lte_rrc_ue_CategoryDL_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_20 },
  { &hf_lte_rrc_nonCriticalExtension_233, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v15x0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1450_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1450_IEs, UE_EUTRA_Capability_v1450_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1440_IEs_sequence[] = {
  { &hf_lte_rrc_lwa_Parameters_v1440, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LWA_Parameters_v1440 },
  { &hf_lte_rrc_mac_Parameters_v1440, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_Parameters_v1440 },
  { &hf_lte_rrc_nonCriticalExtension_232, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1450_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1440_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1440_IEs, UE_EUTRA_Capability_v1440_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhyLayerParameters_v1430 },
  { &hf_lte_rrc_ue_CategoryDL_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CategoryDL_v1430 },
  { &hf_lte_rrc_ue_CategoryUL_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CategoryUL_v1430 },
  { &hf_lte_rrc_ue_CategoryUL_v1430b, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CategoryUL_v1430b },
  { &hf_lte_rrc_mac_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MAC_Parameters_v1430 },
  { &hf_lte_rrc_measParameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasParameters_v1430 },
  { &hf_lte_rrc_pdcp_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCP_Parameters_v1430 },
  { &hf_lte_rrc_rlc_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RLC_Parameters_v1430 },
  { &hf_lte_rrc_rf_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1430 },
  { &hf_lte_rrc_laa_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LAA_Parameters_v1430 },
  { &hf_lte_rrc_lwa_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LWA_Parameters_v1430 },
  { &hf_lte_rrc_lwip_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LWIP_Parameters_v1430 },
  { &hf_lte_rrc_otherParameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Other_Parameters_v1430 },
  { &hf_lte_rrc_mmtel_Parameters_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MMTEL_Parameters_r14 },
  { &hf_lte_rrc_mobilityParameters_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MobilityParameters_r14 },
  { &hf_lte_rrc_ce_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CE_Parameters_v1430 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1430 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1430 },
  { &hf_lte_rrc_mbms_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_Parameters_v1430 },
  { &hf_lte_rrc_sl_Parameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_Parameters_v1430 },
  { &hf_lte_rrc_ue_BasedNetwPerfMeasParameters_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_BasedNetwPerfMeasParameters_v1430 },
  { &hf_lte_rrc_highSpeedEnhParameters_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HighSpeedEnhParameters_r14 },
  { &hf_lte_rrc_nonCriticalExtension_231, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1440_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1430_IEs, UE_EUTRA_Capability_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1360_IEs_sequence[] = {
  { &hf_lte_rrc_other_Parameters_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Other_Parameters_v1360 },
  { &hf_lte_rrc_nonCriticalExtension_230, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1360_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1360_IEs, UE_EUTRA_Capability_v1360_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1350_IEs_sequence[] = {
  { &hf_lte_rrc_ue_CategoryDL_v1350, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CategoryDL_v1350 },
  { &hf_lte_rrc_ue_CategoryUL_v1350, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CategoryUL_v1350 },
  { &hf_lte_rrc_ce_Parameters_v1350, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CE_Parameters_v1350 },
  { &hf_lte_rrc_nonCriticalExtension_229, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1360_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1350_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1350_IEs, UE_EUTRA_Capability_v1350_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1340_IEs_sequence[] = {
  { &hf_lte_rrc_ue_CategoryUL_v1340, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_15 },
  { &hf_lte_rrc_nonCriticalExtension_228, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1350_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1340_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1340_IEs, UE_EUTRA_Capability_v1340_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1330_IEs_sequence[] = {
  { &hf_lte_rrc_ue_CategoryDL_v1330, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_18_19 },
  { &hf_lte_rrc_phyLayerParameters_v1330, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1330 },
  { &hf_lte_rrc_ue_CE_NeedULGaps_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CE_NeedULGaps_r13_01 },
  { &hf_lte_rrc_nonCriticalExtension_227, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1340_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1330_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1330_IEs, UE_EUTRA_Capability_v1330_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1320_IEs_sequence[] = {
  { &hf_lte_rrc_ce_Parameters_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CE_Parameters_v1320 },
  { &hf_lte_rrc_phyLayerParameters_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1320 },
  { &hf_lte_rrc_rf_Parameters_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1320 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1320 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1320, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1320 },
  { &hf_lte_rrc_nonCriticalExtension_226, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1330_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1320_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1320_IEs, UE_EUTRA_Capability_v1320_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1310_IEs_sequence[] = {
  { &hf_lte_rrc_ue_CategoryDL_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CategoryDL_v1310 },
  { &hf_lte_rrc_ue_CategoryUL_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_CategoryUL_v1310 },
  { &hf_lte_rrc_pdcp_Parameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCP_Parameters_v1310 },
  { &hf_lte_rrc_rlc_Parameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RLC_Parameters_v1310 },
  { &hf_lte_rrc_mac_Parameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MAC_Parameters_v1310 },
  { &hf_lte_rrc_phyLayerParameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1310 },
  { &hf_lte_rrc_rf_Parameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1310 },
  { &hf_lte_rrc_measParameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasParameters_v1310 },
  { &hf_lte_rrc_dc_Parameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DC_Parameters_v1310 },
  { &hf_lte_rrc_sl_Parameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_Parameters_v1310 },
  { &hf_lte_rrc_scptm_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCPTM_Parameters_r13 },
  { &hf_lte_rrc_ce_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CE_Parameters_r13 },
  { &hf_lte_rrc_interRAT_ParametersWLAN_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IRAT_ParametersWLAN_r13 },
  { &hf_lte_rrc_laa_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LAA_Parameters_r13 },
  { &hf_lte_rrc_lwa_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_LWA_Parameters_r13 },
  { &hf_lte_rrc_wlan_IW_Parameters_v1310, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_WLAN_IW_Parameters_v1310 },
  { &hf_lte_rrc_lwip_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_LWIP_Parameters_r13 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1310 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1310, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1310 },
  { &hf_lte_rrc_nonCriticalExtension_225, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1320_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1310_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1310_IEs, UE_EUTRA_Capability_v1310_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1280_IEs_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1280, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1280 },
  { &hf_lte_rrc_nonCriticalExtension_224, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1310_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1280_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1280_IEs, UE_EUTRA_Capability_v1280_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1270_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v1270, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1270 },
  { &hf_lte_rrc_nonCriticalExtension_223, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1280_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1270_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1270_IEs, UE_EUTRA_Capability_v1270_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1260_IEs_sequence[] = {
  { &hf_lte_rrc_ue_CategoryDL_v1260, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_15_16 },
  { &hf_lte_rrc_nonCriticalExtension_222, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1270_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1260_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1260_IEs, UE_EUTRA_Capability_v1260_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1250_IEs_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1250 },
  { &hf_lte_rrc_rf_Parameters_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1250 },
  { &hf_lte_rrc_rlc_Parameters_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Parameters_r12 },
  { &hf_lte_rrc_ue_BasedNetwPerfMeasParameters_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_BasedNetwPerfMeasParameters_v1250 },
  { &hf_lte_rrc_ue_CategoryDL_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_14 },
  { &hf_lte_rrc_ue_CategoryUL_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_13 },
  { &hf_lte_rrc_wlan_IW_Parameters_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_WLAN_IW_Parameters_r12 },
  { &hf_lte_rrc_measParameters_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasParameters_v1250 },
  { &hf_lte_rrc_dc_Parameters_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DC_Parameters_r12 },
  { &hf_lte_rrc_mbms_Parameters_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_Parameters_v1250 },
  { &hf_lte_rrc_mac_Parameters_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MAC_Parameters_r12 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1250 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1250 },
  { &hf_lte_rrc_sl_Parameters_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SL_Parameters_r12 },
  { &hf_lte_rrc_nonCriticalExtension_221, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1260_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1250_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1250_IEs, UE_EUTRA_Capability_v1250_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v11a0_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Category_v11a0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_11_12 },
  { &hf_lte_rrc_measParameters_v11a0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasParameters_v11a0 },
  { &hf_lte_rrc_nonCriticalExtension_220, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1250_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v11a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v11a0_IEs, UE_EUTRA_Capability_v11a0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1180_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v1180, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1180 },
  { &hf_lte_rrc_mbms_Parameters_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_Parameters_r11 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1180, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1180 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1180, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1180 },
  { &hf_lte_rrc_nonCriticalExtension_219, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v11a0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1180_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1180_IEs, UE_EUTRA_Capability_v1180_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1170_IEs_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1170, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1170 },
  { &hf_lte_rrc_ue_Category_v1170, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_9_10 },
  { &hf_lte_rrc_nonCriticalExtension_218, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1180_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1170_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1170_IEs, UE_EUTRA_Capability_v1170_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1130_IEs_sequence[] = {
  { &hf_lte_rrc_pdcp_Parameters_v1130, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCP_Parameters_v1130 },
  { &hf_lte_rrc_phyLayerParameters_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1130 },
  { &hf_lte_rrc_rf_Parameters_v1130, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RF_Parameters_v1130 },
  { &hf_lte_rrc_measParameters_v1130, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MeasParameters_v1130 },
  { &hf_lte_rrc_interRAT_ParametersCDMA2000_v1130, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IRAT_ParametersCDMA2000_v1130 },
  { &hf_lte_rrc_otherParameters_r11, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Other_Parameters_r11 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1130 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1130, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1130 },
  { &hf_lte_rrc_nonCriticalExtension_217, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1170_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1130_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1130_IEs, UE_EUTRA_Capability_v1130_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1090_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v1090, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1090 },
  { &hf_lte_rrc_nonCriticalExtension_216, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1130_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1090_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1090_IEs, UE_EUTRA_Capability_v1090_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1060_IEs_sequence[] = {
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1060, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1060 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1060, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1060 },
  { &hf_lte_rrc_rf_Parameters_v1060, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1060 },
  { &hf_lte_rrc_nonCriticalExtension_215, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1090_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1060_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1060_IEs, UE_EUTRA_Capability_v1060_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1020_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Category_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_6_8 },
  { &hf_lte_rrc_phyLayerParameters_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v1020 },
  { &hf_lte_rrc_rf_Parameters_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1020 },
  { &hf_lte_rrc_measParameters_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MeasParameters_v1020 },
  { &hf_lte_rrc_featureGroupIndRel10_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_featureGroupIndRel10_r10 },
  { &hf_lte_rrc_interRAT_ParametersCDMA2000_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v1020 },
  { &hf_lte_rrc_ue_BasedNetwPerfMeasParameters_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_BasedNetwPerfMeasParameters_r10 },
  { &hf_lte_rrc_interRAT_ParametersUTRA_TDD_v1020, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_TDD_v1020 },
  { &hf_lte_rrc_nonCriticalExtension_214, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1060_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1020_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1020_IEs, UE_EUTRA_Capability_v1020_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v940_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_11 },
  { &hf_lte_rrc_nonCriticalExtension_213, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1020_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v940_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v940_IEs, UE_EUTRA_Capability_v940_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v920_IEs_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v920, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhyLayerParameters_v920 },
  { &hf_lte_rrc_interRAT_ParametersGERAN_v920, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_IRAT_ParametersGERAN_v920 },
  { &hf_lte_rrc_interRAT_ParametersUTRA_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_v920 },
  { &hf_lte_rrc_interRAT_ParametersCDMA2000_v920, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v920 },
  { &hf_lte_rrc_deviceType_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_deviceType_r9 },
  { &hf_lte_rrc_csg_ProximityIndicationParameters_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CSG_ProximityIndicationParameters_r9 },
  { &hf_lte_rrc_neighCellSI_AcquisitionParameters_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NeighCellSI_AcquisitionParameters_r9 },
  { &hf_lte_rrc_son_Parameters_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SON_Parameters_r9 },
  { &hf_lte_rrc_nonCriticalExtension_212, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v940_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v920_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v920_IEs, UE_EUTRA_Capability_v920_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_sequence[] = {
  { &hf_lte_rrc_accessStratumRelease, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AccessStratumRelease },
  { &hf_lte_rrc_ue_Category , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_5 },
  { &hf_lte_rrc_pdcp_Parameters, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PDCP_Parameters },
  { &hf_lte_rrc_phyLayerParameters, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhyLayerParameters },
  { &hf_lte_rrc_rf_Parameters, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RF_Parameters },
  { &hf_lte_rrc_measParameters, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_measParameters },
  { &hf_lte_rrc_featureGroupIndicators, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_featureGroupIndicators },
  { &hf_lte_rrc_interRAT_Parameters, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_interRAT_Parameters },
  { &hf_lte_rrc_nonCriticalExtension_196, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v920_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability, UE_EUTRA_Capability_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_featureGroupIndRel9Add_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *featureGroupIndRel9Add_tvb=NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, &featureGroupIndRel9Add_tvb, NULL);

  if(featureGroupIndRel9Add_tvb){
    /* Dissect featureGroupIndRel9Add-r9 */
    dissect_lte_rrc_featureGroupIndRel9Add(featureGroupIndRel9Add_tvb, actx);
  }


  return offset;
}



static int
dissect_lte_rrc_T_featureGroupIndicators_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *featureGroupIndicators_tvb=NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, &featureGroupIndicators_tvb, NULL);

  if(featureGroupIndicators_tvb){
    /* Dissect featureGroupIndicators-r9 */
    dissect_lte_rrc_featureGroupIndicators(featureGroupIndicators_tvb, actx);
  }


  return offset;
}



static int
dissect_lte_rrc_T_featureGroupIndRel9Add_r9_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *featureGroupIndRel9Add_tvb=NULL;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, &featureGroupIndRel9Add_tvb, NULL);

  if(featureGroupIndRel9Add_tvb){
    /* Dissect featureGroupIndRel9Add-r9 */
    dissect_lte_rrc_featureGroupIndRel9Add(featureGroupIndRel9Add_tvb, actx);
  }


  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_r9_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters },
  { &hf_lte_rrc_featureGroupIndicators_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_featureGroupIndicators_r9 },
  { &hf_lte_rrc_featureGroupIndRel9Add_r9_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_featureGroupIndRel9Add_r9_01 },
  { &hf_lte_rrc_interRAT_ParametersGERAN_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersGERAN },
  { &hf_lte_rrc_interRAT_ParametersUTRA_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_v920 },
  { &hf_lte_rrc_interRAT_ParametersCDMA2000_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v920 },
  { &hf_lte_rrc_neighCellSI_AcquisitionParameters_r9, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_NeighCellSI_AcquisitionParameters_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_r9, UE_EUTRA_CapabilityAddXDD_Mode_r9_sequence);

  return offset;
}


static const value_string lte_rrc_T_voiceOverPS_HS_UTRA_FDD_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_voiceOverPS_HS_UTRA_FDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_voiceOverPS_HS_UTRA_TDD128_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_voiceOverPS_HS_UTRA_TDD128_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srvcc_FromUTRA_FDD_ToUTRA_FDD_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srvcc_FromUTRA_FDD_ToUTRA_FDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srvcc_FromUTRA_FDD_ToGERAN_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srvcc_FromUTRA_FDD_ToGERAN_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_srvcc_FromUTRA_TDD128_ToGERAN_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srvcc_FromUTRA_TDD128_ToGERAN_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersUTRA_v9c0_sequence[] = {
  { &hf_lte_rrc_voiceOverPS_HS_UTRA_FDD_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_voiceOverPS_HS_UTRA_FDD_r9 },
  { &hf_lte_rrc_voiceOverPS_HS_UTRA_TDD128_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_voiceOverPS_HS_UTRA_TDD128_r9 },
  { &hf_lte_rrc_srvcc_FromUTRA_FDD_ToUTRA_FDD_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srvcc_FromUTRA_FDD_ToUTRA_FDD_r9 },
  { &hf_lte_rrc_srvcc_FromUTRA_FDD_ToGERAN_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srvcc_FromUTRA_FDD_ToGERAN_r9 },
  { &hf_lte_rrc_srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9 },
  { &hf_lte_rrc_srvcc_FromUTRA_TDD128_ToGERAN_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srvcc_FromUTRA_TDD128_ToGERAN_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersUTRA_v9c0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersUTRA_v9c0, IRAT_ParametersUTRA_v9c0_sequence);

  return offset;
}


static const value_string lte_rrc_T_tm5_FDD_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tm5_FDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tm5_TDD_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tm5_TDD_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_v9d0_sequence[] = {
  { &hf_lte_rrc_tm5_FDD_r9  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tm5_FDD_r9 },
  { &hf_lte_rrc_tm5_TDD_r9  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tm5_TDD_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_v9d0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_v9d0, PhyLayerParameters_v9d0_sequence);

  return offset;
}


static const per_sequence_t SupportedBandEUTRA_v9e0_sequence[] = {
  { &hf_lte_rrc_bandEUTRA_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqBandIndicator_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SupportedBandEUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SupportedBandEUTRA_v9e0, SupportedBandEUTRA_v9e0_sequence);

  return offset;
}


static const per_sequence_t SupportedBandListEUTRA_v9e0_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandListEUTRA_v9e0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandEUTRA_v9e0 },
};

static int
dissect_lte_rrc_SupportedBandListEUTRA_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandListEUTRA_v9e0, SupportedBandListEUTRA_v9e0_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v9e0_sequence[] = {
  { &hf_lte_rrc_supportedBandListEUTRA_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandListEUTRA_v9e0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v9e0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v9e0, RF_Parameters_v9e0_sequence);

  return offset;
}


static const value_string lte_rrc_T_mfbi_UTRA_r9_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mfbi_UTRA_r9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IRAT_ParametersUTRA_v9h0_sequence[] = {
  { &hf_lte_rrc_mfbi_UTRA_r9, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mfbi_UTRA_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IRAT_ParametersUTRA_v9h0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IRAT_ParametersUTRA_v9h0, IRAT_ParametersUTRA_v9h0_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_modifiedMPR_Behavior_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  tvbuff_t *modifiedMPR_Behavior_r10_tvb=NULL;
  proto_tree *subtree;
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, &modifiedMPR_Behavior_r10_tvb, NULL);

  if (modifiedMPR_Behavior_r10_tvb) {
    subtree = proto_item_add_subtree(actx->created_item, ett_lte_rrc_modifiedMPR_Behavior_r10);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_0, modifiedMPR_Behavior_r10_tvb, 0, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_1, modifiedMPR_Behavior_r10_tvb, 1, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_2, modifiedMPR_Behavior_r10_tvb, 2, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_3, modifiedMPR_Behavior_r10_tvb, 3, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_4, modifiedMPR_Behavior_r10_tvb, 4, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_5, modifiedMPR_Behavior_r10_tvb, 5, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_6, modifiedMPR_Behavior_r10_tvb, 6, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_7, modifiedMPR_Behavior_r10_tvb, 7, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_8, modifiedMPR_Behavior_r10_tvb, 8, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_9, modifiedMPR_Behavior_r10_tvb, 9, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_10, modifiedMPR_Behavior_r10_tvb, 10, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_11, modifiedMPR_Behavior_r10_tvb, 11, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_12, modifiedMPR_Behavior_r10_tvb, 12, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_13, modifiedMPR_Behavior_r10_tvb, 13, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_14, modifiedMPR_Behavior_r10_tvb, 14, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_15, modifiedMPR_Behavior_r10_tvb, 15, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_16, modifiedMPR_Behavior_r10_tvb, 16, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_17, modifiedMPR_Behavior_r10_tvb, 17, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_18, modifiedMPR_Behavior_r10_tvb, 18, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_19, modifiedMPR_Behavior_r10_tvb, 19, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_20, modifiedMPR_Behavior_r10_tvb, 20, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_21, modifiedMPR_Behavior_r10_tvb, 21, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_22, modifiedMPR_Behavior_r10_tvb, 22, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_23, modifiedMPR_Behavior_r10_tvb, 23, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_24, modifiedMPR_Behavior_r10_tvb, 24, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_25, modifiedMPR_Behavior_r10_tvb, 25, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_26, modifiedMPR_Behavior_r10_tvb, 26, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_27, modifiedMPR_Behavior_r10_tvb, 27, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_28, modifiedMPR_Behavior_r10_tvb, 28, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_29, modifiedMPR_Behavior_r10_tvb, 29, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_30, modifiedMPR_Behavior_r10_tvb, 30, 1, ENC_BIG_ENDIAN);
    proto_tree_add_bits_item(subtree, hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_31, modifiedMPR_Behavior_r10_tvb, 31, 1, ENC_BIG_ENDIAN);
  }


  return offset;
}


static const per_sequence_t RF_Parameters_v10f0_sequence[] = {
  { &hf_lte_rrc_modifiedMPR_Behavior_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_modifiedMPR_Behavior_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v10f0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v10f0, RF_Parameters_v10f0_sequence);

  return offset;
}


static const value_string lte_rrc_T_fourLayerTM3_TM4_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fourLayerTM3_TM4_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CA_MIMO_ParametersDL_v10i0_sequence[] = {
  { &hf_lte_rrc_fourLayerTM3_TM4_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fourLayerTM3_TM4_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CA_MIMO_ParametersDL_v10i0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CA_MIMO_ParametersDL_v10i0, CA_MIMO_ParametersDL_v10i0_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0_sequence_of[1] = {
  { &hf_lte_rrc_bandParametersDL_v10i0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CA_MIMO_ParametersDL_v10i0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0, SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0_sequence_of,
                                                  1, maxBandwidthClass_r10, FALSE);

  return offset;
}


static const per_sequence_t BandParameters_v10i0_sequence[] = {
  { &hf_lte_rrc_bandParametersDL_v10i0, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_v10i0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_v10i0, BandParameters_v10i0_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_v10i0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_v10i0 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v10i0_sequence[] = {
  { &hf_lte_rrc_bandParameterList_v10i0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_v10i0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_v10i0, BandCombinationParameters_v10i0_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v10i0_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v10i0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v10i0 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v10i0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v10i0, SupportedBandCombination_v10i0_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v10i0_sequence[] = {
  { &hf_lte_rrc_supportedBandCombination_v10i0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v10i0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v10i0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v10i0, RF_Parameters_v10i0_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_lateNonCriticalExtension_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UE_EUTRA_Capability_v10j0_IEs_PDU);

  return offset;
}


static const per_sequence_t SupportedBandCombinationAdd_v11d0_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationAdd_v11d0_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v10i0 },
};

static int
dissect_lte_rrc_SupportedBandCombinationAdd_v11d0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationAdd_v11d0, SupportedBandCombinationAdd_v11d0_sequence_of,
                                                  1, maxBandComb_r11, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v11d0_sequence[] = {
  { &hf_lte_rrc_supportedBandCombinationAdd_v11d0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationAdd_v11d0 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v11d0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v11d0, RF_Parameters_v11d0_sequence);

  return offset;
}


static const value_string lte_rrc_T_inDeviceCoexInd_UL_CA_r11_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_inDeviceCoexInd_UL_CA_r11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t Other_Parameters_v11d0_sequence[] = {
  { &hf_lte_rrc_inDeviceCoexInd_UL_CA_r11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_inDeviceCoexInd_UL_CA_r11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Other_Parameters_v11d0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Other_Parameters_v11d0, Other_Parameters_v11d0_sequence);

  return offset;
}


static const value_string lte_rrc_T_maxLayersMIMO_Indication_r12_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxLayersMIMO_Indication_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RF_Parameters_v12b0_sequence[] = {
  { &hf_lte_rrc_maxLayersMIMO_Indication_r12, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxLayersMIMO_Indication_r12 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v12b0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v12b0, RF_Parameters_v12b0_sequence);

  return offset;
}


static const value_string lte_rrc_T_tm9_CE_ModeA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tm9_CE_ModeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_tm9_CE_ModeB_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tm9_CE_ModeB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CE_Parameters_v1370_sequence[] = {
  { &hf_lte_rrc_tm9_CE_ModeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tm9_CE_ModeA_r13 },
  { &hf_lte_rrc_tm9_CE_ModeB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tm9_CE_ModeB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CE_Parameters_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CE_Parameters_v1370, CE_Parameters_v1370_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1370_sequence[] = {
  { &hf_lte_rrc_ce_Parameters_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CE_Parameters_v1370 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1370(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1370, UE_EUTRA_CapabilityAddXDD_Mode_v1370_sequence);

  return offset;
}


static const per_sequence_t BandParameters_v1380_sequence[] = {
  { &hf_lte_rrc_txAntennaSwitchDL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_32 },
  { &hf_lte_rrc_txAntennaSwitchUL_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_32 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandParameters_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandParameters_v1380, BandParameters_v1380_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380_sequence_of[1] = {
  { &hf_lte_rrc_bandParameterList_v1380_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandParameters_v1380 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380, SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380_sequence_of,
                                                  1, maxSimultaneousBands_r10, FALSE);

  return offset;
}


static const per_sequence_t BandCombinationParameters_v1380_sequence[] = {
  { &hf_lte_rrc_bandParameterList_v1380, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BandCombinationParameters_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BandCombinationParameters_v1380, BandCombinationParameters_v1380_sequence);

  return offset;
}


static const per_sequence_t SupportedBandCombination_v1380_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombination_v1380_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1380 },
};

static int
dissect_lte_rrc_SupportedBandCombination_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombination_v1380, SupportedBandCombination_v1380_sequence_of,
                                                  1, maxBandComb_r10, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationAdd_v1380_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationAdd_v1380_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1380 },
};

static int
dissect_lte_rrc_SupportedBandCombinationAdd_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationAdd_v1380, SupportedBandCombinationAdd_v1380_sequence_of,
                                                  1, maxBandComb_r11, FALSE);

  return offset;
}


static const per_sequence_t SupportedBandCombinationReduced_v1380_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandCombinationReduced_v1380_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BandCombinationParameters_v1380 },
};

static int
dissect_lte_rrc_SupportedBandCombinationReduced_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandCombinationReduced_v1380, SupportedBandCombinationReduced_v1380_sequence_of,
                                                  1, maxBandComb_r13, FALSE);

  return offset;
}


static const per_sequence_t RF_Parameters_v1380_sequence[] = {
  { &hf_lte_rrc_supportedBandCombination_v1380, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombination_v1380 },
  { &hf_lte_rrc_supportedBandCombinationAdd_v1380, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationAdd_v1380 },
  { &hf_lte_rrc_supportedBandCombinationReduced_v1380, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SupportedBandCombinationReduced_v1380 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v1380, RF_Parameters_v1380_sequence);

  return offset;
}


static const value_string lte_rrc_T_tm6_CE_ModeA_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_tm6_CE_ModeA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CE_Parameters_v1380_sequence[] = {
  { &hf_lte_rrc_tm6_CE_ModeA_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_tm6_CE_ModeA_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CE_Parameters_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CE_Parameters_v1380, CE_Parameters_v1380_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_CapabilityAddXDD_Mode_v1380_sequence[] = {
  { &hf_lte_rrc_ce_Parameters_v1380, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CE_Parameters_v1380 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1380(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1380, UE_EUTRA_CapabilityAddXDD_Mode_v1380_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_67_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_67(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_67, T_nonCriticalExtension_67_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1380_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v1380, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v1380 },
  { &hf_lte_rrc_ce_Parameters_v1380, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CE_Parameters_v1380 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1380, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1380 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1380, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1380 },
  { &hf_lte_rrc_nonCriticalExtension_211, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_67 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1380_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1380_IEs, UE_EUTRA_Capability_v1380_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v1370_IEs_sequence[] = {
  { &hf_lte_rrc_ce_Parameters_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CE_Parameters_v1370 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1370 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1370, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1370 },
  { &hf_lte_rrc_nonCriticalExtension_210, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1380_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v1370_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v1370_IEs, UE_EUTRA_Capability_v1370_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v12x0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_209, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v1370_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v12x0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v12x0_IEs, UE_EUTRA_Capability_v12x0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v12b0_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v12b0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v12b0 },
  { &hf_lte_rrc_nonCriticalExtension_208, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v12x0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v12b0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v12b0_IEs, UE_EUTRA_Capability_v12b0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v11x0_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_207, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v12b0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v11x0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v11x0_IEs, UE_EUTRA_Capability_v11x0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v11d0_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v11d0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v11d0 },
  { &hf_lte_rrc_otherParameters_v11d0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Other_Parameters_v11d0 },
  { &hf_lte_rrc_nonCriticalExtension_206, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v11x0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v11d0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v11d0_IEs, UE_EUTRA_Capability_v11d0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v10i0_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v10i0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v10i0 },
  { &hf_lte_rrc_lateNonCriticalExtension_11, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_lateNonCriticalExtension_10 },
  { &hf_lte_rrc_nonCriticalExtension_204, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v11d0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v10i0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v10i0_IEs, UE_EUTRA_Capability_v10i0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v10f0_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v10f0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v10f0 },
  { &hf_lte_rrc_nonCriticalExtension_203, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v10i0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v10f0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v10f0_IEs, UE_EUTRA_Capability_v10f0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v10c0_IEs_sequence[] = {
  { &hf_lte_rrc_otdoa_PositioningCapabilities_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OTDOA_PositioningCapabilities_r10 },
  { &hf_lte_rrc_nonCriticalExtension_202, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v10f0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v10c0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v10c0_IEs, UE_EUTRA_Capability_v10c0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v9h0_IEs_sequence[] = {
  { &hf_lte_rrc_interRAT_ParametersUTRA_v9h0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_v9h0 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_201, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v10c0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v9h0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v9h0_IEs, UE_EUTRA_Capability_v9h0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v9e0_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v9e0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v9e0 },
  { &hf_lte_rrc_nonCriticalExtension_200, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v9h0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v9e0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v9e0_IEs, UE_EUTRA_Capability_v9e0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v9d0_IEs_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v9d0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_v9d0 },
  { &hf_lte_rrc_nonCriticalExtension_199, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v9e0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v9d0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v9d0_IEs, UE_EUTRA_Capability_v9d0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v9c0_IEs_sequence[] = {
  { &hf_lte_rrc_interRAT_ParametersUTRA_v9c0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IRAT_ParametersUTRA_v9c0 },
  { &hf_lte_rrc_nonCriticalExtension_198, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v9d0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v9c0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v9c0_IEs, UE_EUTRA_Capability_v9c0_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v9a0_IEs_sequence[] = {
  { &hf_lte_rrc_featureGroupIndRel9Add_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_featureGroupIndRel9Add_r9 },
  { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_r9 },
  { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_r9, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_r9 },
  { &hf_lte_rrc_nonCriticalExtension_197, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_EUTRA_Capability_v9c0_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v9a0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v9a0_IEs, UE_EUTRA_Capability_v9a0_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_multiNS_Pmax_r10_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiNS_Pmax_r10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RF_Parameters_v10j0_sequence[] = {
  { &hf_lte_rrc_multiNS_Pmax_r10, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiNS_Pmax_r10 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_v10j0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_v10j0, RF_Parameters_v10j0_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_66_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_66(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_66, T_nonCriticalExtension_66_sequence);

  return offset;
}


static const per_sequence_t UE_EUTRA_Capability_v10j0_IEs_sequence[] = {
  { &hf_lte_rrc_rf_Parameters_v10j0, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RF_Parameters_v10j0 },
  { &hf_lte_rrc_nonCriticalExtension_205, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_66 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_EUTRA_Capability_v10j0_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_EUTRA_Capability_v10j0_IEs, UE_EUTRA_Capability_v10j0_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_sl_Bandwidth_r12_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sl_Bandwidth_r12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MasterInformationBlock_SL_sequence[] = {
  { &hf_lte_rrc_sl_Bandwidth_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sl_Bandwidth_r12 },
  { &hf_lte_rrc_tdd_ConfigSL_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TDD_ConfigSL_r12 },
  { &hf_lte_rrc_directFrameNumber_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { &hf_lte_rrc_directSubframeNumber_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_9 },
  { &hf_lte_rrc_inCoverage_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_reserved_r12, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_19 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MasterInformationBlock_SL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MasterInformationBlock-SL");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MasterInformationBlock_SL, MasterInformationBlock_SL_sequence);

  return offset;
}



static int
dissect_lte_rrc_SBCCH_SL_BCH_MessageType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_MasterInformationBlock_SL(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t SBCCH_SL_BCH_Message_sequence[] = {
  { &hf_lte_rrc_message_12  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SBCCH_SL_BCH_MessageType },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SBCCH_SL_BCH_Message(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SBCCH_SL_BCH_Message, SBCCH_SL_BCH_Message_sequence);

  return offset;
}


static const value_string lte_rrc_T_sl_Bandwidth_r14_01_vals[] = {
  {   0, "n6" },
  {   1, "n15" },
  {   2, "n25" },
  {   3, "n50" },
  {   4, "n75" },
  {   5, "n100" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sl_Bandwidth_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_27(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     27, 27, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t MasterInformationBlock_SL_V2X_r14_sequence[] = {
  { &hf_lte_rrc_sl_Bandwidth_r14_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sl_Bandwidth_r14_01 },
  { &hf_lte_rrc_tdd_ConfigSL_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TDD_ConfigSL_r12 },
  { &hf_lte_rrc_directFrameNumber_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { &hf_lte_rrc_directSubframeNumber_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_9 },
  { &hf_lte_rrc_inCoverage_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_reserved_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_27 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MasterInformationBlock_SL_V2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MasterInformationBlock-SL-V2X-r14");


  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MasterInformationBlock_SL_V2X_r14, MasterInformationBlock_SL_V2X_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_SBCCH_SL_BCH_MessageType_V2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_MasterInformationBlock_SL_V2X_r14(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t SBCCH_SL_BCH_Message_V2X_r14_sequence[] = {
  { &hf_lte_rrc_message_13  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SBCCH_SL_BCH_MessageType_V2X_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SBCCH_SL_BCH_Message_V2X_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SBCCH_SL_BCH_Message_V2X_r14, SBCCH_SL_BCH_Message_V2X_r14_sequence);

  return offset;
}


static const value_string lte_rrc_AccessStratumRelease_NB_r13_vals[] = {
  {   0, "rel13" },
  {   1, "rel14" },
  {   2, "spare6" },
  {   3, "spare5" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_AccessStratumRelease_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ue_Category_NB_r13_vals[] = {
  {   0, "nb1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_Category_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multipleDRB_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multipleDRB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_supportedROHC_Profiles_r13_sequence[] = {
  { &hf_lte_rrc_profile0x0002, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0003, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0004, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0006, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0102, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0103, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0104, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_supportedROHC_Profiles_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_supportedROHC_Profiles_r13, T_supportedROHC_Profiles_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_maxNumberROHC_ContextSessions_r13_vals[] = {
  {   0, "cs2" },
  {   1, "cs4" },
  {   2, "cs8" },
  {   3, "cs12" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxNumberROHC_ContextSessions_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PDCP_Parameters_NB_r13_sequence[] = {
  { &hf_lte_rrc_supportedROHC_Profiles_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_supportedROHC_Profiles_r13 },
  { &hf_lte_rrc_maxNumberROHC_ContextSessions_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_maxNumberROHC_ContextSessions_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Parameters_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCP_Parameters_NB_r13, PDCP_Parameters_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_multiTone_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiTone_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multiCarrier_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiCarrier_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_NB_r13_sequence[] = {
  { &hf_lte_rrc_multiTone_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiTone_r13 },
  { &hf_lte_rrc_multiCarrier_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiCarrier_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_NB_r13, PhyLayerParameters_NB_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_FreqBandIndicator_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxFBI2, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_powerClassNB_20dBm_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerClassNB_20dBm_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SupportedBand_NB_r13_sequence[] = {
  { &hf_lte_rrc_band_r13    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_NB_r13 },
  { &hf_lte_rrc_powerClassNB_20dBm_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerClassNB_20dBm_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SupportedBand_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SupportedBand_NB_r13, SupportedBand_NB_r13_sequence);

  return offset;
}


static const per_sequence_t SupportedBandList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_SupportedBandList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBand_NB_r13 },
};

static int
dissect_lte_rrc_SupportedBandList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SupportedBandList_NB_r13, SupportedBandList_NB_r13_sequence_of,
                                                  1, maxBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_multiNS_Pmax_r13_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiNS_Pmax_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RF_Parameters_NB_r13_sequence[] = {
  { &hf_lte_rrc_supportedBandList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SupportedBandList_NB_r13 },
  { &hf_lte_rrc_multiNS_Pmax_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiNS_Pmax_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_NB_r13, RF_Parameters_NB_r13_sequence);

  return offset;
}


static const per_sequence_t T_dummy_01_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_dummy_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_dummy_01, T_dummy_01_sequence);

  return offset;
}


static const per_sequence_t UE_Capability_NB_r13_sequence[] = {
  { &hf_lte_rrc_accessStratumRelease_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AccessStratumRelease_NB_r13 },
  { &hf_lte_rrc_ue_Category_NB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_Category_NB_r13 },
  { &hf_lte_rrc_multipleDRB_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multipleDRB_r13 },
  { &hf_lte_rrc_pdcp_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PDCP_Parameters_NB_r13 },
  { &hf_lte_rrc_phyLayerParameters_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhyLayerParameters_NB_r13 },
  { &hf_lte_rrc_rf_Parameters_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RF_Parameters_NB_r13 },
  { &hf_lte_rrc_dummy_02    , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dummy_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_Capability_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_Capability_NB_r13, UE_Capability_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_PollRetransmit_NB_r13_vals[] = {
  {   0, "ms250" },
  {   1, "ms500" },
  {   2, "ms1000" },
  {   3, "ms2000" },
  {   4, "ms3000" },
  {   5, "ms4000" },
  {   6, "ms6000" },
  {   7, "ms10000" },
  {   8, "ms15000" },
  {   9, "ms25000" },
  {  10, "ms40000" },
  {  11, "ms60000" },
  {  12, "ms90000" },
  {  13, "ms120000" },
  {  14, "ms180000" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_PollRetransmit_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_maxRetxThreshold_r13_vals[] = {
  {   0, "t1" },
  {   1, "t2" },
  {   2, "t3" },
  {   3, "t4" },
  {   4, "t6" },
  {   5, "t8" },
  {   6, "t16" },
  {   7, "t32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxRetxThreshold_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UL_AM_RLC_NB_r13_sequence[] = {
  { &hf_lte_rrc_t_PollRetransmit_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_PollRetransmit_NB_r13 },
  { &hf_lte_rrc_maxRetxThreshold_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_maxRetxThreshold_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_AM_RLC_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_AM_RLC_NB_r13, UL_AM_RLC_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_enableStatusReportSN_Gap_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_enableStatusReportSN_Gap_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DL_AM_RLC_NB_r13_sequence[] = {
  { &hf_lte_rrc_enableStatusReportSN_Gap_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_enableStatusReportSN_Gap_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_AM_RLC_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_AM_RLC_NB_r13, DL_AM_RLC_NB_r13_sequence);

  return offset;
}


static const per_sequence_t T_am_01_sequence[] = {
  { &hf_lte_rrc_ul_AM_RLC_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_AM_RLC_NB_r13 },
  { &hf_lte_rrc_dl_AM_RLC_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_AM_RLC_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_am_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_am_01, T_am_01_sequence);

  return offset;
}


static const value_string lte_rrc_RLC_Config_NB_r13_vals[] = {
  {   0, "am" },
  { 0, NULL }
};

static const per_choice_t RLC_Config_NB_r13_choice[] = {
  {   0, &hf_lte_rrc_am_01       , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_T_am_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Config_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RLC_Config_NB_r13, RLC_Config_NB_r13_choice,
                                 NULL);

  if (mapping != NULL) {
    mapping->rlcMode = RLC_AM_MODE;
    mapping->rlcMode_present = TRUE;
    mapping->pdcp_sn_size = 7;
    mapping->pdcp_sn_size_present = TRUE;
  }


  return offset;
}


static const value_string lte_rrc_T_rlc_Config_r13_vals[] = {
  {   0, "explicitValue" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_rlc_Config_r13_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_06, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RLC_Config_NB_r13 },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_rlc_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_rlc_Config_r13, T_rlc_Config_r13_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_T_priority_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 16U, &value, FALSE);

  if (mapping != NULL) {
    mapping->ul_priority = value;
    mapping->ul_priority_present = TRUE;
  }


  return offset;
}


static const per_sequence_t LogicalChannelConfig_NB_r13_sequence[] = {
  { &hf_lte_rrc_priority_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_priority_r13 },
  { &hf_lte_rrc_logicalChannelSR_Prohibit_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_LogicalChannelConfig_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_LogicalChannelConfig_NB_r13, LogicalChannelConfig_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_logicalChannelConfig_r13_vals[] = {
  {   0, "explicitValue" },
  {   1, "defaultValue" },
  { 0, NULL }
};

static const per_choice_t T_logicalChannelConfig_r13_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_07, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_LogicalChannelConfig_NB_r13 },
  {   1, &hf_lte_rrc_defaultValue, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_logicalChannelConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_logicalChannelConfig_r13, T_logicalChannelConfig_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RLC_Config_NB_v1430_sequence[] = {
  { &hf_lte_rrc_t_Reordering_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_Reordering },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RLC_Config_NB_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RLC_Config_NB_v1430, RLC_Config_NB_v1430_sequence);

  return offset;
}


static const per_sequence_t SRB_ToAddMod_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_rlc_Config_v1430_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_NB_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SRB_ToAddMod_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SRB_ToAddMod_NB_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t SRB_ToAddMod_NB_r13_sequence[] = {
  { &hf_lte_rrc_rlc_Config_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_rlc_Config_r13 },
  { &hf_lte_rrc_logicalChannelConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_logicalChannelConfig_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRB_ToAddMod_NB_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SRB_ToAddMod_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SRB_ToAddMod_NB_r13, SRB_ToAddMod_NB_r13_sequence);

  return offset;
}


static const per_sequence_t SRB_ToAddModList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_SRB_ToAddModList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SRB_ToAddMod_NB_r13 },
};

static int
dissect_lte_rrc_SRB_ToAddModList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SRB_ToAddModList_NB_r13, SRB_ToAddModList_NB_r13_sequence_of,
                                                  1, 1, FALSE);

  return offset;
}


static const value_string lte_rrc_T_discardTimer_r13_vals[] = {
  {   0, "ms5120" },
  {   1, "ms10240" },
  {   2, "ms20480" },
  {   3, "ms40960" },
  {   4, "ms81920" },
  {   5, "infinity" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_discardTimer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_profiles_r13_sequence[] = {
  { &hf_lte_rrc_profile0x0002, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0003, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0004, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0006, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0102, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0103, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_profile0x0104, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_profiles_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_profiles_r13, T_profiles_r13_sequence);

  return offset;
}


static const per_sequence_t T_rohc_01_sequence[] = {
  { &hf_lte_rrc_maxCID_r13  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_16383 },
  { &hf_lte_rrc_profiles_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_profiles_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_rohc_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_rohc_01, T_rohc_01_sequence);

  return offset;
}


static const value_string lte_rrc_T_headerCompression_r13_vals[] = {
  {   0, "notUsed" },
  {   1, "rohc" },
  { 0, NULL }
};

static const per_choice_t T_headerCompression_r13_choice[] = {
  {   0, &hf_lte_rrc_notUsed     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_rohc_01     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_rohc_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_headerCompression_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_headerCompression_r13, T_headerCompression_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PDCP_Config_NB_r13_sequence[] = {
  { &hf_lte_rrc_discardTimer_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_discardTimer_r13 },
  { &hf_lte_rrc_headerCompression_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_headerCompression_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PDCP_Config_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PDCP_Config_NB_r13, PDCP_Config_NB_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_logicalChannelIdentity_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  guint32 value;
  drb_mapping_t *mapping = private_data_get_drb_mapping(actx);
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            3U, 10U, &value, FALSE);

  if (mapping != NULL) {
    mapping->lcid = (guint8)value;
    mapping->lcid_present = TRUE;
  }


  return offset;
}


static const per_sequence_t DRB_ToAddMod_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_rlc_Config_v1430_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_NB_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddMod_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, DRB_ToAddMod_NB_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t DRB_ToAddMod_NB_r13_sequence[] = {
  { &hf_lte_rrc_eps_BearerIdentity_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_drb_Identity_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_Identity },
  { &hf_lte_rrc_pdcp_Config_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PDCP_Config_NB_r13 },
  { &hf_lte_rrc_rlc_Config_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RLC_Config_NB_r13 },
  { &hf_lte_rrc_logicalChannelIdentity_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_logicalChannelIdentity_r13 },
  { &hf_lte_rrc_logicalChannelConfig_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_LogicalChannelConfig_NB_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddMod_NB_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DRB_ToAddMod_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  struct mac_lte_info *p_mac_lte_info;
  struct rlc_lte_info *p_rlc_lte_info;
  /* Get the struct and clear it out */
  drb_mapping_t *drb_mapping = private_data_get_drb_mapping(actx);
  memset(drb_mapping, 0, sizeof(*drb_mapping));
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DRB_ToAddMod_NB_r13, DRB_ToAddMod_NB_r13_sequence);

  /* Need UE identifier */
  p_mac_lte_info = (mac_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_mac_lte, 0);
  if (p_mac_lte_info) {
    drb_mapping->ueid = p_mac_lte_info->ueid;
    /* Tell MAC about this mapping */
    set_mac_lte_channel_mapping(drb_mapping);
  }

  /* Also tell RLC how many PDCP sequence number bits and whether it should use extended LI */
  p_rlc_lte_info = (rlc_lte_info *)p_get_proto_data(wmem_file_scope(), actx->pinfo, proto_rlc_lte, 0);
  if (p_rlc_lte_info) {
    if (drb_mapping->pdcp_sn_size_present) {
      set_rlc_lte_drb_pdcp_seqnum_length(actx->pinfo,
                                         p_rlc_lte_info->ueid,
                                         drb_mapping->drbid,
                                         drb_mapping->pdcp_sn_size);
    }
    if (drb_mapping->rlcMode_present) {
      set_rlc_lte_drb_li_field(actx->pinfo,
                               p_rlc_lte_info->ueid,
                               drb_mapping->drbid,
                               drb_mapping->rlc_ul_ext_li_field,
                               drb_mapping->rlc_dl_ext_li_field);
    }
  }

  /* Clear out the struct again */
  memset(&drb_mapping, 0, sizeof(drb_mapping));


  return offset;
}


static const per_sequence_t DRB_ToAddModList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_DRB_ToAddModList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_ToAddMod_NB_r13 },
};

static int
dissect_lte_rrc_DRB_ToAddModList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DRB_ToAddModList_NB_r13, DRB_ToAddModList_NB_r13_sequence_of,
                                                  1, maxDRB_NB_r13, FALSE);

  return offset;
}


static const per_sequence_t DRB_ToReleaseList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_DRB_ToReleaseList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DRB_Identity },
};

static int
dissect_lte_rrc_DRB_ToReleaseList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DRB_ToReleaseList_NB_r13, DRB_ToReleaseList_NB_r13_sequence_of,
                                                  1, maxDRB_NB_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_PeriodicBSR_Timer_NB_r13_vals[] = {
  {   0, "pp2" },
  {   1, "pp4" },
  {   2, "pp8" },
  {   3, "pp16" },
  {   4, "pp64" },
  {   5, "pp128" },
  {   6, "infinity" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PeriodicBSR_Timer_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_RetxBSR_Timer_NB_r13_vals[] = {
  {   0, "pp4" },
  {   1, "pp16" },
  {   2, "pp64" },
  {   3, "pp128" },
  {   4, "pp256" },
  {   5, "pp512" },
  {   6, "infinity" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_RetxBSR_Timer_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_ul_SCH_Config_r13_sequence[] = {
  { &hf_lte_rrc_periodicBSR_Timer_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PeriodicBSR_Timer_NB_r13 },
  { &hf_lte_rrc_retxBSR_Timer_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RetxBSR_Timer_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_ul_SCH_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_ul_SCH_Config_r13, T_ul_SCH_Config_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_onDurationTimer_r13_vals[] = {
  {   0, "pp1" },
  {   1, "pp2" },
  {   2, "pp3" },
  {   3, "pp4" },
  {   4, "pp8" },
  {   5, "pp16" },
  {   6, "pp32" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_onDurationTimer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_InactivityTimer_r13_vals[] = {
  {   0, "pp0" },
  {   1, "pp1" },
  {   2, "pp2" },
  {   3, "pp3" },
  {   4, "pp4" },
  {   5, "pp8" },
  {   6, "pp16" },
  {   7, "pp32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_InactivityTimer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_RetransmissionTimer_r13_vals[] = {
  {   0, "pp0" },
  {   1, "pp1" },
  {   2, "pp2" },
  {   3, "pp4" },
  {   4, "pp6" },
  {   5, "pp8" },
  {   6, "pp16" },
  {   7, "pp24" },
  {   8, "pp33" },
  {   9, "spare7" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_RetransmissionTimer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_Cycle_r13_vals[] = {
  {   0, "sf256" },
  {   1, "sf512" },
  {   2, "sf1024" },
  {   3, "sf1536" },
  {   4, "sf2048" },
  {   5, "sf3072" },
  {   6, "sf4096" },
  {   7, "sf4608" },
  {   8, "sf6144" },
  {   9, "sf7680" },
  {  10, "sf8192" },
  {  11, "sf9216" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_Cycle_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_ULRetransmissionTimer_r13_01_vals[] = {
  {   0, "pp0" },
  {   1, "pp1" },
  {   2, "pp2" },
  {   3, "pp4" },
  {   4, "pp6" },
  {   5, "pp8" },
  {   6, "pp16" },
  {   7, "pp24" },
  {   8, "pp33" },
  {   9, "pp40" },
  {  10, "pp64" },
  {  11, "pp80" },
  {  12, "pp96" },
  {  13, "pp112" },
  {  14, "pp128" },
  {  15, "pp160" },
  {  16, "pp320" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_drx_ULRetransmissionTimer_r13_01_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_drx_ULRetransmissionTimer_r13_01_vals);


static int
dissect_lte_rrc_T_drx_ULRetransmissionTimer_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     17, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_129_sequence[] = {
  { &hf_lte_rrc_onDurationTimer_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_onDurationTimer_r13 },
  { &hf_lte_rrc_drx_InactivityTimer_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_InactivityTimer_r13 },
  { &hf_lte_rrc_drx_RetransmissionTimer_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_RetransmissionTimer_r13 },
  { &hf_lte_rrc_drx_Cycle_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_Cycle_r13 },
  { &hf_lte_rrc_drx_StartOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_255 },
  { &hf_lte_rrc_drx_ULRetransmissionTimer_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_ULRetransmissionTimer_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_129(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_129, T_setup_129_sequence);

  return offset;
}


static const value_string lte_rrc_DRX_Config_NB_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t DRX_Config_NB_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_147   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_129 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DRX_Config_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DRX_Config_NB_r13, DRX_Config_NB_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_logicalChannelSR_ProhibitTimer_r13_vals[] = {
  {   0, "pp2" },
  {   1, "pp8" },
  {   2, "pp32" },
  {   3, "pp128" },
  {   4, "pp512" },
  {   5, "pp1024" },
  {   6, "pp2048" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_logicalChannelSR_ProhibitTimer_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_127_sequence[] = {
  { &hf_lte_rrc_logicalChannelSR_ProhibitTimer_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_logicalChannelSR_ProhibitTimer_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_127(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_127, T_setup_127_sequence);

  return offset;
}


static const value_string lte_rrc_T_logicalChannelSR_Config_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_logicalChannelSR_Config_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_145   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_127 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_logicalChannelSR_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_logicalChannelSR_Config_r13, T_logicalChannelSR_Config_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_rai_Activation_r14_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rai_Activation_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_setup_128_sequence[] = {
  { &hf_lte_rrc_dataInactivityTimer_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DataInactivityTimer_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_128(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_128, T_setup_128_sequence);

  return offset;
}


static const value_string lte_rrc_T_dataInactivityTimerConfig_r14_01_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t T_dataInactivityTimerConfig_r14_01_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_146   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_128 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dataInactivityTimerConfig_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dataInactivityTimerConfig_r14_01, T_dataInactivityTimerConfig_r14_01_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MAC_MainConfig_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_rai_Activation_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rai_Activation_r14_01 },
  { &hf_lte_rrc_dataInactivityTimerConfig_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dataInactivityTimerConfig_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_NB_r13_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_drx_Cycle_v1430_vals[] = {
  {   0, "sf1280" },
  {   1, "sf2560" },
  {   2, "sf5120" },
  {   3, "sf10240" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_Cycle_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MAC_MainConfig_NB_r13_eag_2_sequence[] = {
  { &hf_lte_rrc_drx_Cycle_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drx_Cycle_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_NB_r13_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_NB_r13_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_ra_CFRA_Config_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ra_CFRA_Config_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MAC_MainConfig_NB_r13_eag_3_sequence[] = {
  { &hf_lte_rrc_ra_CFRA_Config_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ra_CFRA_Config_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_NB_r13_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, MAC_MainConfig_NB_r13_eag_3_sequence);

  return offset;
}


static const per_sequence_t MAC_MainConfig_NB_r13_sequence[] = {
  { &hf_lte_rrc_ul_SCH_Config_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ul_SCH_Config_r13 },
  { &hf_lte_rrc_drx_Config_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DRX_Config_NB_r13 },
  { &hf_lte_rrc_timeAlignmentTimerDedicated_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeAlignmentTimer },
  { &hf_lte_rrc_logicalChannelSR_Config_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_logicalChannelSR_Config_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_NB_r13_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_NB_r13_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_MAC_MainConfig_NB_r13_eag_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_MainConfig_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_MainConfig_NB_r13, MAC_MainConfig_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_mac_MainConfig_r13_vals[] = {
  {   0, "explicitValue-r13" },
  {   1, "defaultValue-r13" },
  { 0, NULL }
};

static const per_choice_t T_mac_MainConfig_r13_choice[] = {
  {   0, &hf_lte_rrc_explicitValue_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_MAC_MainConfig_NB_r13 },
  {   1, &hf_lte_rrc_defaultValue_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_mac_MainConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_mac_MainConfig_r13, T_mac_MainConfig_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_carrierFreqOffset_r13_vals[] = {
  {   0, "v-10" },
  {   1, "v-9" },
  {   2, "v-8" },
  {   3, "v-7" },
  {   4, "v-6" },
  {   5, "v-5" },
  {   6, "v-4" },
  {   7, "v-3" },
  {   8, "v-2" },
  {   9, "v-1" },
  {  10, "v-0dot5" },
  {  11, "v0" },
  {  12, "v1" },
  {  13, "v2" },
  {  14, "v3" },
  {  15, "v4" },
  {  16, "v5" },
  {  17, "v6" },
  {  18, "v7" },
  {  19, "v8" },
  {  20, "v9" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_carrierFreqOffset_r13_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_carrierFreqOffset_r13_vals);


static int
dissect_lte_rrc_T_carrierFreqOffset_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     21, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CarrierFreq_NB_r13_sequence[] = {
  { &hf_lte_rrc_carrierFreq_r13_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ARFCN_ValueEUTRA_r9 },
  { &hf_lte_rrc_carrierFreqOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_carrierFreqOffset_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierFreq_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierFreq_NB_r13, CarrierFreq_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_DL_Bitmap_NB_r13_vals[] = {
  {   0, "subframePattern10-r13" },
  {   1, "subframePattern40-r13" },
  { 0, NULL }
};

static const per_choice_t DL_Bitmap_NB_r13_choice[] = {
  {   0, &hf_lte_rrc_subframePattern10_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_10 },
  {   1, &hf_lte_rrc_subframePattern40_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_BIT_STRING_SIZE_40 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DL_Bitmap_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DL_Bitmap_NB_r13, DL_Bitmap_NB_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_downlinkBitmapNonAnchor_r13_vals[] = {
  {   0, "useNoBitmap-r13" },
  {   1, "useAnchorBitmap-r13" },
  {   2, "explicitBitmapConfiguration-r13" },
  {   3, "spare" },
  { 0, NULL }
};

static const per_choice_t T_downlinkBitmapNonAnchor_r13_choice[] = {
  {   0, &hf_lte_rrc_useNoBitmap_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_useAnchorBitmap_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_explicitBitmapConfiguration_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DL_Bitmap_NB_r13 },
  {   3, &hf_lte_rrc_spare       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_downlinkBitmapNonAnchor_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_downlinkBitmapNonAnchor_r13, T_downlinkBitmapNonAnchor_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_dl_GapThreshold_r13_vals[] = {
  {   0, "n32" },
  {   1, "n64" },
  {   2, "n128" },
  {   3, "n256" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_GapThreshold_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dl_GapPeriodicity_r13_vals[] = {
  {   0, "sf64" },
  {   1, "sf128" },
  {   2, "sf256" },
  {   3, "sf512" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_GapPeriodicity_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dl_GapDurationCoeff_r13_vals[] = {
  {   0, "oneEighth" },
  {   1, "oneFourth" },
  {   2, "threeEighth" },
  {   3, "oneHalf" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dl_GapDurationCoeff_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DL_GapConfig_NB_r13_sequence[] = {
  { &hf_lte_rrc_dl_GapThreshold_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_GapThreshold_r13 },
  { &hf_lte_rrc_dl_GapPeriodicity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_GapPeriodicity_r13 },
  { &hf_lte_rrc_dl_GapDurationCoeff_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_GapDurationCoeff_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_GapConfig_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_GapConfig_NB_r13, DL_GapConfig_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_dl_GapNonAnchor_r13_vals[] = {
  {   0, "useNoGap-r13" },
  {   1, "useAnchorGapConfig-r13" },
  {   2, "explicitGapConfiguration-r13" },
  {   3, "spare" },
  { 0, NULL }
};

static const per_choice_t T_dl_GapNonAnchor_r13_choice[] = {
  {   0, &hf_lte_rrc_useNoGap_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_useAnchorGapConfig_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_explicitGapConfiguration_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DL_GapConfig_NB_r13 },
  {   3, &hf_lte_rrc_spare       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dl_GapNonAnchor_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dl_GapNonAnchor_r13, T_dl_GapNonAnchor_r13_choice,
                                 NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_M55_54(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -55, 54U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_samePCI_r13_sequence[] = {
  { &hf_lte_rrc_indexToMidPRB_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M55_54 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_samePCI_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_samePCI_r13, T_samePCI_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_eutra_NumCRS_Ports_r13_01_vals[] = {
  {   0, "same" },
  {   1, "four" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eutra_NumCRS_Ports_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_differentPCI_r13_sequence[] = {
  { &hf_lte_rrc_eutra_NumCRS_Ports_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eutra_NumCRS_Ports_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_differentPCI_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_differentPCI_r13, T_differentPCI_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_samePCI_Indicator_r13_vals[] = {
  {   0, "samePCI-r13" },
  {   1, "differentPCI-r13" },
  { 0, NULL }
};

static const per_choice_t T_samePCI_Indicator_r13_choice[] = {
  {   0, &hf_lte_rrc_samePCI_r13 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_samePCI_r13 },
  {   1, &hf_lte_rrc_differentPCI_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_differentPCI_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_samePCI_Indicator_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_samePCI_Indicator_r13, T_samePCI_Indicator_r13_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_eutraControlRegionSize_r13_01_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eutraControlRegionSize_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_inbandCarrierInfo_r13_sequence[] = {
  { &hf_lte_rrc_samePCI_Indicator_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_samePCI_Indicator_r13 },
  { &hf_lte_rrc_eutraControlRegionSize_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eutraControlRegionSize_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_inbandCarrierInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_inbandCarrierInfo_r13, T_inbandCarrierInfo_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_nrs_PowerOffsetNonAnchor_v1330_vals[] = {
  {   0, "dB-12" },
  {   1, "dB-10" },
  {   2, "dB-8" },
  {   3, "dB-6" },
  {   4, "dB-4" },
  {   5, "dB-2" },
  {   6, "dB0" },
  {   7, "dB3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nrs_PowerOffsetNonAnchor_v1330(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DL_CarrierConfigDedicated_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_nrs_PowerOffsetNonAnchor_v1330, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nrs_PowerOffsetNonAnchor_v1330 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_CarrierConfigDedicated_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, DL_CarrierConfigDedicated_NB_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t DL_CarrierConfigDedicated_NB_r13_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_r13_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreq_NB_r13 },
  { &hf_lte_rrc_downlinkBitmapNonAnchor_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_downlinkBitmapNonAnchor_r13 },
  { &hf_lte_rrc_dl_GapNonAnchor_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_dl_GapNonAnchor_r13 },
  { &hf_lte_rrc_inbandCarrierInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_inbandCarrierInfo_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_CarrierConfigDedicated_NB_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_CarrierConfigDedicated_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_CarrierConfigDedicated_NB_r13, DL_CarrierConfigDedicated_NB_r13_sequence);

  return offset;
}


static const per_sequence_t UL_CarrierConfigDedicated_NB_r13_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreq_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_CarrierConfigDedicated_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_CarrierConfigDedicated_NB_r13, UL_CarrierConfigDedicated_NB_r13_sequence);

  return offset;
}


static const per_sequence_t CarrierConfigDedicated_NB_r13_sequence[] = {
  { &hf_lte_rrc_dl_CarrierConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_CarrierConfigDedicated_NB_r13 },
  { &hf_lte_rrc_ul_CarrierConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_CarrierConfigDedicated_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CarrierConfigDedicated_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CarrierConfigDedicated_NB_r13, CarrierConfigDedicated_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_npdcch_NumRepetitions_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  {   9, "r512" },
  {  10, "r1024" },
  {  11, "r2048" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_NumRepetitions_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_StartSF_USS_r13_vals[] = {
  {   0, "v1dot5" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v8" },
  {   4, "v16" },
  {   5, "v32" },
  {   6, "v48" },
  {   7, "v64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_StartSF_USS_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_Offset_USS_r13_vals[] = {
  {   0, "zero" },
  {   1, "oneEighth" },
  {   2, "oneFourth" },
  {   3, "threeEighth" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_Offset_USS_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NPDCCH_ConfigDedicated_NB_r13_sequence[] = {
  { &hf_lte_rrc_npdcch_NumRepetitions_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_NumRepetitions_r13 },
  { &hf_lte_rrc_npdcch_StartSF_USS_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_StartSF_USS_r13 },
  { &hf_lte_rrc_npdcch_Offset_USS_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_Offset_USS_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPDCCH_ConfigDedicated_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPDCCH_ConfigDedicated_NB_r13, NPDCCH_ConfigDedicated_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_ACK_NACK_NumRepetitions_NB_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  { 0, NULL }
};


static int
dissect_lte_rrc_ACK_NACK_NumRepetitions_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_groupHoppingDisabled_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_groupHoppingDisabled_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NPUSCH_ConfigDedicated_NB_r13_sequence[] = {
  { &hf_lte_rrc_ack_NACK_NumRepetitions_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ACK_NACK_NumRepetitions_NB_r13 },
  { &hf_lte_rrc_npusch_AllSymbols_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_groupHoppingDisabled_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_groupHoppingDisabled_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPUSCH_ConfigDedicated_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPUSCH_ConfigDedicated_NB_r13, NPUSCH_ConfigDedicated_NB_r13_sequence);

  return offset;
}


static const per_sequence_t UplinkPowerControlDedicated_NB_r13_sequence[] = {
  { &hf_lte_rrc_p0_UE_NPUSCH_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_7 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlDedicated_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlDedicated_NB_r13, UplinkPowerControlDedicated_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_twoHARQ_ProcessesConfig_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_twoHARQ_ProcessesConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_twoHARQ_ProcessesConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoHARQ_ProcessesConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_NB_r13_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_interferenceRandomisationConfig_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interferenceRandomisationConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_NB_r13_eag_2_sequence[] = {
  { &hf_lte_rrc_interferenceRandomisationConfig_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interferenceRandomisationConfig_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_NB_r13_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, PhysicalConfigDedicated_NB_r13_eag_2_sequence);

  return offset;
}


static const per_sequence_t PhysicalConfigDedicated_NB_r13_sequence[] = {
  { &hf_lte_rrc_carrierConfigDedicated_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierConfigDedicated_NB_r13 },
  { &hf_lte_rrc_npdcch_ConfigDedicated_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_NPDCCH_ConfigDedicated_NB_r13 },
  { &hf_lte_rrc_npusch_ConfigDedicated_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_NPUSCH_ConfigDedicated_NB_r13 },
  { &hf_lte_rrc_uplinkPowerControlDedicated_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_UplinkPowerControlDedicated_NB_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_NB_r13_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysicalConfigDedicated_NB_r13_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhysicalConfigDedicated_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhysicalConfigDedicated_NB_r13, PhysicalConfigDedicated_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_t301_r13_vals[] = {
  {   0, "ms2500" },
  {   1, "ms4000" },
  {   2, "ms6000" },
  {   3, "ms10000" },
  {   4, "ms15000" },
  {   5, "ms25000" },
  {   6, "ms40000" },
  {   7, "ms60000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t301_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t310_r13_vals[] = {
  {   0, "ms0" },
  {   1, "ms200" },
  {   2, "ms500" },
  {   3, "ms1000" },
  {   4, "ms2000" },
  {   5, "ms4000" },
  {   6, "ms8000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t310_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n310_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n6" },
  {   5, "n8" },
  {   6, "n10" },
  {   7, "n20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n310_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t311_r13_vals[] = {
  {   0, "ms1000" },
  {   1, "ms3000" },
  {   2, "ms5000" },
  {   3, "ms10000" },
  {   4, "ms15000" },
  {   5, "ms20000" },
  {   6, "ms30000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t311_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n311_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n5" },
  {   5, "n6" },
  {   6, "n8" },
  {   7, "n10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n311_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t311_v1350_vals[] = {
  {   0, "ms40000" },
  {   1, "ms60000" },
  {   2, "ms90000" },
  {   3, "ms120000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t311_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_eag_1_05_sequence[] = {
  { &hf_lte_rrc_t311_v1350  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t311_v1350 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_eag_1_05(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, T_eag_1_05_sequence);

  return offset;
}


static const per_sequence_t T_setup_130_sequence[] = {
  { &hf_lte_rrc_t301_r13    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t301_r13 },
  { &hf_lte_rrc_t310_r13    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t310_r13 },
  { &hf_lte_rrc_n310_r13    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n310_r13 },
  { &hf_lte_rrc_t311_r13    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t311_r13 },
  { &hf_lte_rrc_n311_r13    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n311_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eag_1_05 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_setup_130(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_setup_130, T_setup_130_sequence);

  return offset;
}


static const value_string lte_rrc_RLF_TimersAndConstants_NB_r13_vals[] = {
  {   0, "release" },
  {   1, "setup" },
  { 0, NULL }
};

static const per_choice_t RLF_TimersAndConstants_NB_r13_choice[] = {
  {   0, &hf_lte_rrc_release     , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_setup_148   , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_setup_130 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_RLF_TimersAndConstants_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_RLF_TimersAndConstants_NB_r13, RLF_TimersAndConstants_NB_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RadioResourceConfigDedicated_NB_r13_sequence[] = {
  { &hf_lte_rrc_srb_ToAddModList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SRB_ToAddModList_NB_r13 },
  { &hf_lte_rrc_drb_ToAddModList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DRB_ToAddModList_NB_r13 },
  { &hf_lte_rrc_drb_ToReleaseList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DRB_ToReleaseList_NB_r13 },
  { &hf_lte_rrc_mac_MainConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_mac_MainConfig_r13 },
  { &hf_lte_rrc_physicalConfigDedicated_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PhysicalConfigDedicated_NB_r13 },
  { &hf_lte_rrc_rlf_TimersAndConstants_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_RLF_TimersAndConstants_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigDedicated_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigDedicated_NB_r13, RadioResourceConfigDedicated_NB_r13_sequence);

  return offset;
}


static const per_sequence_t AS_Config_NB_sequence[] = {
  { &hf_lte_rrc_sourceRadioResourceConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_NB_r13 },
  { &hf_lte_rrc_sourceSecurityAlgorithmConfig_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SecurityAlgorithmConfig },
  { &hf_lte_rrc_sourceUE_Identity_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_C_RNTI },
  { &hf_lte_rrc_sourceDl_CarrierFreq_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreq_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Config_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Config_NB, AS_Config_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_ue_InactiveTime_01_vals[] = {
  {   0, "s1" },
  {   1, "s2" },
  {   2, "s3" },
  {   3, "s5" },
  {   4, "s7" },
  {   5, "s10" },
  {   6, "s15" },
  {   7, "s20" },
  {   8, "s25" },
  {   9, "s30" },
  {  10, "s40" },
  {  11, "s50" },
  {  12, "min1" },
  {  13, "min1s20" },
  {  14, "min1s40" },
  {  15, "min2" },
  {  16, "min2s30" },
  {  17, "min3" },
  {  18, "min3s30" },
  {  19, "min4" },
  {  20, "min5" },
  {  21, "min6" },
  {  22, "min7" },
  {  23, "min8" },
  {  24, "min9" },
  {  25, "min10" },
  {  26, "min12" },
  {  27, "min14" },
  {  28, "min17" },
  {  29, "min20" },
  {  30, "min24" },
  {  31, "min28" },
  {  32, "min33" },
  {  33, "min38" },
  {  34, "min44" },
  {  35, "min50" },
  {  36, "hr1" },
  {  37, "hr1min30" },
  {  38, "hr2" },
  {  39, "hr2min30" },
  {  40, "hr3" },
  {  41, "hr3min30" },
  {  42, "hr4" },
  {  43, "hr5" },
  {  44, "hr6" },
  {  45, "hr8" },
  {  46, "hr10" },
  {  47, "hr13" },
  {  48, "hr16" },
  {  49, "hr20" },
  {  50, "day1" },
  {  51, "day1hr12" },
  {  52, "day2" },
  {  53, "day2hr12" },
  {  54, "day3" },
  {  55, "day4" },
  {  56, "day5" },
  {  57, "day7" },
  {  58, "day10" },
  {  59, "day14" },
  {  60, "day19" },
  {  61, "day24" },
  {  62, "day30" },
  {  63, "dayMoreThan30" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_ue_InactiveTime_01_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_ue_InactiveTime_01_vals);


static int
dissect_lte_rrc_T_ue_InactiveTime_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     64, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RRM_Config_NB_sequence[] = {
  { &hf_lte_rrc_ue_InactiveTime_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_InactiveTime_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRM_Config_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRM_Config_NB, RRM_Config_NB_sequence);

  return offset;
}


static const per_sequence_t ReestablishmentInfo_NB_sequence[] = {
  { &hf_lte_rrc_sourcePhysCellId_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_targetCellShortMAC_I_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ShortMAC_I },
  { &hf_lte_rrc_additionalReestabInfoList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalReestabInfoList },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReestablishmentInfo_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReestablishmentInfo_NB, ReestablishmentInfo_NB_sequence);

  return offset;
}


static const per_sequence_t AS_Context_NB_sequence[] = {
  { &hf_lte_rrc_reestablishmentInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_ReestablishmentInfo_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AS_Context_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AS_Context_NB, AS_Context_NB_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ue_RadioAccessCapabilityInfoExt_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UE_Capability_NB_Ext_r14_IEs_PDU);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_69_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_69(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_69, T_nonCriticalExtension_69_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_NB_Ext_r14_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioAccessCapabilityInfoExt_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_RadioAccessCapabilityInfoExt_r14 },
  { &hf_lte_rrc_nonCriticalExtension_237, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_69 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_NB_Ext_r14_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_NB_Ext_r14_IEs, HandoverPreparationInformation_NB_Ext_r14_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_NB_v1380_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_236, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_NB_Ext_r14_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_NB_v1380_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_NB_v1380_IEs, HandoverPreparationInformation_NB_v1380_IEs_sequence);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_NB_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioAccessCapabilityInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_Capability_NB_r13 },
  { &hf_lte_rrc_as_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AS_Config_NB },
  { &hf_lte_rrc_rrm_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRM_Config_NB },
  { &hf_lte_rrc_as_Context_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AS_Context_NB },
  { &hf_lte_rrc_nonCriticalExtension_235, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_HandoverPreparationInformation_NB_v1380_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_NB_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_NB_IEs, HandoverPreparationInformation_NB_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_49_vals[] = {
  {   0, "handoverPreparationInformation-r13" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_49_choice[] = {
  {   0, &hf_lte_rrc_handoverPreparationInformation_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_HandoverPreparationInformation_NB_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_49(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_49, T_c1_49_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_52_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_52(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_52, T_criticalExtensionsFuture_52_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_52_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_52_choice[] = {
  {   0, &hf_lte_rrc_c1_49       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_49 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_52, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_52 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_52(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_52, T_criticalExtensions_52_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t HandoverPreparationInformation_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_52, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_52 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_HandoverPreparationInformation_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_HandoverPreparationInformation_NB, HandoverPreparationInformation_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_70_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_70(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_70, T_nonCriticalExtension_70_sequence);

  return offset;
}


static const per_sequence_t UEPagingCoverageInformation_NB_IEs_sequence[] = {
  { &hf_lte_rrc_npdcch_NumRepetitionPaging_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_2048 },
  { &hf_lte_rrc_nonCriticalExtension_238, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_70 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEPagingCoverageInformation_NB_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEPagingCoverageInformation_NB_IEs, UEPagingCoverageInformation_NB_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_50_vals[] = {
  {   0, "uePagingCoverageInformation-r13" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_50_choice[] = {
  {   0, &hf_lte_rrc_uePagingCoverageInformation_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UEPagingCoverageInformation_NB_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_50(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_50, T_c1_50_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_53_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_53(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_53, T_criticalExtensionsFuture_53_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_53_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_53_choice[] = {
  {   0, &hf_lte_rrc_c1_50       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_50 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_53, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_53 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_53(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_53, T_criticalExtensions_53_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UEPagingCoverageInformation_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_53, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_53 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UEPagingCoverageInformation_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UEPagingCoverageInformation_NB, UEPagingCoverageInformation_NB_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ue_RadioAccessCapabilityInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UE_Capability_NB_r13_PDU);

  return offset;
}



static int
dissect_lte_rrc_T_ue_RadioAccessCapabilityInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UECapabilityInformation_NB_PDU);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_71_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_71(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_71, T_nonCriticalExtension_71_sequence);

  return offset;
}


static const per_sequence_t UERadioAccessCapabilityInformation_NB_r14_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioAccessCapabilityInfo_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_RadioAccessCapabilityInfo_r14 },
  { &hf_lte_rrc_nonCriticalExtension_241, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_71 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioAccessCapabilityInformation_NB_r14_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioAccessCapabilityInformation_NB_r14_IEs, UERadioAccessCapabilityInformation_NB_r14_IEs_sequence);

  return offset;
}


static const per_sequence_t UERadioAccessCapabilityInformation_NB_v1380_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_240, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UERadioAccessCapabilityInformation_NB_r14_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioAccessCapabilityInformation_NB_v1380_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioAccessCapabilityInformation_NB_v1380_IEs, UERadioAccessCapabilityInformation_NB_v1380_IEs_sequence);

  return offset;
}


static const per_sequence_t UERadioAccessCapabilityInformation_NB_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioAccessCapabilityInfo_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ue_RadioAccessCapabilityInfo_r13 },
  { &hf_lte_rrc_nonCriticalExtension_239, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UERadioAccessCapabilityInformation_NB_v1380_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioAccessCapabilityInformation_NB_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioAccessCapabilityInformation_NB_IEs, UERadioAccessCapabilityInformation_NB_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_51_vals[] = {
  {   0, "ueRadioAccessCapabilityInformation-r13" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_51_choice[] = {
  {   0, &hf_lte_rrc_ueRadioAccessCapabilityInformation_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UERadioAccessCapabilityInformation_NB_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_51(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_51, T_c1_51_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_54_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_54(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_54, T_criticalExtensionsFuture_54_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_54_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_54_choice[] = {
  {   0, &hf_lte_rrc_c1_51       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_51 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_54, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_54 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_54(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_54, T_criticalExtensions_54_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UERadioAccessCapabilityInformation_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_54, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_54 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioAccessCapabilityInformation_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioAccessCapabilityInformation_NB, UERadioAccessCapabilityInformation_NB_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ue_RadioPagingInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UE_RadioPagingInfo_NB_r13_PDU);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_72_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_72(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_72, T_nonCriticalExtension_72_sequence);

  return offset;
}


static const per_sequence_t UERadioPagingInformation_NB_IEs_sequence[] = {
  { &hf_lte_rrc_ue_RadioPagingInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ue_RadioPagingInfo_r13 },
  { &hf_lte_rrc_nonCriticalExtension_242, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_72 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioPagingInformation_NB_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioPagingInformation_NB_IEs, UERadioPagingInformation_NB_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_52_vals[] = {
  {   0, "ueRadioPagingInformation-r13" },
  {   1, "spare3" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_52_choice[] = {
  {   0, &hf_lte_rrc_ueRadioPagingInformation_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UERadioPagingInformation_NB_IEs },
  {   1, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_52(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_52, T_c1_52_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_55_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_55(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_55, T_criticalExtensionsFuture_55_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_55_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_55_choice[] = {
  {   0, &hf_lte_rrc_c1_52       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_52 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_55, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_55 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_55(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_55, T_criticalExtensions_55_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UERadioPagingInformation_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_55, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_55 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UERadioPagingInformation_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UERadioPagingInformation_NB, UERadioPagingInformation_NB_sequence);

  return offset;
}


static const per_sequence_t Inband_SamePCI_NB_r13_sequence[] = {
  { &hf_lte_rrc_eutra_CRS_SequenceInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Inband_SamePCI_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Inband_SamePCI_NB_r13, Inband_SamePCI_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_eutra_NumCRS_Ports_r13_vals[] = {
  {   0, "same" },
  {   1, "four" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eutra_NumCRS_Ports_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_ChannelRasterOffset_NB_r13_vals[] = {
  {   0, "khz-7dot5" },
  {   1, "khz-2dot5" },
  {   2, "khz2dot5" },
  {   3, "khz7dot5" },
  { 0, NULL }
};


static int
dissect_lte_rrc_ChannelRasterOffset_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t Inband_DifferentPCI_NB_r13_sequence[] = {
  { &hf_lte_rrc_eutra_NumCRS_Ports_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eutra_NumCRS_Ports_r13 },
  { &hf_lte_rrc_rasterOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ChannelRasterOffset_NB_r13 },
  { &hf_lte_rrc_spare_03    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Inband_DifferentPCI_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Inband_DifferentPCI_NB_r13, Inband_DifferentPCI_NB_r13_sequence);

  return offset;
}


static const per_sequence_t Guardband_NB_r13_sequence[] = {
  { &hf_lte_rrc_rasterOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ChannelRasterOffset_NB_r13 },
  { &hf_lte_rrc_spare_06    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Guardband_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Guardband_NB_r13, Guardband_NB_r13_sequence);

  return offset;
}


static const per_sequence_t Standalone_NB_r13_sequence[] = {
  { &hf_lte_rrc_spare_01    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Standalone_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Standalone_NB_r13, Standalone_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_operationModeInfo_r13_vals[] = {
  {   0, "inband-SamePCI-r13" },
  {   1, "inband-DifferentPCI-r13" },
  {   2, "guardband-r13" },
  {   3, "standalone-r13" },
  { 0, NULL }
};

static const per_choice_t T_operationModeInfo_r13_choice[] = {
  {   0, &hf_lte_rrc_inband_SamePCI_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Inband_SamePCI_NB_r13 },
  {   1, &hf_lte_rrc_inband_DifferentPCI_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Inband_DifferentPCI_NB_r13 },
  {   2, &hf_lte_rrc_guardband_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Guardband_NB_r13 },
  {   3, &hf_lte_rrc_standalone_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Standalone_NB_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_operationModeInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_operationModeInfo_r13, T_operationModeInfo_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MasterInformationBlock_NB_sequence[] = {
  { &hf_lte_rrc_systemFrameNumber_MSB_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_4 },
  { &hf_lte_rrc_hyperSFN_LSB_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_2 },
  { &hf_lte_rrc_schedulingInfoSIB1_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_15 },
  { &hf_lte_rrc_systemInfoValueTag_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_31 },
  { &hf_lte_rrc_ab_Enabled_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_operationModeInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_operationModeInfo_r13 },
  { &hf_lte_rrc_spare_05    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_11 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MasterInformationBlock_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "MasterInformationBlock-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MasterInformationBlock_NB, MasterInformationBlock_NB_sequence);

  return offset;
}



static int
dissect_lte_rrc_BCCH_BCH_MessageType_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_MasterInformationBlock_NB(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t BCCH_BCH_Message_NB_sequence[] = {
  { &hf_lte_rrc_message_14  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_BCH_MessageType_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_BCH_Message_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_BCH_Message_NB, BCCH_BCH_Message_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_ra_ResponseWindowSize_r13_01_vals[] = {
  {   0, "pp2" },
  {   1, "pp3" },
  {   2, "pp4" },
  {   3, "pp5" },
  {   4, "pp6" },
  {   5, "pp7" },
  {   6, "pp8" },
  {   7, "pp10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ra_ResponseWindowSize_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_mac_ContentionResolutionTimer_r13_01_vals[] = {
  {   0, "pp1" },
  {   1, "pp2" },
  {   2, "pp3" },
  {   3, "pp4" },
  {   4, "pp8" },
  {   5, "pp16" },
  {   6, "pp32" },
  {   7, "pp64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_mac_ContentionResolutionTimer_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RACH_Info_NB_r13_sequence[] = {
  { &hf_lte_rrc_ra_ResponseWindowSize_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ra_ResponseWindowSize_r13_01 },
  { &hf_lte_rrc_mac_ContentionResolutionTimer_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_mac_ContentionResolutionTimer_r13_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_Info_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RACH_Info_NB_r13, RACH_Info_NB_r13_sequence);

  return offset;
}


static const per_sequence_t RACH_InfoList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_RACH_InfoList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RACH_Info_NB_r13 },
};

static int
dissect_lte_rrc_RACH_InfoList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_RACH_InfoList_NB_r13, RACH_InfoList_NB_r13_sequence_of,
                                                  1, maxNPRACH_Resources_NB_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_preambleInitialReceivedTargetPower_v1450_vals[] = {
  {   0, "dBm-130" },
  {   1, "dBm-128" },
  {   2, "dBm-126" },
  {   3, "dBm-124" },
  {   4, "dBm-122" },
  {   5, "dBm-88" },
  {   6, "dBm-86" },
  {   7, "dBm-84" },
  {   8, "dBm-82" },
  {   9, "dBm-80" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_preambleInitialReceivedTargetPower_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     10, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_powerRampingStepCE1_r14_vals[] = {
  {   0, "dB0" },
  {   1, "dB2" },
  {   2, "dB4" },
  {   3, "dB6" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerRampingStepCE1_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_preambleInitialReceivedTargetPowerCE1_r14_vals[] = {
  {   0, "dBm-130" },
  {   1, "dBm-128" },
  {   2, "dBm-126" },
  {   3, "dBm-124" },
  {   4, "dBm-122" },
  {   5, "dBm-120" },
  {   6, "dBm-118" },
  {   7, "dBm-116" },
  {   8, "dBm-114" },
  {   9, "dBm-112" },
  {  10, "dBm-110" },
  {  11, "dBm-108" },
  {  12, "dBm-106" },
  {  13, "dBm-104" },
  {  14, "dBm-102" },
  {  15, "dBm-100" },
  {  16, "dBm-98" },
  {  17, "dBm-96" },
  {  18, "dBm-94" },
  {  19, "dBm-92" },
  {  20, "dBm-90" },
  {  21, "dBm-88" },
  {  22, "dBm-86" },
  {  23, "dBm-84" },
  {  24, "dBm-82" },
  {  25, "dBm-80" },
  { 0, NULL }
};

static value_string_ext lte_rrc_T_preambleInitialReceivedTargetPowerCE1_r14_vals_ext = VALUE_STRING_EXT_INIT(lte_rrc_T_preambleInitialReceivedTargetPowerCE1_r14_vals);


static int
dissect_lte_rrc_T_preambleInitialReceivedTargetPowerCE1_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     26, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_powerRampingParametersCE1_r14_sequence[] = {
  { &hf_lte_rrc_powerRampingStepCE1_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_powerRampingStepCE1_r14 },
  { &hf_lte_rrc_preambleInitialReceivedTargetPowerCE1_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_preambleInitialReceivedTargetPowerCE1_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_powerRampingParametersCE1_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_powerRampingParametersCE1_r14, T_powerRampingParametersCE1_r14_sequence);

  return offset;
}


static const per_sequence_t PowerRampingParameters_NB_v1450_sequence[] = {
  { &hf_lte_rrc_preambleInitialReceivedTargetPower_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_preambleInitialReceivedTargetPower_v1450 },
  { &hf_lte_rrc_powerRampingParametersCE1_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerRampingParametersCE1_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PowerRampingParameters_NB_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PowerRampingParameters_NB_v1450, PowerRampingParameters_NB_v1450_sequence);

  return offset;
}


static const per_sequence_t RACH_ConfigCommon_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_powerRampingParameters_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PowerRampingParameters_NB_v1450 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_ConfigCommon_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RACH_ConfigCommon_NB_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t RACH_ConfigCommon_NB_r13_sequence[] = {
  { &hf_lte_rrc_preambleTransMax_CE_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PreambleTransMax },
  { &hf_lte_rrc_powerRampingParameters_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PowerRampingParameters },
  { &hf_lte_rrc_rach_InfoList_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RACH_InfoList_NB_r13 },
  { &hf_lte_rrc_connEstFailOffset_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_15 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RACH_ConfigCommon_NB_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RACH_ConfigCommon_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RACH_ConfigCommon_NB_r13, RACH_ConfigCommon_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_modificationPeriodCoeff_r13_vals[] = {
  {   0, "n16" },
  {   1, "n32" },
  {   2, "n64" },
  {   3, "n128" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_modificationPeriodCoeff_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t BCCH_Config_NB_r13_sequence[] = {
  { &hf_lte_rrc_modificationPeriodCoeff_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_modificationPeriodCoeff_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_Config_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_Config_NB_r13, BCCH_Config_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_defaultPagingCycle_r13_vals[] = {
  {   0, "rf128" },
  {   1, "rf256" },
  {   2, "rf512" },
  {   3, "rf1024" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_defaultPagingCycle_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nB_r13_vals[] = {
  {   0, "fourT" },
  {   1, "twoT" },
  {   2, "oneT" },
  {   3, "halfT" },
  {   4, "quarterT" },
  {   5, "one8thT" },
  {   6, "one16thT" },
  {   7, "one32ndT" },
  {   8, "one64thT" },
  {   9, "one128thT" },
  {  10, "one256thT" },
  {  11, "one512thT" },
  {  12, "one1024thT" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_NumRepetitionPaging_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  {   9, "r512" },
  {  10, "r1024" },
  {  11, "r2048" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_NumRepetitionPaging_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PCCH_Config_NB_r13_sequence[] = {
  { &hf_lte_rrc_defaultPagingCycle_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_defaultPagingCycle_r13 },
  { &hf_lte_rrc_nB_r13      , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nB_r13 },
  { &hf_lte_rrc_npdcch_NumRepetitionPaging_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_NumRepetitionPaging_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PCCH_Config_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PCCH_Config_NB_r13, PCCH_Config_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_nprach_CP_Length_r13_vals[] = {
  {   0, "us66dot7" },
  {   1, "us266dot7" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_CP_Length_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RSRP_ThresholdsNPRACH_InfoList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_RSRP_ThresholdsNPRACH_InfoList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RSRP_Range },
};

static int
dissect_lte_rrc_RSRP_ThresholdsNPRACH_InfoList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_RSRP_ThresholdsNPRACH_InfoList_NB_r13, RSRP_ThresholdsNPRACH_InfoList_NB_r13_sequence_of,
                                                  1, 2, FALSE);

  return offset;
}


static const value_string lte_rrc_T_nprach_Periodicity_r13_vals[] = {
  {   0, "ms40" },
  {   1, "ms80" },
  {   2, "ms160" },
  {   3, "ms240" },
  {   4, "ms320" },
  {   5, "ms640" },
  {   6, "ms1280" },
  {   7, "ms2560" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_Periodicity_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_StartTime_r13_vals[] = {
  {   0, "ms8" },
  {   1, "ms16" },
  {   2, "ms32" },
  {   3, "ms64" },
  {   4, "ms128" },
  {   5, "ms256" },
  {   6, "ms512" },
  {   7, "ms1024" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_StartTime_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_SubcarrierOffset_r13_vals[] = {
  {   0, "n0" },
  {   1, "n12" },
  {   2, "n24" },
  {   3, "n36" },
  {   4, "n2" },
  {   5, "n18" },
  {   6, "n34" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_SubcarrierOffset_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_NumSubcarriers_r13_vals[] = {
  {   0, "n12" },
  {   1, "n24" },
  {   2, "n36" },
  {   3, "n48" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_NumSubcarriers_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_SubcarrierMSG3_RangeStart_r13_vals[] = {
  {   0, "zero" },
  {   1, "oneThird" },
  {   2, "twoThird" },
  {   3, "one" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_SubcarrierMSG3_RangeStart_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_maxNumPreambleAttemptCE_r13_01_vals[] = {
  {   0, "n3" },
  {   1, "n4" },
  {   2, "n5" },
  {   3, "n6" },
  {   4, "n7" },
  {   5, "n8" },
  {   6, "n10" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxNumPreambleAttemptCE_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_numRepetitionsPerPreambleAttempt_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n4" },
  {   3, "n8" },
  {   4, "n16" },
  {   5, "n32" },
  {   6, "n64" },
  {   7, "n128" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_numRepetitionsPerPreambleAttempt_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_NumRepetitions_RA_r13_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  {   9, "r512" },
  {  10, "r1024" },
  {  11, "r2048" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_NumRepetitions_RA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_StartSF_CSS_RA_r13_vals[] = {
  {   0, "v1dot5" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v8" },
  {   4, "v16" },
  {   5, "v32" },
  {   6, "v48" },
  {   7, "v64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_StartSF_CSS_RA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_Offset_RA_r13_vals[] = {
  {   0, "zero" },
  {   1, "oneEighth" },
  {   2, "oneFourth" },
  {   3, "threeEighth" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_Offset_RA_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NPRACH_Parameters_NB_r13_sequence[] = {
  { &hf_lte_rrc_nprach_Periodicity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nprach_Periodicity_r13 },
  { &hf_lte_rrc_nprach_StartTime_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nprach_StartTime_r13 },
  { &hf_lte_rrc_nprach_SubcarrierOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nprach_SubcarrierOffset_r13 },
  { &hf_lte_rrc_nprach_NumSubcarriers_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nprach_NumSubcarriers_r13 },
  { &hf_lte_rrc_nprach_SubcarrierMSG3_RangeStart_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nprach_SubcarrierMSG3_RangeStart_r13 },
  { &hf_lte_rrc_maxNumPreambleAttemptCE_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_maxNumPreambleAttemptCE_r13_01 },
  { &hf_lte_rrc_numRepetitionsPerPreambleAttempt_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_numRepetitionsPerPreambleAttempt_r13 },
  { &hf_lte_rrc_npdcch_NumRepetitions_RA_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_NumRepetitions_RA_r13 },
  { &hf_lte_rrc_npdcch_StartSF_CSS_RA_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_StartSF_CSS_RA_r13 },
  { &hf_lte_rrc_npdcch_Offset_RA_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_Offset_RA_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPRACH_Parameters_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPRACH_Parameters_NB_r13, NPRACH_Parameters_NB_r13_sequence);

  return offset;
}


static const per_sequence_t NPRACH_ParametersList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_NPRACH_ParametersList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPRACH_Parameters_NB_r13 },
};

static int
dissect_lte_rrc_NPRACH_ParametersList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NPRACH_ParametersList_NB_r13, NPRACH_ParametersList_NB_r13_sequence_of,
                                                  1, maxNPRACH_Resources_NB_r13, FALSE);

  return offset;
}


static const per_sequence_t NPRACH_ConfigSIB_NB_r13_sequence[] = {
  { &hf_lte_rrc_nprach_CP_Length_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nprach_CP_Length_r13 },
  { &hf_lte_rrc_rsrp_ThresholdsPrachInfoList_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RSRP_ThresholdsNPRACH_InfoList_NB_r13 },
  { &hf_lte_rrc_nprach_ParametersList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPRACH_ParametersList_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPRACH_ConfigSIB_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPRACH_ConfigSIB_NB_r13, NPRACH_ConfigSIB_NB_r13_sequence);

  return offset;
}


static const per_sequence_t NPDSCH_ConfigCommon_NB_r13_sequence[] = {
  { &hf_lte_rrc_nrs_Power_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M60_50 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPDSCH_ConfigCommon_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPDSCH_ConfigCommon_NB_r13, NPDSCH_ConfigCommon_NB_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_ack_NACK_NumRepetitions_Msg4_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ACK_NACK_NumRepetitions_NB_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13, SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13_sequence_of,
                                                  1, maxNPRACH_Resources_NB_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_srs_SubframeConfig_r13_vals[] = {
  {   0, "sc0" },
  {   1, "sc1" },
  {   2, "sc2" },
  {   3, "sc3" },
  {   4, "sc4" },
  {   5, "sc5" },
  {   6, "sc6" },
  {   7, "sc7" },
  {   8, "sc8" },
  {   9, "sc9" },
  {  10, "sc10" },
  {  11, "sc11" },
  {  12, "sc12" },
  {  13, "sc13" },
  {  14, "sc14" },
  {  15, "sc15" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_srs_SubframeConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2U, NULL, FALSE);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_30(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 30U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_dmrs_Config_r13_sequence[] = {
  { &hf_lte_rrc_threeTone_BaseSequence_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_12 },
  { &hf_lte_rrc_threeTone_CyclicShift_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_2 },
  { &hf_lte_rrc_sixTone_BaseSequence_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_14 },
  { &hf_lte_rrc_sixTone_CyclicShift_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_3 },
  { &hf_lte_rrc_twelveTone_BaseSequence_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_30 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_dmrs_Config_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_dmrs_Config_r13, T_dmrs_Config_r13_sequence);

  return offset;
}


static const per_sequence_t UL_ReferenceSignalsNPUSCH_NB_r13_sequence[] = {
  { &hf_lte_rrc_groupHoppingEnabled_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BOOLEAN },
  { &hf_lte_rrc_groupAssignmentNPUSCH_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_29 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_ReferenceSignalsNPUSCH_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_ReferenceSignalsNPUSCH_NB_r13, UL_ReferenceSignalsNPUSCH_NB_r13_sequence);

  return offset;
}


static const per_sequence_t NPUSCH_ConfigCommon_NB_r13_sequence[] = {
  { &hf_lte_rrc_ack_NACK_NumRepetitions_Msg4_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13 },
  { &hf_lte_rrc_srs_SubframeConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_srs_SubframeConfig_r13 },
  { &hf_lte_rrc_dmrs_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dmrs_Config_r13 },
  { &hf_lte_rrc_ul_ReferenceSignalsNPUSCH_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_ReferenceSignalsNPUSCH_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPUSCH_ConfigCommon_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPUSCH_ConfigCommon_NB_r13, NPUSCH_ConfigCommon_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_alpha_r13_vals[] = {
  {   0, "al0" },
  {   1, "al04" },
  {   2, "al05" },
  {   3, "al06" },
  {   4, "al07" },
  {   5, "al08" },
  {   6, "al09" },
  {   7, "al1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_alpha_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UplinkPowerControlCommon_NB_r13_sequence[] = {
  { &hf_lte_rrc_p0_NominalNPUSCH_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M126_24 },
  { &hf_lte_rrc_alpha_r13   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_alpha_r13 },
  { &hf_lte_rrc_deltaPreambleMsg3_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M1_6 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UplinkPowerControlCommon_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UplinkPowerControlCommon_NB_r13, UplinkPowerControlCommon_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_nprach_NumCBRA_StartSubcarriers_r13_vals[] = {
  {   0, "n8" },
  {   1, "n10" },
  {   2, "n11" },
  {   3, "n12" },
  {   4, "n20" },
  {   5, "n22" },
  {   6, "n23" },
  {   7, "n24" },
  {   8, "n32" },
  {   9, "n34" },
  {  10, "n35" },
  {  11, "n36" },
  {  12, "n40" },
  {  13, "n44" },
  {  14, "n46" },
  {  15, "n48" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_NumCBRA_StartSubcarriers_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NPRACH_Parameters_NB_v1330_sequence[] = {
  { &hf_lte_rrc_nprach_NumCBRA_StartSubcarriers_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_nprach_NumCBRA_StartSubcarriers_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPRACH_Parameters_NB_v1330(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPRACH_Parameters_NB_v1330, NPRACH_Parameters_NB_v1330_sequence);

  return offset;
}


static const per_sequence_t NPRACH_ParametersList_NB_v1330_sequence_of[1] = {
  { &hf_lte_rrc_NPRACH_ParametersList_NB_v1330_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPRACH_Parameters_NB_v1330 },
};

static int
dissect_lte_rrc_NPRACH_ParametersList_NB_v1330(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NPRACH_ParametersList_NB_v1330, NPRACH_ParametersList_NB_v1330_sequence_of,
                                                  1, maxNPRACH_Resources_NB_r13, FALSE);

  return offset;
}


static const per_sequence_t NPRACH_ConfigSIB_NB_v1330_sequence[] = {
  { &hf_lte_rrc_nprach_ParametersList_v1330, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPRACH_ParametersList_NB_v1330 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPRACH_ConfigSIB_NB_v1330(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPRACH_ConfigSIB_NB_v1330, NPRACH_ConfigSIB_NB_v1330_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_nprach_Config_v1330, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NPRACH_ConfigSIB_NB_v1330 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSIB_NB_r13_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_maxNumPreambleAttemptCE_r14_vals[] = {
  {   0, "n3" },
  {   1, "n4" },
  {   2, "n5" },
  {   3, "n6" },
  {   4, "n7" },
  {   5, "n8" },
  {   6, "n10" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_maxNumPreambleAttemptCE_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NPRACH_ConfigSIB_NB_v1450_sequence[] = {
  { &hf_lte_rrc_maxNumPreambleAttemptCE_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_maxNumPreambleAttemptCE_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPRACH_ConfigSIB_NB_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPRACH_ConfigSIB_NB_v1450, NPRACH_ConfigSIB_NB_v1450_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_NB_r13_eag_2_sequence[] = {
  { &hf_lte_rrc_nprach_Config_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NPRACH_ConfigSIB_NB_v1450 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB_NB_r13_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, RadioResourceConfigCommonSIB_NB_r13_eag_2_sequence);

  return offset;
}


static const per_sequence_t RadioResourceConfigCommonSIB_NB_r13_sequence[] = {
  { &hf_lte_rrc_rach_ConfigCommon_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RACH_ConfigCommon_NB_r13 },
  { &hf_lte_rrc_bcch_Config_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_Config_NB_r13 },
  { &hf_lte_rrc_pcch_Config_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PCCH_Config_NB_r13 },
  { &hf_lte_rrc_nprach_Config_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPRACH_ConfigSIB_NB_r13 },
  { &hf_lte_rrc_npdsch_ConfigCommon_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPDSCH_ConfigCommon_NB_r13 },
  { &hf_lte_rrc_npusch_ConfigCommon_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPUSCH_ConfigCommon_NB_r13 },
  { &hf_lte_rrc_dl_Gap_r13  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DL_GapConfig_NB_r13 },
  { &hf_lte_rrc_uplinkPowerControlCommon_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UplinkPowerControlCommon_NB_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB_NB_r13_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB_NB_r13_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RadioResourceConfigCommonSIB_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RadioResourceConfigCommonSIB_NB_r13, RadioResourceConfigCommonSIB_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_t300_r13_vals[] = {
  {   0, "ms2500" },
  {   1, "ms4000" },
  {   2, "ms6000" },
  {   3, "ms10000" },
  {   4, "ms15000" },
  {   5, "ms25000" },
  {   6, "ms40000" },
  {   7, "ms60000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t300_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t301_r13_01_vals[] = {
  {   0, "ms2500" },
  {   1, "ms4000" },
  {   2, "ms6000" },
  {   3, "ms10000" },
  {   4, "ms15000" },
  {   5, "ms25000" },
  {   6, "ms40000" },
  {   7, "ms60000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t301_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t310_r13_01_vals[] = {
  {   0, "ms0" },
  {   1, "ms200" },
  {   2, "ms500" },
  {   3, "ms1000" },
  {   4, "ms2000" },
  {   5, "ms4000" },
  {   6, "ms8000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t310_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n310_r13_01_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n6" },
  {   5, "n8" },
  {   6, "n10" },
  {   7, "n20" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n310_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t311_r13_01_vals[] = {
  {   0, "ms1000" },
  {   1, "ms3000" },
  {   2, "ms5000" },
  {   3, "ms10000" },
  {   4, "ms15000" },
  {   5, "ms20000" },
  {   6, "ms30000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t311_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_n311_r13_01_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  {   3, "n4" },
  {   4, "n5" },
  {   5, "n6" },
  {   6, "n8" },
  {   7, "n10" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_n311_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t311_v1350_01_vals[] = {
  {   0, "ms40000" },
  {   1, "ms60000" },
  {   2, "ms90000" },
  {   3, "ms120000" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t311_v1350_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UE_TimersAndConstants_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_t311_v1350_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_t311_v1350_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_TimersAndConstants_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, UE_TimersAndConstants_NB_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t UE_TimersAndConstants_NB_r13_sequence[] = {
  { &hf_lte_rrc_t300_r13    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t300_r13 },
  { &hf_lte_rrc_t301_r13_01 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t301_r13_01 },
  { &hf_lte_rrc_t310_r13_01 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t310_r13_01 },
  { &hf_lte_rrc_n310_r13_01 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n310_r13_01 },
  { &hf_lte_rrc_t311_r13_01 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t311_r13_01 },
  { &hf_lte_rrc_n311_r13_01 , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_n311_r13_01 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_TimersAndConstants_NB_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_TimersAndConstants_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_TimersAndConstants_NB_r13, UE_TimersAndConstants_NB_r13_sequence);

  return offset;
}


static const per_sequence_t T_freqInfo_r13_01_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreq_NB_r13 },
  { &hf_lte_rrc_additionalSpectrumEmission_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_freqInfo_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_freqInfo_r13_01, T_freqInfo_r13_01_sequence);

  return offset;
}


static const per_sequence_t AdditionalSpectrumEmission_r13_sequence_of[1] = {
  { &hf_lte_rrc_multiBandInfoList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
};

static int
dissect_lte_rrc_AdditionalSpectrumEmission_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AdditionalSpectrumEmission_r13, AdditionalSpectrumEmission_r13_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const value_string lte_rrc_T_cp_Reestablishment_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cp_Reestablishment_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_cp_Reestablishment_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_cp_Reestablishment_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType2_NB_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType2_NB_r13_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigCommon_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigCommonSIB_NB_r13 },
  { &hf_lte_rrc_ue_TimersAndConstants_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_TimersAndConstants_NB_r13 },
  { &hf_lte_rrc_freqInfo_r13_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_freqInfo_r13_01 },
  { &hf_lte_rrc_timeAlignmentTimerCommon_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TimeAlignmentTimer },
  { &hf_lte_rrc_multiBandInfoList_r13_02, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalSpectrumEmission_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType2_NB_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType2_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB2");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType2_NB_r13, SystemInformationBlockType2_NB_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_q_Hyst_r13_02_vals[] = {
  {   0, "dB0" },
  {   1, "dB1" },
  {   2, "dB2" },
  {   3, "dB3" },
  {   4, "dB4" },
  {   5, "dB5" },
  {   6, "dB6" },
  {   7, "dB8" },
  {   8, "dB10" },
  {   9, "dB12" },
  {  10, "dB14" },
  {  11, "dB16" },
  {  12, "dB18" },
  {  13, "dB20" },
  {  14, "dB22" },
  {  15, "dB24" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_q_Hyst_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_cellReselectionInfoCommon_r13_sequence[] = {
  { &hf_lte_rrc_q_Hyst_r13_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_q_Hyst_r13_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellReselectionInfoCommon_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellReselectionInfoCommon_r13, T_cellReselectionInfoCommon_r13_sequence);

  return offset;
}


static const per_sequence_t T_cellReselectionServingFreqInfo_r13_sequence[] = {
  { &hf_lte_rrc_s_NonIntraSearch_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellReselectionServingFreqInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellReselectionServingFreqInfo_r13, T_cellReselectionServingFreqInfo_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_Reselection_NB_r13_vals[] = {
  {   0, "s0" },
  {   1, "s3" },
  {   2, "s6" },
  {   3, "s9" },
  {   4, "s12" },
  {   5, "s15" },
  {   6, "s18" },
  {   7, "s21" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_Reselection_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_intraFreqCellReselectionInfo_r13_sequence[] = {
  { &hf_lte_rrc_q_RxLevMin_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_q_QualMin_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { &hf_lte_rrc_p_Max_r13   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_s_IntraSearchP_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold },
  { &hf_lte_rrc_t_Reselection_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_intraFreqCellReselectionInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_intraFreqCellReselectionInfo_r13, T_intraFreqCellReselectionInfo_r13_sequence);

  return offset;
}


static const per_sequence_t NS_PmaxValue_NB_r13_sequence[] = {
  { &hf_lte_rrc_additionalPmax_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_additionalSpectrumEmission_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AdditionalSpectrumEmission },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NS_PmaxValue_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NS_PmaxValue_NB_r13, NS_PmaxValue_NB_r13_sequence);

  return offset;
}


static const per_sequence_t NS_PmaxList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_NS_PmaxList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NS_PmaxValue_NB_r13 },
};

static int
dissect_lte_rrc_NS_PmaxList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NS_PmaxList_NB_r13, NS_PmaxList_NB_r13_sequence_of,
                                                  1, maxNS_Pmax_NB_r13, FALSE);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_multiBandInfoList_r13_item_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NS_PmaxList_NB_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13, SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t IntraFreqCellReselectionInfo_NB_v1350_sequence[] = {
  { &hf_lte_rrc_delta_RxLevMin_v1350, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_M1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IntraFreqCellReselectionInfo_NB_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1350, IntraFreqCellReselectionInfo_NB_v1350_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_intraFreqCellReselectionInfo_v1350, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IntraFreqCellReselectionInfo_NB_v1350 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_NB_r13_eag_1_sequence);

  return offset;
}



static int
dissect_lte_rrc_ReselectionThreshold_NB_v1360(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            32U, 63U, NULL, FALSE);

  return offset;
}


static const per_sequence_t IntraFreqCellReselectionInfo_NB_v1360_sequence[] = {
  { &hf_lte_rrc_s_IntraSearchP_v1360, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReselectionThreshold_NB_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IntraFreqCellReselectionInfo_NB_v1360(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1360, IntraFreqCellReselectionInfo_NB_v1360_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_NB_r13_eag_2_sequence[] = {
  { &hf_lte_rrc_intraFreqCellReselectionInfo_v1360, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IntraFreqCellReselectionInfo_NB_v1360 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_NB_r13_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_NB_r13_eag_2_sequence);

  return offset;
}


static const value_string lte_rrc_T_powerClass14dBm_Offset_r14_01_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-3" },
  {   2, "dB3" },
  {   3, "dB6" },
  {   4, "dB9" },
  {   5, "dB12" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerClass14dBm_Offset_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_AuthorisationOffset_r14_vals[] = {
  {   0, "dB5" },
  {   1, "dB10" },
  {   2, "dB15" },
  {   3, "dB20" },
  {   4, "dB25" },
  {   5, "dB30" },
  {   6, "dB35" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_AuthorisationOffset_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IntraFreqCellReselectionInfo_NB_v1430_sequence[] = {
  { &hf_lte_rrc_powerClass14dBm_Offset_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerClass14dBm_Offset_r14_01 },
  { &hf_lte_rrc_ce_AuthorisationOffset_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_AuthorisationOffset_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_IntraFreqCellReselectionInfo_NB_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1430, IntraFreqCellReselectionInfo_NB_v1430_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_NB_r13_eag_3_sequence[] = {
  { &hf_lte_rrc_intraFreqCellReselectionInfo_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_IntraFreqCellReselectionInfo_NB_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_NB_r13_eag_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_NB_r13_eag_3_sequence);

  return offset;
}


static const value_string lte_rrc_T_s_SearchDeltaP_r14_vals[] = {
  {   0, "dB6" },
  {   1, "dB9" },
  {   2, "dB12" },
  {   3, "dB15" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_s_SearchDeltaP_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CellReselectionInfoCommon_NB_v1450_sequence[] = {
  { &hf_lte_rrc_s_SearchDeltaP_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_s_SearchDeltaP_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellReselectionInfoCommon_NB_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellReselectionInfoCommon_NB_v1450, CellReselectionInfoCommon_NB_v1450_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_NB_r13_eag_4_sequence[] = {
  { &hf_lte_rrc_cellReselectionInfoCommon_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellReselectionInfoCommon_NB_v1450 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_NB_r13_eag_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType3_NB_r13_eag_4_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType3_NB_r13_sequence[] = {
  { &hf_lte_rrc_cellReselectionInfoCommon_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellReselectionInfoCommon_r13 },
  { &hf_lte_rrc_cellReselectionServingFreqInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellReselectionServingFreqInfo_r13 },
  { &hf_lte_rrc_intraFreqCellReselectionInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_intraFreqCellReselectionInfo_r13 },
  { &hf_lte_rrc_freqBandInfo_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_NB_r13 },
  { &hf_lte_rrc_multiBandInfoList_r13_03, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_NB_r13_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_NB_r13_eag_2 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_NB_r13_eag_3 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType3_NB_r13_eag_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType3_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB3");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType3_NB_r13, SystemInformationBlockType3_NB_r13_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType4_NB_r13_sequence[] = {
  { &hf_lte_rrc_intraFreqNeighCellList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IntraFreqNeighCellList },
  { &hf_lte_rrc_intraFreqBlackCellList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_IntraFreqBlackCellList },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType4_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB4");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType4_NB_r13, SystemInformationBlockType4_NB_r13_sequence);

  return offset;
}


static const per_sequence_t InterFreqNeighCellList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqNeighCellList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
};

static int
dissect_lte_rrc_InterFreqNeighCellList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqNeighCellList_NB_r13, InterFreqNeighCellList_NB_r13_sequence_of,
                                                  1, maxCellInter, FALSE);

  return offset;
}


static const per_sequence_t InterFreqBlackCellList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqBlackCellList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
};

static int
dissect_lte_rrc_InterFreqBlackCellList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqBlackCellList_NB_r13, InterFreqBlackCellList_NB_r13_sequence_of,
                                                  1, maxCellBlack, FALSE);

  return offset;
}


static const per_sequence_t MultiBandInfo_NB_r13_sequence[] = {
  { &hf_lte_rrc_freqBandIndicator_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_FreqBandIndicator_NB_r13 },
  { &hf_lte_rrc_freqBandInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MultiBandInfo_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MultiBandInfo_NB_r13, MultiBandInfo_NB_r13_sequence);

  return offset;
}


static const per_sequence_t MultiBandInfoList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_MultiBandInfoList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MultiBandInfo_NB_r13 },
};

static int
dissect_lte_rrc_MultiBandInfoList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MultiBandInfoList_NB_r13, MultiBandInfoList_NB_r13_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_delta_RxLevMin_v1350, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_M8_M1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, InterFreqCarrierFreqInfo_NB_r13_eag_1_sequence);

  return offset;
}


static const value_string lte_rrc_T_powerClass14dBm_Offset_r14_02_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-3" },
  {   2, "dB3" },
  {   3, "dB6" },
  {   4, "dB9" },
  {   5, "dB12" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerClass14dBm_Offset_r14_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_AuthorisationOffset_r14_01_vals[] = {
  {   0, "dB5" },
  {   1, "dB10" },
  {   2, "dB15" },
  {   3, "dB20" },
  {   4, "dB25" },
  {   5, "dB30" },
  {   6, "dB35" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_AuthorisationOffset_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_NB_r13_eag_2_sequence[] = {
  { &hf_lte_rrc_powerClass14dBm_Offset_r14_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerClass14dBm_Offset_r14_02 },
  { &hf_lte_rrc_ce_AuthorisationOffset_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_AuthorisationOffset_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_NB_r13_eag_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, InterFreqCarrierFreqInfo_NB_r13_eag_2_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqInfo_NB_r13_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_r13_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreq_NB_r13 },
  { &hf_lte_rrc_q_RxLevMin_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_q_QualMin_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_QualMin_r9 },
  { &hf_lte_rrc_p_Max_r13   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_q_OffsetFreq_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_Q_OffsetRange },
  { &hf_lte_rrc_interFreqNeighCellList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqNeighCellList_NB_r13 },
  { &hf_lte_rrc_interFreqBlackCellList_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_InterFreqBlackCellList_NB_r13 },
  { &hf_lte_rrc_multiBandInfoList_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_NB_r13 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_NB_r13_eag_1 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_NB_r13_eag_2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_InterFreqCarrierFreqInfo_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_InterFreqCarrierFreqInfo_NB_r13, InterFreqCarrierFreqInfo_NB_r13_sequence);

  return offset;
}


static const per_sequence_t InterFreqCarrierFreqList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_InterFreqCarrierFreqList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqInfo_NB_r13 },
};

static int
dissect_lte_rrc_InterFreqCarrierFreqList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_InterFreqCarrierFreqList_NB_r13, InterFreqCarrierFreqList_NB_r13_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_scptm_FreqOffset_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_8 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, SystemInformationBlockType5_NB_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType5_NB_r13_sequence[] = {
  { &hf_lte_rrc_interFreqCarrierFreqList_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InterFreqCarrierFreqList_NB_r13 },
  { &hf_lte_rrc_t_Reselection_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_Reselection_NB_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInformationBlockType5_NB_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType5_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB5");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType5_NB_r13, SystemInformationBlockType5_NB_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ab_Category_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ab_BarringForExceptionData_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ab_BarringForExceptionData_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AB_Config_NB_r13_sequence[] = {
  { &hf_lte_rrc_ab_Category_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ab_Category_r13 },
  { &hf_lte_rrc_ab_BarringBitmap_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_10 },
  { &hf_lte_rrc_ab_BarringForExceptionData_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ab_BarringForExceptionData_r13 },
  { &hf_lte_rrc_ab_BarringForSpecialAC_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AB_Config_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AB_Config_NB_r13, AB_Config_NB_r13_sequence);

  return offset;
}


static const per_sequence_t AB_ConfigPLMN_NB_r13_sequence[] = {
  { &hf_lte_rrc_ab_Config_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AB_Config_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_AB_ConfigPLMN_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_AB_ConfigPLMN_NB_r13, AB_ConfigPLMN_NB_r13_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_ab_PerPLMN_List_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_AB_ConfigPLMN_NB_r13 },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13, SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_ab_Param_r13_vals[] = {
  {   0, "ab-Common-r13" },
  {   1, "ab-PerPLMN-List-r13" },
  { 0, NULL }
};

static const per_choice_t T_ab_Param_r13_choice[] = {
  {   0, &hf_lte_rrc_ab_Common_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_AB_Config_NB_r13 },
  {   1, &hf_lte_rrc_ab_PerPLMN_List_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_ab_Param_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_ab_Param_r13, T_ab_Param_r13_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SystemInformationBlockType14_NB_r13_sequence[] = {
  { &hf_lte_rrc_ab_Param_r13, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ab_Param_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType14_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB14");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType14_NB_r13, SystemInformationBlockType14_NB_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_SystemInformationBlockType16_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_SystemInformationBlockType16_r11(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t AdditionalBandInfoList_NB_r14_sequence_of[1] = {
  { &hf_lte_rrc_AdditionalBandInfoList_NB_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_NB_r13 },
};

static int
dissect_lte_rrc_AdditionalBandInfoList_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_AdditionalBandInfoList_NB_r14, AdditionalBandInfoList_NB_r14_sequence_of,
                                                  1, maxMultiBands, FALSE);

  return offset;
}


static const per_sequence_t MBMS_SAI_InterFreq_NB_r14_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreq_NB_r13 },
  { &hf_lte_rrc_mbms_SAI_List_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SAI_List_r11 },
  { &hf_lte_rrc_multiBandInfoList_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_AdditionalBandInfoList_NB_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MBMS_SAI_InterFreq_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MBMS_SAI_InterFreq_NB_r14, MBMS_SAI_InterFreq_NB_r14_sequence);

  return offset;
}


static const per_sequence_t MBMS_SAI_InterFreqList_NB_r14_sequence_of[1] = {
  { &hf_lte_rrc_MBMS_SAI_InterFreqList_NB_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMS_SAI_InterFreq_NB_r14 },
};

static int
dissect_lte_rrc_MBMS_SAI_InterFreqList_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_MBMS_SAI_InterFreqList_NB_r14, MBMS_SAI_InterFreqList_NB_r14_sequence_of,
                                                  1, maxFreq, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType15_NB_r14_sequence[] = {
  { &hf_lte_rrc_mbms_SAI_IntraFreq_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_SAI_List_r11 },
  { &hf_lte_rrc_mbms_SAI_InterFreqList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_MBMS_SAI_InterFreqList_NB_r14 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType15_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB15");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType15_NB_r14, SystemInformationBlockType15_NB_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_npdcch_NumRepetitions_SC_MCCH_r14_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  {   9, "r512" },
  {  10, "r1024" },
  {  11, "r2048" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_NumRepetitions_SC_MCCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     12, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_StartSF_SC_MCCH_r14_vals[] = {
  {   0, "v1dot5" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v8" },
  {   4, "v16" },
  {   5, "v32" },
  {   6, "v48" },
  {   7, "v64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_StartSF_SC_MCCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_Offset_SC_MCCH_r14_vals[] = {
  {   0, "zero" },
  {   1, "oneEighth" },
  {   2, "oneQuarter" },
  {   3, "threeEighth" },
  {   4, "oneHalf" },
  {   5, "fiveEighth" },
  {   6, "threeQuarter" },
  {   7, "sevenEighth" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_Offset_SC_MCCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NPDCCH_SC_MCCH_Config_NB_r14_sequence[] = {
  { &hf_lte_rrc_npdcch_NumRepetitions_SC_MCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_NumRepetitions_SC_MCCH_r14 },
  { &hf_lte_rrc_npdcch_StartSF_SC_MCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_StartSF_SC_MCCH_r14 },
  { &hf_lte_rrc_npdcch_Offset_SC_MCCH_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_Offset_SC_MCCH_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPDCCH_SC_MCCH_Config_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPDCCH_SC_MCCH_Config_NB_r14, NPDCCH_SC_MCCH_Config_NB_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_downlinkBitmapNonAnchor_r14_vals[] = {
  {   0, "useNoBitmap-r14" },
  {   1, "useAnchorBitmap-r14" },
  {   2, "explicitBitmapConfiguration-r14" },
  { 0, NULL }
};

static const per_choice_t T_downlinkBitmapNonAnchor_r14_choice[] = {
  {   0, &hf_lte_rrc_useNoBitmap_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_useAnchorBitmap_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_explicitBitmapConfiguration_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DL_Bitmap_NB_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_downlinkBitmapNonAnchor_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_downlinkBitmapNonAnchor_r14, T_downlinkBitmapNonAnchor_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_dl_GapNonAnchor_r14_vals[] = {
  {   0, "useNoGap-r14" },
  {   1, "useAnchorGapConfig-r14" },
  {   2, "explicitGapConfiguration-r14" },
  { 0, NULL }
};

static const per_choice_t T_dl_GapNonAnchor_r14_choice[] = {
  {   0, &hf_lte_rrc_useNoGap_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   1, &hf_lte_rrc_useAnchorGapConfig_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   2, &hf_lte_rrc_explicitGapConfiguration_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DL_GapConfig_NB_r13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_dl_GapNonAnchor_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_dl_GapNonAnchor_r14, T_dl_GapNonAnchor_r14_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_samePCI_r14_sequence[] = {
  { &hf_lte_rrc_indexToMidPRB_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M55_54 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_samePCI_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_samePCI_r14, T_samePCI_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_eutra_NumCRS_Ports_r14_vals[] = {
  {   0, "same" },
  {   1, "four" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eutra_NumCRS_Ports_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_differentPCI_r14_sequence[] = {
  { &hf_lte_rrc_eutra_NumCRS_Ports_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eutra_NumCRS_Ports_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_differentPCI_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_differentPCI_r14, T_differentPCI_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_samePCI_Indicator_r14_vals[] = {
  {   0, "samePCI-r14" },
  {   1, "differentPCI-r14" },
  { 0, NULL }
};

static const per_choice_t T_samePCI_Indicator_r14_choice[] = {
  {   0, &hf_lte_rrc_samePCI_r14 , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_samePCI_r14 },
  {   1, &hf_lte_rrc_differentPCI_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_differentPCI_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_samePCI_Indicator_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_samePCI_Indicator_r14, T_samePCI_Indicator_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_eutraControlRegionSize_r14_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eutraControlRegionSize_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_inbandCarrierInfo_r14_sequence[] = {
  { &hf_lte_rrc_samePCI_Indicator_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_samePCI_Indicator_r14 },
  { &hf_lte_rrc_eutraControlRegionSize_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_eutraControlRegionSize_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_inbandCarrierInfo_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_inbandCarrierInfo_r14, T_inbandCarrierInfo_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_nrs_PowerOffsetNonAnchor_r14_vals[] = {
  {   0, "dB-12" },
  {   1, "dB-10" },
  {   2, "dB-8" },
  {   3, "dB-6" },
  {   4, "dB-4" },
  {   5, "dB-2" },
  {   6, "dB0" },
  {   7, "dB3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nrs_PowerOffsetNonAnchor_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DL_CarrierConfigCommon_NB_r14_sequence[] = {
  { &hf_lte_rrc_dl_CarrierFreq_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreq_NB_r13 },
  { &hf_lte_rrc_downlinkBitmapNonAnchor_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_downlinkBitmapNonAnchor_r14 },
  { &hf_lte_rrc_dl_GapNonAnchor_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_dl_GapNonAnchor_r14 },
  { &hf_lte_rrc_inbandCarrierInfo_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_inbandCarrierInfo_r14 },
  { &hf_lte_rrc_nrs_PowerOffsetNonAnchor_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_nrs_PowerOffsetNonAnchor_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_CarrierConfigCommon_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_CarrierConfigCommon_NB_r14, DL_CarrierConfigCommon_NB_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_0_maxNonAnchorCarriers_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxNonAnchorCarriers_NB_r14, NULL, FALSE);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_CarrierConfig_r14_vals[] = {
  {   0, "dl-CarrierConfig-r14" },
  {   1, "dl-CarrierIndex-r14" },
  { 0, NULL }
};

static const per_choice_t T_sc_mcch_CarrierConfig_r14_choice[] = {
  {   0, &hf_lte_rrc_dl_CarrierConfig_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DL_CarrierConfigCommon_NB_r14 },
  {   1, &hf_lte_rrc_dl_CarrierIndex_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_maxNonAnchorCarriers_NB_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_sc_mcch_CarrierConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_sc_mcch_CarrierConfig_r14, T_sc_mcch_CarrierConfig_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_RepetitionPeriod_r14_vals[] = {
  {   0, "rf32" },
  {   1, "rf128" },
  {   2, "rf512" },
  {   3, "rf1024" },
  {   4, "rf2048" },
  {   5, "rf4096" },
  {   6, "rf8192" },
  {   7, "rf16384" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sc_mcch_RepetitionPeriod_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_sc_mcch_ModificationPeriod_r14_vals[] = {
  {   0, "rf32" },
  {   1, "rf128" },
  {   2, "rf256" },
  {   3, "rf512" },
  {   4, "rf1024" },
  {   5, "rf2048" },
  {   6, "rf4096" },
  {   7, "rf8192" },
  {   8, "rf16384" },
  {   9, "rf32768" },
  {  10, "rf65536" },
  {  11, "rf131072" },
  {  12, "rf262144" },
  {  13, "rf524288" },
  {  14, "rf1048576" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_sc_mcch_ModificationPeriod_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_onDurationTimerSCPTM_r14_02_vals[] = {
  {   0, "pp1" },
  {   1, "pp2" },
  {   2, "pp3" },
  {   3, "pp4" },
  {   4, "pp8" },
  {   5, "pp16" },
  {   6, "pp32" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_onDurationTimerSCPTM_r14_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_InactivityTimerSCPTM_r14_02_vals[] = {
  {   0, "pp0" },
  {   1, "pp1" },
  {   2, "pp2" },
  {   3, "pp3" },
  {   4, "pp4" },
  {   5, "pp8" },
  {   6, "pp16" },
  {   7, "pp32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r14_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_02_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf32" },
  {   3, "sf40" },
  {   4, "sf64" },
  {   5, "sf80" },
  {   6, "sf128" },
  {   7, "sf160" },
  {   8, "sf256" },
  {   9, "sf320" },
  {  10, "sf512" },
  {  11, "sf640" },
  {  12, "sf1024" },
  {  13, "sf2048" },
  {  14, "sf4096" },
  {  15, "sf8192" },
  { 0, NULL }
};

static const per_choice_t T_schedulingPeriodStartOffsetSCPTM_r14_02_choice[] = {
  {   0, &hf_lte_rrc_sf10        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_9 },
  {   1, &hf_lte_rrc_sf20        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_19 },
  {   2, &hf_lte_rrc_sf32        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_31 },
  {   3, &hf_lte_rrc_sf40        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_39 },
  {   4, &hf_lte_rrc_sf64        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_63 },
  {   5, &hf_lte_rrc_sf80        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_79 },
  {   6, &hf_lte_rrc_sf128       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_127 },
  {   7, &hf_lte_rrc_sf160       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_159 },
  {   8, &hf_lte_rrc_sf256       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_255 },
  {   9, &hf_lte_rrc_sf320       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_319 },
  {  10, &hf_lte_rrc_sf512       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_511 },
  {  11, &hf_lte_rrc_sf640       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_639 },
  {  12, &hf_lte_rrc_sf1024      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_1023 },
  {  13, &hf_lte_rrc_sf2048      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_2047 },
  {  14, &hf_lte_rrc_sf4096      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_4095 },
  {  15, &hf_lte_rrc_sf8192      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_8191 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_02, T_schedulingPeriodStartOffsetSCPTM_r14_02_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SC_MCCH_SchedulingInfo_NB_r14_sequence[] = {
  { &hf_lte_rrc_onDurationTimerSCPTM_r14_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_onDurationTimerSCPTM_r14_02 },
  { &hf_lte_rrc_drx_InactivityTimerSCPTM_r14_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r14_02 },
  { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_02 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MCCH_SchedulingInfo_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MCCH_SchedulingInfo_NB_r14, SC_MCCH_SchedulingInfo_NB_r14_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType20_NB_r14_sequence[] = {
  { &hf_lte_rrc_npdcch_SC_MCCH_Config_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPDCCH_SC_MCCH_Config_NB_r14 },
  { &hf_lte_rrc_sc_mcch_CarrierConfig_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_CarrierConfig_r14 },
  { &hf_lte_rrc_sc_mcch_RepetitionPeriod_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_RepetitionPeriod_r14 },
  { &hf_lte_rrc_sc_mcch_Offset_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_0_10 },
  { &hf_lte_rrc_sc_mcch_ModificationPeriod_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mcch_ModificationPeriod_r14 },
  { &hf_lte_rrc_sc_mcch_SchedulingInfo_r14_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SC_MCCH_SchedulingInfo_NB_r14 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType20_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB20");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType20_NB_r14, SystemInformationBlockType20_NB_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_npdcch_NumRepetitionPaging_r14_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  {   9, "r512" },
  {  10, "r1024" },
  {  11, "r2048" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_NumRepetitionPaging_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_PagingWeight_NB_r14_vals[] = {
  {   0, "w1" },
  {   1, "w2" },
  {   2, "w3" },
  {   3, "w4" },
  {   4, "w5" },
  {   5, "w6" },
  {   6, "w7" },
  {   7, "w8" },
  {   8, "w9" },
  {   9, "w10" },
  {  10, "w11" },
  {  11, "w12" },
  {  12, "w13" },
  {  13, "w14" },
  {  14, "w15" },
  {  15, "w16" },
  { 0, NULL }
};


static int
dissect_lte_rrc_PagingWeight_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PCCH_Config_NB_r14_sequence[] = {
  { &hf_lte_rrc_npdcch_NumRepetitionPaging_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_npdcch_NumRepetitionPaging_r14 },
  { &hf_lte_rrc_pagingWeight_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PagingWeight_NB_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PCCH_Config_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PCCH_Config_NB_r14, PCCH_Config_NB_r14_sequence);

  return offset;
}


static const per_sequence_t DL_ConfigCommon_NB_r14_sequence[] = {
  { &hf_lte_rrc_dl_CarrierConfig_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_CarrierConfigCommon_NB_r14 },
  { &hf_lte_rrc_pcch_Config_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PCCH_Config_NB_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_ConfigCommon_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_ConfigCommon_NB_r14, DL_ConfigCommon_NB_r14_sequence);

  return offset;
}


static const per_sequence_t DL_ConfigCommonList_NB_r14_sequence_of[1] = {
  { &hf_lte_rrc_DL_ConfigCommonList_NB_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_ConfigCommon_NB_r14 },
};

static int
dissect_lte_rrc_DL_ConfigCommonList_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_DL_ConfigCommonList_NB_r14, DL_ConfigCommonList_NB_r14_sequence_of,
                                                  1, maxNonAnchorCarriers_NB_r14, FALSE);

  return offset;
}


static const value_string lte_rrc_T_nprach_Periodicity_r14_vals[] = {
  {   0, "ms40" },
  {   1, "ms80" },
  {   2, "ms160" },
  {   3, "ms240" },
  {   4, "ms320" },
  {   5, "ms640" },
  {   6, "ms1280" },
  {   7, "ms2560" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_Periodicity_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_StartTime_r14_vals[] = {
  {   0, "ms8" },
  {   1, "ms16" },
  {   2, "ms32" },
  {   3, "ms64" },
  {   4, "ms128" },
  {   5, "ms256" },
  {   6, "ms512" },
  {   7, "ms1024" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_StartTime_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_SubcarrierOffset_r14_vals[] = {
  {   0, "n0" },
  {   1, "n12" },
  {   2, "n24" },
  {   3, "n36" },
  {   4, "n2" },
  {   5, "n18" },
  {   6, "n34" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_SubcarrierOffset_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_NumSubcarriers_r14_vals[] = {
  {   0, "n12" },
  {   1, "n24" },
  {   2, "n36" },
  {   3, "n48" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_NumSubcarriers_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_SubcarrierMSG3_RangeStart_r14_vals[] = {
  {   0, "zero" },
  {   1, "oneThird" },
  {   2, "twoThird" },
  {   3, "one" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_SubcarrierMSG3_RangeStart_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_NumRepetitions_RA_r14_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  {   9, "r512" },
  {  10, "r1024" },
  {  11, "r2048" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_NumRepetitions_RA_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_StartSF_CSS_RA_r14_vals[] = {
  {   0, "v1dot5" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v8" },
  {   4, "v16" },
  {   5, "v32" },
  {   6, "v48" },
  {   7, "v64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_StartSF_CSS_RA_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_Offset_RA_r14_vals[] = {
  {   0, "zero" },
  {   1, "oneEighth" },
  {   2, "oneFourth" },
  {   3, "threeEighth" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_Offset_RA_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nprach_NumCBRA_StartSubcarriers_r14_vals[] = {
  {   0, "n8" },
  {   1, "n10" },
  {   2, "n11" },
  {   3, "n12" },
  {   4, "n20" },
  {   5, "n22" },
  {   6, "n23" },
  {   7, "n24" },
  {   8, "n32" },
  {   9, "n34" },
  {  10, "n35" },
  {  11, "n36" },
  {  12, "n40" },
  {  13, "n44" },
  {  14, "n46" },
  {  15, "n48" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_NumCBRA_StartSubcarriers_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_INTEGER_1_maxNonAnchorCarriers_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxNonAnchorCarriers_NB_r14, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_nprach_Parameters_r14_sequence[] = {
  { &hf_lte_rrc_nprach_Periodicity_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_nprach_Periodicity_r14 },
  { &hf_lte_rrc_nprach_StartTime_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_nprach_StartTime_r14 },
  { &hf_lte_rrc_nprach_SubcarrierOffset_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_nprach_SubcarrierOffset_r14 },
  { &hf_lte_rrc_nprach_NumSubcarriers_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_nprach_NumSubcarriers_r14 },
  { &hf_lte_rrc_nprach_SubcarrierMSG3_RangeStart_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_nprach_SubcarrierMSG3_RangeStart_r14 },
  { &hf_lte_rrc_npdcch_NumRepetitions_RA_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_npdcch_NumRepetitions_RA_r14 },
  { &hf_lte_rrc_npdcch_StartSF_CSS_RA_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_npdcch_StartSF_CSS_RA_r14 },
  { &hf_lte_rrc_npdcch_Offset_RA_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_npdcch_Offset_RA_r14 },
  { &hf_lte_rrc_nprach_NumCBRA_StartSubcarriers_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_nprach_NumCBRA_StartSubcarriers_r14 },
  { &hf_lte_rrc_npdcch_CarrierIndex_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxNonAnchorCarriers_NB_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nprach_Parameters_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nprach_Parameters_r14, T_nprach_Parameters_r14_sequence);

  return offset;
}


static const per_sequence_t NPRACH_Parameters_NB_r14_sequence[] = {
  { &hf_lte_rrc_nprach_Parameters_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nprach_Parameters_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPRACH_Parameters_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPRACH_Parameters_NB_r14, NPRACH_Parameters_NB_r14_sequence);

  return offset;
}


static const per_sequence_t NPRACH_ParametersList_NB_r14_sequence_of[1] = {
  { &hf_lte_rrc_NPRACH_ParametersList_NB_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPRACH_Parameters_NB_r14 },
};

static int
dissect_lte_rrc_NPRACH_ParametersList_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NPRACH_ParametersList_NB_r14, NPRACH_ParametersList_NB_r14_sequence_of,
                                                  1, maxNPRACH_Resources_NB_r13, FALSE);

  return offset;
}


static const per_sequence_t UL_ConfigCommon_NB_r14_sequence[] = {
  { &hf_lte_rrc_ul_CarrierFreq_r14_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CarrierFreq_NB_r13 },
  { &hf_lte_rrc_nprach_ParametersList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_NPRACH_ParametersList_NB_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_ConfigCommon_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_ConfigCommon_NB_r14, UL_ConfigCommon_NB_r14_sequence);

  return offset;
}


static const per_sequence_t UL_ConfigCommonList_NB_r14_sequence_of[1] = {
  { &hf_lte_rrc_UL_ConfigCommonList_NB_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_ConfigCommon_NB_r14 },
};

static int
dissect_lte_rrc_UL_ConfigCommonList_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_UL_ConfigCommonList_NB_r14, UL_ConfigCommonList_NB_r14_sequence_of,
                                                  1, maxNonAnchorCarriers_NB_r14, FALSE);

  return offset;
}


static const value_string lte_rrc_T_nprach_ProbabilityAnchor_r14_vals[] = {
  {   0, "zero" },
  {   1, "oneSixteenth" },
  {   2, "oneFifteenth" },
  {   3, "oneFourteenth" },
  {   4, "oneThirteenth" },
  {   5, "oneTwelfth" },
  {   6, "oneEleventh" },
  {   7, "oneTenth" },
  {   8, "oneNinth" },
  {   9, "oneEighth" },
  {  10, "oneSeventh" },
  {  11, "oneSixth" },
  {  12, "oneFifth" },
  {  13, "oneFourth" },
  {  14, "oneThird" },
  {  15, "oneHalf" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nprach_ProbabilityAnchor_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t NPRACH_ProbabilityAnchor_NB_r14_sequence[] = {
  { &hf_lte_rrc_nprach_ProbabilityAnchor_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nprach_ProbabilityAnchor_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_NPRACH_ProbabilityAnchor_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_NPRACH_ProbabilityAnchor_NB_r14, NPRACH_ProbabilityAnchor_NB_r14_sequence);

  return offset;
}


static const per_sequence_t NPRACH_ProbabilityAnchorList_NB_r14_sequence_of[1] = {
  { &hf_lte_rrc_NPRACH_ProbabilityAnchorList_NB_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NPRACH_ProbabilityAnchor_NB_r14 },
};

static int
dissect_lte_rrc_NPRACH_ProbabilityAnchorList_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_NPRACH_ProbabilityAnchorList_NB_r14, NPRACH_ProbabilityAnchorList_NB_r14_sequence_of,
                                                  1, maxNPRACH_Resources_NB_r13, FALSE);

  return offset;
}


static const per_sequence_t SystemInformationBlockType22_NB_r14_sequence[] = {
  { &hf_lte_rrc_dl_ConfigList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_DL_ConfigCommonList_NB_r14 },
  { &hf_lte_rrc_ul_ConfigList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_UL_ConfigCommonList_NB_r14 },
  { &hf_lte_rrc_pagingWeightAnchor_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_PagingWeight_NB_r14 },
  { &hf_lte_rrc_nprach_ProbabilityAnchorList_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_NPRACH_ProbabilityAnchorList_NB_r14 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType22_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, " SIB22");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType22_NB_r14, SystemInformationBlockType22_NB_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_sib_TypeAndInfo_r13_item_vals[] = {
  {   0, "sib2-r13" },
  {   1, "sib3-r13" },
  {   2, "sib4-r13" },
  {   3, "sib5-r13" },
  {   4, "sib14-r13" },
  {   5, "sib16-r13" },
  {   6, "sib15-v1430" },
  {   7, "sib20-v1430" },
  {   8, "sib22-v1430" },
  { 0, NULL }
};

static const per_choice_t T_sib_TypeAndInfo_r13_item_choice[] = {
  {   0, &hf_lte_rrc_sib2_r13    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType2_NB_r13 },
  {   1, &hf_lte_rrc_sib3_r13    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType3_NB_r13 },
  {   2, &hf_lte_rrc_sib4_r13    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType4_NB_r13 },
  {   3, &hf_lte_rrc_sib5_r13    , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType5_NB_r13 },
  {   4, &hf_lte_rrc_sib14_r13   , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType14_NB_r13 },
  {   5, &hf_lte_rrc_sib16_r13   , ASN1_EXTENSION_ROOT    , dissect_lte_rrc_SystemInformationBlockType16_NB_r13 },
  {   6, &hf_lte_rrc_sib15_v1430 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType15_NB_r14 },
  {   7, &hf_lte_rrc_sib20_v1430 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType20_NB_r14 },
  {   8, &hf_lte_rrc_sib22_v1430 , ASN1_NOT_EXTENSION_ROOT, dissect_lte_rrc_SystemInformationBlockType22_NB_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_sib_TypeAndInfo_r13_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_sib_TypeAndInfo_r13_item, T_sib_TypeAndInfo_r13_item_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_sib_TypeAndInfo_r13_sequence_of[1] = {
  { &hf_lte_rrc_sib_TypeAndInfo_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sib_TypeAndInfo_r13_item },
};

static int
dissect_lte_rrc_T_sib_TypeAndInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_T_sib_TypeAndInfo_r13, T_sib_TypeAndInfo_r13_sequence_of,
                                                  1, maxSIB, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_86_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_86(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_86, T_nonCriticalExtension_86_sequence);

  return offset;
}


static const per_sequence_t SystemInformation_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_sib_TypeAndInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sib_TypeAndInfo_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_259, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_86 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformation_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformation_NB_r13_IEs, SystemInformation_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_70_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_70(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_70, T_criticalExtensionsFuture_70_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_70_vals[] = {
  {   0, "systemInformation-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_70_choice[] = {
  {   0, &hf_lte_rrc_systemInformation_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformation_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_70, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_70 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_70(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_70, T_criticalExtensions_70_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SystemInformation_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_70, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_70 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformation_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SystemInformation-NB [");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformation_NB, SystemInformation_NB_sequence);

  col_append_str(actx->pinfo->cinfo, COL_INFO, " ]");


  return offset;
}


static const value_string lte_rrc_T_cellReservedForOperatorUse_r13_vals[] = {
  {   0, "reserved" },
  {   1, "notReserved" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cellReservedForOperatorUse_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_attachWithoutPDN_Connectivity_r13_03_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_attachWithoutPDN_Connectivity_r13_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PLMN_IdentityInfo_NB_r13_sequence[] = {
  { &hf_lte_rrc_plmn_Identity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_Identity },
  { &hf_lte_rrc_cellReservedForOperatorUse_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellReservedForOperatorUse_r13 },
  { &hf_lte_rrc_attachWithoutPDN_Connectivity_r13_03, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_attachWithoutPDN_Connectivity_r13_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PLMN_IdentityInfo_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PLMN_IdentityInfo_NB_r13, PLMN_IdentityInfo_NB_r13_sequence);

  return offset;
}


static const per_sequence_t PLMN_IdentityList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_PLMN_IdentityList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_IdentityInfo_NB_r13 },
};

static int
dissect_lte_rrc_PLMN_IdentityList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PLMN_IdentityList_NB_r13, PLMN_IdentityList_NB_r13_sequence_of,
                                                  1, maxPLMN_r11, FALSE);

  return offset;
}


static const value_string lte_rrc_T_cellBarred_r13_vals[] = {
  {   0, "barred" },
  {   1, "notBarred" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_cellBarred_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_intraFreqReselection_r13_vals[] = {
  {   0, "allowed" },
  {   1, "notAllowed" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_intraFreqReselection_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_cellAccessRelatedInfo_r13_sequence[] = {
  { &hf_lte_rrc_plmn_IdentityList_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PLMN_IdentityList_NB_r13 },
  { &hf_lte_rrc_trackingAreaCode_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_TrackingAreaCode },
  { &hf_lte_rrc_cellIdentity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_CellIdentity },
  { &hf_lte_rrc_cellBarred_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellBarred_r13 },
  { &hf_lte_rrc_intraFreqReselection_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_intraFreqReselection_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellAccessRelatedInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellAccessRelatedInfo_r13, T_cellAccessRelatedInfo_r13_sequence);

  return offset;
}


static const per_sequence_t T_cellSelectionInfo_r13_sequence[] = {
  { &hf_lte_rrc_q_RxLevMin_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_RxLevMin },
  { &hf_lte_rrc_q_QualMin_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_Q_QualMin_r9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_cellSelectionInfo_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_cellSelectionInfo_r13, T_cellSelectionInfo_r13_sequence);

  return offset;
}


static const value_string lte_rrc_T_eutraControlRegionSize_r13_vals[] = {
  {   0, "n1" },
  {   1, "n2" },
  {   2, "n3" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_eutraControlRegionSize_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_nrs_CRS_PowerOffset_r13_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4dot77" },
  {   2, "dB-3" },
  {   3, "dB-1dot77" },
  {   4, "dB0" },
  {   5, "dB1" },
  {   6, "dB1dot23" },
  {   7, "dB2" },
  {   8, "dB3" },
  {   9, "dB4" },
  {  10, "dB4dot23" },
  {  11, "dB5" },
  {  12, "dB6" },
  {  13, "dB7" },
  {  14, "dB8" },
  {  15, "dB9" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nrs_CRS_PowerOffset_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_si_Periodicity_r13_vals[] = {
  {   0, "rf64" },
  {   1, "rf128" },
  {   2, "rf256" },
  {   3, "rf512" },
  {   4, "rf1024" },
  {   5, "rf2048" },
  {   6, "rf4096" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_Periodicity_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_si_RepetitionPattern_r13_01_vals[] = {
  {   0, "every2ndRF" },
  {   1, "every4thRF" },
  {   2, "every8thRF" },
  {   3, "every16thRF" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_RepetitionPattern_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_SIB_Type_NB_r13_vals[] = {
  {   0, "sibType3-NB-r13" },
  {   1, "sibType4-NB-r13" },
  {   2, "sibType5-NB-r13" },
  {   3, "sibType14-NB-r13" },
  {   4, "sibType16-NB-r13" },
  {   5, "sibType15-NB-r14" },
  {   6, "sibType20-NB-r14" },
  {   7, "sibType22-NB-r14" },
  { 0, NULL }
};


static int
dissect_lte_rrc_SIB_Type_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SIB_MappingInfo_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_SIB_MappingInfo_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SIB_Type_NB_r13 },
};

static int
dissect_lte_rrc_SIB_MappingInfo_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SIB_MappingInfo_NB_r13, SIB_MappingInfo_NB_r13_sequence_of,
                                                  0, maxSIB_1, FALSE);

  return offset;
}


static const value_string lte_rrc_T_si_TB_r13_vals[] = {
  {   0, "b56" },
  {   1, "b120" },
  {   2, "b208" },
  {   3, "b256" },
  {   4, "b328" },
  {   5, "b440" },
  {   6, "b552" },
  {   7, "b680" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_TB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SchedulingInfo_NB_r13_sequence[] = {
  { &hf_lte_rrc_si_Periodicity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_Periodicity_r13 },
  { &hf_lte_rrc_si_RepetitionPattern_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_RepetitionPattern_r13_01 },
  { &hf_lte_rrc_sib_MappingInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SIB_MappingInfo_NB_r13 },
  { &hf_lte_rrc_si_TB_r13   , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_TB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SchedulingInfo_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SchedulingInfo_NB_r13, SchedulingInfo_NB_r13_sequence);

  return offset;
}


static const per_sequence_t SchedulingInfoList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_SchedulingInfoList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SchedulingInfo_NB_r13 },
};

static int
dissect_lte_rrc_SchedulingInfoList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SchedulingInfoList_NB_r13, SchedulingInfoList_NB_r13_sequence_of,
                                                  1, maxSI_Message_NB_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_si_WindowLength_r13_vals[] = {
  {   0, "ms160" },
  {   1, "ms320" },
  {   2, "ms480" },
  {   3, "ms640" },
  {   4, "ms960" },
  {   5, "ms1280" },
  {   6, "ms1600" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_si_WindowLength_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SystemInfoValueTagList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_SystemInfoValueTagList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SystemInfoValueTagSI_r13 },
};

static int
dissect_lte_rrc_SystemInfoValueTagList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SystemInfoValueTagList_NB_r13, SystemInfoValueTagList_NB_r13_sequence_of,
                                                  1, maxSI_Message_NB_r13, FALSE);

  return offset;
}


static const per_sequence_t CellSelectionInfo_NB_v1350_sequence[] = {
  { &hf_lte_rrc_delta_RxLevMin_v1350, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_M8_M1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfo_NB_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfo_NB_v1350, CellSelectionInfo_NB_v1350_sequence);

  return offset;
}


static const value_string lte_rrc_T_powerClass14dBm_Offset_r14_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-3" },
  {   2, "dB3" },
  {   3, "dB6" },
  {   4, "dB9" },
  {   5, "dB12" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerClass14dBm_Offset_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_ce_authorisationOffset_r14_vals[] = {
  {   0, "dB5" },
  {   1, "dB10" },
  {   2, "dB15" },
  {   3, "dB20" },
  {   4, "dB25" },
  {   5, "dB30" },
  {   6, "dB35" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ce_authorisationOffset_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t CellSelectionInfo_NB_v1430_sequence[] = {
  { &hf_lte_rrc_powerClass14dBm_Offset_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerClass14dBm_Offset_r14 },
  { &hf_lte_rrc_ce_authorisationOffset_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ce_authorisationOffset_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_CellSelectionInfo_NB_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_CellSelectionInfo_NB_v1430, CellSelectionInfo_NB_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_nrs_CRS_PowerOffset_v1450_vals[] = {
  {   0, "dB-6" },
  {   1, "dB-4dot77" },
  {   2, "dB-3" },
  {   3, "dB-1dot77" },
  {   4, "dB0" },
  {   5, "dB1" },
  {   6, "dB1dot23" },
  {   7, "dB2" },
  {   8, "dB3" },
  {   9, "dB4" },
  {  10, "dB4dot23" },
  {  11, "dB5" },
  {  12, "dB6" },
  {  13, "dB7" },
  {  14, "dB8" },
  {  15, "dB9" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_nrs_CRS_PowerOffset_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_87_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_87(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_87, T_nonCriticalExtension_87_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_NB_v1450_sequence[] = {
  { &hf_lte_rrc_nrs_CRS_PowerOffset_v1450, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nrs_CRS_PowerOffset_v1450 },
  { &hf_lte_rrc_nonCriticalExtension_263, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_87 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_NB_v1450(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_NB_v1450, SystemInformationBlockType1_NB_v1450_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_NB_v1430_sequence[] = {
  { &hf_lte_rrc_cellSelectionInfo_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfo_NB_v1430 },
  { &hf_lte_rrc_nonCriticalExtension_262, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_NB_v1450 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_NB_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_NB_v1430, SystemInformationBlockType1_NB_v1430_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_NB_v1350_sequence[] = {
  { &hf_lte_rrc_cellSelectionInfo_v1350, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CellSelectionInfo_NB_v1350 },
  { &hf_lte_rrc_nonCriticalExtension_261, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_NB_v1430 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_NB_v1350(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_NB_v1350, SystemInformationBlockType1_NB_v1350_sequence);

  return offset;
}


static const per_sequence_t SystemInformationBlockType1_NB_sequence[] = {
  { &hf_lte_rrc_hyperSFN_MSB_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_8 },
  { &hf_lte_rrc_cellAccessRelatedInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellAccessRelatedInfo_r13 },
  { &hf_lte_rrc_cellSelectionInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_cellSelectionInfo_r13 },
  { &hf_lte_rrc_p_Max_r13   , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_P_Max },
  { &hf_lte_rrc_freqBandIndicator_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_FreqBandIndicator_NB_r13 },
  { &hf_lte_rrc_freqBandInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_NS_PmaxList_NB_r13 },
  { &hf_lte_rrc_multiBandInfoList_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MultiBandInfoList_NB_r13 },
  { &hf_lte_rrc_downlinkBitmap_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DL_Bitmap_NB_r13 },
  { &hf_lte_rrc_eutraControlRegionSize_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_eutraControlRegionSize_r13 },
  { &hf_lte_rrc_nrs_CRS_PowerOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nrs_CRS_PowerOffset_r13 },
  { &hf_lte_rrc_schedulingInfoList_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SchedulingInfoList_NB_r13 },
  { &hf_lte_rrc_si_WindowLength_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_si_WindowLength_r13 },
  { &hf_lte_rrc_si_RadioFrameOffset_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_15 },
  { &hf_lte_rrc_systemInfoValueTagList_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInfoValueTagList_NB_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_260, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SystemInformationBlockType1_NB_v1350 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SystemInformationBlockType1_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_str(actx->pinfo->cinfo, COL_INFO, "SystemInformationBlockType1-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SystemInformationBlockType1_NB, SystemInformationBlockType1_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_53_vals[] = {
  {   0, "systemInformation-r13" },
  {   1, "systemInformationBlockType1-r13" },
  { 0, NULL }
};

static const per_choice_t T_c1_53_choice[] = {
  {   0, &hf_lte_rrc_systemInformation_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformation_NB },
  {   1, &hf_lte_rrc_systemInformationBlockType1_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SystemInformationBlockType1_NB },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_53(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_53, T_c1_53_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_10_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_10, T_messageClassExtension_10_sequence);

  return offset;
}


static const value_string lte_rrc_BCCH_DL_SCH_MessageType_NB_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t BCCH_DL_SCH_MessageType_NB_choice[] = {
  {   0, &hf_lte_rrc_c1_53       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_53 },
  {   1, &hf_lte_rrc_messageClassExtension_10, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_10 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_DL_SCH_MessageType_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_BCCH_DL_SCH_MessageType_NB, BCCH_DL_SCH_MessageType_NB_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t BCCH_DL_SCH_Message_NB_sequence[] = {
  { &hf_lte_rrc_message_15  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BCCH_DL_SCH_MessageType_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_BCCH_DL_SCH_Message_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_BCCH_DL_SCH_Message_NB, BCCH_DL_SCH_Message_NB_sequence);

  return offset;
}


static const per_sequence_t PagingRecord_NB_r13_sequence[] = {
  { &hf_lte_rrc_ue_Identity_r13, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PagingUE_Identity },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PagingRecord_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PagingRecord_NB_r13, PagingRecord_NB_r13_sequence);

  return offset;
}


static const per_sequence_t PagingRecordList_NB_r13_sequence_of[1] = {
  { &hf_lte_rrc_PagingRecordList_NB_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PagingRecord_NB_r13 },
};

static int
dissect_lte_rrc_PagingRecordList_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_PagingRecordList_NB_r13, PagingRecordList_NB_r13_sequence_of,
                                                  1, maxPageRec, FALSE);

  return offset;
}


static const value_string lte_rrc_T_systemInfoModification_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_systemInfoModification_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_systemInfoModification_eDRX_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_systemInfoModification_eDRX_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_74_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_74(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_74, T_nonCriticalExtension_74_sequence);

  return offset;
}


static const per_sequence_t Paging_NB_sequence[] = {
  { &hf_lte_rrc_pagingRecordList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PagingRecordList_NB_r13 },
  { &hf_lte_rrc_systemInfoModification_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_systemInfoModification_r13 },
  { &hf_lte_rrc_systemInfoModification_eDRX_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_systemInfoModification_eDRX_r13_01 },
  { &hf_lte_rrc_nonCriticalExtension_244, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_74 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_Paging_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "Paging-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_Paging_NB, Paging_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_54_vals[] = {
  {   0, "paging-r13" },
  { 0, NULL }
};

static const per_choice_t T_c1_54_choice[] = {
  {   0, &hf_lte_rrc_paging_r13  , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_Paging_NB },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_54(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_54, T_c1_54_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_11_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_11, T_messageClassExtension_11_sequence);

  return offset;
}


static const value_string lte_rrc_PCCH_MessageType_NB_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t PCCH_MessageType_NB_choice[] = {
  {   0, &hf_lte_rrc_c1_54       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_54 },
  {   1, &hf_lte_rrc_messageClassExtension_11, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_11 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_PCCH_MessageType_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_PCCH_MessageType_NB, PCCH_MessageType_NB_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PCCH_Message_NB_sequence[] = {
  { &hf_lte_rrc_message_16  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PCCH_MessageType_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PCCH_Message_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PCCH_Message_NB, PCCH_Message_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_77_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_77(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_77, T_nonCriticalExtension_77_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishment_NB_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_dl_NAS_MAC  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_nonCriticalExtension_248, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_77 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishment_NB_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishment_NB_v1430_IEs, RRCConnectionReestablishment_NB_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishment_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicated_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_NB_r13 },
  { &hf_lte_rrc_nextHopChainingCount_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NextHopChainingCount },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_247, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionReestablishment_NB_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishment_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishment_NB_r13_IEs, RRCConnectionReestablishment_NB_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_62_vals[] = {
  {   0, "rrcConnectionReestablishment-r13" },
  {   1, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_62_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishment_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishment_NB_r13_IEs },
  {   1, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_62(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_62, T_c1_62_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_59_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_59(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_59, T_criticalExtensionsFuture_59_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_59_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_59_choice[] = {
  {   0, &hf_lte_rrc_c1_62       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_62 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_59, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_59 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_59(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_59, T_criticalExtensions_59_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishment_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_59, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_59 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishment_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReestablishment-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishment_NB, RRCConnectionReestablishment_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_rrc_SuspendIndication_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rrc_SuspendIndication_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_79_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_79(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_79, T_nonCriticalExtension_79_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReject_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_extendedWaitTime_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_1800 },
  { &hf_lte_rrc_rrc_SuspendIndication_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rrc_SuspendIndication_r13_01 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_250, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_79 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReject_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReject_NB_r13_IEs, RRCConnectionReject_NB_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_63_vals[] = {
  {   0, "rrcConnectionReject-r13" },
  {   1, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_63_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReject_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReject_NB_r13_IEs },
  {   1, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_63(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_63, T_c1_63_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_62_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_62(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_62, T_criticalExtensionsFuture_62_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_62_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_62_choice[] = {
  {   0, &hf_lte_rrc_c1_63       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_63 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_62, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_62 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_62(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_62, T_criticalExtensions_62_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReject_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_62, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_62 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReject_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReject-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReject_NB, RRCConnectionReject_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_83_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_83(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_83, T_nonCriticalExtension_83_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetup_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicated_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RadioResourceConfigDedicated_NB_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_255, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_83 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetup_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetup_NB_r13_IEs, RRCConnectionSetup_NB_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_66_vals[] = {
  {   0, "rrcConnectionSetup-r13" },
  {   1, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_66_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionSetup_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionSetup_NB_r13_IEs },
  {   1, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_66(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_66, T_c1_66_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_68_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_68(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_68, T_criticalExtensionsFuture_68_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_68_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_68_choice[] = {
  {   0, &hf_lte_rrc_c1_66       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_66 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_68, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_68 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_68(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_68, T_criticalExtensions_68_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionSetup_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_68, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_68 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetup_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionSetup-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetup_NB, RRCConnectionSetup_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_55_vals[] = {
  {   0, "rrcConnectionReestablishment-r13" },
  {   1, "rrcConnectionReestablishmentReject-r13" },
  {   2, "rrcConnectionReject-r13" },
  {   3, "rrcConnectionSetup-r13" },
  {   4, "spare4" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_55_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishment_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishment_NB },
  {   1, &hf_lte_rrc_rrcConnectionReestablishmentReject_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentReject },
  {   2, &hf_lte_rrc_rrcConnectionReject_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReject_NB },
  {   3, &hf_lte_rrc_rrcConnectionSetup_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionSetup_NB },
  {   4, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   5, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_55(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_55, T_c1_55_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_12_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_12(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_12, T_messageClassExtension_12_sequence);

  return offset;
}


static const value_string lte_rrc_DL_CCCH_MessageType_NB_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t DL_CCCH_MessageType_NB_choice[] = {
  {   0, &hf_lte_rrc_c1_55       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_55 },
  {   1, &hf_lte_rrc_messageClassExtension_12, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_12 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DL_CCCH_MessageType_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DL_CCCH_MessageType_NB, DL_CCCH_MessageType_NB_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DL_CCCH_Message_NB_sequence[] = {
  { &hf_lte_rrc_message_17  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_CCCH_MessageType_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_CCCH_Message_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_CCCH_Message_NB, DL_CCCH_Message_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_73_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_73(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_73, T_nonCriticalExtension_73_sequence);

  return offset;
}


static const per_sequence_t DLInformationTransfer_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_dedicatedInfoNAS_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DedicatedInfoNAS },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_243, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_73 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DLInformationTransfer_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DLInformationTransfer_NB_r13_IEs, DLInformationTransfer_NB_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_60_vals[] = {
  {   0, "dlInformationTransfer-r13" },
  {   1, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_60_choice[] = {
  {   0, &hf_lte_rrc_dlInformationTransfer_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DLInformationTransfer_NB_r13_IEs },
  {   1, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_60(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_60, T_c1_60_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_56_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_56(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_56, T_criticalExtensionsFuture_56_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_56_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_56_choice[] = {
  {   0, &hf_lte_rrc_c1_60       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_60 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_56, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_56 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_56(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_56, T_criticalExtensions_56_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DLInformationTransfer_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_56, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_56 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DLInformationTransfer_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "DLInformationTransfer-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DLInformationTransfer_NB, DLInformationTransfer_NB_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS_sequence_of[1] = {
  { &hf_lte_rrc_dedicatedInfoNASList_r13_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DedicatedInfoNAS },
};

static int
dissect_lte_rrc_SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS, SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS_sequence_of,
                                                  1, maxDRB_NB_r13, FALSE);

  return offset;
}


static const value_string lte_rrc_T_fullConfig_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_fullConfig_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_75_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_75(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_75, T_nonCriticalExtension_75_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_dedicatedInfoNASList_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS },
  { &hf_lte_rrc_radioResourceConfigDedicated_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicated_NB_r13 },
  { &hf_lte_rrc_fullConfig_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_fullConfig_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_245, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_75 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_NB_r13_IEs, RRCConnectionReconfiguration_NB_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_61_vals[] = {
  {   0, "rrcConnectionReconfiguration-r13" },
  {   1, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_61_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReconfiguration_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReconfiguration_NB_r13_IEs },
  {   1, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_61(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_61, T_c1_61_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_57_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_57(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_57, T_criticalExtensionsFuture_57_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_57_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_57_choice[] = {
  {   0, &hf_lte_rrc_c1_61       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_61 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_57, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_57 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_57(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_57, T_criticalExtensions_57_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReconfiguration_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_57, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_57 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfiguration_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReconfiguration-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfiguration_NB, RRCConnectionReconfiguration_NB_sequence);

  return offset;
}


static const value_string lte_rrc_ReleaseCause_NB_r13_vals[] = {
  {   0, "loadBalancingTAUrequired" },
  {   1, "other" },
  {   2, "rrc-Suspend" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_ReleaseCause_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_RedirectedCarrierInfo_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_lte_rrc_CarrierFreq_NB_r13(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string lte_rrc_T_redirectedCarrierOffsetDedicated_r14_vals[] = {
  {   0, "dB1" },
  {   1, "dB2" },
  {   2, "dB3" },
  {   3, "dB4" },
  {   4, "dB5" },
  {   5, "dB6" },
  {   6, "dB8" },
  {   7, "dB10" },
  {   8, "dB12" },
  {   9, "dB14" },
  {  10, "dB16" },
  {  11, "dB18" },
  {  12, "dB20" },
  {  13, "dB22" },
  {  14, "dB24" },
  {  15, "dB26" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_redirectedCarrierOffsetDedicated_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_t322_r14_vals[] = {
  {   0, "min5" },
  {   1, "min10" },
  {   2, "min20" },
  {   3, "min30" },
  {   4, "min60" },
  {   5, "min120" },
  {   6, "min180" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_t322_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RedirectedCarrierInfo_NB_v1430_sequence[] = {
  { &hf_lte_rrc_redirectedCarrierOffsetDedicated_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_redirectedCarrierOffsetDedicated_r14 },
  { &hf_lte_rrc_t322_r14    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_t322_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RedirectedCarrierInfo_NB_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RedirectedCarrierInfo_NB_v1430, RedirectedCarrierInfo_NB_v1430_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_80_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_80(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_80, T_nonCriticalExtension_80_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_NB_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_redirectedCarrierInfo_v1430, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RedirectedCarrierInfo_NB_v1430 },
  { &hf_lte_rrc_extendedWaitTime_CPdata_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_1800 },
  { &hf_lte_rrc_nonCriticalExtension_252, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_80 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_NB_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_NB_v1430_IEs, RRCConnectionRelease_NB_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_releaseCause_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReleaseCause_NB_r13 },
  { &hf_lte_rrc_resumeIdentity_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_ResumeIdentity_r13 },
  { &hf_lte_rrc_extendedWaitTime_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_1800 },
  { &hf_lte_rrc_redirectedCarrierInfo_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RedirectedCarrierInfo_NB_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_251, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionRelease_NB_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_NB_r13_IEs, RRCConnectionRelease_NB_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_64_vals[] = {
  {   0, "rrcConnectionRelease-r13" },
  {   1, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_64_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionRelease_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionRelease_NB_r13_IEs },
  {   1, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_64(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_64, T_c1_64_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_63_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_63(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_63, T_criticalExtensionsFuture_63_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_63_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_63_choice[] = {
  {   0, &hf_lte_rrc_c1_64       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_64 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_63, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_63 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_63(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_63, T_criticalExtensions_63_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionRelease_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_63, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_63 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRelease_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionRelease-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRelease_NB, RRCConnectionRelease_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_88_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_88(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_88, T_nonCriticalExtension_88_sequence);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_264, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_88 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry_NB_r13_IEs, UECapabilityEnquiry_NB_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_67_vals[] = {
  {   0, "ueCapabilityEnquiry-r13" },
  {   1, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_67_choice[] = {
  {   0, &hf_lte_rrc_ueCapabilityEnquiry_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UECapabilityEnquiry_NB_r13_IEs },
  {   1, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_67(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_67, T_c1_67_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_71_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_71(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_71, T_criticalExtensionsFuture_71_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_71_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_71_choice[] = {
  {   0, &hf_lte_rrc_c1_67       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_67 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_71, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_71 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_71(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_71, T_criticalExtensions_71_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UECapabilityEnquiry_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_71, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_71 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityEnquiry_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "UECapabilityEnquiry-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityEnquiry_NB, UECapabilityEnquiry_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_drb_ContinueROHC_r13_01_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drb_ContinueROHC_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_81_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_81(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_81, T_nonCriticalExtension_81_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionResume_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_radioResourceConfigDedicated_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RadioResourceConfigDedicated_NB_r13 },
  { &hf_lte_rrc_nextHopChainingCount_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_NextHopChainingCount },
  { &hf_lte_rrc_drb_ContinueROHC_r13_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_drb_ContinueROHC_r13_01 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_253, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_81 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResume_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResume_NB_r13_IEs, RRCConnectionResume_NB_r13_IEs_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_65_vals[] = {
  {   0, "rrcConnectionResume-r13" },
  {   1, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_65_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionResume_r13_03, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResume_NB_r13_IEs },
  {   1, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_65(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_65, T_c1_65_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_65_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_65(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_65, T_criticalExtensionsFuture_65_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_65_vals[] = {
  {   0, "c1" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_65_choice[] = {
  {   0, &hf_lte_rrc_c1_65       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_65 },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_65, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_65 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_65(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_65, T_criticalExtensions_65_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionResume_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_65, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_65 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResume_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionResume-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResume_NB, RRCConnectionResume_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_56_vals[] = {
  {   0, "dlInformationTransfer-r13" },
  {   1, "rrcConnectionReconfiguration-r13" },
  {   2, "rrcConnectionRelease-r13" },
  {   3, "securityModeCommand-r13" },
  {   4, "ueCapabilityEnquiry-r13" },
  {   5, "rrcConnectionResume-r13" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_56_choice[] = {
  {   0, &hf_lte_rrc_dlInformationTransfer_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DLInformationTransfer_NB },
  {   1, &hf_lte_rrc_rrcConnectionReconfiguration_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReconfiguration_NB },
  {   2, &hf_lte_rrc_rrcConnectionRelease_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionRelease_NB },
  {   3, &hf_lte_rrc_securityModeCommand_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeCommand },
  {   4, &hf_lte_rrc_ueCapabilityEnquiry_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UECapabilityEnquiry_NB },
  {   5, &hf_lte_rrc_rrcConnectionResume_r13_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResume_NB },
  {   6, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   7, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_56(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_56, T_c1_56_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_13_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_13, T_messageClassExtension_13_sequence);

  return offset;
}


static const value_string lte_rrc_DL_DCCH_MessageType_NB_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t DL_DCCH_MessageType_NB_choice[] = {
  {   0, &hf_lte_rrc_c1_56       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_56 },
  {   1, &hf_lte_rrc_messageClassExtension_13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_13 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_DL_DCCH_MessageType_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_DL_DCCH_MessageType_NB, DL_DCCH_MessageType_NB_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DL_DCCH_Message_NB_sequence[] = {
  { &hf_lte_rrc_message_18  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DL_DCCH_MessageType_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_DL_DCCH_Message_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  actx->pinfo->link_dir = P2P_DIR_DL;

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_DL_DCCH_Message_NB, DL_DCCH_Message_NB_sequence);

  return offset;
}


static const value_string lte_rrc_ReestablishmentCause_NB_r13_vals[] = {
  {   0, "reconfigurationFailure" },
  {   1, "otherFailure" },
  {   2, "spare2" },
  {   3, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_ReestablishmentCause_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentRequest_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Identity_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReestabUE_Identity },
  { &hf_lte_rrc_reestablishmentCause_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReestablishmentCause_NB_r13 },
  { &hf_lte_rrc_spare_07    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_25 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentRequest_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentRequest_NB_r13_IEs, RRCConnectionReestablishmentRequest_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t ReestabUE_Identity_CP_NB_r14_sequence[] = {
  { &hf_lte_rrc_s_TMSI_r14  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_S_TMSI },
  { &hf_lte_rrc_ul_NAS_MAC_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_ul_NAS_Count_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_5 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ReestabUE_Identity_CP_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ReestabUE_Identity_CP_NB_r14, ReestabUE_Identity_CP_NB_r14_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentRequest_NB_r14_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Identity_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReestabUE_Identity_CP_NB_r14 },
  { &hf_lte_rrc_reestablishmentCause_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ReestablishmentCause_NB_r13 },
  { &hf_lte_rrc_spare_08    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_4 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentRequest_NB_r14_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentRequest_NB_r14_IEs, RRCConnectionReestablishmentRequest_NB_r14_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_61_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_61(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_61, T_criticalExtensionsFuture_61_sequence);

  return offset;
}


static const value_string lte_rrc_T_later_01_vals[] = {
  {   0, "rrcConnectionReestablishmentRequest-r14" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_later_01_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishmentRequest_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentRequest_NB_r14_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_61, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_61 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_later_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_later_01, T_later_01_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_61_vals[] = {
  {   0, "rrcConnectionReestablishmentRequest-r13" },
  {   1, "later" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_61_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishmentRequest_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentRequest_NB_r13_IEs },
  {   1, &hf_lte_rrc_later_01    , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_later_01 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_61(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_61, T_criticalExtensions_61_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentRequest_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_61, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_61 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentRequest_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReestablishmentRequest-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentRequest_NB, RRCConnectionReestablishmentRequest_NB_sequence);

  return offset;
}


static const value_string lte_rrc_EstablishmentCause_NB_r13_vals[] = {
  {   0, "mt-Access" },
  {   1, "mo-Signalling" },
  {   2, "mo-Data" },
  {   3, "mo-ExceptionData" },
  {   4, "delayTolerantAccess-v1330" },
  {   5, "spare3" },
  {   6, "spare2" },
  {   7, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_EstablishmentCause_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multiToneSupport_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiToneSupport_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multiCarrierSupport_r13_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiCarrierSupport_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_22(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     22, 22, FALSE, NULL, NULL);

  return offset;
}


static const per_sequence_t RRCConnectionRequest_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Identity_r13_02, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_InitialUE_Identity },
  { &hf_lte_rrc_establishmentCause_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_EstablishmentCause_NB_r13 },
  { &hf_lte_rrc_multiToneSupport_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiToneSupport_r13 },
  { &hf_lte_rrc_multiCarrierSupport_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiCarrierSupport_r13 },
  { &hf_lte_rrc_spare_09    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_22 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRequest_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRequest_NB_r13_IEs, RRCConnectionRequest_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_64_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_64(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_64, T_criticalExtensionsFuture_64_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_64_vals[] = {
  {   0, "rrcConnectionRequest-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_64_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionRequest_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionRequest_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_64, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_64 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_64(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_64, T_criticalExtensions_64_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionRequest_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_64, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_64 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionRequest_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionRequest-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionRequest_NB, RRCConnectionRequest_NB_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionResumeRequest_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_resumeID_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ResumeIdentity_r13 },
  { &hf_lte_rrc_shortResumeMAC_I_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_ShortMAC_I },
  { &hf_lte_rrc_resumeCause_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_EstablishmentCause_NB_r13 },
  { &hf_lte_rrc_spare_10    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_9 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResumeRequest_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResumeRequest_NB_r13_IEs, RRCConnectionResumeRequest_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_67_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_67(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_67, T_criticalExtensionsFuture_67_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_67_vals[] = {
  {   0, "rrcConnectionResumeRequest-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_67_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionResumeRequest_r13_03, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResumeRequest_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_67, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_67 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_67(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_67, T_criticalExtensions_67_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionResumeRequest_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_67, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_67 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResumeRequest_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionResumeRequest-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResumeRequest_NB, RRCConnectionResumeRequest_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_57_vals[] = {
  {   0, "rrcConnectionReestablishmentRequest-r13" },
  {   1, "rrcConnectionRequest-r13" },
  {   2, "rrcConnectionResumeRequest-r13" },
  {   3, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_57_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishmentRequest_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentRequest_NB },
  {   1, &hf_lte_rrc_rrcConnectionRequest_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionRequest_NB },
  {   2, &hf_lte_rrc_rrcConnectionResumeRequest_r13_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResumeRequest_NB },
  {   3, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_57(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_57, T_c1_57_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_14_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_14, T_messageClassExtension_14_sequence);

  return offset;
}


static const value_string lte_rrc_UL_CCCH_MessageType_NB_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t UL_CCCH_MessageType_NB_choice[] = {
  {   0, &hf_lte_rrc_c1_57       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_57 },
  {   1, &hf_lte_rrc_messageClassExtension_14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_UL_CCCH_MessageType_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_UL_CCCH_MessageType_NB, UL_CCCH_MessageType_NB_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UL_CCCH_Message_NB_sequence[] = {
  { &hf_lte_rrc_message_19  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_CCCH_MessageType_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_CCCH_Message_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_CCCH_Message_NB, UL_CCCH_Message_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_sc_mtch_CarrierConfig_r14_vals[] = {
  {   0, "dl-CarrierConfig-r14" },
  {   1, "dl-CarrierIndex-r14" },
  { 0, NULL }
};

static const per_choice_t T_sc_mtch_CarrierConfig_r14_choice[] = {
  {   0, &hf_lte_rrc_dl_CarrierConfig_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_DL_CarrierConfigCommon_NB_r14 },
  {   1, &hf_lte_rrc_dl_CarrierIndex_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_maxNonAnchorCarriers_NB_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_sc_mtch_CarrierConfig_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_sc_mtch_CarrierConfig_r14, T_sc_mtch_CarrierConfig_r14_choice,
                                 NULL);

  return offset;
}


static const value_string lte_rrc_T_onDurationTimerSCPTM_r14_03_vals[] = {
  {   0, "pp1" },
  {   1, "pp2" },
  {   2, "pp3" },
  {   3, "pp4" },
  {   4, "pp8" },
  {   5, "pp16" },
  {   6, "pp32" },
  {   7, "spare" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_onDurationTimerSCPTM_r14_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_drx_InactivityTimerSCPTM_r14_03_vals[] = {
  {   0, "pp0" },
  {   1, "pp1" },
  {   2, "pp2" },
  {   3, "pp3" },
  {   4, "pp4" },
  {   5, "pp8" },
  {   6, "pp16" },
  {   7, "pp32" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r14_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_03_vals[] = {
  {   0, "sf10" },
  {   1, "sf20" },
  {   2, "sf32" },
  {   3, "sf40" },
  {   4, "sf64" },
  {   5, "sf80" },
  {   6, "sf128" },
  {   7, "sf160" },
  {   8, "sf256" },
  {   9, "sf320" },
  {  10, "sf512" },
  {  11, "sf640" },
  {  12, "sf1024" },
  {  13, "sf2048" },
  {  14, "sf4096" },
  {  15, "sf8192" },
  { 0, NULL }
};

static const per_choice_t T_schedulingPeriodStartOffsetSCPTM_r14_03_choice[] = {
  {   0, &hf_lte_rrc_sf10        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_9 },
  {   1, &hf_lte_rrc_sf20        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_19 },
  {   2, &hf_lte_rrc_sf32        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_31 },
  {   3, &hf_lte_rrc_sf40        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_39 },
  {   4, &hf_lte_rrc_sf64        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_63 },
  {   5, &hf_lte_rrc_sf80        , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_79 },
  {   6, &hf_lte_rrc_sf128       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_127 },
  {   7, &hf_lte_rrc_sf160       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_159 },
  {   8, &hf_lte_rrc_sf256       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_255 },
  {   9, &hf_lte_rrc_sf320       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_319 },
  {  10, &hf_lte_rrc_sf512       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_511 },
  {  11, &hf_lte_rrc_sf640       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_639 },
  {  12, &hf_lte_rrc_sf1024      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_1023 },
  {  13, &hf_lte_rrc_sf2048      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_2047 },
  {  14, &hf_lte_rrc_sf4096      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_4095 },
  {  15, &hf_lte_rrc_sf8192      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_INTEGER_0_8191 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_03(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_03, T_schedulingPeriodStartOffsetSCPTM_r14_03_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SC_MTCH_SchedulingInfo_NB_r14_sequence[] = {
  { &hf_lte_rrc_onDurationTimerSCPTM_r14_03, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_onDurationTimerSCPTM_r14_03 },
  { &hf_lte_rrc_drx_InactivityTimerSCPTM_r14_03, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_drx_InactivityTimerSCPTM_r14_03 },
  { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_03, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_03 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MTCH_SchedulingInfo_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MTCH_SchedulingInfo_NB_r14, SC_MTCH_SchedulingInfo_NB_r14_sequence);

  return offset;
}



static int
dissect_lte_rrc_BIT_STRING_SIZE_maxNeighCell_SCPTM_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     maxNeighCell_SCPTM_NB_r14, maxNeighCell_SCPTM_NB_r14, FALSE, NULL, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_NPDSCH_MaxTBS_SC_MTCH_r14_vals[] = {
  {   0, "n680" },
  {   1, "n2536" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_NPDSCH_MaxTBS_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_NumRepetitions_SC_MTCH_r14_vals[] = {
  {   0, "r1" },
  {   1, "r2" },
  {   2, "r4" },
  {   3, "r8" },
  {   4, "r16" },
  {   5, "r32" },
  {   6, "r64" },
  {   7, "r128" },
  {   8, "r256" },
  {   9, "r512" },
  {  10, "r1024" },
  {  11, "r2048" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_NumRepetitions_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_StartSF_SC_MTCH_r14_vals[] = {
  {   0, "v1dot5" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v8" },
  {   4, "v16" },
  {   5, "v32" },
  {   6, "v48" },
  {   7, "v64" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_StartSF_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_npdcch_Offset_SC_MTCH_r14_vals[] = {
  {   0, "zero" },
  {   1, "oneEighth" },
  {   2, "oneQuarter" },
  {   3, "threeEighth" },
  {   4, "oneHalf" },
  {   5, "fiveEighth" },
  {   6, "threeQuarter" },
  {   7, "sevenEighth" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_npdcch_Offset_SC_MTCH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t SC_MTCH_Info_NB_r14_sequence[] = {
  { &hf_lte_rrc_sc_mtch_CarrierConfig_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_sc_mtch_CarrierConfig_r14 },
  { &hf_lte_rrc_mbmsSessionInfo_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_MBMSSessionInfo_r13 },
  { &hf_lte_rrc_g_RNTI_r14  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_BIT_STRING_SIZE_16 },
  { &hf_lte_rrc_sc_mtch_SchedulingInfo_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_SC_MTCH_SchedulingInfo_NB_r14 },
  { &hf_lte_rrc_sc_mtch_NeighbourCell_r14, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_BIT_STRING_SIZE_maxNeighCell_SCPTM_NB_r14 },
  { &hf_lte_rrc_npdcch_NPDSCH_MaxTBS_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_NPDSCH_MaxTBS_SC_MTCH_r14 },
  { &hf_lte_rrc_npdcch_NumRepetitions_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_NumRepetitions_SC_MTCH_r14 },
  { &hf_lte_rrc_npdcch_StartSF_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_StartSF_SC_MTCH_r14 },
  { &hf_lte_rrc_npdcch_Offset_SC_MTCH_r14, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_npdcch_Offset_SC_MTCH_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MTCH_Info_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MTCH_Info_NB_r14, SC_MTCH_Info_NB_r14_sequence);

  return offset;
}


static const per_sequence_t SC_MTCH_InfoList_NB_r14_sequence_of[1] = {
  { &hf_lte_rrc_SC_MTCH_InfoList_NB_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MTCH_Info_NB_r14 },
};

static int
dissect_lte_rrc_SC_MTCH_InfoList_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SC_MTCH_InfoList_NB_r14, SC_MTCH_InfoList_NB_r14_sequence_of,
                                                  0, maxSC_MTCH_NB_r14, FALSE);

  return offset;
}


static const per_sequence_t PCI_ARFCN_NB_r14_sequence[] = {
  { &hf_lte_rrc_physCellId_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PhysCellId },
  { &hf_lte_rrc_carrierFreq_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_CarrierFreq_NB_r13 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PCI_ARFCN_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PCI_ARFCN_NB_r14, PCI_ARFCN_NB_r14_sequence);

  return offset;
}


static const per_sequence_t SCPTM_NeighbourCellList_NB_r14_sequence_of[1] = {
  { &hf_lte_rrc_SCPTM_NeighbourCellList_NB_r14_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_PCI_ARFCN_NB_r14 },
};

static int
dissect_lte_rrc_SCPTM_NeighbourCellList_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_lte_rrc_SCPTM_NeighbourCellList_NB_r14, SCPTM_NeighbourCellList_NB_r14_sequence_of,
                                                  1, maxNeighCell_SCPTM_NB_r14, FALSE);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_85_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_85(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_85, T_nonCriticalExtension_85_sequence);

  return offset;
}


static const per_sequence_t SCPTMConfiguration_NB_r14_sequence[] = {
  { &hf_lte_rrc_sc_mtch_InfoList_r14_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MTCH_InfoList_NB_r14 },
  { &hf_lte_rrc_scptm_NeighbourCellList_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_SCPTM_NeighbourCellList_NB_r14 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_258, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_85 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SCPTMConfiguration_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "SCPTMConfiguration-NB-r14");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SCPTMConfiguration_NB_r14, SCPTMConfiguration_NB_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_58_vals[] = {
  {   0, "scptmConfiguration-r14" },
  { 0, NULL }
};

static const per_choice_t T_c1_58_choice[] = {
  {   0, &hf_lte_rrc_scptmConfiguration_r14, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SCPTMConfiguration_NB_r14 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_58(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_58, T_c1_58_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_15_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_15, T_messageClassExtension_15_sequence);

  return offset;
}


static const value_string lte_rrc_SC_MCCH_MessageType_NB_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t SC_MCCH_MessageType_NB_choice[] = {
  {   0, &hf_lte_rrc_c1_58       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_58 },
  {   1, &hf_lte_rrc_messageClassExtension_15, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_15 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_SC_MCCH_MessageType_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_SC_MCCH_MessageType_NB, SC_MCCH_MessageType_NB_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SC_MCCH_Message_NB_sequence[] = {
  { &hf_lte_rrc_message_20  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_SC_MCCH_MessageType_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_SC_MCCH_Message_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_SC_MCCH_Message_NB, SC_MCCH_Message_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_76_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_76(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_76, T_nonCriticalExtension_76_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_246, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_76 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_NB_r13_IEs, RRCConnectionReconfigurationComplete_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_58_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_58(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_58, T_criticalExtensionsFuture_58_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_58_vals[] = {
  {   0, "rrcConnectionReconfigurationComplete-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_58_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReconfigurationComplete_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReconfigurationComplete_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_58, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_58 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_58(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_58, T_criticalExtensions_58_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReconfigurationComplete_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_58, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_58 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReconfigurationComplete_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReconfigurationComplete-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReconfigurationComplete_NB, RRCConnectionReconfigurationComplete_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_78_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_78(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_78, T_nonCriticalExtension_78_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_249, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_78 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete_NB_r13_IEs, RRCConnectionReestablishmentComplete_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_60_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_60(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_60, T_criticalExtensionsFuture_60_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_60_vals[] = {
  {   0, "rrcConnectionReestablishmentComplete-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_60_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReestablishmentComplete_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentComplete_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_60, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_60 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_60(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_60, T_criticalExtensions_60_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionReestablishmentComplete_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_60, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_60 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionReestablishmentComplete_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionReestablishmentComplete-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionReestablishmentComplete_NB, RRCConnectionReestablishmentComplete_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_attachWithoutPDN_Connectivity_r13_02_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_attachWithoutPDN_Connectivity_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_up_CIoT_EPS_Optimisation_r13_02_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_up_CIoT_EPS_Optimisation_r13_02(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_gummei_Type_r14_vals[] = {
  {   0, "mapped" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_gummei_Type_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_84_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_84(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_84, T_nonCriticalExtension_84_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_NB_v1430_IEs_sequence[] = {
  { &hf_lte_rrc_gummei_Type_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_gummei_Type_r14 },
  { &hf_lte_rrc_dcn_ID_r14  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_0_65535 },
  { &hf_lte_rrc_nonCriticalExtension_257, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_84 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_NB_v1430_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_NB_v1430_IEs, RRCConnectionSetupComplete_NB_v1430_IEs_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_selectedPLMN_Identity_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  { &hf_lte_rrc_s_TMSI_r13  , ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_S_TMSI },
  { &hf_lte_rrc_registeredMME_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RegisteredMME },
  { &hf_lte_rrc_dedicatedInfoNAS_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DedicatedInfoNAS },
  { &hf_lte_rrc_attachWithoutPDN_Connectivity_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_attachWithoutPDN_Connectivity_r13_02 },
  { &hf_lte_rrc_up_CIoT_EPS_Optimisation_r13_02, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_up_CIoT_EPS_Optimisation_r13_02 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_256, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_RRCConnectionSetupComplete_NB_v1430_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_NB_r13_IEs, RRCConnectionSetupComplete_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_69_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_69(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_69, T_criticalExtensionsFuture_69_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_69_vals[] = {
  {   0, "rrcConnectionSetupComplete-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_69_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionSetupComplete_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionSetupComplete_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_69, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_69 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_69(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_69, T_criticalExtensions_69_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionSetupComplete_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_69, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_69 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionSetupComplete_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionSetupComplete-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionSetupComplete_NB, RRCConnectionSetupComplete_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_ue_Category_NB_r13_01_vals[] = {
  {   0, "nb1" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_Category_NB_r13_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_multiCarrierPaging_r14_vals[] = {
  {   0, "true" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiCarrierPaging_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UE_RadioPagingInfo_NB_r13_eag_1_sequence[] = {
  { &hf_lte_rrc_multiCarrierPaging_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiCarrierPaging_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_RadioPagingInfo_NB_r13_eag_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence_eag(tvb, offset, actx, tree, UE_RadioPagingInfo_NB_r13_eag_1_sequence);

  return offset;
}


static const per_sequence_t UE_RadioPagingInfo_NB_r13_sequence[] = {
  { &hf_lte_rrc_ue_Category_NB_r13_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_Category_NB_r13_01 },
  { &dummy_hf_lte_rrc_eag_field, ASN1_NOT_EXTENSION_ROOT, ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_RadioPagingInfo_NB_r13_eag_1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_RadioPagingInfo_NB_r13(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_RadioPagingInfo_NB_r13, UE_RadioPagingInfo_NB_r13_sequence);

  return offset;
}



static int
dissect_lte_rrc_T_ue_Capability_ContainerExt_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string_containing_pdu_new(tvb, offset, actx, tree, hf_index,
                                                                NO_BOUND, NO_BOUND, FALSE, dissect_UE_Capability_NB_Ext_r14_IEs_PDU);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_89_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_89(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_89, T_nonCriticalExtension_89_sequence);

  return offset;
}


static const per_sequence_t UECapabilityInformation_NB_Ext_r14_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Capability_ContainerExt_r14, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_ue_Capability_ContainerExt_r14 },
  { &hf_lte_rrc_nonCriticalExtension_266, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_89 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityInformation_NB_Ext_r14_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityInformation_NB_Ext_r14_IEs, UECapabilityInformation_NB_Ext_r14_IEs_sequence);

  return offset;
}


static const per_sequence_t UECapabilityInformation_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Capability_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_Capability_NB_r13 },
  { &hf_lte_rrc_ue_RadioPagingInfo_r13_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UE_RadioPagingInfo_NB_r13 },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_265, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UECapabilityInformation_NB_Ext_r14_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityInformation_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityInformation_NB_r13_IEs, UECapabilityInformation_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_72_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_72(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_72, T_criticalExtensionsFuture_72_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_72_vals[] = {
  {   0, "ueCapabilityInformation-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_72_choice[] = {
  {   0, &hf_lte_rrc_ueCapabilityInformation_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UECapabilityInformation_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_72, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_72 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_72(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_72, T_criticalExtensions_72_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UECapabilityInformation_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_72, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_72 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UECapabilityInformation_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "UECapabilityInformation-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UECapabilityInformation_NB, UECapabilityInformation_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_90_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_90(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_90, T_nonCriticalExtension_90_sequence);

  return offset;
}


static const per_sequence_t ULInformationTransfer_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_dedicatedInfoNAS_r13, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_DedicatedInfoNAS },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_267, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_90 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULInformationTransfer_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULInformationTransfer_NB_r13_IEs, ULInformationTransfer_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_73_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_73(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_73, T_criticalExtensionsFuture_73_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_73_vals[] = {
  {   0, "ulInformationTransfer-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_73_choice[] = {
  {   0, &hf_lte_rrc_ulInformationTransfer_r13_01, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ULInformationTransfer_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_73, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_73 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_73(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_73, T_criticalExtensions_73_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ULInformationTransfer_NB_sequence[] = {
  { &hf_lte_rrc_criticalExtensions_73, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_73 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_ULInformationTransfer_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "ULInformationTransfer-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_ULInformationTransfer_NB, ULInformationTransfer_NB_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_82_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_82(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_82, T_nonCriticalExtension_82_sequence);

  return offset;
}


static const per_sequence_t RRCConnectionResumeComplete_NB_r13_IEs_sequence[] = {
  { &hf_lte_rrc_selectedPLMN_Identity_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_INTEGER_1_maxPLMN_r11 },
  { &hf_lte_rrc_dedicatedInfoNAS_r13, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_DedicatedInfoNAS },
  { &hf_lte_rrc_lateNonCriticalExtension_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_OCTET_STRING },
  { &hf_lte_rrc_nonCriticalExtension_254, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_82 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResumeComplete_NB_r13_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResumeComplete_NB_r13_IEs, RRCConnectionResumeComplete_NB_r13_IEs_sequence);

  return offset;
}


static const per_sequence_t T_criticalExtensionsFuture_66_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensionsFuture_66(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_criticalExtensionsFuture_66, T_criticalExtensionsFuture_66_sequence);

  return offset;
}


static const value_string lte_rrc_T_criticalExtensions_66_vals[] = {
  {   0, "rrcConnectionResumeComplete-r13" },
  {   1, "criticalExtensionsFuture" },
  { 0, NULL }
};

static const per_choice_t T_criticalExtensions_66_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionResumeComplete_r13_03, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResumeComplete_NB_r13_IEs },
  {   1, &hf_lte_rrc_criticalExtensionsFuture_66, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_criticalExtensionsFuture_66 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_criticalExtensions_66(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_criticalExtensions_66, T_criticalExtensions_66_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RRCConnectionResumeComplete_NB_sequence[] = {
  { &hf_lte_rrc_rrc_TransactionIdentifier, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RRC_TransactionIdentifier },
  { &hf_lte_rrc_criticalExtensions_66, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_T_criticalExtensions_66 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RRCConnectionResumeComplete_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  col_append_sep_str(actx->pinfo->cinfo, COL_INFO, NULL, "RRCConnectionResumeComplete-NB");

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RRCConnectionResumeComplete_NB, RRCConnectionResumeComplete_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_c1_59_vals[] = {
  {   0, "rrcConnectionReconfigurationComplete-r13" },
  {   1, "rrcConnectionReestablishmentComplete-r13" },
  {   2, "rrcConnectionSetupComplete-r13" },
  {   3, "securityModeComplete-r13" },
  {   4, "securityModeFailure-r13" },
  {   5, "ueCapabilityInformation-r13" },
  {   6, "ulInformationTransfer-r13" },
  {   7, "rrcConnectionResumeComplete-r13" },
  {   8, "spare8" },
  {   9, "spare7" },
  {  10, "spare6" },
  {  11, "spare5" },
  {  12, "spare4" },
  {  13, "spare3" },
  {  14, "spare2" },
  {  15, "spare1" },
  { 0, NULL }
};

static const per_choice_t T_c1_59_choice[] = {
  {   0, &hf_lte_rrc_rrcConnectionReconfigurationComplete_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReconfigurationComplete_NB },
  {   1, &hf_lte_rrc_rrcConnectionReestablishmentComplete_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionReestablishmentComplete_NB },
  {   2, &hf_lte_rrc_rrcConnectionSetupComplete_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionSetupComplete_NB },
  {   3, &hf_lte_rrc_securityModeComplete_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeComplete },
  {   4, &hf_lte_rrc_securityModeFailure_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_SecurityModeFailure },
  {   5, &hf_lte_rrc_ueCapabilityInformation_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_UECapabilityInformation_NB },
  {   6, &hf_lte_rrc_ulInformationTransfer_r13, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_ULInformationTransfer_NB },
  {   7, &hf_lte_rrc_rrcConnectionResumeComplete_r13_02, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_RRCConnectionResumeComplete_NB },
  {   8, &hf_lte_rrc_spare8      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {   9, &hf_lte_rrc_spare7      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  10, &hf_lte_rrc_spare6      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  11, &hf_lte_rrc_spare5      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  12, &hf_lte_rrc_spare4      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  13, &hf_lte_rrc_spare3      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  14, &hf_lte_rrc_spare2      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  {  15, &hf_lte_rrc_spare1      , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_T_c1_59(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_T_c1_59, T_c1_59_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_messageClassExtension_16_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_messageClassExtension_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_messageClassExtension_16, T_messageClassExtension_16_sequence);

  return offset;
}


static const value_string lte_rrc_UL_DCCH_MessageType_NB_vals[] = {
  {   0, "c1" },
  {   1, "messageClassExtension" },
  { 0, NULL }
};

static const per_choice_t UL_DCCH_MessageType_NB_choice[] = {
  {   0, &hf_lte_rrc_c1_59       , ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_c1_59 },
  {   1, &hf_lte_rrc_messageClassExtension_16, ASN1_NO_EXTENSIONS     , dissect_lte_rrc_T_messageClassExtension_16 },
  { 0, NULL, 0, NULL }
};

static int
dissect_lte_rrc_UL_DCCH_MessageType_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_lte_rrc_UL_DCCH_MessageType_NB, UL_DCCH_MessageType_NB_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UL_DCCH_Message_NB_sequence[] = {
  { &hf_lte_rrc_message_21  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_UL_DCCH_MessageType_NB },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UL_DCCH_Message_NB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  actx->pinfo->link_dir = P2P_DIR_UL;

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UL_DCCH_Message_NB, UL_DCCH_Message_NB_sequence);

  return offset;
}


static const value_string lte_rrc_T_ue_Category_NB_r14_vals[] = {
  {   0, "nb2" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_ue_Category_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_dataInactMon_r14_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_dataInactMon_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_rai_Support_r14_01_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_rai_Support_r14_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MAC_Parameters_NB_r14_sequence[] = {
  { &hf_lte_rrc_dataInactMon_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_dataInactMon_r14_01 },
  { &hf_lte_rrc_rai_Support_r14_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_rai_Support_r14_01 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_MAC_Parameters_NB_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_MAC_Parameters_NB_r14, MAC_Parameters_NB_r14_sequence);

  return offset;
}


static const value_string lte_rrc_T_multiCarrier_NPRACH_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_multiCarrier_NPRACH_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string lte_rrc_T_twoHARQ_Processes_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_twoHARQ_Processes_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_NB_v1430_sequence[] = {
  { &hf_lte_rrc_multiCarrier_NPRACH_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_multiCarrier_NPRACH_r14 },
  { &hf_lte_rrc_twoHARQ_Processes_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_twoHARQ_Processes_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_NB_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_NB_v1430, PhyLayerParameters_NB_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_powerClassNB_14dBm_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_powerClassNB_14dBm_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RF_Parameters_NB_v1430_sequence[] = {
  { &hf_lte_rrc_powerClassNB_14dBm_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_powerClassNB_14dBm_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_RF_Parameters_NB_v1430(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_RF_Parameters_NB_v1430, RF_Parameters_NB_v1430_sequence);

  return offset;
}


static const value_string lte_rrc_T_interferenceRandomisation_r14_vals[] = {
  {   0, "supported" },
  { 0, NULL }
};


static int
dissect_lte_rrc_T_interferenceRandomisation_r14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PhyLayerParameters_NB_v1440_sequence[] = {
  { &hf_lte_rrc_interferenceRandomisation_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_interferenceRandomisation_r14 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_PhyLayerParameters_NB_v1440(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_PhyLayerParameters_NB_v1440, PhyLayerParameters_NB_v1440_sequence);

  return offset;
}


static const per_sequence_t T_nonCriticalExtension_91_sequence[] = {
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_T_nonCriticalExtension_91(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_T_nonCriticalExtension_91, T_nonCriticalExtension_91_sequence);

  return offset;
}


static const per_sequence_t UE_Capability_NB_v1440_IEs_sequence[] = {
  { &hf_lte_rrc_phyLayerParameters_v1440, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_NB_v1440 },
  { &hf_lte_rrc_nonCriticalExtension_269, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_nonCriticalExtension_91 },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_Capability_NB_v1440_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_Capability_NB_v1440_IEs, UE_Capability_NB_v1440_IEs_sequence);

  return offset;
}


static const per_sequence_t UE_Capability_NB_Ext_r14_IEs_sequence[] = {
  { &hf_lte_rrc_ue_Category_NB_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_T_ue_Category_NB_r14 },
  { &hf_lte_rrc_mac_Parameters_r14, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_MAC_Parameters_NB_r14 },
  { &hf_lte_rrc_phyLayerParameters_v1430_01, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_PhyLayerParameters_NB_v1430 },
  { &hf_lte_rrc_rf_Parameters_v1430_01, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_lte_rrc_RF_Parameters_NB_v1430 },
  { &hf_lte_rrc_nonCriticalExtension_268, ASN1_NO_EXTENSIONS     , ASN1_OPTIONAL    , dissect_lte_rrc_UE_Capability_NB_v1440_IEs },
  { NULL, 0, 0, NULL }
};

static int
dissect_lte_rrc_UE_Capability_NB_Ext_r14_IEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_lte_rrc_UE_Capability_NB_Ext_r14_IEs, UE_Capability_NB_Ext_r14_IEs_sequence);

  return offset;
}

/*--- PDUs ---*/

int dissect_lte_rrc_HandoverCommand_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_HandoverCommand(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_HandoverCommand_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_HandoverPreparationInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_HandoverPreparationInformation(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_HandoverPreparationInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_SCG_ConfigInfo_r12_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SCG_ConfigInfo_r12(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_SCG_ConfigInfo_r12_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_UEPagingCoverageInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UEPagingCoverageInformation(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_UEPagingCoverageInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UERadioAccessCapabilityInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UERadioAccessCapabilityInformation(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UERadioAccessCapabilityInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UERadioPagingInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UERadioPagingInformation(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UERadioPagingInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BCCH_BCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_BCCH_BCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_BCCH_BCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BCCH_BCH_Message_MBMS_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_BCCH_BCH_Message_MBMS(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_BCCH_BCH_Message_MBMS_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BCCH_DL_SCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_BCCH_DL_SCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_BCCH_DL_SCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BCCH_DL_SCH_Message_BR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_BCCH_DL_SCH_Message_BR(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_BCCH_DL_SCH_Message_BR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BCCH_DL_SCH_Message_MBMS_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_BCCH_DL_SCH_Message_MBMS(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_BCCH_DL_SCH_Message_MBMS_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MCCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_MCCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_MCCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_PCCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_PCCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_DL_CCCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_DL_CCCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DCCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_DL_DCCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_DL_DCCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UL_CCCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UL_CCCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DCCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UL_DCCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UL_DCCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SC_MCCH_Message_r13_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SC_MCCH_Message_r13(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SC_MCCH_Message_r13_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_UECapabilityInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UECapabilityInformation(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_UECapabilityInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_RLF_Report_r9_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_RLF_Report_r9(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_RLF_Report_r9_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_RLF_Report_v9e0_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_RLF_Report_v9e0(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_RLF_Report_v9e0_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_UE_EUTRA_Capability_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UE_EUTRA_Capability(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_UE_EUTRA_Capability_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_VisitedCellInfoList_r12_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_VisitedCellInfoList_r12(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_VisitedCellInfoList_r12_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SBCCH_SL_BCH_Message_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SBCCH_SL_BCH_Message(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SBCCH_SL_BCH_Message_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SBCCH_SL_BCH_Message_V2X_r14_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SBCCH_SL_BCH_Message_V2X_r14(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SBCCH_SL_BCH_Message_V2X_r14_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_HandoverPreparationInformation_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_HandoverPreparationInformation_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_HandoverPreparationInformation_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
int dissect_lte_rrc_UEPagingCoverageInformation_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UEPagingCoverageInformation_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_lte_rrc_UEPagingCoverageInformation_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UERadioAccessCapabilityInformation_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UERadioAccessCapabilityInformation_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UERadioAccessCapabilityInformation_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UERadioPagingInformation_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UERadioPagingInformation_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UERadioPagingInformation_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BCCH_BCH_Message_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_BCCH_BCH_Message_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_BCCH_BCH_Message_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BCCH_DL_SCH_Message_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_BCCH_DL_SCH_Message_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_BCCH_DL_SCH_Message_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCCH_Message_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_PCCH_Message_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_PCCH_Message_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCCH_Message_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_DL_CCCH_Message_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_DL_CCCH_Message_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DCCH_Message_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_DL_DCCH_Message_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_DL_DCCH_Message_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCCH_Message_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UL_CCCH_Message_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UL_CCCH_Message_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SC_MCCH_Message_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SC_MCCH_Message_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SC_MCCH_Message_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DCCH_Message_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UL_DCCH_Message_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UL_DCCH_Message_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HandoverPreparationInformation_v9j0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_HandoverPreparationInformation_v9j0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_HandoverPreparationInformation_v9j0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MBMSInterestIndication_r11_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_MBMSInterestIndication_r11(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_MBMSInterestIndication_r11_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UE_RadioPagingInfo_r12_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UE_RadioPagingInfo_r12(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UE_RadioPagingInfo_r12_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationBlockType1_v890_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SystemInformationBlockType1_v890_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SystemInformationBlockType1_v890_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InDeviceCoexIndication_r11_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_InDeviceCoexIndication_r11(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_InDeviceCoexIndication_r11_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UEAssistanceInformation_r11_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UEAssistanceInformation_r11(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UEAssistanceInformation_r11_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SidelinkUEInformation_r12_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SidelinkUEInformation_r12(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SidelinkUEInformation_r12_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_WLANConnectionStatusReport_r13_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_WLANConnectionStatusReport_r13(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_WLANConnectionStatusReport_r13_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationBlockType1_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SystemInformationBlockType1(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SystemInformationBlockType1_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RRCConnectionReconfiguration_v8m0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_RRCConnectionReconfiguration_v8m0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_RRCConnectionReconfiguration_v8m0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationBlockType2_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SystemInformationBlockType2(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SystemInformationBlockType2_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RRCConnectionRelease_v9e0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_RRCConnectionRelease_v9e0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_RRCConnectionRelease_v9e0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SCGFailureInformation_v12d0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SCGFailureInformation_v12d0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SCGFailureInformation_v12d0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationBlockType1_v8h0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SystemInformationBlockType1_v8h0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SystemInformationBlockType1_v8h0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UEInformationResponse_v9e0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UEInformationResponse_v9e0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UEInformationResponse_v9e0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationBlockType2_v8h0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SystemInformationBlockType2_v8h0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SystemInformationBlockType2_v8h0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationBlockType3_v10j0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SystemInformationBlockType3_v10j0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SystemInformationBlockType3_v10j0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationBlockType5_v8h0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SystemInformationBlockType5_v8h0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SystemInformationBlockType5_v8h0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationBlockType6_v8h0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_SystemInformationBlockType6_v8h0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_SystemInformationBlockType6_v8h0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UE_EUTRA_Capability_v10j0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UE_EUTRA_Capability_v10j0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UE_EUTRA_Capability_v10j0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UE_EUTRA_Capability_v9a0_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UE_EUTRA_Capability_v9a0_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UE_EUTRA_Capability_v9a0_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UE_Capability_NB_Ext_r14_IEs_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UE_Capability_NB_Ext_r14_IEs(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UE_Capability_NB_Ext_r14_IEs_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UE_Capability_NB_r13_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UE_Capability_NB_r13(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UE_Capability_NB_r13_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UECapabilityInformation_NB_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UECapabilityInformation_NB(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UECapabilityInformation_NB_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UE_RadioPagingInfo_NB_r13_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_, void *data _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, FALSE, pinfo);
  offset = dissect_lte_rrc_UE_RadioPagingInfo_NB_r13(tvb, offset, &asn1_ctx, tree, hf_lte_rrc_UE_RadioPagingInfo_NB_r13_PDU);
  offset += 7; offset >>= 3;
  return offset;
}


/*--- End of included file: packet-lte-rrc-fn.c ---*/
#line 3082 "./asn1/lte-rrc/packet-lte-rrc-template.c"

static int
dissect_lte_rrc_DL_CCCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC DL_CCCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_DL_CCCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_DL_DCCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC DL_DCCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_DL_DCCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_UL_CCCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC UL_CCCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_UL_CCCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_UL_DCCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC UL_DCCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_UL_DCCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_BCCH_BCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC BCCH_BCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_BCCH_BCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_BCCH_DL_SCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC DL_SCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_BCCH_DL_SCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_BCCH_DL_SCH_BR(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC DL_SCH_BR");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_BCCH_DL_SCH_Message_BR_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_PCCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC PCCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_PCCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_MCCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC MCCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_MCCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_Handover_Preparation_Info(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE_HO_Prep_Info");
  col_clear(pinfo->cinfo, COL_INFO);

  /* Don't want elements inside message updating Info column, so set now and
     freeze during dissection of PDU */
  col_set_str(pinfo->cinfo, COL_INFO, "HandoverPreparationInformation");
  col_set_writable(pinfo->cinfo, COL_INFO, FALSE);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_lte_rrc_HandoverPreparationInformation_PDU(tvb, pinfo, lte_rrc_tree, NULL);

  col_set_writable(pinfo->cinfo, COL_INFO, TRUE);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_SBCCH_SL_BCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC SBCCH_SL_BCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_SBCCH_SL_BCH_Message_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_SBCCH_SL_BCH_V2X(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC SBCCH_SL_BCH_V2X");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_SBCCH_SL_BCH_Message_V2X_r14_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_SC_MCCH(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC SC MCCH");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_SC_MCCH_Message_r13_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_DL_CCCH_NB(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC DL_CCCH_NB");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_DL_CCCH_Message_NB_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_DL_DCCH_NB(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC DL_DCCH_NB");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_DL_DCCH_Message_NB_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_UL_CCCH_NB(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC UL_CCCH_NB");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_UL_CCCH_Message_NB_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_UL_DCCH_NB(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC UL_DCCH_NB");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_UL_DCCH_Message_NB_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_BCCH_BCH_NB(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC BCCH_BCH_NB");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_BCCH_BCH_Message_NB_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_BCCH_DL_SCH_NB(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC DL_SCH_NB");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_BCCH_DL_SCH_Message_NB_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_PCCH_NB(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC PCCH_NB");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_PCCH_Message_NB_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_SC_MCCH_NB(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC SC MCCH_NB");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_SC_MCCH_Message_NB_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_BCCH_BCH_MBMS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC BCCH_BCH_MBMS");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_BCCH_BCH_Message_MBMS_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

static int
dissect_lte_rrc_BCCH_DL_SCH_MBMS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, void* data _U_)
{
  proto_item *ti;
  proto_tree *lte_rrc_tree;

  col_set_str(pinfo->cinfo, COL_PROTOCOL, "LTE RRC DL_SCH_MBMS");
  col_clear(pinfo->cinfo, COL_INFO);

  ti = proto_tree_add_item(tree, proto_lte_rrc, tvb, 0, -1, ENC_NA);
  lte_rrc_tree = proto_item_add_subtree(ti, ett_lte_rrc);
  dissect_BCCH_DL_SCH_Message_MBMS_PDU(tvb, pinfo, lte_rrc_tree, NULL);
  return tvb_captured_length(tvb);
}

/*--- proto_register_rrc -------------------------------------------*/
void proto_register_lte_rrc(void) {

  /* List of fields */
  static hf_register_info hf[] = {


/*--- Included file: packet-lte-rrc-hfarr.c ---*/
#line 1 "./asn1/lte-rrc/packet-lte-rrc-hfarr.c"
    { &hf_lte_rrc_lte_rrc_HandoverCommand_PDU,
      { "HandoverCommand", "lte-rrc.HandoverCommand_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_HandoverPreparationInformation_PDU,
      { "HandoverPreparationInformation", "lte-rrc.HandoverPreparationInformation_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_SCG_ConfigInfo_r12_PDU,
      { "SCG-ConfigInfo-r12", "lte-rrc.SCG_ConfigInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_UEPagingCoverageInformation_PDU,
      { "UEPagingCoverageInformation", "lte-rrc.UEPagingCoverageInformation_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UERadioAccessCapabilityInformation_PDU,
      { "UERadioAccessCapabilityInformation", "lte-rrc.UERadioAccessCapabilityInformation_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UERadioPagingInformation_PDU,
      { "UERadioPagingInformation", "lte-rrc.UERadioPagingInformation_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BCCH_BCH_Message_PDU,
      { "BCCH-BCH-Message", "lte-rrc.BCCH_BCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BCCH_BCH_Message_MBMS_PDU,
      { "BCCH-BCH-Message-MBMS", "lte-rrc.BCCH_BCH_Message_MBMS_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BCCH_DL_SCH_Message_PDU,
      { "BCCH-DL-SCH-Message", "lte-rrc.BCCH_DL_SCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BCCH_DL_SCH_Message_BR_PDU,
      { "BCCH-DL-SCH-Message-BR", "lte-rrc.BCCH_DL_SCH_Message_BR_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BCCH_DL_SCH_Message_MBMS_PDU,
      { "BCCH-DL-SCH-Message-MBMS", "lte-rrc.BCCH_DL_SCH_Message_MBMS_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MCCH_Message_PDU,
      { "MCCH-Message", "lte-rrc.MCCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_PCCH_Message_PDU,
      { "PCCH-Message", "lte-rrc.PCCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_DL_CCCH_Message_PDU,
      { "DL-CCCH-Message", "lte-rrc.DL_CCCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_DL_DCCH_Message_PDU,
      { "DL-DCCH-Message", "lte-rrc.DL_DCCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UL_CCCH_Message_PDU,
      { "UL-CCCH-Message", "lte-rrc.UL_CCCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UL_DCCH_Message_PDU,
      { "UL-DCCH-Message", "lte-rrc.UL_DCCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SC_MCCH_Message_r13_PDU,
      { "SC-MCCH-Message-r13", "lte-rrc.SC_MCCH_Message_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_UECapabilityInformation_PDU,
      { "UECapabilityInformation", "lte-rrc.UECapabilityInformation_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_RLF_Report_r9_PDU,
      { "RLF-Report-r9", "lte-rrc.RLF_Report_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_RLF_Report_v9e0_PDU,
      { "RLF-Report-v9e0", "lte-rrc.RLF_Report_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_UE_EUTRA_Capability_PDU,
      { "UE-EUTRA-Capability", "lte-rrc.UE_EUTRA_Capability_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_VisitedCellInfoList_r12_PDU,
      { "VisitedCellInfoList-r12", "lte-rrc.VisitedCellInfoList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SBCCH_SL_BCH_Message_PDU,
      { "SBCCH-SL-BCH-Message", "lte-rrc.SBCCH_SL_BCH_Message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SBCCH_SL_BCH_Message_V2X_r14_PDU,
      { "SBCCH-SL-BCH-Message-V2X-r14", "lte-rrc.SBCCH_SL_BCH_Message_V2X_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_HandoverPreparationInformation_NB_PDU,
      { "HandoverPreparationInformation-NB", "lte-rrc.HandoverPreparationInformation_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lte_rrc_UEPagingCoverageInformation_NB_PDU,
      { "UEPagingCoverageInformation-NB", "lte-rrc.UEPagingCoverageInformation_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UERadioAccessCapabilityInformation_NB_PDU,
      { "UERadioAccessCapabilityInformation-NB", "lte-rrc.UERadioAccessCapabilityInformation_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UERadioPagingInformation_NB_PDU,
      { "UERadioPagingInformation-NB", "lte-rrc.UERadioPagingInformation_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BCCH_BCH_Message_NB_PDU,
      { "BCCH-BCH-Message-NB", "lte-rrc.BCCH_BCH_Message_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BCCH_DL_SCH_Message_NB_PDU,
      { "BCCH-DL-SCH-Message-NB", "lte-rrc.BCCH_DL_SCH_Message_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_PCCH_Message_NB_PDU,
      { "PCCH-Message-NB", "lte-rrc.PCCH_Message_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_DL_CCCH_Message_NB_PDU,
      { "DL-CCCH-Message-NB", "lte-rrc.DL_CCCH_Message_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_DL_DCCH_Message_NB_PDU,
      { "DL-DCCH-Message-NB", "lte-rrc.DL_DCCH_Message_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UL_CCCH_Message_NB_PDU,
      { "UL-CCCH-Message-NB", "lte-rrc.UL_CCCH_Message_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SC_MCCH_Message_NB_PDU,
      { "SC-MCCH-Message-NB", "lte-rrc.SC_MCCH_Message_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UL_DCCH_Message_NB_PDU,
      { "UL-DCCH-Message-NB", "lte-rrc.UL_DCCH_Message_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_HandoverPreparationInformation_v9j0_IEs_PDU,
      { "HandoverPreparationInformation-v9j0-IEs", "lte-rrc.HandoverPreparationInformation_v9j0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MBMSInterestIndication_r11_PDU,
      { "MBMSInterestIndication-r11", "lte-rrc.MBMSInterestIndication_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UE_RadioPagingInfo_r12_PDU,
      { "UE-RadioPagingInfo-r12", "lte-rrc.UE_RadioPagingInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInformationBlockType1_v890_IEs_PDU,
      { "SystemInformationBlockType1-v890-IEs", "lte-rrc.SystemInformationBlockType1_v890_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InDeviceCoexIndication_r11_PDU,
      { "InDeviceCoexIndication-r11", "lte-rrc.InDeviceCoexIndication_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UEAssistanceInformation_r11_PDU,
      { "UEAssistanceInformation-r11", "lte-rrc.UEAssistanceInformation_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SidelinkUEInformation_r12_PDU,
      { "SidelinkUEInformation-r12", "lte-rrc.SidelinkUEInformation_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_WLANConnectionStatusReport_r13_PDU,
      { "WLANConnectionStatusReport-r13", "lte-rrc.WLANConnectionStatusReport_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInformationBlockType1_PDU,
      { "SystemInformationBlockType1", "lte-rrc.SystemInformationBlockType1_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_RRCConnectionReconfiguration_v8m0_IEs_PDU,
      { "RRCConnectionReconfiguration-v8m0-IEs", "lte-rrc.RRCConnectionReconfiguration_v8m0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInformationBlockType2_PDU,
      { "SystemInformationBlockType2", "lte-rrc.SystemInformationBlockType2_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_RRCConnectionRelease_v9e0_IEs_PDU,
      { "RRCConnectionRelease-v9e0-IEs", "lte-rrc.RRCConnectionRelease_v9e0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SCGFailureInformation_v12d0_IEs_PDU,
      { "SCGFailureInformation-v12d0-IEs", "lte-rrc.SCGFailureInformation_v12d0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInformationBlockType1_v8h0_IEs_PDU,
      { "SystemInformationBlockType1-v8h0-IEs", "lte-rrc.SystemInformationBlockType1_v8h0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UEInformationResponse_v9e0_IEs_PDU,
      { "UEInformationResponse-v9e0-IEs", "lte-rrc.UEInformationResponse_v9e0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInformationBlockType2_v8h0_IEs_PDU,
      { "SystemInformationBlockType2-v8h0-IEs", "lte-rrc.SystemInformationBlockType2_v8h0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInformationBlockType3_v10j0_IEs_PDU,
      { "SystemInformationBlockType3-v10j0-IEs", "lte-rrc.SystemInformationBlockType3_v10j0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInformationBlockType5_v8h0_IEs_PDU,
      { "SystemInformationBlockType5-v8h0-IEs", "lte-rrc.SystemInformationBlockType5_v8h0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInformationBlockType6_v8h0_IEs_PDU,
      { "SystemInformationBlockType6-v8h0-IEs", "lte-rrc.SystemInformationBlockType6_v8h0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UE_EUTRA_Capability_v10j0_IEs_PDU,
      { "UE-EUTRA-Capability-v10j0-IEs", "lte-rrc.UE_EUTRA_Capability_v10j0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UE_EUTRA_Capability_v9a0_IEs_PDU,
      { "UE-EUTRA-Capability-v9a0-IEs", "lte-rrc.UE_EUTRA_Capability_v9a0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UE_Capability_NB_Ext_r14_IEs_PDU,
      { "UE-Capability-NB-Ext-r14-IEs", "lte-rrc.UE_Capability_NB_Ext_r14_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UE_Capability_NB_r13_PDU,
      { "UE-Capability-NB-r13", "lte-rrc.UE_Capability_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UECapabilityInformation_NB_PDU,
      { "UECapabilityInformation-NB", "lte-rrc.UECapabilityInformation_NB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UE_RadioPagingInfo_NB_r13_PDU,
      { "UE-RadioPagingInfo-NB-r13", "lte-rrc.UE_RadioPagingInfo_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_c1,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_handoverCommand_r8,
      { "handoverCommand-r8", "lte-rrc.handoverCommand_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverCommand_r8_IEs", HFILL }},
    { &hf_lte_rrc_spare7,
      { "spare7", "lte-rrc.spare7_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare6,
      { "spare6", "lte-rrc.spare6_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare5,
      { "spare5", "lte-rrc.spare5_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare4,
      { "spare4", "lte-rrc.spare4_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare3,
      { "spare3", "lte-rrc.spare3_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare2,
      { "spare2", "lte-rrc.spare2_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare1,
      { "spare1", "lte-rrc.spare1_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_handoverCommandMessage,
      { "handoverCommandMessage", "lte-rrc.handoverCommandMessage",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_01,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_01_vals), 0,
        "T_criticalExtensions_01", HFILL }},
    { &hf_lte_rrc_c1_01,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_01_vals), 0,
        "T_c1_01", HFILL }},
    { &hf_lte_rrc_handoverPreparationInformation_r8,
      { "handoverPreparationInformation-r8", "lte-rrc.handoverPreparationInformation_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_01,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_01", HFILL }},
    { &hf_lte_rrc_ue_RadioAccessCapabilityInfo,
      { "ue-RadioAccessCapabilityInfo", "lte-rrc.ue_RadioAccessCapabilityInfo",
        FT_UINT32, BASE_DEC, NULL, 0,
        "UE_CapabilityRAT_ContainerList", HFILL }},
    { &hf_lte_rrc_as_Config,
      { "as-Config", "lte-rrc.as_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrm_Config,
      { "rrm-Config", "lte-rrc.rrm_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_as_Context,
      { "as-Context", "lte-rrc.as_Context_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_01,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_v920_IEs", HFILL }},
    { &hf_lte_rrc_ue_ConfigRelease_r9,
      { "ue-ConfigRelease-r9", "lte-rrc.ue_ConfigRelease_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_ConfigRelease_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_02,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_v9d0_IEs", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_03,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_v9e0_IEs", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_01,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_04,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_v10j0_IEs", HFILL }},
    { &hf_lte_rrc_as_Config_v10j0,
      { "as-Config-v10j0", "lte-rrc.as_Config_v10j0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_05,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_01", HFILL }},
    { &hf_lte_rrc_as_Config_v9e0,
      { "as-Config-v9e0", "lte-rrc.as_Config_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_06,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_v1130_IEs", HFILL }},
    { &hf_lte_rrc_as_Context_v1130,
      { "as-Context-v1130", "lte-rrc.as_Context_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_07,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_v1250_IEs", HFILL }},
    { &hf_lte_rrc_ue_SupportedEARFCN_r12,
      { "ue-SupportedEARFCN-r12", "lte-rrc.ue_SupportedEARFCN_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_as_Config_v1250,
      { "as-Config-v1250", "lte-rrc.as_Config_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_08,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_v1320_IEs", HFILL }},
    { &hf_lte_rrc_as_Config_v1320,
      { "as-Config-v1320", "lte-rrc.as_Config_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_as_Context_v1320,
      { "as-Context-v1320", "lte-rrc.as_Context_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_09,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_v1430_IEs", HFILL }},
    { &hf_lte_rrc_as_Config_v1430,
      { "as-Config-v1430", "lte-rrc.as_Config_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_makeBeforeBreakReq_r14,
      { "makeBeforeBreakReq-r14", "lte-rrc.makeBeforeBreakReq_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_makeBeforeBreakReq_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_10,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_02", HFILL }},
    { &hf_lte_rrc_criticalExtensions_02,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_02_vals), 0,
        "T_criticalExtensions_02", HFILL }},
    { &hf_lte_rrc_c1_02,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_02_vals), 0,
        "T_c1_02", HFILL }},
    { &hf_lte_rrc_scg_Config_r12,
      { "scg-Config-r12", "lte-rrc.scg_Config_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCG_Config_r12_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_02,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_02", HFILL }},
    { &hf_lte_rrc_scg_RadioConfig_r12,
      { "scg-RadioConfig-r12", "lte-rrc.scg_RadioConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCG_ConfigPartSCG_r12", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_11,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_03", HFILL }},
    { &hf_lte_rrc_criticalExtensions_03,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_03_vals), 0,
        "T_criticalExtensions_03", HFILL }},
    { &hf_lte_rrc_c1_03,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_03_vals), 0,
        "T_c1_03", HFILL }},
    { &hf_lte_rrc_scg_ConfigInfo_r12,
      { "scg-ConfigInfo-r12", "lte-rrc.scg_ConfigInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCG_ConfigInfo_r12_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_03,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_03", HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedMCG_r12,
      { "radioResourceConfigDedMCG-r12", "lte-rrc.radioResourceConfigDedMCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigDedicated", HFILL }},
    { &hf_lte_rrc_sCellToAddModListMCG_r12,
      { "sCellToAddModListMCG-r12", "lte-rrc.sCellToAddModListMCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToAddModList_r10", HFILL }},
    { &hf_lte_rrc_measGapConfig_r12,
      { "measGapConfig-r12", "lte-rrc.measGapConfig_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasGapConfig_vals), 0,
        "MeasGapConfig", HFILL }},
    { &hf_lte_rrc_powerCoordinationInfo_r12,
      { "powerCoordinationInfo-r12", "lte-rrc.powerCoordinationInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eutra_CapabilityInfo_r12,
      { "eutra-CapabilityInfo-r12", "lte-rrc.eutra_CapabilityInfo_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scg_ConfigRestrictInfo_r12,
      { "scg-ConfigRestrictInfo-r12", "lte-rrc.scg_ConfigRestrictInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbmsInterestIndication_r12,
      { "mbmsInterestIndication-r12", "lte-rrc.mbmsInterestIndication_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultServCellListSCG_r12,
      { "measResultServCellListSCG-r12", "lte-rrc.measResultServCellListSCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drb_ToAddModListSCG_r12,
      { "drb-ToAddModListSCG-r12", "lte-rrc.drb_ToAddModListSCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "DRB_InfoListSCG_r12", HFILL }},
    { &hf_lte_rrc_drb_ToReleaseListSCG_r12,
      { "drb-ToReleaseListSCG-r12", "lte-rrc.drb_ToReleaseListSCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "DRB_ToReleaseList", HFILL }},
    { &hf_lte_rrc_sCellToAddModListSCG_r12,
      { "sCellToAddModListSCG-r12", "lte-rrc.sCellToAddModListSCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToReleaseListSCG_r12,
      { "sCellToReleaseListSCG-r12", "lte-rrc.sCellToReleaseListSCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToReleaseList_r10", HFILL }},
    { &hf_lte_rrc_p_Max_r12,
      { "p-Max-r12", "lte-rrc.p_Max_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P_Max", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_12,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCG_ConfigInfo_v1310_IEs", HFILL }},
    { &hf_lte_rrc_measResultSSTD_r13,
      { "measResultSSTD-r13", "lte-rrc.measResultSSTD_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModListMCG_Ext_r13,
      { "sCellToAddModListMCG-Ext-r13", "lte-rrc.sCellToAddModListMCG_Ext_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToAddModListExt_r13", HFILL }},
    { &hf_lte_rrc_measResultServCellListSCG_Ext_r13,
      { "measResultServCellListSCG-Ext-r13", "lte-rrc.measResultServCellListSCG_Ext_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModListSCG_Ext_r13,
      { "sCellToAddModListSCG-Ext-r13", "lte-rrc.sCellToAddModListSCG_Ext_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToReleaseListSCG_Ext_r13,
      { "sCellToReleaseListSCG-Ext-r13", "lte-rrc.sCellToReleaseListSCG_Ext_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToReleaseListExt_r13", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_13,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCG_ConfigInfo_v1330_IEs", HFILL }},
    { &hf_lte_rrc_measResultListRSSI_SCG_r13,
      { "measResultListRSSI-SCG-r13", "lte-rrc.measResultListRSSI_SCG_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_14,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCG_ConfigInfo_v1430_IEs", HFILL }},
    { &hf_lte_rrc_makeBeforeBreakSCG_Req_r14,
      { "makeBeforeBreakSCG-Req-r14", "lte-rrc.makeBeforeBreakSCG_Req_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_makeBeforeBreakSCG_Req_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measGapConfigPerCC_List,
      { "measGapConfigPerCC-List", "lte-rrc.measGapConfigPerCC_List",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasGapConfigPerCC_List_r14_vals), 0,
        "MeasGapConfigPerCC_List_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_15,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_04", HFILL }},
    { &hf_lte_rrc_DRB_InfoListSCG_r12_item,
      { "DRB-InfoSCG-r12", "lte-rrc.DRB_InfoSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eps_BearerIdentity_r12,
      { "eps-BearerIdentity-r12", "lte-rrc.eps_BearerIdentity_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_drb_Identity_r12,
      { "drb-Identity-r12", "lte-rrc.drb_Identity_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "DRB_Identity", HFILL }},
    { &hf_lte_rrc_drb_Type_r12,
      { "drb-Type-r12", "lte-rrc.drb_Type_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_Type_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SCellToAddModListSCG_r12_item,
      { "Cell-ToAddMod-r12", "lte-rrc.Cell_ToAddMod_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SCellToAddModListSCG_Ext_r13_item,
      { "Cell-ToAddMod-r12", "lte-rrc.Cell_ToAddMod_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellIndex_r12,
      { "sCellIndex-r12", "lte-rrc.sCellIndex_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellIndex_r10", HFILL }},
    { &hf_lte_rrc_cellIdentification_r12,
      { "cellIdentification-r12", "lte-rrc.cellIdentification_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r12,
      { "physCellId-r12", "lte-rrc.physCellId_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_r12,
      { "dl-CarrierFreq-r12", "lte-rrc.dl_CarrierFreq_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_measResultCellToAdd_r12,
      { "measResultCellToAdd-r12", "lte-rrc.measResultCellToAdd_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResult_r12,
      { "rsrpResult-r12", "lte-rrc.rsrpResult_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResult_r12,
      { "rsrqResult-r12", "lte-rrc.rsrqResult_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_sCellIndex_r13,
      { "sCellIndex-r13", "lte-rrc.sCellIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultCellToAdd_v1310,
      { "measResultCellToAdd-v1310", "lte-rrc.measResultCellToAdd_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rs_sinr_Result_r13,
      { "rs-sinr-Result-r13", "lte-rrc.rs_sinr_Result_r13",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_RS_SINR_Range_r13_fmt), 0,
        "RS_SINR_Range_r13", HFILL }},
    { &hf_lte_rrc_MeasResultServCellListSCG_r12_item,
      { "MeasResultServCellSCG-r12", "lte-rrc.MeasResultServCellSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultServCellListSCG_Ext_r13_item,
      { "MeasResultServCellSCG-r12", "lte-rrc.MeasResultServCellSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_servCellId_r12,
      { "servCellId-r12", "lte-rrc.servCellId_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ServCellIndex_r10", HFILL }},
    { &hf_lte_rrc_measResultSCell_r12,
      { "measResultSCell-r12", "lte-rrc.measResultSCell_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResultSCell_r12,
      { "rsrpResultSCell-r12", "lte-rrc.rsrpResultSCell_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResultSCell_r12,
      { "rsrqResultSCell-r12", "lte-rrc.rsrqResultSCell_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_servCellId_r13,
      { "servCellId-r13", "lte-rrc.servCellId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ServCellIndex_r13", HFILL }},
    { &hf_lte_rrc_measResultSCell_v1310,
      { "measResultSCell-v1310", "lte-rrc.measResultSCell_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rs_sinr_ResultSCell_r13,
      { "rs-sinr-ResultSCell-r13", "lte-rrc.rs_sinr_ResultSCell_r13",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_RS_SINR_Range_r13_fmt), 0,
        "RS_SINR_Range_r13", HFILL }},
    { &hf_lte_rrc_MeasResultListRSSI_SCG_r13_item,
      { "MeasResultRSSI-SCG-r13", "lte-rrc.MeasResultRSSI_SCG_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultForRSSI_r13,
      { "measResultForRSSI-r13", "lte-rrc.measResultForRSSI_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxSCH_TB_BitsDL_r12,
      { "maxSCH-TB-BitsDL-r12", "lte-rrc.maxSCH_TB_BitsDL_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_100", HFILL }},
    { &hf_lte_rrc_maxSCH_TB_BitsUL_r12,
      { "maxSCH-TB-BitsUL-r12", "lte-rrc.maxSCH_TB_BitsUL_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_100", HFILL }},
    { &hf_lte_rrc_criticalExtensions_04,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_04_vals), 0,
        "T_criticalExtensions_04", HFILL }},
    { &hf_lte_rrc_c1_04,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_04_vals), 0,
        "T_c1_04", HFILL }},
    { &hf_lte_rrc_uePagingCoverageInformation_r13,
      { "uePagingCoverageInformation-r13", "lte-rrc.uePagingCoverageInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEPagingCoverageInformation_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_04,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_04", HFILL }},
    { &hf_lte_rrc_mpdcch_NumRepetition_r13,
      { "mpdcch-NumRepetition-r13", "lte-rrc.mpdcch_NumRepetition_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_256", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_16,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_05", HFILL }},
    { &hf_lte_rrc_criticalExtensions_05,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_05_vals), 0,
        "T_criticalExtensions_05", HFILL }},
    { &hf_lte_rrc_c1_05,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_05_vals), 0,
        "T_c1_05", HFILL }},
    { &hf_lte_rrc_ueRadioAccessCapabilityInformation_r8,
      { "ueRadioAccessCapabilityInformation-r8", "lte-rrc.ueRadioAccessCapabilityInformation_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UERadioAccessCapabilityInformation_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_05,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_05", HFILL }},
    { &hf_lte_rrc_ue_RadioAccessCapabilityInfo_01,
      { "ue-RadioAccessCapabilityInfo", "lte-rrc.ue_RadioAccessCapabilityInfo",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_17,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_06", HFILL }},
    { &hf_lte_rrc_criticalExtensions_06,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_06_vals), 0,
        "T_criticalExtensions_06", HFILL }},
    { &hf_lte_rrc_c1_06,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_06_vals), 0,
        "T_c1_06", HFILL }},
    { &hf_lte_rrc_ueRadioPagingInformation_r12,
      { "ueRadioPagingInformation-r12", "lte-rrc.ueRadioPagingInformation_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UERadioPagingInformation_r12_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_06,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_06", HFILL }},
    { &hf_lte_rrc_ue_RadioPagingInfo_r12,
      { "ue-RadioPagingInfo-r12", "lte-rrc.ue_RadioPagingInfo_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_18,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UERadioPagingInformation_v1310_IEs", HFILL }},
    { &hf_lte_rrc_supportedBandListEUTRAForPaging_r13,
      { "supportedBandListEUTRAForPaging-r13", "lte-rrc.supportedBandListEUTRAForPaging_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_supportedBandListEUTRAForPaging_r13_item,
      { "FreqBandIndicator-r11", "lte-rrc.FreqBandIndicator_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_19,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_07", HFILL }},
    { &hf_lte_rrc_sourceMeasConfig,
      { "sourceMeasConfig", "lte-rrc.sourceMeasConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasConfig", HFILL }},
    { &hf_lte_rrc_sourceRadioResourceConfig,
      { "sourceRadioResourceConfig", "lte-rrc.sourceRadioResourceConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigDedicated", HFILL }},
    { &hf_lte_rrc_sourceSecurityAlgorithmConfig,
      { "sourceSecurityAlgorithmConfig", "lte-rrc.sourceSecurityAlgorithmConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityAlgorithmConfig", HFILL }},
    { &hf_lte_rrc_sourceUE_Identity,
      { "sourceUE-Identity", "lte-rrc.sourceUE_Identity",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_sourceMasterInformationBlock,
      { "sourceMasterInformationBlock", "lte-rrc.sourceMasterInformationBlock_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MasterInformationBlock", HFILL }},
    { &hf_lte_rrc_sourceSystemInformationBlockType1,
      { "sourceSystemInformationBlockType1", "lte-rrc.sourceSystemInformationBlockType1_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1", HFILL }},
    { &hf_lte_rrc_sourceSystemInformationBlockType2,
      { "sourceSystemInformationBlockType2", "lte-rrc.sourceSystemInformationBlockType2_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType2", HFILL }},
    { &hf_lte_rrc_antennaInfoCommon,
      { "antennaInfoCommon", "lte-rrc.antennaInfoCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sourceDl_CarrierFreq,
      { "sourceDl-CarrierFreq", "lte-rrc.sourceDl_CarrierFreq",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_sourceSystemInformationBlockType1Ext,
      { "sourceSystemInformationBlockType1Ext", "lte-rrc.sourceSystemInformationBlockType1Ext",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sourceOtherConfig_r9,
      { "sourceOtherConfig-r9", "lte-rrc.sourceOtherConfig_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "OtherConfig_r9", HFILL }},
    { &hf_lte_rrc_sourceSCellConfigList_r10,
      { "sourceSCellConfigList-r10", "lte-rrc.sourceSCellConfigList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToAddModList_r10", HFILL }},
    { &hf_lte_rrc_sourceConfigSCG_r12,
      { "sourceConfigSCG-r12", "lte-rrc.sourceConfigSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCG_Config_r12", HFILL }},
    { &hf_lte_rrc_sourceRB_ConfigNR_r15,
      { "sourceRB-ConfigNR-r15", "lte-rrc.sourceRB_ConfigNR_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sourceRB_ConfigSN_NR_r15,
      { "sourceRB-ConfigSN-NR-r15", "lte-rrc.sourceRB_ConfigSN_NR_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sourceOtherConfigSN_NR_r15,
      { "sourceOtherConfigSN-NR-r15", "lte-rrc.sourceOtherConfigSN_NR_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sourceDl_CarrierFreq_v9e0,
      { "sourceDl-CarrierFreq-v9e0", "lte-rrc.sourceDl_CarrierFreq_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_antennaInfoDedicatedPCell_v10i0,
      { "antennaInfoDedicatedPCell-v10i0", "lte-rrc.antennaInfoDedicatedPCell_v10i0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_v10i0", HFILL }},
    { &hf_lte_rrc_sourceWlan_OffloadConfig_r12,
      { "sourceWlan-OffloadConfig-r12", "lte-rrc.sourceWlan_OffloadConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLAN_OffloadConfig_r12", HFILL }},
    { &hf_lte_rrc_sourceSL_CommConfig_r12,
      { "sourceSL-CommConfig-r12", "lte-rrc.sourceSL_CommConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommConfig_r12", HFILL }},
    { &hf_lte_rrc_sourceSL_DiscConfig_r12,
      { "sourceSL-DiscConfig-r12", "lte-rrc.sourceSL_DiscConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscConfig_r12", HFILL }},
    { &hf_lte_rrc_sourceSCellConfigList_r13,
      { "sourceSCellConfigList-r13", "lte-rrc.sourceSCellConfigList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToAddModListExt_r13", HFILL }},
    { &hf_lte_rrc_sourceRCLWI_Configuration_r13,
      { "sourceRCLWI-Configuration-r13", "lte-rrc.sourceRCLWI_Configuration_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RCLWI_Configuration_r13_vals), 0,
        "RCLWI_Configuration_r13", HFILL }},
    { &hf_lte_rrc_sourceSL_V2X_CommConfig_r14,
      { "sourceSL-V2X-CommConfig-r14", "lte-rrc.sourceSL_V2X_CommConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_V2X_ConfigDedicated_r14", HFILL }},
    { &hf_lte_rrc_sourceLWA_Config_r14,
      { "sourceLWA-Config-r14", "lte-rrc.sourceLWA_Config_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LWA_Config_r13", HFILL }},
    { &hf_lte_rrc_sourceWLAN_MeasResult_r14,
      { "sourceWLAN-MeasResult-r14", "lte-rrc.sourceWLAN_MeasResult_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultListWLAN_r13", HFILL }},
    { &hf_lte_rrc_reestablishmentInfo,
      { "reestablishmentInfo", "lte-rrc.reestablishmentInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_idc_Indication_r11,
      { "idc-Indication-r11", "lte-rrc.idc_Indication_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbmsInterestIndication_r11,
      { "mbmsInterestIndication-r11", "lte-rrc.mbmsInterestIndication_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerPrefIndication_r11,
      { "powerPrefIndication-r11", "lte-rrc.powerPrefIndication_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sidelinkUEInformation_r12,
      { "sidelinkUEInformation-r12", "lte-rrc.sidelinkUEInformation_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sourceContextENDC_r15,
      { "sourceContextENDC-r15", "lte-rrc.sourceContextENDC_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlanConnectionStatusReport_r13,
      { "wlanConnectionStatusReport-r13", "lte-rrc.wlanConnectionStatusReport_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_wlanConnectionStatusReport_r13", HFILL }},
    { &hf_lte_rrc_sourcePhysCellId,
      { "sourcePhysCellId", "lte-rrc.sourcePhysCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_targetCellShortMAC_I,
      { "targetCellShortMAC-I", "lte-rrc.targetCellShortMAC_I",
        FT_BYTES, BASE_NONE, NULL, 0,
        "ShortMAC_I", HFILL }},
    { &hf_lte_rrc_additionalReestabInfoList,
      { "additionalReestabInfoList", "lte-rrc.additionalReestabInfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_AdditionalReestabInfoList_item,
      { "AdditionalReestabInfo", "lte-rrc.AdditionalReestabInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIdentity,
      { "cellIdentity", "lte-rrc.cellIdentity",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_key_eNodeB_Star,
      { "key-eNodeB-Star", "lte-rrc.key_eNodeB_Star",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_shortMAC_I,
      { "shortMAC-I", "lte-rrc.shortMAC_I",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_InactiveTime,
      { "ue-InactiveTime", "lte-rrc.ue_InactiveTime",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_ue_InactiveTime_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_candidateCellInfoList_r10,
      { "candidateCellInfoList-r10", "lte-rrc.candidateCellInfoList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CandidateCellInfoList_r10_item,
      { "CandidateCellInfo-r10", "lte-rrc.CandidateCellInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r10,
      { "physCellId-r10", "lte-rrc.physCellId_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_r10,
      { "dl-CarrierFreq-r10", "lte-rrc.dl_CarrierFreq_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_rsrpResult_r10,
      { "rsrpResult-r10", "lte-rrc.rsrpResult_r10",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResult_r10,
      { "rsrqResult-r10", "lte-rrc.rsrqResult_r10",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_v1090,
      { "dl-CarrierFreq-v1090", "lte-rrc.dl_CarrierFreq_v1090",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_rsrqResult_v1250,
      { "rsrqResult-v1250", "lte-rrc.rsrqResult_v1250",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_message,
      { "message", "lte-rrc.message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BCCH_BCH_MessageType", HFILL }},
    { &hf_lte_rrc_message_01,
      { "message", "lte-rrc.message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BCCH_BCH_MessageType_MBMS_r14", HFILL }},
    { &hf_lte_rrc_message_02,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_BCCH_DL_SCH_MessageType_vals), 0,
        "BCCH_DL_SCH_MessageType", HFILL }},
    { &hf_lte_rrc_c1_07,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_07_vals), 0,
        "T_c1_07", HFILL }},
    { &hf_lte_rrc_systemInformation,
      { "systemInformation", "lte-rrc.systemInformation_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInformationBlockType1,
      { "systemInformationBlockType1", "lte-rrc.systemInformationBlockType1_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_message_03,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_BCCH_DL_SCH_MessageType_BR_r13_vals), 0,
        "BCCH_DL_SCH_MessageType_BR_r13", HFILL }},
    { &hf_lte_rrc_c1_08,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_08_vals), 0,
        "T_c1_08", HFILL }},
    { &hf_lte_rrc_systemInformation_BR_r13,
      { "systemInformation-BR-r13", "lte-rrc.systemInformation_BR_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInformationBlockType1_BR_r13,
      { "systemInformationBlockType1-BR-r13", "lte-rrc.systemInformationBlockType1_BR_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_01,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_01", HFILL }},
    { &hf_lte_rrc_message_04,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_BCCH_DL_SCH_MessageType_MBMS_r14_vals), 0,
        "BCCH_DL_SCH_MessageType_MBMS_r14", HFILL }},
    { &hf_lte_rrc_c1_09,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_09_vals), 0,
        "T_c1_09", HFILL }},
    { &hf_lte_rrc_systemInformation_MBMS_r14,
      { "systemInformation-MBMS-r14", "lte-rrc.systemInformation_MBMS_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInformationBlockType1_MBMS_r14,
      { "systemInformationBlockType1-MBMS-r14", "lte-rrc.systemInformationBlockType1_MBMS_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_02,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_02", HFILL }},
    { &hf_lte_rrc_message_05,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MCCH_MessageType_vals), 0,
        "MCCH_MessageType", HFILL }},
    { &hf_lte_rrc_c1_10,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_10_vals), 0,
        "T_c1_10", HFILL }},
    { &hf_lte_rrc_mbsfnAreaConfiguration_r9,
      { "mbsfnAreaConfiguration-r9", "lte-rrc.mbsfnAreaConfiguration_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_later,
      { "later", "lte-rrc.later",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_later_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_c2,
      { "c2", "lte-rrc.c2",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c2_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbmsCountingRequest_r10,
      { "mbmsCountingRequest-r10", "lte-rrc.mbmsCountingRequest_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_03,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_03", HFILL }},
    { &hf_lte_rrc_message_06,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PCCH_MessageType_vals), 0,
        "PCCH_MessageType", HFILL }},
    { &hf_lte_rrc_c1_11,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_11_vals), 0,
        "T_c1_11", HFILL }},
    { &hf_lte_rrc_paging,
      { "paging", "lte-rrc.paging_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_04,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_04", HFILL }},
    { &hf_lte_rrc_message_07,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DL_CCCH_MessageType_vals), 0,
        "DL_CCCH_MessageType", HFILL }},
    { &hf_lte_rrc_c1_12,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_12_vals), 0,
        "T_c1_12", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishment,
      { "rrcConnectionReestablishment", "lte-rrc.rrcConnectionReestablishment_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentReject,
      { "rrcConnectionReestablishmentReject", "lte-rrc.rrcConnectionReestablishmentReject_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionReject,
      { "rrcConnectionReject", "lte-rrc.rrcConnectionReject_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionSetup,
      { "rrcConnectionSetup", "lte-rrc.rrcConnectionSetup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_05,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_05", HFILL }},
    { &hf_lte_rrc_message_08,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DL_DCCH_MessageType_vals), 0,
        "DL_DCCH_MessageType", HFILL }},
    { &hf_lte_rrc_c1_13,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_13_vals), 0,
        "T_c1_13", HFILL }},
    { &hf_lte_rrc_csfbParametersResponseCDMA2000,
      { "csfbParametersResponseCDMA2000", "lte-rrc.csfbParametersResponseCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dlInformationTransfer,
      { "dlInformationTransfer", "lte-rrc.dlInformationTransfer_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_handoverFromEUTRAPreparationRequest,
      { "handoverFromEUTRAPreparationRequest", "lte-rrc.handoverFromEUTRAPreparationRequest_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityFromEUTRACommand,
      { "mobilityFromEUTRACommand", "lte-rrc.mobilityFromEUTRACommand_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionReconfiguration,
      { "rrcConnectionReconfiguration", "lte-rrc.rrcConnectionReconfiguration_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionRelease,
      { "rrcConnectionRelease", "lte-rrc.rrcConnectionRelease_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_securityModeCommand,
      { "securityModeCommand", "lte-rrc.securityModeCommand_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ueCapabilityEnquiry,
      { "ueCapabilityEnquiry", "lte-rrc.ueCapabilityEnquiry_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_counterCheck,
      { "counterCheck", "lte-rrc.counterCheck_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ueInformationRequest_r9,
      { "ueInformationRequest-r9", "lte-rrc.ueInformationRequest_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_loggedMeasurementConfiguration_r10,
      { "loggedMeasurementConfiguration-r10", "lte-rrc.loggedMeasurementConfiguration_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rnReconfiguration_r10,
      { "rnReconfiguration-r10", "lte-rrc.rnReconfiguration_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionResume_r13,
      { "rrcConnectionResume-r13", "lte-rrc.rrcConnectionResume_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_06,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_06", HFILL }},
    { &hf_lte_rrc_message_09,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_UL_CCCH_MessageType_vals), 0,
        "UL_CCCH_MessageType", HFILL }},
    { &hf_lte_rrc_c1_14,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_14_vals), 0,
        "T_c1_14", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentRequest,
      { "rrcConnectionReestablishmentRequest", "lte-rrc.rrcConnectionReestablishmentRequest_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionRequest,
      { "rrcConnectionRequest", "lte-rrc.rrcConnectionRequest_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_07,
      { "messageClassExtension", "lte-rrc.messageClassExtension",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_messageClassExtension_07_vals), 0,
        "T_messageClassExtension_07", HFILL }},
    { &hf_lte_rrc_c2_01,
      { "c2", "lte-rrc.c2",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c2_01_vals), 0,
        "T_c2_01", HFILL }},
    { &hf_lte_rrc_rrcConnectionResumeRequest_r13,
      { "rrcConnectionResumeRequest-r13", "lte-rrc.rrcConnectionResumeRequest_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtensionFuture_r13,
      { "messageClassExtensionFuture-r13", "lte-rrc.messageClassExtensionFuture_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_message_10,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_UL_DCCH_MessageType_vals), 0,
        "UL_DCCH_MessageType", HFILL }},
    { &hf_lte_rrc_c1_15,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_15_vals), 0,
        "T_c1_15", HFILL }},
    { &hf_lte_rrc_csfbParametersRequestCDMA2000,
      { "csfbParametersRequestCDMA2000", "lte-rrc.csfbParametersRequestCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measurementReport,
      { "measurementReport", "lte-rrc.measurementReport_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionReconfigurationComplete,
      { "rrcConnectionReconfigurationComplete", "lte-rrc.rrcConnectionReconfigurationComplete_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentComplete,
      { "rrcConnectionReestablishmentComplete", "lte-rrc.rrcConnectionReestablishmentComplete_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionSetupComplete,
      { "rrcConnectionSetupComplete", "lte-rrc.rrcConnectionSetupComplete_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_securityModeComplete,
      { "securityModeComplete", "lte-rrc.securityModeComplete_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_securityModeFailure,
      { "securityModeFailure", "lte-rrc.securityModeFailure_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ueCapabilityInformation,
      { "ueCapabilityInformation", "lte-rrc.ueCapabilityInformation_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ulHandoverPreparationTransfer,
      { "ulHandoverPreparationTransfer", "lte-rrc.ulHandoverPreparationTransfer_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ulInformationTransfer,
      { "ulInformationTransfer", "lte-rrc.ulInformationTransfer_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_counterCheckResponse,
      { "counterCheckResponse", "lte-rrc.counterCheckResponse_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ueInformationResponse_r9,
      { "ueInformationResponse-r9", "lte-rrc.ueInformationResponse_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_proximityIndication_r9,
      { "proximityIndication-r9", "lte-rrc.proximityIndication_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rnReconfigurationComplete_r10,
      { "rnReconfigurationComplete-r10", "lte-rrc.rnReconfigurationComplete_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbmsCountingResponse_r10,
      { "mbmsCountingResponse-r10", "lte-rrc.mbmsCountingResponse_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqRSTDMeasurementIndication_r10,
      { "interFreqRSTDMeasurementIndication-r10", "lte-rrc.interFreqRSTDMeasurementIndication_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_08,
      { "messageClassExtension", "lte-rrc.messageClassExtension",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_messageClassExtension_08_vals), 0,
        "T_messageClassExtension_08", HFILL }},
    { &hf_lte_rrc_c2_02,
      { "c2", "lte-rrc.c2",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c2_02_vals), 0,
        "T_c2_02", HFILL }},
    { &hf_lte_rrc_ueAssistanceInformation_r11,
      { "ueAssistanceInformation-r11", "lte-rrc.ueAssistanceInformation_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_inDeviceCoexIndication_r11,
      { "inDeviceCoexIndication-r11", "lte-rrc.inDeviceCoexIndication_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbmsInterestIndication_r11_01,
      { "mbmsInterestIndication-r11", "lte-rrc.mbmsInterestIndication_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scgFailureInformation_r12,
      { "scgFailureInformation-r12", "lte-rrc.scgFailureInformation_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sidelinkUEInformation_r12_01,
      { "sidelinkUEInformation-r12", "lte-rrc.sidelinkUEInformation_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlanConnectionStatusReport_r13_01,
      { "wlanConnectionStatusReport-r13", "lte-rrc.wlanConnectionStatusReport_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionResumeComplete_r13,
      { "rrcConnectionResumeComplete-r13", "lte-rrc.rrcConnectionResumeComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ulInformationTransferMRDC_r15,
      { "ulInformationTransferMRDC-r15", "lte-rrc.ulInformationTransferMRDC_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ULInformationTransferMRDC", HFILL }},
    { &hf_lte_rrc_spare8,
      { "spare8", "lte-rrc.spare8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtensionFuture_r11,
      { "messageClassExtensionFuture-r11", "lte-rrc.messageClassExtensionFuture_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_message_11,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SC_MCCH_MessageType_r13_vals), 0,
        "SC_MCCH_MessageType_r13", HFILL }},
    { &hf_lte_rrc_c1_16,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_16_vals), 0,
        "T_c1_16", HFILL }},
    { &hf_lte_rrc_scptmConfiguration_r13,
      { "scptmConfiguration-r13", "lte-rrc.scptmConfiguration_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtension_09,
      { "messageClassExtension", "lte-rrc.messageClassExtension",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_messageClassExtension_09_vals), 0,
        "T_messageClassExtension_09", HFILL }},
    { &hf_lte_rrc_c2_03,
      { "c2", "lte-rrc.c2",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c2_03_vals), 0,
        "T_c2_03", HFILL }},
    { &hf_lte_rrc_scptmConfiguration_BR_r14,
      { "scptmConfiguration-BR-r14", "lte-rrc.scptmConfiguration_BR_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare,
      { "spare", "lte-rrc.spare_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageClassExtensionFuture_r14,
      { "messageClassExtensionFuture-r14", "lte-rrc.messageClassExtensionFuture_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrc_TransactionIdentifier,
      { "rrc-TransactionIdentifier", "lte-rrc.rrc_TransactionIdentifier",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_07,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_07_vals), 0,
        "T_criticalExtensions_07", HFILL }},
    { &hf_lte_rrc_c1_17,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_17_vals), 0,
        "T_c1_17", HFILL }},
    { &hf_lte_rrc_counterCheck_r8,
      { "counterCheck-r8", "lte-rrc.counterCheck_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CounterCheck_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_07,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_07", HFILL }},
    { &hf_lte_rrc_drb_CountMSB_InfoList,
      { "drb-CountMSB-InfoList", "lte-rrc.drb_CountMSB_InfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_20,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CounterCheck_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_21,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_08", HFILL }},
    { &hf_lte_rrc_DRB_CountMSB_InfoList_item,
      { "DRB-CountMSB-Info", "lte-rrc.DRB_CountMSB_Info_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drb_Identity,
      { "drb-Identity", "lte-rrc.drb_Identity",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_countMSB_Uplink,
      { "countMSB-Uplink", "lte-rrc.countMSB_Uplink",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_33554431", HFILL }},
    { &hf_lte_rrc_countMSB_Downlink,
      { "countMSB-Downlink", "lte-rrc.countMSB_Downlink",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_33554431", HFILL }},
    { &hf_lte_rrc_criticalExtensions_08,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_08_vals), 0,
        "T_criticalExtensions_08", HFILL }},
    { &hf_lte_rrc_counterCheckResponse_r8,
      { "counterCheckResponse-r8", "lte-rrc.counterCheckResponse_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CounterCheckResponse_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_08,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_08", HFILL }},
    { &hf_lte_rrc_drb_CountInfoList,
      { "drb-CountInfoList", "lte-rrc.drb_CountInfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_22,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CounterCheckResponse_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_23,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_09", HFILL }},
    { &hf_lte_rrc_DRB_CountInfoList_item,
      { "DRB-CountInfo", "lte-rrc.DRB_CountInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_count_Uplink,
      { "count-Uplink", "lte-rrc.count_Uplink",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_4294967295", HFILL }},
    { &hf_lte_rrc_count_Downlink,
      { "count-Downlink", "lte-rrc.count_Downlink",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_4294967295", HFILL }},
    { &hf_lte_rrc_criticalExtensions_09,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_09_vals), 0,
        "T_criticalExtensions_09", HFILL }},
    { &hf_lte_rrc_csfbParametersRequestCDMA2000_r8,
      { "csfbParametersRequestCDMA2000-r8", "lte-rrc.csfbParametersRequestCDMA2000_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSFBParametersRequestCDMA2000_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_09,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_09", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_24,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSFBParametersRequestCDMA2000_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_25,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_10", HFILL }},
    { &hf_lte_rrc_criticalExtensions_10,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_10_vals), 0,
        "T_criticalExtensions_10", HFILL }},
    { &hf_lte_rrc_csfbParametersResponseCDMA2000_r8,
      { "csfbParametersResponseCDMA2000-r8", "lte-rrc.csfbParametersResponseCDMA2000_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSFBParametersResponseCDMA2000_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_10,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_10", HFILL }},
    { &hf_lte_rrc_rand,
      { "rand", "lte-rrc.rand",
        FT_BYTES, BASE_NONE, NULL, 0,
        "RAND_CDMA2000", HFILL }},
    { &hf_lte_rrc_mobilityParameters,
      { "mobilityParameters", "lte-rrc.mobilityParameters",
        FT_BYTES, BASE_NONE, NULL, 0,
        "MobilityParametersCDMA2000", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_26,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSFBParametersResponseCDMA2000_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_27,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_11", HFILL }},
    { &hf_lte_rrc_criticalExtensions_11,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_11_vals), 0,
        "T_criticalExtensions_11", HFILL }},
    { &hf_lte_rrc_c1_18,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_18_vals), 0,
        "T_c1_18", HFILL }},
    { &hf_lte_rrc_dlInformationTransfer_r8,
      { "dlInformationTransfer-r8", "lte-rrc.dlInformationTransfer_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DLInformationTransfer_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_11,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_11", HFILL }},
    { &hf_lte_rrc_dedicatedInfoType,
      { "dedicatedInfoType", "lte-rrc.dedicatedInfoType",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dedicatedInfoType_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dedicatedInfoNAS,
      { "dedicatedInfoNAS", "lte-rrc.dedicatedInfoNAS",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dedicatedInfoCDMA2000_1XRTT,
      { "dedicatedInfoCDMA2000-1XRTT", "lte-rrc.dedicatedInfoCDMA2000_1XRTT",
        FT_BYTES, BASE_NONE, NULL, 0,
        "DedicatedInfoCDMA2000", HFILL }},
    { &hf_lte_rrc_dedicatedInfoCDMA2000_HRPD,
      { "dedicatedInfoCDMA2000-HRPD", "lte-rrc.dedicatedInfoCDMA2000_HRPD",
        FT_BYTES, BASE_NONE, NULL, 0,
        "DedicatedInfoCDMA2000", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_28,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DLInformationTransfer_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_29,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_12", HFILL }},
    { &hf_lte_rrc_criticalExtensions_12,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_12_vals), 0,
        "T_criticalExtensions_12", HFILL }},
    { &hf_lte_rrc_c1_19,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_19_vals), 0,
        "T_c1_19", HFILL }},
    { &hf_lte_rrc_handoverFromEUTRAPreparationRequest_r8,
      { "handoverFromEUTRAPreparationRequest-r8", "lte-rrc.handoverFromEUTRAPreparationRequest_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverFromEUTRAPreparationRequest_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_12,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_12", HFILL }},
    { &hf_lte_rrc_cdma2000_Type,
      { "cdma2000-Type", "lte-rrc.cdma2000_Type",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CDMA2000_Type_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_30,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverFromEUTRAPreparationRequest_v890_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_31,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverFromEUTRAPreparationRequest_v920_IEs", HFILL }},
    { &hf_lte_rrc_concurrPrepCDMA2000_HRPD_r9,
      { "concurrPrepCDMA2000-HRPD-r9", "lte-rrc.concurrPrepCDMA2000_HRPD_r9",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_32,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverFromEUTRAPreparationRequest_v1020_IEs", HFILL }},
    { &hf_lte_rrc_dualRxTxRedirectIndicator_r10,
      { "dualRxTxRedirectIndicator-r10", "lte-rrc.dualRxTxRedirectIndicator_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dualRxTxRedirectIndicator_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_redirectCarrierCDMA2000_1XRTT_r10,
      { "redirectCarrierCDMA2000-1XRTT-r10", "lte-rrc.redirectCarrierCDMA2000_1XRTT_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqCDMA2000", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_33,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_13", HFILL }},
    { &hf_lte_rrc_criticalExtensions_13,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_13_vals), 0,
        "T_criticalExtensions_13", HFILL }},
    { &hf_lte_rrc_c1_20,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_20_vals), 0,
        "T_c1_20", HFILL }},
    { &hf_lte_rrc_inDeviceCoexIndication_r11_01,
      { "inDeviceCoexIndication-r11", "lte-rrc.inDeviceCoexIndication_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "InDeviceCoexIndication_r11_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_13,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_13", HFILL }},
    { &hf_lte_rrc_affectedCarrierFreqList_r11,
      { "affectedCarrierFreqList-r11", "lte-rrc.affectedCarrierFreqList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdm_AssistanceInfo_r11,
      { "tdm-AssistanceInfo-r11", "lte-rrc.tdm_AssistanceInfo_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TDM_AssistanceInfo_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_34,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "InDeviceCoexIndication_v11d0_IEs", HFILL }},
    { &hf_lte_rrc_ul_CA_AssistanceInfo_r11,
      { "ul-CA-AssistanceInfo-r11", "lte-rrc.ul_CA_AssistanceInfo_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_affectedCarrierFreqCombList_r11,
      { "affectedCarrierFreqCombList-r11", "lte-rrc.affectedCarrierFreqCombList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_victimSystemType_r11,
      { "victimSystemType-r11", "lte-rrc.victimSystemType_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_35,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "InDeviceCoexIndication_v1310_IEs", HFILL }},
    { &hf_lte_rrc_affectedCarrierFreqList_v1310,
      { "affectedCarrierFreqList-v1310", "lte-rrc.affectedCarrierFreqList_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_affectedCarrierFreqCombList_r13,
      { "affectedCarrierFreqCombList-r13", "lte-rrc.affectedCarrierFreqCombList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_36,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "InDeviceCoexIndication_v1360_IEs", HFILL }},
    { &hf_lte_rrc_hardwareSharingProblem_r13,
      { "hardwareSharingProblem-r13", "lte-rrc.hardwareSharingProblem_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_hardwareSharingProblem_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_37,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_14", HFILL }},
    { &hf_lte_rrc_AffectedCarrierFreqList_r11_item,
      { "AffectedCarrierFreq-r11", "lte-rrc.AffectedCarrierFreq_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_AffectedCarrierFreqList_v1310_item,
      { "AffectedCarrierFreq-v1310", "lte-rrc.AffectedCarrierFreq_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r11,
      { "carrierFreq-r11", "lte-rrc.carrierFreq_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasObjectId", HFILL }},
    { &hf_lte_rrc_interferenceDirection_r11,
      { "interferenceDirection-r11", "lte-rrc.interferenceDirection_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interferenceDirection_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_v1310,
      { "carrierFreq-v1310", "lte-rrc.carrierFreq_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasObjectId_v1310", HFILL }},
    { &hf_lte_rrc_AffectedCarrierFreqCombList_r11_item,
      { "AffectedCarrierFreqComb-r11", "lte-rrc.AffectedCarrierFreqComb_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_AffectedCarrierFreqCombList_r13_item,
      { "AffectedCarrierFreqComb-r13", "lte-rrc.AffectedCarrierFreqComb_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_AffectedCarrierFreqComb_r11_item,
      { "MeasObjectId", "lte-rrc.MeasObjectId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_AffectedCarrierFreqComb_r13_item,
      { "MeasObjectId-r13", "lte-rrc.MeasObjectId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_AssistanceInfo_r11,
      { "drx-AssistanceInfo-r11", "lte-rrc.drx_AssistanceInfo_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_CycleLength_r11,
      { "drx-CycleLength-r11", "lte-rrc.drx_CycleLength_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_CycleLength_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_Offset_r11,
      { "drx-Offset-r11", "lte-rrc.drx_Offset_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_255", HFILL }},
    { &hf_lte_rrc_drx_ActiveTime_r11,
      { "drx-ActiveTime-r11", "lte-rrc.drx_ActiveTime_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_ActiveTime_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_idc_SubframePatternList_r11,
      { "idc-SubframePatternList-r11", "lte-rrc.idc_SubframePatternList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_IDC_SubframePatternList_r11_item,
      { "IDC-SubframePattern-r11", "lte-rrc.IDC_SubframePattern_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_IDC_SubframePattern_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subframePatternFDD_r11,
      { "subframePatternFDD-r11", "lte-rrc.subframePatternFDD_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_4", HFILL }},
    { &hf_lte_rrc_subframePatternTDD_r11,
      { "subframePatternTDD-r11", "lte-rrc.subframePatternTDD_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframePatternTDD_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subframeConfig0_r11,
      { "subframeConfig0-r11", "lte-rrc.subframeConfig0_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_70", HFILL }},
    { &hf_lte_rrc_subframeConfig1_5_r11,
      { "subframeConfig1-5-r11", "lte-rrc.subframeConfig1_5_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_subframeConfig6_r11,
      { "subframeConfig6-r11", "lte-rrc.subframeConfig6_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_60", HFILL }},
    { &hf_lte_rrc_gps_r11,
      { "gps-r11", "lte-rrc.gps_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gps_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_glonass_r11,
      { "glonass-r11", "lte-rrc.glonass_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_glonass_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bds_r11,
      { "bds-r11", "lte-rrc.bds_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_bds_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_galileo_r11,
      { "galileo-r11", "lte-rrc.galileo_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_galileo_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_r11,
      { "wlan-r11", "lte-rrc.wlan_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_wlan_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bluetooth_r11,
      { "bluetooth-r11", "lte-rrc.bluetooth_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_bluetooth_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_14,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_14_vals), 0,
        "T_criticalExtensions_14", HFILL }},
    { &hf_lte_rrc_c1_21,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_21_vals), 0,
        "T_c1_21", HFILL }},
    { &hf_lte_rrc_interFreqRSTDMeasurementIndication_r10_01,
      { "interFreqRSTDMeasurementIndication-r10", "lte-rrc.interFreqRSTDMeasurementIndication_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "InterFreqRSTDMeasurementIndication_r10_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_14,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_14", HFILL }},
    { &hf_lte_rrc_rstd_InterFreqIndication_r10,
      { "rstd-InterFreqIndication-r10", "lte-rrc.rstd_InterFreqIndication_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rstd_InterFreqIndication_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_start,
      { "start", "lte-rrc.start_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rstd_InterFreqInfoList_r10,
      { "rstd-InterFreqInfoList-r10", "lte-rrc.rstd_InterFreqInfoList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_stop,
      { "stop", "lte-rrc.stop_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_38,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_15", HFILL }},
    { &hf_lte_rrc_RSTD_InterFreqInfoList_r10_item,
      { "RSTD-InterFreqInfo-r10", "lte-rrc.RSTD_InterFreqInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r10,
      { "carrierFreq-r10", "lte-rrc.carrierFreq_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_measPRS_Offset_r10,
      { "measPRS-Offset-r10", "lte-rrc.measPRS_Offset_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_39", HFILL }},
    { &hf_lte_rrc_carrierFreq_v1090,
      { "carrierFreq-v1090", "lte-rrc.carrierFreq_v1090",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_criticalExtensions_15,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_15_vals), 0,
        "T_criticalExtensions_15", HFILL }},
    { &hf_lte_rrc_c1_22,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_22_vals), 0,
        "T_c1_22", HFILL }},
    { &hf_lte_rrc_loggedMeasurementConfiguration_r10_01,
      { "loggedMeasurementConfiguration-r10", "lte-rrc.loggedMeasurementConfiguration_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LoggedMeasurementConfiguration_r10_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_15,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_15", HFILL }},
    { &hf_lte_rrc_traceReference_r10,
      { "traceReference-r10", "lte-rrc.traceReference_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_traceRecordingSessionRef_r10,
      { "traceRecordingSessionRef-r10", "lte-rrc.traceRecordingSessionRef_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_2", HFILL }},
    { &hf_lte_rrc_tce_Id_r10,
      { "tce-Id-r10", "lte-rrc.tce_Id_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_1", HFILL }},
    { &hf_lte_rrc_absoluteTimeInfo_r10,
      { "absoluteTimeInfo-r10", "lte-rrc.absoluteTimeInfo_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_areaConfiguration_r10,
      { "areaConfiguration-r10", "lte-rrc.areaConfiguration_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_AreaConfiguration_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_loggingDuration_r10,
      { "loggingDuration-r10", "lte-rrc.loggingDuration_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_LoggingDuration_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_loggingInterval_r10,
      { "loggingInterval-r10", "lte-rrc.loggingInterval_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_LoggingInterval_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_39,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LoggedMeasurementConfiguration_v1080_IEs", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_r10,
      { "lateNonCriticalExtension-r10", "lte-rrc.lateNonCriticalExtension_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_40,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LoggedMeasurementConfiguration_v1130_IEs", HFILL }},
    { &hf_lte_rrc_plmn_IdentityList_r11,
      { "plmn-IdentityList-r11", "lte-rrc.plmn_IdentityList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PLMN_IdentityList3_r11", HFILL }},
    { &hf_lte_rrc_areaConfiguration_v1130,
      { "areaConfiguration-v1130", "lte-rrc.areaConfiguration_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_41,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LoggedMeasurementConfiguration_v1250_IEs", HFILL }},
    { &hf_lte_rrc_targetMBSFN_AreaList_r12,
      { "targetMBSFN-AreaList-r12", "lte-rrc.targetMBSFN_AreaList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_42,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_16", HFILL }},
    { &hf_lte_rrc_TargetMBSFN_AreaList_r12_item,
      { "TargetMBSFN-Area-r12", "lte-rrc.TargetMBSFN_Area_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbsfn_AreaId_r12,
      { "mbsfn-AreaId-r12", "lte-rrc.mbsfn_AreaId_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r12,
      { "carrierFreq-r12", "lte-rrc.carrierFreq_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_dl_Bandwidth,
      { "dl-Bandwidth", "lte-rrc.dl_Bandwidth",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_Bandwidth_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phich_Config,
      { "phich-Config", "lte-rrc.phich_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemFrameNumber,
      { "systemFrameNumber", "lte-rrc.systemFrameNumber",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_schedulingInfoSIB1_BR_r13,
      { "schedulingInfoSIB1-BR-r13", "lte-rrc.schedulingInfoSIB1_BR_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_schedulingInfoSIB1_BR_r13_vals_ext, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_spare_01,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_5", HFILL }},
    { &hf_lte_rrc_dl_Bandwidth_MBMS_r14,
      { "dl-Bandwidth-MBMS-r14", "lte-rrc.dl_Bandwidth_MBMS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_Bandwidth_MBMS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemFrameNumber_r14,
      { "systemFrameNumber-r14", "lte-rrc.systemFrameNumber_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_additionalNonMBSFNSubframes_r14,
      { "additionalNonMBSFNSubframes-r14", "lte-rrc.additionalNonMBSFNSubframes_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_spare_02,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_13", HFILL }},
    { &hf_lte_rrc_countingRequestList_r10,
      { "countingRequestList-r10", "lte-rrc.countingRequestList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_43,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_17", HFILL }},
    { &hf_lte_rrc_CountingRequestList_r10_item,
      { "CountingRequestInfo-r10", "lte-rrc.CountingRequestInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tmgi_r10,
      { "tmgi-r10", "lte-rrc.tmgi_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "TMGI_r9", HFILL }},
    { &hf_lte_rrc_criticalExtensions_16,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_16_vals), 0,
        "T_criticalExtensions_16", HFILL }},
    { &hf_lte_rrc_c1_23,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_23_vals), 0,
        "T_c1_23", HFILL }},
    { &hf_lte_rrc_countingResponse_r10,
      { "countingResponse-r10", "lte-rrc.countingResponse_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBMSCountingResponse_r10_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_16,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_16", HFILL }},
    { &hf_lte_rrc_mbsfn_AreaIndex_r10,
      { "mbsfn-AreaIndex-r10", "lte-rrc.mbsfn_AreaIndex_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxMBSFN_Area_1", HFILL }},
    { &hf_lte_rrc_countingResponseList_r10,
      { "countingResponseList-r10", "lte-rrc.countingResponseList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_44,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_18", HFILL }},
    { &hf_lte_rrc_CountingResponseList_r10_item,
      { "CountingResponseInfo-r10", "lte-rrc.CountingResponseInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_countingResponseService_r10,
      { "countingResponseService-r10", "lte-rrc.countingResponseService_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxServiceCount_1", HFILL }},
    { &hf_lte_rrc_criticalExtensions_17,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_17_vals), 0,
        "T_criticalExtensions_17", HFILL }},
    { &hf_lte_rrc_c1_24,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_24_vals), 0,
        "T_c1_24", HFILL }},
    { &hf_lte_rrc_interestIndication_r11,
      { "interestIndication-r11", "lte-rrc.interestIndication_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBMSInterestIndication_r11_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_17,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_17", HFILL }},
    { &hf_lte_rrc_mbms_FreqList_r11,
      { "mbms-FreqList-r11", "lte-rrc.mbms_FreqList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CarrierFreqListMBMS_r11", HFILL }},
    { &hf_lte_rrc_mbms_Priority_r11,
      { "mbms-Priority-r11", "lte-rrc.mbms_Priority_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbms_Priority_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_45,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBMSInterestIndication_v1310_IEs", HFILL }},
    { &hf_lte_rrc_mbms_Services_r13,
      { "mbms-Services-r13", "lte-rrc.mbms_Services_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBMS_ServiceList_r13", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_46,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_19", HFILL }},
    { &hf_lte_rrc_commonSF_Alloc_r9,
      { "commonSF-Alloc-r9", "lte-rrc.commonSF_Alloc_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CommonSF_AllocPatternList_r9", HFILL }},
    { &hf_lte_rrc_commonSF_AllocPeriod_r9,
      { "commonSF-AllocPeriod-r9", "lte-rrc.commonSF_AllocPeriod_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_commonSF_AllocPeriod_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pmch_InfoList_r9,
      { "pmch-InfoList-r9", "lte-rrc.pmch_InfoList_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_47,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBSFNAreaConfiguration_v930_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_48,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBSFNAreaConfiguration_v1250_IEs", HFILL }},
    { &hf_lte_rrc_pmch_InfoListExt_r12,
      { "pmch-InfoListExt-r12", "lte-rrc.pmch_InfoListExt_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_49,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBSFNAreaConfiguration_v1430_IEs", HFILL }},
    { &hf_lte_rrc_commonSF_Alloc_r14,
      { "commonSF-Alloc-r14", "lte-rrc.commonSF_Alloc_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CommonSF_AllocPatternList_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_50,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_20", HFILL }},
    { &hf_lte_rrc_CommonSF_AllocPatternList_r9_item,
      { "MBSFN-SubframeConfig", "lte-rrc.MBSFN_SubframeConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CommonSF_AllocPatternList_r14_item,
      { "MBSFN-SubframeConfig-v1430", "lte-rrc.MBSFN_SubframeConfig_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_18,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_18_vals), 0,
        "T_criticalExtensions_18", HFILL }},
    { &hf_lte_rrc_c1_25,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_25_vals), 0,
        "T_c1_25", HFILL }},
    { &hf_lte_rrc_measurementReport_r8,
      { "measurementReport-r8", "lte-rrc.measurementReport_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasurementReport_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_18,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_18", HFILL }},
    { &hf_lte_rrc_measResults,
      { "measResults", "lte-rrc.measResults_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_51,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasurementReport_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_52,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_21", HFILL }},
    { &hf_lte_rrc_criticalExtensions_19,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_19_vals), 0,
        "T_criticalExtensions_19", HFILL }},
    { &hf_lte_rrc_c1_26,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_26_vals), 0,
        "T_c1_26", HFILL }},
    { &hf_lte_rrc_mobilityFromEUTRACommand_r8,
      { "mobilityFromEUTRACommand-r8", "lte-rrc.mobilityFromEUTRACommand_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MobilityFromEUTRACommand_r8_IEs", HFILL }},
    { &hf_lte_rrc_mobilityFromEUTRACommand_r9,
      { "mobilityFromEUTRACommand-r9", "lte-rrc.mobilityFromEUTRACommand_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MobilityFromEUTRACommand_r9_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_19,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_19", HFILL }},
    { &hf_lte_rrc_cs_FallbackIndicator,
      { "cs-FallbackIndicator", "lte-rrc.cs_FallbackIndicator",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_purpose,
      { "purpose", "lte-rrc.purpose",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_purpose_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_handover,
      { "handover", "lte-rrc.handover_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellChangeOrder,
      { "cellChangeOrder", "lte-rrc.cellChangeOrder_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_53,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MobilityFromEUTRACommand_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_54,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MobilityFromEUTRACommand_v8d0_IEs", HFILL }},
    { &hf_lte_rrc_bandIndicator,
      { "bandIndicator", "lte-rrc.bandIndicator",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_BandIndicatorGERAN_vals), 0,
        "BandIndicatorGERAN", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_55,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_22", HFILL }},
    { &hf_lte_rrc_purpose_01,
      { "purpose", "lte-rrc.purpose",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_purpose_01_vals), 0,
        "T_purpose_01", HFILL }},
    { &hf_lte_rrc_e_CSFB_r9,
      { "e-CSFB-r9", "lte-rrc.e_CSFB_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_56,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MobilityFromEUTRACommand_v930_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_57,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MobilityFromEUTRACommand_v960_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_58,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_23", HFILL }},
    { &hf_lte_rrc_targetRAT_Type,
      { "targetRAT-Type", "lte-rrc.targetRAT_Type",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_targetRAT_Type_vals), 0,
        "T_targetRAT_Type", HFILL }},
    { &hf_lte_rrc_targetRAT_MessageContainer,
      { "targetRAT-MessageContainer", "lte-rrc.targetRAT_MessageContainer",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_targetRAT_MessageContainer", HFILL }},
    { &hf_lte_rrc_nas_SecurityParamFromEUTRA,
      { "nas-SecurityParamFromEUTRA", "lte-rrc.nas_SecurityParamFromEUTRA",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInformation_01,
      { "systemInformation", "lte-rrc.systemInformation",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SI_OrPSI_GERAN_vals), 0,
        "SI_OrPSI_GERAN", HFILL }},
    { &hf_lte_rrc_t304,
      { "t304", "lte-rrc.t304",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t304_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_targetRAT_Type_01,
      { "targetRAT-Type", "lte-rrc.targetRAT_Type",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_targetRAT_Type_01_vals), 0,
        "T_targetRAT_Type_01", HFILL }},
    { &hf_lte_rrc_geran,
      { "geran", "lte-rrc.geran_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId,
      { "physCellId", "lte-rrc.physCellId_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysCellIdGERAN", HFILL }},
    { &hf_lte_rrc_carrierFreq,
      { "carrierFreq", "lte-rrc.carrierFreq_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqGERAN", HFILL }},
    { &hf_lte_rrc_networkControlOrder,
      { "networkControlOrder", "lte-rrc.networkControlOrder",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_2", HFILL }},
    { &hf_lte_rrc_si,
      { "si", "lte-rrc.si",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_psi,
      { "psi", "lte-rrc.psi",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageContCDMA2000_1XRTT_r9,
      { "messageContCDMA2000-1XRTT-r9", "lte-rrc.messageContCDMA2000_1XRTT_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING", HFILL }},
    { &hf_lte_rrc_mobilityCDMA2000_HRPD_r9,
      { "mobilityCDMA2000-HRPD-r9", "lte-rrc.mobilityCDMA2000_HRPD_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mobilityCDMA2000_HRPD_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageContCDMA2000_HRPD_r9,
      { "messageContCDMA2000-HRPD-r9", "lte-rrc.messageContCDMA2000_HRPD_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING", HFILL }},
    { &hf_lte_rrc_redirectCarrierCDMA2000_HRPD_r9,
      { "redirectCarrierCDMA2000-HRPD-r9", "lte-rrc.redirectCarrierCDMA2000_HRPD_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqCDMA2000", HFILL }},
    { &hf_lte_rrc_pagingRecordList,
      { "pagingRecordList", "lte-rrc.pagingRecordList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInfoModification,
      { "systemInfoModification", "lte-rrc.systemInfoModification",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_systemInfoModification_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_etws_Indication,
      { "etws-Indication", "lte-rrc.etws_Indication",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_etws_Indication_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_59,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Paging_v890_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_60,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Paging_v920_IEs", HFILL }},
    { &hf_lte_rrc_cmas_Indication_r9,
      { "cmas-Indication-r9", "lte-rrc.cmas_Indication_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cmas_Indication_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_61,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Paging_v1130_IEs", HFILL }},
    { &hf_lte_rrc_eab_ParamModification_r11,
      { "eab-ParamModification-r11", "lte-rrc.eab_ParamModification_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eab_ParamModification_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_62,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Paging_v1310_IEs", HFILL }},
    { &hf_lte_rrc_redistributionIndication_r13,
      { "redistributionIndication-r13", "lte-rrc.redistributionIndication_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_redistributionIndication_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInfoModification_eDRX_r13,
      { "systemInfoModification-eDRX-r13", "lte-rrc.systemInfoModification_eDRX_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_systemInfoModification_eDRX_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_63,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_24", HFILL }},
    { &hf_lte_rrc_PagingRecordList_item,
      { "PagingRecord", "lte-rrc.PagingRecord_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_Identity,
      { "ue-Identity", "lte-rrc.ue_Identity",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PagingUE_Identity_vals), 0,
        "PagingUE_Identity", HFILL }},
    { &hf_lte_rrc_cn_Domain,
      { "cn-Domain", "lte-rrc.cn_Domain",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cn_Domain_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_TMSI,
      { "s-TMSI", "lte-rrc.s_TMSI_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_imsi,
      { "imsi", "lte-rrc.imsi",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_IMSI_item,
      { "IMSI-Digit", "lte-rrc.IMSI_Digit",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_20,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_20_vals), 0,
        "T_criticalExtensions_20", HFILL }},
    { &hf_lte_rrc_c1_27,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_27_vals), 0,
        "T_c1_27", HFILL }},
    { &hf_lte_rrc_proximityIndication_r9_01,
      { "proximityIndication-r9", "lte-rrc.proximityIndication_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ProximityIndication_r9_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_20,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_20", HFILL }},
    { &hf_lte_rrc_type_r9,
      { "type-r9", "lte-rrc.type_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_type_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r9,
      { "carrierFreq-r9", "lte-rrc.carrierFreq_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_carrierFreq_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eutra_r9,
      { "eutra-r9", "lte-rrc.eutra_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_utra_r9,
      { "utra-r9", "lte-rrc.utra_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueUTRA", HFILL }},
    { &hf_lte_rrc_eutra2_v9e0,
      { "eutra2-v9e0", "lte-rrc.eutra2_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_64,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ProximityIndication_v930_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_65,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_25", HFILL }},
    { &hf_lte_rrc_criticalExtensions_21,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_21_vals), 0,
        "T_criticalExtensions_21", HFILL }},
    { &hf_lte_rrc_c1_28,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_28_vals), 0,
        "T_c1_28", HFILL }},
    { &hf_lte_rrc_rnReconfiguration_r10_01,
      { "rnReconfiguration-r10", "lte-rrc.rnReconfiguration_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RNReconfiguration_r10_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_21,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_21", HFILL }},
    { &hf_lte_rrc_rn_SystemInfo_r10,
      { "rn-SystemInfo-r10", "lte-rrc.rn_SystemInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rn_SubframeConfig_r10,
      { "rn-SubframeConfig-r10", "lte-rrc.rn_SubframeConfig_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_66,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_26", HFILL }},
    { &hf_lte_rrc_systemInformationBlockType1_r10,
      { "systemInformationBlockType1-r10", "lte-rrc.systemInformationBlockType1_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInformationBlockType2_r10,
      { "systemInformationBlockType2-r10", "lte-rrc.systemInformationBlockType2_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType2", HFILL }},
    { &hf_lte_rrc_criticalExtensions_22,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_22_vals), 0,
        "T_criticalExtensions_22", HFILL }},
    { &hf_lte_rrc_c1_29,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_29_vals), 0,
        "T_c1_29", HFILL }},
    { &hf_lte_rrc_rnReconfigurationComplete_r10_01,
      { "rnReconfigurationComplete-r10", "lte-rrc.rnReconfigurationComplete_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RNReconfigurationComplete_r10_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_22,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_22", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_67,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_27", HFILL }},
    { &hf_lte_rrc_criticalExtensions_23,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_23_vals), 0,
        "T_criticalExtensions_23", HFILL }},
    { &hf_lte_rrc_c1_30,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_30_vals), 0,
        "T_c1_30", HFILL }},
    { &hf_lte_rrc_rrcConnectionReconfiguration_r8,
      { "rrcConnectionReconfiguration-r8", "lte-rrc.rrcConnectionReconfiguration_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_23,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_23", HFILL }},
    { &hf_lte_rrc_measConfig,
      { "measConfig", "lte-rrc.measConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityControlInfo,
      { "mobilityControlInfo", "lte-rrc.mobilityControlInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dedicatedInfoNASList,
      { "dedicatedInfoNASList", "lte-rrc.dedicatedInfoNASList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS", HFILL }},
    { &hf_lte_rrc_dedicatedInfoNASList_item,
      { "DedicatedInfoNAS", "lte-rrc.DedicatedInfoNAS",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicated,
      { "radioResourceConfigDedicated", "lte-rrc.radioResourceConfigDedicated_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_securityConfigHO,
      { "securityConfigHO", "lte-rrc.securityConfigHO_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_68,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v890_IEs", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_02,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_69,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v920_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_70,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v10i0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_71,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v10l0_IEs", HFILL }},
    { &hf_lte_rrc_mobilityControlInfo_v10l0,
      { "mobilityControlInfo-v10l0", "lte-rrc.mobilityControlInfo_v10l0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModList_v10l0,
      { "sCellToAddModList-v10l0", "lte-rrc.sCellToAddModList_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_72,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v12f0_IEs", HFILL }},
    { &hf_lte_rrc_scg_Configuration_v12f0,
      { "scg-Configuration-v12f0", "lte-rrc.scg_Configuration_v12f0",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SCG_Configuration_v12f0_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_73,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v1370_IEs", HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicated_v1370,
      { "radioResourceConfigDedicated-v1370", "lte-rrc.radioResourceConfigDedicated_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModListExt_v1370,
      { "sCellToAddModListExt-v1370", "lte-rrc.sCellToAddModListExt_v1370",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_74,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_28", HFILL }},
    { &hf_lte_rrc_otherConfig_r9,
      { "otherConfig-r9", "lte-rrc.otherConfig_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fullConfig_r9,
      { "fullConfig-r9", "lte-rrc.fullConfig_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fullConfig_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_75,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v1020_IEs", HFILL }},
    { &hf_lte_rrc_sCellToReleaseList_r10,
      { "sCellToReleaseList-r10", "lte-rrc.sCellToReleaseList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModList_r10,
      { "sCellToAddModList-r10", "lte-rrc.sCellToAddModList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_76,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v1130_IEs", HFILL }},
    { &hf_lte_rrc_systemInformationBlockType1Dedicated_r11,
      { "systemInformationBlockType1Dedicated-r11", "lte-rrc.systemInformationBlockType1Dedicated_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_77,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v1250_IEs", HFILL }},
    { &hf_lte_rrc_wlan_OffloadInfo_r12,
      { "wlan-OffloadInfo-r12", "lte-rrc.wlan_OffloadInfo_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_wlan_OffloadInfo_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_release,
      { "release", "lte-rrc.release_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_OffloadConfigDedicated_r12,
      { "wlan-OffloadConfigDedicated-r12", "lte-rrc.wlan_OffloadConfigDedicated_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLAN_OffloadConfig_r12", HFILL }},
    { &hf_lte_rrc_t350_r12,
      { "t350-r12", "lte-rrc.t350_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t350_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scg_Configuration_r12,
      { "scg-Configuration-r12", "lte-rrc.scg_Configuration_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SCG_Configuration_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_SyncTxControl_r12,
      { "sl-SyncTxControl-r12", "lte-rrc.sl_SyncTxControl_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_DiscConfig_r12,
      { "sl-DiscConfig-r12", "lte-rrc.sl_DiscConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_CommConfig_r12,
      { "sl-CommConfig-r12", "lte-rrc.sl_CommConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_78,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v1310_IEs", HFILL }},
    { &hf_lte_rrc_sCellToReleaseListExt_r13,
      { "sCellToReleaseListExt-r13", "lte-rrc.sCellToReleaseListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModListExt_r13,
      { "sCellToAddModListExt-r13", "lte-rrc.sCellToAddModListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwa_Configuration_r13,
      { "lwa-Configuration-r13", "lte-rrc.lwa_Configuration_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_LWA_Configuration_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_Configuration_r13,
      { "lwip-Configuration-r13", "lte-rrc.lwip_Configuration_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_LWIP_Configuration_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rclwi_Configuration_r13,
      { "rclwi-Configuration-r13", "lte-rrc.rclwi_Configuration_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RCLWI_Configuration_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_79,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v1430_IEs", HFILL }},
    { &hf_lte_rrc_sl_V2X_ConfigDedicated_r14,
      { "sl-V2X-ConfigDedicated-r14", "lte-rrc.sl_V2X_ConfigDedicated_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModListExt_v1430,
      { "sCellToAddModListExt-v1430", "lte-rrc.sCellToAddModListExt_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_perCC_GapIndicationRequest_r14,
      { "perCC-GapIndicationRequest-r14", "lte-rrc.perCC_GapIndicationRequest_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_perCC_GapIndicationRequest_r14_vals), 0,
        "T_perCC_GapIndicationRequest_r14", HFILL }},
    { &hf_lte_rrc_systemInformationBlockType2Dedicated_r14,
      { "systemInformationBlockType2Dedicated-r14", "lte-rrc.systemInformationBlockType2Dedicated_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_80,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_v15x0_IEs", HFILL }},
    { &hf_lte_rrc_endc_Config_r15,
      { "endc-Config-r15", "lte-rrc.endc_Config_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scg_ConfigReleaseNR_r15,
      { "scg-ConfigReleaseNR-r15", "lte-rrc.scg_ConfigReleaseNR_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_sk_Counter_r15,
      { "sk-Counter-r15", "lte-rrc.sk_Counter_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_65535", HFILL }},
    { &hf_lte_rrc_nr_SecondaryCellGroupConfig_r15,
      { "nr-SecondaryCellGroupConfig-r15", "lte-rrc.nr_SecondaryCellGroupConfig_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nr_RadioBearerConfig_r15,
      { "nr-RadioBearerConfig-r15", "lte-rrc.nr_RadioBearerConfig_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nr_RadioBearerConfigS_r15,
      { "nr-RadioBearerConfigS-r15", "lte-rrc.nr_RadioBearerConfigS_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdm_PatternSingle_Tx_r15,
      { "tdm-PatternSingle-Tx-r15", "lte-rrc.tdm_PatternSingle_Tx_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subframeAssignment_r15,
      { "subframeAssignment-r15", "lte-rrc.subframeAssignment_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SubframeAssignment_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_harq_Offset_r15,
      { "harq-Offset-r15", "lte-rrc.harq_Offset_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_9", HFILL }},
    { &hf_lte_rrc_networkControlledSyncTx_r12,
      { "networkControlledSyncTx-r12", "lte-rrc.networkControlledSyncTx_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_networkControlledSyncTx_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIdentification_r12_01,
      { "cellIdentification-r12", "lte-rrc.cellIdentification_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_cellIdentification_r12_01", HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommonPSCell_r12,
      { "radioResourceConfigCommonPSCell-r12", "lte-rrc.radioResourceConfigCommonPSCell_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicatedPSCell_r12,
      { "radioResourceConfigDedicatedPSCell-r12", "lte-rrc.radioResourceConfigDedicatedPSCell_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaInfoDedicatedPSCell_v1280,
      { "antennaInfoDedicatedPSCell-v1280", "lte-rrc.antennaInfoDedicatedPSCell_v1280_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_v10i0", HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicatedPSCell_v1370,
      { "radioResourceConfigDedicatedPSCell-v1370", "lte-rrc.radioResourceConfigDedicatedPSCell_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommonPSCell_r12_01,
      { "radioResourceConfigCommonPSCell-r12", "lte-rrc.radioResourceConfigCommonPSCell_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonPSCell_v12f0", HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommonPSCell_r14,
      { "radioResourceConfigCommonPSCell-r14", "lte-rrc.radioResourceConfigCommonPSCell_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonPSCell_v1440", HFILL }},
    { &hf_lte_rrc_p_MeNB_r12,
      { "p-MeNB-r12", "lte-rrc.p_MeNB_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_16", HFILL }},
    { &hf_lte_rrc_p_SeNB_r12,
      { "p-SeNB-r12", "lte-rrc.p_SeNB_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_16", HFILL }},
    { &hf_lte_rrc_powerControlMode_r12,
      { "powerControlMode-r12", "lte-rrc.powerControlMode_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_2", HFILL }},
    { &hf_lte_rrc_SCellToAddModList_r10_item,
      { "SCellToAddMod-r10", "lte-rrc.SCellToAddMod_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SCellToAddModList_v10l0_item,
      { "SCellToAddMod-v10l0", "lte-rrc.SCellToAddMod_v10l0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SCellToAddModListExt_r13_item,
      { "SCellToAddModExt-r13", "lte-rrc.SCellToAddModExt_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SCellToAddModListExt_v1370_item,
      { "SCellToAddModExt-v1370", "lte-rrc.SCellToAddModExt_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SCellToAddModListExt_v1430_item,
      { "SCellToAddModExt-v1430", "lte-rrc.SCellToAddModExt_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellIndex_r10,
      { "sCellIndex-r10", "lte-rrc.sCellIndex_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIdentification_r10,
      { "cellIdentification-r10", "lte-rrc.cellIdentification_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommonSCell_r10,
      { "radioResourceConfigCommonSCell-r10", "lte-rrc.radioResourceConfigCommonSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicatedSCell_r10,
      { "radioResourceConfigDedicatedSCell-r10", "lte-rrc.radioResourceConfigDedicatedSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaInfoDedicatedSCell_v10i0,
      { "antennaInfoDedicatedSCell-v10i0", "lte-rrc.antennaInfoDedicatedSCell_v10i0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_v10i0", HFILL }},
    { &hf_lte_rrc_srs_SwitchFromServCellIndex_r14,
      { "srs-SwitchFromServCellIndex-r14", "lte-rrc.srs_SwitchFromServCellIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommonSCell_v10l0,
      { "radioResourceConfigCommonSCell-v10l0", "lte-rrc.radioResourceConfigCommonSCell_v10l0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIdentification_r13,
      { "cellIdentification-r13", "lte-rrc.cellIdentification_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r13,
      { "physCellId-r13", "lte-rrc.physCellId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_r13,
      { "dl-CarrierFreq-r13", "lte-rrc.dl_CarrierFreq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommonSCell_r13,
      { "radioResourceConfigCommonSCell-r13", "lte-rrc.radioResourceConfigCommonSCell_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonSCell_r10", HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicatedSCell_r13,
      { "radioResourceConfigDedicatedSCell-r13", "lte-rrc.radioResourceConfigDedicatedSCell_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigDedicatedSCell_r10", HFILL }},
    { &hf_lte_rrc_antennaInfoDedicatedSCell_r13,
      { "antennaInfoDedicatedSCell-r13", "lte-rrc.antennaInfoDedicatedSCell_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_v10i0", HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommonSCell_v1370,
      { "radioResourceConfigCommonSCell-v1370", "lte-rrc.radioResourceConfigCommonSCell_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonSCell_v10l0", HFILL }},
    { &hf_lte_rrc_SCellToReleaseList_r10_item,
      { "SCellIndex-r10", "lte-rrc.SCellIndex_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SCellToReleaseListExt_r13_item,
      { "SCellIndex-r13", "lte-rrc.SCellIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_01,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_01", HFILL }},
    { &hf_lte_rrc_scg_ConfigPartMCG_r12,
      { "scg-ConfigPartMCG-r12", "lte-rrc.scg_ConfigPartMCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scg_Counter_r12,
      { "scg-Counter-r12", "lte-rrc.scg_Counter_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_65535", HFILL }},
    { &hf_lte_rrc_scg_ConfigPartSCG_r12,
      { "scg-ConfigPartSCG-r12", "lte-rrc.scg_ConfigPartSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_02,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_02", HFILL }},
    { &hf_lte_rrc_scg_ConfigPartSCG_v12f0,
      { "scg-ConfigPartSCG-v12f0", "lte-rrc.scg_ConfigPartSCG_v12f0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicatedSCG_r12,
      { "radioResourceConfigDedicatedSCG-r12", "lte-rrc.radioResourceConfigDedicatedSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pSCellToAddMod_r12,
      { "pSCellToAddMod-r12", "lte-rrc.pSCellToAddMod_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModListSCG_r12_01,
      { "sCellToAddModListSCG-r12", "lte-rrc.sCellToAddModListSCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToAddModList_r10", HFILL }},
    { &hf_lte_rrc_mobilityControlInfoSCG_r12,
      { "mobilityControlInfoSCG-r12", "lte-rrc.mobilityControlInfoSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModListSCG_Ext_r13_01,
      { "sCellToAddModListSCG-Ext-r13", "lte-rrc.sCellToAddModListSCG_Ext_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToAddModListExt_r13", HFILL }},
    { &hf_lte_rrc_sCellToAddModListSCG_Ext_v1370,
      { "sCellToAddModListSCG-Ext-v1370", "lte-rrc.sCellToAddModListSCG_Ext_v1370",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToAddModListExt_v1370", HFILL }},
    { &hf_lte_rrc_pSCellToAddMod_v1440,
      { "pSCellToAddMod-v1440", "lte-rrc.pSCellToAddMod_v1440_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pSCellToAddMod_v12f0,
      { "pSCellToAddMod-v12f0", "lte-rrc.pSCellToAddMod_v12f0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellToAddModListSCG_v12f0,
      { "sCellToAddModListSCG-v12f0", "lte-rrc.sCellToAddModListSCG_v12f0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellToAddModList_v10l0", HFILL }},
    { &hf_lte_rrc_handoverType,
      { "handoverType", "lte-rrc.handoverType",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_handoverType_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraLTE,
      { "intraLTE", "lte-rrc.intraLTE_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_securityAlgorithmConfig,
      { "securityAlgorithmConfig", "lte-rrc.securityAlgorithmConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_keyChangeIndicator,
      { "keyChangeIndicator", "lte-rrc.keyChangeIndicator",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_nextHopChainingCount,
      { "nextHopChainingCount", "lte-rrc.nextHopChainingCount",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT,
      { "interRAT", "lte-rrc.interRAT_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nas_SecurityParamToEUTRA,
      { "nas-SecurityParamToEUTRA", "lte-rrc.nas_SecurityParamToEUTRA",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_24,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_24_vals), 0,
        "T_criticalExtensions_24", HFILL }},
    { &hf_lte_rrc_rrcConnectionReconfigurationComplete_r8,
      { "rrcConnectionReconfigurationComplete-r8", "lte-rrc.rrcConnectionReconfigurationComplete_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_24,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_24", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_81,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_82,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_v1020_IEs", HFILL }},
    { &hf_lte_rrc_rlf_InfoAvailable_r10,
      { "rlf-InfoAvailable-r10", "lte-rrc.rlf_InfoAvailable_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlf_InfoAvailable_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logMeasAvailable_r10,
      { "logMeasAvailable-r10", "lte-rrc.logMeasAvailable_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailable_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_83,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_v1130_IEs", HFILL }},
    { &hf_lte_rrc_connEstFailInfoAvailable_r11,
      { "connEstFailInfoAvailable-r11", "lte-rrc.connEstFailInfoAvailable_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connEstFailInfoAvailable_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_84,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_v1250_IEs", HFILL }},
    { &hf_lte_rrc_logMeasAvailableMBSFN_r12,
      { "logMeasAvailableMBSFN-r12", "lte-rrc.logMeasAvailableMBSFN_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailableMBSFN_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_85,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_v1430_IEs", HFILL }},
    { &hf_lte_rrc_perCC_GapIndicationList_r14,
      { "perCC-GapIndicationList-r14", "lte-rrc.perCC_GapIndicationList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_numFreqEffective_r14,
      { "numFreqEffective-r14", "lte-rrc.numFreqEffective_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_12", HFILL }},
    { &hf_lte_rrc_numFreqEffectiveReduced_r14,
      { "numFreqEffectiveReduced-r14", "lte-rrc.numFreqEffectiveReduced_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_12", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_86,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_v15xy_IEs", HFILL }},
    { &hf_lte_rrc_scg_ConfigResponseNR_r15,
      { "scg-ConfigResponseNR-r15", "lte-rrc.scg_ConfigResponseNR_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_87,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_29", HFILL }},
    { &hf_lte_rrc_criticalExtensions_25,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_25_vals), 0,
        "T_criticalExtensions_25", HFILL }},
    { &hf_lte_rrc_c1_31,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_31_vals), 0,
        "T_c1_31", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishment_r8,
      { "rrcConnectionReestablishment-r8", "lte-rrc.rrcConnectionReestablishment_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishment_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_25,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_25", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_88,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishment_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_89,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_30", HFILL }},
    { &hf_lte_rrc_criticalExtensions_26,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_26_vals), 0,
        "T_criticalExtensions_26", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentComplete_r8,
      { "rrcConnectionReestablishmentComplete-r8", "lte-rrc.rrcConnectionReestablishmentComplete_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentComplete_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_26,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_26", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_90,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentComplete_v920_IEs", HFILL }},
    { &hf_lte_rrc_rlf_InfoAvailable_r9,
      { "rlf-InfoAvailable-r9", "lte-rrc.rlf_InfoAvailable_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlf_InfoAvailable_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_91,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentComplete_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_92,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentComplete_v1020_IEs", HFILL }},
    { &hf_lte_rrc_logMeasAvailable_r10_01,
      { "logMeasAvailable-r10", "lte-rrc.logMeasAvailable_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailable_r10_01_vals), 0,
        "T_logMeasAvailable_r10_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_93,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentComplete_v1130_IEs", HFILL }},
    { &hf_lte_rrc_connEstFailInfoAvailable_r11_01,
      { "connEstFailInfoAvailable-r11", "lte-rrc.connEstFailInfoAvailable_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connEstFailInfoAvailable_r11_01_vals), 0,
        "T_connEstFailInfoAvailable_r11_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_94,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentComplete_v1250_IEs", HFILL }},
    { &hf_lte_rrc_logMeasAvailableMBSFN_r12_01,
      { "logMeasAvailableMBSFN-r12", "lte-rrc.logMeasAvailableMBSFN_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailableMBSFN_r12_01_vals), 0,
        "T_logMeasAvailableMBSFN_r12_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_95,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_31", HFILL }},
    { &hf_lte_rrc_criticalExtensions_27,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_27_vals), 0,
        "T_criticalExtensions_27", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentReject_r8,
      { "rrcConnectionReestablishmentReject-r8", "lte-rrc.rrcConnectionReestablishmentReject_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentReject_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_27,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_27", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_96,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentReject_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_97,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_32", HFILL }},
    { &hf_lte_rrc_criticalExtensions_28,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_28_vals), 0,
        "T_criticalExtensions_28", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentRequest_r8,
      { "rrcConnectionReestablishmentRequest-r8", "lte-rrc.rrcConnectionReestablishmentRequest_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentRequest_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_28,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_28", HFILL }},
    { &hf_lte_rrc_ue_Identity_01,
      { "ue-Identity", "lte-rrc.ue_Identity_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ReestabUE_Identity", HFILL }},
    { &hf_lte_rrc_reestablishmentCause,
      { "reestablishmentCause", "lte-rrc.reestablishmentCause",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ReestablishmentCause_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare_03,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_2", HFILL }},
    { &hf_lte_rrc_c_RNTI,
      { "c-RNTI", "lte-rrc.c_RNTI",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_01,
      { "physCellId", "lte-rrc.physCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_29,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_29_vals), 0,
        "T_criticalExtensions_29", HFILL }},
    { &hf_lte_rrc_c1_32,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_32_vals), 0,
        "T_c1_32", HFILL }},
    { &hf_lte_rrc_rrcConnectionReject_r8,
      { "rrcConnectionReject-r8", "lte-rrc.rrcConnectionReject_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReject_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_29,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_29", HFILL }},
    { &hf_lte_rrc_waitTime,
      { "waitTime", "lte-rrc.waitTime",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "INTEGER_1_16", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_98,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReject_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_99,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReject_v1020_IEs", HFILL }},
    { &hf_lte_rrc_extendedWaitTime_r10,
      { "extendedWaitTime-r10", "lte-rrc.extendedWaitTime_r10",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "INTEGER_1_1800", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_100,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReject_v1130_IEs", HFILL }},
    { &hf_lte_rrc_deprioritisationReq_r11,
      { "deprioritisationReq-r11", "lte-rrc.deprioritisationReq_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deprioritisationType_r11,
      { "deprioritisationType-r11", "lte-rrc.deprioritisationType_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deprioritisationType_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deprioritisationTimer_r11,
      { "deprioritisationTimer-r11", "lte-rrc.deprioritisationTimer_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deprioritisationTimer_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_101,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReject_v1320_IEs", HFILL }},
    { &hf_lte_rrc_rrc_SuspendIndication_r13,
      { "rrc-SuspendIndication-r13", "lte-rrc.rrc_SuspendIndication_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rrc_SuspendIndication_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_102,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_33", HFILL }},
    { &hf_lte_rrc_criticalExtensions_30,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_30_vals), 0,
        "T_criticalExtensions_30", HFILL }},
    { &hf_lte_rrc_c1_33,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_33_vals), 0,
        "T_c1_33", HFILL }},
    { &hf_lte_rrc_rrcConnectionRelease_r8,
      { "rrcConnectionRelease-r8", "lte-rrc.rrcConnectionRelease_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRelease_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_30,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_30", HFILL }},
    { &hf_lte_rrc_releaseCause,
      { "releaseCause", "lte-rrc.releaseCause",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ReleaseCause_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_redirectedCarrierInfo,
      { "redirectedCarrierInfo", "lte-rrc.redirectedCarrierInfo",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RedirectedCarrierInfo_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_idleModeMobilityControlInfo,
      { "idleModeMobilityControlInfo", "lte-rrc.idleModeMobilityControlInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_103,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRelease_v890_IEs", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_03,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_02", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_104,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRelease_v920_IEs", HFILL }},
    { &hf_lte_rrc_redirectedCarrierInfo_v9e0,
      { "redirectedCarrierInfo-v9e0", "lte-rrc.redirectedCarrierInfo_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_idleModeMobilityControlInfo_v9e0,
      { "idleModeMobilityControlInfo-v9e0", "lte-rrc.idleModeMobilityControlInfo_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_105,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_34", HFILL }},
    { &hf_lte_rrc_cellInfoList_r9,
      { "cellInfoList-r9", "lte-rrc.cellInfoList_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cellInfoList_r9_vals), 0,
        "T_cellInfoList_r9", HFILL }},
    { &hf_lte_rrc_geran_r9,
      { "geran-r9", "lte-rrc.geran_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellInfoListGERAN_r9", HFILL }},
    { &hf_lte_rrc_utra_FDD_r9,
      { "utra-FDD-r9", "lte-rrc.utra_FDD_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellInfoListUTRA_FDD_r9", HFILL }},
    { &hf_lte_rrc_utra_TDD_r9,
      { "utra-TDD-r9", "lte-rrc.utra_TDD_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellInfoListUTRA_TDD_r9", HFILL }},
    { &hf_lte_rrc_utra_TDD_r10,
      { "utra-TDD-r10", "lte-rrc.utra_TDD_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellInfoListUTRA_TDD_r10", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_106,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRelease_v1020_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_107,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRelease_v1320_IEs", HFILL }},
    { &hf_lte_rrc_resumeIdentity_r13,
      { "resumeIdentity-r13", "lte-rrc.resumeIdentity_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_108,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_35", HFILL }},
    { &hf_lte_rrc_eutra,
      { "eutra", "lte-rrc.eutra",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_geran_01,
      { "geran", "lte-rrc.geran_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqsGERAN", HFILL }},
    { &hf_lte_rrc_utra_FDD,
      { "utra-FDD", "lte-rrc.utra_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueUTRA", HFILL }},
    { &hf_lte_rrc_utra_TDD,
      { "utra-TDD", "lte-rrc.utra_TDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueUTRA", HFILL }},
    { &hf_lte_rrc_cdma2000_HRPD,
      { "cdma2000-HRPD", "lte-rrc.cdma2000_HRPD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqCDMA2000", HFILL }},
    { &hf_lte_rrc_cdma2000_1xRTT,
      { "cdma2000-1xRTT", "lte-rrc.cdma2000_1xRTT_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqCDMA2000", HFILL }},
    { &hf_lte_rrc_utra_TDD_r10_01,
      { "utra-TDD-r10", "lte-rrc.utra_TDD_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CarrierFreqListUTRA_TDD_r10", HFILL }},
    { &hf_lte_rrc_eutra_v9e0,
      { "eutra-v9e0", "lte-rrc.eutra_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_CarrierFreqListUTRA_TDD_r10_item,
      { "ARFCN-ValueUTRA", "lte-rrc.ARFCN_ValueUTRA",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqPriorityListEUTRA,
      { "freqPriorityListEUTRA", "lte-rrc.freqPriorityListEUTRA",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqPriorityListGERAN,
      { "freqPriorityListGERAN", "lte-rrc.freqPriorityListGERAN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqsPriorityListGERAN", HFILL }},
    { &hf_lte_rrc_freqPriorityListUTRA_FDD,
      { "freqPriorityListUTRA-FDD", "lte-rrc.freqPriorityListUTRA_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqPriorityListUTRA_TDD,
      { "freqPriorityListUTRA-TDD", "lte-rrc.freqPriorityListUTRA_TDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandClassPriorityListHRPD,
      { "bandClassPriorityListHRPD", "lte-rrc.bandClassPriorityListHRPD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandClassPriorityList1XRTT,
      { "bandClassPriorityList1XRTT", "lte-rrc.bandClassPriorityList1XRTT",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t320,
      { "t320", "lte-rrc.t320",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t320_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqPriorityListExtEUTRA_r12,
      { "freqPriorityListExtEUTRA-r12", "lte-rrc.freqPriorityListExtEUTRA_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqPriorityListEUTRA_v1310,
      { "freqPriorityListEUTRA-v1310", "lte-rrc.freqPriorityListEUTRA_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqPriorityListExtEUTRA_v1310,
      { "freqPriorityListExtEUTRA-v1310", "lte-rrc.freqPriorityListExtEUTRA_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqPriorityListEUTRA_v9e0,
      { "freqPriorityListEUTRA-v9e0", "lte-rrc.freqPriorityListEUTRA_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_freqPriorityListEUTRA_v9e0_item,
      { "FreqPriorityEUTRA-v9e0", "lte-rrc.FreqPriorityEUTRA_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_FreqPriorityListEUTRA_item,
      { "FreqPriorityEUTRA", "lte-rrc.FreqPriorityEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_FreqPriorityListExtEUTRA_r12_item,
      { "FreqPriorityEUTRA-r12", "lte-rrc.FreqPriorityEUTRA_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_FreqPriorityListEUTRA_v1310_item,
      { "FreqPriorityEUTRA-v1310", "lte-rrc.FreqPriorityEUTRA_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_FreqPriorityListExtEUTRA_v1310_item,
      { "FreqPriorityEUTRA-v1310", "lte-rrc.FreqPriorityEUTRA_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_01,
      { "carrierFreq", "lte-rrc.carrierFreq",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_cellReselectionPriority,
      { "cellReselectionPriority", "lte-rrc.cellReselectionPriority",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_v9e0,
      { "carrierFreq-v9e0", "lte-rrc.carrierFreq_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_cellReselectionPriority_r12,
      { "cellReselectionPriority-r12", "lte-rrc.cellReselectionPriority_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellReselectionPriority", HFILL }},
    { &hf_lte_rrc_cellReselectionSubPriority_r13,
      { "cellReselectionSubPriority-r13", "lte-rrc.cellReselectionSubPriority_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CellReselectionSubPriority_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_FreqsPriorityListGERAN_item,
      { "FreqsPriorityGERAN", "lte-rrc.FreqsPriorityGERAN_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqs,
      { "carrierFreqs", "lte-rrc.carrierFreqs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqsGERAN", HFILL }},
    { &hf_lte_rrc_FreqPriorityListUTRA_FDD_item,
      { "FreqPriorityUTRA-FDD", "lte-rrc.FreqPriorityUTRA_FDD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_02,
      { "carrierFreq", "lte-rrc.carrierFreq",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueUTRA", HFILL }},
    { &hf_lte_rrc_FreqPriorityListUTRA_TDD_item,
      { "FreqPriorityUTRA-TDD", "lte-rrc.FreqPriorityUTRA_TDD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandClassPriorityListHRPD_item,
      { "BandClassPriorityHRPD", "lte-rrc.BandClassPriorityHRPD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandClass,
      { "bandClass", "lte-rrc.bandClass",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_BandclassCDMA2000_vals_ext, 0,
        "BandclassCDMA2000", HFILL }},
    { &hf_lte_rrc_BandClassPriorityList1XRTT_item,
      { "BandClassPriority1XRTT", "lte-rrc.BandClassPriority1XRTT_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CellInfoListGERAN_r9_item,
      { "CellInfoGERAN-r9", "lte-rrc.CellInfoGERAN_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r9,
      { "physCellId-r9", "lte-rrc.physCellId_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysCellIdGERAN", HFILL }},
    { &hf_lte_rrc_carrierFreq_r9_01,
      { "carrierFreq-r9", "lte-rrc.carrierFreq_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqGERAN", HFILL }},
    { &hf_lte_rrc_systemInformation_r9,
      { "systemInformation-r9", "lte-rrc.systemInformation_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CellInfoListUTRA_FDD_r9_item,
      { "CellInfoUTRA-FDD-r9", "lte-rrc.CellInfoUTRA_FDD_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r9_01,
      { "physCellId-r9", "lte-rrc.physCellId_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_FDD", HFILL }},
    { &hf_lte_rrc_utra_BCCH_Container_r9,
      { "utra-BCCH-Container-r9", "lte-rrc.utra_BCCH_Container_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CellInfoListUTRA_TDD_r9_item,
      { "CellInfoUTRA-TDD-r9", "lte-rrc.CellInfoUTRA_TDD_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r9_02,
      { "physCellId-r9", "lte-rrc.physCellId_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_TDD", HFILL }},
    { &hf_lte_rrc_utra_BCCH_Container_r9_01,
      { "utra-BCCH-Container-r9", "lte-rrc.utra_BCCH_Container_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_utra_BCCH_Container_r9_01", HFILL }},
    { &hf_lte_rrc_CellInfoListUTRA_TDD_r10_item,
      { "CellInfoUTRA-TDD-r10", "lte-rrc.CellInfoUTRA_TDD_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r10_01,
      { "physCellId-r10", "lte-rrc.physCellId_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_TDD", HFILL }},
    { &hf_lte_rrc_carrierFreq_r10_01,
      { "carrierFreq-r10", "lte-rrc.carrierFreq_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueUTRA", HFILL }},
    { &hf_lte_rrc_utra_BCCH_Container_r10,
      { "utra-BCCH-Container-r10", "lte-rrc.utra_BCCH_Container_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_31,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_31_vals), 0,
        "T_criticalExtensions_31", HFILL }},
    { &hf_lte_rrc_rrcConnectionRequest_r8,
      { "rrcConnectionRequest-r8", "lte-rrc.rrcConnectionRequest_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRequest_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_31,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_31", HFILL }},
    { &hf_lte_rrc_ue_Identity_02,
      { "ue-Identity", "lte-rrc.ue_Identity",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_InitialUE_Identity_vals), 0,
        "InitialUE_Identity", HFILL }},
    { &hf_lte_rrc_establishmentCause,
      { "establishmentCause", "lte-rrc.establishmentCause",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_EstablishmentCause_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spare_04,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1", HFILL }},
    { &hf_lte_rrc_randomValue,
      { "randomValue", "lte-rrc.randomValue",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_40", HFILL }},
    { &hf_lte_rrc_criticalExtensions_32,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_32_vals), 0,
        "T_criticalExtensions_32", HFILL }},
    { &hf_lte_rrc_c1_34,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_34_vals), 0,
        "T_c1_34", HFILL }},
    { &hf_lte_rrc_rrcConnectionResume_r13_01,
      { "rrcConnectionResume-r13", "lte-rrc.rrcConnectionResume_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResume_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_32,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_32", HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicated_r13,
      { "radioResourceConfigDedicated-r13", "lte-rrc.radioResourceConfigDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigDedicated", HFILL }},
    { &hf_lte_rrc_nextHopChainingCount_r13,
      { "nextHopChainingCount-r13", "lte-rrc.nextHopChainingCount_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NextHopChainingCount", HFILL }},
    { &hf_lte_rrc_measConfig_r13,
      { "measConfig-r13", "lte-rrc.measConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasConfig", HFILL }},
    { &hf_lte_rrc_antennaInfoDedicatedPCell_r13,
      { "antennaInfoDedicatedPCell-r13", "lte-rrc.antennaInfoDedicatedPCell_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_v10i0", HFILL }},
    { &hf_lte_rrc_drb_ContinueROHC_r13,
      { "drb-ContinueROHC-r13", "lte-rrc.drb_ContinueROHC_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_ContinueROHC_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rrcConnectionResume_v1430_IEs,
      { "rrcConnectionResume-v1430-IEs", "lte-rrc.rrcConnectionResume_v1430_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_otherConfig_r14,
      { "otherConfig-r14", "lte-rrc.otherConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "OtherConfig_r9", HFILL }},
    { &hf_lte_rrc_rrcConnectionResume_v15x0_IEs,
      { "rrcConnectionResume-v15x0-IEs", "lte-rrc.rrcConnectionResume_v15x0_IEs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nr_RadioBearerConfig_r15_01,
      { "nr-RadioBearerConfig-r15", "lte-rrc.nr_RadioBearerConfig_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_nr_RadioBearerConfig_r15_01", HFILL }},
    { &hf_lte_rrc_nr_RadioBearerConfigS_r15_01,
      { "nr-RadioBearerConfigS-r15", "lte-rrc.nr_RadioBearerConfigS_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_nr_RadioBearerConfigS_r15_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_109,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_36", HFILL }},
    { &hf_lte_rrc_criticalExtensions_33,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_33_vals), 0,
        "T_criticalExtensions_33", HFILL }},
    { &hf_lte_rrc_rrcConnectionResumeComplete_r13_01,
      { "rrcConnectionResumeComplete-r13", "lte-rrc.rrcConnectionResumeComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResumeComplete_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_33,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_33", HFILL }},
    { &hf_lte_rrc_selectedPLMN_Identity_r13,
      { "selectedPLMN-Identity-r13", "lte-rrc.selectedPLMN_Identity_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxPLMN_r11", HFILL }},
    { &hf_lte_rrc_dedicatedInfoNAS_r13,
      { "dedicatedInfoNAS-r13", "lte-rrc.dedicatedInfoNAS_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "DedicatedInfoNAS", HFILL }},
    { &hf_lte_rrc_rlf_InfoAvailable_r13,
      { "rlf-InfoAvailable-r13", "lte-rrc.rlf_InfoAvailable_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlf_InfoAvailable_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logMeasAvailable_r13,
      { "logMeasAvailable-r13", "lte-rrc.logMeasAvailable_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailable_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_connEstFailInfoAvailable_r13,
      { "connEstFailInfoAvailable-r13", "lte-rrc.connEstFailInfoAvailable_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connEstFailInfoAvailable_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityState_r13,
      { "mobilityState-r13", "lte-rrc.mobilityState_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mobilityState_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityHistoryAvail_r13,
      { "mobilityHistoryAvail-r13", "lte-rrc.mobilityHistoryAvail_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mobilityHistoryAvail_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logMeasAvailableMBSFN_r13,
      { "logMeasAvailableMBSFN-r13", "lte-rrc.logMeasAvailableMBSFN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailableMBSFN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_110,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_37", HFILL }},
    { &hf_lte_rrc_criticalExtensions_34,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_34_vals), 0,
        "T_criticalExtensions_34", HFILL }},
    { &hf_lte_rrc_rrcConnectionResumeRequest_r13_01,
      { "rrcConnectionResumeRequest-r13", "lte-rrc.rrcConnectionResumeRequest_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResumeRequest_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_34,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_34", HFILL }},
    { &hf_lte_rrc_resumeIdentity_r13_01,
      { "resumeIdentity-r13", "lte-rrc.resumeIdentity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_resumeIdentity_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resumeID_r13,
      { "resumeID-r13", "lte-rrc.resumeID_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "ResumeIdentity_r13", HFILL }},
    { &hf_lte_rrc_truncatedResumeID_r13,
      { "truncatedResumeID-r13", "lte-rrc.truncatedResumeID_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_24", HFILL }},
    { &hf_lte_rrc_shortResumeMAC_I_r13,
      { "shortResumeMAC-I-r13", "lte-rrc.shortResumeMAC_I_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_resumeCause_r13,
      { "resumeCause-r13", "lte-rrc.resumeCause_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ResumeCause_vals), 0,
        "ResumeCause", HFILL }},
    { &hf_lte_rrc_criticalExtensions_35,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_35_vals), 0,
        "T_criticalExtensions_35", HFILL }},
    { &hf_lte_rrc_c1_35,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_35_vals), 0,
        "T_c1_35", HFILL }},
    { &hf_lte_rrc_rrcConnectionSetup_r8,
      { "rrcConnectionSetup-r8", "lte-rrc.rrcConnectionSetup_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetup_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_35,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_35", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_111,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetup_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_112,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_38", HFILL }},
    { &hf_lte_rrc_criticalExtensions_36,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_36_vals), 0,
        "T_criticalExtensions_36", HFILL }},
    { &hf_lte_rrc_c1_36,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_36_vals), 0,
        "T_c1_36", HFILL }},
    { &hf_lte_rrc_rrcConnectionSetupComplete_r8,
      { "rrcConnectionSetupComplete-r8", "lte-rrc.rrcConnectionSetupComplete_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_36,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_36", HFILL }},
    { &hf_lte_rrc_selectedPLMN_Identity,
      { "selectedPLMN-Identity", "lte-rrc.selectedPLMN_Identity",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxPLMN_r11", HFILL }},
    { &hf_lte_rrc_registeredMME,
      { "registeredMME", "lte-rrc.registeredMME_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_113,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_114,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_v1020_IEs", HFILL }},
    { &hf_lte_rrc_gummei_Type_r10,
      { "gummei-Type-r10", "lte-rrc.gummei_Type_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gummei_Type_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlf_InfoAvailable_r10_01,
      { "rlf-InfoAvailable-r10", "lte-rrc.rlf_InfoAvailable_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlf_InfoAvailable_r10_01_vals), 0,
        "T_rlf_InfoAvailable_r10_01", HFILL }},
    { &hf_lte_rrc_logMeasAvailable_r10_02,
      { "logMeasAvailable-r10", "lte-rrc.logMeasAvailable_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailable_r10_02_vals), 0,
        "T_logMeasAvailable_r10_02", HFILL }},
    { &hf_lte_rrc_rn_SubframeConfigReq_r10,
      { "rn-SubframeConfigReq-r10", "lte-rrc.rn_SubframeConfigReq_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rn_SubframeConfigReq_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_115,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_v1130_IEs", HFILL }},
    { &hf_lte_rrc_connEstFailInfoAvailable_r11_02,
      { "connEstFailInfoAvailable-r11", "lte-rrc.connEstFailInfoAvailable_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connEstFailInfoAvailable_r11_02_vals), 0,
        "T_connEstFailInfoAvailable_r11_02", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_116,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_v1250_IEs", HFILL }},
    { &hf_lte_rrc_mobilityState_r12,
      { "mobilityState-r12", "lte-rrc.mobilityState_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mobilityState_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityHistoryAvail_r12,
      { "mobilityHistoryAvail-r12", "lte-rrc.mobilityHistoryAvail_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mobilityHistoryAvail_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logMeasAvailableMBSFN_r12_02,
      { "logMeasAvailableMBSFN-r12", "lte-rrc.logMeasAvailableMBSFN_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailableMBSFN_r12_02_vals), 0,
        "T_logMeasAvailableMBSFN_r12_02", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_117,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_v1320_IEs", HFILL }},
    { &hf_lte_rrc_ce_ModeB_r13,
      { "ce-ModeB-r13", "lte-rrc.ce_ModeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_ModeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_TMSI_r13,
      { "s-TMSI-r13", "lte-rrc.s_TMSI_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "S_TMSI", HFILL }},
    { &hf_lte_rrc_attachWithoutPDN_Connectivity_r13,
      { "attachWithoutPDN-Connectivity-r13", "lte-rrc.attachWithoutPDN_Connectivity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_attachWithoutPDN_Connectivity_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_up_CIoT_EPS_Optimisation_r13,
      { "up-CIoT-EPS-Optimisation-r13", "lte-rrc.up_CIoT_EPS_Optimisation_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_up_CIoT_EPS_Optimisation_r13_vals), 0,
        "T_up_CIoT_EPS_Optimisation_r13", HFILL }},
    { &hf_lte_rrc_cp_CIoT_EPS_Optimisation_r13,
      { "cp-CIoT-EPS-Optimisation-r13", "lte-rrc.cp_CIoT_EPS_Optimisation_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cp_CIoT_EPS_Optimisation_r13_vals), 0,
        "T_cp_CIoT_EPS_Optimisation_r13", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_118,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_v1330_IEs", HFILL }},
    { &hf_lte_rrc_ue_CE_NeedULGaps_r13,
      { "ue-CE-NeedULGaps-r13", "lte-rrc.ue_CE_NeedULGaps_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CE_NeedULGaps_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_119,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_v1430_IEs", HFILL }},
    { &hf_lte_rrc_dcn_ID_r14,
      { "dcn-ID-r14", "lte-rrc.dcn_ID_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_65535", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_120,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_39", HFILL }},
    { &hf_lte_rrc_plmn_Identity,
      { "plmn-Identity", "lte-rrc.plmn_Identity_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mmegi,
      { "mmegi", "lte-rrc.mmegi",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_mmec,
      { "mmec", "lte-rrc.mmec",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_37,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_37_vals), 0,
        "T_criticalExtensions_37", HFILL }},
    { &hf_lte_rrc_c1_37,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_37_vals), 0,
        "T_c1_37", HFILL }},
    { &hf_lte_rrc_scgFailureInformation_r12_01,
      { "scgFailureInformation-r12", "lte-rrc.scgFailureInformation_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCGFailureInformation_r12_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_37,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_37", HFILL }},
    { &hf_lte_rrc_failureReportSCG_r12,
      { "failureReportSCG-r12", "lte-rrc.failureReportSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_121,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCGFailureInformation_v1310_IEs", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_04,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_03", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_122,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCGFailureInformation_v15x0_IEs", HFILL }},
    { &hf_lte_rrc_failureReportSCG_NR_r15,
      { "failureReportSCG-NR-r15", "lte-rrc.failureReportSCG_NR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_123,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_40", HFILL }},
    { &hf_lte_rrc_failureReportSCG_v12d0,
      { "failureReportSCG-v12d0", "lte-rrc.failureReportSCG_v12d0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_124,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_41", HFILL }},
    { &hf_lte_rrc_failureType_r12,
      { "failureType-r12", "lte-rrc.failureType_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_failureType_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultServFreqList_r12,
      { "measResultServFreqList-r12", "lte-rrc.measResultServFreqList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultServFreqList_r10", HFILL }},
    { &hf_lte_rrc_measResultNeighCells_r12,
      { "measResultNeighCells-r12", "lte-rrc.measResultNeighCells_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_r9", HFILL }},
    { &hf_lte_rrc_failureType_v1290,
      { "failureType-v1290", "lte-rrc.failureType_v1290",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_failureType_v1290_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultServFreqListExt_r13,
      { "measResultServFreqListExt-r13", "lte-rrc.measResultServFreqListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultNeighCells_v12d0,
      { "measResultNeighCells-v12d0", "lte-rrc.measResultNeighCells_v12d0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_failureType_r15,
      { "failureType-r15", "lte-rrc.failureType_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_failureType_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultFreqListNR_r15,
      { "measResultFreqListNR-r15", "lte-rrc.measResultFreqListNR_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultFreqListFailNR_r15", HFILL }},
    { &hf_lte_rrc_measResultSCG_r15,
      { "measResultSCG-r15", "lte-rrc.measResultSCG_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultFreqListFailNR_r15_item,
      { "MeasResultFreqFailNR-r15", "lte-rrc.MeasResultFreqFailNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r15,
      { "carrierFreq-r15", "lte-rrc.carrierFreq_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueNR_r15", HFILL }},
    { &hf_lte_rrc_measResultCellList_r15,
      { "measResultCellList-r15", "lte-rrc.measResultCellList_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultCellListNR_r15", HFILL }},
    { &hf_lte_rrc_sc_mtch_InfoList_r13,
      { "sc-mtch-InfoList-r13", "lte-rrc.sc_mtch_InfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scptm_NeighbourCellList_r13,
      { "scptm-NeighbourCellList-r13", "lte-rrc.scptm_NeighbourCellList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_125,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCPTMConfiguration_v1340", HFILL }},
    { &hf_lte_rrc_p_b_r13,
      { "p-b-r13", "lte-rrc.p_b_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_126,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_42", HFILL }},
    { &hf_lte_rrc_sc_mtch_InfoList_r14,
      { "sc-mtch-InfoList-r14", "lte-rrc.sc_mtch_InfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SC_MTCH_InfoList_BR_r14", HFILL }},
    { &hf_lte_rrc_scptm_NeighbourCellList_r14,
      { "scptm-NeighbourCellList-r14", "lte-rrc.scptm_NeighbourCellList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCPTM_NeighbourCellList_r13", HFILL }},
    { &hf_lte_rrc_p_b_r14,
      { "p-b-r14", "lte-rrc.p_b_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_127,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_43", HFILL }},
    { &hf_lte_rrc_criticalExtensions_38,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_38_vals), 0,
        "T_criticalExtensions_38", HFILL }},
    { &hf_lte_rrc_c1_38,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_38_vals), 0,
        "T_c1_38", HFILL }},
    { &hf_lte_rrc_securityModeCommand_r8,
      { "securityModeCommand-r8", "lte-rrc.securityModeCommand_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeCommand_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_38,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_38", HFILL }},
    { &hf_lte_rrc_securityConfigSMC,
      { "securityConfigSMC", "lte-rrc.securityConfigSMC_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_128,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeCommand_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_129,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_44", HFILL }},
    { &hf_lte_rrc_criticalExtensions_39,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_39_vals), 0,
        "T_criticalExtensions_39", HFILL }},
    { &hf_lte_rrc_securityModeComplete_r8,
      { "securityModeComplete-r8", "lte-rrc.securityModeComplete_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeComplete_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_39,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_39", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_130,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeComplete_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_131,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_45", HFILL }},
    { &hf_lte_rrc_criticalExtensions_40,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_40_vals), 0,
        "T_criticalExtensions_40", HFILL }},
    { &hf_lte_rrc_securityModeFailure_r8,
      { "securityModeFailure-r8", "lte-rrc.securityModeFailure_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeFailure_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_40,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_40", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_132,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeFailure_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_133,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_46", HFILL }},
    { &hf_lte_rrc_criticalExtensions_41,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_41_vals), 0,
        "T_criticalExtensions_41", HFILL }},
    { &hf_lte_rrc_c1_39,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_39_vals), 0,
        "T_c1_39", HFILL }},
    { &hf_lte_rrc_sidelinkUEInformation_r12_02,
      { "sidelinkUEInformation-r12", "lte-rrc.sidelinkUEInformation_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SidelinkUEInformation_r12_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_41,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_41", HFILL }},
    { &hf_lte_rrc_commRxInterestedFreq_r12,
      { "commRxInterestedFreq-r12", "lte-rrc.commRxInterestedFreq_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_commTxResourceReq_r12,
      { "commTxResourceReq-r12", "lte-rrc.commTxResourceReq_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommTxResourceReq_r12", HFILL }},
    { &hf_lte_rrc_discRxInterest_r12,
      { "discRxInterest-r12", "lte-rrc.discRxInterest_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discRxInterest_r12_vals), 0,
        "T_discRxInterest_r12", HFILL }},
    { &hf_lte_rrc_discTxResourceReq_r12,
      { "discTxResourceReq-r12", "lte-rrc.discTxResourceReq_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_63", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_134,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SidelinkUEInformation_v1310_IEs", HFILL }},
    { &hf_lte_rrc_commTxResourceReqUC_r13,
      { "commTxResourceReqUC-r13", "lte-rrc.commTxResourceReqUC_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommTxResourceReq_r12", HFILL }},
    { &hf_lte_rrc_commTxResourceInfoReqRelay_r13,
      { "commTxResourceInfoReqRelay-r13", "lte-rrc.commTxResourceInfoReqRelay_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commTxResourceReqRelay_r13,
      { "commTxResourceReqRelay-r13", "lte-rrc.commTxResourceReqRelay_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommTxResourceReq_r12", HFILL }},
    { &hf_lte_rrc_commTxResourceReqRelayUC_r13,
      { "commTxResourceReqRelayUC-r13", "lte-rrc.commTxResourceReqRelayUC_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommTxResourceReq_r12", HFILL }},
    { &hf_lte_rrc_ue_Type_r13,
      { "ue-Type-r13", "lte-rrc.ue_Type_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_Type_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discTxResourceReq_v1310,
      { "discTxResourceReq-v1310", "lte-rrc.discTxResourceReq_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqDiscTx_r13,
      { "carrierFreqDiscTx-r13", "lte-rrc.carrierFreqDiscTx_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxFreq", HFILL }},
    { &hf_lte_rrc_discTxResourceReqAddFreq_r13,
      { "discTxResourceReqAddFreq-r13", "lte-rrc.discTxResourceReqAddFreq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxResourceReqPerFreqList_r13", HFILL }},
    { &hf_lte_rrc_discTxResourceReqPS_r13,
      { "discTxResourceReqPS-r13", "lte-rrc.discTxResourceReqPS_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscTxResourceReq_r13", HFILL }},
    { &hf_lte_rrc_discRxGapReq_r13,
      { "discRxGapReq-r13", "lte-rrc.discRxGapReq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_GapRequest_r13", HFILL }},
    { &hf_lte_rrc_discTxGapReq_r13,
      { "discTxGapReq-r13", "lte-rrc.discTxGapReq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_GapRequest_r13", HFILL }},
    { &hf_lte_rrc_discSysInfoReportFreqList_r13,
      { "discSysInfoReportFreqList-r13", "lte-rrc.discSysInfoReportFreqList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscSysInfoReportFreqList_r13", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_135,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SidelinkUEInformation_v1430_IEs", HFILL }},
    { &hf_lte_rrc_v2x_CommRxInterestedFreqList_r14,
      { "v2x-CommRxInterestedFreqList-r14", "lte-rrc.v2x_CommRxInterestedFreqList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_V2X_CommFreqList_r14", HFILL }},
    { &hf_lte_rrc_p2x_CommTxType_r14,
      { "p2x-CommTxType-r14", "lte-rrc.p2x_CommTxType_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_p2x_CommTxType_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_CommTxResourceReq_r14,
      { "v2x-CommTxResourceReq-r14", "lte-rrc.v2x_CommTxResourceReq_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_V2X_CommTxFreqList_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_136,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_47", HFILL }},
    { &hf_lte_rrc_destinationInfoList_r12,
      { "destinationInfoList-r12", "lte-rrc.destinationInfoList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DestinationInfoList_r12", HFILL }},
    { &hf_lte_rrc_SL_DiscTxResourceReqPerFreqList_r13_item,
      { "SL-DiscTxResourceReq-r13", "lte-rrc.SL_DiscTxResourceReq_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discTxResourceReq_r13,
      { "discTxResourceReq-r13", "lte-rrc.discTxResourceReq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_63", HFILL }},
    { &hf_lte_rrc_SL_DestinationInfoList_r12_item,
      { "SL-DestinationIdentity-r12", "lte-rrc.SL_DestinationIdentity_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_DiscSysInfoReportFreqList_r13_item,
      { "SL-DiscSysInfoReport-r13", "lte-rrc.SL_DiscSysInfoReport_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_V2X_CommFreqList_r14_item,
      { "SL-V2X-CommFreqList-r14 item", "lte-rrc.SL_V2X_CommFreqList_r14_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxFreqV2X_1_r14", HFILL }},
    { &hf_lte_rrc_SL_V2X_CommTxFreqList_r14_item,
      { "SL-V2X-CommTxResourceReq-r14", "lte-rrc.SL_V2X_CommTxResourceReq_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqCommTx_r14,
      { "carrierFreqCommTx-r14", "lte-rrc.carrierFreqCommTx_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxFreqV2X_1_r14", HFILL }},
    { &hf_lte_rrc_v2x_TypeTxSync_r14,
      { "v2x-TypeTxSync-r14", "lte-rrc.v2x_TypeTxSync_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_TypeTxSync_r14_vals), 0,
        "SL_TypeTxSync_r14", HFILL }},
    { &hf_lte_rrc_v2x_DestinationInfoList_r14,
      { "v2x-DestinationInfoList-r14", "lte-rrc.v2x_DestinationInfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DestinationInfoList_r12", HFILL }},
    { &hf_lte_rrc_criticalExtensions_42,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_42_vals), 0,
        "T_criticalExtensions_42", HFILL }},
    { &hf_lte_rrc_systemInformation_r8,
      { "systemInformation-r8", "lte-rrc.systemInformation_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformation_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_42,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_42", HFILL }},
    { &hf_lte_rrc_sib_TypeAndInfo,
      { "sib-TypeAndInfo", "lte-rrc.sib_TypeAndInfo",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib_TypeAndInfo_item,
      { "sib-TypeAndInfo item", "lte-rrc.sib_TypeAndInfo_item",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sib_TypeAndInfo_item_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib2,
      { "sib2", "lte-rrc.sib2_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType2", HFILL }},
    { &hf_lte_rrc_sib3,
      { "sib3", "lte-rrc.sib3_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType3", HFILL }},
    { &hf_lte_rrc_sib4,
      { "sib4", "lte-rrc.sib4_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType4", HFILL }},
    { &hf_lte_rrc_sib5,
      { "sib5", "lte-rrc.sib5_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType5", HFILL }},
    { &hf_lte_rrc_sib6,
      { "sib6", "lte-rrc.sib6_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType6", HFILL }},
    { &hf_lte_rrc_sib7,
      { "sib7", "lte-rrc.sib7_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType7", HFILL }},
    { &hf_lte_rrc_sib8,
      { "sib8", "lte-rrc.sib8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType8", HFILL }},
    { &hf_lte_rrc_sib9,
      { "sib9", "lte-rrc.sib9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType9", HFILL }},
    { &hf_lte_rrc_sib10,
      { "sib10", "lte-rrc.sib10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType10", HFILL }},
    { &hf_lte_rrc_sib11,
      { "sib11", "lte-rrc.sib11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType11", HFILL }},
    { &hf_lte_rrc_sib12_v920,
      { "sib12-v920", "lte-rrc.sib12_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType12_r9", HFILL }},
    { &hf_lte_rrc_sib13_v920,
      { "sib13-v920", "lte-rrc.sib13_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType13_r9", HFILL }},
    { &hf_lte_rrc_sib14_v1130,
      { "sib14-v1130", "lte-rrc.sib14_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType14_r11", HFILL }},
    { &hf_lte_rrc_sib15_v1130,
      { "sib15-v1130", "lte-rrc.sib15_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType15_r11", HFILL }},
    { &hf_lte_rrc_sib16_v1130,
      { "sib16-v1130", "lte-rrc.sib16_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType16_r11", HFILL }},
    { &hf_lte_rrc_sib17_v1250,
      { "sib17-v1250", "lte-rrc.sib17_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType17_r12", HFILL }},
    { &hf_lte_rrc_sib18_v1250,
      { "sib18-v1250", "lte-rrc.sib18_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType18_r12", HFILL }},
    { &hf_lte_rrc_sib19_v1250,
      { "sib19-v1250", "lte-rrc.sib19_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType19_r12", HFILL }},
    { &hf_lte_rrc_sib20_v1310,
      { "sib20-v1310", "lte-rrc.sib20_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType20_r13", HFILL }},
    { &hf_lte_rrc_sib21_v1430,
      { "sib21-v1430", "lte-rrc.sib21_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType21_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_137,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformation_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_138,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_48", HFILL }},
    { &hf_lte_rrc_cellAccessRelatedInfo,
      { "cellAccessRelatedInfo", "lte-rrc.cellAccessRelatedInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_IdentityList,
      { "plmn-IdentityList", "lte-rrc.plmn_IdentityList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trackingAreaCode,
      { "trackingAreaCode", "lte-rrc.trackingAreaCode",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellBarred,
      { "cellBarred", "lte-rrc.cellBarred",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cellBarred_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqReselection,
      { "intraFreqReselection", "lte-rrc.intraFreqReselection",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreqReselection_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csg_Indication,
      { "csg-Indication", "lte-rrc.csg_Indication",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_csg_Identity,
      { "csg-Identity", "lte-rrc.csg_Identity",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellSelectionInfo,
      { "cellSelectionInfo", "lte-rrc.cellSelectionInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_RxLevMin,
      { "q-RxLevMin", "lte-rrc.q_RxLevMin",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_q_RxLevMin_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_RxLevMinOffset,
      { "q-RxLevMinOffset", "lte-rrc.q_RxLevMinOffset",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_q_RxLevMinOffset_vals), 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_p_Max,
      { "p-Max", "lte-rrc.p_Max",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqBandIndicator,
      { "freqBandIndicator", "lte-rrc.freqBandIndicator",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_schedulingInfoList,
      { "schedulingInfoList", "lte-rrc.schedulingInfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_Config,
      { "tdd-Config", "lte-rrc.tdd_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_WindowLength,
      { "si-WindowLength", "lte-rrc.si_WindowLength",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_WindowLength_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInfoValueTag,
      { "systemInfoValueTag", "lte-rrc.systemInfoValueTag",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_139,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v890_IEs", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_05,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_04", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_140,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v920_IEs", HFILL }},
    { &hf_lte_rrc_multiBandInfoList,
      { "multiBandInfoList", "lte-rrc.multiBandInfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_141,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v9e0_IEs", HFILL }},
    { &hf_lte_rrc_freqBandIndicator_v9e0,
      { "freqBandIndicator-v9e0", "lte-rrc.freqBandIndicator_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiBandInfoList_v9e0,
      { "multiBandInfoList-v9e0", "lte-rrc.multiBandInfoList_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_142,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v10j0_IEs", HFILL }},
    { &hf_lte_rrc_freqBandInfo_r10,
      { "freqBandInfo-r10", "lte-rrc.freqBandInfo_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NS_PmaxList_r10", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_v10j0,
      { "multiBandInfoList-v10j0", "lte-rrc.multiBandInfoList_v10j0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_143,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v10l0_IEs", HFILL }},
    { &hf_lte_rrc_freqBandInfo_v10l0,
      { "freqBandInfo-v10l0", "lte-rrc.freqBandInfo_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NS_PmaxList_v10l0", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_v10l0,
      { "multiBandInfoList-v10l0", "lte-rrc.multiBandInfoList_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_144,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_49", HFILL }},
    { &hf_lte_rrc_ims_EmergencySupport_r9,
      { "ims-EmergencySupport-r9", "lte-rrc.ims_EmergencySupport_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ims_EmergencySupport_r9_vals), 0,
        "T_ims_EmergencySupport_r9", HFILL }},
    { &hf_lte_rrc_cellSelectionInfo_v920,
      { "cellSelectionInfo-v920", "lte-rrc.cellSelectionInfo_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_145,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v1130_IEs", HFILL }},
    { &hf_lte_rrc_tdd_Config_v1130,
      { "tdd-Config-v1130", "lte-rrc.tdd_Config_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellSelectionInfo_v1130,
      { "cellSelectionInfo-v1130", "lte-rrc.cellSelectionInfo_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_146,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v1250_IEs", HFILL }},
    { &hf_lte_rrc_cellAccessRelatedInfo_v1250,
      { "cellAccessRelatedInfo-v1250", "lte-rrc.cellAccessRelatedInfo_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_category0Allowed_r12,
      { "category0Allowed-r12", "lte-rrc.category0Allowed_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_category0Allowed_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellSelectionInfo_v1250,
      { "cellSelectionInfo-v1250", "lte-rrc.cellSelectionInfo_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqBandIndicatorPriority_r12,
      { "freqBandIndicatorPriority-r12", "lte-rrc.freqBandIndicatorPriority_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_freqBandIndicatorPriority_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_147,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v1310_IEs", HFILL }},
    { &hf_lte_rrc_hyperSFN_r13,
      { "hyperSFN-r13", "lte-rrc.hyperSFN_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_eDRX_Allowed_r13,
      { "eDRX-Allowed-r13", "lte-rrc.eDRX_Allowed_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eDRX_Allowed_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellSelectionInfoCE_r13,
      { "cellSelectionInfoCE-r13", "lte-rrc.cellSelectionInfoCE_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandwidthReducedAccessRelatedInfo_r13,
      { "bandwidthReducedAccessRelatedInfo-r13", "lte-rrc.bandwidthReducedAccessRelatedInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_WindowLength_BR_r13,
      { "si-WindowLength-BR-r13", "lte-rrc.si_WindowLength_BR_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_WindowLength_BR_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_RepetitionPattern_r13,
      { "si-RepetitionPattern-r13", "lte-rrc.si_RepetitionPattern_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_RepetitionPattern_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_schedulingInfoList_BR_r13,
      { "schedulingInfoList-BR-r13", "lte-rrc.schedulingInfoList_BR_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_DownlinkOrTddSubframeBitmapBR_r13,
      { "fdd-DownlinkOrTddSubframeBitmapBR-r13", "lte-rrc.fdd_DownlinkOrTddSubframeBitmapBR_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fdd_DownlinkOrTddSubframeBitmapBR_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subframePattern10_r13,
      { "subframePattern10-r13", "lte-rrc.subframePattern10_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_subframePattern40_r13,
      { "subframePattern40-r13", "lte-rrc.subframePattern40_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_40", HFILL }},
    { &hf_lte_rrc_fdd_UplinkSubframeBitmapBR_r13,
      { "fdd-UplinkSubframeBitmapBR-r13", "lte-rrc.fdd_UplinkSubframeBitmapBR_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_startSymbolBR_r13,
      { "startSymbolBR-r13", "lte-rrc.startSymbolBR_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_si_HoppingConfigCommon_r13,
      { "si-HoppingConfigCommon-r13", "lte-rrc.si_HoppingConfigCommon_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_HoppingConfigCommon_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_ValidityTime_r13,
      { "si-ValidityTime-r13", "lte-rrc.si_ValidityTime_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_ValidityTime_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInfoValueTagList_r13,
      { "systemInfoValueTagList-r13", "lte-rrc.systemInfoValueTagList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_148,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v1320_IEs", HFILL }},
    { &hf_lte_rrc_freqHoppingParametersDL_r13,
      { "freqHoppingParametersDL-r13", "lte-rrc.freqHoppingParametersDL_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_pdsch_HoppingNB_r13,
      { "mpdcch-pdsch-HoppingNB-r13", "lte-rrc.mpdcch_pdsch_HoppingNB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_pdsch_HoppingNB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_DLHoppingConfigCommonModeA_r13,
      { "interval-DLHoppingConfigCommonModeA-r13", "lte-rrc.interval_DLHoppingConfigCommonModeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_DLHoppingConfigCommonModeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_FDD_r13,
      { "interval-FDD-r13", "lte-rrc.interval_FDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_FDD_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_TDD_r13,
      { "interval-TDD-r13", "lte-rrc.interval_TDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_TDD_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_DLHoppingConfigCommonModeB_r13,
      { "interval-DLHoppingConfigCommonModeB-r13", "lte-rrc.interval_DLHoppingConfigCommonModeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_DLHoppingConfigCommonModeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_FDD_r13_01,
      { "interval-FDD-r13", "lte-rrc.interval_FDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_FDD_r13_01_vals), 0,
        "T_interval_FDD_r13_01", HFILL }},
    { &hf_lte_rrc_interval_TDD_r13_01,
      { "interval-TDD-r13", "lte-rrc.interval_TDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_TDD_r13_01_vals), 0,
        "T_interval_TDD_r13_01", HFILL }},
    { &hf_lte_rrc_mpdcch_pdsch_HoppingOffset_r13,
      { "mpdcch-pdsch-HoppingOffset-r13", "lte-rrc.mpdcch_pdsch_HoppingOffset_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_149,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v1350_IEs", HFILL }},
    { &hf_lte_rrc_cellSelectionInfoCE1_r13,
      { "cellSelectionInfoCE1-r13", "lte-rrc.cellSelectionInfoCE1_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_150,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v1360_IEs", HFILL }},
    { &hf_lte_rrc_cellSelectionInfoCE1_v1360,
      { "cellSelectionInfoCE1-v1360", "lte-rrc.cellSelectionInfoCE1_v1360_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_151,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v1430_IEs", HFILL }},
    { &hf_lte_rrc_eCallOverIMS_Support_r14,
      { "eCallOverIMS-Support-r14", "lte-rrc.eCallOverIMS_Support_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eCallOverIMS_Support_r14_vals), 0,
        "T_eCallOverIMS_Support_r14", HFILL }},
    { &hf_lte_rrc_tdd_Config_v1430,
      { "tdd-Config-v1430", "lte-rrc.tdd_Config_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellAccessRelatedInfoList_r14,
      { "cellAccessRelatedInfoList-r14", "lte-rrc.cellAccessRelatedInfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14", HFILL }},
    { &hf_lte_rrc_cellAccessRelatedInfoList_r14_item,
      { "CellAccessRelatedInfo-r14", "lte-rrc.CellAccessRelatedInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_152,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_v1450_IEs", HFILL }},
    { &hf_lte_rrc_tdd_Config_v1450,
      { "tdd-Config-v1450", "lte-rrc.tdd_Config_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_153,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_50", HFILL }},
    { &hf_lte_rrc_PLMN_IdentityList_item,
      { "PLMN-IdentityInfo", "lte-rrc.PLMN_IdentityInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellReservedForOperatorUse,
      { "cellReservedForOperatorUse", "lte-rrc.cellReservedForOperatorUse",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cellReservedForOperatorUse_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SchedulingInfoList_item,
      { "SchedulingInfo", "lte-rrc.SchedulingInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_Periodicity,
      { "si-Periodicity", "lte-rrc.si_Periodicity",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_Periodicity_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib_MappingInfo,
      { "sib-MappingInfo", "lte-rrc.sib_MappingInfo",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SchedulingInfoList_BR_r13_item,
      { "SchedulingInfo-BR-r13", "lte-rrc.SchedulingInfo_BR_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_Narrowband_r13,
      { "si-Narrowband-r13", "lte-rrc.si_Narrowband_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_si_TBS_r13,
      { "si-TBS-r13", "lte-rrc.si_TBS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_TBS_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SIB_MappingInfo_item,
      { "SIB-Type", "lte-rrc.SIB_Type",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_SIB_Type_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInfoValueTagList_r13_item,
      { "SystemInfoValueTagSI-r13", "lte-rrc.SystemInfoValueTagSI_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_QualMin_r9,
      { "q-QualMin-r9", "lte-rrc.q_QualMin_r9",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_QualMinOffset_r9,
      { "q-QualMinOffset-r9", "lte-rrc.q_QualMinOffset_r9",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_q_QualMinWB_r11,
      { "q-QualMinWB-r11", "lte-rrc.q_QualMinWB_r11",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_QualMin_r9", HFILL }},
    { &hf_lte_rrc_q_QualMinRSRQ_OnAllSymbols_r12,
      { "q-QualMinRSRQ-OnAllSymbols-r12", "lte-rrc.q_QualMinRSRQ_OnAllSymbols_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_QualMin_r9", HFILL }},
    { &hf_lte_rrc_plmn_IdentityList_r14,
      { "plmn-IdentityList-r14", "lte-rrc.plmn_IdentityList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PLMN_IdentityList", HFILL }},
    { &hf_lte_rrc_trackingAreaCode_r14,
      { "trackingAreaCode-r14", "lte-rrc.trackingAreaCode_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "TrackingAreaCode", HFILL }},
    { &hf_lte_rrc_cellIdentity_r14,
      { "cellIdentity-r14", "lte-rrc.cellIdentity_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "CellIdentity", HFILL }},
    { &hf_lte_rrc_cellAccessRelatedInfo_r14,
      { "cellAccessRelatedInfo-r14", "lte-rrc.cellAccessRelatedInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_IdentityList_r14_01,
      { "plmn-IdentityList-r14", "lte-rrc.plmn_IdentityList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PLMN_IdentityList_MBMS_r14", HFILL }},
    { &hf_lte_rrc_freqBandIndicator_r14,
      { "freqBandIndicator-r14", "lte-rrc.freqBandIndicator_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r14,
      { "multiBandInfoList-r14", "lte-rrc.multiBandInfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MultiBandInfoList_r11", HFILL }},
    { &hf_lte_rrc_schedulingInfoList_MBMS_r14,
      { "schedulingInfoList-MBMS-r14", "lte-rrc.schedulingInfoList_MBMS_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_WindowLength_r14,
      { "si-WindowLength-r14", "lte-rrc.si_WindowLength_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_WindowLength_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInfoValueTag_r14,
      { "systemInfoValueTag-r14", "lte-rrc.systemInfoValueTag_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_nonMBSFN_SubframeConfig_r14,
      { "nonMBSFN-SubframeConfig-r14", "lte-rrc.nonMBSFN_SubframeConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_ConfigCommon_r14,
      { "pdsch-ConfigCommon-r14", "lte-rrc.pdsch_ConfigCommon_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PDSCH_ConfigCommon", HFILL }},
    { &hf_lte_rrc_systemInformationBlockType13_r14,
      { "systemInformationBlockType13-r14", "lte-rrc.systemInformationBlockType13_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType13_r9", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_154,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_51", HFILL }},
    { &hf_lte_rrc_PLMN_IdentityList_MBMS_r14_item,
      { "PLMN-Identity", "lte-rrc.PLMN_Identity_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SchedulingInfoList_MBMS_r14_item,
      { "SchedulingInfo-MBMS-r14", "lte-rrc.SchedulingInfo_MBMS_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_Periodicity_r14,
      { "si-Periodicity-r14", "lte-rrc.si_Periodicity_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_Periodicity_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib_MappingInfo_r14,
      { "sib-MappingInfo-r14", "lte-rrc.sib_MappingInfo_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SIB_MappingInfo_MBMS_r14", HFILL }},
    { &hf_lte_rrc_SIB_MappingInfo_MBMS_r14_item,
      { "SIB-Type-MBMS-r14", "lte-rrc.SIB_Type_MBMS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SIB_Type_MBMS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioFrameAllocationPeriod_r14,
      { "radioFrameAllocationPeriod-r14", "lte-rrc.radioFrameAllocationPeriod_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_radioFrameAllocationPeriod_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioFrameAllocationOffset_r14,
      { "radioFrameAllocationOffset-r14", "lte-rrc.radioFrameAllocationOffset_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_subframeAllocation_r14,
      { "subframeAllocation-r14", "lte-rrc.subframeAllocation_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_9", HFILL }},
    { &hf_lte_rrc_criticalExtensions_43,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_43_vals), 0,
        "T_criticalExtensions_43", HFILL }},
    { &hf_lte_rrc_c1_40,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_40_vals), 0,
        "T_c1_40", HFILL }},
    { &hf_lte_rrc_ueAssistanceInformation_r11_01,
      { "ueAssistanceInformation-r11", "lte-rrc.ueAssistanceInformation_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEAssistanceInformation_r11_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_43,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_43", HFILL }},
    { &hf_lte_rrc_powerPrefIndication_r11_01,
      { "powerPrefIndication-r11", "lte-rrc.powerPrefIndication_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerPrefIndication_r11_01_vals), 0,
        "T_powerPrefIndication_r11_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_155,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEAssistanceInformation_v1430_IEs", HFILL }},
    { &hf_lte_rrc_bw_Preference_r14,
      { "bw-Preference-r14", "lte-rrc.bw_Preference_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sps_AssistanceInformation_r14,
      { "sps-AssistanceInformation-r14", "lte-rrc.sps_AssistanceInformation_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trafficPatternInfoListSL_r14,
      { "trafficPatternInfoListSL-r14", "lte-rrc.trafficPatternInfoListSL_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "TrafficPatternInfoList_r14", HFILL }},
    { &hf_lte_rrc_trafficPatternInfoListUL_r14,
      { "trafficPatternInfoListUL-r14", "lte-rrc.trafficPatternInfoListUL_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "TrafficPatternInfoList_r14", HFILL }},
    { &hf_lte_rrc_rlm_Report_r14,
      { "rlm-Report-r14", "lte-rrc.rlm_Report_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_rlm_Report_r14", HFILL }},
    { &hf_lte_rrc_rlm_Event_r14,
      { "rlm-Event-r14", "lte-rrc.rlm_Event_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlm_Event_r14_vals), 0,
        "T_rlm_Event_r14", HFILL }},
    { &hf_lte_rrc_excessRep_MPDCCH_r14,
      { "excessRep-MPDCCH-r14", "lte-rrc.excessRep_MPDCCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_excessRep_MPDCCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_delayBudgetReport_r14,
      { "delayBudgetReport-r14", "lte-rrc.delayBudgetReport_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DelayBudgetReport_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_156,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEAssistanceInformation_v1450_IEs", HFILL }},
    { &hf_lte_rrc_overheatingAssistance_r14,
      { "overheatingAssistance-r14", "lte-rrc.overheatingAssistance_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_157,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_52", HFILL }},
    { &hf_lte_rrc_dl_Preference_r14,
      { "dl-Preference-r14", "lte-rrc.dl_Preference_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_Preference_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_Preference_r14,
      { "ul-Preference-r14", "lte-rrc.ul_Preference_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_Preference_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_TrafficPatternInfoList_r14_item,
      { "TrafficPatternInfo-r14", "lte-rrc.TrafficPatternInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trafficPeriodicity_r14,
      { "trafficPeriodicity-r14", "lte-rrc.trafficPeriodicity_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_trafficPeriodicity_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timingOffset_r14,
      { "timingOffset-r14", "lte-rrc.timingOffset_r14",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_milliseconds, 0,
        "INTEGER_0_10239", HFILL }},
    { &hf_lte_rrc_priorityInfoSL_r14,
      { "priorityInfoSL-r14", "lte-rrc.priorityInfoSL_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_Priority_r13", HFILL }},
    { &hf_lte_rrc_logicalChannelIdentityUL_r14,
      { "logicalChannelIdentityUL-r14", "lte-rrc.logicalChannelIdentityUL_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_3_10", HFILL }},
    { &hf_lte_rrc_messageSize_r14,
      { "messageSize-r14", "lte-rrc.messageSize_r14",
        FT_UINT8, BASE_DEC|BASE_EXT_STRING, &lte_rrc_messageSize_r14_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_type1,
      { "type1", "lte-rrc.type1",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_type1_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_type2,
      { "type2", "lte-rrc.type2",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_type2_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reducedUE_Category,
      { "reducedUE-Category", "lte-rrc.reducedUE_Category_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reducedUE_CategoryDL,
      { "reducedUE-CategoryDL", "lte-rrc.reducedUE_CategoryDL",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_19", HFILL }},
    { &hf_lte_rrc_reducedUE_CategoryUL,
      { "reducedUE-CategoryUL", "lte-rrc.reducedUE_CategoryUL",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_21", HFILL }},
    { &hf_lte_rrc_reducedMaxCCs,
      { "reducedMaxCCs", "lte-rrc.reducedMaxCCs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reducedCCsDL,
      { "reducedCCsDL", "lte-rrc.reducedCCsDL",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_reducedCCsUL,
      { "reducedCCsUL", "lte-rrc.reducedCCsUL",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_criticalExtensions_44,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_44_vals), 0,
        "T_criticalExtensions_44", HFILL }},
    { &hf_lte_rrc_c1_41,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_41_vals), 0,
        "T_c1_41", HFILL }},
    { &hf_lte_rrc_ueCapabilityEnquiry_r8,
      { "ueCapabilityEnquiry-r8", "lte-rrc.ueCapabilityEnquiry_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityEnquiry_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_44,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_44", HFILL }},
    { &hf_lte_rrc_ue_CapabilityRequest,
      { "ue-CapabilityRequest", "lte-rrc.ue_CapabilityRequest",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_158,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityEnquiry_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_159,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityEnquiry_v1180_IEs", HFILL }},
    { &hf_lte_rrc_requestedFrequencyBands_r11,
      { "requestedFrequencyBands-r11", "lte-rrc.requestedFrequencyBands_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_requestedFrequencyBands_r11_item,
      { "FreqBandIndicator-r11", "lte-rrc.FreqBandIndicator_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_160,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityEnquiry_v1310_IEs", HFILL }},
    { &hf_lte_rrc_requestReducedFormat_r13,
      { "requestReducedFormat-r13", "lte-rrc.requestReducedFormat_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_requestReducedFormat_r13_vals), 0,
        "T_requestReducedFormat_r13", HFILL }},
    { &hf_lte_rrc_requestSkipFallbackComb_r13,
      { "requestSkipFallbackComb-r13", "lte-rrc.requestSkipFallbackComb_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_requestSkipFallbackComb_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_requestedMaxCCsDL_r13,
      { "requestedMaxCCsDL-r13", "lte-rrc.requestedMaxCCsDL_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_32", HFILL }},
    { &hf_lte_rrc_requestedMaxCCsUL_r13,
      { "requestedMaxCCsUL-r13", "lte-rrc.requestedMaxCCsUL_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_32", HFILL }},
    { &hf_lte_rrc_requestReducedIntNonContComb_r13,
      { "requestReducedIntNonContComb-r13", "lte-rrc.requestReducedIntNonContComb_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_requestReducedIntNonContComb_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_161,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityEnquiry_v1430_IEs", HFILL }},
    { &hf_lte_rrc_requestDiffFallbackCombList_r14,
      { "requestDiffFallbackCombList-r14", "lte-rrc.requestDiffFallbackCombList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "BandCombinationList_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_162,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityEnquiry_v15x0_IEs", HFILL }},
    { &hf_lte_rrc_requestedFreqBandsNR_MRDC_r15,
      { "requestedFreqBandsNR-MRDC-r15", "lte-rrc.requestedFreqBandsNR_MRDC_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_163,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_53", HFILL }},
    { &hf_lte_rrc_UE_CapabilityRequest_item,
      { "RAT-Type", "lte-rrc.RAT_Type",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RAT_Type_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_45,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_45_vals), 0,
        "T_criticalExtensions_45", HFILL }},
    { &hf_lte_rrc_c1_42,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_42_vals), 0,
        "T_c1_42", HFILL }},
    { &hf_lte_rrc_ueCapabilityInformation_r8,
      { "ueCapabilityInformation-r8", "lte-rrc.ueCapabilityInformation_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityInformation_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_45,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_45", HFILL }},
    { &hf_lte_rrc_ue_CapabilityRAT_ContainerList,
      { "ue-CapabilityRAT-ContainerList", "lte-rrc.ue_CapabilityRAT_ContainerList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_164,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityInformation_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_165,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityInformation_v1250_IEs", HFILL }},
    { &hf_lte_rrc_ue_RadioPagingInfo_r12_01,
      { "ue-RadioPagingInfo-r12", "lte-rrc.ue_RadioPagingInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_166,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_54", HFILL }},
    { &hf_lte_rrc_criticalExtensions_46,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_46_vals), 0,
        "T_criticalExtensions_46", HFILL }},
    { &hf_lte_rrc_c1_43,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_43_vals), 0,
        "T_c1_43", HFILL }},
    { &hf_lte_rrc_ueInformationRequest_r9_01,
      { "ueInformationRequest-r9", "lte-rrc.ueInformationRequest_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationRequest_r9_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_46,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_46", HFILL }},
    { &hf_lte_rrc_rach_ReportReq_r9,
      { "rach-ReportReq-r9", "lte-rrc.rach_ReportReq_r9",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_rlf_ReportReq_r9,
      { "rlf-ReportReq-r9", "lte-rrc.rlf_ReportReq_r9",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_167,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationRequest_v930_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_168,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationRequest_v1020_IEs", HFILL }},
    { &hf_lte_rrc_logMeasReportReq_r10,
      { "logMeasReportReq-r10", "lte-rrc.logMeasReportReq_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasReportReq_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_169,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationRequest_v1130_IEs", HFILL }},
    { &hf_lte_rrc_connEstFailReportReq_r11,
      { "connEstFailReportReq-r11", "lte-rrc.connEstFailReportReq_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connEstFailReportReq_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_170,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationRequest_v1250_IEs", HFILL }},
    { &hf_lte_rrc_mobilityHistoryReportReq_r12,
      { "mobilityHistoryReportReq-r12", "lte-rrc.mobilityHistoryReportReq_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mobilityHistoryReportReq_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_171,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_55", HFILL }},
    { &hf_lte_rrc_criticalExtensions_47,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_47_vals), 0,
        "T_criticalExtensions_47", HFILL }},
    { &hf_lte_rrc_c1_44,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_44_vals), 0,
        "T_c1_44", HFILL }},
    { &hf_lte_rrc_ueInformationResponse_r9_01,
      { "ueInformationResponse-r9", "lte-rrc.ueInformationResponse_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationResponse_r9_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_47,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_47", HFILL }},
    { &hf_lte_rrc_rach_Report_r9,
      { "rach-Report-r9", "lte-rrc.rach_Report_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_rach_Report_r9", HFILL }},
    { &hf_lte_rrc_numberOfPreamblesSent_r9,
      { "numberOfPreamblesSent-r9", "lte-rrc.numberOfPreamblesSent_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NumberOfPreamblesSent_r11", HFILL }},
    { &hf_lte_rrc_contentionDetected_r9,
      { "contentionDetected-r9", "lte-rrc.contentionDetected_r9",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_rlf_Report_r9,
      { "rlf-Report-r9", "lte-rrc.rlf_Report_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_172,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationResponse_v930_IEs", HFILL }},
    { &hf_lte_rrc_rlf_Report_v9e0,
      { "rlf-Report-v9e0", "lte-rrc.rlf_Report_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_173,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_56", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_06,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_05", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_174,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationResponse_v1020_IEs", HFILL }},
    { &hf_lte_rrc_logMeasReport_r10,
      { "logMeasReport-r10", "lte-rrc.logMeasReport_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_175,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationResponse_v1130_IEs", HFILL }},
    { &hf_lte_rrc_connEstFailReport_r11,
      { "connEstFailReport-r11", "lte-rrc.connEstFailReport_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_176,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEInformationResponse_v1250_IEs", HFILL }},
    { &hf_lte_rrc_mobilityHistoryReport_r12,
      { "mobilityHistoryReport-r12", "lte-rrc.mobilityHistoryReport_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_177,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_57", HFILL }},
    { &hf_lte_rrc_measResultLastServCell_r9,
      { "measResultLastServCell-r9", "lte-rrc.measResultLastServCell_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResult_r9,
      { "rsrpResult-r9", "lte-rrc.rsrpResult_r9",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResult_r9,
      { "rsrqResult-r9", "lte-rrc.rsrqResult_r9",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_measResultNeighCells_r9,
      { "measResultNeighCells-r9", "lte-rrc.measResultNeighCells_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultListEUTRA_r9,
      { "measResultListEUTRA-r9", "lte-rrc.measResultListEUTRA_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_r9", HFILL }},
    { &hf_lte_rrc_measResultListUTRA_r9,
      { "measResultListUTRA-r9", "lte-rrc.measResultListUTRA_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2UTRA_r9", HFILL }},
    { &hf_lte_rrc_measResultListGERAN_r9,
      { "measResultListGERAN-r9", "lte-rrc.measResultListGERAN_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultListGERAN", HFILL }},
    { &hf_lte_rrc_measResultsCDMA2000_r9,
      { "measResultsCDMA2000-r9", "lte-rrc.measResultsCDMA2000_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2CDMA2000_r9", HFILL }},
    { &hf_lte_rrc_locationInfo_r10,
      { "locationInfo-r10", "lte-rrc.locationInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_failedPCellId_r10,
      { "failedPCellId-r10", "lte-rrc.failedPCellId_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_failedPCellId_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellGlobalId_r10,
      { "cellGlobalId-r10", "lte-rrc.cellGlobalId_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdEUTRA", HFILL }},
    { &hf_lte_rrc_pci_arfcn_r10,
      { "pci-arfcn-r10", "lte-rrc.pci_arfcn_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reestablishmentCellId_r10,
      { "reestablishmentCellId-r10", "lte-rrc.reestablishmentCellId_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdEUTRA", HFILL }},
    { &hf_lte_rrc_timeConnFailure_r10,
      { "timeConnFailure-r10", "lte-rrc.timeConnFailure_r10",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_timeConnFailure_r10_fmt), 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_connectionFailureType_r10,
      { "connectionFailureType-r10", "lte-rrc.connectionFailureType_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connectionFailureType_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_previousPCellId_r10,
      { "previousPCellId-r10", "lte-rrc.previousPCellId_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdEUTRA", HFILL }},
    { &hf_lte_rrc_failedPCellId_v1090,
      { "failedPCellId-v1090", "lte-rrc.failedPCellId_v1090_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_basicFields_r11,
      { "basicFields-r11", "lte-rrc.basicFields_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_c_RNTI_r11,
      { "c-RNTI-r11", "lte-rrc.c_RNTI_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_rlf_Cause_r11,
      { "rlf-Cause-r11", "lte-rrc.rlf_Cause_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlf_Cause_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timeSinceFailure_r11,
      { "timeSinceFailure-r11", "lte-rrc.timeSinceFailure_r11",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_previousUTRA_CellId_r11,
      { "previousUTRA-CellId-r11", "lte-rrc.previousUTRA_CellId_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r11_01,
      { "carrierFreq-r11", "lte-rrc.carrierFreq_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueUTRA", HFILL }},
    { &hf_lte_rrc_physCellId_r11,
      { "physCellId-r11", "lte-rrc.physCellId_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_physCellId_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_r11,
      { "fdd-r11", "lte-rrc.fdd_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_FDD", HFILL }},
    { &hf_lte_rrc_tdd_r11,
      { "tdd-r11", "lte-rrc.tdd_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_TDD", HFILL }},
    { &hf_lte_rrc_cellGlobalId_r11,
      { "cellGlobalId-r11", "lte-rrc.cellGlobalId_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdUTRA", HFILL }},
    { &hf_lte_rrc_selectedUTRA_CellId_r11,
      { "selectedUTRA-CellId-r11", "lte-rrc.selectedUTRA_CellId_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r11_01,
      { "physCellId-r11", "lte-rrc.physCellId_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_physCellId_r11_01_vals), 0,
        "T_physCellId_r11_01", HFILL }},
    { &hf_lte_rrc_failedPCellId_v1250,
      { "failedPCellId-v1250", "lte-rrc.failedPCellId_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tac_FailedPCell_r12,
      { "tac-FailedPCell-r12", "lte-rrc.tac_FailedPCell_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "TrackingAreaCode", HFILL }},
    { &hf_lte_rrc_measResultLastServCell_v1250,
      { "measResultLastServCell-v1250", "lte-rrc.measResultLastServCell_v1250",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_lastServCellRSRQ_Type_r12,
      { "lastServCellRSRQ-Type-r12", "lte-rrc.lastServCellRSRQ_Type_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RSRQ_Type_r12", HFILL }},
    { &hf_lte_rrc_measResultListEUTRA_v1250,
      { "measResultListEUTRA-v1250", "lte-rrc.measResultListEUTRA_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_v1250", HFILL }},
    { &hf_lte_rrc_drb_EstablishedWithQCI_1_r13,
      { "drb-EstablishedWithQCI-1-r13", "lte-rrc.drb_EstablishedWithQCI_1_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_EstablishedWithQCI_1_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultLastServCell_v1360,
      { "measResultLastServCell-v1360", "lte-rrc.measResultLastServCell_v1360",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_v1360_vals_ext, 0,
        "RSRP_Range_v1360", HFILL }},
    { &hf_lte_rrc_measResultListEUTRA_v9e0,
      { "measResultListEUTRA-v9e0", "lte-rrc.measResultListEUTRA_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_MeasResultList2EUTRA_r9_item,
      { "MeasResult2EUTRA-r9", "lte-rrc.MeasResult2EUTRA_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultList2EUTRA_v9e0_item,
      { "MeasResult2EUTRA-v9e0", "lte-rrc.MeasResult2EUTRA_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultList2EUTRA_v1250_item,
      { "MeasResult2EUTRA-v1250", "lte-rrc.MeasResult2EUTRA_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r9_02,
      { "carrierFreq-r9", "lte-rrc.carrierFreq_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_measResultList_r9,
      { "measResultList-r9", "lte-rrc.measResultList_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultListEUTRA", HFILL }},
    { &hf_lte_rrc_rsrq_Type_r12,
      { "rsrq-Type-r12", "lte-rrc.rsrq_Type_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultList2UTRA_r9_item,
      { "MeasResult2UTRA-r9", "lte-rrc.MeasResult2UTRA_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r9_03,
      { "carrierFreq-r9", "lte-rrc.carrierFreq_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueUTRA", HFILL }},
    { &hf_lte_rrc_measResultList_r9_01,
      { "measResultList-r9", "lte-rrc.measResultList_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultListUTRA", HFILL }},
    { &hf_lte_rrc_MeasResultList2CDMA2000_r9_item,
      { "MeasResult2CDMA2000-r9", "lte-rrc.MeasResult2CDMA2000_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r9_04,
      { "carrierFreq-r9", "lte-rrc.carrierFreq_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqCDMA2000", HFILL }},
    { &hf_lte_rrc_measResultList_r9_02,
      { "measResultList-r9", "lte-rrc.measResultList_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasResultsCDMA2000", HFILL }},
    { &hf_lte_rrc_absoluteTimeStamp_r10,
      { "absoluteTimeStamp-r10", "lte-rrc.absoluteTimeStamp_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "AbsoluteTimeInfo_r10", HFILL }},
    { &hf_lte_rrc_logMeasInfoList_r10,
      { "logMeasInfoList-r10", "lte-rrc.logMeasInfoList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logMeasAvailable_r10_03,
      { "logMeasAvailable-r10", "lte-rrc.logMeasAvailable_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logMeasAvailable_r10_03_vals), 0,
        "T_logMeasAvailable_r10_03", HFILL }},
    { &hf_lte_rrc_LogMeasInfoList_r10_item,
      { "LogMeasInfo-r10", "lte-rrc.LogMeasInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_relativeTimeStamp_r10,
      { "relativeTimeStamp-r10", "lte-rrc.relativeTimeStamp_r10",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "INTEGER_0_7200", HFILL }},
    { &hf_lte_rrc_servCellIdentity_r10,
      { "servCellIdentity-r10", "lte-rrc.servCellIdentity_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdEUTRA", HFILL }},
    { &hf_lte_rrc_measResultServCell_r10,
      { "measResultServCell-r10", "lte-rrc.measResultServCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultNeighCells_r10,
      { "measResultNeighCells-r10", "lte-rrc.measResultNeighCells_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultListEUTRA_r10,
      { "measResultListEUTRA-r10", "lte-rrc.measResultListEUTRA_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_r9", HFILL }},
    { &hf_lte_rrc_measResultListUTRA_r10,
      { "measResultListUTRA-r10", "lte-rrc.measResultListUTRA_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2UTRA_r9", HFILL }},
    { &hf_lte_rrc_measResultListGERAN_r10,
      { "measResultListGERAN-r10", "lte-rrc.measResultListGERAN_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2GERAN_r10", HFILL }},
    { &hf_lte_rrc_measResultListCDMA2000_r10,
      { "measResultListCDMA2000-r10", "lte-rrc.measResultListCDMA2000_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2CDMA2000_r9", HFILL }},
    { &hf_lte_rrc_measResultListEUTRA_v1090,
      { "measResultListEUTRA-v1090", "lte-rrc.measResultListEUTRA_v1090",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_measResultListMBSFN_r12,
      { "measResultListMBSFN-r12", "lte-rrc.measResultListMBSFN_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultServCell_v1250,
      { "measResultServCell-v1250", "lte-rrc.measResultServCell_v1250",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_servCellRSRQ_Type_r12,
      { "servCellRSRQ-Type-r12", "lte-rrc.servCellRSRQ_Type_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RSRQ_Type_r12", HFILL }},
    { &hf_lte_rrc_inDeviceCoexDetected_r13,
      { "inDeviceCoexDetected-r13", "lte-rrc.inDeviceCoexDetected_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_inDeviceCoexDetected_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultServCell_v1360,
      { "measResultServCell-v1360", "lte-rrc.measResultServCell_v1360",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_v1360_vals_ext, 0,
        "RSRP_Range_v1360", HFILL }},
    { &hf_lte_rrc_MeasResultListMBSFN_r12_item,
      { "MeasResultMBSFN-r12", "lte-rrc.MeasResultMBSFN_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbsfn_Area_r12,
      { "mbsfn-Area-r12", "lte-rrc.mbsfn_Area_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResultMBSFN_r12,
      { "rsrpResultMBSFN-r12", "lte-rrc.rsrpResultMBSFN_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResultMBSFN_r12,
      { "rsrqResultMBSFN-r12", "lte-rrc.rsrqResultMBSFN_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_MBSFN_RSRQ_Range_vals_ext, 0,
        "MBSFN_RSRQ_Range_r12", HFILL }},
    { &hf_lte_rrc_signallingBLER_Result_r12,
      { "signallingBLER-Result-r12", "lte-rrc.signallingBLER_Result_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BLER_Result_r12", HFILL }},
    { &hf_lte_rrc_dataBLER_MCH_ResultList_r12,
      { "dataBLER-MCH-ResultList-r12", "lte-rrc.dataBLER_MCH_ResultList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_DataBLER_MCH_ResultList_r12_item,
      { "DataBLER-MCH-Result-r12", "lte-rrc.DataBLER_MCH_Result_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mch_Index_r12,
      { "mch-Index-r12", "lte-rrc.mch_Index_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxPMCH_PerMBSFN", HFILL }},
    { &hf_lte_rrc_dataBLER_Result_r12,
      { "dataBLER-Result-r12", "lte-rrc.dataBLER_Result_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BLER_Result_r12", HFILL }},
    { &hf_lte_rrc_bler_r12,
      { "bler-r12", "lte-rrc.bler_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_BLER_Range_r12_vals_ext, 0,
        "BLER_Range_r12", HFILL }},
    { &hf_lte_rrc_blocksReceived_r12,
      { "blocksReceived-r12", "lte-rrc.blocksReceived_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n_r12,
      { "n-r12", "lte-rrc.n_r12",
        FT_UINT8, BASE_DEC, VALS(lte_rrc_n_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_m_r12,
      { "m-r12", "lte-rrc.m_r12",
        FT_UINT8, BASE_CUSTOM, CF_FUNC(lte_rrc_m_r12_fmt), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultList2GERAN_r10_item,
      { "MeasResultListGERAN", "lte-rrc.MeasResultListGERAN",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_failedCellId_r11,
      { "failedCellId-r11", "lte-rrc.failedCellId_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdEUTRA", HFILL }},
    { &hf_lte_rrc_locationInfo_r11,
      { "locationInfo-r11", "lte-rrc.locationInfo_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LocationInfo_r10", HFILL }},
    { &hf_lte_rrc_measResultFailedCell_r11,
      { "measResultFailedCell-r11", "lte-rrc.measResultFailedCell_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResult_r11,
      { "rsrpResult-r11", "lte-rrc.rsrpResult_r11",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResult_r11,
      { "rsrqResult-r11", "lte-rrc.rsrqResult_r11",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_measResultNeighCells_r11,
      { "measResultNeighCells-r11", "lte-rrc.measResultNeighCells_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultListEUTRA_r11,
      { "measResultListEUTRA-r11", "lte-rrc.measResultListEUTRA_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_r9", HFILL }},
    { &hf_lte_rrc_measResultListUTRA_r11,
      { "measResultListUTRA-r11", "lte-rrc.measResultListUTRA_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2UTRA_r9", HFILL }},
    { &hf_lte_rrc_measResultListGERAN_r11,
      { "measResultListGERAN-r11", "lte-rrc.measResultListGERAN_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultListGERAN", HFILL }},
    { &hf_lte_rrc_measResultsCDMA2000_r11,
      { "measResultsCDMA2000-r11", "lte-rrc.measResultsCDMA2000_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2CDMA2000_r9", HFILL }},
    { &hf_lte_rrc_numberOfPreamblesSent_r11,
      { "numberOfPreamblesSent-r11", "lte-rrc.numberOfPreamblesSent_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_contentionDetected_r11,
      { "contentionDetected-r11", "lte-rrc.contentionDetected_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_maxTxPowerReached_r11,
      { "maxTxPowerReached-r11", "lte-rrc.maxTxPowerReached_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_measResultListEUTRA_v1130,
      { "measResultListEUTRA-v1130", "lte-rrc.measResultListEUTRA_v1130",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultList2EUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_measResultFailedCell_v1250,
      { "measResultFailedCell-v1250", "lte-rrc.measResultFailedCell_v1250",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_failedCellRSRQ_Type_r12,
      { "failedCellRSRQ-Type-r12", "lte-rrc.failedCellRSRQ_Type_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RSRQ_Type_r12", HFILL }},
    { &hf_lte_rrc_measResultFailedCell_v1360,
      { "measResultFailedCell-v1360", "lte-rrc.measResultFailedCell_v1360",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_v1360_vals_ext, 0,
        "RSRP_Range_v1360", HFILL }},
    { &hf_lte_rrc_criticalExtensions_48,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_48_vals), 0,
        "T_criticalExtensions_48", HFILL }},
    { &hf_lte_rrc_c1_45,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_45_vals), 0,
        "T_c1_45", HFILL }},
    { &hf_lte_rrc_ulHandoverPreparationTransfer_r8,
      { "ulHandoverPreparationTransfer-r8", "lte-rrc.ulHandoverPreparationTransfer_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ULHandoverPreparationTransfer_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_48,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_48", HFILL }},
    { &hf_lte_rrc_meid,
      { "meid", "lte-rrc.meid",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_56", HFILL }},
    { &hf_lte_rrc_dedicatedInfo,
      { "dedicatedInfo", "lte-rrc.dedicatedInfo",
        FT_BYTES, BASE_NONE, NULL, 0,
        "DedicatedInfoCDMA2000", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_178,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ULHandoverPreparationTransfer_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_179,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_58", HFILL }},
    { &hf_lte_rrc_criticalExtensions_49,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_49_vals), 0,
        "T_criticalExtensions_49", HFILL }},
    { &hf_lte_rrc_c1_46,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_46_vals), 0,
        "T_c1_46", HFILL }},
    { &hf_lte_rrc_ulInformationTransfer_r8,
      { "ulInformationTransfer-r8", "lte-rrc.ulInformationTransfer_r8_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ULInformationTransfer_r8_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_49,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_49", HFILL }},
    { &hf_lte_rrc_dedicatedInfoType_01,
      { "dedicatedInfoType", "lte-rrc.dedicatedInfoType",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dedicatedInfoType_01_vals), 0,
        "T_dedicatedInfoType_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_180,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ULInformationTransfer_v8a0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_181,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_59", HFILL }},
    { &hf_lte_rrc_criticalExtensions_50,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_50_vals), 0,
        "T_criticalExtensions_50", HFILL }},
    { &hf_lte_rrc_c1_47,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_47_vals), 0,
        "T_c1_47", HFILL }},
    { &hf_lte_rrc_ulInformationTransferMRDC_r15_01,
      { "ulInformationTransferMRDC-r15", "lte-rrc.ulInformationTransferMRDC_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ULInformationTransferMRDC_r15_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_50,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_50", HFILL }},
    { &hf_lte_rrc_ul_DCCH_MessageNR_r15,
      { "ul-DCCH-MessageNR-r15", "lte-rrc.ul_DCCH_MessageNR_r15",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_182,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_60", HFILL }},
    { &hf_lte_rrc_criticalExtensions_51,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_51_vals), 0,
        "T_criticalExtensions_51", HFILL }},
    { &hf_lte_rrc_c1_48,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_48_vals), 0,
        "T_c1_48", HFILL }},
    { &hf_lte_rrc_wlanConnectionStatusReport_r13_02,
      { "wlanConnectionStatusReport-r13", "lte-rrc.wlanConnectionStatusReport_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLANConnectionStatusReport_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_51,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_51", HFILL }},
    { &hf_lte_rrc_wlan_Status_r13,
      { "wlan-Status-r13", "lte-rrc.wlan_Status_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_WLAN_Status_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_183,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLANConnectionStatusReport_v1430_IEs", HFILL }},
    { &hf_lte_rrc_wlan_Status_v1430,
      { "wlan-Status-v1430", "lte-rrc.wlan_Status_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_WLAN_Status_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_184,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_61", HFILL }},
    { &hf_lte_rrc_ac_BarringInfo,
      { "ac-BarringInfo", "lte-rrc.ac_BarringInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringForEmergency,
      { "ac-BarringForEmergency", "lte-rrc.ac_BarringForEmergency",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ac_BarringForMO_Signalling,
      { "ac-BarringForMO-Signalling", "lte-rrc.ac_BarringForMO_Signalling_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_ac_BarringForMO_Data,
      { "ac-BarringForMO-Data", "lte-rrc.ac_BarringForMO_Data_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommon,
      { "radioResourceConfigCommon", "lte-rrc.radioResourceConfigCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonSIB", HFILL }},
    { &hf_lte_rrc_ue_TimersAndConstants,
      { "ue-TimersAndConstants", "lte-rrc.ue_TimersAndConstants_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqInfo,
      { "freqInfo", "lte-rrc.freqInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq,
      { "ul-CarrierFreq", "lte-rrc.ul_CarrierFreq",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_ul_Bandwidth,
      { "ul-Bandwidth", "lte-rrc.ul_Bandwidth",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_Bandwidth_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmission,
      { "additionalSpectrumEmission", "lte-rrc.additionalSpectrumEmission",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList,
      { "mbsfn-SubframeConfigList", "lte-rrc.mbsfn_SubframeConfigList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timeAlignmentTimerCommon,
      { "timeAlignmentTimerCommon", "lte-rrc.timeAlignmentTimerCommon",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TimeAlignmentTimer_vals), 0,
        "TimeAlignmentTimer", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_07,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_06", HFILL }},
    { &hf_lte_rrc_ssac_BarringForMMTEL_Voice_r9,
      { "ssac-BarringForMMTEL-Voice-r9", "lte-rrc.ssac_BarringForMMTEL_Voice_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_ssac_BarringForMMTEL_Video_r9,
      { "ssac-BarringForMMTEL-Video-r9", "lte-rrc.ssac_BarringForMMTEL_Video_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_ac_BarringForCSFB_r10,
      { "ac-BarringForCSFB-r10", "lte-rrc.ac_BarringForCSFB_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_ac_BarringSkipForMMTELVoice_r12,
      { "ac-BarringSkipForMMTELVoice-r12", "lte-rrc.ac_BarringSkipForMMTELVoice_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringSkipForMMTELVoice_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringSkipForMMTELVideo_r12,
      { "ac-BarringSkipForMMTELVideo-r12", "lte-rrc.ac_BarringSkipForMMTELVideo_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringSkipForMMTELVideo_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringSkipForSMS_r12,
      { "ac-BarringSkipForSMS-r12", "lte-rrc.ac_BarringSkipForSMS_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringSkipForSMS_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringPerPLMN_List_r12,
      { "ac-BarringPerPLMN-List-r12", "lte-rrc.ac_BarringPerPLMN_List_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_voiceServiceCauseIndication_r12,
      { "voiceServiceCauseIndication-r12", "lte-rrc.voiceServiceCauseIndication_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_voiceServiceCauseIndication_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_acdc_BarringForCommon_r13,
      { "acdc-BarringForCommon-r13", "lte-rrc.acdc_BarringForCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_acdc_BarringPerPLMN_List_r13,
      { "acdc-BarringPerPLMN-List-r13", "lte-rrc.acdc_BarringPerPLMN_List_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_udt_RestrictingForCommon_r13,
      { "udt-RestrictingForCommon-r13", "lte-rrc.udt_RestrictingForCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UDT_Restricting_r13", HFILL }},
    { &hf_lte_rrc_udt_RestrictingPerPLMN_List_r13,
      { "udt-RestrictingPerPLMN-List-r13", "lte-rrc.udt_RestrictingPerPLMN_List_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cIoT_EPS_OptimisationInfo_r13,
      { "cIoT-EPS-OptimisationInfo-r13", "lte-rrc.cIoT_EPS_OptimisationInfo_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useFullResumeID_r13,
      { "useFullResumeID-r13", "lte-rrc.useFullResumeID_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_useFullResumeID_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_unicastFreqHoppingInd_r13,
      { "unicastFreqHoppingInd-r13", "lte-rrc.unicastFreqHoppingInd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_unicastFreqHoppingInd_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430,
      { "mbsfn-SubframeConfigList-v1430", "lte-rrc.mbsfn_SubframeConfigList_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_videoServiceCauseIndication_r14,
      { "videoServiceCauseIndication-r14", "lte-rrc.videoServiceCauseIndication_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_videoServiceCauseIndication_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_InfoList_r15,
      { "plmn-InfoList-r15", "lte-rrc.plmn_InfoList_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiBandInfoList_01,
      { "multiBandInfoList", "lte-rrc.multiBandInfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_item,
      { "AdditionalSpectrumEmission", "lte-rrc.AdditionalSpectrumEmission",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_185,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType2_v9e0_IEs", HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq_v9e0,
      { "ul-CarrierFreq-v9e0", "lte-rrc.ul_CarrierFreq_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_186,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType2_v9i0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_187,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType2_v10l0_IEs", HFILL }},
    { &hf_lte_rrc_freqInfo_v10l0,
      { "freqInfo-v10l0", "lte-rrc.freqInfo_v10l0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmission_v10l0,
      { "additionalSpectrumEmission-v10l0", "lte-rrc.additionalSpectrumEmission_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiBandInfoList_v10l0_01,
      { "multiBandInfoList-v10l0", "lte-rrc.multiBandInfoList_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_v10l0_item,
      { "AdditionalSpectrumEmission-v10l0", "lte-rrc.AdditionalSpectrumEmission_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_188,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_62", HFILL }},
    { &hf_lte_rrc_ac_BarringFactor,
      { "ac-BarringFactor", "lte-rrc.ac_BarringFactor",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringFactor_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringTime,
      { "ac-BarringTime", "lte-rrc.ac_BarringTime",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringTime_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringForSpecialAC,
      { "ac-BarringForSpecialAC", "lte-rrc.ac_BarringForSpecialAC",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_5", HFILL }},
    { &hf_lte_rrc_MBSFN_SubframeConfigList_item,
      { "MBSFN-SubframeConfig", "lte-rrc.MBSFN_SubframeConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MBSFN_SubframeConfigList_v1430_item,
      { "MBSFN-SubframeConfig-v1430", "lte-rrc.MBSFN_SubframeConfig_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_AC_BarringPerPLMN_List_r12_item,
      { "AC-BarringPerPLMN-r12", "lte-rrc.AC_BarringPerPLMN_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_IdentityIndex_r12,
      { "plmn-IdentityIndex-r12", "lte-rrc.plmn_IdentityIndex_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxPLMN_r11", HFILL }},
    { &hf_lte_rrc_ac_BarringInfo_r12,
      { "ac-BarringInfo-r12", "lte-rrc.ac_BarringInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringForEmergency_r12,
      { "ac-BarringForEmergency-r12", "lte-rrc.ac_BarringForEmergency_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ac_BarringForMO_Signalling_r12,
      { "ac-BarringForMO-Signalling-r12", "lte-rrc.ac_BarringForMO_Signalling_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_ac_BarringForMO_Data_r12,
      { "ac-BarringForMO-Data-r12", "lte-rrc.ac_BarringForMO_Data_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_ac_BarringSkipForMMTELVoice_r12_01,
      { "ac-BarringSkipForMMTELVoice-r12", "lte-rrc.ac_BarringSkipForMMTELVoice_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringSkipForMMTELVoice_r12_01_vals), 0,
        "T_ac_BarringSkipForMMTELVoice_r12_01", HFILL }},
    { &hf_lte_rrc_ac_BarringSkipForMMTELVideo_r12_01,
      { "ac-BarringSkipForMMTELVideo-r12", "lte-rrc.ac_BarringSkipForMMTELVideo_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringSkipForMMTELVideo_r12_01_vals), 0,
        "T_ac_BarringSkipForMMTELVideo_r12_01", HFILL }},
    { &hf_lte_rrc_ac_BarringSkipForSMS_r12_01,
      { "ac-BarringSkipForSMS-r12", "lte-rrc.ac_BarringSkipForSMS_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringSkipForSMS_r12_01_vals), 0,
        "T_ac_BarringSkipForSMS_r12_01", HFILL }},
    { &hf_lte_rrc_ac_BarringForCSFB_r12,
      { "ac-BarringForCSFB-r12", "lte-rrc.ac_BarringForCSFB_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_ssac_BarringForMMTEL_Voice_r12,
      { "ssac-BarringForMMTEL-Voice-r12", "lte-rrc.ssac_BarringForMMTEL_Voice_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_ssac_BarringForMMTEL_Video_r12,
      { "ssac-BarringForMMTEL-Video-r12", "lte-rrc.ssac_BarringForMMTEL_Video_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig", HFILL }},
    { &hf_lte_rrc_acdc_HPLMNonly_r13,
      { "acdc-HPLMNonly-r13", "lte-rrc.acdc_HPLMNonly_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_barringPerACDC_CategoryList_r13,
      { "barringPerACDC-CategoryList-r13", "lte-rrc.barringPerACDC_CategoryList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ACDC_BarringPerPLMN_List_r13_item,
      { "ACDC-BarringPerPLMN-r13", "lte-rrc.ACDC_BarringPerPLMN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_IdentityIndex_r13,
      { "plmn-IdentityIndex-r13", "lte-rrc.plmn_IdentityIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxPLMN_r11", HFILL }},
    { &hf_lte_rrc_acdc_OnlyForHPLMN_r13,
      { "acdc-OnlyForHPLMN-r13", "lte-rrc.acdc_OnlyForHPLMN_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_BarringPerACDC_CategoryList_r13_item,
      { "BarringPerACDC-Category-r13", "lte-rrc.BarringPerACDC_Category_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_acdc_Category_r13,
      { "acdc-Category-r13", "lte-rrc.acdc_Category_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxACDC_Cat_r13", HFILL }},
    { &hf_lte_rrc_acdc_BarringConfig_r13,
      { "acdc-BarringConfig-r13", "lte-rrc.acdc_BarringConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringFactor_r13,
      { "ac-BarringFactor-r13", "lte-rrc.ac_BarringFactor_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringFactor_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringTime_r13,
      { "ac-BarringTime-r13", "lte-rrc.ac_BarringTime_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ac_BarringTime_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_udt_Restricting_r13,
      { "udt-Restricting-r13", "lte-rrc.udt_Restricting_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_udt_Restricting_r13_vals), 0,
        "T_udt_Restricting_r13", HFILL }},
    { &hf_lte_rrc_udt_RestrictingTime_r13,
      { "udt-RestrictingTime-r13", "lte-rrc.udt_RestrictingTime_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_udt_RestrictingTime_r13_vals), 0,
        "T_udt_RestrictingTime_r13", HFILL }},
    { &hf_lte_rrc_UDT_RestrictingPerPLMN_List_r13_item,
      { "UDT-RestrictingPerPLMN-r13", "lte-rrc.UDT_RestrictingPerPLMN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_udt_Restricting_r13_01,
      { "udt-Restricting-r13", "lte-rrc.udt_Restricting_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CIOT_EPS_OptimisationInfo_r13_item,
      { "CIOT-OptimisationPLMN-r13", "lte-rrc.CIOT_OptimisationPLMN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_up_CIoT_EPS_Optimisation_r13_01,
      { "up-CIoT-EPS-Optimisation-r13", "lte-rrc.up_CIoT_EPS_Optimisation_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_up_CIoT_EPS_Optimisation_r13_01_vals), 0,
        "T_up_CIoT_EPS_Optimisation_r13_01", HFILL }},
    { &hf_lte_rrc_cp_CIoT_EPS_Optimisation_r13_01,
      { "cp-CIoT-EPS-Optimisation-r13", "lte-rrc.cp_CIoT_EPS_Optimisation_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cp_CIoT_EPS_Optimisation_r13_01_vals), 0,
        "T_cp_CIoT_EPS_Optimisation_r13_01", HFILL }},
    { &hf_lte_rrc_attachWithoutPDN_Connectivity_r13_01,
      { "attachWithoutPDN-Connectivity-r13", "lte-rrc.attachWithoutPDN_Connectivity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_attachWithoutPDN_Connectivity_r13_01_vals), 0,
        "T_attachWithoutPDN_Connectivity_r13_01", HFILL }},
    { &hf_lte_rrc_PLMN_InfoList_r15_item,
      { "PLMN-Info-r15", "lte-rrc.PLMN_Info_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_upperLayerIndication_r15,
      { "upperLayerIndication-r15", "lte-rrc.upperLayerIndication_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_upperLayerIndication_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellReselectionInfoCommon,
      { "cellReselectionInfoCommon", "lte-rrc.cellReselectionInfoCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_Hyst,
      { "q-Hyst", "lte-rrc.q_Hyst",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_q_Hyst_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_speedStateReselectionPars,
      { "speedStateReselectionPars", "lte-rrc.speedStateReselectionPars_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityStateParameters,
      { "mobilityStateParameters", "lte-rrc.mobilityStateParameters_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_HystSF,
      { "q-HystSF", "lte-rrc.q_HystSF_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf_Medium,
      { "sf-Medium", "lte-rrc.sf_Medium",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sf_Medium_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf_High,
      { "sf-High", "lte-rrc.sf_High",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sf_High_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellReselectionServingFreqInfo,
      { "cellReselectionServingFreqInfo", "lte-rrc.cellReselectionServingFreqInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_NonIntraSearch,
      { "s-NonIntraSearch", "lte-rrc.s_NonIntraSearch",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_threshServingLow,
      { "threshServingLow", "lte-rrc.threshServingLow",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_intraFreqCellReselectionInfo,
      { "intraFreqCellReselectionInfo", "lte-rrc.intraFreqCellReselectionInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_IntraSearch,
      { "s-IntraSearch", "lte-rrc.s_IntraSearch",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_allowedMeasBandwidth,
      { "allowedMeasBandwidth", "lte-rrc.allowedMeasBandwidth",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_AllowedMeasBandwidth_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_presenceAntennaPort1,
      { "presenceAntennaPort1", "lte-rrc.presenceAntennaPort1",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_neighCellConfig,
      { "neighCellConfig", "lte-rrc.neighCellConfig",
        FT_UINT8, BASE_DEC, VALS(lte_rrc_neighCellConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t_ReselectionEUTRA,
      { "t-ReselectionEUTRA", "lte-rrc.t_ReselectionEUTRA",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "T_Reselection", HFILL }},
    { &hf_lte_rrc_t_ReselectionEUTRA_SF,
      { "t-ReselectionEUTRA-SF", "lte-rrc.t_ReselectionEUTRA_SF_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SpeedStateScaleFactors", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_08,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_07", HFILL }},
    { &hf_lte_rrc_s_IntraSearch_v920,
      { "s-IntraSearch-v920", "lte-rrc.s_IntraSearch_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_IntraSearchP_r9,
      { "s-IntraSearchP-r9", "lte-rrc.s_IntraSearchP_r9",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_s_IntraSearchQ_r9,
      { "s-IntraSearchQ-r9", "lte-rrc.s_IntraSearchQ_r9",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "ReselectionThresholdQ_r9", HFILL }},
    { &hf_lte_rrc_s_NonIntraSearch_v920,
      { "s-NonIntraSearch-v920", "lte-rrc.s_NonIntraSearch_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_NonIntraSearchP_r9,
      { "s-NonIntraSearchP-r9", "lte-rrc.s_NonIntraSearchP_r9",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_s_NonIntraSearchQ_r9,
      { "s-NonIntraSearchQ-r9", "lte-rrc.s_NonIntraSearchQ_r9",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "ReselectionThresholdQ_r9", HFILL }},
    { &hf_lte_rrc_threshServingLowQ_r9,
      { "threshServingLowQ-r9", "lte-rrc.threshServingLowQ_r9",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "ReselectionThresholdQ_r9", HFILL }},
    { &hf_lte_rrc_cellReselectionServingFreqInfo_v1310,
      { "cellReselectionServingFreqInfo-v1310", "lte-rrc.cellReselectionServingFreqInfo_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_redistributionServingInfo_r13,
      { "redistributionServingInfo-r13", "lte-rrc.redistributionServingInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t_ReselectionEUTRA_CE_r13,
      { "t-ReselectionEUTRA-CE-r13", "lte-rrc.t_ReselectionEUTRA_CE_r13",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_redistributionFactorServing_r13,
      { "redistributionFactorServing-r13", "lte-rrc.redistributionFactorServing_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_10", HFILL }},
    { &hf_lte_rrc_redistributionFactorCell_r13,
      { "redistributionFactorCell-r13", "lte-rrc.redistributionFactorCell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_redistributionFactorCell_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t360_r13,
      { "t360-r13", "lte-rrc.t360_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t360_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_redistrOnPagingOnly_r13,
      { "redistrOnPagingOnly-r13", "lte-rrc.redistrOnPagingOnly_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_redistrOnPagingOnly_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_189,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType3_v10l0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_190,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_63", HFILL }},
    { &hf_lte_rrc_intraFreqNeighCellList,
      { "intraFreqNeighCellList", "lte-rrc.intraFreqNeighCellList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqBlackCellList,
      { "intraFreqBlackCellList", "lte-rrc.intraFreqBlackCellList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csg_PhysCellIdRange,
      { "csg-PhysCellIdRange", "lte-rrc.csg_PhysCellIdRange_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysCellIdRange", HFILL }},
    { &hf_lte_rrc_IntraFreqNeighCellList_item,
      { "IntraFreqNeighCellInfo", "lte-rrc.IntraFreqNeighCellInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_OffsetCell,
      { "q-OffsetCell", "lte-rrc.q_OffsetCell",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_Q_OffsetRange_vals_ext, 0,
        "Q_OffsetRange", HFILL }},
    { &hf_lte_rrc_IntraFreqBlackCellList_item,
      { "PhysCellIdRange", "lte-rrc.PhysCellIdRange_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList,
      { "interFreqCarrierFreqList", "lte-rrc.interFreqCarrierFreqList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_09,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_08", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v1250,
      { "interFreqCarrierFreqList-v1250", "lte-rrc.interFreqCarrierFreqList_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqListExt_r12,
      { "interFreqCarrierFreqListExt-r12", "lte-rrc.interFreqCarrierFreqListExt_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqListExt_v1280,
      { "interFreqCarrierFreqListExt-v1280", "lte-rrc.interFreqCarrierFreqListExt_v1280",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v1310,
      { "interFreqCarrierFreqList-v1310", "lte-rrc.interFreqCarrierFreqList_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqListExt_v1310,
      { "interFreqCarrierFreqListExt-v1310", "lte-rrc.interFreqCarrierFreqListExt_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v1350,
      { "interFreqCarrierFreqList-v1350", "lte-rrc.interFreqCarrierFreqList_v1350",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqListExt_v1350,
      { "interFreqCarrierFreqListExt-v1350", "lte-rrc.interFreqCarrierFreqListExt_v1350",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqListExt_v1360,
      { "interFreqCarrierFreqListExt-v1360", "lte-rrc.interFreqCarrierFreqListExt_v1360",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scptm_FreqOffset_r14,
      { "scptm-FreqOffset-r14", "lte-rrc.scptm_FreqOffset_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_scptm_FreqOffset_r14_fmt), 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v8h0,
      { "interFreqCarrierFreqList-v8h0", "lte-rrc.interFreqCarrierFreqList_v8h0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v8h0_item,
      { "InterFreqCarrierFreqInfo-v8h0", "lte-rrc.InterFreqCarrierFreqInfo_v8h0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_191,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType5_v9e0_IEs", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v9e0,
      { "interFreqCarrierFreqList-v9e0", "lte-rrc.interFreqCarrierFreqList_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v9e0_item,
      { "InterFreqCarrierFreqInfo-v9e0", "lte-rrc.InterFreqCarrierFreqInfo_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_192,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType5_v10j0_IEs", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v10j0,
      { "interFreqCarrierFreqList-v10j0", "lte-rrc.interFreqCarrierFreqList_v10j0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v10j0_item,
      { "InterFreqCarrierFreqInfo-v10j0", "lte-rrc.InterFreqCarrierFreqInfo_v10j0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_193,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType5_v10l0_IEs", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v10l0,
      { "interFreqCarrierFreqList-v10l0", "lte-rrc.interFreqCarrierFreqList_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_v10l0_item,
      { "InterFreqCarrierFreqInfo-v10l0", "lte-rrc.InterFreqCarrierFreqInfo_v10l0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_194,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_64", HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqList_item,
      { "InterFreqCarrierFreqInfo", "lte-rrc.InterFreqCarrierFreqInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqList_v1250_item,
      { "InterFreqCarrierFreqInfo-v1250", "lte-rrc.InterFreqCarrierFreqInfo_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqList_v1310_item,
      { "InterFreqCarrierFreqInfo-v1310", "lte-rrc.InterFreqCarrierFreqInfo_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqList_v1350_item,
      { "InterFreqCarrierFreqInfo-v1350", "lte-rrc.InterFreqCarrierFreqInfo_v1350_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqListExt_r12_item,
      { "InterFreqCarrierFreqInfo-r12", "lte-rrc.InterFreqCarrierFreqInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqListExt_v1280_item,
      { "InterFreqCarrierFreqInfo-v10j0", "lte-rrc.InterFreqCarrierFreqInfo_v10j0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqListExt_v1310_item,
      { "InterFreqCarrierFreqInfo-v1310", "lte-rrc.InterFreqCarrierFreqInfo_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqListExt_v1350_item,
      { "InterFreqCarrierFreqInfo-v1350", "lte-rrc.InterFreqCarrierFreqInfo_v1350_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqListExt_v1360_item,
      { "InterFreqCarrierFreqInfo-v1360", "lte-rrc.InterFreqCarrierFreqInfo_v1360_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq,
      { "dl-CarrierFreq", "lte-rrc.dl_CarrierFreq",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_threshX_High,
      { "threshX-High", "lte-rrc.threshX_High",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_threshX_Low,
      { "threshX-Low", "lte-rrc.threshX_Low",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_q_OffsetFreq,
      { "q-OffsetFreq", "lte-rrc.q_OffsetFreq",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_Q_OffsetRange_vals_ext, 0,
        "Q_OffsetRange", HFILL }},
    { &hf_lte_rrc_interFreqNeighCellList,
      { "interFreqNeighCellList", "lte-rrc.interFreqNeighCellList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqBlackCellList,
      { "interFreqBlackCellList", "lte-rrc.interFreqBlackCellList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_threshX_Q_r9,
      { "threshX-Q-r9", "lte-rrc.threshX_Q_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_threshX_HighQ_r9,
      { "threshX-HighQ-r9", "lte-rrc.threshX_HighQ_r9",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "ReselectionThresholdQ_r9", HFILL }},
    { &hf_lte_rrc_threshX_LowQ_r9,
      { "threshX-LowQ-r9", "lte-rrc.threshX_LowQ_r9",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "ReselectionThresholdQ_r9", HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_v9e0,
      { "dl-CarrierFreq-v9e0", "lte-rrc.dl_CarrierFreq_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_reducedMeasPerformance_r12,
      { "reducedMeasPerformance-r12", "lte-rrc.reducedMeasPerformance_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reducedMeasPerformance_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_RxLevMin_r12,
      { "q-RxLevMin-r12", "lte-rrc.q_RxLevMin_r12",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_q_RxLevMin_vals_ext, 0,
        "Q_RxLevMin", HFILL }},
    { &hf_lte_rrc_t_ReselectionEUTRA_r12,
      { "t-ReselectionEUTRA-r12", "lte-rrc.t_ReselectionEUTRA_r12",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "T_Reselection", HFILL }},
    { &hf_lte_rrc_t_ReselectionEUTRA_SF_r12,
      { "t-ReselectionEUTRA-SF-r12", "lte-rrc.t_ReselectionEUTRA_SF_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SpeedStateScaleFactors", HFILL }},
    { &hf_lte_rrc_threshX_High_r12,
      { "threshX-High-r12", "lte-rrc.threshX_High_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_threshX_Low_r12,
      { "threshX-Low-r12", "lte-rrc.threshX_Low_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_allowedMeasBandwidth_r12,
      { "allowedMeasBandwidth-r12", "lte-rrc.allowedMeasBandwidth_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_AllowedMeasBandwidth_vals), 0,
        "AllowedMeasBandwidth", HFILL }},
    { &hf_lte_rrc_presenceAntennaPort1_r12,
      { "presenceAntennaPort1-r12", "lte-rrc.presenceAntennaPort1_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "PresenceAntennaPort1", HFILL }},
    { &hf_lte_rrc_neighCellConfig_r12,
      { "neighCellConfig-r12", "lte-rrc.neighCellConfig_r12",
        FT_UINT8, BASE_DEC, VALS(lte_rrc_neighCellConfig_vals), 0,
        "NeighCellConfig", HFILL }},
    { &hf_lte_rrc_q_OffsetFreq_r12,
      { "q-OffsetFreq-r12", "lte-rrc.q_OffsetFreq_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_Q_OffsetRange_vals_ext, 0,
        "Q_OffsetRange", HFILL }},
    { &hf_lte_rrc_interFreqNeighCellList_r12,
      { "interFreqNeighCellList-r12", "lte-rrc.interFreqNeighCellList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "InterFreqNeighCellList", HFILL }},
    { &hf_lte_rrc_interFreqBlackCellList_r12,
      { "interFreqBlackCellList-r12", "lte-rrc.interFreqBlackCellList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "InterFreqBlackCellList", HFILL }},
    { &hf_lte_rrc_q_QualMin_r12,
      { "q-QualMin-r12", "lte-rrc.q_QualMin_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_QualMin_r9", HFILL }},
    { &hf_lte_rrc_threshX_Q_r12,
      { "threshX-Q-r12", "lte-rrc.threshX_Q_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_threshX_HighQ_r12,
      { "threshX-HighQ-r12", "lte-rrc.threshX_HighQ_r12",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "ReselectionThresholdQ_r9", HFILL }},
    { &hf_lte_rrc_threshX_LowQ_r12,
      { "threshX-LowQ-r12", "lte-rrc.threshX_LowQ_r12",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "ReselectionThresholdQ_r9", HFILL }},
    { &hf_lte_rrc_q_QualMinWB_r12,
      { "q-QualMinWB-r12", "lte-rrc.q_QualMinWB_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_QualMin_r9", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r12,
      { "multiBandInfoList-r12", "lte-rrc.multiBandInfoList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MultiBandInfoList_r11", HFILL }},
    { &hf_lte_rrc_reducedMeasPerformance_r12_01,
      { "reducedMeasPerformance-r12", "lte-rrc.reducedMeasPerformance_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reducedMeasPerformance_r12_01_vals), 0,
        "T_reducedMeasPerformance_r12_01", HFILL }},
    { &hf_lte_rrc_redistributionInterFreqInfo_r13,
      { "redistributionInterFreqInfo-r13", "lte-rrc.redistributionInterFreqInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqNeighCellList_item,
      { "InterFreqNeighCellInfo", "lte-rrc.InterFreqNeighCellInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqBlackCellList_item,
      { "PhysCellIdRange", "lte-rrc.PhysCellIdRange_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_redistributionFactorFreq_r13,
      { "redistributionFactorFreq-r13", "lte-rrc.redistributionFactorFreq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "RedistributionFactor_r13", HFILL }},
    { &hf_lte_rrc_redistributionNeighCellList_r13,
      { "redistributionNeighCellList-r13", "lte-rrc.redistributionNeighCellList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_RedistributionNeighCellList_r13_item,
      { "RedistributionNeighCell-r13", "lte-rrc.RedistributionNeighCell_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_redistributionFactorCell_r13_01,
      { "redistributionFactorCell-r13", "lte-rrc.redistributionFactorCell_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "RedistributionFactor_r13", HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_FDD,
      { "carrierFreqListUTRA-FDD", "lte-rrc.carrierFreqListUTRA_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_TDD,
      { "carrierFreqListUTRA-TDD", "lte-rrc.carrierFreqListUTRA_TDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t_ReselectionUTRA,
      { "t-ReselectionUTRA", "lte-rrc.t_ReselectionUTRA",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "T_Reselection", HFILL }},
    { &hf_lte_rrc_t_ReselectionUTRA_SF,
      { "t-ReselectionUTRA-SF", "lte-rrc.t_ReselectionUTRA_SF_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SpeedStateScaleFactors", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_10,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_09", HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_FDD_v1250,
      { "carrierFreqListUTRA-FDD-v1250", "lte-rrc.carrierFreqListUTRA_FDD_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250", HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_FDD_v1250_item,
      { "CarrierFreqInfoUTRA-v1250", "lte-rrc.CarrierFreqInfoUTRA_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_TDD_v1250,
      { "carrierFreqListUTRA-TDD-v1250", "lte-rrc.carrierFreqListUTRA_TDD_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250", HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_TDD_v1250_item,
      { "CarrierFreqInfoUTRA-v1250", "lte-rrc.CarrierFreqInfoUTRA_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_FDD_Ext_r12,
      { "carrierFreqListUTRA-FDD-Ext-r12", "lte-rrc.carrierFreqListUTRA_FDD_Ext_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_TDD_Ext_r12,
      { "carrierFreqListUTRA-TDD-Ext-r12", "lte-rrc.carrierFreqListUTRA_TDD_Ext_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_FDD_v8h0,
      { "carrierFreqListUTRA-FDD-v8h0", "lte-rrc.carrierFreqListUTRA_FDD_v8h0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0", HFILL }},
    { &hf_lte_rrc_carrierFreqListUTRA_FDD_v8h0_item,
      { "CarrierFreqInfoUTRA-FDD-v8h0", "lte-rrc.CarrierFreqInfoUTRA_FDD_v8h0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_195,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_65", HFILL }},
    { &hf_lte_rrc_reducedMeasPerformance_r12_02,
      { "reducedMeasPerformance-r12", "lte-rrc.reducedMeasPerformance_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reducedMeasPerformance_r12_02_vals), 0,
        "T_reducedMeasPerformance_r12_02", HFILL }},
    { &hf_lte_rrc_CarrierFreqListUTRA_FDD_item,
      { "CarrierFreqUTRA-FDD", "lte-rrc.CarrierFreqUTRA_FDD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_RxLevMin_01,
      { "q-RxLevMin", "lte-rrc.utra_q_RxLevMin",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_utra_q_RxLevMin_vals_ext, 0,
        "INTEGER_M60_M13", HFILL }},
    { &hf_lte_rrc_p_MaxUTRA,
      { "p-MaxUTRA", "lte-rrc.p_MaxUTRA",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M50_33", HFILL }},
    { &hf_lte_rrc_q_QualMin,
      { "q-QualMin", "lte-rrc.q_QualMin",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M24_0", HFILL }},
    { &hf_lte_rrc_threshX_Q_r9_01,
      { "threshX-Q-r9", "lte-rrc.threshX_Q_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_threshX_Q_r9_01", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_02,
      { "multiBandInfoList", "lte-rrc.multiBandInfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_item_01,
      { "FreqBandIndicator-UTRA-FDD", "lte-rrc.FreqBandIndicator_UTRA_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CarrierFreqListUTRA_FDD_Ext_r12_item,
      { "CarrierFreqUTRA-FDD-Ext-r12", "lte-rrc.CarrierFreqUTRA_FDD_Ext_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r12_01,
      { "carrierFreq-r12", "lte-rrc.carrierFreq_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueUTRA", HFILL }},
    { &hf_lte_rrc_q_RxLevMin_r12_01,
      { "q-RxLevMin-r12", "lte-rrc.utra_q_RxLevMin_r12",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_utra_q_RxLevMin_vals_ext, 0,
        "INTEGER_M60_M13", HFILL }},
    { &hf_lte_rrc_p_MaxUTRA_r12,
      { "p-MaxUTRA-r12", "lte-rrc.p_MaxUTRA_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M50_33", HFILL }},
    { &hf_lte_rrc_q_QualMin_r12_01,
      { "q-QualMin-r12", "lte-rrc.q_QualMin_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M24_0", HFILL }},
    { &hf_lte_rrc_threshX_Q_r12_01,
      { "threshX-Q-r12", "lte-rrc.threshX_Q_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_threshX_Q_r12_01", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r12_01,
      { "multiBandInfoList-r12", "lte-rrc.multiBandInfoList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_UTRA_FDD_r12", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r12_item,
      { "FreqBandIndicator-UTRA-FDD", "lte-rrc.FreqBandIndicator_UTRA_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reducedMeasPerformance_r12_03,
      { "reducedMeasPerformance-r12", "lte-rrc.reducedMeasPerformance_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reducedMeasPerformance_r12_03_vals), 0,
        "T_reducedMeasPerformance_r12_03", HFILL }},
    { &hf_lte_rrc_CarrierFreqListUTRA_TDD_item,
      { "CarrierFreqUTRA-TDD", "lte-rrc.CarrierFreqUTRA_TDD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CarrierFreqListUTRA_TDD_Ext_r12_item,
      { "CarrierFreqUTRA-TDD-r12", "lte-rrc.CarrierFreqUTRA_TDD_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reducedMeasPerformance_r12_04,
      { "reducedMeasPerformance-r12", "lte-rrc.reducedMeasPerformance_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reducedMeasPerformance_r12_04_vals), 0,
        "T_reducedMeasPerformance_r12_04", HFILL }},
    { &hf_lte_rrc_t_ReselectionGERAN,
      { "t-ReselectionGERAN", "lte-rrc.t_ReselectionGERAN",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "T_Reselection", HFILL }},
    { &hf_lte_rrc_t_ReselectionGERAN_SF,
      { "t-ReselectionGERAN-SF", "lte-rrc.t_ReselectionGERAN_SF_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SpeedStateScaleFactors", HFILL }},
    { &hf_lte_rrc_carrierFreqsInfoList,
      { "carrierFreqsInfoList", "lte-rrc.carrierFreqsInfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CarrierFreqsInfoListGERAN", HFILL }},
    { &hf_lte_rrc_CarrierFreqsInfoListGERAN_item,
      { "CarrierFreqsInfoGERAN", "lte-rrc.CarrierFreqsInfoGERAN_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commonInfo,
      { "commonInfo", "lte-rrc.commonInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ncc_Permitted,
      { "ncc-Permitted", "lte-rrc.ncc_Permitted",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_q_RxLevMin_02,
      { "q-RxLevMin", "lte-rrc.geran_q_RxLevMin",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_geran_q_RxLevMin_vals_ext, 0,
        "INTEGER_0_45", HFILL }},
    { &hf_lte_rrc_p_MaxGERAN,
      { "p-MaxGERAN", "lte-rrc.p_MaxGERAN",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_0_39", HFILL }},
    { &hf_lte_rrc_systemTimeInfo,
      { "systemTimeInfo", "lte-rrc.systemTimeInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemTimeInfoCDMA2000", HFILL }},
    { &hf_lte_rrc_searchWindowSize,
      { "searchWindowSize", "lte-rrc.searchWindowSize",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_parametersHRPD,
      { "parametersHRPD", "lte-rrc.parametersHRPD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preRegistrationInfoHRPD,
      { "preRegistrationInfoHRPD", "lte-rrc.preRegistrationInfoHRPD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellReselectionParametersHRPD,
      { "cellReselectionParametersHRPD", "lte-rrc.cellReselectionParametersHRPD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellReselectionParametersCDMA2000", HFILL }},
    { &hf_lte_rrc_parameters1XRTT,
      { "parameters1XRTT", "lte-rrc.parameters1XRTT_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csfb_RegistrationParam1XRTT,
      { "csfb-RegistrationParam1XRTT", "lte-rrc.csfb_RegistrationParam1XRTT_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_longCodeState1XRTT,
      { "longCodeState1XRTT", "lte-rrc.longCodeState1XRTT",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_42", HFILL }},
    { &hf_lte_rrc_cellReselectionParameters1XRTT,
      { "cellReselectionParameters1XRTT", "lte-rrc.cellReselectionParameters1XRTT_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellReselectionParametersCDMA2000", HFILL }},
    { &hf_lte_rrc_csfb_SupportForDualRxUEs_r9,
      { "csfb-SupportForDualRxUEs-r9", "lte-rrc.csfb_SupportForDualRxUEs_r9",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_cellReselectionParametersHRPD_v920,
      { "cellReselectionParametersHRPD-v920", "lte-rrc.cellReselectionParametersHRPD_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellReselectionParametersCDMA2000_v920", HFILL }},
    { &hf_lte_rrc_cellReselectionParameters1XRTT_v920,
      { "cellReselectionParameters1XRTT-v920", "lte-rrc.cellReselectionParameters1XRTT_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellReselectionParametersCDMA2000_v920", HFILL }},
    { &hf_lte_rrc_csfb_RegistrationParam1XRTT_v920,
      { "csfb-RegistrationParam1XRTT-v920", "lte-rrc.csfb_RegistrationParam1XRTT_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ac_BarringConfig1XRTT_r9,
      { "ac-BarringConfig1XRTT-r9", "lte-rrc.ac_BarringConfig1XRTT_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csfb_DualRxTxSupport_r10,
      { "csfb-DualRxTxSupport-r10", "lte-rrc.csfb_DualRxTxSupport_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csfb_DualRxTxSupport_r10_vals), 0,
        "T_csfb_DualRxTxSupport_r10", HFILL }},
    { &hf_lte_rrc_sib8_PerPLMN_List_r11,
      { "sib8-PerPLMN-List-r11", "lte-rrc.sib8_PerPLMN_List_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandClassList,
      { "bandClassList", "lte-rrc.bandClassList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "BandClassListCDMA2000", HFILL }},
    { &hf_lte_rrc_neighCellList,
      { "neighCellList", "lte-rrc.neighCellList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NeighCellListCDMA2000", HFILL }},
    { &hf_lte_rrc_t_ReselectionCDMA2000,
      { "t-ReselectionCDMA2000", "lte-rrc.t_ReselectionCDMA2000",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "T_Reselection", HFILL }},
    { &hf_lte_rrc_t_ReselectionCDMA2000_SF,
      { "t-ReselectionCDMA2000-SF", "lte-rrc.t_ReselectionCDMA2000_SF_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SpeedStateScaleFactors", HFILL }},
    { &hf_lte_rrc_neighCellList_r11,
      { "neighCellList-r11", "lte-rrc.neighCellList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11", HFILL }},
    { &hf_lte_rrc_neighCellList_r11_item,
      { "NeighCellCDMA2000-r11", "lte-rrc.NeighCellCDMA2000_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_neighCellList_v920,
      { "neighCellList-v920", "lte-rrc.neighCellList_v920",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NeighCellListCDMA2000_v920", HFILL }},
    { &hf_lte_rrc_NeighCellListCDMA2000_item,
      { "NeighCellCDMA2000", "lte-rrc.NeighCellCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_neighCellsPerFreqList,
      { "neighCellsPerFreqList", "lte-rrc.neighCellsPerFreqList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NeighCellsPerBandclassListCDMA2000", HFILL }},
    { &hf_lte_rrc_neighFreqInfoList_r11,
      { "neighFreqInfoList-r11", "lte-rrc.neighFreqInfoList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11", HFILL }},
    { &hf_lte_rrc_neighFreqInfoList_r11_item,
      { "NeighCellsPerBandclassCDMA2000-r11", "lte-rrc.NeighCellsPerBandclassCDMA2000_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NeighCellsPerBandclassListCDMA2000_item,
      { "NeighCellsPerBandclassCDMA2000", "lte-rrc.NeighCellsPerBandclassCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_arfcn,
      { "arfcn", "lte-rrc.arfcn",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueCDMA2000", HFILL }},
    { &hf_lte_rrc_physCellIdList,
      { "physCellIdList", "lte-rrc.physCellIdList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdListCDMA2000", HFILL }},
    { &hf_lte_rrc_physCellIdList_r11,
      { "physCellIdList-r11", "lte-rrc.physCellIdList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000", HFILL }},
    { &hf_lte_rrc_physCellIdList_r11_item,
      { "PhysCellIdCDMA2000", "lte-rrc.PhysCellIdCDMA2000",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NeighCellListCDMA2000_v920_item,
      { "NeighCellCDMA2000-v920", "lte-rrc.NeighCellCDMA2000_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_neighCellsPerFreqList_v920,
      { "neighCellsPerFreqList-v920", "lte-rrc.neighCellsPerFreqList_v920",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NeighCellsPerBandclassListCDMA2000_v920", HFILL }},
    { &hf_lte_rrc_NeighCellsPerBandclassListCDMA2000_v920_item,
      { "NeighCellsPerBandclassCDMA2000-v920", "lte-rrc.NeighCellsPerBandclassCDMA2000_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellIdList_v920,
      { "physCellIdList-v920", "lte-rrc.physCellIdList_v920",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdListCDMA2000_v920", HFILL }},
    { &hf_lte_rrc_PhysCellIdListCDMA2000_item,
      { "PhysCellIdCDMA2000", "lte-rrc.PhysCellIdCDMA2000",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_PhysCellIdListCDMA2000_v920_item,
      { "PhysCellIdCDMA2000", "lte-rrc.PhysCellIdCDMA2000",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandClassListCDMA2000_item,
      { "BandClassInfoCDMA2000", "lte-rrc.BandClassInfoCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_threshX_High_01,
      { "threshX-High", "lte-rrc.threshX_High",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_threshX_Low_01,
      { "threshX-Low", "lte-rrc.threshX_Low",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_ac_Barring0to9_r9,
      { "ac-Barring0to9-r9", "lte-rrc.ac_Barring0to9_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_ac_Barring10_r9,
      { "ac-Barring10-r9", "lte-rrc.ac_Barring10_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_ac_Barring11_r9,
      { "ac-Barring11-r9", "lte-rrc.ac_Barring11_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_ac_Barring12_r9,
      { "ac-Barring12-r9", "lte-rrc.ac_Barring12_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_ac_Barring13_r9,
      { "ac-Barring13-r9", "lte-rrc.ac_Barring13_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_ac_Barring14_r9,
      { "ac-Barring14-r9", "lte-rrc.ac_Barring14_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_ac_Barring15_r9,
      { "ac-Barring15-r9", "lte-rrc.ac_Barring15_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_ac_BarringMsg_r9,
      { "ac-BarringMsg-r9", "lte-rrc.ac_BarringMsg_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_ac_BarringReg_r9,
      { "ac-BarringReg-r9", "lte-rrc.ac_BarringReg_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_ac_BarringEmg_r9,
      { "ac-BarringEmg-r9", "lte-rrc.ac_BarringEmg_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_SIB8_PerPLMN_List_r11_item,
      { "SIB8-PerPLMN-r11", "lte-rrc.SIB8_PerPLMN_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_Identity_r11,
      { "plmn-Identity-r11", "lte-rrc.plmn_Identity_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxPLMN_r11", HFILL }},
    { &hf_lte_rrc_parametersCDMA2000_r11,
      { "parametersCDMA2000-r11", "lte-rrc.parametersCDMA2000_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_parametersCDMA2000_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue,
      { "explicitValue", "lte-rrc.explicitValue_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ParametersCDMA2000_r11", HFILL }},
    { &hf_lte_rrc_defaultValue,
      { "defaultValue", "lte-rrc.defaultValue_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemTimeInfo_r11,
      { "systemTimeInfo-r11", "lte-rrc.systemTimeInfo_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_systemTimeInfo_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_01,
      { "explicitValue", "lte-rrc.explicitValue_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemTimeInfoCDMA2000", HFILL }},
    { &hf_lte_rrc_searchWindowSize_r11,
      { "searchWindowSize-r11", "lte-rrc.searchWindowSize_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_parametersHRPD_r11,
      { "parametersHRPD-r11", "lte-rrc.parametersHRPD_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preRegistrationInfoHRPD_r11,
      { "preRegistrationInfoHRPD-r11", "lte-rrc.preRegistrationInfoHRPD_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PreRegistrationInfoHRPD", HFILL }},
    { &hf_lte_rrc_cellReselectionParametersHRPD_r11,
      { "cellReselectionParametersHRPD-r11", "lte-rrc.cellReselectionParametersHRPD_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellReselectionParametersCDMA2000_r11", HFILL }},
    { &hf_lte_rrc_parameters1XRTT_r11,
      { "parameters1XRTT-r11", "lte-rrc.parameters1XRTT_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_parameters1XRTT_r11", HFILL }},
    { &hf_lte_rrc_csfb_RegistrationParam1XRTT_r11,
      { "csfb-RegistrationParam1XRTT-r11", "lte-rrc.csfb_RegistrationParam1XRTT_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSFB_RegistrationParam1XRTT", HFILL }},
    { &hf_lte_rrc_csfb_RegistrationParam1XRTT_Ext_r11,
      { "csfb-RegistrationParam1XRTT-Ext-r11", "lte-rrc.csfb_RegistrationParam1XRTT_Ext_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSFB_RegistrationParam1XRTT_v920", HFILL }},
    { &hf_lte_rrc_longCodeState1XRTT_r11,
      { "longCodeState1XRTT-r11", "lte-rrc.longCodeState1XRTT_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_42", HFILL }},
    { &hf_lte_rrc_cellReselectionParameters1XRTT_r11,
      { "cellReselectionParameters1XRTT-r11", "lte-rrc.cellReselectionParameters1XRTT_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellReselectionParametersCDMA2000_r11", HFILL }},
    { &hf_lte_rrc_ac_BarringConfig1XRTT_r11,
      { "ac-BarringConfig1XRTT-r11", "lte-rrc.ac_BarringConfig1XRTT_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AC_BarringConfig1XRTT_r9", HFILL }},
    { &hf_lte_rrc_csfb_SupportForDualRxUEs_r11,
      { "csfb-SupportForDualRxUEs-r11", "lte-rrc.csfb_SupportForDualRxUEs_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_csfb_DualRxTxSupport_r11,
      { "csfb-DualRxTxSupport-r11", "lte-rrc.csfb_DualRxTxSupport_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csfb_DualRxTxSupport_r11_vals), 0,
        "T_csfb_DualRxTxSupport_r11", HFILL }},
    { &hf_lte_rrc_hnb_Name,
      { "hnb-Name", "lte-rrc.hnb_Name",
        FT_STRING, STR_UNICODE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageIdentifier,
      { "messageIdentifier", "lte-rrc.messageIdentifier",
        FT_UINT16, BASE_DEC|BASE_EXT_STRING, &lte_rrc_messageIdentifier_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_serialNumber,
      { "serialNumber", "lte-rrc.serialNumber",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_warningType,
      { "warningType", "lte-rrc.warningType",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dummy,
      { "dummy", "lte-rrc.dummy",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_50", HFILL }},
    { &hf_lte_rrc_messageIdentifier_01,
      { "messageIdentifier", "lte-rrc.messageIdentifier",
        FT_UINT16, BASE_DEC|BASE_EXT_STRING, &lte_rrc_messageIdentifier_vals_ext, 0,
        "T_messageIdentifier_01", HFILL }},
    { &hf_lte_rrc_serialNumber_01,
      { "serialNumber", "lte-rrc.serialNumber",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_serialNumber_01", HFILL }},
    { &hf_lte_rrc_warningMessageSegmentType,
      { "warningMessageSegmentType", "lte-rrc.warningMessageSegmentType",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_warningMessageSegmentType_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_warningMessageSegmentNumber,
      { "warningMessageSegmentNumber", "lte-rrc.warningMessageSegmentNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_warningMessageSegment,
      { "warningMessageSegment", "lte-rrc.warningMessageSegment",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dataCodingScheme,
      { "dataCodingScheme", "lte-rrc.dataCodingScheme",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageIdentifier_r9,
      { "messageIdentifier-r9", "lte-rrc.messageIdentifier_r9",
        FT_UINT16, BASE_DEC|BASE_EXT_STRING, &lte_rrc_messageIdentifier_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_serialNumber_r9,
      { "serialNumber-r9", "lte-rrc.serialNumber_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_warningMessageSegmentType_r9,
      { "warningMessageSegmentType-r9", "lte-rrc.warningMessageSegmentType_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_warningMessageSegmentType_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_warningMessageSegmentNumber_r9,
      { "warningMessageSegmentNumber-r9", "lte-rrc.warningMessageSegmentNumber_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_warningMessageSegment_r9,
      { "warningMessageSegment-r9", "lte-rrc.warningMessageSegment_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_warningMessageSegment_r9", HFILL }},
    { &hf_lte_rrc_dataCodingScheme_r9,
      { "dataCodingScheme-r9", "lte-rrc.dataCodingScheme_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbsfn_AreaInfoList_r9,
      { "mbsfn-AreaInfoList-r9", "lte-rrc.mbsfn_AreaInfoList_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_notificationConfig_r9,
      { "notificationConfig-r9", "lte-rrc.notificationConfig_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBMS_NotificationConfig_r9", HFILL }},
    { &hf_lte_rrc_notificationConfig_v1430,
      { "notificationConfig-v1430", "lte-rrc.notificationConfig_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBMS_NotificationConfig_v1430", HFILL }},
    { &hf_lte_rrc_eab_Param_r11,
      { "eab-Param-r11", "lte-rrc.eab_Param_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eab_Param_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eab_Common_r11,
      { "eab-Common-r11", "lte-rrc.eab_Common_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "EAB_Config_r11", HFILL }},
    { &hf_lte_rrc_eab_PerPLMN_List_r11,
      { "eab-PerPLMN-List-r11", "lte-rrc.eab_PerPLMN_List_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11", HFILL }},
    { &hf_lte_rrc_eab_PerPLMN_List_r11_item,
      { "EAB-ConfigPLMN-r11", "lte-rrc.EAB_ConfigPLMN_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eab_Config_r11,
      { "eab-Config-r11", "lte-rrc.eab_Config_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eab_Category_r11,
      { "eab-Category-r11", "lte-rrc.eab_Category_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_eab_category_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eab_BarringBitmap_r11,
      { "eab-BarringBitmap-r11", "lte-rrc.eab_BarringBitmap_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_mbms_SAI_IntraFreq_r11,
      { "mbms-SAI-IntraFreq-r11", "lte-rrc.mbms_SAI_IntraFreq_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBMS_SAI_List_r11", HFILL }},
    { &hf_lte_rrc_mbms_SAI_InterFreqList_r11,
      { "mbms-SAI-InterFreqList-r11", "lte-rrc.mbms_SAI_InterFreqList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_SAI_InterFreqList_v1140,
      { "mbms-SAI-InterFreqList-v1140", "lte-rrc.mbms_SAI_InterFreqList_v1140",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_IntraFreqCarrierType_r14,
      { "mbms-IntraFreqCarrierType-r14", "lte-rrc.mbms_IntraFreqCarrierType_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBMS_CarrierType_r14", HFILL }},
    { &hf_lte_rrc_mbms_InterFreqCarrierTypeList_r14,
      { "mbms-InterFreqCarrierTypeList-r14", "lte-rrc.mbms_InterFreqCarrierTypeList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MBMS_SAI_List_r11_item,
      { "MBMS-SAI-r11", "lte-rrc.MBMS_SAI_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MBMS_SAI_InterFreqList_r11_item,
      { "MBMS-SAI-InterFreq-r11", "lte-rrc.MBMS_SAI_InterFreq_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MBMS_SAI_InterFreqList_v1140_item,
      { "MBMS-SAI-InterFreq-v1140", "lte-rrc.MBMS_SAI_InterFreq_v1140_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_r11,
      { "dl-CarrierFreq-r11", "lte-rrc.dl_CarrierFreq_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_mbms_SAI_List_r11,
      { "mbms-SAI-List-r11", "lte-rrc.mbms_SAI_List_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r11,
      { "multiBandInfoList-r11", "lte-rrc.multiBandInfoList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MBMS_InterFreqCarrierTypeList_r14_item,
      { "MBMS-CarrierType-r14", "lte-rrc.MBMS_CarrierType_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierType_r14,
      { "carrierType-r14", "lte-rrc.carrierType_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_carrierType_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_frameOffset_r14,
      { "frameOffset-r14", "lte-rrc.frameOffset_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_timeInfo_r11,
      { "timeInfo-r11", "lte-rrc.timeInfo_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timeInfoUTC_r11,
      { "timeInfoUTC-r11", "lte-rrc.timeInfoUTC_r11",
        FT_UINT64, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dayLightSavingTime_r11,
      { "dayLightSavingTime-r11", "lte-rrc.dayLightSavingTime_r11",
        FT_UINT8, BASE_DEC, VALS(lte_rrc_daylightSavingTime_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_leapSeconds_r11,
      { "leapSeconds-r11", "lte-rrc.leapSeconds_r11",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "INTEGER_M127_128", HFILL }},
    { &hf_lte_rrc_localTimeOffset_r11,
      { "localTimeOffset-r11", "lte-rrc.localTimeOffset_r11",
        FT_INT32, BASE_CUSTOM, CF_FUNC(lte_rrc_localTimeOffset_fmt), 0,
        "INTEGER_M63_64", HFILL }},
    { &hf_lte_rrc_wlan_OffloadInfoPerPLMN_List_r12,
      { "wlan-OffloadInfoPerPLMN-List-r12", "lte-rrc.wlan_OffloadInfoPerPLMN_List_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12", HFILL }},
    { &hf_lte_rrc_wlan_OffloadInfoPerPLMN_List_r12_item,
      { "WLAN-OffloadInfoPerPLMN-r12", "lte-rrc.WLAN_OffloadInfoPerPLMN_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_OffloadConfigCommon_r12,
      { "wlan-OffloadConfigCommon-r12", "lte-rrc.wlan_OffloadConfigCommon_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLAN_OffloadConfig_r12", HFILL }},
    { &hf_lte_rrc_wlan_Id_List_r12,
      { "wlan-Id-List-r12", "lte-rrc.wlan_Id_List_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_WLAN_Id_List_r12_item,
      { "WLAN-Identifiers-r12", "lte-rrc.WLAN_Identifiers_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ssid_r12,
      { "ssid-r12", "lte-rrc.ssid_r12",
        FT_STRING, STR_ASCII, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bssid_r12,
      { "bssid-r12", "lte-rrc.bssid_r12",
        FT_ETHER, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_hessid_r12,
      { "hessid-r12", "lte-rrc.hessid_r12",
        FT_ETHER, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_commConfig_r12,
      { "commConfig-r12", "lte-rrc.commConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commRxPool_r12,
      { "commRxPool-r12", "lte-rrc.commRxPool_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommRxPoolList_r12", HFILL }},
    { &hf_lte_rrc_commTxPoolNormalCommon_r12,
      { "commTxPoolNormalCommon-r12", "lte-rrc.commTxPoolNormalCommon_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolList_r12", HFILL }},
    { &hf_lte_rrc_commTxPoolExceptional_r12,
      { "commTxPoolExceptional-r12", "lte-rrc.commTxPoolExceptional_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolList_r12", HFILL }},
    { &hf_lte_rrc_commSyncConfig_r12,
      { "commSyncConfig-r12", "lte-rrc.commSyncConfig_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_SyncConfigList_r12", HFILL }},
    { &hf_lte_rrc_commTxPoolNormalCommonExt_r13,
      { "commTxPoolNormalCommonExt-r13", "lte-rrc.commTxPoolNormalCommonExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolListExt_r13", HFILL }},
    { &hf_lte_rrc_commTxResourceUC_ReqAllowed_r13,
      { "commTxResourceUC-ReqAllowed-r13", "lte-rrc.commTxResourceUC_ReqAllowed_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_commTxResourceUC_ReqAllowed_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commTxAllowRelayCommon_r13,
      { "commTxAllowRelayCommon-r13", "lte-rrc.commTxAllowRelayCommon_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_commTxAllowRelayCommon_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discConfig_r12,
      { "discConfig-r12", "lte-rrc.discConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discRxPool_r12,
      { "discRxPool-r12", "lte-rrc.discRxPool_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscRxPoolList_r12", HFILL }},
    { &hf_lte_rrc_discTxPoolCommon_r12,
      { "discTxPoolCommon-r12", "lte-rrc.discTxPoolCommon_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxPoolList_r12", HFILL }},
    { &hf_lte_rrc_discTxPowerInfo_r12,
      { "discTxPowerInfo-r12", "lte-rrc.discTxPowerInfo_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxPowerInfoList_r12", HFILL }},
    { &hf_lte_rrc_discSyncConfig_r12,
      { "discSyncConfig-r12", "lte-rrc.discSyncConfig_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_SyncConfigList_r12", HFILL }},
    { &hf_lte_rrc_discInterFreqList_r12,
      { "discInterFreqList-r12", "lte-rrc.discInterFreqList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CarrierFreqInfoList_r12", HFILL }},
    { &hf_lte_rrc_discConfig_v1310,
      { "discConfig-v1310", "lte-rrc.discConfig_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discInterFreqList_v1310,
      { "discInterFreqList-v1310", "lte-rrc.discInterFreqList_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CarrierFreqInfoList_v1310", HFILL }},
    { &hf_lte_rrc_gapRequestsAllowedCommon,
      { "gapRequestsAllowedCommon", "lte-rrc.gapRequestsAllowedCommon",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gapRequestsAllowedCommon_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discConfigRelay_r13,
      { "discConfigRelay-r13", "lte-rrc.discConfigRelay_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_relayUE_Config_r13,
      { "relayUE-Config-r13", "lte-rrc.relayUE_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscConfigRelayUE_r13", HFILL }},
    { &hf_lte_rrc_remoteUE_Config_r13,
      { "remoteUE-Config-r13", "lte-rrc.remoteUE_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscConfigRemoteUE_r13", HFILL }},
    { &hf_lte_rrc_discConfigPS_13,
      { "discConfigPS-13", "lte-rrc.discConfigPS_13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discRxPoolPS_r13,
      { "discRxPoolPS-r13", "lte-rrc.discRxPoolPS_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscRxPoolList_r12", HFILL }},
    { &hf_lte_rrc_discTxPoolPS_Common_r13,
      { "discTxPoolPS-Common-r13", "lte-rrc.discTxPoolPS_Common_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxPoolList_r12", HFILL }},
    { &hf_lte_rrc_SL_CarrierFreqInfoList_r12_item,
      { "SL-CarrierFreqInfo-r12", "lte-rrc.SL_CarrierFreqInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_CarrierFreqInfoList_v1310_item,
      { "SL-CarrierFreqInfo-v1310", "lte-rrc.SL_CarrierFreqInfo_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_IdentityList_r12,
      { "plmn-IdentityList-r12", "lte-rrc.plmn_IdentityList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PLMN_IdentityList4_r12", HFILL }},
    { &hf_lte_rrc_threshHigh_r13,
      { "threshHigh-r13", "lte-rrc.threshHigh_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_RangeSL4_vals_ext, 0,
        "RSRP_RangeSL4_r13", HFILL }},
    { &hf_lte_rrc_threshLow_r13,
      { "threshLow-r13", "lte-rrc.threshLow_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_RangeSL4_vals_ext, 0,
        "RSRP_RangeSL4_r13", HFILL }},
    { &hf_lte_rrc_hystMax_r13,
      { "hystMax-r13", "lte-rrc.hystMax_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_hystMax_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_hystMin_r13,
      { "hystMin-r13", "lte-rrc.hystMin_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_hystMin_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_hystMax_r13_01,
      { "hystMax-r13", "lte-rrc.hystMax_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_hystMax_r13_01_vals), 0,
        "T_hystMax_r13_01", HFILL }},
    { &hf_lte_rrc_reselectionInfoIC_r13,
      { "reselectionInfoIC-r13", "lte-rrc.reselectionInfoIC_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ReselectionInfoRelay_r13", HFILL }},
    { &hf_lte_rrc_q_RxLevMin_r13,
      { "q-RxLevMin-r13", "lte-rrc.q_RxLevMin_r13",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_q_RxLevMin_vals_ext, 0,
        "Q_RxLevMin", HFILL }},
    { &hf_lte_rrc_filterCoefficient_r13,
      { "filterCoefficient-r13", "lte-rrc.filterCoefficient_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_minHyst_r13,
      { "minHyst-r13", "lte-rrc.minHyst_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_minHyst_r13_vals), 0,
        "T_minHyst_r13", HFILL }},
    { &hf_lte_rrc_discResourcesNonPS_r13,
      { "discResourcesNonPS-r13", "lte-rrc.discResourcesNonPS_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_ResourcesInterFreq_r13", HFILL }},
    { &hf_lte_rrc_discResourcesPS_r13,
      { "discResourcesPS-r13", "lte-rrc.discResourcesPS_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_ResourcesInterFreq_r13", HFILL }},
    { &hf_lte_rrc_discConfigOther_r13,
      { "discConfigOther-r13", "lte-rrc.discConfigOther_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscConfigOtherInterFreq_r13", HFILL }},
    { &hf_lte_rrc_PLMN_IdentityList4_r12_item,
      { "PLMN-IdentityInfo2-r12", "lte-rrc.PLMN_IdentityInfo2_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PLMN_IdentityInfo2_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_Index_r12,
      { "plmn-Index-r12", "lte-rrc.plmn_Index_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxPLMN_r11", HFILL }},
    { &hf_lte_rrc_plmnIdentity_r12,
      { "plmnIdentity-r12", "lte-rrc.plmnIdentity_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PLMN_Identity", HFILL }},
    { &hf_lte_rrc_acquireSI_FromCarrier_r13,
      { "acquireSI-FromCarrier-r13", "lte-rrc.acquireSI_FromCarrier_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discTxPoolCommon_r13,
      { "discTxPoolCommon-r13", "lte-rrc.discTxPoolCommon_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxPoolList_r12", HFILL }},
    { &hf_lte_rrc_requestDedicated_r13,
      { "requestDedicated-r13", "lte-rrc.requestDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_noTxOnCarrier_r13,
      { "noTxOnCarrier-r13", "lte-rrc.noTxOnCarrier_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_txPowerInfo_r13,
      { "txPowerInfo-r13", "lte-rrc.txPowerInfo_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxPowerInfoList_r12", HFILL }},
    { &hf_lte_rrc_refCarrierCommon_r13,
      { "refCarrierCommon-r13", "lte-rrc.refCarrierCommon_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_refCarrierCommon_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discSyncConfig_r13,
      { "discSyncConfig-r13", "lte-rrc.discSyncConfig_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_SyncConfigListNFreq_r13", HFILL }},
    { &hf_lte_rrc_discCellSelectionInfo_r13,
      { "discCellSelectionInfo-r13", "lte-rrc.discCellSelectionInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellSelectionInfoNFreq_r13", HFILL }},
    { &hf_lte_rrc_discRxResourcesInterFreq_r13,
      { "discRxResourcesInterFreq-r13", "lte-rrc.discRxResourcesInterFreq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscRxPoolList_r12", HFILL }},
    { &hf_lte_rrc_discTxResourcesInterFreq_r13,
      { "discTxResourcesInterFreq-r13", "lte-rrc.discTxResourcesInterFreq_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_DiscTxResourcesInterFreq_r13_vals), 0,
        "SL_DiscTxResourcesInterFreq_r13", HFILL }},
    { &hf_lte_rrc_sc_mcch_RepetitionPeriod_r13,
      { "sc-mcch-RepetitionPeriod-r13", "lte-rrc.sc_mcch_RepetitionPeriod_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_RepetitionPeriod_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mcch_Offset_r13,
      { "sc-mcch-Offset-r13", "lte-rrc.sc_mcch_Offset_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_10", HFILL }},
    { &hf_lte_rrc_sc_mcch_FirstSubframe_r13,
      { "sc-mcch-FirstSubframe-r13", "lte-rrc.sc_mcch_FirstSubframe_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_9", HFILL }},
    { &hf_lte_rrc_sc_mcch_duration_r13,
      { "sc-mcch-duration-r13", "lte-rrc.sc_mcch_duration_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_9", HFILL }},
    { &hf_lte_rrc_sc_mcch_ModificationPeriod_r13,
      { "sc-mcch-ModificationPeriod-r13", "lte-rrc.sc_mcch_ModificationPeriod_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_ModificationPeriod_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_br_BCCH_Config_r14,
      { "br-BCCH-Config-r14", "lte-rrc.br_BCCH_Config_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mcch_RepetitionPeriod_v1430,
      { "sc-mcch-RepetitionPeriod-v1430", "lte-rrc.sc_mcch_RepetitionPeriod_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_RepetitionPeriod_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mcch_ModificationPeriod_v1430,
      { "sc-mcch-ModificationPeriod-v1430", "lte-rrc.sc_mcch_ModificationPeriod_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_ModificationPeriod_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_Narrowband_SC_MCCH_r14,
      { "mpdcch-Narrowband-SC-MCCH-r14", "lte-rrc.mpdcch_Narrowband_SC_MCCH_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_mpdcch_NumRepetition_SC_MCCH_r14,
      { "mpdcch-NumRepetition-SC-MCCH-r14", "lte-rrc.mpdcch_NumRepetition_SC_MCCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_NumRepetition_SC_MCCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_StartSF_SC_MCCH_r14,
      { "mpdcch-StartSF-SC-MCCH-r14", "lte-rrc.mpdcch_StartSF_SC_MCCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_StartSF_SC_MCCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_r14,
      { "fdd-r14", "lte-rrc.fdd_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fdd_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_r14,
      { "tdd-r14", "lte-rrc.tdd_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14,
      { "mpdcch-PDSCH-HoppingConfig-SC-MCCH-r14", "lte-rrc.mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_PDSCH_HoppingConfig_SC_MCCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mcch_CarrierFreq_r14,
      { "sc-mcch-CarrierFreq-r14", "lte-rrc.sc_mcch_CarrierFreq_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_sc_mcch_Offset_BR_r14,
      { "sc-mcch-Offset-BR-r14", "lte-rrc.sc_mcch_Offset_BR_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_10", HFILL }},
    { &hf_lte_rrc_sc_mcch_RepetitionPeriod_BR_r14,
      { "sc-mcch-RepetitionPeriod-BR-r14", "lte-rrc.sc_mcch_RepetitionPeriod_BR_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_RepetitionPeriod_BR_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mcch_ModificationPeriod_BR_r14,
      { "sc-mcch-ModificationPeriod-BR-r14", "lte-rrc.sc_mcch_ModificationPeriod_BR_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_ModificationPeriod_BR_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mcch_SchedulingInfo_r14,
      { "sc-mcch-SchedulingInfo-r14", "lte-rrc.sc_mcch_SchedulingInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14,
      { "pdsch-maxNumRepetitionCEmodeA-SC-MTCH-r14", "lte-rrc.pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdsch_maxNumRepetitionCEmodeA_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14,
      { "pdsch-maxNumRepetitionCEmodeB-SC-MTCH-r14", "lte-rrc.pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdsch_maxNumRepetitionCEmodeB_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_onDurationTimerSCPTM_r14,
      { "onDurationTimerSCPTM-r14", "lte-rrc.onDurationTimerSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_onDurationTimerSCPTM_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_InactivityTimerSCPTM_r14,
      { "drx-InactivityTimerSCPTM-r14", "lte-rrc.drx_InactivityTimerSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_InactivityTimerSCPTM_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14,
      { "schedulingPeriodStartOffsetSCPTM-r14", "lte-rrc.schedulingPeriodStartOffsetSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf10,
      { "sf10", "lte-rrc.sf10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_9", HFILL }},
    { &hf_lte_rrc_sf20,
      { "sf20", "lte-rrc.sf20",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_19", HFILL }},
    { &hf_lte_rrc_sf32,
      { "sf32", "lte-rrc.sf32",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_sf40,
      { "sf40", "lte-rrc.sf40",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_39", HFILL }},
    { &hf_lte_rrc_sf64,
      { "sf64", "lte-rrc.sf64",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_sf80,
      { "sf80", "lte-rrc.sf80",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_79", HFILL }},
    { &hf_lte_rrc_sf128,
      { "sf128", "lte-rrc.sf128",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_127", HFILL }},
    { &hf_lte_rrc_sf160,
      { "sf160", "lte-rrc.sf160",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_159", HFILL }},
    { &hf_lte_rrc_sf256,
      { "sf256", "lte-rrc.sf256",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_255", HFILL }},
    { &hf_lte_rrc_sf320,
      { "sf320", "lte-rrc.sf320",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_319", HFILL }},
    { &hf_lte_rrc_sf512,
      { "sf512", "lte-rrc.sf512",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_511", HFILL }},
    { &hf_lte_rrc_sf640,
      { "sf640", "lte-rrc.sf640",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_639", HFILL }},
    { &hf_lte_rrc_sf1024,
      { "sf1024", "lte-rrc.sf1024",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_sf2048,
      { "sf2048", "lte-rrc.sf2048",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_sf4096,
      { "sf4096", "lte-rrc.sf4096",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_4095", HFILL }},
    { &hf_lte_rrc_sf8192,
      { "sf8192", "lte-rrc.sf8192",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_8191", HFILL }},
    { &hf_lte_rrc_sl_V2X_ConfigCommon_r14,
      { "sl-V2X-ConfigCommon-r14", "lte-rrc.sl_V2X_ConfigCommon_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_CommRxPool_r14,
      { "v2x-CommRxPool-r14", "lte-rrc.v2x_CommRxPool_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommRxPoolListV2X_r14", HFILL }},
    { &hf_lte_rrc_v2x_CommTxPoolNormalCommon_r14,
      { "v2x-CommTxPoolNormalCommon-r14", "lte-rrc.v2x_CommTxPoolNormalCommon_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolListV2X_r14", HFILL }},
    { &hf_lte_rrc_p2x_CommTxPoolNormalCommon_r14,
      { "p2x-CommTxPoolNormalCommon-r14", "lte-rrc.p2x_CommTxPoolNormalCommon_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolListV2X_r14", HFILL }},
    { &hf_lte_rrc_v2x_CommTxPoolExceptional_r14,
      { "v2x-CommTxPoolExceptional-r14", "lte-rrc.v2x_CommTxPoolExceptional_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommResourcePoolV2X_r14", HFILL }},
    { &hf_lte_rrc_v2x_SyncConfig_r14,
      { "v2x-SyncConfig-r14", "lte-rrc.v2x_SyncConfig_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_SyncConfigListV2X_r14", HFILL }},
    { &hf_lte_rrc_v2x_InterFreqInfoList_r14,
      { "v2x-InterFreqInfoList-r14", "lte-rrc.v2x_InterFreqInfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_InterFreqInfoListV2X_r14", HFILL }},
    { &hf_lte_rrc_v2x_ResourceSelectionConfig_r14,
      { "v2x-ResourceSelectionConfig-r14", "lte-rrc.v2x_ResourceSelectionConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommTxPoolSensingConfig_r14", HFILL }},
    { &hf_lte_rrc_zoneConfig_r14,
      { "zoneConfig-r14", "lte-rrc.zoneConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_ZoneConfig_r14", HFILL }},
    { &hf_lte_rrc_typeTxSync_r14,
      { "typeTxSync-r14", "lte-rrc.typeTxSync_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_TypeTxSync_r14_vals), 0,
        "SL_TypeTxSync_r14", HFILL }},
    { &hf_lte_rrc_thresSL_TxPrioritization_r14,
      { "thresSL-TxPrioritization-r14", "lte-rrc.thresSL_TxPrioritization_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_Priority_r13", HFILL }},
    { &hf_lte_rrc_anchorCarrierFreqList_r14,
      { "anchorCarrierFreqList-r14", "lte-rrc.anchorCarrierFreqList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_AnchorCarrierFreqList_V2X_r14", HFILL }},
    { &hf_lte_rrc_offsetDFN_r14,
      { "offsetDFN-r14", "lte-rrc.offsetDFN_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_offsetDFN_r14_fmt), 0,
        "INTEGER_0_1000", HFILL }},
    { &hf_lte_rrc_cbr_CommonTxConfigList_r14,
      { "cbr-CommonTxConfigList-r14", "lte-rrc.cbr_CommonTxConfigList_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CBR_CommonTxConfigList_r14", HFILL }},
    { &hf_lte_rrc_antennaPortsCount,
      { "antennaPortsCount", "lte-rrc.antennaPortsCount",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_antennaPortsCount_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionMode,
      { "transmissionMode", "lte-rrc.transmissionMode",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_transmissionMode_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookSubsetRestriction,
      { "codebookSubsetRestriction", "lte-rrc.codebookSubsetRestriction",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebookSubsetRestriction_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n2TxAntenna_tm3,
      { "n2TxAntenna-tm3", "lte-rrc.n2TxAntenna_tm3",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_2", HFILL }},
    { &hf_lte_rrc_n4TxAntenna_tm3,
      { "n4TxAntenna-tm3", "lte-rrc.n4TxAntenna_tm3",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_4", HFILL }},
    { &hf_lte_rrc_n2TxAntenna_tm4,
      { "n2TxAntenna-tm4", "lte-rrc.n2TxAntenna_tm4",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_n4TxAntenna_tm4,
      { "n4TxAntenna-tm4", "lte-rrc.n4TxAntenna_tm4",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_64", HFILL }},
    { &hf_lte_rrc_n2TxAntenna_tm5,
      { "n2TxAntenna-tm5", "lte-rrc.n2TxAntenna_tm5",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_4", HFILL }},
    { &hf_lte_rrc_n4TxAntenna_tm5,
      { "n4TxAntenna-tm5", "lte-rrc.n4TxAntenna_tm5",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_n2TxAntenna_tm6,
      { "n2TxAntenna-tm6", "lte-rrc.n2TxAntenna_tm6",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_4", HFILL }},
    { &hf_lte_rrc_n4TxAntenna_tm6,
      { "n4TxAntenna-tm6", "lte-rrc.n4TxAntenna_tm6",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_ue_TransmitAntennaSelection,
      { "ue-TransmitAntennaSelection", "lte-rrc.ue_TransmitAntennaSelection",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_TransmitAntennaSelection_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_03,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_03_vals), 0,
        "T_setup_03", HFILL }},
    { &hf_lte_rrc_codebookSubsetRestriction_v920,
      { "codebookSubsetRestriction-v920", "lte-rrc.codebookSubsetRestriction_v920",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebookSubsetRestriction_v920_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n2TxAntenna_tm8_r9,
      { "n2TxAntenna-tm8-r9", "lte-rrc.n2TxAntenna_tm8_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_n4TxAntenna_tm8_r9,
      { "n4TxAntenna-tm8-r9", "lte-rrc.n4TxAntenna_tm8_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_transmissionMode_r10,
      { "transmissionMode-r10", "lte-rrc.transmissionMode_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_transmissionMode_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookSubsetRestriction_r10,
      { "codebookSubsetRestriction-r10", "lte-rrc.codebookSubsetRestriction_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING", HFILL }},
    { &hf_lte_rrc_ue_TransmitAntennaSelection_01,
      { "ue-TransmitAntennaSelection", "lte-rrc.ue_TransmitAntennaSelection",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_TransmitAntennaSelection_01_vals), 0,
        "T_ue_TransmitAntennaSelection_01", HFILL }},
    { &hf_lte_rrc_setup_04,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_04_vals), 0,
        "T_setup_04", HFILL }},
    { &hf_lte_rrc_maxLayersMIMO_r10,
      { "maxLayersMIMO-r10", "lte-rrc.maxLayersMIMO_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxLayersMIMO_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_alternativeCodebookEnabledFor4TX_r12,
      { "alternativeCodebookEnabledFor4TX-r12", "lte-rrc.alternativeCodebookEnabledFor4TX_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ce_UE_TxAntennaSelection_config_r14,
      { "ce-UE-TxAntennaSelection-config-r14", "lte-rrc.ce_UE_TxAntennaSelection_config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_UE_TxAntennaSelection_config_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeUL_r10,
      { "transmissionModeUL-r10", "lte-rrc.transmissionModeUL_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_transmissionModeUL_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fourAntennaPortActivated_r10,
      { "fourAntennaPortActivated-r10", "lte-rrc.fourAntennaPortActivated_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fourAntennaPortActivated_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_05,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_05", HFILL }},
    { &hf_lte_rrc_cqi_ReportModeAperiodic_r10,
      { "cqi-ReportModeAperiodic-r10", "lte-rrc.cqi_ReportModeAperiodic_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportModeAperiodic_vals), 0,
        "CQI_ReportModeAperiodic", HFILL }},
    { &hf_lte_rrc_aperiodicCSI_Trigger_r10,
      { "aperiodicCSI-Trigger-r10", "lte-rrc.aperiodicCSI_Trigger_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trigger1_r10,
      { "trigger1-r10", "lte-rrc.trigger1_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_trigger2_r10,
      { "trigger2-r10", "lte-rrc.trigger2_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_setup_06,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_06", HFILL }},
    { &hf_lte_rrc_aperiodicCSI_Trigger_v1250,
      { "aperiodicCSI-Trigger-v1250", "lte-rrc.aperiodicCSI_Trigger_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trigger_SubframeSetIndicator_r12,
      { "trigger-SubframeSetIndicator-r12", "lte-rrc.trigger_SubframeSetIndicator_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_trigger_SubframeSetIndicator_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trigger1_SubframeSetIndicator_r12,
      { "trigger1-SubframeSetIndicator-r12", "lte-rrc.trigger1_SubframeSetIndicator_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_trigger2_SubframeSetIndicator_r12,
      { "trigger2-SubframeSetIndicator-r12", "lte-rrc.trigger2_SubframeSetIndicator_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_setup_07,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_07", HFILL }},
    { &hf_lte_rrc_aperiodicCSI_Trigger_v1310,
      { "aperiodicCSI-Trigger-v1310", "lte-rrc.aperiodicCSI_Trigger_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trigger1_r13,
      { "trigger1-r13", "lte-rrc.trigger1_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger2_r13,
      { "trigger2-r13", "lte-rrc.trigger2_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger3_r13,
      { "trigger3-r13", "lte-rrc.trigger3_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger4_r13,
      { "trigger4-r13", "lte-rrc.trigger4_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger5_r13,
      { "trigger5-r13", "lte-rrc.trigger5_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger6_r13,
      { "trigger6-r13", "lte-rrc.trigger6_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_aperiodicCSI_Trigger2_r13,
      { "aperiodicCSI-Trigger2-r13", "lte-rrc.aperiodicCSI_Trigger2_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_aperiodicCSI_Trigger2_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_08,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_08", HFILL }},
    { &hf_lte_rrc_trigger1_SubframeSetIndicator_r13,
      { "trigger1-SubframeSetIndicator-r13", "lte-rrc.trigger1_SubframeSetIndicator_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger2_SubframeSetIndicator_r13,
      { "trigger2-SubframeSetIndicator-r13", "lte-rrc.trigger2_SubframeSetIndicator_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger3_SubframeSetIndicator_r13,
      { "trigger3-SubframeSetIndicator-r13", "lte-rrc.trigger3_SubframeSetIndicator_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger4_SubframeSetIndicator_r13,
      { "trigger4-SubframeSetIndicator-r13", "lte-rrc.trigger4_SubframeSetIndicator_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger5_SubframeSetIndicator_r13,
      { "trigger5-SubframeSetIndicator-r13", "lte-rrc.trigger5_SubframeSetIndicator_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger6_SubframeSetIndicator_r13,
      { "trigger6-SubframeSetIndicator-r13", "lte-rrc.trigger6_SubframeSetIndicator_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_cqi_ReportModeAperiodic_r11,
      { "cqi-ReportModeAperiodic-r11", "lte-rrc.cqi_ReportModeAperiodic_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportModeAperiodic_vals), 0,
        "CQI_ReportModeAperiodic", HFILL }},
    { &hf_lte_rrc_trigger01_r11,
      { "trigger01-r11", "lte-rrc.trigger01_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger10_r11,
      { "trigger10-r11", "lte-rrc.trigger10_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger11_r11,
      { "trigger11-r11", "lte-rrc.trigger11_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger001_r13,
      { "trigger001-r13", "lte-rrc.trigger001_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger010_r13,
      { "trigger010-r13", "lte-rrc.trigger010_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger011_r13,
      { "trigger011-r13", "lte-rrc.trigger011_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger100_r13,
      { "trigger100-r13", "lte-rrc.trigger100_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger101_r13,
      { "trigger101-r13", "lte-rrc.trigger101_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger110_r13,
      { "trigger110-r13", "lte-rrc.trigger110_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_trigger111_r13,
      { "trigger111-r13", "lte-rrc.trigger111_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_triggers_r14,
      { "triggers-r14", "lte-rrc.triggers_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_triggers_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_oneBit_r14,
      { "oneBit-r14", "lte-rrc.oneBit_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_oneBit_r14", HFILL }},
    { &hf_lte_rrc_trigger1_Indicator_r14,
      { "trigger1-Indicator-r14", "lte-rrc.trigger1_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_twoBit_r14,
      { "twoBit-r14", "lte-rrc.twoBit_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_twoBit_r14", HFILL }},
    { &hf_lte_rrc_trigger01_Indicator_r14,
      { "trigger01-Indicator-r14", "lte-rrc.trigger01_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_trigger10_Indicator_r14,
      { "trigger10-Indicator-r14", "lte-rrc.trigger10_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_trigger11_Indicator_r14,
      { "trigger11-Indicator-r14", "lte-rrc.trigger11_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_threeBit_r14,
      { "threeBit-r14", "lte-rrc.threeBit_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_threeBit_r14", HFILL }},
    { &hf_lte_rrc_trigger001_Indicator_r14,
      { "trigger001-Indicator-r14", "lte-rrc.trigger001_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger010_Indicator_r14,
      { "trigger010-Indicator-r14", "lte-rrc.trigger010_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger011_Indicator_r14,
      { "trigger011-Indicator-r14", "lte-rrc.trigger011_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger100_Indicator_r14,
      { "trigger100-Indicator-r14", "lte-rrc.trigger100_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger101_Indicator_r14,
      { "trigger101-Indicator-r14", "lte-rrc.trigger101_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger110_Indicator_r14,
      { "trigger110-Indicator-r14", "lte-rrc.trigger110_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_trigger111_Indicator_r14,
      { "trigger111-Indicator-r14", "lte-rrc.trigger111_Indicator_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigToReleaseList_r11,
      { "csi-IM-ConfigToReleaseList-r11", "lte-rrc.csi_IM_ConfigToReleaseList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigToAddModList_r11,
      { "csi-IM-ConfigToAddModList-r11", "lte-rrc.csi_IM_ConfigToAddModList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_ProcessToReleaseList_r11,
      { "csi-ProcessToReleaseList-r11", "lte-rrc.csi_ProcessToReleaseList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_ProcessToAddModList_r11,
      { "csi-ProcessToAddModList-r11", "lte-rrc.csi_ProcessToAddModList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigToReleaseListExt_r12,
      { "csi-IM-ConfigToReleaseListExt-r12", "lte-rrc.csi_IM_ConfigToReleaseListExt_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CSI_IM_ConfigId_v1250", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigToAddModListExt_r12,
      { "csi-IM-ConfigToAddModListExt-r12", "lte-rrc.csi_IM_ConfigToAddModListExt_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_IM_ConfigExt_r12", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigToReleaseListExt_r13,
      { "csi-IM-ConfigToReleaseListExt-r13", "lte-rrc.csi_IM_ConfigToReleaseListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigToAddModListExt_r13,
      { "csi-IM-ConfigToAddModListExt-r13", "lte-rrc.csi_IM_ConfigToAddModListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_IM_ConfigToAddModList_r11_item,
      { "CSI-IM-Config-r11", "lte-rrc.CSI_IM_Config_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_IM_ConfigToAddModListExt_r13_item,
      { "CSI-IM-ConfigExt-r12", "lte-rrc.CSI_IM_ConfigExt_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_IM_ConfigToReleaseList_r11_item,
      { "CSI-IM-ConfigId-r11", "lte-rrc.CSI_IM_ConfigId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_IM_ConfigToReleaseListExt_r13_item,
      { "CSI-IM-ConfigId-v1310", "lte-rrc.CSI_IM_ConfigId_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_ProcessToAddModList_r11_item,
      { "CSI-Process-r11", "lte-rrc.CSI_Process_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_ProcessToReleaseList_r11_item,
      { "CSI-ProcessId-r11", "lte-rrc.CSI_ProcessId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ri_Ref_CSI_ProcessId_r11,
      { "ri-Ref-CSI-ProcessId-r11", "lte-rrc.ri_Ref_CSI_ProcessId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CSI_ProcessId_r11", HFILL }},
    { &hf_lte_rrc_pmi_RI_Report_r11,
      { "pmi-RI-Report-r11", "lte-rrc.pmi_RI_Report_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pmi_RI_Report_r11_vals), 0,
        "T_pmi_RI_Report_r11", HFILL }},
    { &hf_lte_rrc_cqi_ReportModeAperiodic,
      { "cqi-ReportModeAperiodic", "lte-rrc.cqi_ReportModeAperiodic",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportModeAperiodic_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nomPDSCH_RS_EPRE_Offset,
      { "nomPDSCH-RS-EPRE-Offset", "lte-rrc.nomPDSCH_RS_EPRE_Offset",
        FT_INT32, BASE_DEC, VALS(lte_rrc_nomPDSCH_RS_EPRE_Offset_vals), 0,
        "INTEGER_M1_6", HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodic,
      { "cqi-ReportPeriodic", "lte-rrc.cqi_ReportPeriodic",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportPeriodic_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_Mask_r9,
      { "cqi-Mask-r9", "lte-rrc.cqi_Mask_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cqi_Mask_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pmi_RI_Report_r9,
      { "pmi-RI-Report-r9", "lte-rrc.pmi_RI_Report_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pmi_RI_Report_r9_vals), 0,
        "T_pmi_RI_Report_r9", HFILL }},
    { &hf_lte_rrc_cqi_ReportAperiodic_r10,
      { "cqi-ReportAperiodic-r10", "lte-rrc.cqi_ReportAperiodic_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportAperiodic_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodic_r10,
      { "cqi-ReportPeriodic-r10", "lte-rrc.cqi_ReportPeriodic_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportPeriodic_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pmi_RI_Report_r9_01,
      { "pmi-RI-Report-r9", "lte-rrc.pmi_RI_Report_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pmi_RI_Report_r9_01_vals), 0,
        "T_pmi_RI_Report_r9_01", HFILL }},
    { &hf_lte_rrc_csi_SubframePatternConfig_r10,
      { "csi-SubframePatternConfig-r10", "lte-rrc.csi_SubframePatternConfig_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_SubframePatternConfig_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_09,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_09", HFILL }},
    { &hf_lte_rrc_csi_MeasSubframeSet1_r10,
      { "csi-MeasSubframeSet1-r10", "lte-rrc.csi_MeasSubframeSet1_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasSubframePattern_r10_vals), 0,
        "MeasSubframePattern_r10", HFILL }},
    { &hf_lte_rrc_csi_MeasSubframeSet2_r10,
      { "csi-MeasSubframeSet2-r10", "lte-rrc.csi_MeasSubframeSet2_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasSubframePattern_r10_vals), 0,
        "MeasSubframePattern_r10", HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodic_v1130,
      { "cqi-ReportPeriodic-v1130", "lte-rrc.cqi_ReportPeriodic_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportBoth_r11,
      { "cqi-ReportBoth-r11", "lte-rrc.cqi_ReportBoth_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_SubframePatternConfig_r12,
      { "csi-SubframePatternConfig-r12", "lte-rrc.csi_SubframePatternConfig_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_SubframePatternConfig_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_10,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_10", HFILL }},
    { &hf_lte_rrc_csi_MeasSubframeSets_r12,
      { "csi-MeasSubframeSets-r12", "lte-rrc.csi_MeasSubframeSets_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_cqi_ReportBoth_v1250,
      { "cqi-ReportBoth-v1250", "lte-rrc.cqi_ReportBoth_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportAperiodic_v1250,
      { "cqi-ReportAperiodic-v1250", "lte-rrc.cqi_ReportAperiodic_v1250",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportAperiodic_v1250_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_altCQI_Table_r12,
      { "altCQI-Table-r12", "lte-rrc.altCQI_Table_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_altCQI_Table_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportBoth_v1310,
      { "cqi-ReportBoth-v1310", "lte-rrc.cqi_ReportBoth_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportAperiodic_v1310,
      { "cqi-ReportAperiodic-v1310", "lte-rrc.cqi_ReportAperiodic_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportAperiodic_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodic_v1310,
      { "cqi-ReportPeriodic-v1310", "lte-rrc.cqi_ReportPeriodic_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodic_v1320,
      { "cqi-ReportPeriodic-v1320", "lte-rrc.cqi_ReportPeriodic_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportAperiodicHybrid_r14,
      { "cqi-ReportAperiodicHybrid-r14", "lte-rrc.cqi_ReportAperiodicHybrid_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nomPDSCH_RS_EPRE_Offset_r10,
      { "nomPDSCH-RS-EPRE-Offset-r10", "lte-rrc.nomPDSCH_RS_EPRE_Offset_r10",
        FT_INT32, BASE_DEC, VALS(lte_rrc_nomPDSCH_RS_EPRE_Offset_vals), 0,
        "INTEGER_M1_6", HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodicSCell_r10,
      { "cqi-ReportPeriodicSCell-r10", "lte-rrc.cqi_ReportPeriodicSCell_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CQI_ReportPeriodic_r10_vals), 0,
        "CQI_ReportPeriodic_r10", HFILL }},
    { &hf_lte_rrc_pmi_RI_Report_r10,
      { "pmi-RI-Report-r10", "lte-rrc.pmi_RI_Report_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pmi_RI_Report_r10_vals), 0,
        "T_pmi_RI_Report_r10", HFILL }},
    { &hf_lte_rrc_setup_11,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_11", HFILL }},
    { &hf_lte_rrc_cqi_PUCCH_ResourceIndex,
      { "cqi-PUCCH-ResourceIndex", "lte-rrc.cqi_PUCCH_ResourceIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1185", HFILL }},
    { &hf_lte_rrc_cqi_pmi_ConfigIndex,
      { "cqi-pmi-ConfigIndex", "lte-rrc.cqi_pmi_ConfigIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_cqi_FormatIndicatorPeriodic,
      { "cqi-FormatIndicatorPeriodic", "lte-rrc.cqi_FormatIndicatorPeriodic",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cqi_FormatIndicatorPeriodic_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_widebandCQI,
      { "widebandCQI", "lte-rrc.widebandCQI_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subbandCQI,
      { "subbandCQI", "lte-rrc.subbandCQI_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_k,
      { "k", "lte-rrc.k",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_ri_ConfigIndex,
      { "ri-ConfigIndex", "lte-rrc.ri_ConfigIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_simultaneousAckNackAndCQI,
      { "simultaneousAckNackAndCQI", "lte-rrc.simultaneousAckNackAndCQI",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_setup_12,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_12", HFILL }},
    { &hf_lte_rrc_cqi_PUCCH_ResourceIndex_r10,
      { "cqi-PUCCH-ResourceIndex-r10", "lte-rrc.cqi_PUCCH_ResourceIndex_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1184", HFILL }},
    { &hf_lte_rrc_cqi_PUCCH_ResourceIndexP1_r10,
      { "cqi-PUCCH-ResourceIndexP1-r10", "lte-rrc.cqi_PUCCH_ResourceIndexP1_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1184", HFILL }},
    { &hf_lte_rrc_cqi_FormatIndicatorPeriodic_r10,
      { "cqi-FormatIndicatorPeriodic-r10", "lte-rrc.cqi_FormatIndicatorPeriodic_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cqi_FormatIndicatorPeriodic_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_widebandCQI_r10,
      { "widebandCQI-r10", "lte-rrc.widebandCQI_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_ReportMode_r10,
      { "csi-ReportMode-r10", "lte-rrc.csi_ReportMode_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_ReportMode_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subbandCQI_r10,
      { "subbandCQI-r10", "lte-rrc.subbandCQI_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_periodicityFactor_r10,
      { "periodicityFactor-r10", "lte-rrc.periodicityFactor_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_periodicityFactor_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_Mask_r9_01,
      { "cqi-Mask-r9", "lte-rrc.cqi_Mask_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cqi_Mask_r9_01_vals), 0,
        "T_cqi_Mask_r9_01", HFILL }},
    { &hf_lte_rrc_csi_ConfigIndex_r10,
      { "csi-ConfigIndex-r10", "lte-rrc.csi_ConfigIndex_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_ConfigIndex_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_13,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_13", HFILL }},
    { &hf_lte_rrc_cqi_pmi_ConfigIndex2_r10,
      { "cqi-pmi-ConfigIndex2-r10", "lte-rrc.cqi_pmi_ConfigIndex2_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_ri_ConfigIndex2_r10,
      { "ri-ConfigIndex2-r10", "lte-rrc.ri_ConfigIndex2_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_simultaneousAckNackAndCQI_Format3_r11,
      { "simultaneousAckNackAndCQI-Format3-r11", "lte-rrc.simultaneousAckNackAndCQI_Format3_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_simultaneousAckNackAndCQI_Format3_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodicProcExtToReleaseList_r11,
      { "cqi-ReportPeriodicProcExtToReleaseList-r11", "lte-rrc.cqi_ReportPeriodicProcExtToReleaseList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodicProcExtToAddModList_r11,
      { "cqi-ReportPeriodicProcExtToAddModList-r11", "lte-rrc.cqi_ReportPeriodicProcExtToAddModList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cri_ReportConfig_r13,
      { "cri-ReportConfig-r13", "lte-rrc.cri_ReportConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CRI_ReportConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_simultaneousAckNackAndCQI_Format4_Format5_r13,
      { "simultaneousAckNackAndCQI-Format4-Format5-r13", "lte-rrc.simultaneousAckNackAndCQI_Format4_Format5_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_simultaneousAckNackAndCQI_Format4_Format5_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_periodicityFactorWB_r13,
      { "periodicityFactorWB-r13", "lte-rrc.periodicityFactorWB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_periodicityFactorWB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CQI_ReportPeriodicProcExtToAddModList_r11_item,
      { "CQI-ReportPeriodicProcExt-r11", "lte-rrc.CQI_ReportPeriodicProcExt_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CQI_ReportPeriodicProcExtToReleaseList_r11_item,
      { "CQI-ReportPeriodicProcExtId-r11", "lte-rrc.CQI_ReportPeriodicProcExtId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodicProcExtId_r11,
      { "cqi-ReportPeriodicProcExtId-r11", "lte-rrc.cqi_ReportPeriodicProcExtId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_pmi_ConfigIndex_r11,
      { "cqi-pmi-ConfigIndex-r11", "lte-rrc.cqi_pmi_ConfigIndex_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_cqi_FormatIndicatorPeriodic_r11,
      { "cqi-FormatIndicatorPeriodic-r11", "lte-rrc.cqi_FormatIndicatorPeriodic_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cqi_FormatIndicatorPeriodic_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_widebandCQI_r11,
      { "widebandCQI-r11", "lte-rrc.widebandCQI_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_ReportMode_r11,
      { "csi-ReportMode-r11", "lte-rrc.csi_ReportMode_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_ReportMode_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subbandCQI_r11,
      { "subbandCQI-r11", "lte-rrc.subbandCQI_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_periodicityFactor_r11,
      { "periodicityFactor-r11", "lte-rrc.periodicityFactor_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_periodicityFactor_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ri_ConfigIndex_r11,
      { "ri-ConfigIndex-r11", "lte-rrc.ri_ConfigIndex_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_csi_ConfigIndex_r11,
      { "csi-ConfigIndex-r11", "lte-rrc.csi_ConfigIndex_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_ConfigIndex_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_14,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_14", HFILL }},
    { &hf_lte_rrc_cqi_pmi_ConfigIndex2_r11,
      { "cqi-pmi-ConfigIndex2-r11", "lte-rrc.cqi_pmi_ConfigIndex2_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_ri_ConfigIndex2_r11,
      { "ri-ConfigIndex2-r11", "lte-rrc.ri_ConfigIndex2_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_periodicityFactorWB_r13_01,
      { "periodicityFactorWB-r13", "lte-rrc.periodicityFactorWB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_periodicityFactorWB_r13_01_vals), 0,
        "T_periodicityFactorWB_r13_01", HFILL }},
    { &hf_lte_rrc_setup_15,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_15", HFILL }},
    { &hf_lte_rrc_cri_ConfigIndex_r13,
      { "cri-ConfigIndex-r13", "lte-rrc.cri_ConfigIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cri_ConfigIndex2_r13,
      { "cri-ConfigIndex2-r13", "lte-rrc.cri_ConfigIndex2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CRI_ConfigIndex_r13", HFILL }},
    { &hf_lte_rrc_schedulingCellInfo_r10,
      { "schedulingCellInfo-r10", "lte-rrc.schedulingCellInfo_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_schedulingCellInfo_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_own_r10,
      { "own-r10", "lte-rrc.own_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cif_Presence_r10,
      { "cif-Presence-r10", "lte-rrc.cif_Presence_r10",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_other_r10,
      { "other-r10", "lte-rrc.other_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_schedulingCellId_r10,
      { "schedulingCellId-r10", "lte-rrc.schedulingCellId_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ServCellIndex_r10", HFILL }},
    { &hf_lte_rrc_pdsch_Start_r10,
      { "pdsch-Start-r10", "lte-rrc.pdsch_Start_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_schedulingCellInfo_r13,
      { "schedulingCellInfo-r13", "lte-rrc.schedulingCellInfo_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_schedulingCellInfo_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_own_r13,
      { "own-r13", "lte-rrc.own_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cif_Presence_r13,
      { "cif-Presence-r13", "lte-rrc.cif_Presence_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_other_r13,
      { "other-r13", "lte-rrc.other_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_schedulingCellId_r13,
      { "schedulingCellId-r13", "lte-rrc.schedulingCellId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ServCellIndex_r13", HFILL }},
    { &hf_lte_rrc_pdsch_Start_r13,
      { "pdsch-Start-r13", "lte-rrc.pdsch_Start_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_cif_InSchedulingCell_r13,
      { "cif-InSchedulingCell-r13", "lte-rrc.cif_InSchedulingCell_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_7", HFILL }},
    { &hf_lte_rrc_schedulingCellId_r14,
      { "schedulingCellId-r14", "lte-rrc.schedulingCellId_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ServCellIndex_r13", HFILL }},
    { &hf_lte_rrc_cif_InSchedulingCell_r14,
      { "cif-InSchedulingCell-r14", "lte-rrc.cif_InSchedulingCell_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_7", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigId_r11,
      { "csi-IM-ConfigId-r11", "lte-rrc.csi_IM_ConfigId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resourceConfig_r11,
      { "resourceConfig-r11", "lte-rrc.resourceConfig_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_subframeConfig_r11,
      { "subframeConfig-r11", "lte-rrc.subframeConfig_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_154", HFILL }},
    { &hf_lte_rrc_interferenceMeasRestriction_r13,
      { "interferenceMeasRestriction-r13", "lte-rrc.interferenceMeasRestriction_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigId_v1250,
      { "csi-IM-ConfigId-v1250", "lte-rrc.csi_IM_ConfigId_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resourceConfig_r12,
      { "resourceConfig-r12", "lte-rrc.resourceConfig_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_subframeConfig_r12,
      { "subframeConfig-r12", "lte-rrc.subframeConfig_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_154", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigId_v1310,
      { "csi-IM-ConfigId-v1310", "lte-rrc.csi_IM_ConfigId_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_ProcessId_r11,
      { "csi-ProcessId-r11", "lte-rrc.csi_ProcessId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPId_r11,
      { "csi-RS-ConfigNZPId-r11", "lte-rrc.csi_RS_ConfigNZPId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p_C_AndCBSRList_r11,
      { "p-C-AndCBSRList-r11", "lte-rrc.p_C_AndCBSRList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "P_C_AndCBSR_Pair_r13a", HFILL }},
    { &hf_lte_rrc_cqi_ReportBothProc_r11,
      { "cqi-ReportBothProc-r11", "lte-rrc.cqi_ReportBothProc_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportPeriodicProcId_r11,
      { "cqi-ReportPeriodicProcId-r11", "lte-rrc.cqi_ReportPeriodicProcId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxCQI_ProcExt_r11", HFILL }},
    { &hf_lte_rrc_cqi_ReportAperiodicProc_r11,
      { "cqi-ReportAperiodicProc-r11", "lte-rrc.cqi_ReportAperiodicProc_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_alternativeCodebookEnabledFor4TXProc_r12,
      { "alternativeCodebookEnabledFor4TXProc-r12", "lte-rrc.alternativeCodebookEnabledFor4TXProc_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_alternativeCodebookEnabledFor4TXProc_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigIdList_r12,
      { "csi-IM-ConfigIdList-r12", "lte-rrc.csi_IM_ConfigIdList_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_IM_ConfigIdList_r12_vals), 0,
        "T_csi_IM_ConfigIdList_r12", HFILL }},
    { &hf_lte_rrc_setup_16,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12", HFILL }},
    { &hf_lte_rrc_setup_item,
      { "CSI-IM-ConfigId-r12", "lte-rrc.CSI_IM_ConfigId_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportAperiodicProc2_r12,
      { "cqi-ReportAperiodicProc2-r12", "lte-rrc.cqi_ReportAperiodicProc2_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cqi_ReportAperiodicProc2_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_17,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CQI_ReportAperiodicProc_r11", HFILL }},
    { &hf_lte_rrc_cqi_ReportAperiodicProc_v1310,
      { "cqi-ReportAperiodicProc-v1310", "lte-rrc.cqi_ReportAperiodicProc_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cqi_ReportAperiodicProc_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_18,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CQI_ReportAperiodicProc_v1310", HFILL }},
    { &hf_lte_rrc_cqi_ReportAperiodicProc2_v1310,
      { "cqi-ReportAperiodicProc2-v1310", "lte-rrc.cqi_ReportAperiodicProc2_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cqi_ReportAperiodicProc2_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eMIMO_Type_r13,
      { "eMIMO-Type-r13", "lte-rrc.eMIMO_Type_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CSI_RS_ConfigEMIMO_r13_vals), 0,
        "CSI_RS_ConfigEMIMO_r13", HFILL }},
    { &hf_lte_rrc_eMIMO_Type_v1430,
      { "eMIMO-Type-v1430", "lte-rrc.eMIMO_Type_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CSI_RS_ConfigEMIMO_v1430_vals), 0,
        "CSI_RS_ConfigEMIMO_v1430", HFILL }},
    { &hf_lte_rrc_eMIMO_Hybrid_r14,
      { "eMIMO-Hybrid-r14", "lte-rrc.eMIMO_Hybrid_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CSI_RS_ConfigEMIMO_Hybrid_r14_vals), 0,
        "CSI_RS_ConfigEMIMO_Hybrid_r14", HFILL }},
    { &hf_lte_rrc_advancedCodebookEnabled_r14,
      { "advancedCodebookEnabled-r14", "lte-rrc.advancedCodebookEnabled_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_csi_RS_r10,
      { "csi-RS-r10", "lte-rrc.csi_RS_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_RS_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_19,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_16", HFILL }},
    { &hf_lte_rrc_antennaPortsCount_r10,
      { "antennaPortsCount-r10", "lte-rrc.antennaPortsCount_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_antennaPortsCount_r10_vals), 0,
        "T_antennaPortsCount_r10", HFILL }},
    { &hf_lte_rrc_resourceConfig_r10,
      { "resourceConfig-r10", "lte-rrc.resourceConfig_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_subframeConfig_r10,
      { "subframeConfig-r10", "lte-rrc.subframeConfig_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_154", HFILL }},
    { &hf_lte_rrc_p_C_r10,
      { "p-C-r10", "lte-rrc.p_C_r10",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_15", HFILL }},
    { &hf_lte_rrc_zeroTxPowerCSI_RS_r10,
      { "zeroTxPowerCSI-RS-r10", "lte-rrc.zeroTxPowerCSI_RS_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ZeroTxPowerCSI_RS_Conf_r12_vals), 0,
        "ZeroTxPowerCSI_RS_Conf_r12", HFILL }},
    { &hf_lte_rrc_zeroTxPowerCSI_RS2_r12,
      { "zeroTxPowerCSI-RS2-r12", "lte-rrc.zeroTxPowerCSI_RS2_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ZeroTxPowerCSI_RS_Conf_r12_vals), 0,
        "ZeroTxPowerCSI_RS_Conf_r12", HFILL }},
    { &hf_lte_rrc_ds_ZeroTxPowerCSI_RS_r12,
      { "ds-ZeroTxPowerCSI-RS-r12", "lte-rrc.ds_ZeroTxPowerCSI_RS_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ds_ZeroTxPowerCSI_RS_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_20,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_17", HFILL }},
    { &hf_lte_rrc_zeroTxPowerCSI_RS_List_r12,
      { "zeroTxPowerCSI-RS-List-r12", "lte-rrc.zeroTxPowerCSI_RS_List_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12", HFILL }},
    { &hf_lte_rrc_zeroTxPowerCSI_RS_List_r12_item,
      { "ZeroTxPowerCSI-RS-r12", "lte-rrc.ZeroTxPowerCSI_RS_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_21,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ZeroTxPowerCSI_RS_r12", HFILL }},
    { &hf_lte_rrc_zeroTxPowerResourceConfigList_r12,
      { "zeroTxPowerResourceConfigList-r12", "lte-rrc.zeroTxPowerResourceConfigList_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_zeroTxPowerSubframeConfig_r12,
      { "zeroTxPowerSubframeConfig-r12", "lte-rrc.zeroTxPowerSubframeConfig_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_154", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r13,
      { "csi-RS-ConfigNZPIdListExt-r13", "lte-rrc.csi_RS_ConfigNZPIdListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r13_item,
      { "CSI-RS-ConfigNZPId-r13", "lte-rrc.CSI_RS_ConfigNZPId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigIdList_r13,
      { "csi-IM-ConfigIdList-r13", "lte-rrc.csi_IM_ConfigIdList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigIdList_r13_item,
      { "CSI-IM-ConfigId-r13", "lte-rrc.CSI_IM_ConfigId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r13,
      { "p-C-AndCBSR-PerResourceConfigList-r13", "lte-rrc.p_C_AndCBSR_PerResourceConfigList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13", HFILL }},
    { &hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r13_item,
      { "P-C-AndCBSR-Pair-r13", "lte-rrc.P_C_AndCBSR_Pair_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r13,
      { "ace-For4Tx-PerResourceConfigList-r13", "lte-rrc.ace_For4Tx_PerResourceConfigList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "T_ace_For4Tx_PerResourceConfigList_r13", HFILL }},
    { &hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r13_item,
      { "ace-For4Tx-PerResourceConfigList-r13 item", "lte-rrc.ace_For4Tx_PerResourceConfigList_r13_item",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_alternativeCodebookEnabledBeamformed_r13,
      { "alternativeCodebookEnabledBeamformed-r13", "lte-rrc.alternativeCodebookEnabledBeamformed_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_alternativeCodebookEnabledBeamformed_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_channelMeasRestriction_r13,
      { "channelMeasRestriction-r13", "lte-rrc.channelMeasRestriction_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_channelMeasRestriction_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r14,
      { "csi-RS-ConfigNZPIdListExt-r14", "lte-rrc.csi_RS_ConfigNZPIdListExt_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPIdListExt_r14_item,
      { "CSI-RS-ConfigNZPId-r13", "lte-rrc.CSI_RS_ConfigNZPId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigIdList_r14,
      { "csi-IM-ConfigIdList-r14", "lte-rrc.csi_IM_ConfigIdList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigIdList_r14_item,
      { "CSI-IM-ConfigId-r13", "lte-rrc.CSI_IM_ConfigId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r14,
      { "p-C-AndCBSR-PerResourceConfigList-r14", "lte-rrc.p_C_AndCBSR_PerResourceConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13", HFILL }},
    { &hf_lte_rrc_p_C_AndCBSR_PerResourceConfigList_r14_item,
      { "P-C-AndCBSR-Pair-r13", "lte-rrc.P_C_AndCBSR_Pair_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r14,
      { "ace-For4Tx-PerResourceConfigList-r14", "lte-rrc.ace_For4Tx_PerResourceConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "T_ace_For4Tx_PerResourceConfigList_r14", HFILL }},
    { &hf_lte_rrc_ace_For4Tx_PerResourceConfigList_r14_item,
      { "ace-For4Tx-PerResourceConfigList-r14 item", "lte-rrc.ace_For4Tx_PerResourceConfigList_r14_item",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_alternativeCodebookEnabledBeamformed_r14,
      { "alternativeCodebookEnabledBeamformed-r14", "lte-rrc.alternativeCodebookEnabledBeamformed_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_alternativeCodebookEnabledBeamformed_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_channelMeasRestriction_r14,
      { "channelMeasRestriction-r14", "lte-rrc.channelMeasRestriction_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_channelMeasRestriction_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZP_ApList_r14,
      { "csi-RS-ConfigNZP-ApList-r14", "lte-rrc.csi_RS_ConfigNZP_ApList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZP_ApList_r14_item,
      { "CSI-RS-ConfigNZP-r11", "lte-rrc.CSI_RS_ConfigNZP_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nzp_ResourceConfigOriginal_v1430,
      { "nzp-ResourceConfigOriginal-v1430", "lte-rrc.nzp_ResourceConfigOriginal_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_RS_Config_NZP_v1430", HFILL }},
    { &hf_lte_rrc_csi_RS_NZP_Activation_r14,
      { "csi-RS-NZP-Activation-r14", "lte-rrc.csi_RS_NZP_Activation_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_RS_ConfigNZP_Activation_r14", HFILL }},
    { &hf_lte_rrc_transmissionComb_r14,
      { "transmissionComb-r14", "lte-rrc.transmissionComb_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NZP_TransmissionComb_r14", HFILL }},
    { &hf_lte_rrc_frequencyDensity_r14,
      { "frequencyDensity-r14", "lte-rrc.frequencyDensity_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_NZP_FrequencyDensity_r14_vals), 0,
        "NZP_FrequencyDensity_r14", HFILL }},
    { &hf_lte_rrc_csi_RS_NZP_mode_r14,
      { "csi-RS-NZP-mode-r14", "lte-rrc.csi_RS_NZP_mode_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_RS_NZP_mode_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_activatedResources_r14,
      { "activatedResources-r14", "lte-rrc.activatedResources_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_4", HFILL }},
    { &hf_lte_rrc_setup_22,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_18_vals), 0,
        "T_setup_18", HFILL }},
    { &hf_lte_rrc_nonPrecoded_r13,
      { "nonPrecoded-r13", "lte-rrc.nonPrecoded_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_RS_ConfigNonPrecoded_r13", HFILL }},
    { &hf_lte_rrc_beamformed_r13,
      { "beamformed-r13", "lte-rrc.beamformed_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_RS_ConfigBeamformed_r13", HFILL }},
    { &hf_lte_rrc_setup_23,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_19_vals), 0,
        "T_setup_19", HFILL }},
    { &hf_lte_rrc_nonPrecoded_v1430,
      { "nonPrecoded-v1430", "lte-rrc.nonPrecoded_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_RS_ConfigNonPrecoded_v1430", HFILL }},
    { &hf_lte_rrc_beamformed_v1430,
      { "beamformed-v1430", "lte-rrc.beamformed_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_RS_ConfigBeamformed_v1430", HFILL }},
    { &hf_lte_rrc_setup_24,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_RS_ConfigBeamformed_r14", HFILL }},
    { &hf_lte_rrc_setup_25,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_20", HFILL }},
    { &hf_lte_rrc_periodicityOffsetIndex_r14,
      { "periodicityOffsetIndex-r14", "lte-rrc.periodicityOffsetIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_eMIMO_Type2_r14,
      { "eMIMO-Type2-r14", "lte-rrc.eMIMO_Type2_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CSI_RS_ConfigEMIMO2_r14_vals), 0,
        "CSI_RS_ConfigEMIMO2_r14", HFILL }},
    { &hf_lte_rrc_p_C_AndCBSRList_r13,
      { "p-C-AndCBSRList-r13", "lte-rrc.p_C_AndCBSRList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "P_C_AndCBSR_Pair_r13", HFILL }},
    { &hf_lte_rrc_codebookConfigN1_r13,
      { "codebookConfigN1-r13", "lte-rrc.codebookConfigN1_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebookConfigN1_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookConfigN2_r13,
      { "codebookConfigN2-r13", "lte-rrc.codebookConfigN2_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebookConfigN2_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookOverSamplingRateConfig_O1_r13,
      { "codebookOverSamplingRateConfig-O1-r13", "lte-rrc.codebookOverSamplingRateConfig_O1_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebookOverSamplingRateConfig_O1_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookOverSamplingRateConfig_O2_r13,
      { "codebookOverSamplingRateConfig-O2-r13", "lte-rrc.codebookOverSamplingRateConfig_O2_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebookOverSamplingRateConfig_O2_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookConfig_r13,
      { "codebookConfig-r13", "lte-rrc.codebookConfig_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_csi_IM_ConfigIdList_r13_01,
      { "csi-IM-ConfigIdList-r13", "lte-rrc.csi_IM_ConfigIdList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZP_EMIMO_r13,
      { "csi-RS-ConfigNZP-EMIMO-r13", "lte-rrc.csi_RS_ConfigNZP_EMIMO_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CSI_RS_ConfigNZP_EMIMO_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZP_EMIMO_v1430,
      { "csi-RS-ConfigNZP-EMIMO-v1430", "lte-rrc.csi_RS_ConfigNZP_EMIMO_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookConfigN1_v1430,
      { "codebookConfigN1-v1430", "lte-rrc.codebookConfigN1_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebookConfigN1_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookConfigN2_r1430,
      { "codebookConfigN2-r1430", "lte-rrc.codebookConfigN2_r1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebookConfigN2_r1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nzp_ResourceConfigTM9_Original_v1430,
      { "nzp-ResourceConfigTM9-Original-v1430", "lte-rrc.nzp_ResourceConfigTM9_Original_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSI_RS_Config_NZP_v1430", HFILL }},
    { &hf_lte_rrc_antennaPortsCount_r11,
      { "antennaPortsCount-r11", "lte-rrc.antennaPortsCount_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_antennaPortsCount_r11_vals), 0,
        "T_antennaPortsCount_r11", HFILL }},
    { &hf_lte_rrc_scramblingIdentity_r11,
      { "scramblingIdentity-r11", "lte-rrc.scramblingIdentity_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_503", HFILL }},
    { &hf_lte_rrc_qcl_CRS_Info_r11,
      { "qcl-CRS-Info-r11", "lte-rrc.qcl_CRS_Info_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_qcl_ScramblingIdentity_r11,
      { "qcl-ScramblingIdentity-r11", "lte-rrc.qcl_ScramblingIdentity_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_503", HFILL }},
    { &hf_lte_rrc_crs_PortsCount_r11,
      { "crs-PortsCount-r11", "lte-rrc.crs_PortsCount_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crs_PortsCount_r11_vals), 0,
        "T_crs_PortsCount_r11", HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_r11,
      { "mbsfn-SubframeConfigList-r11", "lte-rrc.mbsfn_SubframeConfigList_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbsfn_SubframeConfigList_r11_vals), 0,
        "T_mbsfn_SubframeConfigList_r11", HFILL }},
    { &hf_lte_rrc_setup_26,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_21", HFILL }},
    { &hf_lte_rrc_subframeConfigList,
      { "subframeConfigList", "lte-rrc.subframeConfigList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBSFN_SubframeConfigList", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPId_v1310,
      { "csi-RS-ConfigNZPId-v1310", "lte-rrc.csi_RS_ConfigNZPId_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430_01,
      { "mbsfn-SubframeConfigList-v1430", "lte-rrc.mbsfn_SubframeConfigList_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbsfn_SubframeConfigList_v1430_vals), 0,
        "T_mbsfn_SubframeConfigList_v1430", HFILL }},
    { &hf_lte_rrc_setup_27,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_22", HFILL }},
    { &hf_lte_rrc_subframeConfigList_v1430,
      { "subframeConfigList-v1430", "lte-rrc.subframeConfigList_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBSFN_SubframeConfigList_v1430", HFILL }},
    { &hf_lte_rrc_setup_28,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_23", HFILL }},
    { &hf_lte_rrc_nzp_resourceConfigList_r13,
      { "nzp-resourceConfigList-r13", "lte-rrc.nzp_resourceConfigList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13", HFILL }},
    { &hf_lte_rrc_nzp_resourceConfigList_r13_item,
      { "NZP-ResourceConfig-r13", "lte-rrc.NZP_ResourceConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cdmType_r13,
      { "cdmType-r13", "lte-rrc.cdmType_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cdmType_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nzp_resourceConfigListExt_r14,
      { "nzp-resourceConfigListExt-r14", "lte-rrc.nzp_resourceConfigListExt_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13", HFILL }},
    { &hf_lte_rrc_nzp_resourceConfigListExt_r14_item,
      { "NZP-ResourceConfig-r13", "lte-rrc.NZP_ResourceConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cdmType_v1430,
      { "cdmType-v1430", "lte-rrc.cdmType_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cdmType_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resourceConfig_r13,
      { "resourceConfig-r13", "lte-rrc.resourceConfig_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigZPId_r11,
      { "csi-RS-ConfigZPId-r11", "lte-rrc.csi_RS_ConfigZPId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resourceConfigList_r11,
      { "resourceConfigList-r11", "lte-rrc.resourceConfigList_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_setup_29,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11", HFILL }},
    { &hf_lte_rrc_setup_item_01,
      { "CSI-RS-ConfigZP-r11", "lte-rrc.CSI_RS_ConfigZP_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_30,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_24", HFILL }},
    { &hf_lte_rrc_scramblingIdentity2_r11,
      { "scramblingIdentity2-r11", "lte-rrc.scramblingIdentity2_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_503", HFILL }},
    { &hf_lte_rrc_dmrs_tableAlt_r13,
      { "dmrs-tableAlt-r13", "lte-rrc.dmrs_tableAlt_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmrs_tableAlt_r13_vals), 0,
        "T_dmrs_tableAlt_r13", HFILL }},
    { &hf_lte_rrc_config_r11,
      { "config-r11", "lte-rrc.config_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_config_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_31,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_25", HFILL }},
    { &hf_lte_rrc_subframePatternConfig_r11,
      { "subframePatternConfig-r11", "lte-rrc.subframePatternConfig_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframePatternConfig_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_32,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_26", HFILL }},
    { &hf_lte_rrc_subframePattern_r11,
      { "subframePattern-r11", "lte-rrc.subframePattern_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasSubframePattern_r10_vals), 0,
        "MeasSubframePattern_r10", HFILL }},
    { &hf_lte_rrc_startSymbol_r11,
      { "startSymbol-r11", "lte-rrc.startSymbol_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_setConfigToReleaseList_r11,
      { "setConfigToReleaseList-r11", "lte-rrc.setConfigToReleaseList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "EPDCCH_SetConfigToReleaseList_r11", HFILL }},
    { &hf_lte_rrc_setConfigToAddModList_r11,
      { "setConfigToAddModList-r11", "lte-rrc.setConfigToAddModList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "EPDCCH_SetConfigToAddModList_r11", HFILL }},
    { &hf_lte_rrc_EPDCCH_SetConfigToAddModList_r11_item,
      { "EPDCCH-SetConfig-r11", "lte-rrc.EPDCCH_SetConfig_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_EPDCCH_SetConfigToReleaseList_r11_item,
      { "EPDCCH-SetConfigId-r11", "lte-rrc.EPDCCH_SetConfigId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setConfigId_r11,
      { "setConfigId-r11", "lte-rrc.setConfigId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "EPDCCH_SetConfigId_r11", HFILL }},
    { &hf_lte_rrc_transmissionType_r11,
      { "transmissionType-r11", "lte-rrc.transmissionType_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_transmissionType_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resourceBlockAssignment_r11,
      { "resourceBlockAssignment-r11", "lte-rrc.resourceBlockAssignment_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_resourceBlockAssignment_r11", HFILL }},
    { &hf_lte_rrc_numberPRB_Pairs_r11,
      { "numberPRB-Pairs-r11", "lte-rrc.numberPRB_Pairs_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_numberPRB_Pairs_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resourceBlockAssignment_r11_01,
      { "resourceBlockAssignment-r11", "lte-rrc.resourceBlockAssignment_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_4_38", HFILL }},
    { &hf_lte_rrc_dmrs_ScramblingSequenceInt_r11,
      { "dmrs-ScramblingSequenceInt-r11", "lte-rrc.dmrs_ScramblingSequenceInt_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_503", HFILL }},
    { &hf_lte_rrc_pucch_ResourceStartOffset_r11,
      { "pucch-ResourceStartOffset-r11", "lte-rrc.pucch_ResourceStartOffset_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_re_MappingQCL_ConfigId_r11,
      { "re-MappingQCL-ConfigId-r11", "lte-rrc.re_MappingQCL_ConfigId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PDSCH_RE_MappingQCL_ConfigId_r11", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigZPId2_r12,
      { "csi-RS-ConfigZPId2-r12", "lte-rrc.csi_RS_ConfigZPId2_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_RS_ConfigZPId2_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_33,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CSI_RS_ConfigZPId_r11", HFILL }},
    { &hf_lte_rrc_numberPRB_Pairs_v1310,
      { "numberPRB-Pairs-v1310", "lte-rrc.numberPRB_Pairs_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_numberPRB_Pairs_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_34,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_27_vals), 0,
        "T_setup_27", HFILL }},
    { &hf_lte_rrc_mpdcch_config_r13,
      { "mpdcch-config-r13", "lte-rrc.mpdcch_config_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_config_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_35,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_28", HFILL }},
    { &hf_lte_rrc_csi_NumRepetitionCE_r13,
      { "csi-NumRepetitionCE-r13", "lte-rrc.csi_NumRepetitionCE_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_NumRepetitionCE_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_pdsch_HoppingConfig_r13,
      { "mpdcch-pdsch-HoppingConfig-r13", "lte-rrc.mpdcch_pdsch_HoppingConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_pdsch_HoppingConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_StartSF_UESS_r13,
      { "mpdcch-StartSF-UESS-r13", "lte-rrc.mpdcch_StartSF_UESS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_StartSF_UESS_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_r13,
      { "fdd-r13", "lte-rrc.fdd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fdd_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_r13,
      { "tdd-r13", "lte-rrc.tdd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_NumRepetition_r13_01,
      { "mpdcch-NumRepetition-r13", "lte-rrc.mpdcch_NumRepetition_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_NumRepetition_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_Narrowband_r13,
      { "mpdcch-Narrowband-r13", "lte-rrc.mpdcch_Narrowband_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_setup_36,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_29", HFILL }},
    { &hf_lte_rrc_eimta_RNTI_r12,
      { "eimta-RNTI-r12", "lte-rrc.eimta_RNTI_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_eimta_CommandPeriodicity_r12,
      { "eimta-CommandPeriodicity-r12", "lte-rrc.eimta_CommandPeriodicity_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eimta_CommandPeriodicity_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eimta_CommandSubframeSet_r12,
      { "eimta-CommandSubframeSet-r12", "lte-rrc.eimta_CommandSubframeSet_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_setup_37,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_30", HFILL }},
    { &hf_lte_rrc_eimta_UL_DL_ConfigIndex_r12,
      { "eimta-UL-DL-ConfigIndex-r12", "lte-rrc.eimta_UL_DL_ConfigIndex_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_5", HFILL }},
    { &hf_lte_rrc_eimta_HARQ_ReferenceConfig_r12,
      { "eimta-HARQ-ReferenceConfig-r12", "lte-rrc.eimta_HARQ_ReferenceConfig_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eimta_HARQ_ReferenceConfig_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_v1250,
      { "mbsfn-SubframeConfigList-v1250", "lte-rrc.mbsfn_SubframeConfigList_v1250",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbsfn_SubframeConfigList_v1250_vals), 0,
        "T_mbsfn_SubframeConfigList_v1250", HFILL }},
    { &hf_lte_rrc_setup_38,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_31", HFILL }},
    { &hf_lte_rrc_subframeConfigList_r12,
      { "subframeConfigList-r12", "lte-rrc.subframeConfigList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBSFN_SubframeConfigList", HFILL }},
    { &hf_lte_rrc_ul_SpecificParameters,
      { "ul-SpecificParameters", "lte-rrc.ul_SpecificParameters_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_priority,
      { "priority", "lte-rrc.priority",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prioritisedBitRate,
      { "prioritisedBitRate", "lte-rrc.prioritisedBitRate",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_prioritisedBitRate_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bucketSizeDuration,
      { "bucketSizeDuration", "lte-rrc.bucketSizeDuration",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_bucketSizeDuration_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChannelGroup,
      { "logicalChannelGroup", "lte-rrc.logicalChannelGroup",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_logicalChannelSR_Mask_r9,
      { "logicalChannelSR-Mask-r9", "lte-rrc.logicalChannelSR_Mask_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logicalChannelSR_Mask_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChannelSR_Prohibit_r12,
      { "logicalChannelSR-Prohibit-r12", "lte-rrc.logicalChannelSR_Prohibit_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_laa_UL_Allowed_r14,
      { "laa-UL-Allowed-r14", "lte-rrc.laa_UL_Allowed_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_bitRateQueryProhibitTimer_r14,
      { "bitRateQueryProhibitTimer-r14", "lte-rrc.bitRateQueryProhibitTimer_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_bitRateQueryProhibitTimer_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_39,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_32", HFILL }},
    { &hf_lte_rrc_lwa_Config_r13,
      { "lwa-Config-r13", "lte-rrc.lwa_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwa_MobilityConfig_r13,
      { "lwa-MobilityConfig-r13", "lte-rrc.lwa_MobilityConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLAN_MobilityConfig_r13", HFILL }},
    { &hf_lte_rrc_lwa_WT_Counter_r13,
      { "lwa-WT-Counter-r13", "lte-rrc.lwa_WT_Counter_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_65535", HFILL }},
    { &hf_lte_rrc_wt_MAC_Address_r14,
      { "wt-MAC-Address-r14", "lte-rrc.wt_MAC_Address_r14",
        FT_ETHER, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_setup_40,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_33", HFILL }},
    { &hf_lte_rrc_lwip_Config_r13,
      { "lwip-Config-r13", "lte-rrc.lwip_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_MobilityConfig_r13,
      { "lwip-MobilityConfig-r13", "lte-rrc.lwip_MobilityConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLAN_MobilityConfig_r13", HFILL }},
    { &hf_lte_rrc_tunnelConfigLWIP_r13,
      { "tunnelConfigLWIP-r13", "lte-rrc.tunnelConfigLWIP_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_SCH_Config,
      { "ul-SCH-Config", "lte-rrc.ul_SCH_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxHARQ_Tx,
      { "maxHARQ-Tx", "lte-rrc.maxHARQ_Tx",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxHARQ_Tx_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_periodicBSR_Timer,
      { "periodicBSR-Timer", "lte-rrc.periodicBSR_Timer",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PeriodicBSR_Timer_r12_vals), 0,
        "PeriodicBSR_Timer_r12", HFILL }},
    { &hf_lte_rrc_retxBSR_Timer,
      { "retxBSR-Timer", "lte-rrc.retxBSR_Timer",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RetxBSR_Timer_r12_vals), 0,
        "RetxBSR_Timer_r12", HFILL }},
    { &hf_lte_rrc_ttiBundling,
      { "ttiBundling", "lte-rrc.ttiBundling",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_drx_Config,
      { "drx-Config", "lte-rrc.drx_Config",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DRX_Config_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timeAlignmentTimerDedicated,
      { "timeAlignmentTimerDedicated", "lte-rrc.timeAlignmentTimerDedicated",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TimeAlignmentTimer_vals), 0,
        "TimeAlignmentTimer", HFILL }},
    { &hf_lte_rrc_phr_Config,
      { "phr-Config", "lte-rrc.phr_Config",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_phr_Config_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_41,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_34", HFILL }},
    { &hf_lte_rrc_periodicPHR_Timer,
      { "periodicPHR-Timer", "lte-rrc.periodicPHR_Timer",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_periodicPHR_Timer_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prohibitPHR_Timer,
      { "prohibitPHR-Timer", "lte-rrc.prohibitPHR_Timer",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_prohibitPHR_Timer_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_PathlossChange,
      { "dl-PathlossChange", "lte-rrc.dl_PathlossChange",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_PathlossChange_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sr_ProhibitTimer_r9,
      { "sr-ProhibitTimer-r9", "lte-rrc.sr_ProhibitTimer_r9",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_sr_periods, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_MainConfig_v1020,
      { "mac-MainConfig-v1020", "lte-rrc.mac_MainConfig_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCellDeactivationTimer_r10,
      { "sCellDeactivationTimer-r10", "lte-rrc.sCellDeactivationTimer_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sCellDeactivationTimer_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedBSR_Sizes_r10,
      { "extendedBSR-Sizes-r10", "lte-rrc.extendedBSR_Sizes_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedBSR_Sizes_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedPHR_r10,
      { "extendedPHR-r10", "lte-rrc.extendedPHR_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedPHR_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_stag_ToReleaseList_r11,
      { "stag-ToReleaseList-r11", "lte-rrc.stag_ToReleaseList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_stag_ToAddModList_r11,
      { "stag-ToAddModList-r11", "lte-rrc.stag_ToAddModList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_Config_v1130,
      { "drx-Config-v1130", "lte-rrc.drx_Config_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_e_HARQ_Pattern_r12,
      { "e-HARQ-Pattern-r12", "lte-rrc.e_HARQ_Pattern_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_dualConnectivityPHR,
      { "dualConnectivityPHR", "lte-rrc.dualConnectivityPHR",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dualConnectivityPHR_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_42,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_35", HFILL }},
    { &hf_lte_rrc_phr_ModeOtherCG_r12,
      { "phr-ModeOtherCG-r12", "lte-rrc.phr_ModeOtherCG_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_phr_ModeOtherCG_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChannelSR_Config_r12,
      { "logicalChannelSR-Config-r12", "lte-rrc.logicalChannelSR_Config_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logicalChannelSR_Config_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_43,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_36", HFILL }},
    { &hf_lte_rrc_logicalChannelSR_ProhibitTimer_r12,
      { "logicalChannelSR-ProhibitTimer-r12", "lte-rrc.logicalChannelSR_ProhibitTimer_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logicalChannelSR_ProhibitTimer_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_Config_v1310,
      { "drx-Config-v1310", "lte-rrc.drx_Config_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedPHR2_r13,
      { "extendedPHR2-r13", "lte-rrc.extendedPHR2_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_eDRX_Config_CycleStartOffset_r13,
      { "eDRX-Config-CycleStartOffset-r13", "lte-rrc.eDRX_Config_CycleStartOffset_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eDRX_Config_CycleStartOffset_r13_vals), 0,
        "T_eDRX_Config_CycleStartOffset_r13", HFILL }},
    { &hf_lte_rrc_setup_44,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_37_vals), 0,
        "T_setup_37", HFILL }},
    { &hf_lte_rrc_sf5120,
      { "sf5120", "lte-rrc.sf5120",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1", HFILL }},
    { &hf_lte_rrc_sf10240,
      { "sf10240", "lte-rrc.sf10240",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_drx_Config_r13,
      { "drx-Config-r13", "lte-rrc.drx_Config_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_Config_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_45,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DRX_Config_r13", HFILL }},
    { &hf_lte_rrc_skipUplinkTx_r14,
      { "skipUplinkTx-r14", "lte-rrc.skipUplinkTx_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipUplinkTx_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_46,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_38", HFILL }},
    { &hf_lte_rrc_skipUplinkTxSPS_r14,
      { "skipUplinkTxSPS-r14", "lte-rrc.skipUplinkTxSPS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipUplinkTxSPS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_skipUplinkTxDynamic_r14,
      { "skipUplinkTxDynamic-r14", "lte-rrc.skipUplinkTxDynamic_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipUplinkTxDynamic_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dataInactivityTimerConfig_r14,
      { "dataInactivityTimerConfig-r14", "lte-rrc.dataInactivityTimerConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dataInactivityTimerConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_47,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_39", HFILL }},
    { &hf_lte_rrc_dataInactivityTimer_r14,
      { "dataInactivityTimer-r14", "lte-rrc.dataInactivityTimer_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DataInactivityTimer_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rai_Activation_r14,
      { "rai-Activation-r14", "lte-rrc.rai_Activation_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rai_Activation_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_stag_Id_r11,
      { "stag-Id-r11", "lte-rrc.stag_Id_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_release_01,
      { "release", "lte-rrc.release_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_48,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_40", HFILL }},
    { &hf_lte_rrc_onDurationTimer,
      { "onDurationTimer", "lte-rrc.onDurationTimer",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_onDurationTimer_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_InactivityTimer,
      { "drx-InactivityTimer", "lte-rrc.drx_InactivityTimer",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_drx_InactivityTimer_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_RetransmissionTimer,
      { "drx-RetransmissionTimer", "lte-rrc.drx_RetransmissionTimer",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_RetransmissionTimer_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_longDRX_CycleStartOffset,
      { "longDRX-CycleStartOffset", "lte-rrc.longDRX_CycleStartOffset",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_longDRX_CycleStartOffset_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf10_01,
      { "sf10", "lte-rrc.sf10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf20_01,
      { "sf20", "lte-rrc.sf20",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf32_01,
      { "sf32", "lte-rrc.sf32",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf40_01,
      { "sf40", "lte-rrc.sf40",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf64_01,
      { "sf64", "lte-rrc.sf64",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf80_01,
      { "sf80", "lte-rrc.sf80",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf128_01,
      { "sf128", "lte-rrc.sf128",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf160_01,
      { "sf160", "lte-rrc.sf160",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf256_01,
      { "sf256", "lte-rrc.sf256",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf320_01,
      { "sf320", "lte-rrc.sf320",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf512_01,
      { "sf512", "lte-rrc.sf512",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf640_01,
      { "sf640", "lte-rrc.sf640",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf1024_01,
      { "sf1024", "lte-rrc.sf1024",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf1280,
      { "sf1280", "lte-rrc.sf1280",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf2048_01,
      { "sf2048", "lte-rrc.sf2048",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf2560,
      { "sf2560", "lte-rrc.sf2560",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_shortDRX,
      { "shortDRX", "lte-rrc.shortDRX_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_shortDRX_Cycle,
      { "shortDRX-Cycle", "lte-rrc.shortDRX_Cycle",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_shortDRX_Cycle_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drxShortCycleTimer,
      { "drxShortCycleTimer", "lte-rrc.drxShortCycleTimer",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_short_drx_cycles, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_RetransmissionTimer_v1130,
      { "drx-RetransmissionTimer-v1130", "lte-rrc.drx_RetransmissionTimer_v1130",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_RetransmissionTimer_v1130_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_longDRX_CycleStartOffset_v1130,
      { "longDRX-CycleStartOffset-v1130", "lte-rrc.longDRX_CycleStartOffset_v1130",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_longDRX_CycleStartOffset_v1130_vals), 0,
        "T_longDRX_CycleStartOffset_v1130", HFILL }},
    { &hf_lte_rrc_sf60_v1130,
      { "sf60-v1130", "lte-rrc.sf60_v1130",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf70_v1130,
      { "sf70-v1130", "lte-rrc.sf70_v1130",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_shortDRX_Cycle_v1130,
      { "shortDRX-Cycle-v1130", "lte-rrc.shortDRX_Cycle_v1130",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_shortDRX_Cycle_v1130_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_longDRX_CycleStartOffset_v1310,
      { "longDRX-CycleStartOffset-v1310", "lte-rrc.longDRX_CycleStartOffset_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_longDRX_CycleStartOffset_v1310", HFILL }},
    { &hf_lte_rrc_sf60_v1310,
      { "sf60-v1310", "lte-rrc.sf60_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_onDurationTimer_v1310,
      { "onDurationTimer-v1310", "lte-rrc.onDurationTimer_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_onDurationTimer_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_RetransmissionTimer_v1310,
      { "drx-RetransmissionTimer-v1310", "lte-rrc.drx_RetransmissionTimer_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_RetransmissionTimer_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_ULRetransmissionTimer_r13,
      { "drx-ULRetransmissionTimer-r13", "lte-rrc.drx_ULRetransmissionTimer_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_drx_ULRetransmissionTimer_r13_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_STAG_ToReleaseList_r11_item,
      { "STAG-Id-r11", "lte-rrc.STAG_Id_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_STAG_ToAddModList_r11_item,
      { "STAG-ToAddMod-r11", "lte-rrc.STAG_ToAddMod_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timeAlignmentTimerSTAG_r11,
      { "timeAlignmentTimerSTAG-r11", "lte-rrc.timeAlignmentTimerSTAG_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TimeAlignmentTimer_vals), 0,
        "TimeAlignmentTimer", HFILL }},
    { &hf_lte_rrc_p_C_r11,
      { "p-C-r11", "lte-rrc.p_C_r11",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_15", HFILL }},
    { &hf_lte_rrc_codebookSubsetRestriction_r11,
      { "codebookSubsetRestriction-r11", "lte-rrc.codebookSubsetRestriction_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING", HFILL }},
    { &hf_lte_rrc_p_C_r13,
      { "p-C-r13", "lte-rrc.p_C_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_15", HFILL }},
    { &hf_lte_rrc_cbsr_Selection_r13,
      { "cbsr-Selection-r13", "lte-rrc.cbsr_Selection_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cbsr_Selection_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonPrecoded_r13_01,
      { "nonPrecoded-r13", "lte-rrc.nonPrecoded_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookSubsetRestriction1_r13,
      { "codebookSubsetRestriction1-r13", "lte-rrc.codebookSubsetRestriction1_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING", HFILL }},
    { &hf_lte_rrc_codebookSubsetRestriction2_r13,
      { "codebookSubsetRestriction2-r13", "lte-rrc.codebookSubsetRestriction2_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING", HFILL }},
    { &hf_lte_rrc_beamformedK1a_r13,
      { "beamformedK1a-r13", "lte-rrc.beamformedK1a_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookSubsetRestriction3_r13,
      { "codebookSubsetRestriction3-r13", "lte-rrc.codebookSubsetRestriction3_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING", HFILL }},
    { &hf_lte_rrc_beamformedKN_r13,
      { "beamformedKN-r13", "lte-rrc.beamformedKN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebookSubsetRestriction_r13,
      { "codebookSubsetRestriction-r13", "lte-rrc.codebookSubsetRestriction_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING", HFILL }},
    { &hf_lte_rrc_P_C_AndCBSR_Pair_r13a_item,
      { "P-C-AndCBSR-r11", "lte-rrc.P_C_AndCBSR_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_P_C_AndCBSR_Pair_r13_item,
      { "P-C-AndCBSR-r13", "lte-rrc.P_C_AndCBSR_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_skipMonitoringDCI_format0_1A_r13,
      { "skipMonitoringDCI-format0-1A-r13", "lte-rrc.skipMonitoringDCI_format0_1A_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipMonitoringDCI_format0_1A_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxNumberOfSchedSubframes_Format0B_r14,
      { "maxNumberOfSchedSubframes-Format0B-r14", "lte-rrc.maxNumberOfSchedSubframes_Format0B_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxNumberOfSchedSubframes_Format0B_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxNumberOfSchedSubframes_Format4B_r14,
      { "maxNumberOfSchedSubframes-Format4B-r14", "lte-rrc.maxNumberOfSchedSubframes_Format4B_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxNumberOfSchedSubframes_Format4B_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_skipMonitoringDCI_Format0A_r14,
      { "skipMonitoringDCI-Format0A-r14", "lte-rrc.skipMonitoringDCI_Format0A_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipMonitoringDCI_Format0A_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_skipMonitoringDCI_Format4A_r14,
      { "skipMonitoringDCI-Format4A-r14", "lte-rrc.skipMonitoringDCI_Format4A_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipMonitoringDCI_Format4A_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcch_CandidateReductions_Format0A_r14,
      { "pdcch-CandidateReductions-Format0A-r14", "lte-rrc.pdcch_CandidateReductions_Format0A_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductions_r13_vals), 0,
        "PDCCH_CandidateReductions_r13", HFILL }},
    { &hf_lte_rrc_pdcch_CandidateReductions_Format4A_r14,
      { "pdcch-CandidateReductions-Format4A-r14", "lte-rrc.pdcch_CandidateReductions_Format4A_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14_vals), 0,
        "PDCCH_CandidateReductionsLAA_UL_r14", HFILL }},
    { &hf_lte_rrc_pdcch_CandidateReductions_Format0B_r14,
      { "pdcch-CandidateReductions-Format0B-r14", "lte-rrc.pdcch_CandidateReductions_Format0B_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14_vals), 0,
        "PDCCH_CandidateReductionsLAA_UL_r14", HFILL }},
    { &hf_lte_rrc_pdcch_CandidateReductions_Format4B_r14,
      { "pdcch-CandidateReductions-Format4B-r14", "lte-rrc.pdcch_CandidateReductions_Format4B_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14_vals), 0,
        "PDCCH_CandidateReductionsLAA_UL_r14", HFILL }},
    { &hf_lte_rrc_setup_49,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_41", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL1_r13,
      { "pdcch-candidateReductionAL1-r13", "lte-rrc.pdcch_candidateReductionAL1_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r13_vals), 0,
        "PDCCH_CandidateReductionValue_r13", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL2_r13,
      { "pdcch-candidateReductionAL2-r13", "lte-rrc.pdcch_candidateReductionAL2_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r13_vals), 0,
        "PDCCH_CandidateReductionValue_r13", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL3_r13,
      { "pdcch-candidateReductionAL3-r13", "lte-rrc.pdcch_candidateReductionAL3_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r13_vals), 0,
        "PDCCH_CandidateReductionValue_r13", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL4_r13,
      { "pdcch-candidateReductionAL4-r13", "lte-rrc.pdcch_candidateReductionAL4_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r13_vals), 0,
        "PDCCH_CandidateReductionValue_r13", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL5_r13,
      { "pdcch-candidateReductionAL5-r13", "lte-rrc.pdcch_candidateReductionAL5_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r13_vals), 0,
        "PDCCH_CandidateReductionValue_r13", HFILL }},
    { &hf_lte_rrc_setup_50,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_42", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL1_r14,
      { "pdcch-candidateReductionAL1-r14", "lte-rrc.pdcch_candidateReductionAL1_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r13_vals), 0,
        "PDCCH_CandidateReductionValue_r13", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL2_r14,
      { "pdcch-candidateReductionAL2-r14", "lte-rrc.pdcch_candidateReductionAL2_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r13_vals), 0,
        "PDCCH_CandidateReductionValue_r13", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL3_r14,
      { "pdcch-candidateReductionAL3-r14", "lte-rrc.pdcch_candidateReductionAL3_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r14_vals), 0,
        "PDCCH_CandidateReductionValue_r14", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL4_r14,
      { "pdcch-candidateReductionAL4-r14", "lte-rrc.pdcch_candidateReductionAL4_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r14_vals), 0,
        "PDCCH_CandidateReductionValue_r14", HFILL }},
    { &hf_lte_rrc_pdcch_candidateReductionAL5_r14,
      { "pdcch-candidateReductionAL5-r14", "lte-rrc.pdcch_candidateReductionAL5_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductionValue_r14_vals), 0,
        "PDCCH_CandidateReductionValue_r14", HFILL }},
    { &hf_lte_rrc_discardTimer,
      { "discardTimer", "lte-rrc.discardTimer",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discardTimer_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_AM,
      { "rlc-AM", "lte-rrc.rlc_AM_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_statusReportRequired,
      { "statusReportRequired", "lte-rrc.statusReportRequired",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_rlc_UM,
      { "rlc-UM", "lte-rrc.rlc_UM_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_SN_Size,
      { "pdcp-SN-Size", "lte-rrc.pdcp_SN_Size",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdcp_SN_Size_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_headerCompression,
      { "headerCompression", "lte-rrc.headerCompression",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_headerCompression_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_notUsed,
      { "notUsed", "lte-rrc.notUsed_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rohc,
      { "rohc", "lte-rrc.rohc_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxCID,
      { "maxCID", "lte-rrc.maxCID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_16383", HFILL }},
    { &hf_lte_rrc_profiles,
      { "profiles", "lte-rrc.profiles_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_profile0x0001,
      { "profile0x0001", "lte-rrc.profile0x0001",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0002,
      { "profile0x0002", "lte-rrc.profile0x0002",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0003,
      { "profile0x0003", "lte-rrc.profile0x0003",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0004,
      { "profile0x0004", "lte-rrc.profile0x0004",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0006,
      { "profile0x0006", "lte-rrc.profile0x0006",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0101,
      { "profile0x0101", "lte-rrc.profile0x0101",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0102,
      { "profile0x0102", "lte-rrc.profile0x0102",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0103,
      { "profile0x0103", "lte-rrc.profile0x0103",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0104,
      { "profile0x0104", "lte-rrc.profile0x0104",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_rn_IntegrityProtection_r10,
      { "rn-IntegrityProtection-r10", "lte-rrc.rn_IntegrityProtection_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rn_IntegrityProtection_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_SN_Size_v1130,
      { "pdcp-SN-Size-v1130", "lte-rrc.pdcp_SN_Size_v1130",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdcp_SN_Size_v1130_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_DataSplitDRB_ViaSCG_r12,
      { "ul-DataSplitDRB-ViaSCG-r12", "lte-rrc.ul_DataSplitDRB_ViaSCG_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_t_Reordering_r12,
      { "t-Reordering-r12", "lte-rrc.t_Reordering_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_t_Reordering_r12_vals_ext, 0,
        "T_t_Reordering_r12", HFILL }},
    { &hf_lte_rrc_ul_DataSplitThreshold_r13,
      { "ul-DataSplitThreshold-r13", "lte-rrc.ul_DataSplitThreshold_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_DataSplitThreshold_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_51,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_43_vals), 0,
        "T_setup_43", HFILL }},
    { &hf_lte_rrc_pdcp_SN_Size_v1310,
      { "pdcp-SN-Size-v1310", "lte-rrc.pdcp_SN_Size_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdcp_SN_Size_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_statusFeedback_r13,
      { "statusFeedback-r13", "lte-rrc.statusFeedback_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_statusFeedback_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_52,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_44", HFILL }},
    { &hf_lte_rrc_statusPDU_TypeForPolling_r13,
      { "statusPDU-TypeForPolling-r13", "lte-rrc.statusPDU_TypeForPolling_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_statusPDU_TypeForPolling_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_statusPDU_Periodicity_Type1_r13,
      { "statusPDU-Periodicity-Type1-r13", "lte-rrc.statusPDU_Periodicity_Type1_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_statusPDU_Periodicity_Type1_r13_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_statusPDU_Periodicity_Type2_r13,
      { "statusPDU-Periodicity-Type2-r13", "lte-rrc.statusPDU_Periodicity_Type2_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_statusPDU_Periodicity_Type2_r13_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_statusPDU_Periodicity_Offset_r13,
      { "statusPDU-Periodicity-Offset-r13", "lte-rrc.statusPDU_Periodicity_Offset_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_statusPDU_Periodicity_Offset_r13_vals), 0,
        "T_statusPDU_Periodicity_Offset_r13", HFILL }},
    { &hf_lte_rrc_ul_LWA_Config_r14,
      { "ul-LWA-Config-r14", "lte-rrc.ul_LWA_Config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_LWA_Config_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_53,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_45", HFILL }},
    { &hf_lte_rrc_ul_LWA_DRB_ViaWLAN_r14,
      { "ul-LWA-DRB-ViaWLAN-r14", "lte-rrc.ul_LWA_DRB_ViaWLAN_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ul_LWA_DataSplitThreshold_r14,
      { "ul-LWA-DataSplitThreshold-r14", "lte-rrc.ul_LWA_DataSplitThreshold_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_LWA_DataSplitThreshold_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkOnlyHeaderCompression_r14,
      { "uplinkOnlyHeaderCompression-r14", "lte-rrc.uplinkOnlyHeaderCompression_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_uplinkOnlyHeaderCompression_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_notUsed_r14,
      { "notUsed-r14", "lte-rrc.notUsed_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rohc_r14,
      { "rohc-r14", "lte-rrc.rohc_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxCID_r14,
      { "maxCID-r14", "lte-rrc.maxCID_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_16383", HFILL }},
    { &hf_lte_rrc_profiles_r14,
      { "profiles-r14", "lte-rrc.profiles_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_profile0x0006_r14,
      { "profile0x0006-r14", "lte-rrc.profile0x0006_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_referenceSignalPower,
      { "referenceSignalPower", "lte-rrc.referenceSignalPower",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M60_50", HFILL }},
    { &hf_lte_rrc_p_b,
      { "p-b", "lte-rrc.p_b",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_pdsch_maxNumRepetitionCEmodeA_r13,
      { "pdsch-maxNumRepetitionCEmodeA-r13", "lte-rrc.pdsch_maxNumRepetitionCEmodeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdsch_maxNumRepetitionCEmodeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_maxNumRepetitionCEmodeB_r13,
      { "pdsch-maxNumRepetitionCEmodeB-r13", "lte-rrc.pdsch_maxNumRepetitionCEmodeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdsch_maxNumRepetitionCEmodeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p_a,
      { "p-a", "lte-rrc.p_a",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_p_a_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dmrs_ConfigPDSCH_r11,
      { "dmrs-ConfigPDSCH-r11", "lte-rrc.dmrs_ConfigPDSCH_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DMRS_Config_r11_vals), 0,
        "DMRS_Config_r11", HFILL }},
    { &hf_lte_rrc_qcl_Operation,
      { "qcl-Operation", "lte-rrc.qcl_Operation",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_qcl_Operation_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_re_MappingQCLConfigToReleaseList_r11,
      { "re-MappingQCLConfigToReleaseList-r11", "lte-rrc.re_MappingQCLConfigToReleaseList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_re_MappingQCLConfigToAddModList_r11,
      { "re-MappingQCLConfigToAddModList-r11", "lte-rrc.re_MappingQCLConfigToAddModList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tbsIndexAlt_r12,
      { "tbsIndexAlt-r12", "lte-rrc.tbsIndexAlt_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tbsIndexAlt_r12_vals), 0,
        "T_tbsIndexAlt_r12", HFILL }},
    { &hf_lte_rrc_dmrs_ConfigPDSCH_v1310,
      { "dmrs-ConfigPDSCH-v1310", "lte-rrc.dmrs_ConfigPDSCH_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DMRS_Config_v1310", HFILL }},
    { &hf_lte_rrc_ce_PDSCH_MaxBandwidth_r14,
      { "ce-PDSCH-MaxBandwidth-r14", "lte-rrc.ce_PDSCH_MaxBandwidth_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PDSCH_MaxBandwidth_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_PDSCH_TenProcesses_r14,
      { "ce-PDSCH-TenProcesses-r14", "lte-rrc.ce_PDSCH_TenProcesses_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PDSCH_TenProcesses_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_HARQ_AckBundling_r14,
      { "ce-HARQ-AckBundling-r14", "lte-rrc.ce_HARQ_AckBundling_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_HARQ_AckBundling_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_SchedulingEnhancement_r14,
      { "ce-SchedulingEnhancement-r14", "lte-rrc.ce_SchedulingEnhancement_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_SchedulingEnhancement_r14_vals), 0,
        "T_ce_SchedulingEnhancement_r14", HFILL }},
    { &hf_lte_rrc_tbsIndexAlt2_r14,
      { "tbsIndexAlt2-r14", "lte-rrc.tbsIndexAlt2_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tbsIndexAlt2_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tbsIndexAlt2_r14_01,
      { "tbsIndexAlt2-r14", "lte-rrc.tbsIndexAlt2_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tbsIndexAlt2_r14_01_vals), 0,
        "T_tbsIndexAlt2_r14_01", HFILL }},
    { &hf_lte_rrc_RE_MappingQCLConfigToAddModList_r11_item,
      { "PDSCH-RE-MappingQCL-Config-r11", "lte-rrc.PDSCH_RE_MappingQCL_Config_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_RE_MappingQCLConfigToReleaseList_r11_item,
      { "PDSCH-RE-MappingQCL-ConfigId-r11", "lte-rrc.PDSCH_RE_MappingQCL_ConfigId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_RE_MappingQCL_ConfigId_r11,
      { "pdsch-RE-MappingQCL-ConfigId-r11", "lte-rrc.pdsch_RE_MappingQCL_ConfigId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_optionalSetOfFields_r11,
      { "optionalSetOfFields-r11", "lte-rrc.optionalSetOfFields_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_crs_PortsCount_r11_01,
      { "crs-PortsCount-r11", "lte-rrc.crs_PortsCount_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crs_PortsCount_r11_01_vals), 0,
        "T_crs_PortsCount_r11_01", HFILL }},
    { &hf_lte_rrc_crs_FreqShift_r11,
      { "crs-FreqShift-r11", "lte-rrc.crs_FreqShift_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_5", HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_r11_01,
      { "mbsfn-SubframeConfigList-r11", "lte-rrc.mbsfn_SubframeConfigList_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbsfn_SubframeConfigList_r11_01_vals), 0,
        "T_mbsfn_SubframeConfigList_r11_01", HFILL }},
    { &hf_lte_rrc_setup_54,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_46", HFILL }},
    { &hf_lte_rrc_pdsch_Start_r11,
      { "pdsch-Start-r11", "lte-rrc.pdsch_Start_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdsch_Start_r11_vals), 0,
        "T_pdsch_Start_r11", HFILL }},
    { &hf_lte_rrc_qcl_CSI_RS_ConfigNZPId_r11,
      { "qcl-CSI-RS-ConfigNZPId-r11", "lte-rrc.qcl_CSI_RS_ConfigNZPId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CSI_RS_ConfigNZPId_r11", HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_v1430_02,
      { "mbsfn-SubframeConfigList-v1430", "lte-rrc.mbsfn_SubframeConfigList_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbsfn_SubframeConfigList_v1430_01_vals), 0,
        "T_mbsfn_SubframeConfigList_v1430_01", HFILL }},
    { &hf_lte_rrc_setup_55,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_47", HFILL }},
    { &hf_lte_rrc_PerCC_GapIndicationList_r14_item,
      { "PerCC-GapIndication-r14", "lte-rrc.PerCC_GapIndication_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_servCellId_r14,
      { "servCellId-r14", "lte-rrc.servCellId_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ServCellIndex_r13", HFILL }},
    { &hf_lte_rrc_gapIndication_r14,
      { "gapIndication-r14", "lte-rrc.gapIndication_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gapIndication_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phich_Duration,
      { "phich-Duration", "lte-rrc.phich_Duration",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_phich_Duration_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phich_Resource,
      { "phich-Resource", "lte-rrc.phich_Resource",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_phich_Resource_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_ConfigDedicated,
      { "pdsch-ConfigDedicated", "lte-rrc.pdsch_ConfigDedicated_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_ConfigDedicated,
      { "pucch-ConfigDedicated", "lte-rrc.pucch_ConfigDedicated_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigDedicated,
      { "pusch-ConfigDedicated", "lte-rrc.pusch_ConfigDedicated_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicated,
      { "uplinkPowerControlDedicated", "lte-rrc.uplinkPowerControlDedicated_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tpc_PDCCH_ConfigPUCCH,
      { "tpc-PDCCH-ConfigPUCCH", "lte-rrc.tpc_PDCCH_ConfigPUCCH",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TPC_PDCCH_Config_vals), 0,
        "TPC_PDCCH_Config", HFILL }},
    { &hf_lte_rrc_tpc_PDCCH_ConfigPUSCH,
      { "tpc-PDCCH-ConfigPUSCH", "lte-rrc.tpc_PDCCH_ConfigPUSCH",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TPC_PDCCH_Config_vals), 0,
        "TPC_PDCCH_Config", HFILL }},
    { &hf_lte_rrc_cqi_ReportConfig,
      { "cqi-ReportConfig", "lte-rrc.cqi_ReportConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicated,
      { "soundingRS-UL-ConfigDedicated", "lte-rrc.soundingRS_UL_ConfigDedicated",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicated_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaInfo,
      { "antennaInfo", "lte-rrc.antennaInfo",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_antennaInfo_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_02,
      { "explicitValue", "lte-rrc.explicitValue_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated", HFILL }},
    { &hf_lte_rrc_schedulingRequestConfig,
      { "schedulingRequestConfig", "lte-rrc.schedulingRequestConfig",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SchedulingRequestConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportConfig_v920,
      { "cqi-ReportConfig-v920", "lte-rrc.cqi_ReportConfig_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaInfo_v920,
      { "antennaInfo-v920", "lte-rrc.antennaInfo_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_v920", HFILL }},
    { &hf_lte_rrc_antennaInfo_r10,
      { "antennaInfo-r10", "lte-rrc.antennaInfo_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_antennaInfo_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_r10,
      { "explicitValue-r10", "lte-rrc.explicitValue_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_r10", HFILL }},
    { &hf_lte_rrc_antennaInfoUL_r10,
      { "antennaInfoUL-r10", "lte-rrc.antennaInfoUL_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportConfig_r10,
      { "cqi-ReportConfig-r10", "lte-rrc.cqi_ReportConfig_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_Config_r10,
      { "csi-RS-Config-r10", "lte-rrc.csi_RS_Config_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_ConfigDedicated_v1020,
      { "pucch-ConfigDedicated-v1020", "lte-rrc.pucch_ConfigDedicated_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigDedicated_v1020,
      { "pusch-ConfigDedicated-v1020", "lte-rrc.pusch_ConfigDedicated_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_schedulingRequestConfig_v1020,
      { "schedulingRequestConfig-v1020", "lte-rrc.schedulingRequestConfig_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicated_v1020,
      { "soundingRS-UL-ConfigDedicated-v1020", "lte-rrc.soundingRS_UL_ConfigDedicated_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_r10,
      { "soundingRS-UL-ConfigDedicatedAperiodic-r10", "lte-rrc.soundingRS_UL_ConfigDedicatedAperiodic_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicated_v1020,
      { "uplinkPowerControlDedicated-v1020", "lte-rrc.uplinkPowerControlDedicated_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmissionCA_r10,
      { "additionalSpectrumEmissionCA-r10", "lte-rrc.additionalSpectrumEmissionCA_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_additionalSpectrumEmissionCA_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_56,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_48", HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmissionPCell_r10,
      { "additionalSpectrumEmissionPCell-r10", "lte-rrc.additionalSpectrumEmissionPCell_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPToReleaseList_r11,
      { "csi-RS-ConfigNZPToReleaseList-r11", "lte-rrc.csi_RS_ConfigNZPToReleaseList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPToAddModList_r11,
      { "csi-RS-ConfigNZPToAddModList-r11", "lte-rrc.csi_RS_ConfigNZPToAddModList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigZPToReleaseList_r11,
      { "csi-RS-ConfigZPToReleaseList-r11", "lte-rrc.csi_RS_ConfigZPToReleaseList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigZPToAddModList_r11,
      { "csi-RS-ConfigZPToAddModList-r11", "lte-rrc.csi_RS_ConfigZPToAddModList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_epdcch_Config_r11,
      { "epdcch-Config-r11", "lte-rrc.epdcch_Config_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_ConfigDedicated_v1130,
      { "pdsch-ConfigDedicated-v1130", "lte-rrc.pdsch_ConfigDedicated_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportConfig_v1130,
      { "cqi-ReportConfig-v1130", "lte-rrc.cqi_ReportConfig_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_ConfigDedicated_v1130,
      { "pucch-ConfigDedicated-v1130", "lte-rrc.pucch_ConfigDedicated_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigDedicated_v1130,
      { "pusch-ConfigDedicated-v1130", "lte-rrc.pusch_ConfigDedicated_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicated_v1130,
      { "uplinkPowerControlDedicated-v1130", "lte-rrc.uplinkPowerControlDedicated_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaInfo_v1250,
      { "antennaInfo-v1250", "lte-rrc.antennaInfo_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_v1250", HFILL }},
    { &hf_lte_rrc_eimta_MainConfig_r12,
      { "eimta-MainConfig-r12", "lte-rrc.eimta_MainConfig_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_EIMTA_MainConfig_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eimta_MainConfigPCell_r12,
      { "eimta-MainConfigPCell-r12", "lte-rrc.eimta_MainConfigPCell_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_EIMTA_MainConfigServCell_r12_vals), 0,
        "EIMTA_MainConfigServCell_r12", HFILL }},
    { &hf_lte_rrc_pucch_ConfigDedicated_v1250,
      { "pucch-ConfigDedicated-v1250", "lte-rrc.pucch_ConfigDedicated_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportConfigPCell_v1250,
      { "cqi-ReportConfigPCell-v1250", "lte-rrc.cqi_ReportConfigPCell_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CQI_ReportConfig_v1250", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicated_v1250,
      { "uplinkPowerControlDedicated-v1250", "lte-rrc.uplinkPowerControlDedicated_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigDedicated_v1250,
      { "pusch-ConfigDedicated-v1250", "lte-rrc.pusch_ConfigDedicated_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_Config_v1250,
      { "csi-RS-Config-v1250", "lte-rrc.csi_RS_Config_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_ConfigDedicated_v1280,
      { "pdsch-ConfigDedicated-v1280", "lte-rrc.pdsch_ConfigDedicated_v1280_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_ConfigDedicated_v1310,
      { "pdsch-ConfigDedicated-v1310", "lte-rrc.pdsch_ConfigDedicated_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_ConfigDedicated_r13,
      { "pucch-ConfigDedicated-r13", "lte-rrc.pucch_ConfigDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigDedicated_r13,
      { "pusch-ConfigDedicated-r13", "lte-rrc.pusch_ConfigDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcch_CandidateReductions_r13,
      { "pdcch-CandidateReductions-r13", "lte-rrc.pdcch_CandidateReductions_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PDCCH_CandidateReductions_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportConfig_v1310,
      { "cqi-ReportConfig-v1310", "lte-rrc.cqi_ReportConfig_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicated_v1310,
      { "soundingRS-UL-ConfigDedicated-v1310", "lte-rrc.soundingRS_UL_ConfigDedicated_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicated_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedUpPTsExt_r13,
      { "soundingRS-UL-ConfigDedicatedUpPTsExt-r13", "lte-rrc.soundingRS_UL_ConfigDedicatedUpPTsExt_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_v1310,
      { "soundingRS-UL-ConfigDedicatedAperiodic-v1310", "lte-rrc.soundingRS_UL_ConfigDedicatedAperiodic_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13,
      { "soundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13", "lte-rrc.soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_Config_v1310,
      { "csi-RS-Config-v1310", "lte-rrc.csi_RS_Config_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_Mode_r13,
      { "ce-Mode-r13", "lte-rrc.ce_Mode_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_Mode_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_57,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_49_vals), 0,
        "T_setup_49", HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPToAddModListExt_r13,
      { "csi-RS-ConfigNZPToAddModListExt-r13", "lte-rrc.csi_RS_ConfigNZPToAddModListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigNZPToReleaseListExt_r13,
      { "csi-RS-ConfigNZPToReleaseListExt-r13", "lte-rrc.csi_RS_ConfigNZPToReleaseListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportConfig_v1320,
      { "cqi-ReportConfig-v1320", "lte-rrc.cqi_ReportConfig_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_typeA_SRS_TPC_PDCCH_Group_r14,
      { "typeA-SRS-TPC-PDCCH-Group-r14", "lte-rrc.typeA_SRS_TPC_PDCCH_Group_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_typeA_SRS_TPC_PDCCH_Group_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_58,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14", HFILL }},
    { &hf_lte_rrc_setup_item_02,
      { "SRS-TPC-PDCCH-Config-r14", "lte-rrc.SRS_TPC_PDCCH_Config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SRS_TPC_PDCCH_Config_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_must_Config_r14,
      { "must-Config-r14", "lte-rrc.must_Config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_must_Config_r14_vals), 0,
        "T_must_Config_r14", HFILL }},
    { &hf_lte_rrc_setup_59,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_50", HFILL }},
    { &hf_lte_rrc_k_max_r14,
      { "k-max-r14", "lte-rrc.k_max_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_k_max_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p_a_must_r14,
      { "p-a-must-r14", "lte-rrc.p_a_must_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_p_a_must_r14_vals), 0,
        "T_p_a_must_r14", HFILL }},
    { &hf_lte_rrc_pusch_EnhancementsConfig_r14,
      { "pusch-EnhancementsConfig-r14", "lte-rrc.pusch_EnhancementsConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PUSCH_EnhancementsConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_pdsch_pusch_EnhancementConfig_r14,
      { "ce-pdsch-pusch-EnhancementConfig-r14", "lte-rrc.ce_pdsch_pusch_EnhancementConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_pdsch_pusch_EnhancementConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaInfo_v1430,
      { "antennaInfo-v1430", "lte-rrc.antennaInfo_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_v1430", HFILL }},
    { &hf_lte_rrc_pucch_ConfigDedicated_v1430,
      { "pucch-ConfigDedicated-v1430", "lte-rrc.pucch_ConfigDedicated_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_ConfigDedicated_v1430,
      { "pdsch-ConfigDedicated-v1430", "lte-rrc.pdsch_ConfigDedicated_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigDedicated_v1430,
      { "pusch-ConfigDedicated-v1430", "lte-rrc.pusch_ConfigDedicated_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedList_r14,
      { "soundingRS-UL-PeriodicConfigDedicatedList-r14", "lte-rrc.soundingRS_UL_PeriodicConfigDedicatedList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated", HFILL }},
    { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedList_r14_item,
      { "SoundingRS-UL-ConfigDedicated", "lte-rrc.SoundingRS_UL_ConfigDedicated",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicated_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedUpPTsExtList_r14,
      { "soundingRS-UL-PeriodicConfigDedicatedUpPTsExtList-r14", "lte-rrc.soundingRS_UL_PeriodicConfigDedicatedUpPTsExtList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13", HFILL }},
    { &hf_lte_rrc_soundingRS_UL_PeriodicConfigDedicatedUpPTsExtList_r14_item,
      { "SoundingRS-UL-ConfigDedicatedUpPTsExt-r13", "lte-rrc.SoundingRS_UL_ConfigDedicatedUpPTsExt_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14,
      { "soundingRS-UL-AperiodicConfigDedicatedList-r14", "lte-rrc.soundingRS_UL_AperiodicConfigDedicatedList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10", HFILL }},
    { &hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_item,
      { "SoundingRS-UL-ConfigDedicatedAperiodic-r10", "lte-rrc.SoundingRS_UL_ConfigDedicatedAperiodic_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14,
      { "soundingRS-UL-ConfigDedicatedApUpPTsExtList-r14", "lte-rrc.soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13", HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_item,
      { "SoundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13", "lte-rrc.SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_Config_v1430,
      { "csi-RS-Config-v1430", "lte-rrc.csi_RS_Config_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_ConfigZP_ApList_r14,
      { "csi-RS-ConfigZP-ApList-r14", "lte-rrc.csi_RS_ConfigZP_ApList_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CSI_RS_ConfigZP_ApList_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportConfig_v1430,
      { "cqi-ReportConfig-v1430", "lte-rrc.cqi_ReportConfig_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_semiOpenLoop_r14,
      { "semiOpenLoop-r14", "lte-rrc.semiOpenLoop_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_pucch_ConfigDedicated_v1370,
      { "pucch-ConfigDedicated-v1370", "lte-rrc.pucch_ConfigDedicated_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonUL_Configuration_r10,
      { "nonUL-Configuration-r10", "lte-rrc.nonUL_Configuration_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaInfo_r10_01,
      { "antennaInfo-r10", "lte-rrc.antennaInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoDedicated_r10", HFILL }},
    { &hf_lte_rrc_crossCarrierSchedulingConfig_r10,
      { "crossCarrierSchedulingConfig-r10", "lte-rrc.crossCarrierSchedulingConfig_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_ConfigDedicated_r10,
      { "pdsch-ConfigDedicated-r10", "lte-rrc.pdsch_ConfigDedicated_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PDSCH_ConfigDedicated", HFILL }},
    { &hf_lte_rrc_ul_Configuration_r10,
      { "ul-Configuration-r10", "lte-rrc.ul_Configuration_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigDedicatedSCell_r10,
      { "pusch-ConfigDedicatedSCell-r10", "lte-rrc.pusch_ConfigDedicatedSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicatedSCell_r10,
      { "uplinkPowerControlDedicatedSCell-r10", "lte-rrc.uplinkPowerControlDedicatedSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cqi_ReportConfigSCell_r10,
      { "cqi-ReportConfigSCell-r10", "lte-rrc.cqi_ReportConfigSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicated_r10,
      { "soundingRS-UL-ConfigDedicated-r10", "lte-rrc.soundingRS_UL_ConfigDedicated_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicated_vals), 0,
        "SoundingRS_UL_ConfigDedicated", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicatedSCell_v1130,
      { "uplinkPowerControlDedicatedSCell-v1130", "lte-rrc.uplinkPowerControlDedicatedSCell_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UplinkPowerControlDedicated_v1130", HFILL }},
    { &hf_lte_rrc_eimta_MainConfigSCell_r12,
      { "eimta-MainConfigSCell-r12", "lte-rrc.eimta_MainConfigSCell_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_EIMTA_MainConfigServCell_r12_vals), 0,
        "EIMTA_MainConfigServCell_r12", HFILL }},
    { &hf_lte_rrc_cqi_ReportConfigSCell_v1250,
      { "cqi-ReportConfigSCell-v1250", "lte-rrc.cqi_ReportConfigSCell_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CQI_ReportConfig_v1250", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicatedSCell_v1250,
      { "uplinkPowerControlDedicatedSCell-v1250", "lte-rrc.uplinkPowerControlDedicatedSCell_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UplinkPowerControlDedicated_v1250", HFILL }},
    { &hf_lte_rrc_pucch_Cell_r13,
      { "pucch-Cell-r13", "lte-rrc.pucch_Cell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_Cell_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_SCell,
      { "pucch-SCell", "lte-rrc.pucch_SCell",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_SCell_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_60,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_51", HFILL }},
    { &hf_lte_rrc_schedulingRequestConfig_r13,
      { "schedulingRequestConfig-r13", "lte-rrc.schedulingRequestConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SchedulingRequestConfigSCell_r13_vals), 0,
        "SchedulingRequestConfigSCell_r13", HFILL }},
    { &hf_lte_rrc_tpc_PDCCH_ConfigPUCCH_SCell_r13,
      { "tpc-PDCCH-ConfigPUCCH-SCell-r13", "lte-rrc.tpc_PDCCH_ConfigPUCCH_SCell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TPC_PDCCH_ConfigSCell_r13_vals), 0,
        "TPC_PDCCH_ConfigSCell_r13", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicated_r13,
      { "uplinkPowerControlDedicated-r13", "lte-rrc.uplinkPowerControlDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UplinkPowerControlDedicatedSCell_v1310", HFILL }},
    { &hf_lte_rrc_crossCarrierSchedulingConfig_r13,
      { "crossCarrierSchedulingConfig-r13", "lte-rrc.crossCarrierSchedulingConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcch_ConfigSCell_r13,
      { "pdcch-ConfigSCell-r13", "lte-rrc.pdcch_ConfigSCell_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_laa_SCellConfiguration_r13,
      { "laa-SCellConfiguration-r13", "lte-rrc.laa_SCellConfiguration_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_laa_SCellConfiguration_v1430,
      { "laa-SCellConfiguration-v1430", "lte-rrc.laa_SCellConfiguration_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_typeB_SRS_TPC_PDCCH_Config_r14,
      { "typeB-SRS-TPC-PDCCH-Config-r14", "lte-rrc.typeB_SRS_TPC_PDCCH_Config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SRS_TPC_PDCCH_Config_r14_vals), 0,
        "SRS_TPC_PDCCH_Config_r14", HFILL }},
    { &hf_lte_rrc_uplinkPUSCH_LessPowerControlDedicated_v1430,
      { "uplinkPUSCH-LessPowerControlDedicated-v1430", "lte-rrc.uplinkPUSCH_LessPowerControlDedicated_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_01,
      { "soundingRS-UL-AperiodicConfigDedicatedList-r14", "lte-rrc.soundingRS_UL_AperiodicConfigDedicatedList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14", HFILL }},
    { &hf_lte_rrc_soundingRS_UL_AperiodicConfigDedicatedList_r14_item_01,
      { "SoundingRS-AperiodicSet-r14", "lte-rrc.SoundingRS_AperiodicSet_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_01,
      { "soundingRS-UL-ConfigDedicatedApUpPTsExtList-r14", "lte-rrc.soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14", HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedApUpPTsExtList_r14_item_01,
      { "SoundingRS-AperiodicSetUpPTsExt-r14", "lte-rrc.SoundingRS_AperiodicSetUpPTsExt_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_must_Config_r14_01,
      { "must-Config-r14", "lte-rrc.must_Config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_must_Config_r14_01_vals), 0,
        "T_must_Config_r14_01", HFILL }},
    { &hf_lte_rrc_setup_61,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_52", HFILL }},
    { &hf_lte_rrc_k_max_r14_01,
      { "k-max-r14", "lte-rrc.k_max_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_k_max_r14_01_vals), 0,
        "T_k_max_r14_01", HFILL }},
    { &hf_lte_rrc_p_a_must_r14_01,
      { "p-a-must-r14", "lte-rrc.p_a_must_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_p_a_must_r14_01_vals), 0,
        "T_p_a_must_r14_01", HFILL }},
    { &hf_lte_rrc_pusch_ConfigDedicated_v1430_01,
      { "pusch-ConfigDedicated-v1430", "lte-rrc.pusch_ConfigDedicated_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PUSCH_ConfigDedicatedSCell_v1430", HFILL }},
    { &hf_lte_rrc_pdsch_ConfigDedicatedSCell_v1430,
      { "pdsch-ConfigDedicatedSCell-v1430", "lte-rrc.pdsch_ConfigDedicatedSCell_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_SCell_v1370,
      { "pucch-SCell-v1370", "lte-rrc.pucch_SCell_v1370",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_SCell_v1370_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_62,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_53", HFILL }},
    { &hf_lte_rrc_subframeStartPosition_r13,
      { "subframeStartPosition-r13", "lte-rrc.subframeStartPosition_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframeStartPosition_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_laa_SCellSubframeConfig_r13,
      { "laa-SCellSubframeConfig-r13", "lte-rrc.laa_SCellSubframeConfig_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_crossCarrierSchedulingConfig_UL_r14,
      { "crossCarrierSchedulingConfig-UL-r14", "lte-rrc.crossCarrierSchedulingConfig_UL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crossCarrierSchedulingConfig_UL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_63,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_54", HFILL }},
    { &hf_lte_rrc_crossCarrierSchedulingConfigLAA_UL_r14,
      { "crossCarrierSchedulingConfigLAA-UL-r14", "lte-rrc.crossCarrierSchedulingConfigLAA_UL_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lbt_Config_r14,
      { "lbt-Config-r14", "lte-rrc.lbt_Config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_LBT_Config_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcch_ConfigLAA_r14,
      { "pdcch-ConfigLAA-r14", "lte-rrc.pdcch_ConfigLAA_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_absenceOfAnyOtherTechnology_r14,
      { "absenceOfAnyOtherTechnology-r14", "lte-rrc.absenceOfAnyOtherTechnology_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_absenceOfAnyOtherTechnology_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_v1430,
      { "soundingRS-UL-ConfigDedicatedAperiodic-v1430", "lte-rrc.soundingRS_UL_ConfigDedicatedAperiodic_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxEnergyDetectionThreshold_r14,
      { "maxEnergyDetectionThreshold-r14", "lte-rrc.maxEnergyDetectionThreshold_r14",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M85_M52", HFILL }},
    { &hf_lte_rrc_energyDetectionThresholdOffset_r14,
      { "energyDetectionThresholdOffset-r14", "lte-rrc.energyDetectionThresholdOffset_r14",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M13_20", HFILL }},
    { &hf_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11_item,
      { "CSI-RS-ConfigNZP-r11", "lte-rrc.CSI_RS_ConfigNZP_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13_item,
      { "CSI-RS-ConfigNZP-r11", "lte-rrc.CSI_RS_ConfigNZP_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11_item,
      { "CSI-RS-ConfigNZPId-r11", "lte-rrc.CSI_RS_ConfigNZPId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13_item,
      { "CSI-RS-ConfigNZPId-v1310", "lte-rrc.CSI_RS_ConfigNZPId_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_RS_ConfigZPToAddModList_r11_item,
      { "CSI-RS-ConfigZP-r11", "lte-rrc.CSI_RS_ConfigZP_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11_item,
      { "CSI-RS-ConfigZPId-r11", "lte-rrc.CSI_RS_ConfigZPId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_CC_SetIndexList_r14,
      { "srs-CC-SetIndexList-r14", "lte-rrc.srs_CC_SetIndexList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14", HFILL }},
    { &hf_lte_rrc_srs_CC_SetIndexList_r14_item,
      { "SRS-CC-SetIndex-r14", "lte-rrc.SRS_CC_SetIndex_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodic_r14,
      { "soundingRS-UL-ConfigDedicatedAperiodic-r14", "lte-rrc.soundingRS_UL_ConfigDedicatedAperiodic_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10_vals), 0,
        "SoundingRS_UL_ConfigDedicatedAperiodic_r10", HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r14,
      { "soundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r14", "lte-rrc.soundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13_vals), 0,
        "SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13", HFILL }},
    { &hf_lte_rrc_rootSequenceIndex,
      { "rootSequenceIndex", "lte-rrc.rootSequenceIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_837", HFILL }},
    { &hf_lte_rrc_prach_ConfigInfo,
      { "prach-ConfigInfo", "lte-rrc.prach_ConfigInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrp_ThresholdsPrachInfoList_r13,
      { "rsrp-ThresholdsPrachInfoList-r13", "lte-rrc.rsrp_ThresholdsPrachInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_startSF_CSS_RA_r13,
      { "mpdcch-startSF-CSS-RA-r13", "lte-rrc.mpdcch_startSF_CSS_RA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_startSF_CSS_RA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_r13_01,
      { "fdd-r13", "lte-rrc.fdd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fdd_r13_01_vals), 0,
        "T_fdd_r13_01", HFILL }},
    { &hf_lte_rrc_tdd_r13_01,
      { "tdd-r13", "lte-rrc.tdd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_r13_01_vals), 0,
        "T_tdd_r13_01", HFILL }},
    { &hf_lte_rrc_prach_HoppingOffset_r13,
      { "prach-HoppingOffset-r13", "lte-rrc.prach_HoppingOffset_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_94", HFILL }},
    { &hf_lte_rrc_prach_ParametersListCE_r13,
      { "prach-ParametersListCE-r13", "lte-rrc.prach_ParametersListCE_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_startSF_CSS_RA_r13_01,
      { "mpdcch-startSF-CSS-RA-r13", "lte-rrc.mpdcch_startSF_CSS_RA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_startSF_CSS_RA_r13_01_vals), 0,
        "T_mpdcch_startSF_CSS_RA_r13_01", HFILL }},
    { &hf_lte_rrc_fdd_r13_02,
      { "fdd-r13", "lte-rrc.fdd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fdd_r13_02_vals), 0,
        "T_fdd_r13_02", HFILL }},
    { &hf_lte_rrc_tdd_r13_02,
      { "tdd-r13", "lte-rrc.tdd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_r13_02_vals), 0,
        "T_tdd_r13_02", HFILL }},
    { &hf_lte_rrc_initial_CE_level_r13,
      { "initial-CE-level-r13", "lte-rrc.initial_CE_level_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_rootSequenceIndexHighSpeed_r14,
      { "rootSequenceIndexHighSpeed-r14", "lte-rrc.rootSequenceIndexHighSpeed_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_837", HFILL }},
    { &hf_lte_rrc_zeroCorrelationZoneConfigHighSpeed_r14,
      { "zeroCorrelationZoneConfigHighSpeed-r14", "lte-rrc.zeroCorrelationZoneConfigHighSpeed_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_12", HFILL }},
    { &hf_lte_rrc_prach_ConfigIndexHighSpeed_r14,
      { "prach-ConfigIndexHighSpeed-r14", "lte-rrc.prach_ConfigIndexHighSpeed_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_prach_FreqOffsetHighSpeed_r14,
      { "prach-FreqOffsetHighSpeed-r14", "lte-rrc.prach_FreqOffsetHighSpeed_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_94", HFILL }},
    { &hf_lte_rrc_prach_ConfigIndex_r10,
      { "prach-ConfigIndex-r10", "lte-rrc.prach_ConfigIndex_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_prach_ConfigIndex,
      { "prach-ConfigIndex", "lte-rrc.prach_ConfigIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_highSpeedFlag,
      { "highSpeedFlag", "lte-rrc.highSpeedFlag",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_zeroCorrelationZoneConfig,
      { "zeroCorrelationZoneConfig", "lte-rrc.zeroCorrelationZoneConfig",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_prach_FreqOffset,
      { "prach-FreqOffset", "lte-rrc.prach_FreqOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_94", HFILL }},
    { &hf_lte_rrc_PRACH_ParametersListCE_r13_item,
      { "PRACH-ParametersCE-r13", "lte-rrc.PRACH_ParametersCE_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_ConfigIndex_r13,
      { "prach-ConfigIndex-r13", "lte-rrc.prach_ConfigIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_prach_FreqOffset_r13,
      { "prach-FreqOffset-r13", "lte-rrc.prach_FreqOffset_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_94", HFILL }},
    { &hf_lte_rrc_prach_StartingSubframe_r13,
      { "prach-StartingSubframe-r13", "lte-rrc.prach_StartingSubframe_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_prach_StartingSubframe_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxNumPreambleAttemptCE_r13,
      { "maxNumPreambleAttemptCE-r13", "lte-rrc.maxNumPreambleAttemptCE_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxNumPreambleAttemptCE_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_numRepetitionPerPreambleAttempt_r13,
      { "numRepetitionPerPreambleAttempt-r13", "lte-rrc.numRepetitionPerPreambleAttempt_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_numRepetitionPerPreambleAttempt_r13_vals), 0,
        "T_numRepetitionPerPreambleAttempt_r13", HFILL }},
    { &hf_lte_rrc_mpdcch_NarrowbandsToMonitor_r13,
      { "mpdcch-NarrowbandsToMonitor-r13", "lte-rrc.mpdcch_NarrowbandsToMonitor_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_NarrowbandsToMonitor_r13_item,
      { "mpdcch-NarrowbandsToMonitor-r13 item", "lte-rrc.mpdcch_NarrowbandsToMonitor_r13_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_mpdcch_NumRepetition_RA_r13,
      { "mpdcch-NumRepetition-RA-r13", "lte-rrc.mpdcch_NumRepetition_RA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_NumRepetition_RA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_HoppingConfig_r13,
      { "prach-HoppingConfig-r13", "lte-rrc.prach_HoppingConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_prach_HoppingConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_RSRP_ThresholdsPrachInfoList_r13_item,
      { "RSRP-Range", "lte-rrc.RSRP_Range",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaPUCCH_Shift,
      { "deltaPUCCH-Shift", "lte-rrc.deltaPUCCH_Shift",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaPUCCH_Shift_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nRB_CQI,
      { "nRB-CQI", "lte-rrc.nRB_CQI",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_98", HFILL }},
    { &hf_lte_rrc_nCS_AN,
      { "nCS-AN", "lte-rrc.nCS_AN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN,
      { "n1PUCCH-AN", "lte-rrc.n1PUCCH_AN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_InfoList_r13,
      { "n1PUCCH-AN-InfoList-r13", "lte-rrc.n1PUCCH_AN_InfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level0_r13,
      { "pucch-NumRepetitionCE-Msg4-Level0-r13", "lte-rrc.pucch_NumRepetitionCE_Msg4_Level0_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level0_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level1_r13,
      { "pucch-NumRepetitionCE-Msg4-Level1-r13", "lte-rrc.pucch_NumRepetitionCE_Msg4_Level1_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level1_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level2_r13,
      { "pucch-NumRepetitionCE-Msg4-Level2-r13", "lte-rrc.pucch_NumRepetitionCE_Msg4_Level2_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level2_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level3_r13,
      { "pucch-NumRepetitionCE-Msg4-Level3-r13", "lte-rrc.pucch_NumRepetitionCE_Msg4_Level3_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level3_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_Msg4_Level3_r14,
      { "pucch-NumRepetitionCE-Msg4-Level3-r14", "lte-rrc.pucch_NumRepetitionCE_Msg4_Level3_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_Msg4_Level3_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ackNackRepetition,
      { "ackNackRepetition", "lte-rrc.ackNackRepetition",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ackNackRepetition_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_64,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_55", HFILL }},
    { &hf_lte_rrc_repetitionFactor,
      { "repetitionFactor", "lte-rrc.repetitionFactor",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_repetitionFactor_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_Rep,
      { "n1PUCCH-AN-Rep", "lte-rrc.n1PUCCH_AN_Rep",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_tdd_AckNackFeedbackMode,
      { "tdd-AckNackFeedbackMode", "lte-rrc.tdd_AckNackFeedbackMode",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_AckNackFeedbackMode_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_Format_r10,
      { "pucch-Format-r10", "lte-rrc.pucch_Format_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_Format_r10_vals), 0,
        "T_pucch_Format_r10", HFILL }},
    { &hf_lte_rrc_format3_r10,
      { "format3-r10", "lte-rrc.format3_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PUCCH_Format3_Conf_r13", HFILL }},
    { &hf_lte_rrc_channelSelection_r10,
      { "channelSelection-r10", "lte-rrc.channelSelection_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_r10,
      { "n1PUCCH-AN-CS-r10", "lte-rrc.n1PUCCH_AN_CS_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n1PUCCH_AN_CS_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_65,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_56", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_List_r10,
      { "n1PUCCH-AN-CS-List-r10", "lte-rrc.n1PUCCH_AN_CS_List_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_List_r10_item,
      { "N1PUCCH-AN-CS-r10", "lte-rrc.N1PUCCH_AN_CS_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format1a1b_r10,
      { "twoAntennaPortActivatedPUCCH-Format1a1b-r10", "lte-rrc.twoAntennaPortActivatedPUCCH_Format1a1b_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoAntennaPortActivatedPUCCH_Format1a1b_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_simultaneousPUCCH_PUSCH_r10,
      { "simultaneousPUCCH-PUSCH-r10", "lte-rrc.simultaneousPUCCH_PUSCH_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_simultaneousPUCCH_PUSCH_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_RepP1_r10,
      { "n1PUCCH-AN-RepP1-r10", "lte-rrc.n1PUCCH_AN_RepP1_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_v1130,
      { "n1PUCCH-AN-CS-v1130", "lte-rrc.n1PUCCH_AN_CS_v1130",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n1PUCCH_AN_CS_v1130_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_66,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_57", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r11,
      { "n1PUCCH-AN-CS-ListP1-r11", "lte-rrc.n1PUCCH_AN_CS_ListP1_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r11_item,
      { "n1PUCCH-AN-CS-ListP1-r11 item", "lte-rrc.n1PUCCH_AN_CS_ListP1_r11_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_nPUCCH_Param_r11,
      { "nPUCCH-Param-r11", "lte-rrc.nPUCCH_Param_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nPUCCH_Param_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_67,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_58", HFILL }},
    { &hf_lte_rrc_nPUCCH_Identity_r11,
      { "nPUCCH-Identity-r11", "lte-rrc.nPUCCH_Identity_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_503", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_r11,
      { "n1PUCCH-AN-r11", "lte-rrc.n1PUCCH_AN_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_nkaPUCCH_Param_r12,
      { "nkaPUCCH-Param-r12", "lte-rrc.nkaPUCCH_Param_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nkaPUCCH_Param_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_68,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_59", HFILL }},
    { &hf_lte_rrc_nkaPUCCH_AN_r12,
      { "nkaPUCCH-AN-r12", "lte-rrc.nkaPUCCH_AN_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_ackNackRepetition_r13,
      { "ackNackRepetition-r13", "lte-rrc.ackNackRepetition_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ackNackRepetition_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_69,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_60", HFILL }},
    { &hf_lte_rrc_repetitionFactor_r13,
      { "repetitionFactor-r13", "lte-rrc.repetitionFactor_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_repetitionFactor_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_Rep_r13,
      { "n1PUCCH-AN-Rep-r13", "lte-rrc.n1PUCCH_AN_Rep_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_tdd_AckNackFeedbackMode_r13,
      { "tdd-AckNackFeedbackMode-r13", "lte-rrc.tdd_AckNackFeedbackMode_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_AckNackFeedbackMode_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_Format_r13,
      { "pucch-Format-r13", "lte-rrc.pucch_Format_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_Format_r13_vals), 0,
        "T_pucch_Format_r13", HFILL }},
    { &hf_lte_rrc_format3_r13,
      { "format3-r13", "lte-rrc.format3_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n3PUCCH_AN_List_r13,
      { "n3PUCCH-AN-List-r13", "lte-rrc.n3PUCCH_AN_List_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "T_n3PUCCH_AN_List_r13", HFILL }},
    { &hf_lte_rrc_n3PUCCH_AN_List_r13_item,
      { "n3PUCCH-AN-List-r13 item", "lte-rrc.n3PUCCH_AN_List_r13_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_549", HFILL }},
    { &hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format3_r13,
      { "twoAntennaPortActivatedPUCCH-Format3-r13", "lte-rrc.twoAntennaPortActivatedPUCCH_Format3_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_70,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_61", HFILL }},
    { &hf_lte_rrc_n3PUCCH_AN_ListP1_r13,
      { "n3PUCCH-AN-ListP1-r13", "lte-rrc.n3PUCCH_AN_ListP1_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n3PUCCH_AN_ListP1_r13_item,
      { "n3PUCCH-AN-ListP1-r13 item", "lte-rrc.n3PUCCH_AN_ListP1_r13_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_549", HFILL }},
    { &hf_lte_rrc_channelSelection_r13,
      { "channelSelection-r13", "lte-rrc.channelSelection_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_r13,
      { "n1PUCCH-AN-CS-r13", "lte-rrc.n1PUCCH_AN_CS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n1PUCCH_AN_CS_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_71,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_62", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_List_r13,
      { "n1PUCCH-AN-CS-List-r13", "lte-rrc.n1PUCCH_AN_CS_List_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_List_r13_item,
      { "N1PUCCH-AN-CS-r10", "lte-rrc.N1PUCCH_AN_CS_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r13,
      { "n1PUCCH-AN-CS-ListP1-r13", "lte-rrc.n1PUCCH_AN_CS_ListP1_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_CS_ListP1_r13_item,
      { "n1PUCCH-AN-CS-ListP1-r13 item", "lte-rrc.n1PUCCH_AN_CS_ListP1_r13_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_format4_r13,
      { "format4-r13", "lte-rrc.format4_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_format4_resourceConfiguration_r13,
      { "format4-resourceConfiguration-r13", "lte-rrc.format4_resourceConfiguration_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_4_OF_Format4_resource_r13", HFILL }},
    { &hf_lte_rrc_format4_resourceConfiguration_r13_item,
      { "Format4-resource-r13", "lte-rrc.Format4_resource_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_format4_MultiCSI_resourceConfiguration_r13,
      { "format4-MultiCSI-resourceConfiguration-r13", "lte-rrc.format4_MultiCSI_resourceConfiguration_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_2_OF_Format4_resource_r13", HFILL }},
    { &hf_lte_rrc_format4_MultiCSI_resourceConfiguration_r13_item,
      { "Format4-resource-r13", "lte-rrc.Format4_resource_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_format5_r13,
      { "format5-r13", "lte-rrc.format5_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_format5_resourceConfiguration_r13,
      { "format5-resourceConfiguration-r13", "lte-rrc.format5_resourceConfiguration_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_4_OF_Format5_resource_r13", HFILL }},
    { &hf_lte_rrc_format5_resourceConfiguration_r13_item,
      { "Format5-resource-r13", "lte-rrc.Format5_resource_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_format5_MultiCSI_resourceConfiguration_r13,
      { "format5-MultiCSI-resourceConfiguration-r13", "lte-rrc.format5_MultiCSI_resourceConfiguration_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Format5_resource_r13", HFILL }},
    { &hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format1a1b_r13,
      { "twoAntennaPortActivatedPUCCH-Format1a1b-r13", "lte-rrc.twoAntennaPortActivatedPUCCH_Format1a1b_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoAntennaPortActivatedPUCCH_Format1a1b_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_simultaneousPUCCH_PUSCH_r13,
      { "simultaneousPUCCH-PUSCH-r13", "lte-rrc.simultaneousPUCCH_PUSCH_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_simultaneousPUCCH_PUSCH_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_RepP1_r13,
      { "n1PUCCH-AN-RepP1-r13", "lte-rrc.n1PUCCH_AN_RepP1_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_nPUCCH_Param_r13,
      { "nPUCCH-Param-r13", "lte-rrc.nPUCCH_Param_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nPUCCH_Param_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_72,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_63", HFILL }},
    { &hf_lte_rrc_nPUCCH_Identity_r13,
      { "nPUCCH-Identity-r13", "lte-rrc.nPUCCH_Identity_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_503", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_r13,
      { "n1PUCCH-AN-r13", "lte-rrc.n1PUCCH_AN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_nkaPUCCH_Param_r13,
      { "nkaPUCCH-Param-r13", "lte-rrc.nkaPUCCH_Param_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nkaPUCCH_Param_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_73,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_64", HFILL }},
    { &hf_lte_rrc_nkaPUCCH_AN_r13,
      { "nkaPUCCH-AN-r13", "lte-rrc.nkaPUCCH_AN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_spatialBundlingPUCCH_r13,
      { "spatialBundlingPUCCH-r13", "lte-rrc.spatialBundlingPUCCH_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_spatialBundlingPUSCH_r13,
      { "spatialBundlingPUSCH-r13", "lte-rrc.spatialBundlingPUSCH_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_harq_TimingTDD_r13,
      { "harq-TimingTDD-r13", "lte-rrc.harq_TimingTDD_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_codebooksizeDetermination_r13,
      { "codebooksizeDetermination-r13", "lte-rrc.codebooksizeDetermination_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_codebooksizeDetermination_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maximumPayloadCoderate_r13,
      { "maximumPayloadCoderate-r13", "lte-rrc.maximumPayloadCoderate_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_r13,
      { "pucch-NumRepetitionCE-r13", "lte-rrc.pucch_NumRepetitionCE_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_74,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_65_vals), 0,
        "T_setup_65", HFILL }},
    { &hf_lte_rrc_modeA,
      { "modeA", "lte-rrc.modeA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_format1_r13,
      { "pucch-NumRepetitionCE-format1-r13", "lte-rrc.pucch_NumRepetitionCE_format1_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_format1_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_format2_r13,
      { "pucch-NumRepetitionCE-format2-r13", "lte-rrc.pucch_NumRepetitionCE_format2_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_format2_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modeB,
      { "modeB", "lte-rrc.modeB_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_format1_r13_01,
      { "pucch-NumRepetitionCE-format1-r13", "lte-rrc.pucch_NumRepetitionCE_format1_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_format1_r13_01_vals), 0,
        "T_pucch_NumRepetitionCE_format1_r13_01", HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_format2_r13_01,
      { "pucch-NumRepetitionCE-format2-r13", "lte-rrc.pucch_NumRepetitionCE_format2_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_format2_r13_01_vals), 0,
        "T_pucch_NumRepetitionCE_format2_r13_01", HFILL }},
    { &hf_lte_rrc_pucch_Format_v1370,
      { "pucch-Format-v1370", "lte-rrc.pucch_Format_v1370",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_Format_v1370_vals), 0,
        "T_pucch_Format_v1370", HFILL }},
    { &hf_lte_rrc_setup_75,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PUCCH_Format3_Conf_r13", HFILL }},
    { &hf_lte_rrc_n3PUCCH_AN_List_r13_01,
      { "n3PUCCH-AN-List-r13", "lte-rrc.n3PUCCH_AN_List_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "T_n3PUCCH_AN_List_r13_01", HFILL }},
    { &hf_lte_rrc_twoAntennaPortActivatedPUCCH_Format3_r13_01,
      { "twoAntennaPortActivatedPUCCH-Format3-r13", "lte-rrc.twoAntennaPortActivatedPUCCH_Format3_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_01_vals), 0,
        "T_twoAntennaPortActivatedPUCCH_Format3_r13_01", HFILL }},
    { &hf_lte_rrc_setup_76,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_66", HFILL }},
    { &hf_lte_rrc_n3PUCCH_AN_ListP1_r13_01,
      { "n3PUCCH-AN-ListP1-r13", "lte-rrc.n3PUCCH_AN_ListP1_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "T_n3PUCCH_AN_ListP1_r13_01", HFILL }},
    { &hf_lte_rrc_pucch_NumRepetitionCE_format1_r14,
      { "pucch-NumRepetitionCE-format1-r14", "lte-rrc.pucch_NumRepetitionCE_format1_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_NumRepetitionCE_format1_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_startingPRB_format4_r13,
      { "startingPRB-format4-r13", "lte-rrc.startingPRB_format4_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_109", HFILL }},
    { &hf_lte_rrc_numberOfPRB_format4_r13,
      { "numberOfPRB-format4-r13", "lte-rrc.numberOfPRB_format4_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_startingPRB_format5_r13,
      { "startingPRB-format5-r13", "lte-rrc.startingPRB_format5_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_109", HFILL }},
    { &hf_lte_rrc_cdm_index_format5_r13,
      { "cdm-index-format5-r13", "lte-rrc.cdm_index_format5_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1", HFILL }},
    { &hf_lte_rrc_N1PUCCH_AN_CS_r10_item,
      { "N1PUCCH-AN-CS-r10 item", "lte-rrc.N1PUCCH_AN_CS_r10_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_N1PUCCH_AN_InfoList_r13_item,
      { "N1PUCCH-AN-InfoList-r13 item", "lte-rrc.N1PUCCH_AN_InfoList_r13_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_pusch_ConfigBasic,
      { "pusch-ConfigBasic", "lte-rrc.pusch_ConfigBasic_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n_SB,
      { "n-SB", "lte-rrc.n_SB",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_hoppingMode,
      { "hoppingMode", "lte-rrc.hoppingMode",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_hoppingMode_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_HoppingOffset,
      { "pusch-HoppingOffset", "lte-rrc.pusch_HoppingOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_98", HFILL }},
    { &hf_lte_rrc_enable64QAM,
      { "enable64QAM", "lte-rrc.enable64QAM",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ul_ReferenceSignalsPUSCH,
      { "ul-ReferenceSignalsPUSCH", "lte-rrc.ul_ReferenceSignalsPUSCH_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_enable64QAM_v1270,
      { "enable64QAM-v1270", "lte-rrc.enable64QAM_v1270",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_enable64QAM_v1270_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_maxNumRepetitionCEmodeA_r13,
      { "pusch-maxNumRepetitionCEmodeA-r13", "lte-rrc.pusch_maxNumRepetitionCEmodeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pusch_maxNumRepetitionCEmodeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_maxNumRepetitionCEmodeB_r13,
      { "pusch-maxNumRepetitionCEmodeB-r13", "lte-rrc.pusch_maxNumRepetitionCEmodeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pusch_maxNumRepetitionCEmodeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_HoppingOffset_v1310,
      { "pusch-HoppingOffset-v1310", "lte-rrc.pusch_HoppingOffset_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_betaOffset_ACK_Index,
      { "betaOffset-ACK-Index", "lte-rrc.betaOffset_ACK_Index",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_RI_Index,
      { "betaOffset-RI-Index", "lte-rrc.betaOffset_RI_Index",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_CQI_Index,
      { "betaOffset-CQI-Index", "lte-rrc.betaOffset_CQI_Index",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffsetMC_r10,
      { "betaOffsetMC-r10", "lte-rrc.betaOffsetMC_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_betaOffset_ACK_Index_MC_r10,
      { "betaOffset-ACK-Index-MC-r10", "lte-rrc.betaOffset_ACK_Index_MC_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_RI_Index_MC_r10,
      { "betaOffset-RI-Index-MC-r10", "lte-rrc.betaOffset_RI_Index_MC_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_CQI_Index_MC_r10,
      { "betaOffset-CQI-Index-MC-r10", "lte-rrc.betaOffset_CQI_Index_MC_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_groupHoppingDisabled_r10,
      { "groupHoppingDisabled-r10", "lte-rrc.groupHoppingDisabled_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_groupHoppingDisabled_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dmrs_WithOCC_Activated_r10,
      { "dmrs-WithOCC-Activated-r10", "lte-rrc.dmrs_WithOCC_Activated_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmrs_WithOCC_Activated_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_DMRS_r11,
      { "pusch-DMRS-r11", "lte-rrc.pusch_DMRS_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pusch_DMRS_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_77,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_67", HFILL }},
    { &hf_lte_rrc_nPUSCH_Identity_r11,
      { "nPUSCH-Identity-r11", "lte-rrc.nPUSCH_Identity_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_509", HFILL }},
    { &hf_lte_rrc_nDMRS_CSH_Identity_r11,
      { "nDMRS-CSH-Identity-r11", "lte-rrc.nDMRS_CSH_Identity_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_509", HFILL }},
    { &hf_lte_rrc_uciOnPUSCH,
      { "uciOnPUSCH", "lte-rrc.uciOnPUSCH",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_uciOnPUSCH_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_78,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_68", HFILL }},
    { &hf_lte_rrc_betaOffset_ACK_Index_SubframeSet2_r12,
      { "betaOffset-ACK-Index-SubframeSet2-r12", "lte-rrc.betaOffset_ACK_Index_SubframeSet2_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_RI_Index_SubframeSet2_r12,
      { "betaOffset-RI-Index-SubframeSet2-r12", "lte-rrc.betaOffset_RI_Index_SubframeSet2_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_CQI_Index_SubframeSet2_r12,
      { "betaOffset-CQI-Index-SubframeSet2-r12", "lte-rrc.betaOffset_CQI_Index_SubframeSet2_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffsetMC_r12,
      { "betaOffsetMC-r12", "lte-rrc.betaOffsetMC_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_betaOffset_ACK_Index_MC_SubframeSet2_r12,
      { "betaOffset-ACK-Index-MC-SubframeSet2-r12", "lte-rrc.betaOffset_ACK_Index_MC_SubframeSet2_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_RI_Index_MC_SubframeSet2_r12,
      { "betaOffset-RI-Index-MC-SubframeSet2-r12", "lte-rrc.betaOffset_RI_Index_MC_SubframeSet2_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_CQI_Index_MC_SubframeSet2_r12,
      { "betaOffset-CQI-Index-MC-SubframeSet2-r12", "lte-rrc.betaOffset_CQI_Index_MC_SubframeSet2_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_ACK_Index_r13,
      { "betaOffset-ACK-Index-r13", "lte-rrc.betaOffset_ACK_Index_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset2_ACK_Index_r13,
      { "betaOffset2-ACK-Index-r13", "lte-rrc.betaOffset2_ACK_Index_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_RI_Index_r13,
      { "betaOffset-RI-Index-r13", "lte-rrc.betaOffset_RI_Index_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_CQI_Index_r13,
      { "betaOffset-CQI-Index-r13", "lte-rrc.betaOffset_CQI_Index_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffsetMC_r13,
      { "betaOffsetMC-r13", "lte-rrc.betaOffsetMC_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_betaOffset_ACK_Index_MC_r13,
      { "betaOffset-ACK-Index-MC-r13", "lte-rrc.betaOffset_ACK_Index_MC_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset2_ACK_Index_MC_r13,
      { "betaOffset2-ACK-Index-MC-r13", "lte-rrc.betaOffset2_ACK_Index_MC_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_RI_Index_MC_r13,
      { "betaOffset-RI-Index-MC-r13", "lte-rrc.betaOffset_RI_Index_MC_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_CQI_Index_MC_r13,
      { "betaOffset-CQI-Index-MC-r13", "lte-rrc.betaOffset_CQI_Index_MC_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_groupHoppingDisabled_r13,
      { "groupHoppingDisabled-r13", "lte-rrc.groupHoppingDisabled_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_groupHoppingDisabled_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dmrs_WithOCC_Activated_r13,
      { "dmrs-WithOCC-Activated-r13", "lte-rrc.dmrs_WithOCC_Activated_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmrs_WithOCC_Activated_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_DMRS_r11_01,
      { "pusch-DMRS-r11", "lte-rrc.pusch_DMRS_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pusch_DMRS_r11_01_vals), 0,
        "T_pusch_DMRS_r11_01", HFILL }},
    { &hf_lte_rrc_setup_79,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_69", HFILL }},
    { &hf_lte_rrc_nPUSCH_Identity_r13,
      { "nPUSCH-Identity-r13", "lte-rrc.nPUSCH_Identity_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_509", HFILL }},
    { &hf_lte_rrc_nDMRS_CSH_Identity_r13,
      { "nDMRS-CSH-Identity-r13", "lte-rrc.nDMRS_CSH_Identity_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_509", HFILL }},
    { &hf_lte_rrc_uciOnPUSCH_01,
      { "uciOnPUSCH", "lte-rrc.uciOnPUSCH",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_uciOnPUSCH_01_vals), 0,
        "T_uciOnPUSCH_01", HFILL }},
    { &hf_lte_rrc_setup_80,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_70", HFILL }},
    { &hf_lte_rrc_betaOffset_ACK_Index_SubframeSet2_r13,
      { "betaOffset-ACK-Index-SubframeSet2-r13", "lte-rrc.betaOffset_ACK_Index_SubframeSet2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset2_ACK_Index_SubframeSet2_r13,
      { "betaOffset2-ACK-Index-SubframeSet2-r13", "lte-rrc.betaOffset2_ACK_Index_SubframeSet2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_RI_Index_SubframeSet2_r13,
      { "betaOffset-RI-Index-SubframeSet2-r13", "lte-rrc.betaOffset_RI_Index_SubframeSet2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_CQI_Index_SubframeSet2_r13,
      { "betaOffset-CQI-Index-SubframeSet2-r13", "lte-rrc.betaOffset_CQI_Index_SubframeSet2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffsetMC_r12_01,
      { "betaOffsetMC-r12", "lte-rrc.betaOffsetMC_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_betaOffsetMC_r12_01", HFILL }},
    { &hf_lte_rrc_betaOffset_ACK_Index_MC_SubframeSet2_r13,
      { "betaOffset-ACK-Index-MC-SubframeSet2-r13", "lte-rrc.betaOffset_ACK_Index_MC_SubframeSet2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset2_ACK_Index_MC_SubframeSet2_r13,
      { "betaOffset2-ACK-Index-MC-SubframeSet2-r13", "lte-rrc.betaOffset2_ACK_Index_MC_SubframeSet2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_RI_Index_MC_SubframeSet2_r13,
      { "betaOffset-RI-Index-MC-SubframeSet2-r13", "lte-rrc.betaOffset_RI_Index_MC_SubframeSet2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_betaOffset_CQI_Index_MC_SubframeSet2_r13,
      { "betaOffset-CQI-Index-MC-SubframeSet2-r13", "lte-rrc.betaOffset_CQI_Index_MC_SubframeSet2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_pusch_HoppingConfig_r13,
      { "pusch-HoppingConfig-r13", "lte-rrc.pusch_HoppingConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pusch_HoppingConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_PUSCH_NB_MaxTBS_r14,
      { "ce-PUSCH-NB-MaxTBS-r14", "lte-rrc.ce_PUSCH_NB_MaxTBS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PUSCH_NB_MaxTBS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_PUSCH_MaxBandwidth_r14,
      { "ce-PUSCH-MaxBandwidth-r14", "lte-rrc.ce_PUSCH_MaxBandwidth_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PUSCH_MaxBandwidth_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_PUSCH_UpPTS_r14,
      { "tdd-PUSCH-UpPTS-r14", "lte-rrc.tdd_PUSCH_UpPTS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TDD_PUSCH_UpPTS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_DMRS_IFDMA_r14,
      { "ul-DMRS-IFDMA-r14", "lte-rrc.ul_DMRS_IFDMA_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_enable256QAM_r14,
      { "enable256QAM-r14", "lte-rrc.enable256QAM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_Enable256QAM_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_groupHoppingDisabled_r10_01,
      { "groupHoppingDisabled-r10", "lte-rrc.groupHoppingDisabled_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_groupHoppingDisabled_r10_01_vals), 0,
        "T_groupHoppingDisabled_r10_01", HFILL }},
    { &hf_lte_rrc_dmrs_WithOCC_Activated_r10_01,
      { "dmrs-WithOCC-Activated-r10", "lte-rrc.dmrs_WithOCC_Activated_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmrs_WithOCC_Activated_r10_01_vals), 0,
        "T_dmrs_WithOCC_Activated_r10_01", HFILL }},
    { &hf_lte_rrc_setup_81,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_71", HFILL }},
    { &hf_lte_rrc_symPUSCH_UpPTS_r14,
      { "symPUSCH-UpPTS-r14", "lte-rrc.symPUSCH_UpPTS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_symPUSCH_UpPTS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dmrs_LessUpPTS_Config_r14,
      { "dmrs-LessUpPTS-Config-r14", "lte-rrc.dmrs_LessUpPTS_Config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmrs_LessUpPTS_Config_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_82,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_72_vals), 0,
        "T_setup_72", HFILL }},
    { &hf_lte_rrc_tpc_SubframeSet_Configured_r14,
      { "tpc-SubframeSet-Configured-r14", "lte-rrc.tpc_SubframeSet_Configured_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_tpc_SubframeSet_Configured_r14", HFILL }},
    { &hf_lte_rrc_subframeSet1_DCI_Format0_r14,
      { "subframeSet1-DCI-Format0-r14", "lte-rrc.subframeSet1_DCI_Format0_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_subframeSet1_DCI_Format4_r14,
      { "subframeSet1-DCI-Format4-r14", "lte-rrc.subframeSet1_DCI_Format4_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_subframeSet2_DCI_Format0_r14,
      { "subframeSet2-DCI-Format0-r14", "lte-rrc.subframeSet2_DCI_Format0_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_subframeSet2_DCI_Format4_r14,
      { "subframeSet2-DCI-Format4-r14", "lte-rrc.subframeSet2_DCI_Format4_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_tpc_SubframeSet_NotConfigured_r14,
      { "tpc-SubframeSet-NotConfigured-r14", "lte-rrc.tpc_SubframeSet_NotConfigured_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_tpc_SubframeSet_NotConfigured_r14", HFILL }},
    { &hf_lte_rrc_dci_Format0_r14,
      { "dci-Format0-r14", "lte-rrc.dci_Format0_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_dci_Format4_r14,
      { "dci-Format4-r14", "lte-rrc.dci_Format4_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_setup_83,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_73", HFILL }},
    { &hf_lte_rrc_pusch_HoppingOffsetPUSCH_Enh_r14,
      { "pusch-HoppingOffsetPUSCH-Enh-r14", "lte-rrc.pusch_HoppingOffsetPUSCH_Enh_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_100", HFILL }},
    { &hf_lte_rrc_interval_ULHoppingPUSCH_Enh_r14,
      { "interval-ULHoppingPUSCH-Enh-r14", "lte-rrc.interval_ULHoppingPUSCH_Enh_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_ULHoppingPUSCH_Enh_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_FDD_PUSCH_Enh_r14,
      { "interval-FDD-PUSCH-Enh-r14", "lte-rrc.interval_FDD_PUSCH_Enh_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_FDD_PUSCH_Enh_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_TDD_PUSCH_Enh_r14,
      { "interval-TDD-PUSCH-Enh-r14", "lte-rrc.interval_TDD_PUSCH_Enh_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_TDD_PUSCH_Enh_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_groupHoppingEnabled,
      { "groupHoppingEnabled", "lte-rrc.groupHoppingEnabled",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_groupAssignmentPUSCH,
      { "groupAssignmentPUSCH", "lte-rrc.groupAssignmentPUSCH",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_29", HFILL }},
    { &hf_lte_rrc_sequenceHoppingEnabled,
      { "sequenceHoppingEnabled", "lte-rrc.sequenceHoppingEnabled",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_cyclicShift,
      { "cyclicShift", "lte-rrc.cyclicShift",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_preambleInfo,
      { "preambleInfo", "lte-rrc.preambleInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_numberOfRA_Preambles,
      { "numberOfRA-Preambles", "lte-rrc.numberOfRA_Preambles",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_numberOfRA_Preambles_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preamblesGroupAConfig,
      { "preamblesGroupAConfig", "lte-rrc.preamblesGroupAConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sizeOfRA_PreamblesGroupA,
      { "sizeOfRA-PreamblesGroupA", "lte-rrc.sizeOfRA_PreamblesGroupA",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sizeOfRA_PreamblesGroupA_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messageSizeGroupA,
      { "messageSizeGroupA", "lte-rrc.messageSizeGroupA",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_messageSizeGroupA_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_messagePowerOffsetGroupB,
      { "messagePowerOffsetGroupB", "lte-rrc.messagePowerOffsetGroupB",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_messagePowerOffsetGroupB_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerRampingParameters,
      { "powerRampingParameters", "lte-rrc.powerRampingParameters_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ra_SupervisionInfo,
      { "ra-SupervisionInfo", "lte-rrc.ra_SupervisionInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preambleTransMax,
      { "preambleTransMax", "lte-rrc.preambleTransMax",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PreambleTransMax_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ra_ResponseWindowSize,
      { "ra-ResponseWindowSize", "lte-rrc.ra_ResponseWindowSize",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ra_ResponseWindowSize_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_ContentionResolutionTimer,
      { "mac-ContentionResolutionTimer", "lte-rrc.mac_ContentionResolutionTimer",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mac_ContentionResolutionTimer_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxHARQ_Msg3Tx,
      { "maxHARQ-Msg3Tx", "lte-rrc.maxHARQ_Msg3Tx",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_preambleTransMax_CE_r13,
      { "preambleTransMax-CE-r13", "lte-rrc.preambleTransMax_CE_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PreambleTransMax_vals), 0,
        "PreambleTransMax", HFILL }},
    { &hf_lte_rrc_rach_CE_LevelInfoList_r13,
      { "rach-CE-LevelInfoList-r13", "lte-rrc.rach_CE_LevelInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_txFailParams_r12,
      { "txFailParams-r12", "lte-rrc.txFailParams_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_connEstFailCount_r12,
      { "connEstFailCount-r12", "lte-rrc.connEstFailCount_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connEstFailCount_r12_vals), 0,
        "T_connEstFailCount_r12", HFILL }},
    { &hf_lte_rrc_connEstFailOffsetValidity_r12,
      { "connEstFailOffsetValidity-r12", "lte-rrc.connEstFailOffsetValidity_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connEstFailOffsetValidity_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_connEstFailOffset_r12,
      { "connEstFailOffset-r12", "lte-rrc.connEstFailOffset_r12",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_powerRampingParameters_r11,
      { "powerRampingParameters-r11", "lte-rrc.powerRampingParameters_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PowerRampingParameters", HFILL }},
    { &hf_lte_rrc_ra_SupervisionInfo_r11,
      { "ra-SupervisionInfo-r11", "lte-rrc.ra_SupervisionInfo_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preambleTransMax_r11,
      { "preambleTransMax-r11", "lte-rrc.preambleTransMax_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PreambleTransMax_vals), 0,
        "PreambleTransMax", HFILL }},
    { &hf_lte_rrc_RACH_CE_LevelInfoList_r13_item,
      { "RACH-CE-LevelInfo-r13", "lte-rrc.RACH_CE_LevelInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preambleMappingInfo_r13,
      { "preambleMappingInfo-r13", "lte-rrc.preambleMappingInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_firstPreamble_r13,
      { "firstPreamble-r13", "lte-rrc.firstPreamble_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_lastPreamble_r13,
      { "lastPreamble-r13", "lte-rrc.lastPreamble_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_ra_ResponseWindowSize_r13,
      { "ra-ResponseWindowSize-r13", "lte-rrc.ra_ResponseWindowSize_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ra_ResponseWindowSize_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_ContentionResolutionTimer_r13,
      { "mac-ContentionResolutionTimer-r13", "lte-rrc.mac_ContentionResolutionTimer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mac_ContentionResolutionTimer_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rar_HoppingConfig_r13,
      { "rar-HoppingConfig-r13", "lte-rrc.rar_HoppingConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rar_HoppingConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerRampingStep,
      { "powerRampingStep", "lte-rrc.powerRampingStep",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerRampingStep_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preambleInitialReceivedTargetPower,
      { "preambleInitialReceivedTargetPower", "lte-rrc.preambleInitialReceivedTargetPower",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_preambleInitialReceivedTargetPower_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ra_PreambleIndex,
      { "ra-PreambleIndex", "lte-rrc.ra_PreambleIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_ra_PRACH_MaskIndex,
      { "ra-PRACH-MaskIndex", "lte-rrc.ra_PRACH_MaskIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_rach_ConfigCommon,
      { "rach-ConfigCommon", "lte-rrc.rach_ConfigCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bcch_Config,
      { "bcch-Config", "lte-rrc.bcch_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pcch_Config,
      { "pcch-Config", "lte-rrc.pcch_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_Config,
      { "prach-Config", "lte-rrc.prach_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PRACH_ConfigSIB", HFILL }},
    { &hf_lte_rrc_pdsch_ConfigCommon,
      { "pdsch-ConfigCommon", "lte-rrc.pdsch_ConfigCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigCommon,
      { "pusch-ConfigCommon", "lte-rrc.pusch_ConfigCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_ConfigCommon,
      { "pucch-ConfigCommon", "lte-rrc.pucch_ConfigCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigCommon,
      { "soundingRS-UL-ConfigCommon", "lte-rrc.soundingRS_UL_ConfigCommon",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigCommon_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommon,
      { "uplinkPowerControlCommon", "lte-rrc.uplinkPowerControlCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_CyclicPrefixLength,
      { "ul-CyclicPrefixLength", "lte-rrc.ul_CyclicPrefixLength",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_UL_CyclicPrefixLength_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommon_v1020,
      { "uplinkPowerControlCommon-v1020", "lte-rrc.uplinkPowerControlCommon_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rach_ConfigCommon_v1250,
      { "rach-ConfigCommon-v1250", "lte-rrc.rach_ConfigCommon_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigCommon_v1270,
      { "pusch-ConfigCommon-v1270", "lte-rrc.pusch_ConfigCommon_v1270_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bcch_Config_v1310,
      { "bcch-Config-v1310", "lte-rrc.bcch_Config_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pcch_Config_v1310,
      { "pcch-Config-v1310", "lte-rrc.pcch_Config_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqHoppingParameters_r13,
      { "freqHoppingParameters-r13", "lte-rrc.freqHoppingParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_ConfigCommon_v1310,
      { "pdsch-ConfigCommon-v1310", "lte-rrc.pdsch_ConfigCommon_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigCommon_v1310,
      { "pusch-ConfigCommon-v1310", "lte-rrc.pusch_ConfigCommon_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_ConfigCommon_v1310,
      { "prach-ConfigCommon-v1310", "lte-rrc.prach_ConfigCommon_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PRACH_ConfigSIB_v1310", HFILL }},
    { &hf_lte_rrc_pucch_ConfigCommon_v1310,
      { "pucch-ConfigCommon-v1310", "lte-rrc.pucch_ConfigCommon_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_highSpeedConfig_r14,
      { "highSpeedConfig-r14", "lte-rrc.highSpeedConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_Config_v1430,
      { "prach-Config-v1430", "lte-rrc.prach_Config_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_ConfigCommon_v1430,
      { "pucch-ConfigCommon-v1430", "lte-rrc.pucch_ConfigCommon_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_Config_01,
      { "prach-Config", "lte-rrc.prach_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_Config_v1310,
      { "prach-Config-v1310", "lte-rrc.prach_Config_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommon_v1310,
      { "uplinkPowerControlCommon-v1310", "lte-rrc.uplinkPowerControlCommon_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_basicFields_r12,
      { "basicFields-r12", "lte-rrc.basicFields_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonSCell_r10", HFILL }},
    { &hf_lte_rrc_pucch_ConfigCommon_r12,
      { "pucch-ConfigCommon-r12", "lte-rrc.pucch_ConfigCommon_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PUCCH_ConfigCommon", HFILL }},
    { &hf_lte_rrc_rach_ConfigCommon_r12,
      { "rach-ConfigCommon-r12", "lte-rrc.rach_ConfigCommon_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RACH_ConfigCommon", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommonPSCell_r12,
      { "uplinkPowerControlCommonPSCell-r12", "lte-rrc.uplinkPowerControlCommonPSCell_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommonPSCell_v1310,
      { "uplinkPowerControlCommonPSCell-v1310", "lte-rrc.uplinkPowerControlCommonPSCell_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UplinkPowerControlCommon_v1310", HFILL }},
    { &hf_lte_rrc_basicFields_v12f0,
      { "basicFields-v12f0", "lte-rrc.basicFields_v12f0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonSCell_v10l0", HFILL }},
    { &hf_lte_rrc_basicFields_v1440,
      { "basicFields-v1440", "lte-rrc.basicFields_v1440_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonSCell_v1440", HFILL }},
    { &hf_lte_rrc_nonUL_Configuration_r10_01,
      { "nonUL-Configuration-r10", "lte-rrc.nonUL_Configuration_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonUL_Configuration_r10_01", HFILL }},
    { &hf_lte_rrc_dl_Bandwidth_r10,
      { "dl-Bandwidth-r10", "lte-rrc.dl_Bandwidth_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_Bandwidth_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaInfoCommon_r10,
      { "antennaInfoCommon-r10", "lte-rrc.antennaInfoCommon_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AntennaInfoCommon", HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_r10,
      { "mbsfn-SubframeConfigList-r10", "lte-rrc.mbsfn_SubframeConfigList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBSFN_SubframeConfigList", HFILL }},
    { &hf_lte_rrc_phich_Config_r10,
      { "phich-Config-r10", "lte-rrc.phich_Config_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PHICH_Config", HFILL }},
    { &hf_lte_rrc_pdsch_ConfigCommon_r10,
      { "pdsch-ConfigCommon-r10", "lte-rrc.pdsch_ConfigCommon_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PDSCH_ConfigCommon", HFILL }},
    { &hf_lte_rrc_tdd_Config_r10,
      { "tdd-Config-r10", "lte-rrc.tdd_Config_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "TDD_Config", HFILL }},
    { &hf_lte_rrc_ul_Configuration_r10_01,
      { "ul-Configuration-r10", "lte-rrc.ul_Configuration_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_ul_Configuration_r10_01", HFILL }},
    { &hf_lte_rrc_ul_FreqInfo_r10,
      { "ul-FreqInfo-r10", "lte-rrc.ul_FreqInfo_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq_r10,
      { "ul-CarrierFreq-r10", "lte-rrc.ul_CarrierFreq_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_ul_Bandwidth_r10,
      { "ul-Bandwidth-r10", "lte-rrc.ul_Bandwidth_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_Bandwidth_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmissionSCell_r10,
      { "additionalSpectrumEmissionSCell-r10", "lte-rrc.additionalSpectrumEmissionSCell_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission", HFILL }},
    { &hf_lte_rrc_p_Max_r10,
      { "p-Max-r10", "lte-rrc.p_Max_r10",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P_Max", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommonSCell_r10,
      { "uplinkPowerControlCommonSCell-r10", "lte-rrc.uplinkPowerControlCommonSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigCommon_r10,
      { "soundingRS-UL-ConfigCommon-r10", "lte-rrc.soundingRS_UL_ConfigCommon_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigCommon_vals), 0,
        "SoundingRS_UL_ConfigCommon", HFILL }},
    { &hf_lte_rrc_ul_CyclicPrefixLength_r10,
      { "ul-CyclicPrefixLength-r10", "lte-rrc.ul_CyclicPrefixLength_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_UL_CyclicPrefixLength_vals), 0,
        "UL_CyclicPrefixLength", HFILL }},
    { &hf_lte_rrc_prach_ConfigSCell_r10,
      { "prach-ConfigSCell-r10", "lte-rrc.prach_ConfigSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_ConfigCommon_r10,
      { "pusch-ConfigCommon-r10", "lte-rrc.pusch_ConfigCommon_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PUSCH_ConfigCommon", HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq_v1090,
      { "ul-CarrierFreq-v1090", "lte-rrc.ul_CarrierFreq_v1090",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_rach_ConfigCommonSCell_r11,
      { "rach-ConfigCommonSCell-r11", "lte-rrc.rach_ConfigCommonSCell_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_ConfigSCell_r11,
      { "prach-ConfigSCell-r11", "lte-rrc.prach_ConfigSCell_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PRACH_Config", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommonSCell_v1130,
      { "uplinkPowerControlCommonSCell-v1130", "lte-rrc.uplinkPowerControlCommonSCell_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_ConfigCommon_r13,
      { "pucch-ConfigCommon-r13", "lte-rrc.pucch_ConfigCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PUCCH_ConfigCommon", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommonSCell_v1310,
      { "uplinkPowerControlCommonSCell-v1310", "lte-rrc.uplinkPowerControlCommonSCell_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_highSpeedConfigSCell_r14,
      { "highSpeedConfigSCell-r14", "lte-rrc.highSpeedConfigSCell_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_Configuration_r14,
      { "ul-Configuration-r14", "lte-rrc.ul_Configuration_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_FreqInfo_r14,
      { "ul-FreqInfo-r14", "lte-rrc.ul_FreqInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq_r14,
      { "ul-CarrierFreq-r14", "lte-rrc.ul_CarrierFreq_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_ul_Bandwidth_r14,
      { "ul-Bandwidth-r14", "lte-rrc.ul_Bandwidth_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_Bandwidth_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmissionSCell_r14,
      { "additionalSpectrumEmissionSCell-r14", "lte-rrc.additionalSpectrumEmissionSCell_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission", HFILL }},
    { &hf_lte_rrc_p_Max_r14,
      { "p-Max-r14", "lte-rrc.p_Max_r14",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P_Max", HFILL }},
    { &hf_lte_rrc_soundingRS_UL_ConfigCommon_r14,
      { "soundingRS-UL-ConfigCommon-r14", "lte-rrc.soundingRS_UL_ConfigCommon_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SoundingRS_UL_ConfigCommon_vals), 0,
        "SoundingRS_UL_ConfigCommon", HFILL }},
    { &hf_lte_rrc_ul_CyclicPrefixLength_r14,
      { "ul-CyclicPrefixLength-r14", "lte-rrc.ul_CyclicPrefixLength_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_UL_CyclicPrefixLength_vals), 0,
        "UL_CyclicPrefixLength", HFILL }},
    { &hf_lte_rrc_prach_ConfigSCell_r14,
      { "prach-ConfigSCell-r14", "lte-rrc.prach_ConfigSCell_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PRACH_ConfigSCell_r10", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommonPUSCH_LessCell_v1430,
      { "uplinkPowerControlCommonPUSCH-LessCell-v1430", "lte-rrc.uplinkPowerControlCommonPUSCH_LessCell_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_harq_ReferenceConfig_r14,
      { "harq-ReferenceConfig-r14", "lte-rrc.harq_ReferenceConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_harq_ReferenceConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_soundingRS_FlexibleTiming_r14,
      { "soundingRS-FlexibleTiming-r14", "lte-rrc.soundingRS_FlexibleTiming_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_soundingRS_FlexibleTiming_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_Configuration_v10l0,
      { "ul-Configuration-v10l0", "lte-rrc.ul_Configuration_v10l0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmissionSCell_v10l0,
      { "additionalSpectrumEmissionSCell-v10l0", "lte-rrc.additionalSpectrumEmissionSCell_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission_v10l0", HFILL }},
    { &hf_lte_rrc_ul_Configuration_v1440,
      { "ul-Configuration-v1440", "lte-rrc.ul_Configuration_v1440_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_FreqInfo_v1440,
      { "ul-FreqInfo-v1440", "lte-rrc.ul_FreqInfo_v1440_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmissionSCell_v1440,
      { "additionalSpectrumEmissionSCell-v1440", "lte-rrc.additionalSpectrumEmissionSCell_v1440",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission_v10l0", HFILL }},
    { &hf_lte_rrc_modificationPeriodCoeff,
      { "modificationPeriodCoeff", "lte-rrc.modificationPeriodCoeff",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_modificationPeriodCoeff_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modificationPeriodCoeff_v1310,
      { "modificationPeriodCoeff-v1310", "lte-rrc.modificationPeriodCoeff_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_modificationPeriodCoeff_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dummy_01,
      { "dummy", "lte-rrc.dummy",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dummy_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dummy2,
      { "dummy2", "lte-rrc.dummy2",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dummy2_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_FDD_r13_02,
      { "interval-FDD-r13", "lte-rrc.interval_FDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_FDD_r13_02_vals), 0,
        "T_interval_FDD_r13_02", HFILL }},
    { &hf_lte_rrc_interval_TDD_r13_02,
      { "interval-TDD-r13", "lte-rrc.interval_TDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_TDD_r13_02_vals), 0,
        "T_interval_TDD_r13_02", HFILL }},
    { &hf_lte_rrc_dummy3,
      { "dummy3", "lte-rrc.dummy3",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dummy3_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_FDD_r13_03,
      { "interval-FDD-r13", "lte-rrc.interval_FDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_FDD_r13_03_vals), 0,
        "T_interval_FDD_r13_03", HFILL }},
    { &hf_lte_rrc_interval_TDD_r13_03,
      { "interval-TDD-r13", "lte-rrc.interval_TDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_TDD_r13_03_vals), 0,
        "T_interval_TDD_r13_03", HFILL }},
    { &hf_lte_rrc_interval_ULHoppingConfigCommonModeA_r13,
      { "interval-ULHoppingConfigCommonModeA-r13", "lte-rrc.interval_ULHoppingConfigCommonModeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_ULHoppingConfigCommonModeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_FDD_r13_04,
      { "interval-FDD-r13", "lte-rrc.interval_FDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_FDD_r13_04_vals), 0,
        "T_interval_FDD_r13_04", HFILL }},
    { &hf_lte_rrc_interval_TDD_r13_04,
      { "interval-TDD-r13", "lte-rrc.interval_TDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_TDD_r13_04_vals), 0,
        "T_interval_TDD_r13_04", HFILL }},
    { &hf_lte_rrc_interval_ULHoppingConfigCommonModeB_r13,
      { "interval-ULHoppingConfigCommonModeB-r13", "lte-rrc.interval_ULHoppingConfigCommonModeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_ULHoppingConfigCommonModeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interval_FDD_r13_05,
      { "interval-FDD-r13", "lte-rrc.interval_FDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_FDD_r13_05_vals), 0,
        "T_interval_FDD_r13_05", HFILL }},
    { &hf_lte_rrc_interval_TDD_r13_05,
      { "interval-TDD-r13", "lte-rrc.interval_TDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interval_TDD_r13_05_vals), 0,
        "T_interval_TDD_r13_05", HFILL }},
    { &hf_lte_rrc_dummy4,
      { "dummy4", "lte-rrc.dummy4",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_defaultPagingCycle,
      { "defaultPagingCycle", "lte-rrc.defaultPagingCycle",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_defaultPagingCycle_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nB,
      { "nB", "lte-rrc.nB",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nB_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_paging_narrowBands_r13,
      { "paging-narrowBands-r13", "lte-rrc.paging_narrowBands_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_mpdcch_NumRepetition_Paging_r13,
      { "mpdcch-NumRepetition-Paging-r13", "lte-rrc.mpdcch_NumRepetition_Paging_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_NumRepetition_Paging_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nB_v1310,
      { "nB-v1310", "lte-rrc.nB_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nB_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_highSpeedEnhancedMeasFlag_r14,
      { "highSpeedEnhancedMeasFlag-r14", "lte-rrc.highSpeedEnhancedMeasFlag_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_highSpeedEnhancedMeasFlag_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_highSpeedEnhancedDemodulationFlag_r14,
      { "highSpeedEnhancedDemodulationFlag-r14", "lte-rrc.highSpeedEnhancedDemodulationFlag_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_highSpeedEnhancedDemodulationFlag_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_highSpeedEnhancedDemodulationFlag_r14_01,
      { "highSpeedEnhancedDemodulationFlag-r14", "lte-rrc.highSpeedEnhancedDemodulationFlag_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_highSpeedEnhancedDemodulationFlag_r14_01_vals), 0,
        "T_highSpeedEnhancedDemodulationFlag_r14_01", HFILL }},
    { &hf_lte_rrc_srb_ToAddModList,
      { "srb-ToAddModList", "lte-rrc.srb_ToAddModList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drb_ToAddModList,
      { "drb-ToAddModList", "lte-rrc.drb_ToAddModList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drb_ToReleaseList,
      { "drb-ToReleaseList", "lte-rrc.drb_ToReleaseList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_MainConfig,
      { "mac-MainConfig", "lte-rrc.mac_MainConfig",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mac_MainConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_03,
      { "explicitValue", "lte-rrc.explicitValue_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MAC_MainConfig", HFILL }},
    { &hf_lte_rrc_sps_Config,
      { "sps-Config", "lte-rrc.sps_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physicalConfigDedicated,
      { "physicalConfigDedicated", "lte-rrc.physicalConfigDedicated_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlf_TimersAndConstants_r9,
      { "rlf-TimersAndConstants-r9", "lte-rrc.rlf_TimersAndConstants_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLF_TimersAndConstants_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measSubframePatternPCell_r10,
      { "measSubframePatternPCell-r10", "lte-rrc.measSubframePatternPCell_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasSubframePatternPCell_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_neighCellsCRS_Info_r11,
      { "neighCellsCRS-Info-r11", "lte-rrc.neighCellsCRS_Info_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_NeighCellsCRS_Info_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_naics_Info_r12,
      { "naics-Info-r12", "lte-rrc.naics_Info_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_NAICS_AssistanceInfo_r12_vals), 0,
        "NAICS_AssistanceInfo_r12", HFILL }},
    { &hf_lte_rrc_neighCellsCRS_Info_r13,
      { "neighCellsCRS-Info-r13", "lte-rrc.neighCellsCRS_Info_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_NeighCellsCRS_Info_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlf_TimersAndConstants_r13,
      { "rlf-TimersAndConstants-r13", "lte-rrc.rlf_TimersAndConstants_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLF_TimersAndConstants_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sps_Config_v1430,
      { "sps-Config-v1430", "lte-rrc.sps_Config_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physicalConfigDedicated_v1370,
      { "physicalConfigDedicated-v1370", "lte-rrc.physicalConfigDedicated_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physicalConfigDedicatedPSCell_r12,
      { "physicalConfigDedicatedPSCell-r12", "lte-rrc.physicalConfigDedicatedPSCell_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysicalConfigDedicated", HFILL }},
    { &hf_lte_rrc_sps_Config_r12,
      { "sps-Config-r12", "lte-rrc.sps_Config_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SPS_Config", HFILL }},
    { &hf_lte_rrc_neighCellsCRS_InfoPSCell_r13,
      { "neighCellsCRS-InfoPSCell-r13", "lte-rrc.neighCellsCRS_InfoPSCell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_NeighCellsCRS_Info_r13_vals), 0,
        "NeighCellsCRS_Info_r13", HFILL }},
    { &hf_lte_rrc_physicalConfigDedicatedPSCell_v1370,
      { "physicalConfigDedicatedPSCell-v1370", "lte-rrc.physicalConfigDedicatedPSCell_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysicalConfigDedicated_v1370", HFILL }},
    { &hf_lte_rrc_drb_ToAddModListSCG_r12_01,
      { "drb-ToAddModListSCG-r12", "lte-rrc.drb_ToAddModListSCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_MainConfigSCG_r12,
      { "mac-MainConfigSCG-r12", "lte-rrc.mac_MainConfigSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MAC_MainConfig", HFILL }},
    { &hf_lte_rrc_rlf_TimersAndConstantsSCG_r12,
      { "rlf-TimersAndConstantsSCG-r12", "lte-rrc.rlf_TimersAndConstantsSCG_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLF_TimersAndConstantsSCG_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physicalConfigDedicatedSCell_r10,
      { "physicalConfigDedicatedSCell-r10", "lte-rrc.physicalConfigDedicatedSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_MainConfigSCell_r11,
      { "mac-MainConfigSCell-r11", "lte-rrc.mac_MainConfigSCell_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_neighCellsCRS_InfoSCell_r13,
      { "neighCellsCRS-InfoSCell-r13", "lte-rrc.neighCellsCRS_InfoSCell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_NeighCellsCRS_Info_r13_vals), 0,
        "NeighCellsCRS_Info_r13", HFILL }},
    { &hf_lte_rrc_physicalConfigDedicatedSCell_v1370,
      { "physicalConfigDedicatedSCell-v1370", "lte-rrc.physicalConfigDedicatedSCell_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SRB_ToAddModList_item,
      { "SRB-ToAddMod", "lte-rrc.SRB_ToAddMod_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srb_Identity,
      { "srb-Identity", "lte-rrc.srb_Identity",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_2", HFILL }},
    { &hf_lte_rrc_rlc_Config,
      { "rlc-Config", "lte-rrc.rlc_Config",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlc_Config_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_04,
      { "explicitValue", "lte-rrc.explicitValue",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLC_Config_vals), 0,
        "RLC_Config", HFILL }},
    { &hf_lte_rrc_logicalChannelConfig,
      { "logicalChannelConfig", "lte-rrc.logicalChannelConfig",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logicalChannelConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_05,
      { "explicitValue", "lte-rrc.explicitValue_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LogicalChannelConfig", HFILL }},
    { &hf_lte_rrc_DRB_ToAddModList_item,
      { "DRB-ToAddMod", "lte-rrc.DRB_ToAddMod_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_DRB_ToAddModListSCG_r12_item,
      { "DRB-ToAddModSCG-r12", "lte-rrc.DRB_ToAddModSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eps_BearerIdentity,
      { "eps-BearerIdentity", "lte-rrc.eps_BearerIdentity",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_pdcp_Config,
      { "pdcp-Config", "lte-rrc.pdcp_Config_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Config_01,
      { "rlc-Config", "lte-rrc.rlc_Config",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLC_Config_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChannelIdentity,
      { "logicalChannelIdentity", "lte-rrc.logicalChannelIdentity",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChannelConfig_01,
      { "logicalChannelConfig", "lte-rrc.logicalChannelConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drb_TypeChange_r12,
      { "drb-TypeChange-r12", "lte-rrc.drb_TypeChange_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_TypeChange_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Config_v1250,
      { "rlc-Config-v1250", "lte-rrc.rlc_Config_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Config_v1310,
      { "rlc-Config-v1310", "lte-rrc.rlc_Config_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drb_TypeLWA_r13,
      { "drb-TypeLWA-r13", "lte-rrc.drb_TypeLWA_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_drb_TypeLWIP_r13,
      { "drb-TypeLWIP-r13", "lte-rrc.drb_TypeLWIP_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_TypeLWIP_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Config_v1430,
      { "rlc-Config-v1430", "lte-rrc.rlc_Config_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLC_Config_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_UL_Aggregation_r14,
      { "lwip-UL-Aggregation-r14", "lte-rrc.lwip_UL_Aggregation_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_lwip_DL_Aggregation_r14,
      { "lwip-DL-Aggregation-r14", "lte-rrc.lwip_DL_Aggregation_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_lwa_WLAN_AC_r14,
      { "lwa-WLAN-AC-r14", "lte-rrc.lwa_WLAN_AC_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwa_WLAN_AC_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Config_v15xy,
      { "rlc-Config-v15xy", "lte-rrc.rlc_Config_v15xy_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drb_Type_r12_01,
      { "drb-Type-r12", "lte-rrc.drb_Type_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_Type_r12_01_vals), 0,
        "T_drb_Type_r12_01", HFILL }},
    { &hf_lte_rrc_split_r12,
      { "split-r12", "lte-rrc.split_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scg_r12,
      { "scg-r12", "lte-rrc.scg_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_Config_r12,
      { "pdcp-Config-r12", "lte-rrc.pdcp_Config_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PDCP_Config", HFILL }},
    { &hf_lte_rrc_rlc_ConfigSCG_r12,
      { "rlc-ConfigSCG-r12", "lte-rrc.rlc_ConfigSCG_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLC_Config_vals), 0,
        "RLC_Config", HFILL }},
    { &hf_lte_rrc_logicalChannelIdentitySCG_r12,
      { "logicalChannelIdentitySCG-r12", "lte-rrc.logicalChannelIdentitySCG_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_3_10", HFILL }},
    { &hf_lte_rrc_logicalChannelConfigSCG_r12,
      { "logicalChannelConfigSCG-r12", "lte-rrc.logicalChannelConfigSCG_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LogicalChannelConfig", HFILL }},
    { &hf_lte_rrc_DRB_ToReleaseList_item,
      { "DRB-Identity", "lte-rrc.DRB_Identity",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_84,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasSubframePattern_r10_vals), 0,
        "MeasSubframePattern_r10", HFILL }},
    { &hf_lte_rrc_setup_85,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CRS_AssistanceInfoList_r11", HFILL }},
    { &hf_lte_rrc_CRS_AssistanceInfoList_r11_item,
      { "CRS-AssistanceInfo-r11", "lte-rrc.CRS_AssistanceInfo_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r11_02,
      { "physCellId-r11", "lte-rrc.physCellId_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_antennaPortsCount_r11_01,
      { "antennaPortsCount-r11", "lte-rrc.antennaPortsCount_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_antennaPortsCount_r11_01_vals), 0,
        "T_antennaPortsCount_r11_01", HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_r11_02,
      { "mbsfn-SubframeConfigList-r11", "lte-rrc.mbsfn_SubframeConfigList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBSFN_SubframeConfigList", HFILL }},
    { &hf_lte_rrc_setup_86,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CRS_AssistanceInfoList_r13", HFILL }},
    { &hf_lte_rrc_CRS_AssistanceInfoList_r13_item,
      { "CRS-AssistanceInfo-r13", "lte-rrc.CRS_AssistanceInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_antennaPortsCount_r13,
      { "antennaPortsCount-r13", "lte-rrc.antennaPortsCount_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_antennaPortsCount_r13_vals), 0,
        "T_antennaPortsCount_r13", HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfigList_r13,
      { "mbsfn-SubframeConfigList-r13", "lte-rrc.mbsfn_SubframeConfigList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBSFN_SubframeConfigList", HFILL }},
    { &hf_lte_rrc_setup_87,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_74", HFILL }},
    { &hf_lte_rrc_neighCellsToReleaseList_r12,
      { "neighCellsToReleaseList-r12", "lte-rrc.neighCellsToReleaseList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_neighCellsToAddModList_r12,
      { "neighCellsToAddModList-r12", "lte-rrc.neighCellsToAddModList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_servCellp_a_r12,
      { "servCellp-a-r12", "lte-rrc.servCellp_a_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_P_a_vals), 0,
        "P_a", HFILL }},
    { &hf_lte_rrc_NeighCellsToReleaseList_r12_item,
      { "PhysCellId", "lte-rrc.PhysCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NeighCellsToAddModList_r12_item,
      { "NeighCellsInfo-r12", "lte-rrc.NeighCellsInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p_b_r12,
      { "p-b-r12", "lte-rrc.p_b_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_crs_PortsCount_r12,
      { "crs-PortsCount-r12", "lte-rrc.crs_PortsCount_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crs_PortsCount_r12_vals), 0,
        "T_crs_PortsCount_r12", HFILL }},
    { &hf_lte_rrc_mbsfn_SubframeConfig_r12,
      { "mbsfn-SubframeConfig-r12", "lte-rrc.mbsfn_SubframeConfig_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBSFN_SubframeConfigList", HFILL }},
    { &hf_lte_rrc_p_aList_r12,
      { "p-aList-r12", "lte-rrc.p_aList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a", HFILL }},
    { &hf_lte_rrc_p_aList_r12_item,
      { "P-a", "lte-rrc.P_a",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_P_a_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12,
      { "transmissionModeList-r12", "lte-rrc.transmissionModeList_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_transmissionModeList_r12", HFILL }},
    { &hf_lte_rrc_resAllocGranularity_r12,
      { "resAllocGranularity-r12", "lte-rrc.resAllocGranularity_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_setup_88,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_75", HFILL }},
    { &hf_lte_rrc_rclwi_Config_r13,
      { "rclwi-Config-r13", "lte-rrc.rclwi_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_command,
      { "command", "lte-rrc.command",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_command_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_steerToWLAN_r13,
      { "steerToWLAN-r13", "lte-rrc.steerToWLAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityConfig_r13,
      { "mobilityConfig-r13", "lte-rrc.mobilityConfig_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_Id_List_r12", HFILL }},
    { &hf_lte_rrc_steerToLTE_r13,
      { "steerToLTE-r13", "lte-rrc.steerToLTE_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_am,
      { "am", "lte-rrc.am_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_AM_RLC,
      { "ul-AM-RLC", "lte-rrc.ul_AM_RLC_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_AM_RLC,
      { "dl-AM-RLC", "lte-rrc.dl_AM_RLC_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_um_Bi_Directional,
      { "um-Bi-Directional", "lte-rrc.um_Bi_Directional_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_UM_RLC,
      { "ul-UM-RLC", "lte-rrc.ul_UM_RLC_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_UM_RLC,
      { "dl-UM-RLC", "lte-rrc.dl_UM_RLC_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_um_Uni_Directional_UL,
      { "um-Uni-Directional-UL", "lte-rrc.um_Uni_Directional_UL_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_um_Uni_Directional_DL,
      { "um-Uni-Directional-DL", "lte-rrc.um_Uni_Directional_DL_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_extended_RLC_LI_Field_r12,
      { "ul-extended-RLC-LI-Field-r12", "lte-rrc.ul_extended_RLC_LI_Field_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_extended_RLC_LI_Field_r12,
      { "dl-extended-RLC-LI-Field-r12", "lte-rrc.dl_extended_RLC_LI_Field_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_extended_RLC_AM_SN_r13,
      { "ul-extended-RLC-AM-SN-r13", "lte-rrc.ul_extended_RLC_AM_SN_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_extended_RLC_AM_SN_r13,
      { "dl-extended-RLC-AM-SN-r13", "lte-rrc.dl_extended_RLC_AM_SN_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pollPDU_v1310,
      { "pollPDU-v1310", "lte-rrc.pollPDU_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PollPDU_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_89,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_76", HFILL }},
    { &hf_lte_rrc_pollByte_r14,
      { "pollByte-r14", "lte-rrc.pollByte_r14",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_PollByte_r14_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reestablishRLC_r15,
      { "reestablishRLC-r15", "lte-rrc.reestablishRLC_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reestablishRLC_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t_PollRetransmit,
      { "t-PollRetransmit", "lte-rrc.t_PollRetransmit",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_PollRetransmit_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pollPDU,
      { "pollPDU", "lte-rrc.pollPDU",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PollPDU_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pollByte,
      { "pollByte", "lte-rrc.pollByte",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PollByte_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxRetxThreshold,
      { "maxRetxThreshold", "lte-rrc.maxRetxThreshold",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxRetxThreshold_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t_Reordering,
      { "t-Reordering", "lte-rrc.t_Reordering",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_Reordering_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t_StatusProhibit,
      { "t-StatusProhibit", "lte-rrc.t_StatusProhibit",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_StatusProhibit_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sn_FieldLength,
      { "sn-FieldLength", "lte-rrc.sn_FieldLength",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SN_FieldLength_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_90,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_77", HFILL }},
    { &hf_lte_rrc_t301_r9,
      { "t301-r9", "lte-rrc.t301_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t301_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t310_r9,
      { "t310-r9", "lte-rrc.t310_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t310_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n310_r9,
      { "n310-r9", "lte-rrc.n310_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n310_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t311_r9,
      { "t311-r9", "lte-rrc.t311_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t311_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n311_r9,
      { "n311-r9", "lte-rrc.n311_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n311_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_91,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_78", HFILL }},
    { &hf_lte_rrc_t301_v1310,
      { "t301-v1310", "lte-rrc.t301_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t301_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t310_v1330,
      { "t310-v1330", "lte-rrc.t310_v1330",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t310_v1330_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_92,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_79", HFILL }},
    { &hf_lte_rrc_t313_r12,
      { "t313-r12", "lte-rrc.t313_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t313_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n313_r12,
      { "n313-r12", "lte-rrc.n313_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n313_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n314_r12,
      { "n314-r12", "lte-rrc.n314_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n314_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subframeConfigPattern_r10,
      { "subframeConfigPattern-r10", "lte-rrc.subframeConfigPattern_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframeConfigPattern_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subframeConfigPatternFDD_r10,
      { "subframeConfigPatternFDD-r10", "lte-rrc.subframeConfigPatternFDD_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_subframeConfigPatternTDD_r10,
      { "subframeConfigPatternTDD-r10", "lte-rrc.subframeConfigPatternTDD_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_rpdcch_Config_r10,
      { "rpdcch-Config-r10", "lte-rrc.rpdcch_Config_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resourceAllocationType_r10,
      { "resourceAllocationType-r10", "lte-rrc.resourceAllocationType_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_resourceAllocationType_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_resourceBlockAssignment_r10,
      { "resourceBlockAssignment-r10", "lte-rrc.resourceBlockAssignment_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_resourceBlockAssignment_r10_vals), 0,
        "T_resourceBlockAssignment_r10", HFILL }},
    { &hf_lte_rrc_type01_r10,
      { "type01-r10", "lte-rrc.type01_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_type01_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nrb6_r10,
      { "nrb6-r10", "lte-rrc.nrb6_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_nrb15_r10,
      { "nrb15-r10", "lte-rrc.nrb15_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_nrb25_r10,
      { "nrb25-r10", "lte-rrc.nrb25_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_13", HFILL }},
    { &hf_lte_rrc_nrb50_r10,
      { "nrb50-r10", "lte-rrc.nrb50_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_17", HFILL }},
    { &hf_lte_rrc_nrb75_r10,
      { "nrb75-r10", "lte-rrc.nrb75_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_19", HFILL }},
    { &hf_lte_rrc_nrb100_r10,
      { "nrb100-r10", "lte-rrc.nrb100_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_25", HFILL }},
    { &hf_lte_rrc_type2_r10,
      { "type2-r10", "lte-rrc.type2_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_type2_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nrb6_r10_01,
      { "nrb6-r10", "lte-rrc.nrb6_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_5", HFILL }},
    { &hf_lte_rrc_nrb15_r10_01,
      { "nrb15-r10", "lte-rrc.nrb15_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_7", HFILL }},
    { &hf_lte_rrc_nrb25_r10_01,
      { "nrb25-r10", "lte-rrc.nrb25_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_9", HFILL }},
    { &hf_lte_rrc_nrb50_r10_01,
      { "nrb50-r10", "lte-rrc.nrb50_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_11", HFILL }},
    { &hf_lte_rrc_nrb75_r10_01,
      { "nrb75-r10", "lte-rrc.nrb75_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_12", HFILL }},
    { &hf_lte_rrc_nrb100_r10_01,
      { "nrb100-r10", "lte-rrc.nrb100_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_13", HFILL }},
    { &hf_lte_rrc_demodulationRS_r10,
      { "demodulationRS-r10", "lte-rrc.demodulationRS_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_demodulationRS_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interleaving_r10,
      { "interleaving-r10", "lte-rrc.interleaving_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interleaving_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_noInterleaving_r10,
      { "noInterleaving-r10", "lte-rrc.noInterleaving_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_noInterleaving_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_Start_r10_01,
      { "pdsch-Start-r10", "lte-rrc.pdsch_Start_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_3", HFILL }},
    { &hf_lte_rrc_pucch_Config_r10,
      { "pucch-Config-r10", "lte-rrc.pucch_Config_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_Config_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd,
      { "tdd", "lte-rrc.tdd",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_channelSelectionMultiplexingBundling,
      { "channelSelectionMultiplexingBundling", "lte-rrc.channelSelectionMultiplexingBundling_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_List_r10,
      { "n1PUCCH-AN-List-r10", "lte-rrc.n1PUCCH_AN_List_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "T_n1PUCCH_AN_List_r10", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_List_r10_item,
      { "n1PUCCH-AN-List-r10 item", "lte-rrc.n1PUCCH_AN_List_r10_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_fallbackForFormat3,
      { "fallbackForFormat3", "lte-rrc.fallbackForFormat3_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_P0_r10,
      { "n1PUCCH-AN-P0-r10", "lte-rrc.n1PUCCH_AN_P0_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_P1_r10,
      { "n1PUCCH-AN-P1-r10", "lte-rrc.n1PUCCH_AN_P1_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_fdd,
      { "fdd", "lte-rrc.fdd_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_93,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_80", HFILL }},
    { &hf_lte_rrc_sr_PUCCH_ResourceIndex,
      { "sr-PUCCH-ResourceIndex", "lte-rrc.sr_PUCCH_ResourceIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_sr_ConfigIndex,
      { "sr-ConfigIndex", "lte-rrc.sr_ConfigIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dsr_TransMax,
      { "dsr-TransMax", "lte-rrc.dsr_TransMax",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dsr_TransMax_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sr_PUCCH_ResourceIndexP1_r10,
      { "sr-PUCCH-ResourceIndexP1-r10", "lte-rrc.sr_PUCCH_ResourceIndexP1_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_setup_94,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_81", HFILL }},
    { &hf_lte_rrc_sr_PUCCH_ResourceIndex_r13,
      { "sr-PUCCH-ResourceIndex-r13", "lte-rrc.sr_PUCCH_ResourceIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_sr_PUCCH_ResourceIndexP1_r13,
      { "sr-PUCCH-ResourceIndexP1-r13", "lte-rrc.sr_PUCCH_ResourceIndexP1_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_sr_ConfigIndex_r13,
      { "sr-ConfigIndex-r13", "lte-rrc.sr_ConfigIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dsr_TransMax_r13,
      { "dsr-TransMax-r13", "lte-rrc.dsr_TransMax_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dsr_TransMax_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_95,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_82", HFILL }},
    { &hf_lte_rrc_srs_BandwidthConfig,
      { "srs-BandwidthConfig", "lte-rrc.srs_BandwidthConfig",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_BandwidthConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_SubframeConfig,
      { "srs-SubframeConfig", "lte-rrc.srs_SubframeConfig",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_SubframeConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ackNackSRS_SimultaneousTransmission,
      { "ackNackSRS-SimultaneousTransmission", "lte-rrc.ackNackSRS_SimultaneousTransmission",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_srs_MaxUpPts,
      { "srs-MaxUpPts", "lte-rrc.srs_MaxUpPts",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_MaxUpPts_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_96,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_83", HFILL }},
    { &hf_lte_rrc_srs_Bandwidth,
      { "srs-Bandwidth", "lte-rrc.srs_Bandwidth",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_Bandwidth_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_HoppingBandwidth,
      { "srs-HoppingBandwidth", "lte-rrc.srs_HoppingBandwidth",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_HoppingBandwidth_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqDomainPosition,
      { "freqDomainPosition", "lte-rrc.freqDomainPosition",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_23", HFILL }},
    { &hf_lte_rrc_duration,
      { "duration", "lte-rrc.duration",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_duration_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_ConfigIndex,
      { "srs-ConfigIndex", "lte-rrc.srs_ConfigIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_transmissionComb,
      { "transmissionComb", "lte-rrc.transmissionComb",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1", HFILL }},
    { &hf_lte_rrc_cyclicShift_01,
      { "cyclicShift", "lte-rrc.cyclicShift",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cyclicShift_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_AntennaPort_r10,
      { "srs-AntennaPort-r10", "lte-rrc.srs_AntennaPort_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SRS_AntennaPort_vals), 0,
        "SRS_AntennaPort", HFILL }},
    { &hf_lte_rrc_setup_97,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_84", HFILL }},
    { &hf_lte_rrc_transmissionComb_v1310,
      { "transmissionComb-v1310", "lte-rrc.transmissionComb_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_3", HFILL }},
    { &hf_lte_rrc_cyclicShift_v1310,
      { "cyclicShift-v1310", "lte-rrc.cyclicShift_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cyclicShift_v1310_vals), 0,
        "T_cyclicShift_v1310", HFILL }},
    { &hf_lte_rrc_transmissionCombNum_r13,
      { "transmissionCombNum-r13", "lte-rrc.transmissionCombNum_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_transmissionCombNum_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_98,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_85", HFILL }},
    { &hf_lte_rrc_srs_UpPtsAdd_r13,
      { "srs-UpPtsAdd-r13", "lte-rrc.srs_UpPtsAdd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_UpPtsAdd_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_Bandwidth_r13,
      { "srs-Bandwidth-r13", "lte-rrc.srs_Bandwidth_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_Bandwidth_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_HoppingBandwidth_r13,
      { "srs-HoppingBandwidth-r13", "lte-rrc.srs_HoppingBandwidth_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_HoppingBandwidth_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqDomainPosition_r13,
      { "freqDomainPosition-r13", "lte-rrc.freqDomainPosition_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_23", HFILL }},
    { &hf_lte_rrc_duration_r13,
      { "duration-r13", "lte-rrc.duration_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_srs_ConfigIndex_r13,
      { "srs-ConfigIndex-r13", "lte-rrc.srs_ConfigIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_transmissionComb_r13,
      { "transmissionComb-r13", "lte-rrc.transmissionComb_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_cyclicShift_r13,
      { "cyclicShift-r13", "lte-rrc.cyclicShift_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cyclicShift_r13_vals), 0,
        "T_cyclicShift_r13", HFILL }},
    { &hf_lte_rrc_srs_AntennaPort_r13,
      { "srs-AntennaPort-r13", "lte-rrc.srs_AntennaPort_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SRS_AntennaPort_vals), 0,
        "SRS_AntennaPort", HFILL }},
    { &hf_lte_rrc_transmissionCombNum_r13_01,
      { "transmissionCombNum-r13", "lte-rrc.transmissionCombNum_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_transmissionCombNum_r13_01_vals), 0,
        "T_transmissionCombNum_r13_01", HFILL }},
    { &hf_lte_rrc_setup_99,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_86", HFILL }},
    { &hf_lte_rrc_srs_ConfigIndexAp_r10,
      { "srs-ConfigIndexAp-r10", "lte-rrc.srs_ConfigIndexAp_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format4_r10,
      { "srs-ConfigApDCI-Format4-r10", "lte-rrc.srs_ConfigApDCI_Format4_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format4_r10_item,
      { "SRS-ConfigAp-r10", "lte-rrc.SRS_ConfigAp_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_ActivateAp_r10,
      { "srs-ActivateAp-r10", "lte-rrc.srs_ActivateAp_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_ActivateAp_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_100,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_87", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format0_r10,
      { "srs-ConfigApDCI-Format0-r10", "lte-rrc.srs_ConfigApDCI_Format0_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SRS_ConfigAp_r10", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_r10,
      { "srs-ConfigApDCI-Format1a2b2c-r10", "lte-rrc.srs_ConfigApDCI_Format1a2b2c_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SRS_ConfigAp_r10", HFILL }},
    { &hf_lte_rrc_setup_101,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_88", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format4_v1310,
      { "srs-ConfigApDCI-Format4-v1310", "lte-rrc.srs_ConfigApDCI_Format4_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format4_v1310_item,
      { "SRS-ConfigAp-v1310", "lte-rrc.SRS_ConfigAp_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_ActivateAp_v1310,
      { "srs-ActivateAp-v1310", "lte-rrc.srs_ActivateAp_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_ActivateAp_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_102,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_89", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format0_v1310,
      { "srs-ConfigApDCI-Format0-v1310", "lte-rrc.srs_ConfigApDCI_Format0_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SRS_ConfigAp_v1310", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_v1310,
      { "srs-ConfigApDCI-Format1a2b2c-v1310", "lte-rrc.srs_ConfigApDCI_Format1a2b2c_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SRS_ConfigAp_v1310", HFILL }},
    { &hf_lte_rrc_setup_103,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_90", HFILL }},
    { &hf_lte_rrc_srs_UpPtsAdd_r13_01,
      { "srs-UpPtsAdd-r13", "lte-rrc.srs_UpPtsAdd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_UpPtsAdd_r13_01_vals), 0,
        "T_srs_UpPtsAdd_r13_01", HFILL }},
    { &hf_lte_rrc_srs_ConfigIndexAp_r13,
      { "srs-ConfigIndexAp-r13", "lte-rrc.srs_ConfigIndexAp_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format4_r13,
      { "srs-ConfigApDCI-Format4-r13", "lte-rrc.srs_ConfigApDCI_Format4_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format4_r13_item,
      { "SRS-ConfigAp-r13", "lte-rrc.SRS_ConfigAp_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_ActivateAp_r13,
      { "srs-ActivateAp-r13", "lte-rrc.srs_ActivateAp_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_ActivateAp_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_104,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_91", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format0_r13,
      { "srs-ConfigApDCI-Format0-r13", "lte-rrc.srs_ConfigApDCI_Format0_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SRS_ConfigAp_r13", HFILL }},
    { &hf_lte_rrc_srs_ConfigApDCI_Format1a2b2c_r13,
      { "srs-ConfigApDCI-Format1a2b2c-r13", "lte-rrc.srs_ConfigApDCI_Format1a2b2c_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SRS_ConfigAp_r13", HFILL }},
    { &hf_lte_rrc_setup_105,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_92", HFILL }},
    { &hf_lte_rrc_srs_SubframeIndication_r14,
      { "srs-SubframeIndication-r14", "lte-rrc.srs_SubframeIndication_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_srs_AntennaPortAp_r10,
      { "srs-AntennaPortAp-r10", "lte-rrc.srs_AntennaPortAp_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SRS_AntennaPort_vals), 0,
        "SRS_AntennaPort", HFILL }},
    { &hf_lte_rrc_srs_BandwidthAp_r10,
      { "srs-BandwidthAp-r10", "lte-rrc.srs_BandwidthAp_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_BandwidthAp_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqDomainPositionAp_r10,
      { "freqDomainPositionAp-r10", "lte-rrc.freqDomainPositionAp_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_23", HFILL }},
    { &hf_lte_rrc_transmissionCombAp_r10,
      { "transmissionCombAp-r10", "lte-rrc.transmissionCombAp_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1", HFILL }},
    { &hf_lte_rrc_cyclicShiftAp_r10,
      { "cyclicShiftAp-r10", "lte-rrc.cyclicShiftAp_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cyclicShiftAp_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionCombAp_v1310,
      { "transmissionCombAp-v1310", "lte-rrc.transmissionCombAp_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_3", HFILL }},
    { &hf_lte_rrc_cyclicShiftAp_v1310,
      { "cyclicShiftAp-v1310", "lte-rrc.cyclicShiftAp_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cyclicShiftAp_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionCombNum_r13_02,
      { "transmissionCombNum-r13", "lte-rrc.transmissionCombNum_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_transmissionCombNum_r13_02_vals), 0,
        "T_transmissionCombNum_r13_02", HFILL }},
    { &hf_lte_rrc_srs_AntennaPortAp_r13,
      { "srs-AntennaPortAp-r13", "lte-rrc.srs_AntennaPortAp_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SRS_AntennaPort_vals), 0,
        "SRS_AntennaPort", HFILL }},
    { &hf_lte_rrc_srs_BandwidthAp_r13,
      { "srs-BandwidthAp-r13", "lte-rrc.srs_BandwidthAp_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_BandwidthAp_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqDomainPositionAp_r13,
      { "freqDomainPositionAp-r13", "lte-rrc.freqDomainPositionAp_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_23", HFILL }},
    { &hf_lte_rrc_transmissionCombAp_r13,
      { "transmissionCombAp-r13", "lte-rrc.transmissionCombAp_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_cyclicShiftAp_r13,
      { "cyclicShiftAp-r13", "lte-rrc.cyclicShiftAp_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cyclicShiftAp_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionCombNum_r13_03,
      { "transmissionCombNum-r13", "lte-rrc.transmissionCombNum_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_transmissionCombNum_r13_03_vals), 0,
        "T_transmissionCombNum_r13_03", HFILL }},
    { &hf_lte_rrc_semiPersistSchedC_RNTI,
      { "semiPersistSchedC-RNTI", "lte-rrc.semiPersistSchedC_RNTI",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_sps_ConfigDL,
      { "sps-ConfigDL", "lte-rrc.sps_ConfigDL",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SPS_ConfigDL_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sps_ConfigUL,
      { "sps-ConfigUL", "lte-rrc.sps_ConfigUL",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SPS_ConfigUL_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_SPS_V_RNTI_r14,
      { "ul-SPS-V-RNTI-r14", "lte-rrc.ul_SPS_V_RNTI_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_sl_SPS_V_RNTI_r14,
      { "sl-SPS-V-RNTI-r14", "lte-rrc.sl_SPS_V_RNTI_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_sps_ConfigUL_ToAddModList_r14,
      { "sps-ConfigUL-ToAddModList-r14", "lte-rrc.sps_ConfigUL_ToAddModList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sps_ConfigUL_ToReleaseList_r14,
      { "sps-ConfigUL-ToReleaseList-r14", "lte-rrc.sps_ConfigUL_ToReleaseList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sps_ConfigSL_ToAddModList_r14,
      { "sps-ConfigSL-ToAddModList-r14", "lte-rrc.sps_ConfigSL_ToAddModList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sps_ConfigSL_ToReleaseList_r14,
      { "sps-ConfigSL-ToReleaseList-r14", "lte-rrc.sps_ConfigSL_ToReleaseList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SPS_ConfigUL_ToAddModList_r14_item,
      { "SPS-ConfigUL", "lte-rrc.SPS_ConfigUL",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SPS_ConfigUL_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SPS_ConfigUL_ToReleaseList_r14_item,
      { "SPS-ConfigIndex-r14", "lte-rrc.SPS_ConfigIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SPS_ConfigSL_ToAddModList_r14_item,
      { "SPS-ConfigSL-r14", "lte-rrc.SPS_ConfigSL_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SPS_ConfigSL_ToReleaseList_r14_item,
      { "SPS-ConfigIndex-r14", "lte-rrc.SPS_ConfigIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_106,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_93", HFILL }},
    { &hf_lte_rrc_semiPersistSchedIntervalDL,
      { "semiPersistSchedIntervalDL", "lte-rrc.semiPersistSchedIntervalDL",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_semiPersistSchedIntervalDL_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_numberOfConfSPS_Processes,
      { "numberOfConfSPS-Processes", "lte-rrc.numberOfConfSPS_Processes",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_PersistentList,
      { "n1PUCCH-AN-PersistentList", "lte-rrc.n1PUCCH_AN_PersistentList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_twoAntennaPortActivated_r10,
      { "twoAntennaPortActivated-r10", "lte-rrc.twoAntennaPortActivated_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoAntennaPortActivated_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_107,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_94", HFILL }},
    { &hf_lte_rrc_n1PUCCH_AN_PersistentListP1_r10,
      { "n1PUCCH-AN-PersistentListP1-r10", "lte-rrc.n1PUCCH_AN_PersistentListP1_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "N1PUCCH_AN_PersistentList", HFILL }},
    { &hf_lte_rrc_setup_108,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_95", HFILL }},
    { &hf_lte_rrc_semiPersistSchedIntervalUL,
      { "semiPersistSchedIntervalUL", "lte-rrc.semiPersistSchedIntervalUL",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_semiPersistSchedIntervalUL_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_implicitReleaseAfter,
      { "implicitReleaseAfter", "lte-rrc.implicitReleaseAfter",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_implicitReleaseAfter_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p0_Persistent,
      { "p0-Persistent", "lte-rrc.p0_Persistent_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p0_NominalPUSCH_Persistent,
      { "p0-NominalPUSCH-Persistent", "lte-rrc.p0_NominalPUSCH_Persistent",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M126_24", HFILL }},
    { &hf_lte_rrc_p0_UE_PUSCH_Persistent,
      { "p0-UE-PUSCH-Persistent", "lte-rrc.p0_UE_PUSCH_Persistent",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_twoIntervalsConfig,
      { "twoIntervalsConfig", "lte-rrc.twoIntervalsConfig",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoIntervalsConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p0_PersistentSubframeSet2_r12,
      { "p0-PersistentSubframeSet2-r12", "lte-rrc.p0_PersistentSubframeSet2_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_p0_PersistentSubframeSet2_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_109,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_96", HFILL }},
    { &hf_lte_rrc_p0_NominalPUSCH_PersistentSubframeSet2_r12,
      { "p0-NominalPUSCH-PersistentSubframeSet2-r12", "lte-rrc.p0_NominalPUSCH_PersistentSubframeSet2_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M126_24", HFILL }},
    { &hf_lte_rrc_p0_UE_PUSCH_PersistentSubframeSet2_r12,
      { "p0-UE-PUSCH-PersistentSubframeSet2-r12", "lte-rrc.p0_UE_PUSCH_PersistentSubframeSet2_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_numberOfConfUlSPS_Processes_r13,
      { "numberOfConfUlSPS-Processes-r13", "lte-rrc.numberOfConfUlSPS_Processes_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_fixedRV_NonAdaptive_r14,
      { "fixedRV-NonAdaptive-r14", "lte-rrc.fixedRV_NonAdaptive_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fixedRV_NonAdaptive_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sps_ConfigIndex_r14,
      { "sps-ConfigIndex-r14", "lte-rrc.sps_ConfigIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_semiPersistSchedIntervalUL_v1430,
      { "semiPersistSchedIntervalUL-v1430", "lte-rrc.semiPersistSchedIntervalUL_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_semiPersistSchedIntervalUL_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_semiPersistSchedIntervalSL_r14,
      { "semiPersistSchedIntervalSL-r14", "lte-rrc.semiPersistSchedIntervalSL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_semiPersistSchedIntervalSL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_N1PUCCH_AN_PersistentList_item,
      { "N1PUCCH-AN-PersistentList item", "lte-rrc.N1PUCCH_AN_PersistentList_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2047", HFILL }},
    { &hf_lte_rrc_setup_110,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_97", HFILL }},
    { &hf_lte_rrc_srs_TPC_RNTI_r14,
      { "srs-TPC-RNTI-r14", "lte-rrc.srs_TPC_RNTI_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_startingBitOfFormat3B_r14,
      { "startingBitOfFormat3B-r14", "lte-rrc.startingBitOfFormat3B_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_fieldTypeFormat3B_r14,
      { "fieldTypeFormat3B-r14", "lte-rrc.fieldTypeFormat3B_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_srs_CC_SetIndexlist_r14,
      { "srs-CC-SetIndexlist-r14", "lte-rrc.srs_CC_SetIndexlist_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14", HFILL }},
    { &hf_lte_rrc_srs_CC_SetIndexlist_r14_item,
      { "SRS-CC-SetIndex-r14", "lte-rrc.SRS_CC_SetIndex_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cc_SetIndex_r14,
      { "cc-SetIndex-r14", "lte-rrc.cc_SetIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_cc_IndexInOneCC_Set_r14,
      { "cc-IndexInOneCC-Set-r14", "lte-rrc.cc_IndexInOneCC_Set_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_subframeAssignment,
      { "subframeAssignment", "lte-rrc.subframeAssignment",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframeAssignment_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_specialSubframePatterns,
      { "specialSubframePatterns", "lte-rrc.specialSubframePatterns",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_specialSubframePatterns_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_specialSubframePatterns_v1130,
      { "specialSubframePatterns-v1130", "lte-rrc.specialSubframePatterns_v1130",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_specialSubframePatterns_v1130_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_specialSubframePatterns_v1430,
      { "specialSubframePatterns-v1430", "lte-rrc.specialSubframePatterns_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_specialSubframePatterns_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_specialSubframePatterns_v1450,
      { "specialSubframePatterns-v1450", "lte-rrc.specialSubframePatterns_v1450",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_specialSubframePatterns_v1450_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subframeAssignmentSL_r12,
      { "subframeAssignmentSL-r12", "lte-rrc.subframeAssignmentSL_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframeAssignmentSL_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_111,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_98", HFILL }},
    { &hf_lte_rrc_tpc_RNTI,
      { "tpc-RNTI", "lte-rrc.tpc_RNTI",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_tpc_Index,
      { "tpc-Index", "lte-rrc.tpc_Index",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TPC_Index_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_112,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_99", HFILL }},
    { &hf_lte_rrc_tpc_Index_PUCCH_SCell_r13,
      { "tpc-Index-PUCCH-SCell-r13", "lte-rrc.tpc_Index_PUCCH_SCell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TPC_Index_vals), 0,
        "TPC_Index", HFILL }},
    { &hf_lte_rrc_indexOfFormat3,
      { "indexOfFormat3", "lte-rrc.indexOfFormat3",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_15", HFILL }},
    { &hf_lte_rrc_indexOfFormat3A,
      { "indexOfFormat3A", "lte-rrc.indexOfFormat3A",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_31", HFILL }},
    { &hf_lte_rrc_ip_Address_r13,
      { "ip-Address-r13", "lte-rrc.ip_Address_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_IP_Address_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ike_Identity_r13,
      { "ike-Identity-r13", "lte-rrc.ike_Identity_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_Counter_r13,
      { "lwip-Counter-r13", "lte-rrc.lwip_Counter_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_65535", HFILL }},
    { &hf_lte_rrc_idI_r13,
      { "idI-r13", "lte-rrc.idI_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING", HFILL }},
    { &hf_lte_rrc_ipv4_r13,
      { "ipv4-r13", "lte-rrc.ipv4_r13",
        FT_IPv4, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ipv6_r13,
      { "ipv6-r13", "lte-rrc.ipv6_r13",
        FT_IPv6, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p0_NominalPUSCH,
      { "p0-NominalPUSCH", "lte-rrc.p0_NominalPUSCH",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M126_24", HFILL }},
    { &hf_lte_rrc_alpha,
      { "alpha", "lte-rrc.alpha",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_Alpha_r12_vals), 0,
        "Alpha_r12", HFILL }},
    { &hf_lte_rrc_p0_NominalPUCCH,
      { "p0-NominalPUCCH", "lte-rrc.p0_NominalPUCCH",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M127_M96", HFILL }},
    { &hf_lte_rrc_deltaFList_PUCCH,
      { "deltaFList-PUCCH", "lte-rrc.deltaFList_PUCCH_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaPreambleMsg3,
      { "deltaPreambleMsg3", "lte-rrc.deltaPreambleMsg3",
        FT_INT32, BASE_DEC, VALS(lte_rrc_deltaPreambleMsg3_vals), 0,
        "INTEGER_M1_6", HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format3_r10,
      { "deltaF-PUCCH-Format3-r10", "lte-rrc.deltaF_PUCCH_Format3_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format3_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format1bCS_r10,
      { "deltaF-PUCCH-Format1bCS-r10", "lte-rrc.deltaF_PUCCH_Format1bCS_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format1bCS_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format4_r13,
      { "deltaF-PUCCH-Format4-r13", "lte-rrc.deltaF_PUCCH_Format4_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format4_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format5_13,
      { "deltaF-PUCCH-Format5-13", "lte-rrc.deltaF_PUCCH_Format5_13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format5_13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format3_r12,
      { "deltaF-PUCCH-Format3-r12", "lte-rrc.deltaF_PUCCH_Format3_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format3_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format1bCS_r12,
      { "deltaF-PUCCH-Format1bCS-r12", "lte-rrc.deltaF_PUCCH_Format1bCS_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format1bCS_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p0_NominalPUCCH_r12,
      { "p0-NominalPUCCH-r12", "lte-rrc.p0_NominalPUCCH_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M127_M96", HFILL }},
    { &hf_lte_rrc_deltaFList_PUCCH_r12,
      { "deltaFList-PUCCH-r12", "lte-rrc.deltaFList_PUCCH_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DeltaFList_PUCCH", HFILL }},
    { &hf_lte_rrc_p0_NominalPUSCH_r10,
      { "p0-NominalPUSCH-r10", "lte-rrc.p0_NominalPUSCH_r10",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M126_24", HFILL }},
    { &hf_lte_rrc_alpha_r10,
      { "alpha-r10", "lte-rrc.alpha_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_Alpha_r12_vals), 0,
        "Alpha_r12", HFILL }},
    { &hf_lte_rrc_deltaPreambleMsg3_r11,
      { "deltaPreambleMsg3-r11", "lte-rrc.deltaPreambleMsg3_r11",
        FT_INT32, BASE_DEC, VALS(lte_rrc_deltaPreambleMsg3_vals), 0,
        "INTEGER_M1_6", HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format3_r12_01,
      { "deltaF-PUCCH-Format3-r12", "lte-rrc.deltaF_PUCCH_Format3_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format3_r12_01_vals), 0,
        "T_deltaF_PUCCH_Format3_r12_01", HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format1bCS_r12_01,
      { "deltaF-PUCCH-Format1bCS-r12", "lte-rrc.deltaF_PUCCH_Format1bCS_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format1bCS_r12_01_vals), 0,
        "T_deltaF_PUCCH_Format1bCS_r12_01", HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format4_r13_01,
      { "deltaF-PUCCH-Format4-r13", "lte-rrc.deltaF_PUCCH_Format4_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format4_r13_01_vals), 0,
        "T_deltaF_PUCCH_Format4_r13_01", HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format5_13_01,
      { "deltaF-PUCCH-Format5-13", "lte-rrc.deltaF_PUCCH_Format5_13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format5_13_01_vals), 0,
        "T_deltaF_PUCCH_Format5_13_01", HFILL }},
    { &hf_lte_rrc_p0_Nominal_PeriodicSRS_r14,
      { "p0-Nominal-PeriodicSRS-r14", "lte-rrc.p0_Nominal_PeriodicSRS_r14",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M126_24", HFILL }},
    { &hf_lte_rrc_p0_Nominal_AperiodicSRS_r14,
      { "p0-Nominal-AperiodicSRS-r14", "lte-rrc.p0_Nominal_AperiodicSRS_r14",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M126_24", HFILL }},
    { &hf_lte_rrc_alpha_SRS_r14,
      { "alpha-SRS-r14", "lte-rrc.alpha_SRS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_Alpha_r12_vals), 0,
        "Alpha_r12", HFILL }},
    { &hf_lte_rrc_p0_UE_PUSCH,
      { "p0-UE-PUSCH", "lte-rrc.p0_UE_PUSCH",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_deltaMCS_Enabled,
      { "deltaMCS-Enabled", "lte-rrc.deltaMCS_Enabled",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaMCS_Enabled_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_accumulationEnabled,
      { "accumulationEnabled", "lte-rrc.accumulationEnabled",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_p0_UE_PUCCH,
      { "p0-UE-PUCCH", "lte-rrc.p0_UE_PUCCH",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_pSRS_Offset,
      { "pSRS-Offset", "lte-rrc.pSRS_Offset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_filterCoefficient,
      { "filterCoefficient", "lte-rrc.filterCoefficient",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaTxD_OffsetListPUCCH_r10,
      { "deltaTxD-OffsetListPUCCH-r10", "lte-rrc.deltaTxD_OffsetListPUCCH_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pSRS_OffsetAp_r10,
      { "pSRS-OffsetAp-r10", "lte-rrc.pSRS_OffsetAp_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_pSRS_Offset_v1130,
      { "pSRS-Offset-v1130", "lte-rrc.pSRS_Offset_v1130",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_16_31", HFILL }},
    { &hf_lte_rrc_pSRS_OffsetAp_v1130,
      { "pSRS-OffsetAp-v1130", "lte-rrc.pSRS_OffsetAp_v1130",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_16_31", HFILL }},
    { &hf_lte_rrc_deltaTxD_OffsetListPUCCH_v1130,
      { "deltaTxD-OffsetListPUCCH-v1130", "lte-rrc.deltaTxD_OffsetListPUCCH_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_set2PowerControlParameter,
      { "set2PowerControlParameter", "lte-rrc.set2PowerControlParameter",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_set2PowerControlParameter_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_113,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_100", HFILL }},
    { &hf_lte_rrc_tpc_SubframeSet_r12,
      { "tpc-SubframeSet-r12", "lte-rrc.tpc_SubframeSet_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_p0_NominalPUSCH_SubframeSet2_r12,
      { "p0-NominalPUSCH-SubframeSet2-r12", "lte-rrc.p0_NominalPUSCH_SubframeSet2_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M126_24", HFILL }},
    { &hf_lte_rrc_alpha_SubframeSet2_r12,
      { "alpha-SubframeSet2-r12", "lte-rrc.alpha_SubframeSet2_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_Alpha_r12_vals), 0,
        "Alpha_r12", HFILL }},
    { &hf_lte_rrc_p0_UE_PUSCH_SubframeSet2_r12,
      { "p0-UE-PUSCH-SubframeSet2-r12", "lte-rrc.p0_UE_PUSCH_SubframeSet2_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_p0_UE_PeriodicSRS_r14,
      { "p0-UE-PeriodicSRS-r14", "lte-rrc.p0_UE_PeriodicSRS_r14",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_p0_UE_AperiodicSRS_r14,
      { "p0-UE-AperiodicSRS-r14", "lte-rrc.p0_UE_AperiodicSRS_r14",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_accumulationEnabled_r14,
      { "accumulationEnabled-r14", "lte-rrc.accumulationEnabled_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_p0_UE_PUSCH_r10,
      { "p0-UE-PUSCH-r10", "lte-rrc.p0_UE_PUSCH_r10",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_deltaMCS_Enabled_r10,
      { "deltaMCS-Enabled-r10", "lte-rrc.deltaMCS_Enabled_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaMCS_Enabled_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_accumulationEnabled_r10,
      { "accumulationEnabled-r10", "lte-rrc.accumulationEnabled_r10",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_pSRS_Offset_r10,
      { "pSRS-Offset-r10", "lte-rrc.pSRS_Offset_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_filterCoefficient_r10,
      { "filterCoefficient-r10", "lte-rrc.filterCoefficient_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_pathlossReferenceLinking_r10,
      { "pathlossReferenceLinking-r10", "lte-rrc.pathlossReferenceLinking_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pathlossReferenceLinking_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format1,
      { "deltaF-PUCCH-Format1", "lte-rrc.deltaF_PUCCH_Format1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format1_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format1b,
      { "deltaF-PUCCH-Format1b", "lte-rrc.deltaF_PUCCH_Format1b",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format1b_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format2,
      { "deltaF-PUCCH-Format2", "lte-rrc.deltaF_PUCCH_Format2",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format2_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format2a,
      { "deltaF-PUCCH-Format2a", "lte-rrc.deltaF_PUCCH_Format2a",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format2a_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaF_PUCCH_Format2b,
      { "deltaF-PUCCH-Format2b", "lte-rrc.deltaF_PUCCH_Format2b",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaF_PUCCH_Format2b_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1_r10,
      { "deltaTxD-OffsetPUCCH-Format1-r10", "lte-rrc.deltaTxD_OffsetPUCCH_Format1_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaTxD_OffsetPUCCH_Format1_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1a1b_r10,
      { "deltaTxD-OffsetPUCCH-Format1a1b-r10", "lte-rrc.deltaTxD_OffsetPUCCH_Format1a1b_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaTxD_OffsetPUCCH_Format1a1b_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format22a2b_r10,
      { "deltaTxD-OffsetPUCCH-Format22a2b-r10", "lte-rrc.deltaTxD_OffsetPUCCH_Format22a2b_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaTxD_OffsetPUCCH_Format22a2b_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format3_r10,
      { "deltaTxD-OffsetPUCCH-Format3-r10", "lte-rrc.deltaTxD_OffsetPUCCH_Format3_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaTxD_OffsetPUCCH_Format3_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaTxD_OffsetPUCCH_Format1bCS_r11,
      { "deltaTxD-OffsetPUCCH-Format1bCS-r11", "lte-rrc.deltaTxD_OffsetPUCCH_Format1bCS_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deltaTxD_OffsetPUCCH_Format1bCS_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_WLAN_Id_List_r13_item,
      { "WLAN-Identifiers-r12", "lte-rrc.WLAN_Identifiers_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_ToReleaseList_r13,
      { "wlan-ToReleaseList-r13", "lte-rrc.wlan_ToReleaseList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_Id_List_r13", HFILL }},
    { &hf_lte_rrc_wlan_ToAddList_r13,
      { "wlan-ToAddList-r13", "lte-rrc.wlan_ToAddList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_Id_List_r13", HFILL }},
    { &hf_lte_rrc_associationTimer_r13,
      { "associationTimer-r13", "lte-rrc.associationTimer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_associationTimer_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_successReportRequested_r13,
      { "successReportRequested-r13", "lte-rrc.successReportRequested_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_successReportRequested_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_SuspendConfig_r14,
      { "wlan-SuspendConfig-r14", "lte-rrc.wlan_SuspendConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cipheringAlgorithm,
      { "cipheringAlgorithm", "lte-rrc.cipheringAlgorithm",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CipheringAlgorithm_r12_vals), 0,
        "CipheringAlgorithm_r12", HFILL }},
    { &hf_lte_rrc_integrityProtAlgorithm,
      { "integrityProtAlgorithm", "lte-rrc.integrityProtAlgorithm",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_integrityProtAlgorithm_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_arfcn_01,
      { "arfcn", "lte-rrc.arfcn",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueGERAN", HFILL }},
    { &hf_lte_rrc_startingARFCN,
      { "startingARFCN", "lte-rrc.startingARFCN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueGERAN", HFILL }},
    { &hf_lte_rrc_followingARFCNs,
      { "followingARFCNs", "lte-rrc.followingARFCNs",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_followingARFCNs_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitListOfARFCNs,
      { "explicitListOfARFCNs", "lte-rrc.explicitListOfARFCNs",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_equallySpacedARFCNs,
      { "equallySpacedARFCNs", "lte-rrc.equallySpacedARFCNs_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_arfcn_Spacing,
      { "arfcn-Spacing", "lte-rrc.arfcn_Spacing",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_numberOfFollowingARFCNs,
      { "numberOfFollowingARFCNs", "lte-rrc.numberOfFollowingARFCNs",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_variableBitMapOfARFCNs,
      { "variableBitMapOfARFCNs", "lte-rrc.variableBitMapOfARFCNs",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_1_16", HFILL }},
    { &hf_lte_rrc_ExplicitListOfARFCNs_item,
      { "ARFCN-ValueGERAN", "lte-rrc.ARFCN_ValueGERAN",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CarrierFreqListMBMS_r11_item,
      { "ARFCN-ValueEUTRA-r9", "lte-rrc.ARFCN_ValueEUTRA_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CellIndexList_item,
      { "CellIndex", "lte-rrc.CellIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_RxLevMinCE_r13,
      { "q-RxLevMinCE-r13", "lte-rrc.q_RxLevMinCE_r13",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_q_RxLevMin_vals_ext, 0,
        "Q_RxLevMin", HFILL }},
    { &hf_lte_rrc_q_QualMinRSRQ_CE_r13,
      { "q-QualMinRSRQ-CE-r13", "lte-rrc.q_QualMinRSRQ_CE_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_QualMin_r9", HFILL }},
    { &hf_lte_rrc_q_RxLevMinCE1_r13,
      { "q-RxLevMinCE1-r13", "lte-rrc.q_RxLevMinCE1_r13",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_q_RxLevMin_vals_ext, 0,
        "Q_RxLevMin", HFILL }},
    { &hf_lte_rrc_q_QualMinRSRQ_CE1_r13,
      { "q-QualMinRSRQ-CE1-r13", "lte-rrc.q_QualMinRSRQ_CE1_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_QualMin_r9", HFILL }},
    { &hf_lte_rrc_delta_RxLevMinCE1_v1360,
      { "delta-RxLevMinCE1-v1360", "lte-rrc.delta_RxLevMinCE1_v1360",
        FT_INT32, BASE_DEC, VALS(lte_rrc_delta_RxLevMin_vals), 0,
        "INTEGER_M8_M1", HFILL }},
    { &hf_lte_rrc_sid,
      { "sid", "lte-rrc.sid",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_15", HFILL }},
    { &hf_lte_rrc_nid,
      { "nid", "lte-rrc.nid",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_multipleSID,
      { "multipleSID", "lte-rrc.multipleSID",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_multipleNID,
      { "multipleNID", "lte-rrc.multipleNID",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_homeReg,
      { "homeReg", "lte-rrc.homeReg",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_foreignSIDReg,
      { "foreignSIDReg", "lte-rrc.foreignSIDReg",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_foreignNIDReg,
      { "foreignNIDReg", "lte-rrc.foreignNIDReg",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_parameterReg,
      { "parameterReg", "lte-rrc.parameterReg",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_powerUpReg,
      { "powerUpReg", "lte-rrc.powerUpReg",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_registrationPeriod,
      { "registrationPeriod", "lte-rrc.registrationPeriod",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_7", HFILL }},
    { &hf_lte_rrc_registrationZone,
      { "registrationZone", "lte-rrc.registrationZone",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_12", HFILL }},
    { &hf_lte_rrc_totalZone,
      { "totalZone", "lte-rrc.totalZone",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_zoneTimer,
      { "zoneTimer", "lte-rrc.zoneTimer",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_powerDownReg_r9,
      { "powerDownReg-r9", "lte-rrc.powerDownReg_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerDownReg_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIdentity_01,
      { "cellIdentity", "lte-rrc.cellIdentity",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_28", HFILL }},
    { &hf_lte_rrc_locationAreaCode,
      { "locationAreaCode", "lte-rrc.locationAreaCode",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_cellIdentity_02,
      { "cellIdentity", "lte-rrc.cellIdentity",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_cellGlobalId1XRTT,
      { "cellGlobalId1XRTT", "lte-rrc.cellGlobalId1XRTT",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_47", HFILL }},
    { &hf_lte_rrc_cellGlobalIdHRPD,
      { "cellGlobalIdHRPD", "lte-rrc.cellGlobalIdHRPD",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_128", HFILL }},
    { &hf_lte_rrc_q_Hyst_r13,
      { "q-Hyst-r13", "lte-rrc.q_Hyst_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_q_Hyst_r13_vals), 0,
        "T_q_Hyst_r13", HFILL }},
    { &hf_lte_rrc_q_RxLevMinReselection_r13,
      { "q-RxLevMinReselection-r13", "lte-rrc.q_RxLevMinReselection_r13",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_q_RxLevMin_vals_ext, 0,
        "Q_RxLevMin", HFILL }},
    { &hf_lte_rrc_t_ReselectionEUTRA_r13,
      { "t-ReselectionEUTRA-r13", "lte-rrc.t_ReselectionEUTRA_r13",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "T_Reselection", HFILL }},
    { &hf_lte_rrc_targetPhysCellId,
      { "targetPhysCellId", "lte-rrc.targetPhysCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_carrierFreq_03,
      { "carrierFreq", "lte-rrc.carrierFreq_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqEUTRA", HFILL }},
    { &hf_lte_rrc_carrierBandwidth,
      { "carrierBandwidth", "lte-rrc.carrierBandwidth_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierBandwidthEUTRA", HFILL }},
    { &hf_lte_rrc_t304_01,
      { "t304", "lte-rrc.t304",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t304_01_vals), 0,
        "T_t304_01", HFILL }},
    { &hf_lte_rrc_newUE_Identity,
      { "newUE-Identity", "lte-rrc.newUE_Identity",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommon_01,
      { "radioResourceConfigCommon", "lte-rrc.radioResourceConfigCommon_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rach_ConfigDedicated,
      { "rach-ConfigDedicated", "lte-rrc.rach_ConfigDedicated_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_v9e0_01,
      { "carrierFreq-v9e0", "lte-rrc.carrierFreq_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_drb_ContinueROHC_r11,
      { "drb-ContinueROHC-r11", "lte-rrc.drb_ContinueROHC_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_ContinueROHC_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityControlInfoV2X_r14,
      { "mobilityControlInfoV2X-r14", "lte-rrc.mobilityControlInfoV2X_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_handoverWithoutWT_Change_r14,
      { "handoverWithoutWT-Change-r14", "lte-rrc.handoverWithoutWT_Change_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_handoverWithoutWT_Change_r14_vals), 0,
        "T_handoverWithoutWT_Change_r14", HFILL }},
    { &hf_lte_rrc_makeBeforeBreak_r14,
      { "makeBeforeBreak-r14", "lte-rrc.makeBeforeBreak_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_makeBeforeBreak_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rach_Skip_r14,
      { "rach-Skip-r14", "lte-rrc.rach_Skip_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sameSFN_Indication_r14,
      { "sameSFN-Indication-r14", "lte-rrc.sameSFN_Indication_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sameSFN_Indication_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mib_RepetitionStatus_r14,
      { "mib-RepetitionStatus-r14", "lte-rrc.mib_RepetitionStatus_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_schedulingInfoSIB1_BR_r14,
      { "schedulingInfoSIB1-BR-r14", "lte-rrc.schedulingInfoSIB1_BR_r14",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_schedulingInfoSIB1_BR_r13_vals_ext, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_t307_r12,
      { "t307-r12", "lte-rrc.t307_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t307_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_IdentitySCG_r12,
      { "ue-IdentitySCG-r12", "lte-rrc.ue_IdentitySCG_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_rach_ConfigDedicated_r12,
      { "rach-ConfigDedicated-r12", "lte-rrc.rach_ConfigDedicated_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RACH_ConfigDedicated", HFILL }},
    { &hf_lte_rrc_cipheringAlgorithmSCG_r12,
      { "cipheringAlgorithmSCG-r12", "lte-rrc.cipheringAlgorithmSCG_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CipheringAlgorithm_r12_vals), 0,
        "CipheringAlgorithm_r12", HFILL }},
    { &hf_lte_rrc_makeBeforeBreakSCG_r14,
      { "makeBeforeBreakSCG-r14", "lte-rrc.makeBeforeBreakSCG_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_makeBeforeBreakSCG_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rach_SkipSCG_r14,
      { "rach-SkipSCG-r14", "lte-rrc.rach_SkipSCG_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RACH_Skip_r14", HFILL }},
    { &hf_lte_rrc_v2x_CommSyncConfig_r14,
      { "v2x-CommSyncConfig-r14", "lte-rrc.v2x_CommSyncConfig_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_SyncConfigListV2X_r14", HFILL }},
    { &hf_lte_rrc_cbr_MobilityTxConfigList_r14,
      { "cbr-MobilityTxConfigList-r14", "lte-rrc.cbr_MobilityTxConfigList_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CBR_CommonTxConfigList_r14", HFILL }},
    { &hf_lte_rrc_dl_Bandwidth_01,
      { "dl-Bandwidth", "lte-rrc.dl_Bandwidth",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_Bandwidth_01_vals), 0,
        "T_dl_Bandwidth_01", HFILL }},
    { &hf_lte_rrc_ul_Bandwidth_01,
      { "ul-Bandwidth", "lte-rrc.ul_Bandwidth",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_Bandwidth_01_vals), 0,
        "T_ul_Bandwidth_01", HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_v9e0_01,
      { "dl-CarrierFreq-v9e0", "lte-rrc.dl_CarrierFreq_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq_v9e0_01,
      { "ul-CarrierFreq-v9e0", "lte-rrc.ul_CarrierFreq_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_targetTA_r14,
      { "targetTA-r14", "lte-rrc.targetTA_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_targetTA_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ta0_r14,
      { "ta0-r14", "lte-rrc.ta0_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mcg_PTAG_r14,
      { "mcg-PTAG-r14", "lte-rrc.mcg_PTAG_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scg_PTAG_r14,
      { "scg-PTAG-r14", "lte-rrc.scg_PTAG_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mcg_STAG_r14,
      { "mcg-STAG-r14", "lte-rrc.mcg_STAG_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "STAG_Id_r11", HFILL }},
    { &hf_lte_rrc_scg_STAG_r14,
      { "scg-STAG-r14", "lte-rrc.scg_STAG_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "STAG_Id_r11", HFILL }},
    { &hf_lte_rrc_ul_ConfigInfo_r14,
      { "ul-ConfigInfo-r14", "lte-rrc.ul_ConfigInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_numberOfConfUL_Processes_r14,
      { "numberOfConfUL-Processes-r14", "lte-rrc.numberOfConfUL_Processes_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_ul_SchedInterval_r14,
      { "ul-SchedInterval-r14", "lte-rrc.ul_SchedInterval_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_SchedInterval_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_StartSubframe_r14,
      { "ul-StartSubframe-r14", "lte-rrc.ul_StartSubframe_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_9", HFILL }},
    { &hf_lte_rrc_ul_Grant_r14,
      { "ul-Grant-r14", "lte-rrc.ul_Grant_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_t_Evaluation,
      { "t-Evaluation", "lte-rrc.t_Evaluation",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t_Evaluation_vals), 0,
        "T_t_Evaluation", HFILL }},
    { &hf_lte_rrc_t_HystNormal,
      { "t-HystNormal", "lte-rrc.t_HystNormal",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t_HystNormal_vals), 0,
        "T_t_HystNormal", HFILL }},
    { &hf_lte_rrc_n_CellChangeMedium,
      { "n-CellChangeMedium", "lte-rrc.n_CellChangeMedium",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_16", HFILL }},
    { &hf_lte_rrc_n_CellChangeHigh,
      { "n-CellChangeHigh", "lte-rrc.n_CellChangeHigh",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_16", HFILL }},
    { &hf_lte_rrc_MultiBandInfoList_item,
      { "FreqBandIndicator", "lte-rrc.FreqBandIndicator",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MultiBandInfoList_v9e0_item,
      { "MultiBandInfo-v9e0", "lte-rrc.MultiBandInfo_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MultiBandInfoList_v10j0_item,
      { "NS-PmaxList-r10", "lte-rrc.NS_PmaxList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MultiBandInfoList_v10l0_item,
      { "NS-PmaxList-v10l0", "lte-rrc.NS_PmaxList_v10l0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MultiBandInfoList_r11_item,
      { "FreqBandIndicator-r11", "lte-rrc.FreqBandIndicator_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NS_PmaxList_r10_item,
      { "NS-PmaxValue-r10", "lte-rrc.NS_PmaxValue_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NS_PmaxList_v10l0_item,
      { "NS-PmaxValue-v10l0", "lte-rrc.NS_PmaxValue_v10l0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalPmax_r10,
      { "additionalPmax-r10", "lte-rrc.additionalPmax_r10",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P_Max", HFILL }},
    { &hf_lte_rrc_start_01,
      { "start", "lte-rrc.start",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_range,
      { "range", "lte-rrc.range",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_range_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_PhysCellIdRangeUTRA_FDDList_r9_item,
      { "PhysCellIdRangeUTRA-FDD-r9", "lte-rrc.PhysCellIdRangeUTRA_FDD_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_start_r9,
      { "start-r9", "lte-rrc.start_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_FDD", HFILL }},
    { &hf_lte_rrc_range_r9,
      { "range-r9", "lte-rrc.range_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_512", HFILL }},
    { &hf_lte_rrc_networkColourCode,
      { "networkColourCode", "lte-rrc.networkColourCode",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_baseStationColourCode,
      { "baseStationColourCode", "lte-rrc.baseStationColourCode",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_mcc,
      { "mcc", "lte-rrc.mcc",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mnc,
      { "mnc", "lte-rrc.mnc",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MCC_item,
      { "MCC-MNC-Digit", "lte-rrc.MCC_MNC_Digit",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MNC_item,
      { "MCC-MNC-Digit", "lte-rrc.MCC_MNC_Digit",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_PLMN_IdentityList3_r11_item,
      { "PLMN-Identity", "lte-rrc.PLMN_Identity_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preRegistrationAllowed,
      { "preRegistrationAllowed", "lte-rrc.preRegistrationAllowed",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_preRegistrationZoneId,
      { "preRegistrationZoneId", "lte-rrc.preRegistrationZoneId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PreRegistrationZoneIdHRPD", HFILL }},
    { &hf_lte_rrc_secondaryPreRegistrationZoneIdList,
      { "secondaryPreRegistrationZoneIdList", "lte-rrc.secondaryPreRegistrationZoneIdList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SecondaryPreRegistrationZoneIdListHRPD", HFILL }},
    { &hf_lte_rrc_SecondaryPreRegistrationZoneIdListHRPD_item,
      { "PreRegistrationZoneIdHRPD", "lte-rrc.PreRegistrationZoneIdHRPD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf_Medium_01,
      { "sf-Medium", "lte-rrc.sf_Medium",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sf_Medium_01_vals), 0,
        "T_sf_Medium_01", HFILL }},
    { &hf_lte_rrc_sf_High_01,
      { "sf-High", "lte-rrc.sf_High",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sf_High_01_vals), 0,
        "T_sf_High_01", HFILL }},
    { &hf_lte_rrc_SystemInfoListGERAN_item,
      { "SystemInfoListGERAN item", "lte-rrc.SystemInfoListGERAN_item",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cdma_EUTRA_Synchronisation,
      { "cdma-EUTRA-Synchronisation", "lte-rrc.cdma_EUTRA_Synchronisation",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_cdma_SystemTime,
      { "cdma-SystemTime", "lte-rrc.cdma_SystemTime",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cdma_SystemTime_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_synchronousSystemTime,
      { "synchronousSystemTime", "lte-rrc.synchronousSystemTime",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_asynchronousSystemTime,
      { "asynchronousSystemTime", "lte-rrc.asynchronousSystemTime",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nr_RSRP_r15,
      { "nr-RSRP-r15", "lte-rrc.nr_RSRP_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "RSRP_RangeNR_r15", HFILL }},
    { &hf_lte_rrc_nr_RSRQ_r15,
      { "nr-RSRQ-r15", "lte-rrc.nr_RSRQ_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "RSRQ_RangeNR_r15", HFILL }},
    { &hf_lte_rrc_nr_SINR_r15,
      { "nr-SINR-r15", "lte-rrc.nr_SINR_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "RS_SINR_RangeNR_r15", HFILL }},
    { &hf_lte_rrc_locationCoordinates_r10,
      { "locationCoordinates-r10", "lte-rrc.locationCoordinates_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_locationCoordinates_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ellipsoid_Point_r10,
      { "ellipsoid-Point-r10", "lte-rrc.ellipsoid_Point_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_ellipsoid_Point_r10", HFILL }},
    { &hf_lte_rrc_ellipsoidPointWithAltitude_r10,
      { "ellipsoidPointWithAltitude-r10", "lte-rrc.ellipsoidPointWithAltitude_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ellipsoidPointWithUncertaintyCircle_r11,
      { "ellipsoidPointWithUncertaintyCircle-r11", "lte-rrc.ellipsoidPointWithUncertaintyCircle_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ellipsoidPointWithUncertaintyEllipse_r11,
      { "ellipsoidPointWithUncertaintyEllipse-r11", "lte-rrc.ellipsoidPointWithUncertaintyEllipse_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ellipsoidPointWithAltitudeAndUncertaintyEllipsoid_r11,
      { "ellipsoidPointWithAltitudeAndUncertaintyEllipsoid-r11", "lte-rrc.ellipsoidPointWithAltitudeAndUncertaintyEllipsoid_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ellipsoidArc_r11,
      { "ellipsoidArc-r11", "lte-rrc.ellipsoidArc_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_polygon_r11,
      { "polygon-r11", "lte-rrc.polygon_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_horizontalVelocity_r10,
      { "horizontalVelocity-r10", "lte-rrc.horizontalVelocity_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_gnss_TOD_msec_r10,
      { "gnss-TOD-msec-r10", "lte-rrc.gnss_TOD_msec_r10",
        FT_UINT24, BASE_DEC|BASE_UNIT_STRING, &units_milliseconds, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectToRemoveList,
      { "measObjectToRemoveList", "lte-rrc.measObjectToRemoveList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectToAddModList,
      { "measObjectToAddModList", "lte-rrc.measObjectToAddModList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportConfigToRemoveList,
      { "reportConfigToRemoveList", "lte-rrc.reportConfigToRemoveList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportConfigToAddModList,
      { "reportConfigToAddModList", "lte-rrc.reportConfigToAddModList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measIdToRemoveList,
      { "measIdToRemoveList", "lte-rrc.measIdToRemoveList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measIdToAddModList,
      { "measIdToAddModList", "lte-rrc.measIdToAddModList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfig,
      { "quantityConfig", "lte-rrc.quantityConfig_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measGapConfig,
      { "measGapConfig", "lte-rrc.measGapConfig",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasGapConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_Measure,
      { "s-Measure", "lte-rrc.s_Measure",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_s_Measure_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_speedStatePars,
      { "speedStatePars", "lte-rrc.speedStatePars",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_speedStatePars_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_114,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_101", HFILL }},
    { &hf_lte_rrc_timeToTrigger_SF,
      { "timeToTrigger-SF", "lte-rrc.timeToTrigger_SF_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SpeedStateScaleFactors", HFILL }},
    { &hf_lte_rrc_measObjectToAddModList_v9e0,
      { "measObjectToAddModList-v9e0", "lte-rrc.measObjectToAddModList_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_allowInterruptions_r11,
      { "allowInterruptions-r11", "lte-rrc.allowInterruptions_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_measScaleFactor_r12,
      { "measScaleFactor-r12", "lte-rrc.measScaleFactor_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measScaleFactor_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_115,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasScaleFactor_r12_vals), 0,
        "MeasScaleFactor_r12", HFILL }},
    { &hf_lte_rrc_measIdToRemoveListExt_r12,
      { "measIdToRemoveListExt-r12", "lte-rrc.measIdToRemoveListExt_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measIdToAddModListExt_r12,
      { "measIdToAddModListExt-r12", "lte-rrc.measIdToAddModListExt_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measRSRQ_OnAllSymbols_r12,
      { "measRSRQ-OnAllSymbols-r12", "lte-rrc.measRSRQ_OnAllSymbols_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_measObjectToRemoveListExt_r13,
      { "measObjectToRemoveListExt-r13", "lte-rrc.measObjectToRemoveListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectToAddModListExt_r13,
      { "measObjectToAddModListExt-r13", "lte-rrc.measObjectToAddModListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measIdToAddModList_v1310,
      { "measIdToAddModList-v1310", "lte-rrc.measIdToAddModList_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measIdToAddModListExt_v1310,
      { "measIdToAddModListExt-v1310", "lte-rrc.measIdToAddModListExt_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measGapConfigPerCC_List_r14,
      { "measGapConfigPerCC-List-r14", "lte-rrc.measGapConfigPerCC_List_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasGapConfigPerCC_List_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measGapSharingConfig_r14,
      { "measGapSharingConfig-r14", "lte-rrc.measGapSharingConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasGapSharingConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasIdToRemoveList_item,
      { "MeasId", "lte-rrc.MeasId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasIdToRemoveListExt_r12_item,
      { "MeasId-v1250", "lte-rrc.MeasId_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasObjectToRemoveList_item,
      { "MeasObjectId", "lte-rrc.MeasObjectId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasObjectToRemoveListExt_r13_item,
      { "MeasObjectId-v1310", "lte-rrc.MeasObjectId_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ReportConfigToRemoveList_item,
      { "ReportConfigId", "lte-rrc.ReportConfigId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_116,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_102", HFILL }},
    { &hf_lte_rrc_dmtc_PeriodOffset_r12,
      { "dmtc-PeriodOffset-r12", "lte-rrc.dmtc_PeriodOffset_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmtc_PeriodOffset_r12_vals), 0,
        "T_dmtc_PeriodOffset_r12", HFILL }},
    { &hf_lte_rrc_ms40_r12,
      { "ms40-r12", "lte-rrc.ms40_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_39", HFILL }},
    { &hf_lte_rrc_ms80_r12,
      { "ms80-r12", "lte-rrc.ms80_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_79", HFILL }},
    { &hf_lte_rrc_ms160_r12,
      { "ms160-r12", "lte-rrc.ms160_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_159", HFILL }},
    { &hf_lte_rrc_ds_OccasionDuration_r12,
      { "ds-OccasionDuration-r12", "lte-rrc.ds_OccasionDuration_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ds_OccasionDuration_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_durationFDD_r12,
      { "durationFDD-r12", "lte-rrc.durationFDD_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxDS_Duration_r12", HFILL }},
    { &hf_lte_rrc_durationTDD_r12,
      { "durationTDD-r12", "lte-rrc.durationTDD_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_maxDS_Duration_r12", HFILL }},
    { &hf_lte_rrc_measCSI_RS_ToRemoveList_r12,
      { "measCSI-RS-ToRemoveList-r12", "lte-rrc.measCSI_RS_ToRemoveList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measCSI_RS_ToAddModList_r12,
      { "measCSI-RS-ToAddModList-r12", "lte-rrc.measCSI_RS_ToAddModList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasCSI_RS_ToRemoveList_r12_item,
      { "MeasCSI-RS-Id-r12", "lte-rrc.MeasCSI_RS_Id_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasCSI_RS_ToAddModList_r12_item,
      { "MeasCSI-RS-Config-r12", "lte-rrc.MeasCSI_RS_Config_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measCSI_RS_Id_r12,
      { "measCSI-RS-Id-r12", "lte-rrc.measCSI_RS_Id_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r12_01,
      { "physCellId-r12", "lte-rrc.physCellId_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_503", HFILL }},
    { &hf_lte_rrc_scramblingIdentity_r12,
      { "scramblingIdentity-r12", "lte-rrc.scramblingIdentity_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_503", HFILL }},
    { &hf_lte_rrc_subframeOffset_r12,
      { "subframeOffset-r12", "lte-rrc.subframeOffset_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_4", HFILL }},
    { &hf_lte_rrc_csi_RS_IndividualOffset_r12,
      { "csi-RS-IndividualOffset-r12", "lte-rrc.csi_RS_IndividualOffset_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_Q_OffsetRange_vals_ext, 0,
        "Q_OffsetRange", HFILL }},
    { &hf_lte_rrc_setup_117,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_103", HFILL }},
    { &hf_lte_rrc_gapOffset,
      { "gapOffset", "lte-rrc.gapOffset",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gapOffset_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_gp0,
      { "gp0", "lte-rrc.gp0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_39", HFILL }},
    { &hf_lte_rrc_gp1,
      { "gp1", "lte-rrc.gp1",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_79", HFILL }},
    { &hf_lte_rrc_gp2_r14,
      { "gp2-r14", "lte-rrc.gp2_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_39", HFILL }},
    { &hf_lte_rrc_gp3_r14,
      { "gp3-r14", "lte-rrc.gp3_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_79", HFILL }},
    { &hf_lte_rrc_gp_ncsg0_r14,
      { "gp-ncsg0-r14", "lte-rrc.gp_ncsg0_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_39", HFILL }},
    { &hf_lte_rrc_gp_ncsg1_r14,
      { "gp-ncsg1-r14", "lte-rrc.gp_ncsg1_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_79", HFILL }},
    { &hf_lte_rrc_gp_ncsg2_r14,
      { "gp-ncsg2-r14", "lte-rrc.gp_ncsg2_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_39", HFILL }},
    { &hf_lte_rrc_gp_ncsg3_r14,
      { "gp-ncsg3-r14", "lte-rrc.gp_ncsg3_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_79", HFILL }},
    { &hf_lte_rrc_gp_nonUniform1_r14,
      { "gp-nonUniform1-r14", "lte-rrc.gp_nonUniform1_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1279", HFILL }},
    { &hf_lte_rrc_gp_nonUniform2_r14,
      { "gp-nonUniform2-r14", "lte-rrc.gp_nonUniform2_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2559", HFILL }},
    { &hf_lte_rrc_gp_nonUniform3_r14,
      { "gp-nonUniform3-r14", "lte-rrc.gp_nonUniform3_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_5119", HFILL }},
    { &hf_lte_rrc_gp_nonUniform4_r14,
      { "gp-nonUniform4-r14", "lte-rrc.gp_nonUniform4_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_10239", HFILL }},
    { &hf_lte_rrc_setup_118,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_104", HFILL }},
    { &hf_lte_rrc_measGapConfigToRemoveList_r14,
      { "measGapConfigToRemoveList-r14", "lte-rrc.measGapConfigToRemoveList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measGapConfigToAddModList_r14,
      { "measGapConfigToAddModList-r14", "lte-rrc.measGapConfigToAddModList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasGapConfigToRemoveList_r14_item,
      { "ServCellIndex-r13", "lte-rrc.ServCellIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasGapConfigToAddModList_r14_item,
      { "MeasGapConfigPerCC-r14", "lte-rrc.MeasGapConfigPerCC_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measGapConfigCC_r14,
      { "measGapConfigCC-r14", "lte-rrc.measGapConfigCC_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasGapConfig_vals), 0,
        "MeasGapConfig", HFILL }},
    { &hf_lte_rrc_setup_119,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_105", HFILL }},
    { &hf_lte_rrc_measGapSharingScheme_r14,
      { "measGapSharingScheme-r14", "lte-rrc.measGapSharingScheme_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measGapSharingScheme_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasIdToAddModList_item,
      { "MeasIdToAddMod", "lte-rrc.MeasIdToAddMod_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasIdToAddModList_v1310_item,
      { "MeasIdToAddMod-v1310", "lte-rrc.MeasIdToAddMod_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasIdToAddModListExt_r12_item,
      { "MeasIdToAddModExt-r12", "lte-rrc.MeasIdToAddModExt_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasIdToAddModListExt_v1310_item,
      { "MeasIdToAddMod-v1310", "lte-rrc.MeasIdToAddMod_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measId,
      { "measId", "lte-rrc.measId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectId,
      { "measObjectId", "lte-rrc.measObjectId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportConfigId,
      { "reportConfigId", "lte-rrc.reportConfigId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measId_v1250,
      { "measId-v1250", "lte-rrc.measId_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectId_r12,
      { "measObjectId-r12", "lte-rrc.measObjectId_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasObjectId", HFILL }},
    { &hf_lte_rrc_reportConfigId_r12,
      { "reportConfigId-r12", "lte-rrc.reportConfigId_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ReportConfigId", HFILL }},
    { &hf_lte_rrc_measObjectId_v1310,
      { "measObjectId-v1310", "lte-rrc.measObjectId_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_04,
      { "carrierFreq", "lte-rrc.carrierFreq_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreqCDMA2000", HFILL }},
    { &hf_lte_rrc_offsetFreq,
      { "offsetFreq", "lte-rrc.offsetFreq",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_OffsetRangeInterRAT", HFILL }},
    { &hf_lte_rrc_cellsToRemoveList,
      { "cellsToRemoveList", "lte-rrc.cellsToRemoveList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellIndexList", HFILL }},
    { &hf_lte_rrc_cellsToAddModList,
      { "cellsToAddModList", "lte-rrc.cellsToAddModList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellsToAddModListCDMA2000", HFILL }},
    { &hf_lte_rrc_cellForWhichToReportCGI,
      { "cellForWhichToReportCGI", "lte-rrc.cellForWhichToReportCGI",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdCDMA2000", HFILL }},
    { &hf_lte_rrc_CellsToAddModListCDMA2000_item,
      { "CellsToAddModCDMA2000", "lte-rrc.CellsToAddModCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIndex,
      { "cellIndex", "lte-rrc.cellIndex",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxCellMeas", HFILL }},
    { &hf_lte_rrc_physCellId_02,
      { "physCellId", "lte-rrc.physCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdCDMA2000", HFILL }},
    { &hf_lte_rrc_offsetFreq_01,
      { "offsetFreq", "lte-rrc.offsetFreq",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_Q_OffsetRange_vals_ext, 0,
        "Q_OffsetRange", HFILL }},
    { &hf_lte_rrc_cellsToAddModList_01,
      { "cellsToAddModList", "lte-rrc.cellsToAddModList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_blackCellsToRemoveList,
      { "blackCellsToRemoveList", "lte-rrc.blackCellsToRemoveList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellIndexList", HFILL }},
    { &hf_lte_rrc_blackCellsToAddModList,
      { "blackCellsToAddModList", "lte-rrc.blackCellsToAddModList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellForWhichToReportCGI_01,
      { "cellForWhichToReportCGI", "lte-rrc.cellForWhichToReportCGI",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_measCycleSCell_r10,
      { "measCycleSCell-r10", "lte-rrc.measCycleSCell_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasCycleSCell_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measSubframePatternConfigNeigh_r10,
      { "measSubframePatternConfigNeigh-r10", "lte-rrc.measSubframePatternConfigNeigh_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasSubframePatternConfigNeigh_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_widebandRSRQ_Meas_r11,
      { "widebandRSRQ-Meas-r11", "lte-rrc.widebandRSRQ_Meas_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_altTTT_CellsToRemoveList_r12,
      { "altTTT-CellsToRemoveList-r12", "lte-rrc.altTTT_CellsToRemoveList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellIndexList", HFILL }},
    { &hf_lte_rrc_altTTT_CellsToAddModList_r12,
      { "altTTT-CellsToAddModList-r12", "lte-rrc.altTTT_CellsToAddModList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t312_r12,
      { "t312-r12", "lte-rrc.t312_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t312_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_120,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_106_vals), 0,
        "T_setup_106", HFILL }},
    { &hf_lte_rrc_reducedMeasPerformance_r12_05,
      { "reducedMeasPerformance-r12", "lte-rrc.reducedMeasPerformance_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_measDS_Config_r12,
      { "measDS-Config-r12", "lte-rrc.measDS_Config_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasDS_Config_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_whiteCellsToRemoveList_r13,
      { "whiteCellsToRemoveList-r13", "lte-rrc.whiteCellsToRemoveList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellIndexList", HFILL }},
    { &hf_lte_rrc_whiteCellsToAddModList_r13,
      { "whiteCellsToAddModList-r13", "lte-rrc.whiteCellsToAddModList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rmtc_Config_r13,
      { "rmtc-Config-r13", "lte-rrc.rmtc_Config_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RMTC_Config_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r13,
      { "carrierFreq-r13", "lte-rrc.carrierFreq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_v9e0", HFILL }},
    { &hf_lte_rrc_tx_ResourcePoolToRemoveList_r14,
      { "tx-ResourcePoolToRemoveList-r14", "lte-rrc.tx_ResourcePoolToRemoveList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "Tx_ResourcePoolMeasList_r14", HFILL }},
    { &hf_lte_rrc_tx_ResourcePoolToAddList_r14,
      { "tx-ResourcePoolToAddList-r14", "lte-rrc.tx_ResourcePoolToAddList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "Tx_ResourcePoolMeasList_r14", HFILL }},
    { &hf_lte_rrc_fembms_MixedCarrier_r14,
      { "fembms-MixedCarrier-r14", "lte-rrc.fembms_MixedCarrier_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_CellsToAddModList_item,
      { "CellsToAddMod", "lte-rrc.CellsToAddMod_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIndividualOffset,
      { "cellIndividualOffset", "lte-rrc.cellIndividualOffset",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_Q_OffsetRange_vals_ext, 0,
        "Q_OffsetRange", HFILL }},
    { &hf_lte_rrc_BlackCellsToAddModList_item,
      { "BlackCellsToAddMod", "lte-rrc.BlackCellsToAddMod_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellIdRange,
      { "physCellIdRange", "lte-rrc.physCellIdRange_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_121,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_107", HFILL }},
    { &hf_lte_rrc_measSubframePatternNeigh_r10,
      { "measSubframePatternNeigh-r10", "lte-rrc.measSubframePatternNeigh_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MeasSubframePattern_r10_vals), 0,
        "MeasSubframePattern_r10", HFILL }},
    { &hf_lte_rrc_measSubframeCellList_r10,
      { "measSubframeCellList-r10", "lte-rrc.measSubframeCellList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasSubframeCellList_r10_item,
      { "PhysCellIdRange", "lte-rrc.PhysCellIdRange_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_AltTTT_CellsToAddModList_r12_item,
      { "AltTTT-CellsToAddMod-r12", "lte-rrc.AltTTT_CellsToAddMod_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIndex_r12,
      { "cellIndex-r12", "lte-rrc.cellIndex_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxCellMeas", HFILL }},
    { &hf_lte_rrc_physCellIdRange_r12,
      { "physCellIdRange-r12", "lte-rrc.physCellIdRange_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysCellIdRange", HFILL }},
    { &hf_lte_rrc_WhiteCellsToAddModList_r13_item,
      { "WhiteCellsToAddMod-r13", "lte-rrc.WhiteCellsToAddMod_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIndex_r13,
      { "cellIndex-r13", "lte-rrc.cellIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxCellMeas", HFILL }},
    { &hf_lte_rrc_physCellIdRange_r13,
      { "physCellIdRange-r13", "lte-rrc.physCellIdRange_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysCellIdRange", HFILL }},
    { &hf_lte_rrc_setup_122,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_108", HFILL }},
    { &hf_lte_rrc_rmtc_Period_r13,
      { "rmtc-Period-r13", "lte-rrc.rmtc_Period_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rmtc_Period_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rmtc_SubframeOffset_r13,
      { "rmtc-SubframeOffset-r13", "lte-rrc.rmtc_SubframeOffset_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_639", HFILL }},
    { &hf_lte_rrc_measDuration_r13,
      { "measDuration-r13", "lte-rrc.measDuration_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measDuration_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_Tx_ResourcePoolMeasList_r14_item,
      { "SL-V2X-TxPoolReportIdentity-r14", "lte-rrc.SL_V2X_TxPoolReportIdentity_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellForWhichToReportCGI_02,
      { "cellForWhichToReportCGI", "lte-rrc.cellForWhichToReportCGI_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysCellIdGERAN", HFILL }},
    { &hf_lte_rrc_rs_ConfigSSB_r15,
      { "rs-ConfigSSB-r15", "lte-rrc.rs_ConfigSSB_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RS_ConfigSSB_NR_r15", HFILL }},
    { &hf_lte_rrc_threshRS_Index_r15,
      { "threshRS-Index-r15", "lte-rrc.threshRS_Index_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdNR_r15_vals), 0,
        "ThresholdNR_r15", HFILL }},
    { &hf_lte_rrc_maxRS_IndexCellQual_r15,
      { "maxRS-IndexCellQual-r15", "lte-rrc.maxRS_IndexCellQual_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "RS_IndexNR_r15", HFILL }},
    { &hf_lte_rrc_offsetFreq_r15,
      { "offsetFreq-r15", "lte-rrc.offsetFreq_r15",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_OffsetRangeInterRAT", HFILL }},
    { &hf_lte_rrc_blackCellsToRemoveList_r15,
      { "blackCellsToRemoveList-r15", "lte-rrc.blackCellsToRemoveList_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellIndexList", HFILL }},
    { &hf_lte_rrc_blackCellsToAddModList_r15,
      { "blackCellsToAddModList-r15", "lte-rrc.blackCellsToAddModList_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "CellsToAddModListNR", HFILL }},
    { &hf_lte_rrc_quantityConfigSet_r15,
      { "quantityConfigSet-r15", "lte-rrc.quantityConfigSet_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxQuantSetsNR_r15", HFILL }},
    { &hf_lte_rrc_measTimingConfig_r15,
      { "measTimingConfig-r15", "lte-rrc.measTimingConfig_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MTC_SSB_NR_r15", HFILL }},
    { &hf_lte_rrc_offsetCenterFreq_r15,
      { "offsetCenterFreq-r15", "lte-rrc.offsetCenterFreq_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "FreqOffsetNR_r15", HFILL }},
    { &hf_lte_rrc_subcarrierSpacingSSB_r15,
      { "subcarrierSpacingSSB-r15", "lte-rrc.subcarrierSpacingSSB_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subcarrierSpacingSSB_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CellsToAddModListNR_item,
      { "CellsToAddModNR-r15", "lte-rrc.CellsToAddModNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellIndex_r15,
      { "cellIndex-r15", "lte-rrc.cellIndex_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxCellMeas", HFILL }},
    { &hf_lte_rrc_physCellId_r15,
      { "physCellId-r15", "lte-rrc.physCellId_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdNR_r15", HFILL }},
    { &hf_lte_rrc_ssb_Timing_r15,
      { "ssb-Timing-r15", "lte-rrc.ssb_Timing_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "INTEGER", HFILL }},
    { &hf_lte_rrc_ssb_Duration_r15,
      { "ssb-Duration-r15", "lte-rrc.ssb_Duration_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "INTEGER", HFILL }},
    { &hf_lte_rrc_MeasObjectToAddModList_item,
      { "MeasObjectToAddMod", "lte-rrc.MeasObjectToAddMod_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasObjectToAddModListExt_r13_item,
      { "MeasObjectToAddModExt-r13", "lte-rrc.MeasObjectToAddModExt_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasObjectToAddModList_v9e0_item,
      { "MeasObjectToAddMod-v9e0", "lte-rrc.MeasObjectToAddMod_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObject,
      { "measObject", "lte-rrc.measObject",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measObject_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectEUTRA,
      { "measObjectEUTRA", "lte-rrc.measObjectEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectUTRA,
      { "measObjectUTRA", "lte-rrc.measObjectUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectGERAN,
      { "measObjectGERAN", "lte-rrc.measObjectGERAN_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectCDMA2000,
      { "measObjectCDMA2000", "lte-rrc.measObjectCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectWLAN_r13,
      { "measObjectWLAN-r13", "lte-rrc.measObjectWLAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectNR_r15,
      { "measObjectNR-r15", "lte-rrc.measObjectNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measObjectId_r13,
      { "measObjectId-r13", "lte-rrc.measObjectId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasObjectId_v1310", HFILL }},
    { &hf_lte_rrc_measObject_r13,
      { "measObject-r13", "lte-rrc.measObject_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measObject_r13_vals), 0,
        "T_measObject_r13", HFILL }},
    { &hf_lte_rrc_measObjectEUTRA_r13,
      { "measObjectEUTRA-r13", "lte-rrc.measObjectEUTRA_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasObjectEUTRA", HFILL }},
    { &hf_lte_rrc_measObjectUTRA_r13,
      { "measObjectUTRA-r13", "lte-rrc.measObjectUTRA_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasObjectUTRA", HFILL }},
    { &hf_lte_rrc_measObjectGERAN_r13,
      { "measObjectGERAN-r13", "lte-rrc.measObjectGERAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasObjectGERAN", HFILL }},
    { &hf_lte_rrc_measObjectCDMA2000_r13,
      { "measObjectCDMA2000-r13", "lte-rrc.measObjectCDMA2000_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasObjectCDMA2000", HFILL }},
    { &hf_lte_rrc_measObjectWLAN_v1320,
      { "measObjectWLAN-v1320", "lte-rrc.measObjectWLAN_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasObjectWLAN_r13", HFILL }},
    { &hf_lte_rrc_measObjectEUTRA_v9e0,
      { "measObjectEUTRA-v9e0", "lte-rrc.measObjectEUTRA_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellsToAddModList_02,
      { "cellsToAddModList", "lte-rrc.cellsToAddModList",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cellsToAddModList_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellsToAddModListUTRA_FDD,
      { "cellsToAddModListUTRA-FDD", "lte-rrc.cellsToAddModListUTRA_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellsToAddModListUTRA_TDD,
      { "cellsToAddModListUTRA-TDD", "lte-rrc.cellsToAddModListUTRA_TDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellForWhichToReportCGI_03,
      { "cellForWhichToReportCGI", "lte-rrc.cellForWhichToReportCGI",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cellForWhichToReportCGI_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_utra_FDD_01,
      { "utra-FDD", "lte-rrc.utra_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_FDD", HFILL }},
    { &hf_lte_rrc_utra_TDD_01,
      { "utra-TDD", "lte-rrc.utra_TDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_TDD", HFILL }},
    { &hf_lte_rrc_csg_allowedReportingCells_v930,
      { "csg-allowedReportingCells-v930", "lte-rrc.csg_allowedReportingCells_v930_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CSG_AllowedReportingCells_r9", HFILL }},
    { &hf_lte_rrc_CellsToAddModListUTRA_FDD_item,
      { "CellsToAddModUTRA-FDD", "lte-rrc.CellsToAddModUTRA_FDD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_03,
      { "physCellId", "lte-rrc.physCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_FDD", HFILL }},
    { &hf_lte_rrc_CellsToAddModListUTRA_TDD_item,
      { "CellsToAddModUTRA-TDD", "lte-rrc.CellsToAddModUTRA_TDD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_04,
      { "physCellId", "lte-rrc.physCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_TDD", HFILL }},
    { &hf_lte_rrc_physCellIdRangeUTRA_FDDList_r9,
      { "physCellIdRangeUTRA-FDDList-r9", "lte-rrc.physCellIdRangeUTRA_FDDList_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r13_01,
      { "carrierFreq-r13", "lte-rrc.carrierFreq_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_carrierFreq_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandIndicatorListWLAN_r13,
      { "bandIndicatorListWLAN-r13", "lte-rrc.bandIndicatorListWLAN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13", HFILL }},
    { &hf_lte_rrc_bandIndicatorListWLAN_r13_item,
      { "WLAN-BandIndicator-r13", "lte-rrc.WLAN_BandIndicator_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_WLAN_BandIndicator_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierInfoListWLAN_r13,
      { "carrierInfoListWLAN-r13", "lte-rrc.carrierInfoListWLAN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13", HFILL }},
    { &hf_lte_rrc_carrierInfoListWLAN_r13_item,
      { "WLAN-CarrierInfo-r13", "lte-rrc.WLAN_CarrierInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_ToAddModList_r13,
      { "wlan-ToAddModList-r13", "lte-rrc.wlan_ToAddModList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_Id_List_r13", HFILL }},
    { &hf_lte_rrc_wlan_ToRemoveList_r13,
      { "wlan-ToRemoveList-r13", "lte-rrc.wlan_ToRemoveList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_Id_List_r13", HFILL }},
    { &hf_lte_rrc_measResultPCell,
      { "measResultPCell", "lte-rrc.measResultPCell_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResult,
      { "rsrpResult", "lte-rrc.rsrpResult",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResult,
      { "rsrqResult", "lte-rrc.rsrqResult",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_measResultNeighCells,
      { "measResultNeighCells", "lte-rrc.measResultNeighCells",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measResultNeighCells_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultListEUTRA,
      { "measResultListEUTRA", "lte-rrc.measResultListEUTRA",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultListUTRA,
      { "measResultListUTRA", "lte-rrc.measResultListUTRA",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultListGERAN,
      { "measResultListGERAN", "lte-rrc.measResultListGERAN",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultsCDMA2000,
      { "measResultsCDMA2000", "lte-rrc.measResultsCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultNCellListNR_r15,
      { "measResultNCellListNR-r15", "lte-rrc.measResultNCellListNR_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultCellListNR_r15", HFILL }},
    { &hf_lte_rrc_measResultForECID_r9,
      { "measResultForECID-r9", "lte-rrc.measResultForECID_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultServFreqList_r10,
      { "measResultServFreqList-r10", "lte-rrc.measResultServFreqList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultPCell_v1250,
      { "measResultPCell-v1250", "lte-rrc.measResultPCell_v1250",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_measResultCSI_RS_List_r12,
      { "measResultCSI-RS-List-r12", "lte-rrc.measResultCSI_RS_List_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultPCell_v1310,
      { "measResultPCell-v1310", "lte-rrc.measResultPCell_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_PDCP_DelayResultList_r13,
      { "ul-PDCP-DelayResultList-r13", "lte-rrc.ul_PDCP_DelayResultList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultListWLAN_r13,
      { "measResultListWLAN-r13", "lte-rrc.measResultListWLAN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultPCell_v1360,
      { "measResultPCell-v1360", "lte-rrc.measResultPCell_v1360",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_v1360_vals_ext, 0,
        "RSRP_Range_v1360", HFILL }},
    { &hf_lte_rrc_measResultListCBR_r14,
      { "measResultListCBR-r14", "lte-rrc.measResultListCBR_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultListWLAN_r14,
      { "measResultListWLAN-r14", "lte-rrc.measResultListWLAN_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultServFreqListNR_r15,
      { "measResultServFreqListNR-r15", "lte-rrc.measResultServFreqListNR_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultListEUTRA_item,
      { "MeasResultEUTRA", "lte-rrc.MeasResultEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cgi_Info,
      { "cgi-Info", "lte-rrc.cgi_Info_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellGlobalId,
      { "cellGlobalId", "lte-rrc.cellGlobalId_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdEUTRA", HFILL }},
    { &hf_lte_rrc_plmn_IdentityList_01,
      { "plmn-IdentityList", "lte-rrc.plmn_IdentityList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PLMN_IdentityList2", HFILL }},
    { &hf_lte_rrc_measResult,
      { "measResult", "lte-rrc.measResult_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSI_Info_r9,
      { "additionalSI-Info-r9", "lte-rrc.additionalSI_Info_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_primaryPLMN_Suitable_r12,
      { "primaryPLMN-Suitable-r12", "lte-rrc.primaryPLMN_Suitable_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_primaryPLMN_Suitable_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResult_v1250,
      { "measResult-v1250", "lte-rrc.measResult_v1250",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_cgi_Info_v1310,
      { "cgi-Info-v1310", "lte-rrc.cgi_Info_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqBandIndicator_r13,
      { "freqBandIndicator-r13", "lte-rrc.freqBandIndicator_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r13,
      { "multiBandInfoList-r13", "lte-rrc.multiBandInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MultiBandInfoList_r11", HFILL }},
    { &hf_lte_rrc_freqBandIndicatorPriority_r13,
      { "freqBandIndicatorPriority-r13", "lte-rrc.freqBandIndicatorPriority_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_freqBandIndicatorPriority_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResult_v1360,
      { "measResult-v1360", "lte-rrc.measResult_v1360",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_v1360_vals_ext, 0,
        "RSRP_Range_v1360", HFILL }},
    { &hf_lte_rrc_MeasResultServFreqListNR_r15_item,
      { "MeasResultServFreqNR-r15", "lte-rrc.MeasResultServFreqNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measResultSCell_r15,
      { "measResultSCell-r15", "lte-rrc.measResultSCell_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasResultCellNR_r15", HFILL }},
    { &hf_lte_rrc_measResultBestNeighCell_r15,
      { "measResultBestNeighCell-r15", "lte-rrc.measResultBestNeighCell_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasResultCellNR_r15", HFILL }},
    { &hf_lte_rrc_MeasResultCellListNR_r15_item,
      { "MeasResultCellNR-r15", "lte-rrc.MeasResultCellNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pci_r15,
      { "pci-r15", "lte-rrc.pci_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdNR_r15", HFILL }},
    { &hf_lte_rrc_measResultCell_r15,
      { "measResultCell-r15", "lte-rrc.measResultCell_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasResultNR_r15", HFILL }},
    { &hf_lte_rrc_measResultRS_IndexList_r15,
      { "measResultRS-IndexList-r15", "lte-rrc.measResultRS_IndexList_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasResultSSB_IndexList_r15", HFILL }},
    { &hf_lte_rrc_rsrpResult_r15,
      { "rsrpResult-r15", "lte-rrc.rsrpResult_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "RSRP_RangeNR_r15", HFILL }},
    { &hf_lte_rrc_rsrqResult_r15,
      { "rsrqResult-r15", "lte-rrc.rsrqResult_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "RSRQ_RangeNR_r15", HFILL }},
    { &hf_lte_rrc_rs_sinr_Result_r15,
      { "rs-sinr-Result-r15", "lte-rrc.rs_sinr_Result_r15",
        FT_INT32, BASE_DEC, NULL, 0,
        "RS_SINR_RangeNR_r15", HFILL }},
    { &hf_lte_rrc_MeasResultSSB_IndexList_r15_item,
      { "MeasResultSSB-Index-r15", "lte-rrc.MeasResultSSB_Index_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ssb_Index_r15,
      { "ssb-Index-r15", "lte-rrc.ssb_Index_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "RS_IndexNR_r15", HFILL }},
    { &hf_lte_rrc_measResultSSB_Index_r15,
      { "measResultSSB-Index-r15", "lte-rrc.measResultSSB_Index_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MeasResultNR_r15", HFILL }},
    { &hf_lte_rrc_MeasResultServFreqList_r10_item,
      { "MeasResultServFreq-r10", "lte-rrc.MeasResultServFreq_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultServFreqListExt_r13_item,
      { "MeasResultServFreq-r13", "lte-rrc.MeasResultServFreq_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_servFreqId_r10,
      { "servFreqId-r10", "lte-rrc.servFreqId_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ServCellIndex_r10", HFILL }},
    { &hf_lte_rrc_measResultSCell_r10,
      { "measResultSCell-r10", "lte-rrc.measResultSCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResultSCell_r10,
      { "rsrpResultSCell-r10", "lte-rrc.rsrpResultSCell_r10",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResultSCell_r10,
      { "rsrqResultSCell-r10", "lte-rrc.rsrqResultSCell_r10",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_measResultBestNeighCell_r10,
      { "measResultBestNeighCell-r10", "lte-rrc.measResultBestNeighCell_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResultNCell_r10,
      { "rsrpResultNCell-r10", "lte-rrc.rsrpResultNCell_r10",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResultNCell_r10,
      { "rsrqResultNCell-r10", "lte-rrc.rsrqResultNCell_r10",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_measResultSCell_v1250,
      { "measResultSCell-v1250", "lte-rrc.measResultSCell_v1250",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_measResultBestNeighCell_v1250,
      { "measResultBestNeighCell-v1250", "lte-rrc.measResultBestNeighCell_v1250",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_measResultSCell_v1310_01,
      { "measResultSCell-v1310", "lte-rrc.measResultSCell_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_measResultSCell_v1310_01", HFILL }},
    { &hf_lte_rrc_measResultBestNeighCell_v1310,
      { "measResultBestNeighCell-v1310", "lte-rrc.measResultBestNeighCell_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_servFreqId_r13,
      { "servFreqId-r13", "lte-rrc.servFreqId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ServCellIndex_r13", HFILL }},
    { &hf_lte_rrc_measResultSCell_r13,
      { "measResultSCell-r13", "lte-rrc.measResultSCell_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResultSCell_r13,
      { "rsrpResultSCell-r13", "lte-rrc.rsrpResultSCell_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResultSCell_r13,
      { "rsrqResultSCell-r13", "lte-rrc.rsrqResultSCell_r13",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_r13", HFILL }},
    { &hf_lte_rrc_measResultBestNeighCell_r13,
      { "measResultBestNeighCell-r13", "lte-rrc.measResultBestNeighCell_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResultNCell_r13,
      { "rsrpResultNCell-r13", "lte-rrc.rsrpResultNCell_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_rsrqResultNCell_r13,
      { "rsrqResultNCell-r13", "lte-rrc.rsrqResultNCell_r13",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_r13", HFILL }},
    { &hf_lte_rrc_measResultBestNeighCell_v1360,
      { "measResultBestNeighCell-v1360", "lte-rrc.measResultBestNeighCell_v1360_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpResultNCell_v1360,
      { "rsrpResultNCell-v1360", "lte-rrc.rsrpResultNCell_v1360",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_v1360_vals_ext, 0,
        "RSRP_Range_v1360", HFILL }},
    { &hf_lte_rrc_MeasResultCSI_RS_List_r12_item,
      { "MeasResultCSI-RS-r12", "lte-rrc.MeasResultCSI_RS_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RSRP_Result_r12,
      { "csi-RSRP-Result-r12", "lte-rrc.csi_RSRP_Result_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "CSI_RSRP_Range_r12", HFILL }},
    { &hf_lte_rrc_MeasResultListUTRA_item,
      { "MeasResultUTRA", "lte-rrc.MeasResultUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_05,
      { "physCellId", "lte-rrc.physCellId",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_physCellId_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_01,
      { "fdd", "lte-rrc.fdd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_FDD", HFILL }},
    { &hf_lte_rrc_tdd_01,
      { "tdd", "lte-rrc.tdd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdUTRA_TDD", HFILL }},
    { &hf_lte_rrc_cgi_Info_01,
      { "cgi-Info", "lte-rrc.cgi_Info_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_cgi_Info_01", HFILL }},
    { &hf_lte_rrc_cellGlobalId_01,
      { "cellGlobalId", "lte-rrc.cellGlobalId_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdUTRA", HFILL }},
    { &hf_lte_rrc_routingAreaCode,
      { "routingAreaCode", "lte-rrc.routingAreaCode",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_measResult_01,
      { "measResult", "lte-rrc.measResult_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_measResult_01", HFILL }},
    { &hf_lte_rrc_utra_RSCP,
      { "utra-RSCP", "lte-rrc.utra_RSCP",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_utra_RSCP_vals_ext, 0,
        "INTEGER_M5_91", HFILL }},
    { &hf_lte_rrc_utra_EcN0,
      { "utra-EcN0", "lte-rrc.utra_EcN0",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_utra_EcN0_vals_ext, 0,
        "INTEGER_0_49", HFILL }},
    { &hf_lte_rrc_primaryPLMN_Suitable_r12_01,
      { "primaryPLMN-Suitable-r12", "lte-rrc.primaryPLMN_Suitable_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_primaryPLMN_Suitable_r12_01_vals), 0,
        "T_primaryPLMN_Suitable_r12_01", HFILL }},
    { &hf_lte_rrc_MeasResultListGERAN_item,
      { "MeasResultGERAN", "lte-rrc.MeasResultGERAN_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cgi_Info_02,
      { "cgi-Info", "lte-rrc.cgi_Info_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_cgi_Info_02", HFILL }},
    { &hf_lte_rrc_cellGlobalId_02,
      { "cellGlobalId", "lte-rrc.cellGlobalId_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdGERAN", HFILL }},
    { &hf_lte_rrc_measResult_02,
      { "measResult", "lte-rrc.measResult_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_measResult_02", HFILL }},
    { &hf_lte_rrc_rssi,
      { "rssi", "lte-rrc.rssi",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &gsm_a_rr_rxlev_vals_ext, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_preRegistrationStatusHRPD,
      { "preRegistrationStatusHRPD", "lte-rrc.preRegistrationStatusHRPD",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_measResultListCDMA2000,
      { "measResultListCDMA2000", "lte-rrc.measResultListCDMA2000",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultListCDMA2000_item,
      { "MeasResultCDMA2000", "lte-rrc.MeasResultCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cgi_Info_03,
      { "cgi-Info", "lte-rrc.cgi_Info",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CellGlobalIdCDMA2000_vals), 0,
        "CellGlobalIdCDMA2000", HFILL }},
    { &hf_lte_rrc_measResult_03,
      { "measResult", "lte-rrc.measResult_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_measResult_03", HFILL }},
    { &hf_lte_rrc_pilotPnPhase,
      { "pilotPnPhase", "lte-rrc.pilotPnPhase",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_32767", HFILL }},
    { &hf_lte_rrc_pilotStrength,
      { "pilotStrength", "lte-rrc.pilotStrength",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_63", HFILL }},
    { &hf_lte_rrc_MeasResultListWLAN_r13_item,
      { "MeasResultWLAN-r13", "lte-rrc.MeasResultWLAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultListWLAN_r14_item,
      { "MeasResultWLAN-r13", "lte-rrc.MeasResultWLAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_Identifiers_r13,
      { "wlan-Identifiers-r13", "lte-rrc.wlan_Identifiers_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLAN_Identifiers_r12", HFILL }},
    { &hf_lte_rrc_carrierInfoWLAN_r13,
      { "carrierInfoWLAN-r13", "lte-rrc.carrierInfoWLAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "WLAN_CarrierInfo_r13", HFILL }},
    { &hf_lte_rrc_bandWLAN_r13,
      { "bandWLAN-r13", "lte-rrc.bandWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_WLAN_BandIndicator_r13_vals), 0,
        "WLAN_BandIndicator_r13", HFILL }},
    { &hf_lte_rrc_rssiWLAN_r13,
      { "rssiWLAN-r13", "lte-rrc.rssiWLAN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_RSSI_Range_r13", HFILL }},
    { &hf_lte_rrc_availableAdmissionCapacityWLAN_r13,
      { "availableAdmissionCapacityWLAN-r13", "lte-rrc.availableAdmissionCapacityWLAN_r13",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_availableAdmissionCapacityWLAN_fmt), 0,
        "INTEGER_0_31250", HFILL }},
    { &hf_lte_rrc_backhaulDL_BandwidthWLAN_r13,
      { "backhaulDL-BandwidthWLAN-r13", "lte-rrc.backhaulDL_BandwidthWLAN_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_WLAN_backhaulRate_r12_vals_ext, 0,
        "WLAN_backhaulRate_r12", HFILL }},
    { &hf_lte_rrc_backhaulUL_BandwidthWLAN_r13,
      { "backhaulUL-BandwidthWLAN-r13", "lte-rrc.backhaulUL_BandwidthWLAN_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_WLAN_backhaulRate_r12_vals_ext, 0,
        "WLAN_backhaulRate_r12", HFILL }},
    { &hf_lte_rrc_channelUtilizationWLAN_r13,
      { "channelUtilizationWLAN-r13", "lte-rrc.channelUtilizationWLAN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_255", HFILL }},
    { &hf_lte_rrc_stationCountWLAN_r13,
      { "stationCountWLAN-r13", "lte-rrc.stationCountWLAN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_65535", HFILL }},
    { &hf_lte_rrc_connectedWLAN_r13,
      { "connectedWLAN-r13", "lte-rrc.connectedWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_connectedWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MeasResultListCBR_r14_item,
      { "MeasResultCBR-r14", "lte-rrc.MeasResultCBR_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_poolIdentity_r14,
      { "poolIdentity-r14", "lte-rrc.poolIdentity_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_V2X_TxPoolReportIdentity_r14", HFILL }},
    { &hf_lte_rrc_cbr_PSSCH_r14,
      { "cbr-PSSCH-r14", "lte-rrc.cbr_PSSCH_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_SL_CBR_r14_fmt), 0,
        "SL_CBR_r14", HFILL }},
    { &hf_lte_rrc_cbr_PSCCH_r14,
      { "cbr-PSCCH-r14", "lte-rrc.cbr_PSCCH_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_SL_CBR_r14_fmt), 0,
        "SL_CBR_r14", HFILL }},
    { &hf_lte_rrc_ue_RxTxTimeDiffResult_r9,
      { "ue-RxTxTimeDiffResult-r9", "lte-rrc.ue_RxTxTimeDiffResult_r9",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_ue_RxTxTimeDiffResult_fmt), 0,
        "INTEGER_0_4095", HFILL }},
    { &hf_lte_rrc_currentSFN_r9,
      { "currentSFN-r9", "lte-rrc.currentSFN_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_PLMN_IdentityList2_item,
      { "PLMN-Identity", "lte-rrc.PLMN_Identity_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csg_MemberStatus_r9,
      { "csg-MemberStatus-r9", "lte-rrc.csg_MemberStatus_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csg_MemberStatus_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csg_Identity_r9,
      { "csg-Identity-r9", "lte-rrc.csg_Identity_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "CSG_Identity", HFILL }},
    { &hf_lte_rrc_rssi_Result_r13,
      { "rssi-Result-r13", "lte-rrc.rssi_Result_r13",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_RSSI_Range_r13_fmt), 0,
        "RSSI_Range_r13", HFILL }},
    { &hf_lte_rrc_channelOccupancy_r13,
      { "channelOccupancy-r13", "lte-rrc.channelOccupancy_r13",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_percent, 0,
        "INTEGER_0_100", HFILL }},
    { &hf_lte_rrc_UL_PDCP_DelayResultList_r13_item,
      { "UL-PDCP-DelayResult-r13", "lte-rrc.UL_PDCP_DelayResult_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_qci_Id_r13,
      { "qci-Id-r13", "lte-rrc.qci_Id_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_qci_Id_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_excessDelay_r13,
      { "excessDelay-r13", "lte-rrc.excessDelay_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_excessDelay_r13_vals_ext, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_sfn_OffsetResult_r13,
      { "sfn-OffsetResult-r13", "lte-rrc.sfn_OffsetResult_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1023", HFILL }},
    { &hf_lte_rrc_frameBoundaryOffsetResult_r13,
      { "frameBoundaryOffsetResult-r13", "lte-rrc.frameBoundaryOffsetResult_r13",
        FT_INT32, BASE_DEC, NULL, 0,
        "INTEGER_M5_4", HFILL }},
    { &hf_lte_rrc_subframeBoundaryOffsetResult_r13,
      { "subframeBoundaryOffsetResult-r13", "lte-rrc.subframeBoundaryOffsetResult_r13",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_subframeBoundaryOffsetResult_r13_fmt), 0,
        "INTEGER_0_127", HFILL }},
    { &hf_lte_rrc_quantityConfigEUTRA,
      { "quantityConfigEUTRA", "lte-rrc.quantityConfigEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfigUTRA,
      { "quantityConfigUTRA", "lte-rrc.quantityConfigUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfigGERAN,
      { "quantityConfigGERAN", "lte-rrc.quantityConfigGERAN_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfigCDMA2000,
      { "quantityConfigCDMA2000", "lte-rrc.quantityConfigCDMA2000_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfigUTRA_v1020,
      { "quantityConfigUTRA-v1020", "lte-rrc.quantityConfigUTRA_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfigEUTRA_v1250,
      { "quantityConfigEUTRA-v1250", "lte-rrc.quantityConfigEUTRA_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfigEUTRA_v1310,
      { "quantityConfigEUTRA-v1310", "lte-rrc.quantityConfigEUTRA_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfigWLAN_r13,
      { "quantityConfigWLAN-r13", "lte-rrc.quantityConfigWLAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_quantityConfigNRList_r15,
      { "quantityConfigNRList-r15", "lte-rrc.quantityConfigNRList_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_filterCoefficientRSRP,
      { "filterCoefficientRSRP", "lte-rrc.filterCoefficientRSRP",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_filterCoefficientRSRQ,
      { "filterCoefficientRSRQ", "lte-rrc.filterCoefficientRSRQ",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_filterCoefficientCSI_RSRP_r12,
      { "filterCoefficientCSI-RSRP-r12", "lte-rrc.filterCoefficientCSI_RSRP_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_filterCoefficientRS_SINR_r13,
      { "filterCoefficientRS-SINR-r13", "lte-rrc.filterCoefficientRS_SINR_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_measQuantityUTRA_FDD,
      { "measQuantityUTRA-FDD", "lte-rrc.measQuantityUTRA_FDD",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measQuantityUTRA_FDD_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measQuantityUTRA_TDD,
      { "measQuantityUTRA-TDD", "lte-rrc.measQuantityUTRA_TDD",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measQuantityUTRA_TDD_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_filterCoefficient2_FDD_r10,
      { "filterCoefficient2-FDD-r10", "lte-rrc.filterCoefficient2_FDD_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_measQuantityGERAN,
      { "measQuantityGERAN", "lte-rrc.measQuantityGERAN",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measQuantityGERAN_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measQuantityCDMA2000,
      { "measQuantityCDMA2000", "lte-rrc.measQuantityCDMA2000",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measQuantityCDMA2000_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_QuantityConfigNRList_r15_item,
      { "QuantityConfigNR-r15", "lte-rrc.QuantityConfigNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measQuantityCell_r15,
      { "measQuantityCell-r15", "lte-rrc.measQuantityCell_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "QuantityConfigRS_NR_r15", HFILL }},
    { &hf_lte_rrc_measQuantityRS_Index_r15,
      { "measQuantityRS-Index-r15", "lte-rrc.measQuantityRS_Index_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "QuantityConfigRS_NR_r15", HFILL }},
    { &hf_lte_rrc_filterCoeff_RSRP_r15,
      { "filterCoeff-RSRP-r15", "lte-rrc.filterCoeff_RSRP_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_filterCoeff_RSRQ_r15,
      { "filterCoeff-RSRQ-r15", "lte-rrc.filterCoeff_RSRQ_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_filterCoefficient_SINR_r13,
      { "filterCoefficient-SINR-r13", "lte-rrc.filterCoefficient_SINR_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_FilterCoefficient_vals), 0,
        "FilterCoefficient", HFILL }},
    { &hf_lte_rrc_measQuantityWLAN_r13,
      { "measQuantityWLAN-r13", "lte-rrc.measQuantityWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measQuantityWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_triggerType,
      { "triggerType", "lte-rrc.triggerType",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_triggerType_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_event,
      { "event", "lte-rrc.event_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eventId,
      { "eventId", "lte-rrc.eventId",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eventId_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eventA1,
      { "eventA1", "lte-rrc.eventA1_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_a1_Threshold,
      { "a1-Threshold", "lte-rrc.a1_Threshold",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdEUTRA_vals), 0,
        "ThresholdEUTRA", HFILL }},
    { &hf_lte_rrc_eventA2,
      { "eventA2", "lte-rrc.eventA2_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_a2_Threshold,
      { "a2-Threshold", "lte-rrc.a2_Threshold",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdEUTRA_vals), 0,
        "ThresholdEUTRA", HFILL }},
    { &hf_lte_rrc_eventA3,
      { "eventA3", "lte-rrc.eventA3_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_a3_Offset,
      { "a3-Offset", "lte-rrc.a3_Offset",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_a3_a6_c2_Offset_vals_ext, 0,
        "INTEGER_M30_30", HFILL }},
    { &hf_lte_rrc_reportOnLeave,
      { "reportOnLeave", "lte-rrc.reportOnLeave",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_eventA4,
      { "eventA4", "lte-rrc.eventA4_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_a4_Threshold,
      { "a4-Threshold", "lte-rrc.a4_Threshold",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdEUTRA_vals), 0,
        "ThresholdEUTRA", HFILL }},
    { &hf_lte_rrc_eventA5,
      { "eventA5", "lte-rrc.eventA5_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_a5_Threshold1,
      { "a5-Threshold1", "lte-rrc.a5_Threshold1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdEUTRA_vals), 0,
        "ThresholdEUTRA", HFILL }},
    { &hf_lte_rrc_a5_Threshold2,
      { "a5-Threshold2", "lte-rrc.a5_Threshold2",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdEUTRA_vals), 0,
        "ThresholdEUTRA", HFILL }},
    { &hf_lte_rrc_eventA6_r10,
      { "eventA6-r10", "lte-rrc.eventA6_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_a6_Offset_r10,
      { "a6-Offset-r10", "lte-rrc.a6_Offset_r10",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_a3_a6_c2_Offset_vals_ext, 0,
        "INTEGER_M30_30", HFILL }},
    { &hf_lte_rrc_a6_ReportOnLeave_r10,
      { "a6-ReportOnLeave-r10", "lte-rrc.a6_ReportOnLeave_r10",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_eventC1_r12,
      { "eventC1-r12", "lte-rrc.eventC1_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_c1_Threshold_r12,
      { "c1-Threshold-r12", "lte-rrc.c1_Threshold_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "ThresholdEUTRA_v1250", HFILL }},
    { &hf_lte_rrc_c1_ReportOnLeave_r12,
      { "c1-ReportOnLeave-r12", "lte-rrc.c1_ReportOnLeave_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_eventC2_r12,
      { "eventC2-r12", "lte-rrc.eventC2_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_c2_RefCSI_RS_r12,
      { "c2-RefCSI-RS-r12", "lte-rrc.c2_RefCSI_RS_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MeasCSI_RS_Id_r12", HFILL }},
    { &hf_lte_rrc_c2_Offset_r12,
      { "c2-Offset-r12", "lte-rrc.c2_Offset_r12",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_a3_a6_c2_Offset_vals_ext, 0,
        "INTEGER_M30_30", HFILL }},
    { &hf_lte_rrc_c2_ReportOnLeave_r12,
      { "c2-ReportOnLeave-r12", "lte-rrc.c2_ReportOnLeave_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_eventV1_r14,
      { "eventV1-r14", "lte-rrc.eventV1_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v1_Threshold_r14,
      { "v1-Threshold-r14", "lte-rrc.v1_Threshold_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_SL_CBR_r14_fmt), 0,
        "SL_CBR_r14", HFILL }},
    { &hf_lte_rrc_eventV2_r14,
      { "eventV2-r14", "lte-rrc.eventV2_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2_Threshold_r14,
      { "v2-Threshold-r14", "lte-rrc.v2_Threshold_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_SL_CBR_r14_fmt), 0,
        "SL_CBR_r14", HFILL }},
    { &hf_lte_rrc_hysteresis,
      { "hysteresis", "lte-rrc.hysteresis",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_Hysteresis_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timeToTrigger,
      { "timeToTrigger", "lte-rrc.timeToTrigger",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TimeToTrigger_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_periodical,
      { "periodical", "lte-rrc.periodical_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_purpose_02,
      { "purpose", "lte-rrc.purpose",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_purpose_02_vals), 0,
        "T_purpose_02", HFILL }},
    { &hf_lte_rrc_triggerQuantity,
      { "triggerQuantity", "lte-rrc.triggerQuantity",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_triggerQuantity_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportQuantity,
      { "reportQuantity", "lte-rrc.reportQuantity",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reportQuantity_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxReportCells,
      { "maxReportCells", "lte-rrc.maxReportCells",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxCellReport", HFILL }},
    { &hf_lte_rrc_reportInterval,
      { "reportInterval", "lte-rrc.reportInterval",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ReportInterval_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportAmount,
      { "reportAmount", "lte-rrc.reportAmount",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reportAmount_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_RequestForHO_r9,
      { "si-RequestForHO-r9", "lte-rrc.si_RequestForHO_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_RequestForHO_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_RxTxTimeDiffPeriodical_r9,
      { "ue-RxTxTimeDiffPeriodical-r9", "lte-rrc.ue_RxTxTimeDiffPeriodical_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_RxTxTimeDiffPeriodical_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_includeLocationInfo_r10,
      { "includeLocationInfo-r10", "lte-rrc.includeLocationInfo_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_includeLocationInfo_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportAddNeighMeas_r10,
      { "reportAddNeighMeas-r10", "lte-rrc.reportAddNeighMeas_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reportAddNeighMeas_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_alternativeTimeToTrigger_r12,
      { "alternativeTimeToTrigger-r12", "lte-rrc.alternativeTimeToTrigger_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_alternativeTimeToTrigger_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_123,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TimeToTrigger_vals), 0,
        "TimeToTrigger", HFILL }},
    { &hf_lte_rrc_useT312_r12,
      { "useT312-r12", "lte-rrc.useT312_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_usePSCell_r12,
      { "usePSCell-r12", "lte-rrc.usePSCell_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_aN_Threshold1_v1250,
      { "aN-Threshold1-v1250", "lte-rrc.aN_Threshold1_v1250",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RSRQ_RangeConfig_r12_vals), 0,
        "RSRQ_RangeConfig_r12", HFILL }},
    { &hf_lte_rrc_a5_Threshold2_v1250,
      { "a5-Threshold2-v1250", "lte-rrc.a5_Threshold2_v1250",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RSRQ_RangeConfig_r12_vals), 0,
        "RSRQ_RangeConfig_r12", HFILL }},
    { &hf_lte_rrc_reportStrongestCSI_RSs_r12,
      { "reportStrongestCSI-RSs-r12", "lte-rrc.reportStrongestCSI_RSs_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_reportCRS_Meas_r12,
      { "reportCRS-Meas-r12", "lte-rrc.reportCRS_Meas_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_triggerQuantityCSI_RS_r12,
      { "triggerQuantityCSI-RS-r12", "lte-rrc.triggerQuantityCSI_RS_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_reportSSTD_Meas_r13,
      { "reportSSTD-Meas-r13", "lte-rrc.reportSSTD_Meas_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_rs_sinr_Config_r13,
      { "rs-sinr-Config-r13", "lte-rrc.rs_sinr_Config_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rs_sinr_Config_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_124,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_109", HFILL }},
    { &hf_lte_rrc_triggerQuantity_v1310,
      { "triggerQuantity-v1310", "lte-rrc.triggerQuantity_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_triggerQuantity_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_aN_Threshold1_r13,
      { "aN-Threshold1-r13", "lte-rrc.aN_Threshold1_r13",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_RS_SINR_Range_r13_fmt), 0,
        "RS_SINR_Range_r13", HFILL }},
    { &hf_lte_rrc_a5_Threshold2_r13,
      { "a5-Threshold2-r13", "lte-rrc.a5_Threshold2_r13",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_RS_SINR_Range_r13_fmt), 0,
        "RS_SINR_Range_r13", HFILL }},
    { &hf_lte_rrc_reportQuantity_v1310,
      { "reportQuantity-v1310", "lte-rrc.reportQuantity_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reportQuantity_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useWhiteCellList_r13,
      { "useWhiteCellList-r13", "lte-rrc.useWhiteCellList_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_measRSSI_ReportConfig_r13,
      { "measRSSI-ReportConfig-r13", "lte-rrc.measRSSI_ReportConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_includeMultiBandInfo_r13,
      { "includeMultiBandInfo-r13", "lte-rrc.includeMultiBandInfo_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_includeMultiBandInfo_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_DelayConfig_r13,
      { "ul-DelayConfig-r13", "lte-rrc.ul_DelayConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_UL_DelayConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_RxTxTimeDiffPeriodicalTDD_r13,
      { "ue-RxTxTimeDiffPeriodicalTDD-r13", "lte-rrc.ue_RxTxTimeDiffPeriodicalTDD_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_purpose_v1430,
      { "purpose-v1430", "lte-rrc.purpose_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_purpose_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_125,
      { "setup", "lte-rrc.setup",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range_v1250", HFILL }},
    { &hf_lte_rrc_threshold_RSRP,
      { "threshold-RSRP", "lte-rrc.threshold_RSRP",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_threshold_RSRP_vals_ext, 0,
        "Threshold_RSRP_Range", HFILL }},
    { &hf_lte_rrc_threshold_RSRQ,
      { "threshold-RSRQ", "lte-rrc.threshold_RSRQ",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_threshold_RSRQ_vals_ext, 0,
        "Threshold_RSRQ_Range", HFILL }},
    { &hf_lte_rrc_channelOccupancyThreshold_r13,
      { "channelOccupancyThreshold-r13", "lte-rrc.channelOccupancyThreshold_r13",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_RSSI_Range_r13_fmt), 0,
        "RSSI_Range_r13", HFILL }},
    { &hf_lte_rrc_triggerType_01,
      { "triggerType", "lte-rrc.triggerType",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_triggerType_01_vals), 0,
        "T_triggerType_01", HFILL }},
    { &hf_lte_rrc_event_01,
      { "event", "lte-rrc.event_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_event_01", HFILL }},
    { &hf_lte_rrc_eventId_01,
      { "eventId", "lte-rrc.eventId",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eventId_01_vals), 0,
        "T_eventId_01", HFILL }},
    { &hf_lte_rrc_eventB1,
      { "eventB1", "lte-rrc.eventB1_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_b1_Threshold,
      { "b1-Threshold", "lte-rrc.b1_Threshold",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_b1_Threshold_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_b1_ThresholdUTRA,
      { "b1-ThresholdUTRA", "lte-rrc.b1_ThresholdUTRA",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdUTRA_vals), 0,
        "ThresholdUTRA", HFILL }},
    { &hf_lte_rrc_b1_ThresholdGERAN,
      { "b1-ThresholdGERAN", "lte-rrc.b1_ThresholdGERAN",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_thresholdGERAN_vals_ext, 0,
        "ThresholdGERAN", HFILL }},
    { &hf_lte_rrc_b1_ThresholdCDMA2000,
      { "b1-ThresholdCDMA2000", "lte-rrc.b1_ThresholdCDMA2000",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ThresholdCDMA2000", HFILL }},
    { &hf_lte_rrc_eventB2,
      { "eventB2", "lte-rrc.eventB2_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_b2_Threshold1,
      { "b2-Threshold1", "lte-rrc.b2_Threshold1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdEUTRA_vals), 0,
        "ThresholdEUTRA", HFILL }},
    { &hf_lte_rrc_b2_Threshold2,
      { "b2-Threshold2", "lte-rrc.b2_Threshold2",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_b2_Threshold2_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_b2_Threshold2UTRA,
      { "b2-Threshold2UTRA", "lte-rrc.b2_Threshold2UTRA",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdUTRA_vals), 0,
        "ThresholdUTRA", HFILL }},
    { &hf_lte_rrc_b2_Threshold2GERAN,
      { "b2-Threshold2GERAN", "lte-rrc.b2_Threshold2GERAN",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_thresholdGERAN_vals_ext, 0,
        "ThresholdGERAN", HFILL }},
    { &hf_lte_rrc_b2_Threshold2CDMA2000,
      { "b2-Threshold2CDMA2000", "lte-rrc.b2_Threshold2CDMA2000",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ThresholdCDMA2000", HFILL }},
    { &hf_lte_rrc_eventW1_r13,
      { "eventW1-r13", "lte-rrc.eventW1_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_w1_Threshold_r13,
      { "w1-Threshold-r13", "lte-rrc.w1_Threshold_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_RSSI_Range_r13", HFILL }},
    { &hf_lte_rrc_eventW2_r13,
      { "eventW2-r13", "lte-rrc.eventW2_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_w2_Threshold1_r13,
      { "w2-Threshold1-r13", "lte-rrc.w2_Threshold1_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_RSSI_Range_r13", HFILL }},
    { &hf_lte_rrc_w2_Threshold2_r13,
      { "w2-Threshold2-r13", "lte-rrc.w2_Threshold2_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_RSSI_Range_r13", HFILL }},
    { &hf_lte_rrc_eventW3_r13,
      { "eventW3-r13", "lte-rrc.eventW3_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_w3_Threshold_r13,
      { "w3-Threshold-r13", "lte-rrc.w3_Threshold_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_RSSI_Range_r13", HFILL }},
    { &hf_lte_rrc_periodical_01,
      { "periodical", "lte-rrc.periodical_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_periodical_01", HFILL }},
    { &hf_lte_rrc_purpose_03,
      { "purpose", "lte-rrc.purpose",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_purpose_03_vals), 0,
        "T_purpose_03", HFILL }},
    { &hf_lte_rrc_reportAmount_01,
      { "reportAmount", "lte-rrc.reportAmount",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reportAmount_01_vals), 0,
        "T_reportAmount_01", HFILL }},
    { &hf_lte_rrc_si_RequestForHO_r9_01,
      { "si-RequestForHO-r9", "lte-rrc.si_RequestForHO_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_RequestForHO_r9_01_vals), 0,
        "T_si_RequestForHO_r9_01", HFILL }},
    { &hf_lte_rrc_reportQuantityUTRA_FDD_r10,
      { "reportQuantityUTRA-FDD-r10", "lte-rrc.reportQuantityUTRA_FDD_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reportQuantityUTRA_FDD_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_includeLocationInfo_r11,
      { "includeLocationInfo-r11", "lte-rrc.includeLocationInfo_r11",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_b2_Threshold1_v1250,
      { "b2-Threshold1-v1250", "lte-rrc.b2_Threshold1_v1250",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_b2_Threshold1_v1250_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportQuantityWLAN_r13,
      { "reportQuantityWLAN-r13", "lte-rrc.reportQuantityWLAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportAnyWLAN_r14,
      { "reportAnyWLAN-r14", "lte-rrc.reportAnyWLAN_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_b1_ThresholdNR_r15,
      { "b1-ThresholdNR-r15", "lte-rrc.b1_ThresholdNR_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdNR_r15_vals), 0,
        "ThresholdNR_r15", HFILL }},
    { &hf_lte_rrc_b2_Threshold2NR_r15,
      { "b2-Threshold2NR-r15", "lte-rrc.b2_Threshold2NR_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ThresholdNR_r15_vals), 0,
        "ThresholdNR_r15", HFILL }},
    { &hf_lte_rrc_reportQuantityCellNR_r15,
      { "reportQuantityCellNR-r15", "lte-rrc.reportQuantityCellNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ReportQuantityNR_r15", HFILL }},
    { &hf_lte_rrc_maxRS_IndexReport_r15,
      { "maxRS-IndexReport-r15", "lte-rrc.maxRS_IndexReport_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxRS_Index_r15", HFILL }},
    { &hf_lte_rrc_reportQuantityRS_IndexNR_r15,
      { "reportQuantityRS-IndexNR-r15", "lte-rrc.reportQuantityRS_IndexNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ReportQuantityNR_r15", HFILL }},
    { &hf_lte_rrc_reportSSTD_Meas_r15,
      { "reportSSTD-Meas-r15", "lte-rrc.reportSSTD_Meas_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reportSSTD_Meas_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_refCell,
      { "refCell", "lte-rrc.refCell",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_refCell_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_utra_RSCP_01,
      { "utra-RSCP", "lte-rrc.utra_RSCP",
        FT_INT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_thresholdUTRA_RSCP_vals_ext, 0,
        "Threshold_utra_RSRP", HFILL }},
    { &hf_lte_rrc_utra_EcN0_01,
      { "utra-EcN0", "lte-rrc.utra_EcN0",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_thresholdUTRA_EcN0_vals_ext, 0,
        "Threshold_utra_EcN0", HFILL }},
    { &hf_lte_rrc_ss_rsrp,
      { "ss-rsrp", "lte-rrc.ss_rsrp",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ss_rsrq,
      { "ss-rsrq", "lte-rrc.ss_rsrq",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ss_sinr,
      { "ss-sinr", "lte-rrc.ss_sinr",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_bandRequestWLAN_r13,
      { "bandRequestWLAN-r13", "lte-rrc.bandRequestWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_bandRequestWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierInfoRequestWLAN_r13,
      { "carrierInfoRequestWLAN-r13", "lte-rrc.carrierInfoRequestWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_carrierInfoRequestWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_availableAdmissionCapacityRequestWLAN_r13,
      { "availableAdmissionCapacityRequestWLAN-r13", "lte-rrc.availableAdmissionCapacityRequestWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_availableAdmissionCapacityRequestWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_backhaulDL_BandwidthRequestWLAN_r13,
      { "backhaulDL-BandwidthRequestWLAN-r13", "lte-rrc.backhaulDL_BandwidthRequestWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_backhaulDL_BandwidthRequestWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_backhaulUL_BandwidthRequestWLAN_r13,
      { "backhaulUL-BandwidthRequestWLAN-r13", "lte-rrc.backhaulUL_BandwidthRequestWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_backhaulUL_BandwidthRequestWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_channelUtilizationRequestWLAN_r13,
      { "channelUtilizationRequestWLAN-r13", "lte-rrc.channelUtilizationRequestWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_channelUtilizationRequestWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_stationCountRequestWLAN_r13,
      { "stationCountRequestWLAN-r13", "lte-rrc.stationCountRequestWLAN_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_stationCountRequestWLAN_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ReportConfigToAddModList_item,
      { "ReportConfigToAddMod", "lte-rrc.ReportConfigToAddMod_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportConfig,
      { "reportConfig", "lte-rrc.reportConfig",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reportConfig_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportConfigEUTRA,
      { "reportConfigEUTRA", "lte-rrc.reportConfigEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reportConfigInterRAT,
      { "reportConfigInterRAT", "lte-rrc.reportConfigInterRAT_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_allSymbols_r12,
      { "allSymbols-r12", "lte-rrc.allSymbols_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_wideBand_r12,
      { "wideBand-r12", "lte-rrc.wideBand_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_setup_126,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_110", HFILL }},
    { &hf_lte_rrc_delayThreshold_r13,
      { "delayThreshold-r13", "lte-rrc.delayThreshold_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_delayThreshold_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_operatingClass_r13,
      { "operatingClass-r13", "lte-rrc.operatingClass_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_255", HFILL }},
    { &hf_lte_rrc_countryCode_r13,
      { "countryCode-r13", "lte-rrc.countryCode_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_countryCode_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_channelNumbers_r13,
      { "channelNumbers-r13", "lte-rrc.channelNumbers_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "WLAN_ChannelList_r13", HFILL }},
    { &hf_lte_rrc_WLAN_ChannelList_r13_item,
      { "WLAN-Channel-r13", "lte-rrc.WLAN_Channel_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_SuspendResumeAllowed_r14,
      { "wlan-SuspendResumeAllowed-r14", "lte-rrc.wlan_SuspendResumeAllowed_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_wlan_SuspendTriggersStatusReport_r14,
      { "wlan-SuspendTriggersStatusReport-r14", "lte-rrc.wlan_SuspendTriggersStatusReport_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_cellGlobalIdList_r10,
      { "cellGlobalIdList-r10", "lte-rrc.cellGlobalIdList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trackingAreaCodeList_r10,
      { "trackingAreaCodeList-r10", "lte-rrc.trackingAreaCodeList_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_trackingAreaCodeList_v1130,
      { "trackingAreaCodeList-v1130", "lte-rrc.trackingAreaCodeList_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_CellGlobalIdList_r10_item,
      { "CellGlobalIdEUTRA", "lte-rrc.CellGlobalIdEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_TrackingAreaCodeList_r10_item,
      { "TrackingAreaCode", "lte-rrc.TrackingAreaCode",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_Identity_perTAC_List_r11,
      { "plmn-Identity-perTAC-List-r11", "lte-rrc.plmn_Identity_perTAC_List_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_8_OF_PLMN_Identity", HFILL }},
    { &hf_lte_rrc_plmn_Identity_perTAC_List_r11_item,
      { "PLMN-Identity", "lte-rrc.PLMN_Identity_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandCombinationList_r14_item,
      { "BandCombination-r14", "lte-rrc.BandCombination_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandCombination_r14_item,
      { "BandIndication-r14", "lte-rrc.BandIndication_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandEUTRA_r14,
      { "bandEUTRA-r14", "lte-rrc.bandEUTRA_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_ca_BandwidthClassDL_r14,
      { "ca-BandwidthClassDL-r14", "lte-rrc.ca_BandwidthClassDL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CA_BandwidthClass_r10_vals), 0,
        "CA_BandwidthClass_r10", HFILL }},
    { &hf_lte_rrc_ca_BandwidthClassUL_r14,
      { "ca-BandwidthClassUL-r14", "lte-rrc.ca_BandwidthClassUL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CA_BandwidthClass_r10_vals), 0,
        "CA_BandwidthClass_r10", HFILL }},
    { &hf_lte_rrc_subframePatternFDD_r10,
      { "subframePatternFDD-r10", "lte-rrc.subframePatternFDD_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_40", HFILL }},
    { &hf_lte_rrc_subframePatternTDD_r10,
      { "subframePatternTDD-r10", "lte-rrc.subframePatternTDD_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframePatternTDD_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subframeConfig1_5_r10,
      { "subframeConfig1-5-r10", "lte-rrc.subframeConfig1_5_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_20", HFILL }},
    { &hf_lte_rrc_subframeConfig0_r10,
      { "subframeConfig0-r10", "lte-rrc.subframeConfig0_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_70", HFILL }},
    { &hf_lte_rrc_subframeConfig6_r10,
      { "subframeConfig6-r10", "lte-rrc.subframeConfig6_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_60", HFILL }},
    { &hf_lte_rrc_reportProximityConfig_r9,
      { "reportProximityConfig-r9", "lte-rrc.reportProximityConfig_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_idc_Config_r11,
      { "idc-Config-r11", "lte-rrc.idc_Config_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerPrefIndicationConfig_r11,
      { "powerPrefIndicationConfig-r11", "lte-rrc.powerPrefIndicationConfig_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PowerPrefIndicationConfig_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_obtainLocationConfig_r11,
      { "obtainLocationConfig-r11", "lte-rrc.obtainLocationConfig_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bw_PreferenceIndicationTimer_r14,
      { "bw-PreferenceIndicationTimer-r14", "lte-rrc.bw_PreferenceIndicationTimer_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_bw_PreferenceIndicationTimer_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sps_AssistanceInfoReport_r14,
      { "sps-AssistanceInfoReport-r14", "lte-rrc.sps_AssistanceInfoReport_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_delayBudgetReportingConfig_r14,
      { "delayBudgetReportingConfig-r14", "lte-rrc.delayBudgetReportingConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_delayBudgetReportingConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_127,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_111", HFILL }},
    { &hf_lte_rrc_delayBudgetReportingProhibitTimer_r14,
      { "delayBudgetReportingProhibitTimer-r14", "lte-rrc.delayBudgetReportingProhibitTimer_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_delayBudgetReportingProhibitTimer_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlm_ReportConfig_r14,
      { "rlm-ReportConfig-r14", "lte-rrc.rlm_ReportConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlm_ReportConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_128,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_112", HFILL }},
    { &hf_lte_rrc_rlmReportTimer_r14,
      { "rlmReportTimer-r14", "lte-rrc.rlmReportTimer_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlmReportTimer_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlmReportRep_MPDCCH_r14,
      { "rlmReportRep-MPDCCH-r14", "lte-rrc.rlmReportRep_MPDCCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlmReportRep_MPDCCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_overheatingAssistanceConfig_r14,
      { "overheatingAssistanceConfig-r14", "lte-rrc.overheatingAssistanceConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_overheatingAssistanceConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_129,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_113", HFILL }},
    { &hf_lte_rrc_overheatingIndicationProhibitTimer_r14,
      { "overheatingIndicationProhibitTimer-r14", "lte-rrc.overheatingIndicationProhibitTimer_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_overheatingIndicationProhibitTimer_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_idc_Indication_r11_01,
      { "idc-Indication-r11", "lte-rrc.idc_Indication_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_idc_Indication_r11_01_vals), 0,
        "T_idc_Indication_r11_01", HFILL }},
    { &hf_lte_rrc_autonomousDenialParameters_r11,
      { "autonomousDenialParameters-r11", "lte-rrc.autonomousDenialParameters_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_autonomousDenialSubframes_r11,
      { "autonomousDenialSubframes-r11", "lte-rrc.autonomousDenialSubframes_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_autonomousDenialSubframes_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_autonomousDenialValidity_r11,
      { "autonomousDenialValidity-r11", "lte-rrc.autonomousDenialValidity_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_autonomousDenialValidity_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_idc_Indication_UL_CA_r11,
      { "idc-Indication-UL-CA-r11", "lte-rrc.idc_Indication_UL_CA_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_idc_Indication_UL_CA_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_idc_HardwareSharingIndication_r13,
      { "idc-HardwareSharingIndication-r13", "lte-rrc.idc_HardwareSharingIndication_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_idc_HardwareSharingIndication_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_obtainLocation_r11,
      { "obtainLocation-r11", "lte-rrc.obtainLocation_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_obtainLocation_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_130,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_114", HFILL }},
    { &hf_lte_rrc_powerPrefIndicationTimer_r11,
      { "powerPrefIndicationTimer-r11", "lte-rrc.powerPrefIndicationTimer_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerPrefIndicationTimer_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_proximityIndicationEUTRA_r9,
      { "proximityIndicationEUTRA-r9", "lte-rrc.proximityIndicationEUTRA_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_proximityIndicationEUTRA_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_proximityIndicationUTRA_r9,
      { "proximityIndicationUTRA-r9", "lte-rrc.proximityIndicationUTRA_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_proximityIndicationUTRA_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_m_TMSI,
      { "m-TMSI", "lte-rrc.m_TMSI",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_32", HFILL }},
    { &hf_lte_rrc_plmn_Identity_r10,
      { "plmn-Identity-r10", "lte-rrc.plmn_Identity_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PLMN_Identity", HFILL }},
    { &hf_lte_rrc_traceId_r10,
      { "traceId-r10", "lte-rrc.traceId_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_UE_CapabilityRAT_ContainerList_item,
      { "UE-CapabilityRAT-Container", "lte-rrc.UE_CapabilityRAT_Container_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rat_Type,
      { "rat-Type", "lte-rrc.rat_Type",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RAT_Type_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ueCapabilityRAT_Container,
      { "ueCapabilityRAT-Container", "lte-rrc.ueCapabilityRAT_Container",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_ueCapabilityRAT_Container", HFILL }},
    { &hf_lte_rrc_accessStratumRelease,
      { "accessStratumRelease", "lte-rrc.accessStratumRelease",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_AccessStratumRelease_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_Category,
      { "ue-Category", "lte-rrc.ue_Category",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_5", HFILL }},
    { &hf_lte_rrc_pdcp_Parameters,
      { "pdcp-Parameters", "lte-rrc.pdcp_Parameters_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phyLayerParameters,
      { "phyLayerParameters", "lte-rrc.phyLayerParameters_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_Parameters,
      { "rf-Parameters", "lte-rrc.rf_Parameters_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measParameters,
      { "measParameters", "lte-rrc.measParameters_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_featureGroupIndicators,
      { "featureGroupIndicators", "lte-rrc.featureGroupIndicators",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_Parameters,
      { "interRAT-Parameters", "lte-rrc.interRAT_Parameters_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_interRAT_Parameters", HFILL }},
    { &hf_lte_rrc_utraFDD,
      { "utraFDD", "lte-rrc.utraFDD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_FDD", HFILL }},
    { &hf_lte_rrc_utraTDD128,
      { "utraTDD128", "lte-rrc.utraTDD128_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_TDD128", HFILL }},
    { &hf_lte_rrc_utraTDD384,
      { "utraTDD384", "lte-rrc.utraTDD384_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_TDD384", HFILL }},
    { &hf_lte_rrc_utraTDD768,
      { "utraTDD768", "lte-rrc.utraTDD768_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_TDD768", HFILL }},
    { &hf_lte_rrc_geran_02,
      { "geran", "lte-rrc.geran_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersGERAN", HFILL }},
    { &hf_lte_rrc_cdma2000_HRPD_01,
      { "cdma2000-HRPD", "lte-rrc.cdma2000_HRPD_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersCDMA2000_HRPD", HFILL }},
    { &hf_lte_rrc_cdma2000_1xRTT_01,
      { "cdma2000-1xRTT", "lte-rrc.cdma2000_1xRTT_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersCDMA2000_1XRTT", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_196,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v920_IEs", HFILL }},
    { &hf_lte_rrc_featureGroupIndRel9Add_r9,
      { "featureGroupIndRel9Add-r9", "lte-rrc.featureGroupIndRel9Add_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_r9,
      { "fdd-Add-UE-EUTRA-Capabilities-r9", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_r9", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_r9,
      { "tdd-Add-UE-EUTRA-Capabilities-r9", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_r9", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_197,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v9c0_IEs", HFILL }},
    { &hf_lte_rrc_interRAT_ParametersUTRA_v9c0,
      { "interRAT-ParametersUTRA-v9c0", "lte-rrc.interRAT_ParametersUTRA_v9c0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_v9c0", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_198,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v9d0_IEs", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v9d0,
      { "phyLayerParameters-v9d0", "lte-rrc.phyLayerParameters_v9d0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_199,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v9e0_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v9e0,
      { "rf-Parameters-v9e0", "lte-rrc.rf_Parameters_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_200,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v9h0_IEs", HFILL }},
    { &hf_lte_rrc_interRAT_ParametersUTRA_v9h0,
      { "interRAT-ParametersUTRA-v9h0", "lte-rrc.interRAT_ParametersUTRA_v9h0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_v9h0", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_201,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v10c0_IEs", HFILL }},
    { &hf_lte_rrc_otdoa_PositioningCapabilities_r10,
      { "otdoa-PositioningCapabilities-r10", "lte-rrc.otdoa_PositioningCapabilities_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_202,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v10f0_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v10f0,
      { "rf-Parameters-v10f0", "lte-rrc.rf_Parameters_v10f0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_203,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v10i0_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v10i0,
      { "rf-Parameters-v10i0", "lte-rrc.rf_Parameters_v10i0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_11,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_10", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_204,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v11d0_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v10j0,
      { "rf-Parameters-v10j0", "lte-rrc.rf_Parameters_v10j0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_205,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_66", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v11d0,
      { "rf-Parameters-v11d0", "lte-rrc.rf_Parameters_v11d0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_otherParameters_v11d0,
      { "otherParameters-v11d0", "lte-rrc.otherParameters_v11d0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Other_Parameters_v11d0", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_206,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v11x0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_207,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v12b0_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v12b0,
      { "rf-Parameters-v12b0", "lte-rrc.rf_Parameters_v12b0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_208,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v12x0_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_209,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1370_IEs", HFILL }},
    { &hf_lte_rrc_ce_Parameters_v1370,
      { "ce-Parameters-v1370", "lte-rrc.ce_Parameters_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1370,
      { "fdd-Add-UE-EUTRA-Capabilities-v1370", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1370", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1370,
      { "tdd-Add-UE-EUTRA-Capabilities-v1370", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1370", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_210,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1380_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1380,
      { "rf-Parameters-v1380", "lte-rrc.rf_Parameters_v1380_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_Parameters_v1380,
      { "ce-Parameters-v1380", "lte-rrc.ce_Parameters_v1380_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1380,
      { "fdd-Add-UE-EUTRA-Capabilities-v1380", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1380_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1380", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1380,
      { "tdd-Add-UE-EUTRA-Capabilities-v1380", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1380_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1380", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_211,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_67", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v920,
      { "phyLayerParameters-v920", "lte-rrc.phyLayerParameters_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_ParametersGERAN_v920,
      { "interRAT-ParametersGERAN-v920", "lte-rrc.interRAT_ParametersGERAN_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersGERAN_v920", HFILL }},
    { &hf_lte_rrc_interRAT_ParametersUTRA_v920,
      { "interRAT-ParametersUTRA-v920", "lte-rrc.interRAT_ParametersUTRA_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_v920", HFILL }},
    { &hf_lte_rrc_interRAT_ParametersCDMA2000_v920,
      { "interRAT-ParametersCDMA2000-v920", "lte-rrc.interRAT_ParametersCDMA2000_v920_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersCDMA2000_1XRTT_v920", HFILL }},
    { &hf_lte_rrc_deviceType_r9,
      { "deviceType-r9", "lte-rrc.deviceType_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_deviceType_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csg_ProximityIndicationParameters_r9,
      { "csg-ProximityIndicationParameters-r9", "lte-rrc.csg_ProximityIndicationParameters_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_neighCellSI_AcquisitionParameters_r9,
      { "neighCellSI-AcquisitionParameters-r9", "lte-rrc.neighCellSI_AcquisitionParameters_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_son_Parameters_r9,
      { "son-Parameters-r9", "lte-rrc.son_Parameters_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_212,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v940_IEs", HFILL }},
    { &hf_lte_rrc_lateNonCriticalExtension_12,
      { "lateNonCriticalExtension", "lte-rrc.lateNonCriticalExtension",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_lateNonCriticalExtension_11", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_213,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1020_IEs", HFILL }},
    { &hf_lte_rrc_ue_Category_v1020,
      { "ue-Category-v1020", "lte-rrc.ue_Category_v1020",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_6_8", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1020,
      { "phyLayerParameters-v1020", "lte-rrc.phyLayerParameters_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1020,
      { "rf-Parameters-v1020", "lte-rrc.rf_Parameters_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measParameters_v1020,
      { "measParameters-v1020", "lte-rrc.measParameters_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_featureGroupIndRel10_r10,
      { "featureGroupIndRel10-r10", "lte-rrc.featureGroupIndRel10_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_ParametersCDMA2000_v1020,
      { "interRAT-ParametersCDMA2000-v1020", "lte-rrc.interRAT_ParametersCDMA2000_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersCDMA2000_1XRTT_v1020", HFILL }},
    { &hf_lte_rrc_ue_BasedNetwPerfMeasParameters_r10,
      { "ue-BasedNetwPerfMeasParameters-r10", "lte-rrc.ue_BasedNetwPerfMeasParameters_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_ParametersUTRA_TDD_v1020,
      { "interRAT-ParametersUTRA-TDD-v1020", "lte-rrc.interRAT_ParametersUTRA_TDD_v1020_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_TDD_v1020", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_214,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1060_IEs", HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1060,
      { "fdd-Add-UE-EUTRA-Capabilities-v1060", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1060_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1060", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1060,
      { "tdd-Add-UE-EUTRA-Capabilities-v1060", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1060_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1060", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1060,
      { "rf-Parameters-v1060", "lte-rrc.rf_Parameters_v1060_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_215,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1090_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1090,
      { "rf-Parameters-v1090", "lte-rrc.rf_Parameters_v1090_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_216,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1130_IEs", HFILL }},
    { &hf_lte_rrc_pdcp_Parameters_v1130,
      { "pdcp-Parameters-v1130", "lte-rrc.pdcp_Parameters_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1130,
      { "phyLayerParameters-v1130", "lte-rrc.phyLayerParameters_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1130,
      { "rf-Parameters-v1130", "lte-rrc.rf_Parameters_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measParameters_v1130,
      { "measParameters-v1130", "lte-rrc.measParameters_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_ParametersCDMA2000_v1130,
      { "interRAT-ParametersCDMA2000-v1130", "lte-rrc.interRAT_ParametersCDMA2000_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersCDMA2000_v1130", HFILL }},
    { &hf_lte_rrc_otherParameters_r11,
      { "otherParameters-r11", "lte-rrc.otherParameters_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Other_Parameters_r11", HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1130,
      { "fdd-Add-UE-EUTRA-Capabilities-v1130", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1130", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1130,
      { "tdd-Add-UE-EUTRA-Capabilities-v1130", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1130", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_217,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1170_IEs", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1170,
      { "phyLayerParameters-v1170", "lte-rrc.phyLayerParameters_v1170_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_Category_v1170,
      { "ue-Category-v1170", "lte-rrc.ue_Category_v1170",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_9_10", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_218,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1180_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1180,
      { "rf-Parameters-v1180", "lte-rrc.rf_Parameters_v1180_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_Parameters_r11,
      { "mbms-Parameters-r11", "lte-rrc.mbms_Parameters_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1180,
      { "fdd-Add-UE-EUTRA-Capabilities-v1180", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1180_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1180", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1180,
      { "tdd-Add-UE-EUTRA-Capabilities-v1180", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1180_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1180", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_219,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v11a0_IEs", HFILL }},
    { &hf_lte_rrc_ue_Category_v11a0,
      { "ue-Category-v11a0", "lte-rrc.ue_Category_v11a0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_11_12", HFILL }},
    { &hf_lte_rrc_measParameters_v11a0,
      { "measParameters-v11a0", "lte-rrc.measParameters_v11a0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_220,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1250_IEs", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1250,
      { "phyLayerParameters-v1250", "lte-rrc.phyLayerParameters_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1250,
      { "rf-Parameters-v1250", "lte-rrc.rf_Parameters_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Parameters_r12,
      { "rlc-Parameters-r12", "lte-rrc.rlc_Parameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_BasedNetwPerfMeasParameters_v1250,
      { "ue-BasedNetwPerfMeasParameters-v1250", "lte-rrc.ue_BasedNetwPerfMeasParameters_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_CategoryDL_r12,
      { "ue-CategoryDL-r12", "lte-rrc.ue_CategoryDL_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_14", HFILL }},
    { &hf_lte_rrc_ue_CategoryUL_r12,
      { "ue-CategoryUL-r12", "lte-rrc.ue_CategoryUL_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_13", HFILL }},
    { &hf_lte_rrc_wlan_IW_Parameters_r12,
      { "wlan-IW-Parameters-r12", "lte-rrc.wlan_IW_Parameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measParameters_v1250,
      { "measParameters-v1250", "lte-rrc.measParameters_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dc_Parameters_r12,
      { "dc-Parameters-r12", "lte-rrc.dc_Parameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_Parameters_v1250,
      { "mbms-Parameters-v1250", "lte-rrc.mbms_Parameters_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_Parameters_r12,
      { "mac-Parameters-r12", "lte-rrc.mac_Parameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1250,
      { "fdd-Add-UE-EUTRA-Capabilities-v1250", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1250", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1250,
      { "tdd-Add-UE-EUTRA-Capabilities-v1250", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1250", HFILL }},
    { &hf_lte_rrc_sl_Parameters_r12,
      { "sl-Parameters-r12", "lte-rrc.sl_Parameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_221,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1260_IEs", HFILL }},
    { &hf_lte_rrc_ue_CategoryDL_v1260,
      { "ue-CategoryDL-v1260", "lte-rrc.ue_CategoryDL_v1260",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_15_16", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_222,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1270_IEs", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1270,
      { "rf-Parameters-v1270", "lte-rrc.rf_Parameters_v1270_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_223,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1280_IEs", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1280,
      { "phyLayerParameters-v1280", "lte-rrc.phyLayerParameters_v1280_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_224,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1310_IEs", HFILL }},
    { &hf_lte_rrc_ue_CategoryDL_v1310,
      { "ue-CategoryDL-v1310", "lte-rrc.ue_CategoryDL_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CategoryDL_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_CategoryUL_v1310,
      { "ue-CategoryUL-v1310", "lte-rrc.ue_CategoryUL_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CategoryUL_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_Parameters_v1310,
      { "pdcp-Parameters-v1310", "lte-rrc.pdcp_Parameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Parameters_v1310,
      { "rlc-Parameters-v1310", "lte-rrc.rlc_Parameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_Parameters_v1310,
      { "mac-Parameters-v1310", "lte-rrc.mac_Parameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1310,
      { "phyLayerParameters-v1310", "lte-rrc.phyLayerParameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1310,
      { "rf-Parameters-v1310", "lte-rrc.rf_Parameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measParameters_v1310,
      { "measParameters-v1310", "lte-rrc.measParameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dc_Parameters_v1310,
      { "dc-Parameters-v1310", "lte-rrc.dc_Parameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_Parameters_v1310,
      { "sl-Parameters-v1310", "lte-rrc.sl_Parameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scptm_Parameters_r13,
      { "scptm-Parameters-r13", "lte-rrc.scptm_Parameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_Parameters_r13,
      { "ce-Parameters-r13", "lte-rrc.ce_Parameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_ParametersWLAN_r13,
      { "interRAT-ParametersWLAN-r13", "lte-rrc.interRAT_ParametersWLAN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersWLAN_r13", HFILL }},
    { &hf_lte_rrc_laa_Parameters_r13,
      { "laa-Parameters-r13", "lte-rrc.laa_Parameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwa_Parameters_r13,
      { "lwa-Parameters-r13", "lte-rrc.lwa_Parameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_IW_Parameters_v1310,
      { "wlan-IW-Parameters-v1310", "lte-rrc.wlan_IW_Parameters_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_Parameters_r13,
      { "lwip-Parameters-r13", "lte-rrc.lwip_Parameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1310,
      { "fdd-Add-UE-EUTRA-Capabilities-v1310", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1310", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1310,
      { "tdd-Add-UE-EUTRA-Capabilities-v1310", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1310", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_225,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1320_IEs", HFILL }},
    { &hf_lte_rrc_ce_Parameters_v1320,
      { "ce-Parameters-v1320", "lte-rrc.ce_Parameters_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1320,
      { "phyLayerParameters-v1320", "lte-rrc.phyLayerParameters_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1320,
      { "rf-Parameters-v1320", "lte-rrc.rf_Parameters_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1320,
      { "fdd-Add-UE-EUTRA-Capabilities-v1320", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1320", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1320,
      { "tdd-Add-UE-EUTRA-Capabilities-v1320", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1320", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_226,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1330_IEs", HFILL }},
    { &hf_lte_rrc_ue_CategoryDL_v1330,
      { "ue-CategoryDL-v1330", "lte-rrc.ue_CategoryDL_v1330",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_18_19", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1330,
      { "phyLayerParameters-v1330", "lte-rrc.phyLayerParameters_v1330_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_CE_NeedULGaps_r13_01,
      { "ue-CE-NeedULGaps-r13", "lte-rrc.ue_CE_NeedULGaps_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CE_NeedULGaps_r13_01_vals), 0,
        "T_ue_CE_NeedULGaps_r13_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_227,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1340_IEs", HFILL }},
    { &hf_lte_rrc_ue_CategoryUL_v1340,
      { "ue-CategoryUL-v1340", "lte-rrc.ue_CategoryUL_v1340",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_15", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_228,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1350_IEs", HFILL }},
    { &hf_lte_rrc_ue_CategoryDL_v1350,
      { "ue-CategoryDL-v1350", "lte-rrc.ue_CategoryDL_v1350",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CategoryDL_v1350_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_CategoryUL_v1350,
      { "ue-CategoryUL-v1350", "lte-rrc.ue_CategoryUL_v1350",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CategoryUL_v1350_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_Parameters_v1350,
      { "ce-Parameters-v1350", "lte-rrc.ce_Parameters_v1350_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_229,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1360_IEs", HFILL }},
    { &hf_lte_rrc_other_Parameters_v1360,
      { "other-Parameters-v1360", "lte-rrc.other_Parameters_v1360_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_230,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1430_IEs", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1430,
      { "phyLayerParameters-v1430", "lte-rrc.phyLayerParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_CategoryDL_v1430,
      { "ue-CategoryDL-v1430", "lte-rrc.ue_CategoryDL_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CategoryDL_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_CategoryUL_v1430,
      { "ue-CategoryUL-v1430", "lte-rrc.ue_CategoryUL_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CategoryUL_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_CategoryUL_v1430b,
      { "ue-CategoryUL-v1430b", "lte-rrc.ue_CategoryUL_v1430b",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CategoryUL_v1430b_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_Parameters_v1430,
      { "mac-Parameters-v1430", "lte-rrc.mac_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measParameters_v1430,
      { "measParameters-v1430", "lte-rrc.measParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_Parameters_v1430,
      { "pdcp-Parameters-v1430", "lte-rrc.pdcp_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Parameters_v1430,
      { "rlc-Parameters-v1430", "lte-rrc.rlc_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1430,
      { "rf-Parameters-v1430", "lte-rrc.rf_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_laa_Parameters_v1430,
      { "laa-Parameters-v1430", "lte-rrc.laa_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwa_Parameters_v1430,
      { "lwa-Parameters-v1430", "lte-rrc.lwa_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_Parameters_v1430,
      { "lwip-Parameters-v1430", "lte-rrc.lwip_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_otherParameters_v1430,
      { "otherParameters-v1430", "lte-rrc.otherParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Other_Parameters_v1430", HFILL }},
    { &hf_lte_rrc_mmtel_Parameters_r14,
      { "mmtel-Parameters-r14", "lte-rrc.mmtel_Parameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mobilityParameters_r14,
      { "mobilityParameters-r14", "lte-rrc.mobilityParameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_Parameters_v1430,
      { "ce-Parameters-v1430", "lte-rrc.ce_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_Add_UE_EUTRA_Capabilities_v1430,
      { "fdd-Add-UE-EUTRA-Capabilities-v1430", "lte-rrc.fdd_Add_UE_EUTRA_Capabilities_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1430", HFILL }},
    { &hf_lte_rrc_tdd_Add_UE_EUTRA_Capabilities_v1430,
      { "tdd-Add-UE-EUTRA-Capabilities-v1430", "lte-rrc.tdd_Add_UE_EUTRA_Capabilities_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_CapabilityAddXDD_Mode_v1430", HFILL }},
    { &hf_lte_rrc_mbms_Parameters_v1430,
      { "mbms-Parameters-v1430", "lte-rrc.mbms_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_Parameters_v1430,
      { "sl-Parameters-v1430", "lte-rrc.sl_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_BasedNetwPerfMeasParameters_v1430,
      { "ue-BasedNetwPerfMeasParameters-v1430", "lte-rrc.ue_BasedNetwPerfMeasParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_highSpeedEnhParameters_r14,
      { "highSpeedEnhParameters-r14", "lte-rrc.highSpeedEnhParameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_231,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1440_IEs", HFILL }},
    { &hf_lte_rrc_lwa_Parameters_v1440,
      { "lwa-Parameters-v1440", "lte-rrc.lwa_Parameters_v1440_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_Parameters_v1440,
      { "mac-Parameters-v1440", "lte-rrc.mac_Parameters_v1440_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_232,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v1450_IEs", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1450,
      { "phyLayerParameters-v1450", "lte-rrc.phyLayerParameters_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1450,
      { "rf-Parameters-v1450", "lte-rrc.rf_Parameters_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_otherParameters_v1450,
      { "otherParameters-v1450", "lte-rrc.otherParameters_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_CategoryDL_v1450,
      { "ue-CategoryDL-v1450", "lte-rrc.ue_CategoryDL_v1450",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_20", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_233,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_EUTRA_Capability_v15x0_IEs", HFILL }},
    { &hf_lte_rrc_irat_ParametersNR_r15,
      { "irat-ParametersNR-r15", "lte-rrc.irat_ParametersNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_basebandParameters_r15,
      { "basebandParameters-r15", "lte-rrc.basebandParameters_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_234,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_68", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_r9,
      { "phyLayerParameters-r9", "lte-rrc.phyLayerParameters_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhyLayerParameters", HFILL }},
    { &hf_lte_rrc_featureGroupIndicators_r9,
      { "featureGroupIndicators-r9", "lte-rrc.featureGroupIndicators_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_featureGroupIndRel9Add_r9_01,
      { "featureGroupIndRel9Add-r9", "lte-rrc.featureGroupIndRel9Add_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_featureGroupIndRel9Add_r9_01", HFILL }},
    { &hf_lte_rrc_interRAT_ParametersGERAN_r9,
      { "interRAT-ParametersGERAN-r9", "lte-rrc.interRAT_ParametersGERAN_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersGERAN", HFILL }},
    { &hf_lte_rrc_interRAT_ParametersUTRA_r9,
      { "interRAT-ParametersUTRA-r9", "lte-rrc.interRAT_ParametersUTRA_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_v920", HFILL }},
    { &hf_lte_rrc_interRAT_ParametersCDMA2000_r9,
      { "interRAT-ParametersCDMA2000-r9", "lte-rrc.interRAT_ParametersCDMA2000_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersCDMA2000_1XRTT_v920", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1060,
      { "phyLayerParameters-v1060", "lte-rrc.phyLayerParameters_v1060_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhyLayerParameters_v1020", HFILL }},
    { &hf_lte_rrc_featureGroupIndRel10_v1060,
      { "featureGroupIndRel10-v1060", "lte-rrc.featureGroupIndRel10_v1060",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_ParametersCDMA2000_v1060,
      { "interRAT-ParametersCDMA2000-v1060", "lte-rrc.interRAT_ParametersCDMA2000_v1060_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersCDMA2000_1XRTT_v1020", HFILL }},
    { &hf_lte_rrc_interRAT_ParametersUTRA_TDD_v1060,
      { "interRAT-ParametersUTRA-TDD-v1060", "lte-rrc.interRAT_ParametersUTRA_TDD_v1060_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IRAT_ParametersUTRA_TDD_v1020", HFILL }},
    { &hf_lte_rrc_basebandProcessingCombiList_r15,
      { "basebandProcessingCombiList-r15", "lte-rrc.basebandProcessingCombiList_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BasebandProcessingCombiList_r15_item,
      { "BasebandProcessingCombi-r15", "lte-rrc.BasebandProcessingCombi_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bp_InfoPerBandList,
      { "bp-InfoPerBandList", "lte-rrc.bp_InfoPerBandList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "BP_InfoPerBandList_r15", HFILL }},
    { &hf_lte_rrc_BP_InfoPerBandList_r15_item,
      { "BP-InfoPerBand-r15", "lte-rrc.BP_InfoPerBand_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ca_BandwidthClassDL_r15,
      { "ca-BandwidthClassDL-r15", "lte-rrc.ca_BandwidthClassDL_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CA_BandwidthClass_r10_vals), 0,
        "CA_BandwidthClass_r10", HFILL }},
    { &hf_lte_rrc_ca_BandwidthClassUL_r15,
      { "ca-BandwidthClassUL-r15", "lte-rrc.ca_BandwidthClassUL_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CA_BandwidthClass_r10_vals), 0,
        "CA_BandwidthClass_r10", HFILL }},
    { &hf_lte_rrc_bp_InfoPerCC_List_r15,
      { "bp-InfoPerCC-List-r15", "lte-rrc.bp_InfoPerCC_List_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15", HFILL }},
    { &hf_lte_rrc_bp_InfoPerCC_List_r15_item,
      { "BP-InfoPerCC-r15", "lte-rrc.BP_InfoPerCC_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandwidthPerCC_r15,
      { "supportedBandwidthPerCC-r15", "lte-rrc.supportedBandwidthPerCC_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BW_PerCC_r15", HFILL }},
    { &hf_lte_rrc_supportedMIMO_CapabilityDL_r15,
      { "supportedMIMO-CapabilityDL-r15", "lte-rrc.supportedMIMO_CapabilityDL_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MIMO_CapabilityDL_r10_vals), 0,
        "MIMO_CapabilityDL_r10", HFILL }},
    { &hf_lte_rrc_supportedMIMO_CapabilityUL_r15,
      { "supportedMIMO-CapabilityUL-r15", "lte-rrc.supportedMIMO_CapabilityUL_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MIMO_CapabilityUL_r10_vals), 0,
        "MIMO_CapabilityUL_r10", HFILL }},
    { &hf_lte_rrc_modulationOrder_r15,
      { "modulationOrder-r15", "lte-rrc.modulationOrder_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subCarrierSpacing,
      { "subCarrierSpacing", "lte-rrc.subCarrierSpacing_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SubCarrierSpacingNR_r15", HFILL }},
    { &hf_lte_rrc_makeBeforeBreak_r14_01,
      { "makeBeforeBreak-r14", "lte-rrc.makeBeforeBreak_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_makeBeforeBreak_r14_01_vals), 0,
        "T_makeBeforeBreak_r14_01", HFILL }},
    { &hf_lte_rrc_rach_Less_r14,
      { "rach-Less-r14", "lte-rrc.rach_Less_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rach_Less_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drb_TypeSplit_r12,
      { "drb-TypeSplit-r12", "lte-rrc.drb_TypeSplit_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_TypeSplit_r12_vals), 0,
        "T_drb_TypeSplit_r12", HFILL }},
    { &hf_lte_rrc_drb_TypeSCG_r12,
      { "drb-TypeSCG-r12", "lte-rrc.drb_TypeSCG_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_TypeSCG_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_TransferSplitUL_r13,
      { "pdcp-TransferSplitUL-r13", "lte-rrc.pdcp_TransferSplitUL_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdcp_TransferSplitUL_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_SSTD_Meas_r13,
      { "ue-SSTD-Meas-r13", "lte-rrc.ue_SSTD_Meas_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_SSTD_Meas_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChannelSR_ProhibitTimer_r12_01,
      { "logicalChannelSR-ProhibitTimer-r12", "lte-rrc.logicalChannelSR_ProhibitTimer_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logicalChannelSR_ProhibitTimer_r12_01_vals), 0,
        "T_logicalChannelSR_ProhibitTimer_r12_01", HFILL }},
    { &hf_lte_rrc_longDRX_Command_r12,
      { "longDRX-Command-r12", "lte-rrc.longDRX_Command_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_longDRX_Command_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedMAC_LengthField_r13,
      { "extendedMAC-LengthField-r13", "lte-rrc.extendedMAC_LengthField_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedMAC_LengthField_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedLongDRX_r13,
      { "extendedLongDRX-r13", "lte-rrc.extendedLongDRX_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedLongDRX_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_shortSPS_IntervalFDD_r14,
      { "shortSPS-IntervalFDD-r14", "lte-rrc.shortSPS_IntervalFDD_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_shortSPS_IntervalFDD_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_shortSPS_IntervalTDD_r14,
      { "shortSPS-IntervalTDD-r14", "lte-rrc.shortSPS_IntervalTDD_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_shortSPS_IntervalTDD_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_skipUplinkDynamic_r14,
      { "skipUplinkDynamic-r14", "lte-rrc.skipUplinkDynamic_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipUplinkDynamic_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_skipUplinkSPS_r14,
      { "skipUplinkSPS-r14", "lte-rrc.skipUplinkSPS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipUplinkSPS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multipleUplinkSPS_r14,
      { "multipleUplinkSPS-r14", "lte-rrc.multipleUplinkSPS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multipleUplinkSPS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dataInactMon_r14,
      { "dataInactMon-r14", "lte-rrc.dataInactMon_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dataInactMon_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rai_Support_r14,
      { "rai-Support-r14", "lte-rrc.rai_Support_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rai_Support_r14_vals), 0,
        "T_rai_Support_r14", HFILL }},
    { &hf_lte_rrc_extended_RLC_LI_Field_r12,
      { "extended-RLC-LI-Field-r12", "lte-rrc.extended_RLC_LI_Field_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extended_RLC_LI_Field_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedRLC_SN_SO_Field_r13,
      { "extendedRLC-SN-SO-Field-r13", "lte-rrc.extendedRLC_SN_SO_Field_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedRLC_SN_SO_Field_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedPollByte_r14,
      { "extendedPollByte-r14", "lte-rrc.extendedPollByte_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedPollByte_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedROHC_Profiles,
      { "supportedROHC-Profiles", "lte-rrc.supportedROHC_Profiles_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxNumberROHC_ContextSessions,
      { "maxNumberROHC-ContextSessions", "lte-rrc.maxNumberROHC_ContextSessions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxNumberROHC_ContextSessions_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_SN_Extension_r11,
      { "pdcp-SN-Extension-r11", "lte-rrc.pdcp_SN_Extension_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdcp_SN_Extension_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportRohcContextContinue_r11,
      { "supportRohcContextContinue-r11", "lte-rrc.supportRohcContextContinue_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_supportRohcContextContinue_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_SN_Extension_18bits_r13,
      { "pdcp-SN-Extension-18bits-r13", "lte-rrc.pdcp_SN_Extension_18bits_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdcp_SN_Extension_18bits_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedUplinkOnlyROHC_Profiles_r14,
      { "supportedUplinkOnlyROHC-Profiles-r14", "lte-rrc.supportedUplinkOnlyROHC_Profiles_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxNumberROHC_ContextSessions_r14,
      { "maxNumberROHC-ContextSessions-r14", "lte-rrc.maxNumberROHC_ContextSessions_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxNumberROHC_ContextSessions_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_TxAntennaSelectionSupported,
      { "ue-TxAntennaSelectionSupported", "lte-rrc.ue_TxAntennaSelectionSupported",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ue_SpecificRefSigsSupported,
      { "ue-SpecificRefSigsSupported", "lte-rrc.ue_SpecificRefSigsSupported",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_enhancedDualLayerFDD_r9,
      { "enhancedDualLayerFDD-r9", "lte-rrc.enhancedDualLayerFDD_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_enhancedDualLayerFDD_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_enhancedDualLayerTDD_r9,
      { "enhancedDualLayerTDD-r9", "lte-rrc.enhancedDualLayerTDD_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_enhancedDualLayerTDD_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tm5_FDD_r9,
      { "tm5-FDD-r9", "lte-rrc.tm5_FDD_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tm5_FDD_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tm5_TDD_r9,
      { "tm5-TDD-r9", "lte-rrc.tm5_TDD_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tm5_TDD_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_twoAntennaPortsForPUCCH_r10,
      { "twoAntennaPortsForPUCCH-r10", "lte-rrc.twoAntennaPortsForPUCCH_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoAntennaPortsForPUCCH_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tm9_With_8Tx_FDD_r10,
      { "tm9-With-8Tx-FDD-r10", "lte-rrc.tm9_With_8Tx_FDD_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tm9_With_8Tx_FDD_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pmi_Disabling_r10,
      { "pmi-Disabling-r10", "lte-rrc.pmi_Disabling_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pmi_Disabling_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_crossCarrierScheduling_r10,
      { "crossCarrierScheduling-r10", "lte-rrc.crossCarrierScheduling_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crossCarrierScheduling_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_simultaneousPUCCH_PUSCH_r10_01,
      { "simultaneousPUCCH-PUSCH-r10", "lte-rrc.simultaneousPUCCH_PUSCH_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_simultaneousPUCCH_PUSCH_r10_01_vals), 0,
        "T_simultaneousPUCCH_PUSCH_r10_01", HFILL }},
    { &hf_lte_rrc_multiClusterPUSCH_WithinCC_r10,
      { "multiClusterPUSCH-WithinCC-r10", "lte-rrc.multiClusterPUSCH_WithinCC_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiClusterPUSCH_WithinCC_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonContiguousUL_RA_WithinCC_List_r10,
      { "nonContiguousUL-RA-WithinCC-List-r10", "lte-rrc.nonContiguousUL_RA_WithinCC_List_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_crs_InterfHandl_r11,
      { "crs-InterfHandl-r11", "lte-rrc.crs_InterfHandl_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crs_InterfHandl_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ePDCCH_r11,
      { "ePDCCH-r11", "lte-rrc.ePDCCH_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ePDCCH_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiACK_CSI_Reporting_r11,
      { "multiACK-CSI-Reporting-r11", "lte-rrc.multiACK_CSI_Reporting_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiACK_CSI_Reporting_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ss_CCH_InterfHandl_r11,
      { "ss-CCH-InterfHandl-r11", "lte-rrc.ss_CCH_InterfHandl_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ss_CCH_InterfHandl_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_SpecialSubframe_r11,
      { "tdd-SpecialSubframe-r11", "lte-rrc.tdd_SpecialSubframe_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_SpecialSubframe_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_txDiv_PUCCH1b_ChSelect_r11,
      { "txDiv-PUCCH1b-ChSelect-r11", "lte-rrc.txDiv_PUCCH1b_ChSelect_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_txDiv_PUCCH1b_ChSelect_r11_vals), 0,
        "T_txDiv_PUCCH1b_ChSelect_r11", HFILL }},
    { &hf_lte_rrc_ul_CoMP_r11,
      { "ul-CoMP-r11", "lte-rrc.ul_CoMP_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_CoMP_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_r11,
      { "interBandTDD-CA-WithDifferentConfig-r11", "lte-rrc.interBandTDD_CA_WithDifferentConfig_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_e_HARQ_Pattern_FDD_r12,
      { "e-HARQ-Pattern-FDD-r12", "lte-rrc.e_HARQ_Pattern_FDD_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_e_HARQ_Pattern_FDD_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_enhanced_4TxCodebook_r12,
      { "enhanced-4TxCodebook-r12", "lte-rrc.enhanced_4TxCodebook_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_enhanced_4TxCodebook_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12,
      { "tdd-FDD-CA-PCellDuplex-r12", "lte-rrc.tdd_FDD_CA_PCellDuplex_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phy_TDD_ReConfig_TDD_PCell_r12,
      { "phy-TDD-ReConfig-TDD-PCell-r12", "lte-rrc.phy_TDD_ReConfig_TDD_PCell_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_phy_TDD_ReConfig_TDD_PCell_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_phy_TDD_ReConfig_FDD_PCell_r12,
      { "phy-TDD-ReConfig-FDD-PCell-r12", "lte-rrc.phy_TDD_ReConfig_FDD_PCell_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_phy_TDD_ReConfig_FDD_PCell_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_FeedbackMode_r12,
      { "pusch-FeedbackMode-r12", "lte-rrc.pusch_FeedbackMode_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pusch_FeedbackMode_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_SRS_PowerControl_SubframeSet_r12,
      { "pusch-SRS-PowerControl-SubframeSet-r12", "lte-rrc.pusch_SRS_PowerControl_SubframeSet_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pusch_SRS_PowerControl_SubframeSet_r12_vals), 0,
        "T_pusch_SRS_PowerControl_SubframeSet_r12", HFILL }},
    { &hf_lte_rrc_csi_SubframeSet_r12,
      { "csi-SubframeSet-r12", "lte-rrc.csi_SubframeSet_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_SubframeSet_r12_vals), 0,
        "T_csi_SubframeSet_r12", HFILL }},
    { &hf_lte_rrc_noResourceRestrictionForTTIBundling_r12,
      { "noResourceRestrictionForTTIBundling-r12", "lte-rrc.noResourceRestrictionForTTIBundling_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_noResourceRestrictionForTTIBundling_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discoverySignalsInDeactSCell_r12,
      { "discoverySignalsInDeactSCell-r12", "lte-rrc.discoverySignalsInDeactSCell_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discoverySignalsInDeactSCell_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_naics_Capability_List_r12,
      { "naics-Capability-List-r12", "lte-rrc.naics_Capability_List_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_alternativeTBS_Indices_r12,
      { "alternativeTBS-Indices-r12", "lte-rrc.alternativeTBS_Indices_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_alternativeTBS_Indices_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_aperiodicCSI_Reporting_r13,
      { "aperiodicCSI-Reporting-r13", "lte-rrc.aperiodicCSI_Reporting_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebook_HARQ_ACK_r13,
      { "codebook-HARQ-ACK-r13", "lte-rrc.codebook_HARQ_ACK_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_crossCarrierScheduling_B5C_r13,
      { "crossCarrierScheduling-B5C-r13", "lte-rrc.crossCarrierScheduling_B5C_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crossCarrierScheduling_B5C_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_HARQ_TimingTDD_r13,
      { "fdd-HARQ-TimingTDD-r13", "lte-rrc.fdd_HARQ_TimingTDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fdd_HARQ_TimingTDD_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxNumberUpdatedCSI_Proc_r13,
      { "maxNumberUpdatedCSI-Proc-r13", "lte-rrc.maxNumberUpdatedCSI_Proc_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_5_32", HFILL }},
    { &hf_lte_rrc_pucch_Format4_r13,
      { "pucch-Format4-r13", "lte-rrc.pucch_Format4_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_Format4_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_Format5_r13,
      { "pucch-Format5-r13", "lte-rrc.pucch_Format5_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_Format5_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pucch_SCell_r13,
      { "pucch-SCell-r13", "lte-rrc.pucch_SCell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pucch_SCell_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_spatialBundling_HARQ_ACK_r13,
      { "spatialBundling-HARQ-ACK-r13", "lte-rrc.spatialBundling_HARQ_ACK_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_spatialBundling_HARQ_ACK_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBlindDecoding_r13,
      { "supportedBlindDecoding-r13", "lte-rrc.supportedBlindDecoding_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxNumberDecoding_r13,
      { "maxNumberDecoding-r13", "lte-rrc.maxNumberDecoding_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_32", HFILL }},
    { &hf_lte_rrc_pdcch_CandidateReductions_r13_01,
      { "pdcch-CandidateReductions-r13", "lte-rrc.pdcch_CandidateReductions_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdcch_CandidateReductions_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_skipMonitoringDCI_Format0_1A_r13,
      { "skipMonitoringDCI-Format0-1A-r13", "lte-rrc.skipMonitoringDCI_Format0_1A_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipMonitoringDCI_Format0_1A_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uci_PUSCH_Ext_r13,
      { "uci-PUSCH-Ext-r13", "lte-rrc.uci_PUSCH_Ext_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_uci_PUSCH_Ext_r13_vals), 0,
        "T_uci_PUSCH_Ext_r13", HFILL }},
    { &hf_lte_rrc_crs_InterfMitigationTM10_r13,
      { "crs-InterfMitigationTM10-r13", "lte-rrc.crs_InterfMitigationTM10_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crs_InterfMitigationTM10_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdsch_CollisionHandling_r13,
      { "pdsch-CollisionHandling-r13", "lte-rrc.pdsch_CollisionHandling_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pdsch_CollisionHandling_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mimo_UE_Parameters_r13,
      { "mimo-UE-Parameters-r13", "lte-rrc.mimo_UE_Parameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cch_InterfMitigation_RefRecTypeA_r13,
      { "cch-InterfMitigation-RefRecTypeA-r13", "lte-rrc.cch_InterfMitigation_RefRecTypeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cch_InterfMitigation_RefRecTypeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cch_InterfMitigation_RefRecTypeB_r13,
      { "cch-InterfMitigation-RefRecTypeB-r13", "lte-rrc.cch_InterfMitigation_RefRecTypeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cch_InterfMitigation_RefRecTypeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cch_InterfMitigation_MaxNumCCs_r13,
      { "cch-InterfMitigation-MaxNumCCs-r13", "lte-rrc.cch_InterfMitigation_MaxNumCCs_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxServCell_r13", HFILL }},
    { &hf_lte_rrc_crs_InterfMitigationTM1toTM9_r13,
      { "crs-InterfMitigationTM1toTM9-r13", "lte-rrc.crs_InterfMitigationTM1toTM9_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxServCell_r13", HFILL }},
    { &hf_lte_rrc_ce_PUSCH_NB_MaxTBS_r14_01,
      { "ce-PUSCH-NB-MaxTBS-r14", "lte-rrc.ce_PUSCH_NB_MaxTBS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PUSCH_NB_MaxTBS_r14_01_vals), 0,
        "T_ce_PUSCH_NB_MaxTBS_r14_01", HFILL }},
    { &hf_lte_rrc_ce_PDSCH_PUSCH_MaxBandwidth_r14,
      { "ce-PDSCH-PUSCH-MaxBandwidth-r14", "lte-rrc.ce_PDSCH_PUSCH_MaxBandwidth_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PDSCH_PUSCH_MaxBandwidth_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_HARQ_AckBundling_r14_01,
      { "ce-HARQ-AckBundling-r14", "lte-rrc.ce_HARQ_AckBundling_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_HARQ_AckBundling_r14_01_vals), 0,
        "T_ce_HARQ_AckBundling_r14_01", HFILL }},
    { &hf_lte_rrc_ce_PDSCH_TenProcesses_r14_01,
      { "ce-PDSCH-TenProcesses-r14", "lte-rrc.ce_PDSCH_TenProcesses_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PDSCH_TenProcesses_r14_01_vals), 0,
        "T_ce_PDSCH_TenProcesses_r14_01", HFILL }},
    { &hf_lte_rrc_ce_RetuningSymbols_r14,
      { "ce-RetuningSymbols-r14", "lte-rrc.ce_RetuningSymbols_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_RetuningSymbols_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_PDSCH_PUSCH_Enhancement_r14,
      { "ce-PDSCH-PUSCH-Enhancement-r14", "lte-rrc.ce_PDSCH_PUSCH_Enhancement_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PDSCH_PUSCH_Enhancement_r14_vals), 0,
        "T_ce_PDSCH_PUSCH_Enhancement_r14", HFILL }},
    { &hf_lte_rrc_ce_SchedulingEnhancement_r14_01,
      { "ce-SchedulingEnhancement-r14", "lte-rrc.ce_SchedulingEnhancement_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_SchedulingEnhancement_r14_01_vals), 0,
        "T_ce_SchedulingEnhancement_r14_01", HFILL }},
    { &hf_lte_rrc_ce_SRS_Enhancement_r14,
      { "ce-SRS-Enhancement-r14", "lte-rrc.ce_SRS_Enhancement_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_SRS_Enhancement_r14_vals), 0,
        "T_ce_SRS_Enhancement_r14", HFILL }},
    { &hf_lte_rrc_ce_PUCCH_Enhancement_r14,
      { "ce-PUCCH-Enhancement-r14", "lte-rrc.ce_PUCCH_Enhancement_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_PUCCH_Enhancement_r14_vals), 0,
        "T_ce_PUCCH_Enhancement_r14", HFILL }},
    { &hf_lte_rrc_ce_ClosedLoopTxAntennaSelection_r14,
      { "ce-ClosedLoopTxAntennaSelection-r14", "lte-rrc.ce_ClosedLoopTxAntennaSelection_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_ClosedLoopTxAntennaSelection_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_SpecialSubframe_r14,
      { "tdd-SpecialSubframe-r14", "lte-rrc.tdd_SpecialSubframe_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_SpecialSubframe_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_TTI_Bundling_r14,
      { "tdd-TTI-Bundling-r14", "lte-rrc.tdd_TTI_Bundling_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_TTI_Bundling_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dmrs_LessUpPTS_r14,
      { "dmrs-LessUpPTS-r14", "lte-rrc.dmrs_LessUpPTS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmrs_LessUpPTS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mimo_UE_Parameters_v1430,
      { "mimo-UE-Parameters-v1430", "lte-rrc.mimo_UE_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_alternativeTBS_Index_r14,
      { "alternativeTBS-Index-r14", "lte-rrc.alternativeTBS_Index_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_alternativeTBS_Index_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_feMBMS_Unicast_Parameters_r14,
      { "feMBMS-Unicast-Parameters-r14", "lte-rrc.feMBMS_Unicast_Parameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_SRS_EnhancementWithoutComb4_r14,
      { "ce-SRS-EnhancementWithoutComb4-r14", "lte-rrc.ce_SRS_EnhancementWithoutComb4_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_SRS_EnhancementWithoutComb4_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_crs_LessDwPTS_r14,
      { "crs-LessDwPTS-r14", "lte-rrc.crs_LessDwPTS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crs_LessDwPTS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_parametersTM9_r13,
      { "parametersTM9-r13", "lte-rrc.parametersTM9_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_UE_ParametersPerTM_r13", HFILL }},
    { &hf_lte_rrc_parametersTM10_r13,
      { "parametersTM10-r13", "lte-rrc.parametersTM10_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_UE_ParametersPerTM_r13", HFILL }},
    { &hf_lte_rrc_srs_EnhancementsTDD_r13,
      { "srs-EnhancementsTDD-r13", "lte-rrc.srs_EnhancementsTDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_EnhancementsTDD_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_Enhancements_r13,
      { "srs-Enhancements-r13", "lte-rrc.srs_Enhancements_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_Enhancements_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interferenceMeasRestriction_r13_01,
      { "interferenceMeasRestriction-r13", "lte-rrc.interferenceMeasRestriction_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interferenceMeasRestriction_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_parametersTM9_v1430,
      { "parametersTM9-v1430", "lte-rrc.parametersTM9_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_UE_ParametersPerTM_v1430", HFILL }},
    { &hf_lte_rrc_parametersTM10_v1430,
      { "parametersTM10-v1430", "lte-rrc.parametersTM10_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_UE_ParametersPerTM_v1430", HFILL }},
    { &hf_lte_rrc_nonPrecoded_r13_02,
      { "nonPrecoded-r13", "lte-rrc.nonPrecoded_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_NonPrecodedCapabilities_r13", HFILL }},
    { &hf_lte_rrc_beamformed_r13_01,
      { "beamformed-r13", "lte-rrc.beamformed_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_UE_BeamformedCapabilities_r13", HFILL }},
    { &hf_lte_rrc_channelMeasRestriction_r13_01,
      { "channelMeasRestriction-r13", "lte-rrc.channelMeasRestriction_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_channelMeasRestriction_r13_01_vals), 0,
        "T_channelMeasRestriction_r13_01", HFILL }},
    { &hf_lte_rrc_dmrs_Enhancements_r13,
      { "dmrs-Enhancements-r13", "lte-rrc.dmrs_Enhancements_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmrs_Enhancements_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_EnhancementsTDD_r13,
      { "csi-RS-EnhancementsTDD-r13", "lte-rrc.csi_RS_EnhancementsTDD_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_RS_EnhancementsTDD_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nzp_CSI_RS_AperiodicInfo_r14,
      { "nzp-CSI-RS-AperiodicInfo-r14", "lte-rrc.nzp_CSI_RS_AperiodicInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nMaxProc_r14,
      { "nMaxProc-r14", "lte-rrc.nMaxProc_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_5_32", HFILL }},
    { &hf_lte_rrc_nMaxResource_r14,
      { "nMaxResource-r14", "lte-rrc.nMaxResource_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nMaxResource_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nzp_CSI_RS_PeriodicInfo_r14,
      { "nzp-CSI-RS-PeriodicInfo-r14", "lte-rrc.nzp_CSI_RS_PeriodicInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nMaxResource_r14_01,
      { "nMaxResource-r14", "lte-rrc.nMaxResource_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nMaxResource_r14_01_vals), 0,
        "T_nMaxResource_r14_01", HFILL }},
    { &hf_lte_rrc_zp_CSI_RS_AperiodicInfo_r14,
      { "zp-CSI-RS-AperiodicInfo-r14", "lte-rrc.zp_CSI_RS_AperiodicInfo_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_zp_CSI_RS_AperiodicInfo_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_dmrs_Enhancements_r14,
      { "ul-dmrs-Enhancements-r14", "lte-rrc.ul_dmrs_Enhancements_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_dmrs_Enhancements_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_densityReductionNP_r14,
      { "densityReductionNP-r14", "lte-rrc.densityReductionNP_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_densityReductionNP_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_densityReductionBF_r14,
      { "densityReductionBF-r14", "lte-rrc.densityReductionBF_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_densityReductionBF_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_hybridCSI_r14,
      { "hybridCSI-r14", "lte-rrc.hybridCSI_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_hybridCSI_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_semiOL_r14,
      { "semiOL-r14", "lte-rrc.semiOL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_semiOL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_ReportingNP_r14,
      { "csi-ReportingNP-r14", "lte-rrc.csi_ReportingNP_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_ReportingNP_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_ReportingAdvanced_r14,
      { "csi-ReportingAdvanced-r14", "lte-rrc.csi_ReportingAdvanced_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_ReportingAdvanced_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_parametersTM9_r13_01,
      { "parametersTM9-r13", "lte-rrc.parametersTM9_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_CA_ParametersPerBoBCPerTM_r13", HFILL }},
    { &hf_lte_rrc_parametersTM10_r13_01,
      { "parametersTM10-r13", "lte-rrc.parametersTM10_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_CA_ParametersPerBoBCPerTM_r13", HFILL }},
    { &hf_lte_rrc_parametersTM9_v1430_01,
      { "parametersTM9-v1430", "lte-rrc.parametersTM9_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_CA_ParametersPerBoBCPerTM_v1430", HFILL }},
    { &hf_lte_rrc_parametersTM10_v1430_01,
      { "parametersTM10-v1430", "lte-rrc.parametersTM10_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_CA_ParametersPerBoBCPerTM_v1430", HFILL }},
    { &hf_lte_rrc_beamformed_r13_02,
      { "beamformed-r13", "lte-rrc.beamformed_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MIMO_BeamformedCapabilityList_r13", HFILL }},
    { &hf_lte_rrc_dmrs_Enhancements_r13_01,
      { "dmrs-Enhancements-r13", "lte-rrc.dmrs_Enhancements_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dmrs_Enhancements_r13_01_vals), 0,
        "T_dmrs_Enhancements_r13_01", HFILL }},
    { &hf_lte_rrc_csi_ReportingNP_r14_01,
      { "csi-ReportingNP-r14", "lte-rrc.csi_ReportingNP_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_ReportingNP_r14_01_vals), 0,
        "T_csi_ReportingNP_r14_01", HFILL }},
    { &hf_lte_rrc_csi_ReportingAdvanced_r14_01,
      { "csi-ReportingAdvanced-r14", "lte-rrc.csi_ReportingAdvanced_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_ReportingAdvanced_r14_01_vals), 0,
        "T_csi_ReportingAdvanced_r14_01", HFILL }},
    { &hf_lte_rrc_config1_r13,
      { "config1-r13", "lte-rrc.config1_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_config1_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_config2_r13,
      { "config2-r13", "lte-rrc.config2_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_config2_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_config3_r13,
      { "config3-r13", "lte-rrc.config3_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_config3_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_config4_r13,
      { "config4-r13", "lte-rrc.config4_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_config4_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_altCodebook_r13,
      { "altCodebook-r13", "lte-rrc.altCodebook_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_altCodebook_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mimo_BeamformedCapabilities_r13,
      { "mimo-BeamformedCapabilities-r13", "lte-rrc.mimo_BeamformedCapabilities_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MIMO_BeamformedCapabilityList_r13", HFILL }},
    { &hf_lte_rrc_MIMO_BeamformedCapabilityList_r13_item,
      { "MIMO-BeamformedCapabilities-r13", "lte-rrc.MIMO_BeamformedCapabilities_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_k_Max_r13,
      { "k-Max-r13", "lte-rrc.k_Max_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_n_MaxList_r13,
      { "n-MaxList-r13", "lte-rrc.n_MaxList_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1_7", HFILL }},
    { &hf_lte_rrc_NonContiguousUL_RA_WithinCC_List_r10_item,
      { "NonContiguousUL-RA-WithinCC-r10", "lte-rrc.NonContiguousUL_RA_WithinCC_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonContiguousUL_RA_WithinCC_Info_r10,
      { "nonContiguousUL-RA-WithinCC-Info-r10", "lte-rrc.nonContiguousUL_RA_WithinCC_Info_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nonContiguousUL_RA_WithinCC_Info_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListEUTRA,
      { "supportedBandListEUTRA", "lte-rrc.supportedBandListEUTRA",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListEUTRA_v9e0,
      { "supportedBandListEUTRA-v9e0", "lte-rrc.supportedBandListEUTRA_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombination_r10,
      { "supportedBandCombination-r10", "lte-rrc.supportedBandCombination_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationExt_r10,
      { "supportedBandCombinationExt-r10", "lte-rrc.supportedBandCombinationExt_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v1090,
      { "supportedBandCombination-v1090", "lte-rrc.supportedBandCombination_v1090",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10,
      { "modifiedMPR-Behavior-r10", "lte-rrc.modifiedMPR_Behavior_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v10i0,
      { "supportedBandCombination-v10i0", "lte-rrc.supportedBandCombination_v10i0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiNS_Pmax_r10,
      { "multiNS-Pmax-r10", "lte-rrc.multiNS_Pmax_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiNS_Pmax_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v1130,
      { "supportedBandCombination-v1130", "lte-rrc.supportedBandCombination_v1130",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqBandRetrieval_r11,
      { "freqBandRetrieval-r11", "lte-rrc.freqBandRetrieval_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_freqBandRetrieval_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_requestedBands_r11,
      { "requestedBands-r11", "lte-rrc.requestedBands_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_requestedBands_r11_item,
      { "FreqBandIndicator-r11", "lte-rrc.FreqBandIndicator_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationAdd_r11,
      { "supportedBandCombinationAdd-r11", "lte-rrc.supportedBandCombinationAdd_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationAdd_v11d0,
      { "supportedBandCombinationAdd-v11d0", "lte-rrc.supportedBandCombinationAdd_v11d0",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListEUTRA_v1250,
      { "supportedBandListEUTRA-v1250", "lte-rrc.supportedBandListEUTRA_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v1250,
      { "supportedBandCombination-v1250", "lte-rrc.supportedBandCombination_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationAdd_v1250,
      { "supportedBandCombinationAdd-v1250", "lte-rrc.supportedBandCombinationAdd_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_freqBandPriorityAdjustment_r12,
      { "freqBandPriorityAdjustment-r12", "lte-rrc.freqBandPriorityAdjustment_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_freqBandPriorityAdjustment_r12_vals), 0,
        "T_freqBandPriorityAdjustment_r12", HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v1270,
      { "supportedBandCombination-v1270", "lte-rrc.supportedBandCombination_v1270",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationAdd_v1270,
      { "supportedBandCombinationAdd-v1270", "lte-rrc.supportedBandCombinationAdd_v1270",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eNB_RequestedParameters_r13,
      { "eNB-RequestedParameters-r13", "lte-rrc.eNB_RequestedParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reducedIntNonContCombRequested_r13,
      { "reducedIntNonContCombRequested-r13", "lte-rrc.reducedIntNonContCombRequested_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reducedIntNonContCombRequested_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_requestedCCsDL_r13,
      { "requestedCCsDL-r13", "lte-rrc.requestedCCsDL_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_32", HFILL }},
    { &hf_lte_rrc_requestedCCsUL_r13,
      { "requestedCCsUL-r13", "lte-rrc.requestedCCsUL_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_2_32", HFILL }},
    { &hf_lte_rrc_skipFallbackCombRequested_r13,
      { "skipFallbackCombRequested-r13", "lte-rrc.skipFallbackCombRequested_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipFallbackCombRequested_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maximumCCsRetrieval_r13,
      { "maximumCCsRetrieval-r13", "lte-rrc.maximumCCsRetrieval_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maximumCCsRetrieval_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_skipFallbackCombinations_r13,
      { "skipFallbackCombinations-r13", "lte-rrc.skipFallbackCombinations_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_skipFallbackCombinations_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_reducedIntNonContComb_r13,
      { "reducedIntNonContComb-r13", "lte-rrc.reducedIntNonContComb_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_reducedIntNonContComb_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListEUTRA_v1310,
      { "supportedBandListEUTRA-v1310", "lte-rrc.supportedBandListEUTRA_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationReduced_r13,
      { "supportedBandCombinationReduced-r13", "lte-rrc.supportedBandCombinationReduced_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListEUTRA_v1320,
      { "supportedBandListEUTRA-v1320", "lte-rrc.supportedBandListEUTRA_v1320",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v1320,
      { "supportedBandCombination-v1320", "lte-rrc.supportedBandCombination_v1320",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationAdd_v1320,
      { "supportedBandCombinationAdd-v1320", "lte-rrc.supportedBandCombinationAdd_v1320",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationReduced_v1320,
      { "supportedBandCombinationReduced-v1320", "lte-rrc.supportedBandCombinationReduced_v1320",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v1380,
      { "supportedBandCombination-v1380", "lte-rrc.supportedBandCombination_v1380",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationAdd_v1380,
      { "supportedBandCombinationAdd-v1380", "lte-rrc.supportedBandCombinationAdd_v1380",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationReduced_v1380,
      { "supportedBandCombinationReduced-v1380", "lte-rrc.supportedBandCombinationReduced_v1380",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxLayersMIMO_Indication_r12,
      { "maxLayersMIMO-Indication-r12", "lte-rrc.maxLayersMIMO_Indication_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxLayersMIMO_Indication_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v1430,
      { "supportedBandCombination-v1430", "lte-rrc.supportedBandCombination_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationAdd_v1430,
      { "supportedBandCombinationAdd-v1430", "lte-rrc.supportedBandCombinationAdd_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationReduced_v1430,
      { "supportedBandCombinationReduced-v1430", "lte-rrc.supportedBandCombinationReduced_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eNB_RequestedParameters_v1430,
      { "eNB-RequestedParameters-v1430", "lte-rrc.eNB_RequestedParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_requestedDiffFallbackCombList_r14,
      { "requestedDiffFallbackCombList-r14", "lte-rrc.requestedDiffFallbackCombList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "BandCombinationList_r14", HFILL }},
    { &hf_lte_rrc_diffFallbackCombReport_r14,
      { "diffFallbackCombReport-r14", "lte-rrc.diffFallbackCombReport_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_diffFallbackCombReport_r14_vals), 0,
        "T_diffFallbackCombReport_r14", HFILL }},
    { &hf_lte_rrc_supportedBandCombination_v1450,
      { "supportedBandCombination-v1450", "lte-rrc.supportedBandCombination_v1450",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationAdd_v1450,
      { "supportedBandCombinationAdd-v1450", "lte-rrc.supportedBandCombinationAdd_v1450",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandCombinationReduced_v1450,
      { "supportedBandCombinationReduced-v1450", "lte-rrc.supportedBandCombinationReduced_v1450",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_r10_item,
      { "BandCombinationParameters-r10", "lte-rrc.BandCombinationParameters_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationExt_r10_item,
      { "BandCombinationParametersExt-r10", "lte-rrc.BandCombinationParametersExt_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v1090_item,
      { "BandCombinationParameters-v1090", "lte-rrc.BandCombinationParameters_v1090",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v10i0_item,
      { "BandCombinationParameters-v10i0", "lte-rrc.BandCombinationParameters_v10i0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v1130_item,
      { "BandCombinationParameters-v1130", "lte-rrc.BandCombinationParameters_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v1250_item,
      { "BandCombinationParameters-v1250", "lte-rrc.BandCombinationParameters_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v1270_item,
      { "BandCombinationParameters-v1270", "lte-rrc.BandCombinationParameters_v1270_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v1320_item,
      { "BandCombinationParameters-v1320", "lte-rrc.BandCombinationParameters_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v1380_item,
      { "BandCombinationParameters-v1380", "lte-rrc.BandCombinationParameters_v1380_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v1430_item,
      { "BandCombinationParameters-v1430", "lte-rrc.BandCombinationParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombination_v1450_item,
      { "BandCombinationParameters-v1450", "lte-rrc.BandCombinationParameters_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationAdd_r11_item,
      { "BandCombinationParameters-r11", "lte-rrc.BandCombinationParameters_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationAdd_v11d0_item,
      { "BandCombinationParameters-v10i0", "lte-rrc.BandCombinationParameters_v10i0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationAdd_v1250_item,
      { "BandCombinationParameters-v1250", "lte-rrc.BandCombinationParameters_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationAdd_v1270_item,
      { "BandCombinationParameters-v1270", "lte-rrc.BandCombinationParameters_v1270_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationAdd_v1320_item,
      { "BandCombinationParameters-v1320", "lte-rrc.BandCombinationParameters_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationAdd_v1380_item,
      { "BandCombinationParameters-v1380", "lte-rrc.BandCombinationParameters_v1380_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationAdd_v1430_item,
      { "BandCombinationParameters-v1430", "lte-rrc.BandCombinationParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationAdd_v1450_item,
      { "BandCombinationParameters-v1450", "lte-rrc.BandCombinationParameters_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationReduced_r13_item,
      { "BandCombinationParameters-r13", "lte-rrc.BandCombinationParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationReduced_v1320_item,
      { "BandCombinationParameters-v1320", "lte-rrc.BandCombinationParameters_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationReduced_v1380_item,
      { "BandCombinationParameters-v1380", "lte-rrc.BandCombinationParameters_v1380_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationReduced_v1430_item,
      { "BandCombinationParameters-v1430", "lte-rrc.BandCombinationParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandCombinationReduced_v1450_item,
      { "BandCombinationParameters-v1450", "lte-rrc.BandCombinationParameters_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandCombinationParameters_r10_item,
      { "BandParameters-r10", "lte-rrc.BandParameters_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandwidthCombinationSet_r10,
      { "supportedBandwidthCombinationSet-r10", "lte-rrc.supportedBandwidthCombinationSet_r10",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandCombinationParameters_v1090_item,
      { "BandParameters-v1090", "lte-rrc.BandParameters_v1090_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParameterList_v10i0,
      { "bandParameterList-v10i0", "lte-rrc.bandParameterList_v10i0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0", HFILL }},
    { &hf_lte_rrc_bandParameterList_v10i0_item,
      { "BandParameters-v10i0", "lte-rrc.BandParameters_v10i0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multipleTimingAdvance_r11,
      { "multipleTimingAdvance-r11", "lte-rrc.multipleTimingAdvance_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multipleTimingAdvance_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_simultaneousRx_Tx_r11,
      { "simultaneousRx-Tx-r11", "lte-rrc.simultaneousRx_Tx_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_simultaneousRx_Tx_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParameterList_r11,
      { "bandParameterList-r11", "lte-rrc.bandParameterList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130", HFILL }},
    { &hf_lte_rrc_bandParameterList_r11_item,
      { "BandParameters-v1130", "lte-rrc.BandParameters_v1130_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParameterList_r11_01,
      { "bandParameterList-r11", "lte-rrc.bandParameterList_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11", HFILL }},
    { &hf_lte_rrc_bandParameterList_r11_item_01,
      { "BandParameters-r11", "lte-rrc.BandParameters_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandwidthCombinationSet_r11,
      { "supportedBandwidthCombinationSet-r11", "lte-rrc.supportedBandwidthCombinationSet_r11",
        FT_BYTES, BASE_NONE, NULL, 0,
        "SupportedBandwidthCombinationSet_r10", HFILL }},
    { &hf_lte_rrc_multipleTimingAdvance_r11_01,
      { "multipleTimingAdvance-r11", "lte-rrc.multipleTimingAdvance_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multipleTimingAdvance_r11_01_vals), 0,
        "T_multipleTimingAdvance_r11_01", HFILL }},
    { &hf_lte_rrc_simultaneousRx_Tx_r11_01,
      { "simultaneousRx-Tx-r11", "lte-rrc.simultaneousRx_Tx_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_simultaneousRx_Tx_r11_01_vals), 0,
        "T_simultaneousRx_Tx_r11_01", HFILL }},
    { &hf_lte_rrc_bandInfoEUTRA_r11,
      { "bandInfoEUTRA-r11", "lte-rrc.bandInfoEUTRA_r11_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BandInfoEUTRA", HFILL }},
    { &hf_lte_rrc_dc_Support_r12,
      { "dc-Support-r12", "lte-rrc.dc_Support_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_dc_Support_r12", HFILL }},
    { &hf_lte_rrc_asynchronous_r12,
      { "asynchronous-r12", "lte-rrc.asynchronous_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_asynchronous_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedCellGrouping_r12,
      { "supportedCellGrouping-r12", "lte-rrc.supportedCellGrouping_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_supportedCellGrouping_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_threeEntries_r12,
      { "threeEntries-r12", "lte-rrc.threeEntries_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_fourEntries_r12,
      { "fourEntries-r12", "lte-rrc.fourEntries_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_7", HFILL }},
    { &hf_lte_rrc_fiveEntries_r12,
      { "fiveEntries-r12", "lte-rrc.fiveEntries_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_15", HFILL }},
    { &hf_lte_rrc_supportedNAICS_2CRS_AP_r12,
      { "supportedNAICS-2CRS-AP-r12", "lte-rrc.supportedNAICS_2CRS_AP_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1_maxNAICS_Entries_r12", HFILL }},
    { &hf_lte_rrc_commSupportedBandsPerBC_r12,
      { "commSupportedBandsPerBC-r12", "lte-rrc.commSupportedBandsPerBC_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1_maxBands", HFILL }},
    { &hf_lte_rrc_bandParameterList_v1270,
      { "bandParameterList-v1270", "lte-rrc.bandParameterList_v1270",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270", HFILL }},
    { &hf_lte_rrc_bandParameterList_v1270_item,
      { "BandParameters-v1270", "lte-rrc.BandParameters_v1270_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_differentFallbackSupported_r13,
      { "differentFallbackSupported-r13", "lte-rrc.differentFallbackSupported_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_differentFallbackSupported_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParameterList_r13,
      { "bandParameterList-r13", "lte-rrc.bandParameterList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13", HFILL }},
    { &hf_lte_rrc_bandParameterList_r13_item,
      { "BandParameters-r13", "lte-rrc.BandParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandwidthCombinationSet_r13,
      { "supportedBandwidthCombinationSet-r13", "lte-rrc.supportedBandwidthCombinationSet_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "SupportedBandwidthCombinationSet_r10", HFILL }},
    { &hf_lte_rrc_multipleTimingAdvance_r13,
      { "multipleTimingAdvance-r13", "lte-rrc.multipleTimingAdvance_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multipleTimingAdvance_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_simultaneousRx_Tx_r13,
      { "simultaneousRx-Tx-r13", "lte-rrc.simultaneousRx_Tx_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_simultaneousRx_Tx_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandInfoEUTRA_r13,
      { "bandInfoEUTRA-r13", "lte-rrc.bandInfoEUTRA_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BandInfoEUTRA", HFILL }},
    { &hf_lte_rrc_dc_Support_r13,
      { "dc-Support-r13", "lte-rrc.dc_Support_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_dc_Support_r13", HFILL }},
    { &hf_lte_rrc_asynchronous_r13,
      { "asynchronous-r13", "lte-rrc.asynchronous_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_asynchronous_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedCellGrouping_r13,
      { "supportedCellGrouping-r13", "lte-rrc.supportedCellGrouping_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_supportedCellGrouping_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_threeEntries_r13,
      { "threeEntries-r13", "lte-rrc.threeEntries_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_fourEntries_r13,
      { "fourEntries-r13", "lte-rrc.fourEntries_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_7", HFILL }},
    { &hf_lte_rrc_fiveEntries_r13,
      { "fiveEntries-r13", "lte-rrc.fiveEntries_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_15", HFILL }},
    { &hf_lte_rrc_supportedNAICS_2CRS_AP_r13,
      { "supportedNAICS-2CRS-AP-r13", "lte-rrc.supportedNAICS_2CRS_AP_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1_maxNAICS_Entries_r12", HFILL }},
    { &hf_lte_rrc_commSupportedBandsPerBC_r13,
      { "commSupportedBandsPerBC-r13", "lte-rrc.commSupportedBandsPerBC_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1_maxBands", HFILL }},
    { &hf_lte_rrc_bandParameterList_v1320,
      { "bandParameterList-v1320", "lte-rrc.bandParameterList_v1320",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320", HFILL }},
    { &hf_lte_rrc_bandParameterList_v1320_item,
      { "BandParameters-v1320", "lte-rrc.BandParameters_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalRx_Tx_PerformanceReq_r13,
      { "additionalRx-Tx-PerformanceReq-r13", "lte-rrc.additionalRx_Tx_PerformanceReq_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_additionalRx_Tx_PerformanceReq_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParameterList_v1380,
      { "bandParameterList-v1380", "lte-rrc.bandParameterList_v1380",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380", HFILL }},
    { &hf_lte_rrc_bandParameterList_v1380_item,
      { "BandParameters-v1380", "lte-rrc.BandParameters_v1380_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParameterList_v1430,
      { "bandParameterList-v1430", "lte-rrc.bandParameterList_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430", HFILL }},
    { &hf_lte_rrc_bandParameterList_v1430_item,
      { "BandParameters-v1430", "lte-rrc.BandParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_SupportedTxBandCombListPerBC_r14,
      { "v2x-SupportedTxBandCombListPerBC-r14", "lte-rrc.v2x_SupportedTxBandCombListPerBC_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1_maxBandComb_r13", HFILL }},
    { &hf_lte_rrc_v2x_SupportedRxBandCombListPerBC_r14,
      { "v2x-SupportedRxBandCombListPerBC-r14", "lte-rrc.v2x_SupportedRxBandCombListPerBC_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1_maxBandComb_r13", HFILL }},
    { &hf_lte_rrc_bandParameterList_v1450,
      { "bandParameterList-v1450", "lte-rrc.bandParameterList_v1450",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450", HFILL }},
    { &hf_lte_rrc_bandParameterList_v1450_item,
      { "BandParameters-v1450", "lte-rrc.BandParameters_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandEUTRA_r10,
      { "bandEUTRA-r10", "lte-rrc.bandEUTRA_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParametersUL_r10,
      { "bandParametersUL-r10", "lte-rrc.bandParametersUL_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParametersDL_r10,
      { "bandParametersDL-r10", "lte-rrc.bandParametersDL_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandEUTRA_v1090,
      { "bandEUTRA-v1090", "lte-rrc.bandEUTRA_v1090",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_v9e0", HFILL }},
    { &hf_lte_rrc_bandParametersDL_v10i0,
      { "bandParametersDL-v10i0", "lte-rrc.bandParametersDL_v10i0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0", HFILL }},
    { &hf_lte_rrc_bandParametersDL_v10i0_item,
      { "CA-MIMO-ParametersDL-v10i0", "lte-rrc.CA_MIMO_ParametersDL_v10i0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedCSI_Proc_r11,
      { "supportedCSI-Proc-r11", "lte-rrc.supportedCSI_Proc_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_supportedCSI_Proc_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandEUTRA_r11,
      { "bandEUTRA-r11", "lte-rrc.bandEUTRA_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_bandParametersUL_r11,
      { "bandParametersUL-r11", "lte-rrc.bandParametersUL_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "BandParametersUL_r10", HFILL }},
    { &hf_lte_rrc_bandParametersDL_r11,
      { "bandParametersDL-r11", "lte-rrc.bandParametersDL_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        "BandParametersDL_r10", HFILL }},
    { &hf_lte_rrc_supportedCSI_Proc_r11_01,
      { "supportedCSI-Proc-r11", "lte-rrc.supportedCSI_Proc_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_supportedCSI_Proc_r11_01_vals), 0,
        "T_supportedCSI_Proc_r11_01", HFILL }},
    { &hf_lte_rrc_bandParametersDL_v1270,
      { "bandParametersDL-v1270", "lte-rrc.bandParametersDL_v1270",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270", HFILL }},
    { &hf_lte_rrc_bandParametersDL_v1270_item,
      { "CA-MIMO-ParametersDL-v1270", "lte-rrc.CA_MIMO_ParametersDL_v1270_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandEUTRA_r13,
      { "bandEUTRA-r13", "lte-rrc.bandEUTRA_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_bandParametersUL_r13,
      { "bandParametersUL-r13", "lte-rrc.bandParametersUL_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParametersDL_r13,
      { "bandParametersDL-r13", "lte-rrc.bandParametersDL_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedCSI_Proc_r13,
      { "supportedCSI-Proc-r13", "lte-rrc.supportedCSI_Proc_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_supportedCSI_Proc_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParametersDL_v1320,
      { "bandParametersDL-v1320", "lte-rrc.bandParametersDL_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_CA_ParametersPerBoBC_r13", HFILL }},
    { &hf_lte_rrc_txAntennaSwitchDL_r13,
      { "txAntennaSwitchDL-r13", "lte-rrc.txAntennaSwitchDL_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_32", HFILL }},
    { &hf_lte_rrc_txAntennaSwitchUL_r13,
      { "txAntennaSwitchUL-r13", "lte-rrc.txAntennaSwitchUL_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_32", HFILL }},
    { &hf_lte_rrc_bandParametersDL_v1430,
      { "bandParametersDL-v1430", "lte-rrc.bandParametersDL_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MIMO_CA_ParametersPerBoBC_v1430", HFILL }},
    { &hf_lte_rrc_ul_256QAM_r14,
      { "ul-256QAM-r14", "lte-rrc.ul_256QAM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_256QAM_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_256QAM_perCC_InfoList_r14,
      { "ul-256QAM-perCC-InfoList-r14", "lte-rrc.ul_256QAM_perCC_InfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14", HFILL }},
    { &hf_lte_rrc_ul_256QAM_perCC_InfoList_r14_item,
      { "UL-256QAM-perCC-Info-r14", "lte-rrc.UL_256QAM_perCC_Info_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_retuningTimeInfoBandList_r14,
      { "retuningTimeInfoBandList-r14", "lte-rrc.retuningTimeInfoBandList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14", HFILL }},
    { &hf_lte_rrc_retuningTimeInfoBandList_r14_item,
      { "RetuningTimeInfo-r14", "lte-rrc.RetuningTimeInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_must_CapabilityPerBand_r14,
      { "must-CapabilityPerBand-r14", "lte-rrc.must_CapabilityPerBand_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MUST_Parameters_r14", HFILL }},
    { &hf_lte_rrc_v2x_FreqBandEUTRA_r14,
      { "v2x-FreqBandEUTRA-r14", "lte-rrc.v2x_FreqBandEUTRA_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_r11", HFILL }},
    { &hf_lte_rrc_bandParametersTxSL_r14,
      { "bandParametersTxSL-r14", "lte-rrc.bandParametersTxSL_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandParametersRxSL_r14,
      { "bandParametersRxSL-r14", "lte-rrc.bandParametersRxSL_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_BandwidthClassTxSL_r14,
      { "v2x-BandwidthClassTxSL-r14", "lte-rrc.v2x_BandwidthClassTxSL_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "V2X_BandwidthClassSL_r14", HFILL }},
    { &hf_lte_rrc_v2x_eNB_Scheduled_r14,
      { "v2x-eNB-Scheduled-r14", "lte-rrc.v2x_eNB_Scheduled_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_v2x_eNB_Scheduled_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_HighPower_r14,
      { "v2x-HighPower-r14", "lte-rrc.v2x_HighPower_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_v2x_HighPower_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_BandwidthClassRxSL_r14,
      { "v2x-BandwidthClassRxSL-r14", "lte-rrc.v2x_BandwidthClassRxSL_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "V2X_BandwidthClassSL_r14", HFILL }},
    { &hf_lte_rrc_v2x_HighReception_r14,
      { "v2x-HighReception-r14", "lte-rrc.v2x_HighReception_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_v2x_HighReception_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_V2X_BandwidthClassSL_r14_item,
      { "V2X-BandwidthClass-r14", "lte-rrc.V2X_BandwidthClass_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_V2X_BandwidthClass_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_256QAM_perCC_r14,
      { "ul-256QAM-perCC-r14", "lte-rrc.ul_256QAM_perCC_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_256QAM_perCC_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandParametersUL_r10_item,
      { "CA-MIMO-ParametersUL-r10", "lte-rrc.CA_MIMO_ParametersUL_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ca_BandwidthClassUL_r10,
      { "ca-BandwidthClassUL-r10", "lte-rrc.ca_BandwidthClassUL_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CA_BandwidthClass_r10_vals), 0,
        "CA_BandwidthClass_r10", HFILL }},
    { &hf_lte_rrc_supportedMIMO_CapabilityUL_r10,
      { "supportedMIMO-CapabilityUL-r10", "lte-rrc.supportedMIMO_CapabilityUL_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MIMO_CapabilityUL_r10_vals), 0,
        "MIMO_CapabilityUL_r10", HFILL }},
    { &hf_lte_rrc_BandParametersDL_r10_item,
      { "CA-MIMO-ParametersDL-r10", "lte-rrc.CA_MIMO_ParametersDL_r10_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ca_BandwidthClassDL_r10,
      { "ca-BandwidthClassDL-r10", "lte-rrc.ca_BandwidthClassDL_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CA_BandwidthClass_r10_vals), 0,
        "CA_BandwidthClass_r10", HFILL }},
    { &hf_lte_rrc_supportedMIMO_CapabilityDL_r10,
      { "supportedMIMO-CapabilityDL-r10", "lte-rrc.supportedMIMO_CapabilityDL_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MIMO_CapabilityDL_r10_vals), 0,
        "MIMO_CapabilityDL_r10", HFILL }},
    { &hf_lte_rrc_fourLayerTM3_TM4_r10,
      { "fourLayerTM3-TM4-r10", "lte-rrc.fourLayerTM3_TM4_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fourLayerTM3_TM4_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraBandContiguousCC_InfoList_r12,
      { "intraBandContiguousCC-InfoList-r12", "lte-rrc.intraBandContiguousCC_InfoList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12", HFILL }},
    { &hf_lte_rrc_intraBandContiguousCC_InfoList_r12_item,
      { "IntraBandContiguousCC-Info-r12", "lte-rrc.IntraBandContiguousCC_Info_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ca_BandwidthClassDL_r13,
      { "ca-BandwidthClassDL-r13", "lte-rrc.ca_BandwidthClassDL_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_CA_BandwidthClass_r10_vals), 0,
        "CA_BandwidthClass_r10", HFILL }},
    { &hf_lte_rrc_supportedMIMO_CapabilityDL_r13,
      { "supportedMIMO-CapabilityDL-r13", "lte-rrc.supportedMIMO_CapabilityDL_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MIMO_CapabilityDL_r10_vals), 0,
        "MIMO_CapabilityDL_r10", HFILL }},
    { &hf_lte_rrc_fourLayerTM3_TM4_r13,
      { "fourLayerTM3-TM4-r13", "lte-rrc.fourLayerTM3_TM4_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fourLayerTM3_TM4_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraBandContiguousCC_InfoList_r13,
      { "intraBandContiguousCC-InfoList-r13", "lte-rrc.intraBandContiguousCC_InfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12", HFILL }},
    { &hf_lte_rrc_intraBandContiguousCC_InfoList_r13_item,
      { "IntraBandContiguousCC-Info-r12", "lte-rrc.IntraBandContiguousCC_Info_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fourLayerTM3_TM4_perCC_r12,
      { "fourLayerTM3-TM4-perCC-r12", "lte-rrc.fourLayerTM3_TM4_perCC_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fourLayerTM3_TM4_perCC_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedMIMO_CapabilityDL_r12,
      { "supportedMIMO-CapabilityDL-r12", "lte-rrc.supportedMIMO_CapabilityDL_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_MIMO_CapabilityDL_r10_vals), 0,
        "MIMO_CapabilityDL_r10", HFILL }},
    { &hf_lte_rrc_supportedCSI_Proc_r12,
      { "supportedCSI-Proc-r12", "lte-rrc.supportedCSI_Proc_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_supportedCSI_Proc_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_must_TM234_UpTo2Tx_r14,
      { "must-TM234-UpTo2Tx-r14", "lte-rrc.must_TM234_UpTo2Tx_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_must_TM234_UpTo2Tx_r14_vals), 0,
        "T_must_TM234_UpTo2Tx_r14", HFILL }},
    { &hf_lte_rrc_must_TM89_UpToOneInterferingLayer_r14,
      { "must-TM89-UpToOneInterferingLayer-r14", "lte-rrc.must_TM89_UpToOneInterferingLayer_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_must_TM89_UpToOneInterferingLayer_r14_vals), 0,
        "T_must_TM89_UpToOneInterferingLayer_r14", HFILL }},
    { &hf_lte_rrc_must_TM10_UpToOneInterferingLayer_r14,
      { "must-TM10-UpToOneInterferingLayer-r14", "lte-rrc.must_TM10_UpToOneInterferingLayer_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_must_TM10_UpToOneInterferingLayer_r14_vals), 0,
        "T_must_TM10_UpToOneInterferingLayer_r14", HFILL }},
    { &hf_lte_rrc_must_TM89_UpToThreeInterferingLayers_r14,
      { "must-TM89-UpToThreeInterferingLayers-r14", "lte-rrc.must_TM89_UpToThreeInterferingLayers_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_must_TM89_UpToThreeInterferingLayers_r14_vals), 0,
        "T_must_TM89_UpToThreeInterferingLayers_r14", HFILL }},
    { &hf_lte_rrc_must_TM10_UpToThreeInterferingLayers_r14,
      { "must-TM10-UpToThreeInterferingLayers-r14", "lte-rrc.must_TM10_UpToThreeInterferingLayers_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_must_TM10_UpToThreeInterferingLayers_r14_vals), 0,
        "T_must_TM10_UpToThreeInterferingLayers_r14", HFILL }},
    { &hf_lte_rrc_SupportedBandListEUTRA_item,
      { "SupportedBandEUTRA", "lte-rrc.SupportedBandEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListEUTRA_v9e0_item,
      { "SupportedBandEUTRA-v9e0", "lte-rrc.SupportedBandEUTRA_v9e0_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListEUTRA_v1250_item,
      { "SupportedBandEUTRA-v1250", "lte-rrc.SupportedBandEUTRA_v1250_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListEUTRA_v1310_item,
      { "SupportedBandEUTRA-v1310", "lte-rrc.SupportedBandEUTRA_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListEUTRA_v1320_item,
      { "SupportedBandEUTRA-v1320", "lte-rrc.SupportedBandEUTRA_v1320_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandEUTRA,
      { "bandEUTRA", "lte-rrc.bandEUTRA",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator", HFILL }},
    { &hf_lte_rrc_halfDuplex,
      { "halfDuplex", "lte-rrc.halfDuplex",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_bandEUTRA_v9e0,
      { "bandEUTRA-v9e0", "lte-rrc.bandEUTRA_v9e0",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_v9e0", HFILL }},
    { &hf_lte_rrc_dl_256QAM_r12,
      { "dl-256QAM-r12", "lte-rrc.dl_256QAM_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_256QAM_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_64QAM_r12,
      { "ul-64QAM-r12", "lte-rrc.ul_64QAM_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_64QAM_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_PowerClass_5_r13,
      { "ue-PowerClass-5-r13", "lte-rrc.ue_PowerClass_5_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_PowerClass_5_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreq_CE_NeedForGaps_r13,
      { "intraFreq-CE-NeedForGaps-r13", "lte-rrc.intraFreq_CE_NeedForGaps_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreq_CE_NeedForGaps_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_PowerClass_N_r13,
      { "ue-PowerClass-N-r13", "lte-rrc.ue_PowerClass_N_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_PowerClass_N_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandListEUTRA,
      { "bandListEUTRA", "lte-rrc.bandListEUTRA",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandCombinationListEUTRA_r10,
      { "bandCombinationListEUTRA-r10", "lte-rrc.bandCombinationListEUTRA_r10",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrqMeasWideband_r11,
      { "rsrqMeasWideband-r11", "lte-rrc.rsrqMeasWideband_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rsrqMeasWideband_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_benefitsFromInterruption_r11,
      { "benefitsFromInterruption-r11", "lte-rrc.benefitsFromInterruption_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_benefitsFromInterruption_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timerT312_r12,
      { "timerT312-r12", "lte-rrc.timerT312_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_timerT312_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_alternativeTimeToTrigger_r12_01,
      { "alternativeTimeToTrigger-r12", "lte-rrc.alternativeTimeToTrigger_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_alternativeTimeToTrigger_r12_01_vals), 0,
        "T_alternativeTimeToTrigger_r12_01", HFILL }},
    { &hf_lte_rrc_incMonEUTRA_r12,
      { "incMonEUTRA-r12", "lte-rrc.incMonEUTRA_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_incMonEUTRA_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_incMonUTRA_r12,
      { "incMonUTRA-r12", "lte-rrc.incMonUTRA_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_incMonUTRA_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedMaxMeasId_r12,
      { "extendedMaxMeasId-r12", "lte-rrc.extendedMaxMeasId_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedMaxMeasId_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedRSRQ_LowerRange_r12,
      { "extendedRSRQ-LowerRange-r12", "lte-rrc.extendedRSRQ_LowerRange_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedRSRQ_LowerRange_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrq_OnAllSymbols_r12,
      { "rsrq-OnAllSymbols-r12", "lte-rrc.rsrq_OnAllSymbols_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rsrq_OnAllSymbols_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_crs_DiscoverySignalsMeas_r12,
      { "crs-DiscoverySignalsMeas-r12", "lte-rrc.crs_DiscoverySignalsMeas_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crs_DiscoverySignalsMeas_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_DiscoverySignalsMeas_r12,
      { "csi-RS-DiscoverySignalsMeas-r12", "lte-rrc.csi_RS_DiscoverySignalsMeas_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_RS_DiscoverySignalsMeas_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rs_SINR_Meas_r13,
      { "rs-SINR-Meas-r13", "lte-rrc.rs_SINR_Meas_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rs_SINR_Meas_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_whiteCellList_r13,
      { "whiteCellList-r13", "lte-rrc.whiteCellList_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_whiteCellList_r13_vals), 0,
        "T_whiteCellList_r13", HFILL }},
    { &hf_lte_rrc_extendedMaxObjectId_r13,
      { "extendedMaxObjectId-r13", "lte-rrc.extendedMaxObjectId_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedMaxObjectId_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_PDCP_Delay_r13,
      { "ul-PDCP-Delay-r13", "lte-rrc.ul_PDCP_Delay_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_PDCP_Delay_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_extendedFreqPriorities_r13,
      { "extendedFreqPriorities-r13", "lte-rrc.extendedFreqPriorities_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_extendedFreqPriorities_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiBandInfoReport_r13,
      { "multiBandInfoReport-r13", "lte-rrc.multiBandInfoReport_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiBandInfoReport_r13_vals), 0,
        "T_multiBandInfoReport_r13", HFILL }},
    { &hf_lte_rrc_rssi_AndChannelOccupancyReporting_r13,
      { "rssi-AndChannelOccupancyReporting-r13", "lte-rrc.rssi_AndChannelOccupancyReporting_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rssi_AndChannelOccupancyReporting_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ceMeasurements_r14,
      { "ceMeasurements-r14", "lte-rrc.ceMeasurements_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ceMeasurements_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ncsg_r14,
      { "ncsg-r14", "lte-rrc.ncsg_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ncsg_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_shortMeasurementGap_r14,
      { "shortMeasurementGap-r14", "lte-rrc.shortMeasurementGap_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_shortMeasurementGap_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_perServingCellMeasurementGap_r14,
      { "perServingCellMeasurementGap-r14", "lte-rrc.perServingCellMeasurementGap_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_perServingCellMeasurementGap_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonUniformGap_r14,
      { "nonUniformGap-r14", "lte-rrc.nonUniformGap_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nonUniformGap_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandListEUTRA_item,
      { "BandInfoEUTRA", "lte-rrc.BandInfoEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_BandCombinationListEUTRA_r10_item,
      { "BandInfoEUTRA", "lte-rrc.BandInfoEUTRA_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqBandList,
      { "interFreqBandList", "lte-rrc.interFreqBandList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_BandList,
      { "interRAT-BandList", "lte-rrc.interRAT_BandList",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqBandList_item,
      { "InterFreqBandInfo", "lte-rrc.InterFreqBandInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqNeedForGaps,
      { "interFreqNeedForGaps", "lte-rrc.interFreqNeedForGaps",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_InterRAT_BandList_item,
      { "InterRAT-BandInfo", "lte-rrc.InterRAT_BandInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_NeedForGaps,
      { "interRAT-NeedForGaps", "lte-rrc.interRAT_NeedForGaps",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_en_DC_r15,
      { "en-DC-r15", "lte-rrc.en_DC_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_en_DC_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListNR_r15,
      { "supportedBandListNR-r15", "lte-rrc.supportedBandListNR_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_ParametersNR_r15,
      { "pdcp-ParametersNR-r15", "lte-rrc.pdcp_ParametersNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rohc_Profiles_r15,
      { "rohc-Profiles-r15", "lte-rrc.rohc_Profiles_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_profile0x0001_r15,
      { "profile0x0001-r15", "lte-rrc.profile0x0001_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0002_r15,
      { "profile0x0002-r15", "lte-rrc.profile0x0002_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0003_r15,
      { "profile0x0003-r15", "lte-rrc.profile0x0003_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0004_r15,
      { "profile0x0004-r15", "lte-rrc.profile0x0004_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0006_r15,
      { "profile0x0006-r15", "lte-rrc.profile0x0006_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0101_r15,
      { "profile0x0101-r15", "lte-rrc.profile0x0101_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0102_r15,
      { "profile0x0102-r15", "lte-rrc.profile0x0102_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0103_r15,
      { "profile0x0103-r15", "lte-rrc.profile0x0103_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_profile0x0104_r15,
      { "profile0x0104-r15", "lte-rrc.profile0x0104_r15",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_rohc_ContextMaxSessions_r15,
      { "rohc-ContextMaxSessions-r15", "lte-rrc.rohc_ContextMaxSessions_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rohc_ContextMaxSessions_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rohc_ProfilesUL_Only_r15,
      { "rohc-ProfilesUL-Only-r15", "lte-rrc.rohc_ProfilesUL_Only_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rohc_ContextContinue_r15,
      { "rohc-ContextContinue-r15", "lte-rrc.rohc_ContextContinue_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rohc_ContextContinue_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_outOfOrderDelivery_r15,
      { "outOfOrderDelivery-r15", "lte-rrc.outOfOrderDelivery_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_outOfOrderDelivery_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sn_SizeLo_r15,
      { "sn-SizeLo-r15", "lte-rrc.sn_SizeLo_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sn_SizeLo_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_voice_r15,
      { "voice-r15", "lte-rrc.voice_r15",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_voice_r15_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListNR_r15_item,
      { "SupportedBandNR-r15", "lte-rrc.SupportedBandNR_r15_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bandNR_r15,
      { "bandNR-r15", "lte-rrc.bandNR_r15",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicatorNR_r15", HFILL }},
    { &hf_lte_rrc_supportedBandListUTRA_FDD,
      { "supportedBandListUTRA-FDD", "lte-rrc.supportedBandListUTRA_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_e_RedirectionUTRA_r9,
      { "e-RedirectionUTRA-r9", "lte-rrc.e_RedirectionUTRA_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_e_RedirectionUTRA_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_voiceOverPS_HS_UTRA_FDD_r9,
      { "voiceOverPS-HS-UTRA-FDD-r9", "lte-rrc.voiceOverPS_HS_UTRA_FDD_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_voiceOverPS_HS_UTRA_FDD_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_voiceOverPS_HS_UTRA_TDD128_r9,
      { "voiceOverPS-HS-UTRA-TDD128-r9", "lte-rrc.voiceOverPS_HS_UTRA_TDD128_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_voiceOverPS_HS_UTRA_TDD128_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srvcc_FromUTRA_FDD_ToUTRA_FDD_r9,
      { "srvcc-FromUTRA-FDD-ToUTRA-FDD-r9", "lte-rrc.srvcc_FromUTRA_FDD_ToUTRA_FDD_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srvcc_FromUTRA_FDD_ToUTRA_FDD_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srvcc_FromUTRA_FDD_ToGERAN_r9,
      { "srvcc-FromUTRA-FDD-ToGERAN-r9", "lte-rrc.srvcc_FromUTRA_FDD_ToGERAN_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srvcc_FromUTRA_FDD_ToGERAN_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9,
      { "srvcc-FromUTRA-TDD128-ToUTRA-TDD128-r9", "lte-rrc.srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srvcc_FromUTRA_TDD128_ToUTRA_TDD128_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srvcc_FromUTRA_TDD128_ToGERAN_r9,
      { "srvcc-FromUTRA-TDD128-ToGERAN-r9", "lte-rrc.srvcc_FromUTRA_TDD128_ToGERAN_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srvcc_FromUTRA_TDD128_ToGERAN_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mfbi_UTRA_r9,
      { "mfbi-UTRA-r9", "lte-rrc.mfbi_UTRA_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mfbi_UTRA_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListUTRA_FDD_item,
      { "SupportedBandUTRA-FDD", "lte-rrc.SupportedBandUTRA_FDD",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_SupportedBandUTRA_FDD_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListUTRA_TDD128,
      { "supportedBandListUTRA-TDD128", "lte-rrc.supportedBandListUTRA_TDD128",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListUTRA_TDD128_item,
      { "SupportedBandUTRA-TDD128", "lte-rrc.SupportedBandUTRA_TDD128",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SupportedBandUTRA_TDD128_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListUTRA_TDD384,
      { "supportedBandListUTRA-TDD384", "lte-rrc.supportedBandListUTRA_TDD384",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListUTRA_TDD384_item,
      { "SupportedBandUTRA-TDD384", "lte-rrc.SupportedBandUTRA_TDD384",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SupportedBandUTRA_TDD384_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListUTRA_TDD768,
      { "supportedBandListUTRA-TDD768", "lte-rrc.supportedBandListUTRA_TDD768",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListUTRA_TDD768_item,
      { "SupportedBandUTRA-TDD768", "lte-rrc.SupportedBandUTRA_TDD768",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SupportedBandUTRA_TDD768_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_e_RedirectionUTRA_TDD_r10,
      { "e-RedirectionUTRA-TDD-r10", "lte-rrc.e_RedirectionUTRA_TDD_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_e_RedirectionUTRA_TDD_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListGERAN,
      { "supportedBandListGERAN", "lte-rrc.supportedBandListGERAN",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interRAT_PS_HO_ToGERAN,
      { "interRAT-PS-HO-ToGERAN", "lte-rrc.interRAT_PS_HO_ToGERAN",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_dtm_r9,
      { "dtm-r9", "lte-rrc.dtm_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dtm_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_e_RedirectionGERAN_r9,
      { "e-RedirectionGERAN-r9", "lte-rrc.e_RedirectionGERAN_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_e_RedirectionGERAN_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListGERAN_item,
      { "SupportedBandGERAN", "lte-rrc.SupportedBandGERAN",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SupportedBandGERAN_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListHRPD,
      { "supportedBandListHRPD", "lte-rrc.supportedBandListHRPD",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tx_ConfigHRPD,
      { "tx-ConfigHRPD", "lte-rrc.tx_ConfigHRPD",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tx_ConfigHRPD_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rx_ConfigHRPD,
      { "rx-ConfigHRPD", "lte-rrc.rx_ConfigHRPD",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rx_ConfigHRPD_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandListHRPD_item,
      { "BandclassCDMA2000", "lte-rrc.BandclassCDMA2000",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_BandclassCDMA2000_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandList1XRTT,
      { "supportedBandList1XRTT", "lte-rrc.supportedBandList1XRTT",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tx_Config1XRTT,
      { "tx-Config1XRTT", "lte-rrc.tx_Config1XRTT",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tx_Config1XRTT_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rx_Config1XRTT,
      { "rx-Config1XRTT", "lte-rrc.rx_Config1XRTT",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rx_Config1XRTT_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_e_CSFB_1XRTT_r9,
      { "e-CSFB-1XRTT-r9", "lte-rrc.e_CSFB_1XRTT_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_e_CSFB_1XRTT_r9_vals), 0,
        "T_e_CSFB_1XRTT_r9", HFILL }},
    { &hf_lte_rrc_e_CSFB_ConcPS_Mob1XRTT_r9,
      { "e-CSFB-ConcPS-Mob1XRTT-r9", "lte-rrc.e_CSFB_ConcPS_Mob1XRTT_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_e_CSFB_ConcPS_Mob1XRTT_r9_vals), 0,
        "T_e_CSFB_ConcPS_Mob1XRTT_r9", HFILL }},
    { &hf_lte_rrc_e_CSFB_dual_1XRTT_r10,
      { "e-CSFB-dual-1XRTT-r10", "lte-rrc.e_CSFB_dual_1XRTT_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_e_CSFB_dual_1XRTT_r10_vals), 0,
        "T_e_CSFB_dual_1XRTT_r10", HFILL }},
    { &hf_lte_rrc_cdma2000_NW_Sharing_r11,
      { "cdma2000-NW-Sharing-r11", "lte-rrc.cdma2000_NW_Sharing_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cdma2000_NW_Sharing_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandList1XRTT_item,
      { "BandclassCDMA2000", "lte-rrc.BandclassCDMA2000",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_BandclassCDMA2000_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListWLAN_r13,
      { "supportedBandListWLAN-r13", "lte-rrc.supportedBandListWLAN_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandListWLAN_r13_item,
      { "WLAN-BandIndicator-r13", "lte-rrc.WLAN_BandIndicator_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_WLAN_BandIndicator_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqProximityIndication_r9,
      { "intraFreqProximityIndication-r9", "lte-rrc.intraFreqProximityIndication_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreqProximityIndication_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqProximityIndication_r9,
      { "interFreqProximityIndication-r9", "lte-rrc.interFreqProximityIndication_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interFreqProximityIndication_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_utran_ProximityIndication_r9,
      { "utran-ProximityIndication-r9", "lte-rrc.utran_ProximityIndication_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_utran_ProximityIndication_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqSI_AcquisitionForHO_r9,
      { "intraFreqSI-AcquisitionForHO-r9", "lte-rrc.intraFreqSI_AcquisitionForHO_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreqSI_AcquisitionForHO_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqSI_AcquisitionForHO_r9,
      { "interFreqSI-AcquisitionForHO-r9", "lte-rrc.interFreqSI_AcquisitionForHO_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interFreqSI_AcquisitionForHO_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_utran_SI_AcquisitionForHO_r9,
      { "utran-SI-AcquisitionForHO-r9", "lte-rrc.utran_SI_AcquisitionForHO_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_utran_SI_AcquisitionForHO_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rach_Report_r9_01,
      { "rach-Report-r9", "lte-rrc.rach_Report_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rach_Report_r9_01_vals), 0,
        "T_rach_Report_r9_01", HFILL }},
    { &hf_lte_rrc_loggedMeasurementsIdle_r10,
      { "loggedMeasurementsIdle-r10", "lte-rrc.loggedMeasurementsIdle_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_loggedMeasurementsIdle_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_standaloneGNSS_Location_r10,
      { "standaloneGNSS-Location-r10", "lte-rrc.standaloneGNSS_Location_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_standaloneGNSS_Location_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_loggedMBSFNMeasurements_r12,
      { "loggedMBSFNMeasurements-r12", "lte-rrc.loggedMBSFNMeasurements_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_loggedMBSFNMeasurements_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_locationReport_r14,
      { "locationReport-r14", "lte-rrc.locationReport_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_locationReport_r14_vals), 0,
        "T_locationReport_r14", HFILL }},
    { &hf_lte_rrc_otdoa_UE_Assisted_r10,
      { "otdoa-UE-Assisted-r10", "lte-rrc.otdoa_UE_Assisted_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_otdoa_UE_Assisted_r10_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interFreqRSTD_Measurement_r10,
      { "interFreqRSTD-Measurement-r10", "lte-rrc.interFreqRSTD_Measurement_r10",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interFreqRSTD_Measurement_r10_vals), 0,
        "T_interFreqRSTD_Measurement_r10", HFILL }},
    { &hf_lte_rrc_inDeviceCoexInd_r11,
      { "inDeviceCoexInd-r11", "lte-rrc.inDeviceCoexInd_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_inDeviceCoexInd_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerPrefInd_r11,
      { "powerPrefInd-r11", "lte-rrc.powerPrefInd_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerPrefInd_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_Rx_TxTimeDiffMeasurements_r11,
      { "ue-Rx-TxTimeDiffMeasurements-r11", "lte-rrc.ue_Rx_TxTimeDiffMeasurements_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_Rx_TxTimeDiffMeasurements_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_inDeviceCoexInd_UL_CA_r11,
      { "inDeviceCoexInd-UL-CA-r11", "lte-rrc.inDeviceCoexInd_UL_CA_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_inDeviceCoexInd_UL_CA_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_inDeviceCoexInd_HardwareSharingInd_r13,
      { "inDeviceCoexInd-HardwareSharingInd-r13", "lte-rrc.inDeviceCoexInd_HardwareSharingInd_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_inDeviceCoexInd_HardwareSharingInd_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_bwPrefInd_r14,
      { "bwPrefInd-r14", "lte-rrc.bwPrefInd_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_bwPrefInd_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlm_ReportSupport_r14,
      { "rlm-ReportSupport-r14", "lte-rrc.rlm_ReportSupport_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlm_ReportSupport_r14_vals), 0,
        "T_rlm_ReportSupport_r14", HFILL }},
    { &hf_lte_rrc_overheatingInd_r14,
      { "overheatingInd-r14", "lte-rrc.overheatingInd_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_overheatingInd_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_SCell_r11,
      { "mbms-SCell-r11", "lte-rrc.mbms_SCell_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbms_SCell_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_NonServingCell_r11,
      { "mbms-NonServingCell-r11", "lte-rrc.mbms_NonServingCell_r11",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbms_NonServingCell_r11_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_AsyncDC_r12,
      { "mbms-AsyncDC-r12", "lte-rrc.mbms_AsyncDC_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mbms_AsyncDC_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fembmsDedicatedCell_r14,
      { "fembmsDedicatedCell-r14", "lte-rrc.fembmsDedicatedCell_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fembmsDedicatedCell_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fembmsMixedCell_r14,
      { "fembmsMixedCell-r14", "lte-rrc.fembmsMixedCell_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fembmsMixedCell_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subcarrierSpacingMBMS_khz7dot5_r14,
      { "subcarrierSpacingMBMS-khz7dot5-r14", "lte-rrc.subcarrierSpacingMBMS_khz7dot5_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subcarrierSpacingMBMS_khz7dot5_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subcarrierSpacingMBMS_khz1dot25_r14,
      { "subcarrierSpacingMBMS-khz1dot25-r14", "lte-rrc.subcarrierSpacingMBMS_khz1dot25_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subcarrierSpacingMBMS_khz1dot25_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_unicast_fembmsMixedSCell_r14,
      { "unicast-fembmsMixedSCell-r14", "lte-rrc.unicast_fembmsMixedSCell_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_unicast_fembmsMixedSCell_r14_vals), 0,
        "T_unicast_fembmsMixedSCell_r14", HFILL }},
    { &hf_lte_rrc_emptyUnicastRegion_r14,
      { "emptyUnicastRegion-r14", "lte-rrc.emptyUnicastRegion_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_emptyUnicastRegion_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scptm_ParallelReception_r13,
      { "scptm-ParallelReception-r13", "lte-rrc.scptm_ParallelReception_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_scptm_ParallelReception_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scptm_SCell_r13,
      { "scptm-SCell-r13", "lte-rrc.scptm_SCell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_scptm_SCell_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scptm_NonServingCell_r13,
      { "scptm-NonServingCell-r13", "lte-rrc.scptm_NonServingCell_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_scptm_NonServingCell_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_scptm_AsyncDC_r13,
      { "scptm-AsyncDC-r13", "lte-rrc.scptm_AsyncDC_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_scptm_AsyncDC_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_ModeA_r13,
      { "ce-ModeA-r13", "lte-rrc.ce_ModeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_ModeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_ModeB_r13_01,
      { "ce-ModeB-r13", "lte-rrc.ce_ModeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_ModeB_r13_01_vals), 0,
        "T_ce_ModeB_r13_01", HFILL }},
    { &hf_lte_rrc_intraFreqA3_CE_ModeA_r13,
      { "intraFreqA3-CE-ModeA-r13", "lte-rrc.intraFreqA3_CE_ModeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreqA3_CE_ModeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqA3_CE_ModeB_r13,
      { "intraFreqA3-CE-ModeB-r13", "lte-rrc.intraFreqA3_CE_ModeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreqA3_CE_ModeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqHO_CE_ModeA_r13,
      { "intraFreqHO-CE-ModeA-r13", "lte-rrc.intraFreqHO_CE_ModeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreqHO_CE_ModeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqHO_CE_ModeB_r13,
      { "intraFreqHO-CE-ModeB-r13", "lte-rrc.intraFreqHO_CE_ModeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreqHO_CE_ModeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_unicastFrequencyHopping_r13,
      { "unicastFrequencyHopping-r13", "lte-rrc.unicastFrequencyHopping_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_unicastFrequencyHopping_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tm9_CE_ModeA_r13,
      { "tm9-CE-ModeA-r13", "lte-rrc.tm9_CE_ModeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tm9_CE_ModeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tm9_CE_ModeB_r13,
      { "tm9-CE-ModeB-r13", "lte-rrc.tm9_CE_ModeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tm9_CE_ModeB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tm6_CE_ModeA_r13,
      { "tm6-CE-ModeA-r13", "lte-rrc.tm6_CE_ModeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tm6_CE_ModeA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ce_SwitchWithoutHO_r14,
      { "ce-SwitchWithoutHO-r14", "lte-rrc.ce_SwitchWithoutHO_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_SwitchWithoutHO_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_crossCarrierSchedulingLAA_DL_r13,
      { "crossCarrierSchedulingLAA-DL-r13", "lte-rrc.crossCarrierSchedulingLAA_DL_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crossCarrierSchedulingLAA_DL_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_csi_RS_DRS_RRM_MeasurementsLAA_r13,
      { "csi-RS-DRS-RRM-MeasurementsLAA-r13", "lte-rrc.csi_RS_DRS_RRM_MeasurementsLAA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_csi_RS_DRS_RRM_MeasurementsLAA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_downlinkLAA_r13,
      { "downlinkLAA-r13", "lte-rrc.downlinkLAA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_downlinkLAA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_endingDwPTS_r13,
      { "endingDwPTS-r13", "lte-rrc.endingDwPTS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_endingDwPTS_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_secondSlotStartingPosition_r13,
      { "secondSlotStartingPosition-r13", "lte-rrc.secondSlotStartingPosition_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_secondSlotStartingPosition_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tm9_LAA_r13,
      { "tm9-LAA-r13", "lte-rrc.tm9_LAA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tm9_LAA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tm10_LAA_r13,
      { "tm10-LAA-r13", "lte-rrc.tm10_LAA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tm10_LAA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_crossCarrierSchedulingLAA_UL_r14,
      { "crossCarrierSchedulingLAA-UL-r14", "lte-rrc.crossCarrierSchedulingLAA_UL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_crossCarrierSchedulingLAA_UL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uplinkLAA_r14,
      { "uplinkLAA-r14", "lte-rrc.uplinkLAA_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_uplinkLAA_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_twoStepSchedulingTimingInfo_r14,
      { "twoStepSchedulingTimingInfo-r14", "lte-rrc.twoStepSchedulingTimingInfo_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoStepSchedulingTimingInfo_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_uss_BlindDecodingAdjustment_r14,
      { "uss-BlindDecodingAdjustment-r14", "lte-rrc.uss_BlindDecodingAdjustment_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_uss_BlindDecodingAdjustment_r14_vals), 0,
        "T_uss_BlindDecodingAdjustment_r14", HFILL }},
    { &hf_lte_rrc_uss_BlindDecodingReduction_r14,
      { "uss-BlindDecodingReduction-r14", "lte-rrc.uss_BlindDecodingReduction_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_uss_BlindDecodingReduction_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_outOfSequenceGrantHandling_r14,
      { "outOfSequenceGrantHandling-r14", "lte-rrc.outOfSequenceGrantHandling_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_outOfSequenceGrantHandling_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_IW_RAN_Rules_r12,
      { "wlan-IW-RAN-Rules-r12", "lte-rrc.wlan_IW_RAN_Rules_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_wlan_IW_RAN_Rules_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_IW_ANDSF_Policies_r12,
      { "wlan-IW-ANDSF-Policies-r12", "lte-rrc.wlan_IW_ANDSF_Policies_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_wlan_IW_ANDSF_Policies_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwa_r13,
      { "lwa-r13", "lte-rrc.lwa_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwa_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwa_SplitBearer_r13,
      { "lwa-SplitBearer-r13", "lte-rrc.lwa_SplitBearer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwa_SplitBearer_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_MAC_Address_r13,
      { "wlan-MAC-Address-r13", "lte-rrc.wlan_MAC_Address_r13",
        FT_ETHER, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_lwa_BufferSize_r13,
      { "lwa-BufferSize-r13", "lte-rrc.lwa_BufferSize_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwa_BufferSize_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwa_HO_WithoutWT_Change_r14,
      { "lwa-HO-WithoutWT-Change-r14", "lte-rrc.lwa_HO_WithoutWT_Change_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwa_HO_WithoutWT_Change_r14_vals), 0,
        "T_lwa_HO_WithoutWT_Change_r14", HFILL }},
    { &hf_lte_rrc_lwa_UL_r14,
      { "lwa-UL-r14", "lte-rrc.lwa_UL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwa_UL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_PeriodicMeas_r14,
      { "wlan-PeriodicMeas-r14", "lte-rrc.wlan_PeriodicMeas_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_wlan_PeriodicMeas_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_ReportAnyWLAN_r14,
      { "wlan-ReportAnyWLAN-r14", "lte-rrc.wlan_ReportAnyWLAN_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_wlan_ReportAnyWLAN_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_wlan_SupportedDataRate_r14,
      { "wlan-SupportedDataRate-r14", "lte-rrc.wlan_SupportedDataRate_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_2048", HFILL }},
    { &hf_lte_rrc_lwa_RLC_UM_r14,
      { "lwa-RLC-UM-r14", "lte-rrc.lwa_RLC_UM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwa_RLC_UM_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rclwi_r13,
      { "rclwi-r13", "lte-rrc.rclwi_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rclwi_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_r13,
      { "lwip-r13", "lte-rrc.lwip_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwip_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_Aggregation_DL_r14,
      { "lwip-Aggregation-DL-r14", "lte-rrc.lwip_Aggregation_DL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwip_Aggregation_DL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_lwip_Aggregation_UL_r14,
      { "lwip-Aggregation-UL-r14", "lte-rrc.lwip_Aggregation_UL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_lwip_Aggregation_UL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NAICS_Capability_List_r12_item,
      { "NAICS-Capability-Entry-r12", "lte-rrc.NAICS_Capability_Entry_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_numberOfNAICS_CapableCC_r12,
      { "numberOfNAICS-CapableCC-r12", "lte-rrc.numberOfNAICS_CapableCC_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_5", HFILL }},
    { &hf_lte_rrc_numberOfAggregatedPRB_r12,
      { "numberOfAggregatedPRB-r12", "lte-rrc.numberOfAggregatedPRB_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_numberOfAggregatedPRB_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commSimultaneousTx_r12,
      { "commSimultaneousTx-r12", "lte-rrc.commSimultaneousTx_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_commSimultaneousTx_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commSupportedBands_r12,
      { "commSupportedBands-r12", "lte-rrc.commSupportedBands_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicatorListEUTRA_r12", HFILL }},
    { &hf_lte_rrc_discSupportedBands_r12,
      { "discSupportedBands-r12", "lte-rrc.discSupportedBands_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SupportedBandInfoList_r12", HFILL }},
    { &hf_lte_rrc_discScheduledResourceAlloc_r12,
      { "discScheduledResourceAlloc-r12", "lte-rrc.discScheduledResourceAlloc_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discScheduledResourceAlloc_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_disc_UE_SelectedResourceAlloc_r12,
      { "disc-UE-SelectedResourceAlloc-r12", "lte-rrc.disc_UE_SelectedResourceAlloc_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_disc_UE_SelectedResourceAlloc_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_disc_SLSS_r12,
      { "disc-SLSS-r12", "lte-rrc.disc_SLSS_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_disc_SLSS_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discSupportedProc_r12,
      { "discSupportedProc-r12", "lte-rrc.discSupportedProc_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discSupportedProc_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discSysInfoReporting_r13,
      { "discSysInfoReporting-r13", "lte-rrc.discSysInfoReporting_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discSysInfoReporting_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commMultipleTx_r13,
      { "commMultipleTx-r13", "lte-rrc.commMultipleTx_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_commMultipleTx_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discInterFreqTx_r13,
      { "discInterFreqTx-r13", "lte-rrc.discInterFreqTx_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discInterFreqTx_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discPeriodicSLSS_r13,
      { "discPeriodicSLSS-r13", "lte-rrc.discPeriodicSLSS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discPeriodicSLSS_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_zoneBasedPoolSelection_r14,
      { "zoneBasedPoolSelection-r14", "lte-rrc.zoneBasedPoolSelection_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_zoneBasedPoolSelection_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_AutonomousWithFullSensing_r14,
      { "ue-AutonomousWithFullSensing-r14", "lte-rrc.ue_AutonomousWithFullSensing_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_AutonomousWithFullSensing_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_AutonomousWithPartialSensing_r14,
      { "ue-AutonomousWithPartialSensing-r14", "lte-rrc.ue_AutonomousWithPartialSensing_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_AutonomousWithPartialSensing_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_CongestionControl_r14,
      { "sl-CongestionControl-r14", "lte-rrc.sl_CongestionControl_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sl_CongestionControl_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_TxWithShortResvInterval_r14,
      { "v2x-TxWithShortResvInterval-r14", "lte-rrc.v2x_TxWithShortResvInterval_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_v2x_TxWithShortResvInterval_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_numberTxRxTiming_r14,
      { "v2x-numberTxRxTiming-r14", "lte-rrc.v2x_numberTxRxTiming_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_16", HFILL }},
    { &hf_lte_rrc_v2x_nonAdjacentPSCCH_PSSCH_r14,
      { "v2x-nonAdjacentPSCCH-PSSCH-r14", "lte-rrc.v2x_nonAdjacentPSCCH_PSSCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_v2x_nonAdjacentPSCCH_PSSCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_slss_TxRx_r14,
      { "slss-TxRx-r14", "lte-rrc.slss_TxRx_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_slss_TxRx_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_SupportedBandCombinationList_r14,
      { "v2x-SupportedBandCombinationList-r14", "lte-rrc.v2x_SupportedBandCombinationList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "V2X_SupportedBandCombination_r14", HFILL }},
    { &hf_lte_rrc_V2X_SupportedBandCombination_r14_item,
      { "V2X-BandCombinationParameters-r14", "lte-rrc.V2X_BandCombinationParameters_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_V2X_BandCombinationParameters_r14_item,
      { "V2X-BandParameters-r14", "lte-rrc.V2X_BandParameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandInfoList_r12_item,
      { "SupportedBandInfo-r12", "lte-rrc.SupportedBandInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_support_r12,
      { "support-r12", "lte-rrc.support_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_support_r12_vals), 0,
        "T_support_r12", HFILL }},
    { &hf_lte_rrc_FreqBandIndicatorListEUTRA_r12_item,
      { "FreqBandIndicator-r11", "lte-rrc.FreqBandIndicator_r11",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_delayBudgetReporting_r14,
      { "delayBudgetReporting-r14", "lte-rrc.delayBudgetReporting_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_delayBudgetReporting_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pusch_Enhancements_r14,
      { "pusch-Enhancements-r14", "lte-rrc.pusch_Enhancements_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_pusch_Enhancements_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_recommendedBitRate_r14,
      { "recommendedBitRate-r14", "lte-rrc.recommendedBitRate_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_recommendedBitRate_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_recommendedBitRateQuery_r14,
      { "recommendedBitRateQuery-r14", "lte-rrc.recommendedBitRateQuery_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_recommendedBitRateQuery_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_retuningInfo,
      { "retuningInfo", "lte-rrc.retuningInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_RetuningTimeDL_r14,
      { "rf-RetuningTimeDL-r14", "lte-rrc.rf_RetuningTimeDL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rf_RetuningTimeDL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rf_RetuningTimeUL_r14,
      { "rf-RetuningTimeUL-r14", "lte-rrc.rf_RetuningTimeUL_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rf_RetuningTimeUL_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_measurementEnhancements_r14,
      { "measurementEnhancements-r14", "lte-rrc.measurementEnhancements_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_measurementEnhancements_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_demodulationEnhancements_r14,
      { "demodulationEnhancements-r14", "lte-rrc.demodulationEnhancements_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_demodulationEnhancements_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_prach_Enhancements_r14,
      { "prach-Enhancements-r14", "lte-rrc.prach_Enhancements_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_prach_Enhancements_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_Category_v1250,
      { "ue-Category-v1250", "lte-rrc.ue_Category_v1250",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0", HFILL }},
    { &hf_lte_rrc_ue_CategoryDL_v1310_01,
      { "ue-CategoryDL-v1310", "lte-rrc.ue_CategoryDL_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_CategoryDL_v1310_01_vals), 0,
        "T_ue_CategoryDL_v1310_01", HFILL }},
    { &hf_lte_rrc_ce_ModeA_r13_01,
      { "ce-ModeA-r13", "lte-rrc.ce_ModeA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_ModeA_r13_01_vals), 0,
        "T_ce_ModeA_r13_01", HFILL }},
    { &hf_lte_rrc_ce_ModeB_r13_02,
      { "ce-ModeB-r13", "lte-rrc.ce_ModeB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_ModeB_r13_02_vals), 0,
        "T_ce_ModeB_r13_02", HFILL }},
    { &hf_lte_rrc_t300,
      { "t300", "lte-rrc.t300",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t300_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t301,
      { "t301", "lte-rrc.t301",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t301_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t310,
      { "t310", "lte-rrc.t310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n310,
      { "n310", "lte-rrc.n310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t311,
      { "t311", "lte-rrc.t311",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t311_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n311,
      { "n311", "lte-rrc.n311",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n311_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t300_v1310,
      { "t300-v1310", "lte-rrc.t300_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t300_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t301_v1310_01,
      { "t301-v1310", "lte-rrc.t301_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t301_v1310_01_vals), 0,
        "T_t301_v1310_01", HFILL }},
    { &hf_lte_rrc_t310_v1330_01,
      { "t310-v1330", "lte-rrc.t310_v1330",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t310_v1330_01_vals), 0,
        "T_t310_v1330_01", HFILL }},
    { &hf_lte_rrc_VisitedCellInfoList_r12_item,
      { "VisitedCellInfo-r12", "lte-rrc.VisitedCellInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_visitedCellId_r12,
      { "visitedCellId-r12", "lte-rrc.visitedCellId_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_visitedCellId_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellGlobalId_r12,
      { "cellGlobalId-r12", "lte-rrc.cellGlobalId_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellGlobalIdEUTRA", HFILL }},
    { &hf_lte_rrc_pci_arfcn_r12,
      { "pci-arfcn-r12", "lte-rrc.pci_arfcn_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_timeSpent_r12,
      { "timeSpent-r12", "lte-rrc.timeSpent_r12",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "INTEGER_0_4095", HFILL }},
    { &hf_lte_rrc_thresholdRSRP_r12,
      { "thresholdRSRP-r12", "lte-rrc.thresholdRSRP_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdRSRP_Low_r12,
      { "thresholdRSRP-Low-r12", "lte-rrc.thresholdRSRP_Low_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRP_High_r12,
      { "thresholdRSRP-High-r12", "lte-rrc.thresholdRSRP_High_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        "RSRP_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_r12,
      { "thresholdRSRQ-r12", "lte-rrc.thresholdRSRQ_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_Low_r12,
      { "thresholdRSRQ-Low-r12", "lte-rrc.thresholdRSRQ_Low_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_High_r12,
      { "thresholdRSRQ-High-r12", "lte-rrc.thresholdRSRQ_High_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_r12,
      { "thresholdRSRQ-OnAllSymbolsWithWB-r12", "lte-rrc.thresholdRSRQ_OnAllSymbolsWithWB_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_Low_r12,
      { "thresholdRSRQ-OnAllSymbolsWithWB-Low-r12", "lte-rrc.thresholdRSRQ_OnAllSymbolsWithWB_Low_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsWithWB_High_r12,
      { "thresholdRSRQ-OnAllSymbolsWithWB-High-r12", "lte-rrc.thresholdRSRQ_OnAllSymbolsWithWB_High_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_OnAllSymbols_r12,
      { "thresholdRSRQ-OnAllSymbols-r12", "lte-rrc.thresholdRSRQ_OnAllSymbols_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsLow_r12,
      { "thresholdRSRQ-OnAllSymbolsLow-r12", "lte-rrc.thresholdRSRQ_OnAllSymbolsLow_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_OnAllSymbolsHigh_r12,
      { "thresholdRSRQ-OnAllSymbolsHigh-r12", "lte-rrc.thresholdRSRQ_OnAllSymbolsHigh_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_WB_r12,
      { "thresholdRSRQ-WB-r12", "lte-rrc.thresholdRSRQ_WB_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_WB_Low_r12,
      { "thresholdRSRQ-WB-Low-r12", "lte-rrc.thresholdRSRQ_WB_Low_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_thresholdRSRQ_WB_High_r12,
      { "thresholdRSRQ-WB-High-r12", "lte-rrc.thresholdRSRQ_WB_High_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRQ_Range_vals_ext, 0,
        "RSRQ_Range", HFILL }},
    { &hf_lte_rrc_thresholdChannelUtilization_r12,
      { "thresholdChannelUtilization-r12", "lte-rrc.thresholdChannelUtilization_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdChannelUtilizationLow_r12,
      { "thresholdChannelUtilizationLow-r12", "lte-rrc.thresholdChannelUtilizationLow_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdChannelUtilizationHigh_r12,
      { "thresholdChannelUtilizationHigh-r12", "lte-rrc.thresholdChannelUtilizationHigh_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdBackhaul_Bandwidth_r12,
      { "thresholdBackhaul-Bandwidth-r12", "lte-rrc.thresholdBackhaul_Bandwidth_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdBackhaulDL_BandwidthLow_r12,
      { "thresholdBackhaulDL-BandwidthLow-r12", "lte-rrc.thresholdBackhaulDL_BandwidthLow_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_WLAN_backhaulRate_r12_vals_ext, 0,
        "WLAN_backhaulRate_r12", HFILL }},
    { &hf_lte_rrc_thresholdBackhaulDL_BandwidthHigh_r12,
      { "thresholdBackhaulDL-BandwidthHigh-r12", "lte-rrc.thresholdBackhaulDL_BandwidthHigh_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_WLAN_backhaulRate_r12_vals_ext, 0,
        "WLAN_backhaulRate_r12", HFILL }},
    { &hf_lte_rrc_thresholdBackhaulUL_BandwidthLow_r12,
      { "thresholdBackhaulUL-BandwidthLow-r12", "lte-rrc.thresholdBackhaulUL_BandwidthLow_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_WLAN_backhaulRate_r12_vals_ext, 0,
        "WLAN_backhaulRate_r12", HFILL }},
    { &hf_lte_rrc_thresholdBackhaulUL_BandwidthHigh_r12,
      { "thresholdBackhaulUL-BandwidthHigh-r12", "lte-rrc.thresholdBackhaulUL_BandwidthHigh_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_WLAN_backhaulRate_r12_vals_ext, 0,
        "WLAN_backhaulRate_r12", HFILL }},
    { &hf_lte_rrc_thresholdWLAN_RSSI_r12,
      { "thresholdWLAN-RSSI-r12", "lte-rrc.thresholdWLAN_RSSI_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresholdWLAN_RSSI_Low_r12,
      { "thresholdWLAN-RSSI-Low-r12", "lte-rrc.thresholdWLAN_RSSI_Low_r12",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_thresholdWLAN_RSSI_fmt), 0,
        "INTEGER_0_255", HFILL }},
    { &hf_lte_rrc_thresholdWLAN_RSSI_High_r12,
      { "thresholdWLAN-RSSI-High-r12", "lte-rrc.thresholdWLAN_RSSI_High_r12",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_thresholdWLAN_RSSI_fmt), 0,
        "INTEGER_0_255", HFILL }},
    { &hf_lte_rrc_offloadPreferenceIndicator_r12,
      { "offloadPreferenceIndicator-r12", "lte-rrc.offloadPreferenceIndicator_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_t_SteeringWLAN_r12,
      { "t-SteeringWLAN-r12", "lte-rrc.t_SteeringWLAN_r12",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "T_Reselection", HFILL }},
    { &hf_lte_rrc_notificationRepetitionCoeff_r9,
      { "notificationRepetitionCoeff-r9", "lte-rrc.notificationRepetitionCoeff_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_notificationRepetitionCoeff_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_notificationOffset_r9,
      { "notificationOffset-r9", "lte-rrc.notificationOffset_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_10", HFILL }},
    { &hf_lte_rrc_notificationSF_Index_r9,
      { "notificationSF-Index-r9", "lte-rrc.notificationSF_Index_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_6", HFILL }},
    { &hf_lte_rrc_notificationSF_Index_v1430,
      { "notificationSF-Index-v1430", "lte-rrc.notificationSF_Index_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_7_10", HFILL }},
    { &hf_lte_rrc_MBMS_ServiceList_r13_item,
      { "MBMS-ServiceInfo-r13", "lte-rrc.MBMS_ServiceInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tmgi_r13,
      { "tmgi-r13", "lte-rrc.tmgi_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "TMGI_r9", HFILL }},
    { &hf_lte_rrc_MBSFN_AreaInfoList_r9_item,
      { "MBSFN-AreaInfo-r9", "lte-rrc.MBSFN_AreaInfo_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbsfn_AreaId_r9,
      { "mbsfn-AreaId-r9", "lte-rrc.mbsfn_AreaId_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBSFN_AreaId_r12", HFILL }},
    { &hf_lte_rrc_non_MBSFNregionLength,
      { "non-MBSFNregionLength", "lte-rrc.non_MBSFNregionLength",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_non_MBSFNregionLength_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_notificationIndicator_r9,
      { "notificationIndicator-r9", "lte-rrc.notificationIndicator_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_mcch_Config_r9,
      { "mcch-Config-r9", "lte-rrc.mcch_Config_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mcch_RepetitionPeriod_r9,
      { "mcch-RepetitionPeriod-r9", "lte-rrc.mcch_RepetitionPeriod_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mcch_RepetitionPeriod_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mcch_Offset_r9,
      { "mcch-Offset-r9", "lte-rrc.mcch_Offset_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_10", HFILL }},
    { &hf_lte_rrc_mcch_ModificationPeriod_r9,
      { "mcch-ModificationPeriod-r9", "lte-rrc.mcch_ModificationPeriod_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mcch_ModificationPeriod_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf_AllocInfo_r9,
      { "sf-AllocInfo-r9", "lte-rrc.sf_AllocInfo_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_signallingMCS_r9,
      { "signallingMCS-r9", "lte-rrc.signallingMCS_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_signallingMCS_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mcch_Config_r14,
      { "mcch-Config-r14", "lte-rrc.mcch_Config_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mcch_RepetitionPeriod_v1430,
      { "mcch-RepetitionPeriod-v1430", "lte-rrc.mcch_RepetitionPeriod_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mcch_RepetitionPeriod_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mcch_ModificationPeriod_v1430,
      { "mcch-ModificationPeriod-v1430", "lte-rrc.mcch_ModificationPeriod_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mcch_ModificationPeriod_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_subcarrierSpacingMBMS_r14,
      { "subcarrierSpacingMBMS-r14", "lte-rrc.subcarrierSpacingMBMS_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subcarrierSpacingMBMS_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioframeAllocationPeriod,
      { "radioframeAllocationPeriod", "lte-rrc.radioframeAllocationPeriod",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_radioframeAllocationPeriod_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioframeAllocationOffset,
      { "radioframeAllocationOffset", "lte-rrc.radioframeAllocationOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_subframeAllocation,
      { "subframeAllocation", "lte-rrc.subframeAllocation",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframeAllocation_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_oneFrame,
      { "oneFrame", "lte-rrc.oneFrame",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_6", HFILL }},
    { &hf_lte_rrc_fourFrames,
      { "fourFrames", "lte-rrc.fourFrames",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_24", HFILL }},
    { &hf_lte_rrc_subframeAllocation_v1430,
      { "subframeAllocation-v1430", "lte-rrc.subframeAllocation_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_subframeAllocation_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_oneFrame_v1430,
      { "oneFrame-v1430", "lte-rrc.oneFrame_v1430",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_2", HFILL }},
    { &hf_lte_rrc_fourFrames_v1430,
      { "fourFrames-v1430", "lte-rrc.fourFrames_v1430",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_PMCH_InfoList_r9_item,
      { "PMCH-Info-r9", "lte-rrc.PMCH_Info_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_PMCH_InfoListExt_r12_item,
      { "PMCH-InfoExt-r12", "lte-rrc.PMCH_InfoExt_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pmch_Config_r9,
      { "pmch-Config-r9", "lte-rrc.pmch_Config_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_SessionInfoList_r9,
      { "mbms-SessionInfoList-r9", "lte-rrc.mbms_SessionInfoList_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pmch_Config_r12,
      { "pmch-Config-r12", "lte-rrc.pmch_Config_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbms_SessionInfoList_r12,
      { "mbms-SessionInfoList-r12", "lte-rrc.mbms_SessionInfoList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBMS_SessionInfoList_r9", HFILL }},
    { &hf_lte_rrc_MBMS_SessionInfoList_r9_item,
      { "MBMS-SessionInfo-r9", "lte-rrc.MBMS_SessionInfo_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tmgi_r9,
      { "tmgi-r9", "lte-rrc.tmgi_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sessionId_r9,
      { "sessionId-r9", "lte-rrc.sessionId_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_1", HFILL }},
    { &hf_lte_rrc_logicalChannelIdentity_r9,
      { "logicalChannelIdentity-r9", "lte-rrc.logicalChannelIdentity_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxSessionPerPMCH_1", HFILL }},
    { &hf_lte_rrc_sf_AllocEnd_r9,
      { "sf-AllocEnd-r9", "lte-rrc.sf_AllocEnd_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1535", HFILL }},
    { &hf_lte_rrc_dataMCS_r9,
      { "dataMCS-r9", "lte-rrc.dataMCS_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_28", HFILL }},
    { &hf_lte_rrc_mch_SchedulingPeriod_r9,
      { "mch-SchedulingPeriod-r9", "lte-rrc.mch_SchedulingPeriod_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mch_SchedulingPeriod_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf_AllocEnd_r12,
      { "sf-AllocEnd-r12", "lte-rrc.sf_AllocEnd_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_1535", HFILL }},
    { &hf_lte_rrc_dataMCS_r12,
      { "dataMCS-r12", "lte-rrc.dataMCS_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dataMCS_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_normal_r12,
      { "normal-r12", "lte-rrc.normal_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_28", HFILL }},
    { &hf_lte_rrc_higerOrder_r12,
      { "higerOrder-r12", "lte-rrc.higerOrder_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_27", HFILL }},
    { &hf_lte_rrc_mch_SchedulingPeriod_r12,
      { "mch-SchedulingPeriod-r12", "lte-rrc.mch_SchedulingPeriod_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mch_SchedulingPeriod_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mch_SchedulingPeriod_v1430,
      { "mch-SchedulingPeriod-v1430", "lte-rrc.mch_SchedulingPeriod_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mch_SchedulingPeriod_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_Id_r9,
      { "plmn-Id-r9", "lte-rrc.plmn_Id_r9",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_plmn_Id_r9_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_Index_r9,
      { "plmn-Index-r9", "lte-rrc.plmn_Index_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxPLMN_r11", HFILL }},
    { &hf_lte_rrc_explicitValue_r9,
      { "explicitValue-r9", "lte-rrc.explicitValue_r9_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PLMN_Identity", HFILL }},
    { &hf_lte_rrc_serviceId_r9,
      { "serviceId-r9", "lte-rrc.serviceId_r9",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_SC_MTCH_InfoList_r13_item,
      { "SC-MTCH-Info-r13", "lte-rrc.SC_MTCH_Info_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mbmsSessionInfo_r13,
      { "mbmsSessionInfo-r13", "lte-rrc.mbmsSessionInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_g_RNTI_r13,
      { "g-RNTI-r13", "lte-rrc.g_RNTI_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_sc_mtch_schedulingInfo_r13,
      { "sc-mtch-schedulingInfo-r13", "lte-rrc.sc_mtch_schedulingInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mtch_neighbourCell_r13,
      { "sc-mtch-neighbourCell-r13", "lte-rrc.sc_mtch_neighbourCell_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_maxNeighCell_SCPTM_r13", HFILL }},
    { &hf_lte_rrc_p_a_r13,
      { "p-a-r13", "lte-rrc.p_a_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_p_a_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sessionId_r13,
      { "sessionId-r13", "lte-rrc.sessionId_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "OCTET_STRING_SIZE_1", HFILL }},
    { &hf_lte_rrc_onDurationTimerSCPTM_r13,
      { "onDurationTimerSCPTM-r13", "lte-rrc.onDurationTimerSCPTM_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_onDurationTimerSCPTM_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_InactivityTimerSCPTM_r13,
      { "drx-InactivityTimerSCPTM-r13", "lte-rrc.drx_InactivityTimerSCPTM_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_InactivityTimerSCPTM_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r13,
      { "schedulingPeriodStartOffsetSCPTM-r13", "lte-rrc.schedulingPeriodStartOffsetSCPTM_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sf2048_02,
      { "sf2048", "lte-rrc.sf2048",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2048", HFILL }},
    { &hf_lte_rrc_sf4096_01,
      { "sf4096", "lte-rrc.sf4096",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_4096", HFILL }},
    { &hf_lte_rrc_sf8192_01,
      { "sf8192", "lte-rrc.sf8192",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_8192", HFILL }},
    { &hf_lte_rrc_SC_MTCH_InfoList_BR_r14_item,
      { "SC-MTCH-Info-BR-r14", "lte-rrc.SC_MTCH_Info_BR_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mtch_CarrierFreq_r14,
      { "sc-mtch-CarrierFreq-r14", "lte-rrc.sc_mtch_CarrierFreq_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_mbmsSessionInfo_r14,
      { "mbmsSessionInfo-r14", "lte-rrc.mbmsSessionInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MBMSSessionInfo_r13", HFILL }},
    { &hf_lte_rrc_g_RNTI_r14,
      { "g-RNTI-r14", "lte-rrc.g_RNTI_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_sc_mtch_schedulingInfo_r14,
      { "sc-mtch-schedulingInfo-r14", "lte-rrc.sc_mtch_schedulingInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SC_MTCH_SchedulingInfo_BR_r14", HFILL }},
    { &hf_lte_rrc_sc_mtch_neighbourCell_r14,
      { "sc-mtch-neighbourCell-r14", "lte-rrc.sc_mtch_neighbourCell_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_maxNeighCell_SCPTM_r13", HFILL }},
    { &hf_lte_rrc_mpdcch_Narrowband_SC_MTCH_r14,
      { "mpdcch-Narrowband-SC-MTCH-r14", "lte-rrc.mpdcch_Narrowband_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxAvailNarrowBands_r13", HFILL }},
    { &hf_lte_rrc_mpdcch_NumRepetition_SC_MTCH_r14,
      { "mpdcch-NumRepetition-SC-MTCH-r14", "lte-rrc.mpdcch_NumRepetition_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_NumRepetition_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_StartSF_SC_MTCH_r14,
      { "mpdcch-StartSF-SC-MTCH-r14", "lte-rrc.mpdcch_StartSF_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_StartSF_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_fdd_r14_01,
      { "fdd-r14", "lte-rrc.fdd_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fdd_r14_01_vals), 0,
        "T_fdd_r14_01", HFILL }},
    { &hf_lte_rrc_tdd_r14_01,
      { "tdd-r14", "lte-rrc.tdd_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_tdd_r14_01_vals), 0,
        "T_tdd_r14_01", HFILL }},
    { &hf_lte_rrc_mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14,
      { "mpdcch-PDSCH-HoppingConfig-SC-MTCH-r14", "lte-rrc.mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_PDSCH_HoppingConfig_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14,
      { "mpdcch-PDSCH-CEmodeConfig-SC-MTCH-r14", "lte-rrc.mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_PDSCH_CEmodeConfig_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14,
      { "mpdcch-PDSCH-MaxBandwidth-SC-MTCH-r14", "lte-rrc.mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_PDSCH_MaxBandwidth_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mpdcch_Offset_SC_MTCH_r14,
      { "mpdcch-Offset-SC-MTCH-r14", "lte-rrc.mpdcch_Offset_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mpdcch_Offset_SC_MTCH_r14_vals), 0,
        "T_mpdcch_Offset_SC_MTCH_r14", HFILL }},
    { &hf_lte_rrc_p_a_r14,
      { "p-a-r14", "lte-rrc.p_a_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_p_a_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_onDurationTimerSCPTM_r14_01,
      { "onDurationTimerSCPTM-r14", "lte-rrc.onDurationTimerSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_onDurationTimerSCPTM_r14_01_vals), 0,
        "T_onDurationTimerSCPTM_r14_01", HFILL }},
    { &hf_lte_rrc_drx_InactivityTimerSCPTM_r14_01,
      { "drx-InactivityTimerSCPTM-r14", "lte-rrc.drx_InactivityTimerSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_InactivityTimerSCPTM_r14_01_vals), 0,
        "T_drx_InactivityTimerSCPTM_r14_01", HFILL }},
    { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_01,
      { "schedulingPeriodStartOffsetSCPTM-r14", "lte-rrc.schedulingPeriodStartOffsetSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_01_vals), 0,
        "T_schedulingPeriodStartOffsetSCPTM_r14_01", HFILL }},
    { &hf_lte_rrc_SCPTM_NeighbourCellList_r13_item,
      { "PCI-ARFCN-r13", "lte-rrc.PCI_ARFCN_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreq_r13_02,
      { "carrierFreq-r13", "lte-rrc.carrierFreq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_SL_AnchorCarrierFreqList_V2X_r14_item,
      { "ARFCN-ValueEUTRA-r9", "lte-rrc.ARFCN_ValueEUTRA_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cbr_RangeCommonConfigList_r14,
      { "cbr-RangeCommonConfigList-r14", "lte-rrc.cbr_RangeCommonConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14", HFILL }},
    { &hf_lte_rrc_cbr_RangeCommonConfigList_r14_item,
      { "SL-CBR-Levels-Config-r14", "lte-rrc.SL_CBR_Levels_Config_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_CBR_PSSCH_TxConfigList_r14,
      { "sl-CBR-PSSCH-TxConfigList-r14", "lte-rrc.sl_CBR_PSSCH_TxConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14", HFILL }},
    { &hf_lte_rrc_sl_CBR_PSSCH_TxConfigList_r14_item,
      { "SL-CBR-PSSCH-TxConfig-r14", "lte-rrc.SL_CBR_PSSCH_TxConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_CBR_Levels_Config_r14_item,
      { "SL-CBR-r14", "lte-rrc.SL_CBR_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_SL_CBR_r14_fmt), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cr_Limit_r14,
      { "cr-Limit-r14", "lte-rrc.cr_Limit_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_cr_Limit_r14_fmt), 0,
        "INTEGER_0_10000", HFILL }},
    { &hf_lte_rrc_tx_Parameters_r14,
      { "tx-Parameters-r14", "lte-rrc.tx_Parameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_PSSCH_TxParameters_r14", HFILL }},
    { &hf_lte_rrc_SL_CBR_PPPP_TxConfigList_r14_item,
      { "SL-PPPP-TxConfigIndex-r14", "lte-rrc.SL_PPPP_TxConfigIndex_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_priorityThreshold_r14,
      { "priorityThreshold-r14", "lte-rrc.priorityThreshold_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_Priority_r13", HFILL }},
    { &hf_lte_rrc_defaultTxConfigIndex_r14,
      { "defaultTxConfigIndex-r14", "lte-rrc.defaultTxConfigIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxCBR_Level_1_r14", HFILL }},
    { &hf_lte_rrc_cbr_ConfigIndex_r14,
      { "cbr-ConfigIndex-r14", "lte-rrc.cbr_ConfigIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxSL_V2X_CBRConfig_1_r14", HFILL }},
    { &hf_lte_rrc_tx_ConfigIndexList_r14,
      { "tx-ConfigIndexList-r14", "lte-rrc.tx_ConfigIndexList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14", HFILL }},
    { &hf_lte_rrc_tx_ConfigIndexList_r14_item,
      { "Tx-ConfigIndex-r14", "lte-rrc.Tx_ConfigIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commTxResources_r12,
      { "commTxResources-r12", "lte-rrc.commTxResources_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_commTxResources_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_131,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_115_vals), 0,
        "T_setup_115", HFILL }},
    { &hf_lte_rrc_scheduled_r12,
      { "scheduled-r12", "lte-rrc.scheduled_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_RNTI_r12,
      { "sl-RNTI-r12", "lte-rrc.sl_RNTI_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_mac_MainConfig_r12,
      { "mac-MainConfig-r12", "lte-rrc.mac_MainConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MAC_MainConfigSL_r12", HFILL }},
    { &hf_lte_rrc_sc_CommTxConfig_r12,
      { "sc-CommTxConfig-r12", "lte-rrc.sc_CommTxConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommResourcePool_r12", HFILL }},
    { &hf_lte_rrc_mcs_r12,
      { "mcs-r12", "lte-rrc.mcs_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_28", HFILL }},
    { &hf_lte_rrc_ue_Selected_r12,
      { "ue-Selected-r12", "lte-rrc.ue_Selected_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commTxPoolNormalDedicated_r12,
      { "commTxPoolNormalDedicated-r12", "lte-rrc.commTxPoolNormalDedicated_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_poolToReleaseList_r12,
      { "poolToReleaseList-r12", "lte-rrc.poolToReleaseList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TxPoolToReleaseList_r12", HFILL }},
    { &hf_lte_rrc_poolToAddModList_r12,
      { "poolToAddModList-r12", "lte-rrc.poolToAddModList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolToAddModList_r12", HFILL }},
    { &hf_lte_rrc_commTxResources_v1310,
      { "commTxResources-v1310", "lte-rrc.commTxResources_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_commTxResources_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_132,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_116_vals), 0,
        "T_setup_116", HFILL }},
    { &hf_lte_rrc_scheduled_v1310,
      { "scheduled-v1310", "lte-rrc.scheduled_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChGroupInfoList_r13,
      { "logicalChGroupInfoList-r13", "lte-rrc.logicalChGroupInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multipleTx_r13,
      { "multipleTx-r13", "lte-rrc.multipleTx_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ue_Selected_v1310,
      { "ue-Selected-v1310", "lte-rrc.ue_Selected_v1310_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commTxPoolNormalDedicatedExt_r13,
      { "commTxPoolNormalDedicatedExt-r13", "lte-rrc.commTxPoolNormalDedicatedExt_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_commTxPoolNormalDedicatedExt_r13", HFILL }},
    { &hf_lte_rrc_poolToReleaseListExt_r13,
      { "poolToReleaseListExt-r13", "lte-rrc.poolToReleaseListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TxPoolToReleaseListExt_r13", HFILL }},
    { &hf_lte_rrc_poolToAddModListExt_r13,
      { "poolToAddModListExt-r13", "lte-rrc.poolToAddModListExt_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolToAddModListExt_r13", HFILL }},
    { &hf_lte_rrc_commTxAllowRelayDedicated_r13,
      { "commTxAllowRelayDedicated-r13", "lte-rrc.commTxAllowRelayDedicated_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_LogicalChGroupInfoList_r13_item,
      { "SL-PriorityList-r13", "lte-rrc.SL_PriorityList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_CommTxPoolToAddModList_r12_item,
      { "SL-CommTxPoolToAddMod-r12", "lte-rrc.SL_CommTxPoolToAddMod_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_CommTxPoolToAddModListExt_r13_item,
      { "SL-CommTxPoolToAddModExt-r13", "lte-rrc.SL_CommTxPoolToAddModExt_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_poolIdentity_r12,
      { "poolIdentity-r12", "lte-rrc.poolIdentity_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TxPoolIdentity_r12", HFILL }},
    { &hf_lte_rrc_pool_r12,
      { "pool-r12", "lte-rrc.pool_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommResourcePool_r12", HFILL }},
    { &hf_lte_rrc_poolIdentity_v1310,
      { "poolIdentity-v1310", "lte-rrc.poolIdentity_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TxPoolIdentity_v1310", HFILL }},
    { &hf_lte_rrc_pool_r13,
      { "pool-r13", "lte-rrc.pool_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommResourcePool_r12", HFILL }},
    { &hf_lte_rrc_periodic_BSR_TimerSL,
      { "periodic-BSR-TimerSL", "lte-rrc.periodic_BSR_TimerSL",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PeriodicBSR_Timer_r12_vals), 0,
        "PeriodicBSR_Timer_r12", HFILL }},
    { &hf_lte_rrc_retx_BSR_TimerSL,
      { "retx-BSR-TimerSL", "lte-rrc.retx_BSR_TimerSL",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RetxBSR_Timer_r12_vals), 0,
        "RetxBSR_Timer_r12", HFILL }},
    { &hf_lte_rrc_SL_CommTxPoolList_r12_item,
      { "SL-CommResourcePool-r12", "lte-rrc.SL_CommResourcePool_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_CommTxPoolListExt_r13_item,
      { "SL-CommResourcePool-r12", "lte-rrc.SL_CommResourcePool_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_CommTxPoolListV2X_r14_item,
      { "SL-CommResourcePoolV2X-r14", "lte-rrc.SL_CommResourcePoolV2X_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_CommRxPoolList_r12_item,
      { "SL-CommResourcePool-r12", "lte-rrc.SL_CommResourcePool_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_CommRxPoolListV2X_r14_item,
      { "SL-CommResourcePoolV2X-r14", "lte-rrc.SL_CommResourcePoolV2X_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_CP_Len_r12,
      { "sc-CP-Len-r12", "lte-rrc.sc_CP_Len_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_CP_Len_r12_vals), 0,
        "SL_CP_Len_r12", HFILL }},
    { &hf_lte_rrc_sc_Period_r12,
      { "sc-Period-r12", "lte-rrc.sc_Period_r12",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_SL_PeriodComm_r12_vals_ext, 0,
        "SL_PeriodComm_r12", HFILL }},
    { &hf_lte_rrc_sc_TF_ResourceConfig_r12,
      { "sc-TF-ResourceConfig-r12", "lte-rrc.sc_TF_ResourceConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TF_ResourceConfig_r12", HFILL }},
    { &hf_lte_rrc_data_CP_Len_r12,
      { "data-CP-Len-r12", "lte-rrc.data_CP_Len_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_CP_Len_r12_vals), 0,
        "SL_CP_Len_r12", HFILL }},
    { &hf_lte_rrc_dataHoppingConfig_r12,
      { "dataHoppingConfig-r12", "lte-rrc.dataHoppingConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_HoppingConfigComm_r12", HFILL }},
    { &hf_lte_rrc_ue_SelectedResourceConfig_r12,
      { "ue-SelectedResourceConfig-r12", "lte-rrc.ue_SelectedResourceConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_data_TF_ResourceConfig_r12,
      { "data-TF-ResourceConfig-r12", "lte-rrc.data_TF_ResourceConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TF_ResourceConfig_r12", HFILL }},
    { &hf_lte_rrc_trpt_Subset_r12,
      { "trpt-Subset-r12", "lte-rrc.trpt_Subset_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "SL_TRPT_Subset_r12", HFILL }},
    { &hf_lte_rrc_rxParametersNCell_r12,
      { "rxParametersNCell-r12", "lte-rrc.rxParametersNCell_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_Config_r12,
      { "tdd-Config-r12", "lte-rrc.tdd_Config_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "TDD_Config", HFILL }},
    { &hf_lte_rrc_syncConfigIndex_r12,
      { "syncConfigIndex-r12", "lte-rrc.syncConfigIndex_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_txParameters_r12,
      { "txParameters-r12", "lte-rrc.txParameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_TxParameters_r12,
      { "sc-TxParameters-r12", "lte-rrc.sc_TxParameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TxParameters_r12", HFILL }},
    { &hf_lte_rrc_dataTxParameters_r12,
      { "dataTxParameters-r12", "lte-rrc.dataTxParameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TxParameters_r12", HFILL }},
    { &hf_lte_rrc_priorityList_r13,
      { "priorityList-r13", "lte-rrc.priorityList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_PriorityList_r13", HFILL }},
    { &hf_lte_rrc_sl_OffsetIndicator_r14,
      { "sl-OffsetIndicator-r14", "lte-rrc.sl_OffsetIndicator_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_OffsetIndicator_r12_vals), 0,
        "SL_OffsetIndicator_r12", HFILL }},
    { &hf_lte_rrc_sl_Subframe_r14,
      { "sl-Subframe-r14", "lte-rrc.sl_Subframe_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SubframeBitmapSL_r14_vals), 0,
        "SubframeBitmapSL_r14", HFILL }},
    { &hf_lte_rrc_adjacencyPSCCH_PSSCH_r14,
      { "adjacencyPSCCH-PSSCH-r14", "lte-rrc.adjacencyPSCCH_PSSCH_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_sizeSubchannel_r14,
      { "sizeSubchannel-r14", "lte-rrc.sizeSubchannel_r14",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_sizeSubchannel_r14_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_numSubchannel_r14,
      { "numSubchannel-r14", "lte-rrc.numSubchannel_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_numSubchannel_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_startRB_Subchannel_r14,
      { "startRB-Subchannel-r14", "lte-rrc.startRB_Subchannel_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_99", HFILL }},
    { &hf_lte_rrc_startRB_PSCCH_Pool_r14,
      { "startRB-PSCCH-Pool-r14", "lte-rrc.startRB_PSCCH_Pool_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_99", HFILL }},
    { &hf_lte_rrc_rxParametersNCell_r14,
      { "rxParametersNCell-r14", "lte-rrc.rxParametersNCell_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_Config_r14,
      { "tdd-Config-r14", "lte-rrc.tdd_Config_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "TDD_Config", HFILL }},
    { &hf_lte_rrc_syncConfigIndex_r14,
      { "syncConfigIndex-r14", "lte-rrc.syncConfigIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_dataTxParameters_r14,
      { "dataTxParameters-r14", "lte-rrc.dataTxParameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TxParameters_r12", HFILL }},
    { &hf_lte_rrc_zoneID_r14,
      { "zoneID-r14", "lte-rrc.zoneID_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_7", HFILL }},
    { &hf_lte_rrc_threshS_RSSI_CBR_r14,
      { "threshS-RSSI-CBR-r14", "lte-rrc.threshS_RSSI_CBR_r14",
        FT_UINT32, BASE_CUSTOM, CF_FUNC(lte_rrc_threshS_RSSI_CBR_r14_fmt), 0,
        "INTEGER_0_45", HFILL }},
    { &hf_lte_rrc_poolReportId_r14,
      { "poolReportId-r14", "lte-rrc.poolReportId_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_V2X_TxPoolReportIdentity_r14", HFILL }},
    { &hf_lte_rrc_cbr_pssch_TxConfigList_r14,
      { "cbr-pssch-TxConfigList-r14", "lte-rrc.cbr_pssch_TxConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CBR_PPPP_TxConfigList_r14", HFILL }},
    { &hf_lte_rrc_resourceSelectionConfigP2X_r14,
      { "resourceSelectionConfigP2X-r14", "lte-rrc.resourceSelectionConfigP2X_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_P2X_ResourceSelectionConfig_r14", HFILL }},
    { &hf_lte_rrc_syncAllowed_r14,
      { "syncAllowed-r14", "lte-rrc.syncAllowed_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_SyncAllowed_r14", HFILL }},
    { &hf_lte_rrc_restrictResourceReservationPeriod_r14,
      { "restrictResourceReservationPeriod-r14", "lte-rrc.restrictResourceReservationPeriod_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_RestrictResourceReservationPeriodList_r14", HFILL }},
    { &hf_lte_rrc_pssch_TxConfigList_r14,
      { "pssch-TxConfigList-r14", "lte-rrc.pssch_TxConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_PSSCH_TxConfigList_r14", HFILL }},
    { &hf_lte_rrc_thresPSSCH_RSRP_List_r14,
      { "thresPSSCH-RSRP-List-r14", "lte-rrc.thresPSSCH_RSRP_List_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_ThresPSSCH_RSRP_List_r14", HFILL }},
    { &hf_lte_rrc_probResourceKeep_r14,
      { "probResourceKeep-r14", "lte-rrc.probResourceKeep_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_probResourceKeep_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p2x_SensingConfig_r14,
      { "p2x-SensingConfig-r14", "lte-rrc.p2x_SensingConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_minNumCandidateSF_r14,
      { "minNumCandidateSF-r14", "lte-rrc.minNumCandidateSF_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_13", HFILL }},
    { &hf_lte_rrc_gapCandidateSensing_r14,
      { "gapCandidateSensing-r14", "lte-rrc.gapCandidateSensing_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_sl_ReselectAfter_r14,
      { "sl-ReselectAfter-r14", "lte-rrc.sl_ReselectAfter_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sl_ReselectAfter_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discTxResources_r12,
      { "discTxResources-r12", "lte-rrc.discTxResources_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discTxResources_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_133,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_117_vals), 0,
        "T_setup_117", HFILL }},
    { &hf_lte_rrc_scheduled_r12_01,
      { "scheduled-r12", "lte-rrc.scheduled_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_scheduled_r12_01", HFILL }},
    { &hf_lte_rrc_discTxConfig_r12,
      { "discTxConfig-r12", "lte-rrc.discTxConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscResourcePool_r12", HFILL }},
    { &hf_lte_rrc_discTF_IndexList_r12,
      { "discTF-IndexList-r12", "lte-rrc.discTF_IndexList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TF_IndexPairList_r12", HFILL }},
    { &hf_lte_rrc_discHoppingConfig_r12,
      { "discHoppingConfig-r12", "lte-rrc.discHoppingConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_HoppingConfigDisc_r12", HFILL }},
    { &hf_lte_rrc_ue_Selected_r12_01,
      { "ue-Selected-r12", "lte-rrc.ue_Selected_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_ue_Selected_r12_01", HFILL }},
    { &hf_lte_rrc_discTxPoolDedicated_r12,
      { "discTxPoolDedicated-r12", "lte-rrc.discTxPoolDedicated_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_poolToAddModList_r12_01,
      { "poolToAddModList-r12", "lte-rrc.poolToAddModList_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxPoolToAddModList_r12", HFILL }},
    { &hf_lte_rrc_discTF_IndexList_v1260,
      { "discTF-IndexList-v1260", "lte-rrc.discTF_IndexList_v1260",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discTF_IndexList_v1260_vals), 0,
        "T_discTF_IndexList_v1260", HFILL }},
    { &hf_lte_rrc_setup_134,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_118", HFILL }},
    { &hf_lte_rrc_discTF_IndexList_r12b,
      { "discTF-IndexList-r12b", "lte-rrc.discTF_IndexList_r12b",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TF_IndexPairList_r12b", HFILL }},
    { &hf_lte_rrc_discTxResourcesPS_r13,
      { "discTxResourcesPS-r13", "lte-rrc.discTxResourcesPS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discTxResourcesPS_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_135,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_119_vals), 0,
        "T_setup_119", HFILL }},
    { &hf_lte_rrc_scheduled_r13,
      { "scheduled-r13", "lte-rrc.scheduled_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscTxConfigScheduled_r13", HFILL }},
    { &hf_lte_rrc_ue_Selected_r13,
      { "ue-Selected-r13", "lte-rrc.ue_Selected_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discTxPoolPS_Dedicated_r13,
      { "discTxPoolPS-Dedicated-r13", "lte-rrc.discTxPoolPS_Dedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscTxPoolDedicated_r13", HFILL }},
    { &hf_lte_rrc_discTxInterFreqInfo_r13,
      { "discTxInterFreqInfo-r13", "lte-rrc.discTxInterFreqInfo_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discTxInterFreqInfo_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_136,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_120", HFILL }},
    { &hf_lte_rrc_discTxCarrierFreq_r13,
      { "discTxCarrierFreq-r13", "lte-rrc.discTxCarrierFreq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_discTxRefCarrierDedicated_r13,
      { "discTxRefCarrierDedicated-r13", "lte-rrc.discTxRefCarrierDedicated_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_DiscTxRefCarrierDedicated_r13_vals), 0,
        "SL_DiscTxRefCarrierDedicated_r13", HFILL }},
    { &hf_lte_rrc_discTxInfoInterFreqListAdd_r13,
      { "discTxInfoInterFreqListAdd-r13", "lte-rrc.discTxInfoInterFreqListAdd_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscTxInfoInterFreqListAdd_r13", HFILL }},
    { &hf_lte_rrc_gapRequestsAllowedDedicated_r13,
      { "gapRequestsAllowedDedicated-r13", "lte-rrc.gapRequestsAllowedDedicated_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_discRxGapConfig_r13,
      { "discRxGapConfig-r13", "lte-rrc.discRxGapConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discRxGapConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_137,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_GapConfig_r13", HFILL }},
    { &hf_lte_rrc_discTxGapConfig_r13,
      { "discTxGapConfig-r13", "lte-rrc.discTxGapConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discTxGapConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discSysInfoToReportConfig_r13,
      { "discSysInfoToReportConfig-r13", "lte-rrc.discSysInfoToReportConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discSysInfoToReportConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_138,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscSysInfoToReportFreqList_r13", HFILL }},
    { &hf_lte_rrc_SL_DiscSysInfoToReportFreqList_r13_item,
      { "ARFCN-ValueEUTRA-r9", "lte-rrc.ARFCN_ValueEUTRA_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discTxFreqToAddModList_r13,
      { "discTxFreqToAddModList-r13", "lte-rrc.discTxFreqToAddModList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13", HFILL }},
    { &hf_lte_rrc_discTxFreqToAddModList_r13_item,
      { "SL-DiscTxResourceInfoPerFreq-r13", "lte-rrc.SL_DiscTxResourceInfoPerFreq_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discTxFreqToReleaseList_r13,
      { "discTxFreqToReleaseList-r13", "lte-rrc.discTxFreqToReleaseList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_discTxFreqToReleaseList_r13_item,
      { "ARFCN-ValueEUTRA-r9", "lte-rrc.ARFCN_ValueEUTRA_r9",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discTxResources_r13,
      { "discTxResources-r13", "lte-rrc.discTxResources_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_DiscTxResource_r13_vals), 0,
        "SL_DiscTxResource_r13", HFILL }},
    { &hf_lte_rrc_discTxResourcesPS_r13_01,
      { "discTxResourcesPS-r13", "lte-rrc.discTxResourcesPS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_DiscTxResource_r13_vals), 0,
        "SL_DiscTxResource_r13", HFILL }},
    { &hf_lte_rrc_setup_139,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_121_vals), 0,
        "T_setup_121", HFILL }},
    { &hf_lte_rrc_ue_Selected_r13_01,
      { "ue-Selected-r13", "lte-rrc.ue_Selected_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscTxPoolDedicated_r13", HFILL }},
    { &hf_lte_rrc_SL_DiscTxPoolToAddModList_r12_item,
      { "SL-DiscTxPoolToAddMod-r12", "lte-rrc.SL_DiscTxPoolToAddMod_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pool_r12_01,
      { "pool-r12", "lte-rrc.pool_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscResourcePool_r12", HFILL }},
    { &hf_lte_rrc_discTxConfig_r13,
      { "discTxConfig-r13", "lte-rrc.discTxConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_DiscResourcePool_r12", HFILL }},
    { &hf_lte_rrc_discTF_IndexList_r13,
      { "discTF-IndexList-r13", "lte-rrc.discTF_IndexList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TF_IndexPairList_r12b", HFILL }},
    { &hf_lte_rrc_discHoppingConfig_r13,
      { "discHoppingConfig-r13", "lte-rrc.discHoppingConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_HoppingConfigDisc_r12", HFILL }},
    { &hf_lte_rrc_poolToReleaseList_r13,
      { "poolToReleaseList-r13", "lte-rrc.poolToReleaseList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TxPoolToReleaseList_r12", HFILL }},
    { &hf_lte_rrc_poolToAddModList_r13,
      { "poolToAddModList-r13", "lte-rrc.poolToAddModList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxPoolToAddModList_r12", HFILL }},
    { &hf_lte_rrc_SL_TF_IndexPairList_r12_item,
      { "SL-TF-IndexPair-r12", "lte-rrc.SL_TF_IndexPair_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discSF_Index_r12,
      { "discSF-Index-r12", "lte-rrc.discSF_Index_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_200", HFILL }},
    { &hf_lte_rrc_discPRB_Index_r12,
      { "discPRB-Index-r12", "lte-rrc.discPRB_Index_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_50", HFILL }},
    { &hf_lte_rrc_SL_TF_IndexPairList_r12b_item,
      { "SL-TF-IndexPair-r12b", "lte-rrc.SL_TF_IndexPair_r12b_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discSF_Index_r12b,
      { "discSF-Index-r12b", "lte-rrc.discSF_Index_r12b",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_209", HFILL }},
    { &hf_lte_rrc_discPRB_Index_r12b,
      { "discPRB-Index-r12b", "lte-rrc.discPRB_Index_r12b",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_49", HFILL }},
    { &hf_lte_rrc_pCell,
      { "pCell", "lte-rrc.pCell_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sCell,
      { "sCell", "lte-rrc.sCell",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCellIndex_r10", HFILL }},
    { &hf_lte_rrc_SL_DiscTxPoolList_r12_item,
      { "SL-DiscResourcePool-r12", "lte-rrc.SL_DiscResourcePool_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_DiscRxPoolList_r12_item,
      { "SL-DiscResourcePool-r12", "lte-rrc.SL_DiscResourcePool_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cp_Len_r12,
      { "cp-Len-r12", "lte-rrc.cp_Len_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_CP_Len_r12_vals), 0,
        "SL_CP_Len_r12", HFILL }},
    { &hf_lte_rrc_discPeriod_r12,
      { "discPeriod-r12", "lte-rrc.discPeriod_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discPeriod_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_numRetx_r12,
      { "numRetx-r12", "lte-rrc.numRetx_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_numRepetition_r12,
      { "numRepetition-r12", "lte-rrc.numRepetition_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_50", HFILL }},
    { &hf_lte_rrc_tf_ResourceConfig_r12,
      { "tf-ResourceConfig-r12", "lte-rrc.tf_ResourceConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TF_ResourceConfig_r12", HFILL }},
    { &hf_lte_rrc_txParameters_r12_01,
      { "txParameters-r12", "lte-rrc.txParameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_txParameters_r12_01", HFILL }},
    { &hf_lte_rrc_txParametersGeneral_r12,
      { "txParametersGeneral-r12", "lte-rrc.txParametersGeneral_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TxParameters_r12", HFILL }},
    { &hf_lte_rrc_ue_SelectedResourceConfig_r12_01,
      { "ue-SelectedResourceConfig-r12", "lte-rrc.ue_SelectedResourceConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_ue_SelectedResourceConfig_r12_01", HFILL }},
    { &hf_lte_rrc_poolSelection_r12,
      { "poolSelection-r12", "lte-rrc.poolSelection_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_poolSelection_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrpBased_r12,
      { "rsrpBased-r12", "lte-rrc.rsrpBased_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_PoolSelectionConfig_r12", HFILL }},
    { &hf_lte_rrc_random_r12,
      { "random-r12", "lte-rrc.random_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_txProbability_r12,
      { "txProbability-r12", "lte-rrc.txProbability_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_txProbability_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rxParameters_r12,
      { "rxParameters-r12", "lte-rrc.rxParameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discPeriod_v1310,
      { "discPeriod-v1310", "lte-rrc.discPeriod_v1310",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discPeriod_v1310_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_140,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_122_vals), 0,
        "T_setup_122", HFILL }},
    { &hf_lte_rrc_rxParamsAddNeighFreq_r13,
      { "rxParamsAddNeighFreq-r13", "lte-rrc.rxParamsAddNeighFreq_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rxParamsAddNeighFreq_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_141,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_123", HFILL }},
    { &hf_lte_rrc_physCellId_r13_01,
      { "physCellId-r13", "lte-rrc.physCellId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdList_r13", HFILL }},
    { &hf_lte_rrc_txParamsAddNeighFreq_r13,
      { "txParamsAddNeighFreq-r13", "lte-rrc.txParamsAddNeighFreq_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_txParamsAddNeighFreq_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_142,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_124", HFILL }},
    { &hf_lte_rrc_tdd_Config_r13,
      { "tdd-Config-r13", "lte-rrc.tdd_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "TDD_Config", HFILL }},
    { &hf_lte_rrc_freqInfo_01,
      { "freqInfo", "lte-rrc.freqInfo_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_freqInfo_01", HFILL }},
    { &hf_lte_rrc_ul_Bandwidth_02,
      { "ul-Bandwidth", "lte-rrc.ul_Bandwidth",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_Bandwidth_02_vals), 0,
        "T_ul_Bandwidth_02", HFILL }},
    { &hf_lte_rrc_syncConfigIndex_r13,
      { "syncConfigIndex-r13", "lte-rrc.syncConfigIndex_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_txParamsAddNeighFreq_v1370,
      { "txParamsAddNeighFreq-v1370", "lte-rrc.txParamsAddNeighFreq_v1370",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_txParamsAddNeighFreq_v1370_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_143,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_125", HFILL }},
    { &hf_lte_rrc_freqInfo_v1370,
      { "freqInfo-v1370", "lte-rrc.freqInfo_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmission_v1370,
      { "additionalSpectrumEmission-v1370", "lte-rrc.additionalSpectrumEmission_v1370",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission_v10l0", HFILL }},
    { &hf_lte_rrc_PhysCellIdList_r13_item,
      { "PhysCellId", "lte-rrc.PhysCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_threshLow_r12,
      { "threshLow-r12", "lte-rrc.threshLow_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RSRP_RangeSL2_vals), 0,
        "RSRP_RangeSL2_r12", HFILL }},
    { &hf_lte_rrc_threshHigh_r12,
      { "threshHigh-r12", "lte-rrc.threshHigh_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RSRP_RangeSL2_vals), 0,
        "RSRP_RangeSL2_r12", HFILL }},
    { &hf_lte_rrc_plmn_IdentityList_r13,
      { "plmn-IdentityList-r13", "lte-rrc.plmn_IdentityList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PLMN_IdentityList", HFILL }},
    { &hf_lte_rrc_cellIdentity_13,
      { "cellIdentity-13", "lte-rrc.cellIdentity_13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "CellIdentity", HFILL }},
    { &hf_lte_rrc_carrierFreqInfo_13,
      { "carrierFreqInfo-13", "lte-rrc.carrierFreqInfo_13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_discRxResources_r13,
      { "discRxResources-r13", "lte-rrc.discRxResources_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscRxPoolList_r12", HFILL }},
    { &hf_lte_rrc_discTxPowerInfo_r13,
      { "discTxPowerInfo-r13", "lte-rrc.discTxPowerInfo_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_DiscTxPowerInfoList_r12", HFILL }},
    { &hf_lte_rrc_discSyncConfig_r13_01,
      { "discSyncConfig-r13", "lte-rrc.discSyncConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_SyncConfigNFreq_r13", HFILL }},
    { &hf_lte_rrc_discCellSelectionInfo_r13_01,
      { "discCellSelectionInfo-r13", "lte-rrc.discCellSelectionInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_RxLevMinOffset_r13,
      { "q-RxLevMinOffset-r13", "lte-rrc.q_RxLevMinOffset_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_8", HFILL }},
    { &hf_lte_rrc_cellReselectionInfo_r13,
      { "cellReselectionInfo-r13", "lte-rrc.cellReselectionInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_Hyst_r13_01,
      { "q-Hyst-r13", "lte-rrc.q_Hyst_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_q_Hyst_r13_01_vals), 0,
        "T_q_Hyst_r13_01", HFILL }},
    { &hf_lte_rrc_freqInfo_r13,
      { "freqInfo-r13", "lte-rrc.freqInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq_r13,
      { "ul-CarrierFreq-r13", "lte-rrc.ul_CarrierFreq_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA", HFILL }},
    { &hf_lte_rrc_ul_Bandwidth_r13,
      { "ul-Bandwidth-r13", "lte-rrc.ul_Bandwidth_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ul_Bandwidth_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmission_r13,
      { "additionalSpectrumEmission-r13", "lte-rrc.additionalSpectrumEmission_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission", HFILL }},
    { &hf_lte_rrc_p_Max_r13,
      { "p-Max-r13", "lte-rrc.p_Max_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P_Max", HFILL }},
    { &hf_lte_rrc_referenceSignalPower_r13,
      { "referenceSignalPower-r13", "lte-rrc.referenceSignalPower_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M60_50", HFILL }},
    { &hf_lte_rrc_freqInfo_v1370_01,
      { "freqInfo-v1370", "lte-rrc.freqInfo_v1370_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_freqInfo_v1370_01", HFILL }},
    { &hf_lte_rrc_SL_DiscTxPowerInfoList_r12_item,
      { "SL-DiscTxPowerInfo-r12", "lte-rrc.SL_DiscTxPowerInfo_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discMaxTxPower_r12,
      { "discMaxTxPower-r12", "lte-rrc.discMaxTxPower_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P_Max", HFILL }},
    { &hf_lte_rrc_gapPatternList_r13,
      { "gapPatternList-r13", "lte-rrc.gapPatternList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_GapPatternList_r13", HFILL }},
    { &hf_lte_rrc_SL_GapPatternList_r13_item,
      { "SL-GapPattern-r13", "lte-rrc.SL_GapPattern_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_gapPeriod_r13,
      { "gapPeriod-r13", "lte-rrc.gapPeriod_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gapPeriod_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_gapOffset_r12,
      { "gapOffset-r12", "lte-rrc.gapOffset_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_OffsetIndicator_r12_vals), 0,
        "SL_OffsetIndicator_r12", HFILL }},
    { &hf_lte_rrc_gapSubframeBitmap_r13,
      { "gapSubframeBitmap-r13", "lte-rrc.gapSubframeBitmap_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_1_10240", HFILL }},
    { &hf_lte_rrc_SL_GapRequest_r13_item,
      { "SL-GapFreqInfo-r13", "lte-rrc.SL_GapFreqInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_hoppingParameter_r12,
      { "hoppingParameter-r12", "lte-rrc.hoppingParameter_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_504", HFILL }},
    { &hf_lte_rrc_numSubbands_r12,
      { "numSubbands-r12", "lte-rrc.numSubbands_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_numSubbands_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rb_Offset_r12,
      { "rb-Offset-r12", "lte-rrc.rb_Offset_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_110", HFILL }},
    { &hf_lte_rrc_a_r12,
      { "a-r12", "lte-rrc.a_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_200", HFILL }},
    { &hf_lte_rrc_b_r12,
      { "b-r12", "lte-rrc.b_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_10", HFILL }},
    { &hf_lte_rrc_c_r12,
      { "c-r12", "lte-rrc.c_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_InterFreqInfoListV2X_r14_item,
      { "SL-InterFreqInfoV2X-r14", "lte-rrc.SL_InterFreqInfoV2X_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_CommCarrierFreq_r14,
      { "v2x-CommCarrierFreq-r14", "lte-rrc.v2x_CommCarrierFreq_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "ARFCN_ValueEUTRA_r9", HFILL }},
    { &hf_lte_rrc_sl_MaxTxPower_r14,
      { "sl-MaxTxPower-r14", "lte-rrc.sl_MaxTxPower_r14",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P_Max", HFILL }},
    { &hf_lte_rrc_sl_Bandwidth_r14,
      { "sl-Bandwidth-r14", "lte-rrc.sl_Bandwidth_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sl_Bandwidth_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_SchedulingPool_r14,
      { "v2x-SchedulingPool-r14", "lte-rrc.v2x_SchedulingPool_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommResourcePoolV2X_r14", HFILL }},
    { &hf_lte_rrc_v2x_UE_ConfigList_r14,
      { "v2x-UE-ConfigList-r14", "lte-rrc.v2x_UE_ConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_V2X_UE_ConfigList_r14", HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmissionV2X_r14,
      { "additionalSpectrumEmissionV2X-r14", "lte-rrc.additionalSpectrumEmissionV2X_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_additionalSpectrumEmissionV2X_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmission_r14,
      { "additionalSpectrumEmission-r14", "lte-rrc.additionalSpectrumEmission_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission", HFILL }},
    { &hf_lte_rrc_additionalSpectrumEmission_v1440,
      { "additionalSpectrumEmission-v1440", "lte-rrc.additionalSpectrumEmission_v1440",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission_v10l0", HFILL }},
    { &hf_lte_rrc_SL_V2X_UE_ConfigList_r14_item,
      { "SL-V2X-InterFreqUE-Config-r14", "lte-rrc.SL_V2X_InterFreqUE_Config_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellIdList_r14,
      { "physCellIdList-r14", "lte-rrc.physCellIdList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellIdList_r13", HFILL }},
    { &hf_lte_rrc_v2x_SyncConfig_r14_01,
      { "v2x-SyncConfig-r14", "lte-rrc.v2x_SyncConfig_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_SyncConfigListNFreqV2X_r14", HFILL }},
    { &hf_lte_rrc_v2x_CommTxPoolNormal_r14,
      { "v2x-CommTxPoolNormal-r14", "lte-rrc.v2x_CommTxPoolNormal_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolListV2X_r14", HFILL }},
    { &hf_lte_rrc_p2x_CommTxPoolNormal_r14,
      { "p2x-CommTxPoolNormal-r14", "lte-rrc.p2x_CommTxPoolNormal_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_CommTxPoolListV2X_r14", HFILL }},
    { &hf_lte_rrc_small_r12,
      { "small-r12", "lte-rrc.small_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_319", HFILL }},
    { &hf_lte_rrc_large_r12,
      { "large-r12", "lte-rrc.large_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_10239", HFILL }},
    { &hf_lte_rrc_partialSensing_r14,
      { "partialSensing-r14", "lte-rrc.partialSensing_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_partialSensing_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_randomSelection_r14,
      { "randomSelection-r14", "lte-rrc.randomSelection_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_randomSelection_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_PriorityList_r13_item,
      { "SL-Priority-r13", "lte-rrc.SL_Priority_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_PSSCH_TxConfigList_r14_item,
      { "SL-PSSCH-TxConfig-r14", "lte-rrc.SL_PSSCH_TxConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_thresUE_Speed_r14,
      { "thresUE-Speed-r14", "lte-rrc.thresUE_Speed_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_thresUE_Speed_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_parametersAboveThres_r14,
      { "parametersAboveThres-r14", "lte-rrc.parametersAboveThres_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_PSSCH_TxParameters_r14", HFILL }},
    { &hf_lte_rrc_parametersBelowThres_r14,
      { "parametersBelowThres-r14", "lte-rrc.parametersBelowThres_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_PSSCH_TxParameters_r14", HFILL }},
    { &hf_lte_rrc_minMCS_PSSCH_r14,
      { "minMCS-PSSCH-r14", "lte-rrc.minMCS_PSSCH_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_maxMCS_PSSCH_r14,
      { "maxMCS-PSSCH-r14", "lte-rrc.maxMCS_PSSCH_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_minSubChannel_NumberPSSCH_r14,
      { "minSubChannel-NumberPSSCH-r14", "lte-rrc.minSubChannel_NumberPSSCH_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_20", HFILL }},
    { &hf_lte_rrc_maxSubchannel_NumberPSSCH_r14,
      { "maxSubchannel-NumberPSSCH-r14", "lte-rrc.maxSubchannel_NumberPSSCH_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_20", HFILL }},
    { &hf_lte_rrc_allowedRetxNumberPSSCH_r14,
      { "allowedRetxNumberPSSCH-r14", "lte-rrc.allowedRetxNumberPSSCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_allowedRetxNumberPSSCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxTxPower_r14,
      { "maxTxPower-r14", "lte-rrc.maxTxPower_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_TxPower_r14_vals), 0,
        "SL_TxPower_r14", HFILL }},
    { &hf_lte_rrc_SL_RestrictResourceReservationPeriodList_r14_item,
      { "SL-RestrictResourceReservationPeriod-r14", "lte-rrc.SL_RestrictResourceReservationPeriod_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_RestrictResourceReservationPeriod_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_gnss_Sync_r14,
      { "gnss-Sync-r14", "lte-rrc.gnss_Sync_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gnss_Sync_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_enb_Sync_r14,
      { "enb-Sync-r14", "lte-rrc.enb_Sync_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_enb_Sync_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_Sync_r14,
      { "ue-Sync-r14", "lte-rrc.ue_Sync_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_Sync_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_SyncConfigList_r12_item,
      { "SL-SyncConfig-r12", "lte-rrc.SL_SyncConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_SyncConfigListV2X_r14_item,
      { "SL-SyncConfig-r12", "lte-rrc.SL_SyncConfig_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_syncCP_Len_r12,
      { "syncCP-Len-r12", "lte-rrc.syncCP_Len_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_CP_Len_r12_vals), 0,
        "SL_CP_Len_r12", HFILL }},
    { &hf_lte_rrc_syncOffsetIndicator_r12,
      { "syncOffsetIndicator-r12", "lte-rrc.syncOffsetIndicator_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_OffsetIndicatorSync_r12", HFILL }},
    { &hf_lte_rrc_slssid_r12,
      { "slssid-r12", "lte-rrc.slssid_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_txParameters_r12_02,
      { "txParameters-r12", "lte-rrc.txParameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_txParameters_r12_02", HFILL }},
    { &hf_lte_rrc_syncTxParameters_r12,
      { "syncTxParameters-r12", "lte-rrc.syncTxParameters_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TxParameters_r12", HFILL }},
    { &hf_lte_rrc_syncTxThreshIC_r12,
      { "syncTxThreshIC-r12", "lte-rrc.syncTxThreshIC_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RSRP_RangeSL_vals), 0,
        "RSRP_RangeSL_r12", HFILL }},
    { &hf_lte_rrc_syncInfoReserved_r12,
      { "syncInfoReserved-r12", "lte-rrc.syncInfoReserved_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_19", HFILL }},
    { &hf_lte_rrc_rxParamsNCell_r12,
      { "rxParamsNCell-r12", "lte-rrc.rxParamsNCell_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discSyncWindow_r12,
      { "discSyncWindow-r12", "lte-rrc.discSyncWindow_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discSyncWindow_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_syncTxPeriodic_r13,
      { "syncTxPeriodic-r13", "lte-rrc.syncTxPeriodic_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_syncTxPeriodic_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_syncOffsetIndicator_v1430,
      { "syncOffsetIndicator-v1430", "lte-rrc.syncOffsetIndicator_v1430",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_OffsetIndicatorSync_v1430", HFILL }},
    { &hf_lte_rrc_gnss_Sync_r14_01,
      { "gnss-Sync-r14", "lte-rrc.gnss_Sync_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gnss_Sync_r14_01_vals), 0,
        "T_gnss_Sync_r14_01", HFILL }},
    { &hf_lte_rrc_SL_SyncConfigListNFreq_r13_item,
      { "SL-SyncConfigNFreq-r13", "lte-rrc.SL_SyncConfigNFreq_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_SyncConfigListNFreqV2X_r14_item,
      { "SL-SyncConfigNFreq-r13", "lte-rrc.SL_SyncConfigNFreq_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_asyncParameters_r13,
      { "asyncParameters-r13", "lte-rrc.asyncParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_syncCP_Len_r13,
      { "syncCP-Len-r13", "lte-rrc.syncCP_Len_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_CP_Len_r12_vals), 0,
        "SL_CP_Len_r12", HFILL }},
    { &hf_lte_rrc_syncOffsetIndicator_r13,
      { "syncOffsetIndicator-r13", "lte-rrc.syncOffsetIndicator_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_OffsetIndicatorSync_r12", HFILL }},
    { &hf_lte_rrc_slssid_r13,
      { "slssid-r13", "lte-rrc.slssid_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SLSSID_r12", HFILL }},
    { &hf_lte_rrc_txParameters_r13,
      { "txParameters-r13", "lte-rrc.txParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_syncTxParameters_r13,
      { "syncTxParameters-r13", "lte-rrc.syncTxParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_TxParameters_r12", HFILL }},
    { &hf_lte_rrc_syncTxThreshIC_r13,
      { "syncTxThreshIC-r13", "lte-rrc.syncTxThreshIC_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RSRP_RangeSL_vals), 0,
        "RSRP_RangeSL_r12", HFILL }},
    { &hf_lte_rrc_syncInfoReserved_r13,
      { "syncInfoReserved-r13", "lte-rrc.syncInfoReserved_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_19", HFILL }},
    { &hf_lte_rrc_syncTxPeriodic_r13_01,
      { "syncTxPeriodic-r13", "lte-rrc.syncTxPeriodic_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_syncTxPeriodic_r13_01_vals), 0,
        "T_syncTxPeriodic_r13_01", HFILL }},
    { &hf_lte_rrc_rxParameters_r13,
      { "rxParameters-r13", "lte-rrc.rxParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_discSyncWindow_r13,
      { "discSyncWindow-r13", "lte-rrc.discSyncWindow_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discSyncWindow_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_gnss_Sync_r14_02,
      { "gnss-Sync-r14", "lte-rrc.gnss_Sync_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gnss_Sync_r14_02_vals), 0,
        "T_gnss_Sync_r14_02", HFILL }},
    { &hf_lte_rrc_prb_Num_r12,
      { "prb-Num-r12", "lte-rrc.prb_Num_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_100", HFILL }},
    { &hf_lte_rrc_prb_Start_r12,
      { "prb-Start-r12", "lte-rrc.prb_Start_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_99", HFILL }},
    { &hf_lte_rrc_prb_End_r12,
      { "prb-End-r12", "lte-rrc.prb_End_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_99", HFILL }},
    { &hf_lte_rrc_offsetIndicator_r12,
      { "offsetIndicator-r12", "lte-rrc.offsetIndicator_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SL_OffsetIndicator_r12_vals), 0,
        "SL_OffsetIndicator_r12", HFILL }},
    { &hf_lte_rrc_subframeBitmap_r12,
      { "subframeBitmap-r12", "lte-rrc.subframeBitmap_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SubframeBitmapSL_r12_vals), 0,
        "SubframeBitmapSL_r12", HFILL }},
    { &hf_lte_rrc_bs4_r12,
      { "bs4-r12", "lte-rrc.bs4_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_4", HFILL }},
    { &hf_lte_rrc_bs8_r12,
      { "bs8-r12", "lte-rrc.bs8_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_bs12_r12,
      { "bs12-r12", "lte-rrc.bs12_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_12", HFILL }},
    { &hf_lte_rrc_bs16_r12,
      { "bs16-r12", "lte-rrc.bs16_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_bs30_r12,
      { "bs30-r12", "lte-rrc.bs30_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_30", HFILL }},
    { &hf_lte_rrc_bs40_r12,
      { "bs40-r12", "lte-rrc.bs40_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_40", HFILL }},
    { &hf_lte_rrc_bs42_r12,
      { "bs42-r12", "lte-rrc.bs42_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_42", HFILL }},
    { &hf_lte_rrc_bs10_r14,
      { "bs10-r14", "lte-rrc.bs10_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_bs16_r14,
      { "bs16-r14", "lte-rrc.bs16_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_bs20_r14,
      { "bs20-r14", "lte-rrc.bs20_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_20", HFILL }},
    { &hf_lte_rrc_bs30_r14,
      { "bs30-r14", "lte-rrc.bs30_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_30", HFILL }},
    { &hf_lte_rrc_bs40_r14,
      { "bs40-r14", "lte-rrc.bs40_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_40", HFILL }},
    { &hf_lte_rrc_bs50_r14,
      { "bs50-r14", "lte-rrc.bs50_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_50", HFILL }},
    { &hf_lte_rrc_bs60_r14,
      { "bs60-r14", "lte-rrc.bs60_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_60", HFILL }},
    { &hf_lte_rrc_bs100_r14,
      { "bs100-r14", "lte-rrc.bs100_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_100", HFILL }},
    { &hf_lte_rrc_minusinfinity_r14,
      { "minusinfinity-r14", "lte-rrc.minusinfinity_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_txPower_r14,
      { "txPower-r14", "lte-rrc.txPower_r14",
        FT_INT32, BASE_DEC, NULL, 0,
        "INTEGER_M41_31", HFILL }},
    { &hf_lte_rrc_SL_ThresPSSCH_RSRP_List_r14_item,
      { "SL-ThresPSSCH-RSRP-r14", "lte-rrc.SL_ThresPSSCH_RSRP_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_alpha_r12,
      { "alpha-r12", "lte-rrc.alpha_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_Alpha_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p0_r12,
      { "p0-r12", "lte-rrc.p0_r12",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P0_SL_r12", HFILL }},
    { &hf_lte_rrc_SL_TxPoolToReleaseList_r12_item,
      { "SL-TxPoolIdentity-r12", "lte-rrc.SL_TxPoolIdentity_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SL_TxPoolToReleaseListExt_r13_item,
      { "SL-TxPoolIdentity-v1310", "lte-rrc.SL_TxPoolIdentity_v1310",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_commTxResources_r14,
      { "commTxResources-r14", "lte-rrc.commTxResources_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_commTxResources_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_144,
      { "setup", "lte-rrc.setup",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_setup_126_vals), 0,
        "T_setup_126", HFILL }},
    { &hf_lte_rrc_scheduled_r14,
      { "scheduled-r14", "lte-rrc.scheduled_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sl_V_RNTI_r14,
      { "sl-V-RNTI-r14", "lte-rrc.sl_V_RNTI_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_mac_MainConfig_r14,
      { "mac-MainConfig-r14", "lte-rrc.mac_MainConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MAC_MainConfigSL_r12", HFILL }},
    { &hf_lte_rrc_mcs_r14,
      { "mcs-r14", "lte-rrc.mcs_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_logicalChGroupInfoList_r14,
      { "logicalChGroupInfoList-r14", "lte-rrc.logicalChGroupInfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "LogicalChGroupInfoList_r13", HFILL }},
    { &hf_lte_rrc_ue_Selected_r14,
      { "ue-Selected-r14", "lte-rrc.ue_Selected_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_v2x_CommTxPoolNormalDedicated_r14,
      { "v2x-CommTxPoolNormalDedicated-r14", "lte-rrc.v2x_CommTxPoolNormalDedicated_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_poolToReleaseList_r14,
      { "poolToReleaseList-r14", "lte-rrc.poolToReleaseList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TxPoolToReleaseListV2X_r14", HFILL }},
    { &hf_lte_rrc_poolToAddModList_r14,
      { "poolToAddModList-r14", "lte-rrc.poolToAddModList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_TxPoolToAddModListV2X_r14", HFILL }},
    { &hf_lte_rrc_v2x_CommTxPoolSensingConfig_r14,
      { "v2x-CommTxPoolSensingConfig-r14", "lte-rrc.v2x_CommTxPoolSensingConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommTxPoolSensingConfig_r14", HFILL }},
    { &hf_lte_rrc_cbr_DedicatedTxConfigList_r14,
      { "cbr-DedicatedTxConfigList-r14", "lte-rrc.cbr_DedicatedTxConfigList_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CBR_CommonTxConfigList_r14", HFILL }},
    { &hf_lte_rrc_SL_TxPoolToAddModListV2X_r14_item,
      { "SL-TxPoolToAddMod-r14", "lte-rrc.SL_TxPoolToAddMod_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_poolIdentity_r14_01,
      { "poolIdentity-r14", "lte-rrc.poolIdentity_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SL_V2X_TxPoolIdentity_r14", HFILL }},
    { &hf_lte_rrc_pool_r14,
      { "pool-r14", "lte-rrc.pool_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SL_CommResourcePoolV2X_r14", HFILL }},
    { &hf_lte_rrc_SL_TxPoolToReleaseListV2X_r14_item,
      { "SL-V2X-TxPoolIdentity-r14", "lte-rrc.SL_V2X_TxPoolIdentity_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_zoneLength_r14,
      { "zoneLength-r14", "lte-rrc.zoneLength_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_zoneLength_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_zoneWidth_r14,
      { "zoneWidth-r14", "lte-rrc.zoneWidth_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_zoneWidth_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_zoneIdLongiMod_r14,
      { "zoneIdLongiMod-r14", "lte-rrc.zoneIdLongiMod_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_zoneIdLatiMod_r14,
      { "zoneIdLatiMod-r14", "lte-rrc.zoneIdLatiMod_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_4", HFILL }},
    { &hf_lte_rrc_message_12,
      { "message", "lte-rrc.message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SBCCH_SL_BCH_MessageType", HFILL }},
    { &hf_lte_rrc_message_13,
      { "message", "lte-rrc.message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SBCCH_SL_BCH_MessageType_V2X_r14", HFILL }},
    { &hf_lte_rrc_sl_Bandwidth_r12,
      { "sl-Bandwidth-r12", "lte-rrc.sl_Bandwidth_r12",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sl_Bandwidth_r12_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_ConfigSL_r12,
      { "tdd-ConfigSL-r12", "lte-rrc.tdd_ConfigSL_r12_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_directFrameNumber_r12,
      { "directFrameNumber-r12", "lte-rrc.directFrameNumber_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_directSubframeNumber_r12,
      { "directSubframeNumber-r12", "lte-rrc.directSubframeNumber_r12",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_9", HFILL }},
    { &hf_lte_rrc_inCoverage_r12,
      { "inCoverage-r12", "lte-rrc.inCoverage_r12",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_reserved_r12,
      { "reserved-r12", "lte-rrc.reserved_r12",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_19", HFILL }},
    { &hf_lte_rrc_sl_Bandwidth_r14_01,
      { "sl-Bandwidth-r14", "lte-rrc.sl_Bandwidth_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sl_Bandwidth_r14_01_vals), 0,
        "T_sl_Bandwidth_r14_01", HFILL }},
    { &hf_lte_rrc_tdd_ConfigSL_r14,
      { "tdd-ConfigSL-r14", "lte-rrc.tdd_ConfigSL_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "TDD_ConfigSL_r12", HFILL }},
    { &hf_lte_rrc_directFrameNumber_r14,
      { "directFrameNumber-r14", "lte-rrc.directFrameNumber_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_directSubframeNumber_r14,
      { "directSubframeNumber-r14", "lte-rrc.directSubframeNumber_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_9", HFILL }},
    { &hf_lte_rrc_inCoverage_r14,
      { "inCoverage-r14", "lte-rrc.inCoverage_r14",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_reserved_r14,
      { "reserved-r14", "lte-rrc.reserved_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_27", HFILL }},
    { &hf_lte_rrc_criticalExtensions_52,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_52_vals), 0,
        "T_criticalExtensions_52", HFILL }},
    { &hf_lte_rrc_c1_49,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_49_vals), 0,
        "T_c1_49", HFILL }},
    { &hf_lte_rrc_handoverPreparationInformation_r13,
      { "handoverPreparationInformation-r13", "lte-rrc.handoverPreparationInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_NB_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_52,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_52", HFILL }},
    { &hf_lte_rrc_ue_RadioAccessCapabilityInfo_r13,
      { "ue-RadioAccessCapabilityInfo-r13", "lte-rrc.ue_RadioAccessCapabilityInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_Capability_NB_r13", HFILL }},
    { &hf_lte_rrc_as_Config_r13,
      { "as-Config-r13", "lte-rrc.as_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AS_Config_NB", HFILL }},
    { &hf_lte_rrc_rrm_Config_r13,
      { "rrm-Config-r13", "lte-rrc.rrm_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRM_Config_NB", HFILL }},
    { &hf_lte_rrc_as_Context_r13,
      { "as-Context-r13", "lte-rrc.as_Context_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AS_Context_NB", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_235,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_NB_v1380_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_236,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "HandoverPreparationInformation_NB_Ext_r14_IEs", HFILL }},
    { &hf_lte_rrc_ue_RadioAccessCapabilityInfoExt_r14,
      { "ue-RadioAccessCapabilityInfoExt-r14", "lte-rrc.ue_RadioAccessCapabilityInfoExt_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_ue_RadioAccessCapabilityInfoExt_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_237,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_69", HFILL }},
    { &hf_lte_rrc_criticalExtensions_53,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_53_vals), 0,
        "T_criticalExtensions_53", HFILL }},
    { &hf_lte_rrc_c1_50,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_50_vals), 0,
        "T_c1_50", HFILL }},
    { &hf_lte_rrc_uePagingCoverageInformation_r13_01,
      { "uePagingCoverageInformation-r13", "lte-rrc.uePagingCoverageInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UEPagingCoverageInformation_NB_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_53,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_53", HFILL }},
    { &hf_lte_rrc_npdcch_NumRepetitionPaging_r13,
      { "npdcch-NumRepetitionPaging-r13", "lte-rrc.npdcch_NumRepetitionPaging_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_2048", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_238,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_70", HFILL }},
    { &hf_lte_rrc_criticalExtensions_54,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_54_vals), 0,
        "T_criticalExtensions_54", HFILL }},
    { &hf_lte_rrc_c1_51,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_51_vals), 0,
        "T_c1_51", HFILL }},
    { &hf_lte_rrc_ueRadioAccessCapabilityInformation_r13,
      { "ueRadioAccessCapabilityInformation-r13", "lte-rrc.ueRadioAccessCapabilityInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UERadioAccessCapabilityInformation_NB_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_54,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_54", HFILL }},
    { &hf_lte_rrc_ue_RadioAccessCapabilityInfo_r13_01,
      { "ue-RadioAccessCapabilityInfo-r13", "lte-rrc.ue_RadioAccessCapabilityInfo_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_239,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UERadioAccessCapabilityInformation_NB_v1380_IEs", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_240,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UERadioAccessCapabilityInformation_NB_r14_IEs", HFILL }},
    { &hf_lte_rrc_ue_RadioAccessCapabilityInfo_r14,
      { "ue-RadioAccessCapabilityInfo-r14", "lte-rrc.ue_RadioAccessCapabilityInfo_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_241,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_71", HFILL }},
    { &hf_lte_rrc_criticalExtensions_55,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_55_vals), 0,
        "T_criticalExtensions_55", HFILL }},
    { &hf_lte_rrc_c1_52,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_52_vals), 0,
        "T_c1_52", HFILL }},
    { &hf_lte_rrc_ueRadioPagingInformation_r13,
      { "ueRadioPagingInformation-r13", "lte-rrc.ueRadioPagingInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UERadioPagingInformation_NB_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_55,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_55", HFILL }},
    { &hf_lte_rrc_ue_RadioPagingInfo_r13,
      { "ue-RadioPagingInfo-r13", "lte-rrc.ue_RadioPagingInfo_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_242,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_72", HFILL }},
    { &hf_lte_rrc_sourceRadioResourceConfig_r13,
      { "sourceRadioResourceConfig-r13", "lte-rrc.sourceRadioResourceConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_sourceSecurityAlgorithmConfig_r13,
      { "sourceSecurityAlgorithmConfig-r13", "lte-rrc.sourceSecurityAlgorithmConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityAlgorithmConfig", HFILL }},
    { &hf_lte_rrc_sourceUE_Identity_r13,
      { "sourceUE-Identity-r13", "lte-rrc.sourceUE_Identity_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "C_RNTI", HFILL }},
    { &hf_lte_rrc_sourceDl_CarrierFreq_r13,
      { "sourceDl-CarrierFreq-r13", "lte-rrc.sourceDl_CarrierFreq_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreq_NB_r13", HFILL }},
    { &hf_lte_rrc_reestablishmentInfo_r13,
      { "reestablishmentInfo-r13", "lte-rrc.reestablishmentInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ReestablishmentInfo_NB", HFILL }},
    { &hf_lte_rrc_sourcePhysCellId_r13,
      { "sourcePhysCellId-r13", "lte-rrc.sourcePhysCellId_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_targetCellShortMAC_I_r13,
      { "targetCellShortMAC-I-r13", "lte-rrc.targetCellShortMAC_I_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "ShortMAC_I", HFILL }},
    { &hf_lte_rrc_additionalReestabInfoList_r13,
      { "additionalReestabInfoList-r13", "lte-rrc.additionalReestabInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalReestabInfoList", HFILL }},
    { &hf_lte_rrc_ue_InactiveTime_01,
      { "ue-InactiveTime", "lte-rrc.ue_InactiveTime",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_ue_InactiveTime_01_vals_ext, 0,
        "T_ue_InactiveTime_01", HFILL }},
    { &hf_lte_rrc_message_14,
      { "message", "lte-rrc.message_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BCCH_BCH_MessageType_NB", HFILL }},
    { &hf_lte_rrc_message_15,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_BCCH_DL_SCH_MessageType_NB_vals), 0,
        "BCCH_DL_SCH_MessageType_NB", HFILL }},
    { &hf_lte_rrc_c1_53,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_53_vals), 0,
        "T_c1_53", HFILL }},
    { &hf_lte_rrc_systemInformation_r13,
      { "systemInformation-r13", "lte-rrc.systemInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformation_NB", HFILL }},
    { &hf_lte_rrc_systemInformationBlockType1_r13,
      { "systemInformationBlockType1-r13", "lte-rrc.systemInformationBlockType1_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_NB", HFILL }},
    { &hf_lte_rrc_messageClassExtension_10,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_10", HFILL }},
    { &hf_lte_rrc_message_16,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PCCH_MessageType_NB_vals), 0,
        "PCCH_MessageType_NB", HFILL }},
    { &hf_lte_rrc_c1_54,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_54_vals), 0,
        "T_c1_54", HFILL }},
    { &hf_lte_rrc_paging_r13,
      { "paging-r13", "lte-rrc.paging_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Paging_NB", HFILL }},
    { &hf_lte_rrc_messageClassExtension_11,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_11", HFILL }},
    { &hf_lte_rrc_message_17,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DL_CCCH_MessageType_NB_vals), 0,
        "DL_CCCH_MessageType_NB", HFILL }},
    { &hf_lte_rrc_c1_55,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_55_vals), 0,
        "T_c1_55", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishment_r13,
      { "rrcConnectionReestablishment-r13", "lte-rrc.rrcConnectionReestablishment_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishment_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentReject_r13,
      { "rrcConnectionReestablishmentReject-r13", "lte-rrc.rrcConnectionReestablishmentReject_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentReject", HFILL }},
    { &hf_lte_rrc_rrcConnectionReject_r13,
      { "rrcConnectionReject-r13", "lte-rrc.rrcConnectionReject_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReject_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionSetup_r13,
      { "rrcConnectionSetup-r13", "lte-rrc.rrcConnectionSetup_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetup_NB", HFILL }},
    { &hf_lte_rrc_messageClassExtension_12,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_12", HFILL }},
    { &hf_lte_rrc_message_18,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DL_DCCH_MessageType_NB_vals), 0,
        "DL_DCCH_MessageType_NB", HFILL }},
    { &hf_lte_rrc_c1_56,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_56_vals), 0,
        "T_c1_56", HFILL }},
    { &hf_lte_rrc_dlInformationTransfer_r13,
      { "dlInformationTransfer-r13", "lte-rrc.dlInformationTransfer_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DLInformationTransfer_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionReconfiguration_r13,
      { "rrcConnectionReconfiguration-r13", "lte-rrc.rrcConnectionReconfiguration_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionRelease_r13,
      { "rrcConnectionRelease-r13", "lte-rrc.rrcConnectionRelease_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRelease_NB", HFILL }},
    { &hf_lte_rrc_securityModeCommand_r13,
      { "securityModeCommand-r13", "lte-rrc.securityModeCommand_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeCommand", HFILL }},
    { &hf_lte_rrc_ueCapabilityEnquiry_r13,
      { "ueCapabilityEnquiry-r13", "lte-rrc.ueCapabilityEnquiry_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityEnquiry_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionResume_r13_02,
      { "rrcConnectionResume-r13", "lte-rrc.rrcConnectionResume_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResume_NB", HFILL }},
    { &hf_lte_rrc_messageClassExtension_13,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_13", HFILL }},
    { &hf_lte_rrc_message_19,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_UL_CCCH_MessageType_NB_vals), 0,
        "UL_CCCH_MessageType_NB", HFILL }},
    { &hf_lte_rrc_c1_57,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_57_vals), 0,
        "T_c1_57", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentRequest_r13,
      { "rrcConnectionReestablishmentRequest-r13", "lte-rrc.rrcConnectionReestablishmentRequest_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentRequest_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionRequest_r13,
      { "rrcConnectionRequest-r13", "lte-rrc.rrcConnectionRequest_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRequest_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionResumeRequest_r13_02,
      { "rrcConnectionResumeRequest-r13", "lte-rrc.rrcConnectionResumeRequest_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResumeRequest_NB", HFILL }},
    { &hf_lte_rrc_messageClassExtension_14,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_14", HFILL }},
    { &hf_lte_rrc_message_20,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SC_MCCH_MessageType_NB_vals), 0,
        "SC_MCCH_MessageType_NB", HFILL }},
    { &hf_lte_rrc_c1_58,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_58_vals), 0,
        "T_c1_58", HFILL }},
    { &hf_lte_rrc_scptmConfiguration_r14,
      { "scptmConfiguration-r14", "lte-rrc.scptmConfiguration_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SCPTMConfiguration_NB_r14", HFILL }},
    { &hf_lte_rrc_messageClassExtension_15,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_15", HFILL }},
    { &hf_lte_rrc_message_21,
      { "message", "lte-rrc.message",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_UL_DCCH_MessageType_NB_vals), 0,
        "UL_DCCH_MessageType_NB", HFILL }},
    { &hf_lte_rrc_c1_59,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_59_vals), 0,
        "T_c1_59", HFILL }},
    { &hf_lte_rrc_rrcConnectionReconfigurationComplete_r13,
      { "rrcConnectionReconfigurationComplete-r13", "lte-rrc.rrcConnectionReconfigurationComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentComplete_r13,
      { "rrcConnectionReestablishmentComplete-r13", "lte-rrc.rrcConnectionReestablishmentComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentComplete_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionSetupComplete_r13,
      { "rrcConnectionSetupComplete-r13", "lte-rrc.rrcConnectionSetupComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_NB", HFILL }},
    { &hf_lte_rrc_securityModeComplete_r13,
      { "securityModeComplete-r13", "lte-rrc.securityModeComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeComplete", HFILL }},
    { &hf_lte_rrc_securityModeFailure_r13,
      { "securityModeFailure-r13", "lte-rrc.securityModeFailure_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SecurityModeFailure", HFILL }},
    { &hf_lte_rrc_ueCapabilityInformation_r13,
      { "ueCapabilityInformation-r13", "lte-rrc.ueCapabilityInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityInformation_NB", HFILL }},
    { &hf_lte_rrc_ulInformationTransfer_r13,
      { "ulInformationTransfer-r13", "lte-rrc.ulInformationTransfer_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ULInformationTransfer_NB", HFILL }},
    { &hf_lte_rrc_rrcConnectionResumeComplete_r13_02,
      { "rrcConnectionResumeComplete-r13", "lte-rrc.rrcConnectionResumeComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResumeComplete_NB", HFILL }},
    { &hf_lte_rrc_messageClassExtension_16,
      { "messageClassExtension", "lte-rrc.messageClassExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_messageClassExtension_16", HFILL }},
    { &hf_lte_rrc_criticalExtensions_56,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_56_vals), 0,
        "T_criticalExtensions_56", HFILL }},
    { &hf_lte_rrc_c1_60,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_60_vals), 0,
        "T_c1_60", HFILL }},
    { &hf_lte_rrc_dlInformationTransfer_r13_01,
      { "dlInformationTransfer-r13", "lte-rrc.dlInformationTransfer_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DLInformationTransfer_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_56,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_56", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_243,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_73", HFILL }},
    { &hf_lte_rrc_systemFrameNumber_MSB_r13,
      { "systemFrameNumber-MSB-r13", "lte-rrc.systemFrameNumber_MSB_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_4", HFILL }},
    { &hf_lte_rrc_hyperSFN_LSB_r13,
      { "hyperSFN-LSB-r13", "lte-rrc.hyperSFN_LSB_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_2", HFILL }},
    { &hf_lte_rrc_schedulingInfoSIB1_r13,
      { "schedulingInfoSIB1-r13", "lte-rrc.schedulingInfoSIB1_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_schedulingInfoSIB1_NB_r13_vals_ext, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_systemInfoValueTag_r13,
      { "systemInfoValueTag-r13", "lte-rrc.systemInfoValueTag_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_ab_Enabled_r13,
      { "ab-Enabled-r13", "lte-rrc.ab_Enabled_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_operationModeInfo_r13,
      { "operationModeInfo-r13", "lte-rrc.operationModeInfo_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_operationModeInfo_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_inband_SamePCI_r13,
      { "inband-SamePCI-r13", "lte-rrc.inband_SamePCI_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Inband_SamePCI_NB_r13", HFILL }},
    { &hf_lte_rrc_inband_DifferentPCI_r13,
      { "inband-DifferentPCI-r13", "lte-rrc.inband_DifferentPCI_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Inband_DifferentPCI_NB_r13", HFILL }},
    { &hf_lte_rrc_guardband_r13,
      { "guardband-r13", "lte-rrc.guardband_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Guardband_NB_r13", HFILL }},
    { &hf_lte_rrc_standalone_r13,
      { "standalone-r13", "lte-rrc.standalone_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "Standalone_NB_r13", HFILL }},
    { &hf_lte_rrc_spare_05,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_11", HFILL }},
    { &hf_lte_rrc_rasterOffset_r13,
      { "rasterOffset-r13", "lte-rrc.rasterOffset_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ChannelRasterOffset_NB_r13_vals), 0,
        "ChannelRasterOffset_NB_r13", HFILL }},
    { &hf_lte_rrc_spare_06,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_3", HFILL }},
    { &hf_lte_rrc_eutra_CRS_SequenceInfo_r13,
      { "eutra-CRS-SequenceInfo-r13", "lte-rrc.eutra_CRS_SequenceInfo_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_31", HFILL }},
    { &hf_lte_rrc_eutra_NumCRS_Ports_r13,
      { "eutra-NumCRS-Ports-r13", "lte-rrc.eutra_NumCRS_Ports_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eutra_NumCRS_Ports_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pagingRecordList_r13,
      { "pagingRecordList-r13", "lte-rrc.pagingRecordList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PagingRecordList_NB_r13", HFILL }},
    { &hf_lte_rrc_systemInfoModification_r13,
      { "systemInfoModification-r13", "lte-rrc.systemInfoModification_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_systemInfoModification_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_systemInfoModification_eDRX_r13_01,
      { "systemInfoModification-eDRX-r13", "lte-rrc.systemInfoModification_eDRX_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_systemInfoModification_eDRX_r13_01_vals), 0,
        "T_systemInfoModification_eDRX_r13_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_244,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_74", HFILL }},
    { &hf_lte_rrc_PagingRecordList_NB_r13_item,
      { "PagingRecord-NB-r13", "lte-rrc.PagingRecord_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_Identity_r13,
      { "ue-Identity-r13", "lte-rrc.ue_Identity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PagingUE_Identity_vals), 0,
        "PagingUE_Identity", HFILL }},
    { &hf_lte_rrc_criticalExtensions_57,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_57_vals), 0,
        "T_criticalExtensions_57", HFILL }},
    { &hf_lte_rrc_c1_61,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_61_vals), 0,
        "T_c1_61", HFILL }},
    { &hf_lte_rrc_rrcConnectionReconfiguration_r13_01,
      { "rrcConnectionReconfiguration-r13", "lte-rrc.rrcConnectionReconfiguration_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfiguration_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_57,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_57", HFILL }},
    { &hf_lte_rrc_dedicatedInfoNASList_r13,
      { "dedicatedInfoNASList-r13", "lte-rrc.dedicatedInfoNASList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS", HFILL }},
    { &hf_lte_rrc_dedicatedInfoNASList_r13_item,
      { "DedicatedInfoNAS", "lte-rrc.DedicatedInfoNAS",
        FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_radioResourceConfigDedicated_r13_01,
      { "radioResourceConfigDedicated-r13", "lte-rrc.radioResourceConfigDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_fullConfig_r13,
      { "fullConfig-r13", "lte-rrc.fullConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_fullConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_245,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_75", HFILL }},
    { &hf_lte_rrc_criticalExtensions_58,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_58_vals), 0,
        "T_criticalExtensions_58", HFILL }},
    { &hf_lte_rrc_rrcConnectionReconfigurationComplete_r13_01,
      { "rrcConnectionReconfigurationComplete-r13", "lte-rrc.rrcConnectionReconfigurationComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReconfigurationComplete_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_58,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_58", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_246,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_76", HFILL }},
    { &hf_lte_rrc_criticalExtensions_59,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_59_vals), 0,
        "T_criticalExtensions_59", HFILL }},
    { &hf_lte_rrc_c1_62,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_62_vals), 0,
        "T_c1_62", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishment_r13_01,
      { "rrcConnectionReestablishment-r13", "lte-rrc.rrcConnectionReestablishment_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishment_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_59,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_59", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_247,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishment_NB_v1430_IEs", HFILL }},
    { &hf_lte_rrc_dl_NAS_MAC,
      { "dl-NAS-MAC", "lte-rrc.dl_NAS_MAC",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_248,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_77", HFILL }},
    { &hf_lte_rrc_criticalExtensions_60,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_60_vals), 0,
        "T_criticalExtensions_60", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentComplete_r13_01,
      { "rrcConnectionReestablishmentComplete-r13", "lte-rrc.rrcConnectionReestablishmentComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentComplete_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_60,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_60", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_249,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_78", HFILL }},
    { &hf_lte_rrc_criticalExtensions_61,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_61_vals), 0,
        "T_criticalExtensions_61", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentRequest_r13_01,
      { "rrcConnectionReestablishmentRequest-r13", "lte-rrc.rrcConnectionReestablishmentRequest_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentRequest_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_later_01,
      { "later", "lte-rrc.later",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_later_01_vals), 0,
        "T_later_01", HFILL }},
    { &hf_lte_rrc_rrcConnectionReestablishmentRequest_r14,
      { "rrcConnectionReestablishmentRequest-r14", "lte-rrc.rrcConnectionReestablishmentRequest_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReestablishmentRequest_NB_r14_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_61,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_61", HFILL }},
    { &hf_lte_rrc_ue_Identity_r13_01,
      { "ue-Identity-r13", "lte-rrc.ue_Identity_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ReestabUE_Identity", HFILL }},
    { &hf_lte_rrc_reestablishmentCause_r13,
      { "reestablishmentCause-r13", "lte-rrc.reestablishmentCause_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ReestablishmentCause_NB_r13_vals), 0,
        "ReestablishmentCause_NB_r13", HFILL }},
    { &hf_lte_rrc_spare_07,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_25", HFILL }},
    { &hf_lte_rrc_ue_Identity_r14,
      { "ue-Identity-r14", "lte-rrc.ue_Identity_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ReestabUE_Identity_CP_NB_r14", HFILL }},
    { &hf_lte_rrc_reestablishmentCause_r14,
      { "reestablishmentCause-r14", "lte-rrc.reestablishmentCause_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ReestablishmentCause_NB_r13_vals), 0,
        "ReestablishmentCause_NB_r13", HFILL }},
    { &hf_lte_rrc_spare_08,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_4", HFILL }},
    { &hf_lte_rrc_s_TMSI_r14,
      { "s-TMSI-r14", "lte-rrc.s_TMSI_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "S_TMSI", HFILL }},
    { &hf_lte_rrc_ul_NAS_MAC_r14,
      { "ul-NAS-MAC-r14", "lte-rrc.ul_NAS_MAC_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_16", HFILL }},
    { &hf_lte_rrc_ul_NAS_Count_r14,
      { "ul-NAS-Count-r14", "lte-rrc.ul_NAS_Count_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_5", HFILL }},
    { &hf_lte_rrc_criticalExtensions_62,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_62_vals), 0,
        "T_criticalExtensions_62", HFILL }},
    { &hf_lte_rrc_c1_63,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_63_vals), 0,
        "T_c1_63", HFILL }},
    { &hf_lte_rrc_rrcConnectionReject_r13_01,
      { "rrcConnectionReject-r13", "lte-rrc.rrcConnectionReject_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionReject_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_62,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_62", HFILL }},
    { &hf_lte_rrc_extendedWaitTime_r13,
      { "extendedWaitTime-r13", "lte-rrc.extendedWaitTime_r13",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "INTEGER_1_1800", HFILL }},
    { &hf_lte_rrc_rrc_SuspendIndication_r13_01,
      { "rrc-SuspendIndication-r13", "lte-rrc.rrc_SuspendIndication_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rrc_SuspendIndication_r13_01_vals), 0,
        "T_rrc_SuspendIndication_r13_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_250,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_79", HFILL }},
    { &hf_lte_rrc_criticalExtensions_63,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_63_vals), 0,
        "T_criticalExtensions_63", HFILL }},
    { &hf_lte_rrc_c1_64,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_64_vals), 0,
        "T_c1_64", HFILL }},
    { &hf_lte_rrc_rrcConnectionRelease_r13_01,
      { "rrcConnectionRelease-r13", "lte-rrc.rrcConnectionRelease_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRelease_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_63,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_63", HFILL }},
    { &hf_lte_rrc_releaseCause_r13,
      { "releaseCause-r13", "lte-rrc.releaseCause_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ReleaseCause_NB_r13_vals), 0,
        "ReleaseCause_NB_r13", HFILL }},
    { &hf_lte_rrc_redirectedCarrierInfo_r13,
      { "redirectedCarrierInfo-r13", "lte-rrc.redirectedCarrierInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RedirectedCarrierInfo_NB_r13", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_251,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRelease_NB_v1430_IEs", HFILL }},
    { &hf_lte_rrc_redirectedCarrierInfo_v1430,
      { "redirectedCarrierInfo-v1430", "lte-rrc.redirectedCarrierInfo_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RedirectedCarrierInfo_NB_v1430", HFILL }},
    { &hf_lte_rrc_extendedWaitTime_CPdata_r14,
      { "extendedWaitTime-CPdata-r14", "lte-rrc.extendedWaitTime_CPdata_r14",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_seconds, 0,
        "INTEGER_1_1800", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_252,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_80", HFILL }},
    { &hf_lte_rrc_redirectedCarrierOffsetDedicated_r14,
      { "redirectedCarrierOffsetDedicated-r14", "lte-rrc.redirectedCarrierOffsetDedicated_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_redirectedCarrierOffsetDedicated_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t322_r14,
      { "t322-r14", "lte-rrc.t322_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t322_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_criticalExtensions_64,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_64_vals), 0,
        "T_criticalExtensions_64", HFILL }},
    { &hf_lte_rrc_rrcConnectionRequest_r13_01,
      { "rrcConnectionRequest-r13", "lte-rrc.rrcConnectionRequest_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionRequest_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_64,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_64", HFILL }},
    { &hf_lte_rrc_ue_Identity_r13_02,
      { "ue-Identity-r13", "lte-rrc.ue_Identity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_InitialUE_Identity_vals), 0,
        "InitialUE_Identity", HFILL }},
    { &hf_lte_rrc_establishmentCause_r13,
      { "establishmentCause-r13", "lte-rrc.establishmentCause_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_EstablishmentCause_NB_r13_vals), 0,
        "EstablishmentCause_NB_r13", HFILL }},
    { &hf_lte_rrc_multiToneSupport_r13,
      { "multiToneSupport-r13", "lte-rrc.multiToneSupport_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiToneSupport_r13_vals), 0,
        "T_multiToneSupport_r13", HFILL }},
    { &hf_lte_rrc_multiCarrierSupport_r13,
      { "multiCarrierSupport-r13", "lte-rrc.multiCarrierSupport_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiCarrierSupport_r13_vals), 0,
        "T_multiCarrierSupport_r13", HFILL }},
    { &hf_lte_rrc_spare_09,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_22", HFILL }},
    { &hf_lte_rrc_criticalExtensions_65,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_65_vals), 0,
        "T_criticalExtensions_65", HFILL }},
    { &hf_lte_rrc_c1_65,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_65_vals), 0,
        "T_c1_65", HFILL }},
    { &hf_lte_rrc_rrcConnectionResume_r13_03,
      { "rrcConnectionResume-r13", "lte-rrc.rrcConnectionResume_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResume_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_65,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_65", HFILL }},
    { &hf_lte_rrc_drb_ContinueROHC_r13_01,
      { "drb-ContinueROHC-r13", "lte-rrc.drb_ContinueROHC_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drb_ContinueROHC_r13_01_vals), 0,
        "T_drb_ContinueROHC_r13_01", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_253,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_81", HFILL }},
    { &hf_lte_rrc_criticalExtensions_66,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_66_vals), 0,
        "T_criticalExtensions_66", HFILL }},
    { &hf_lte_rrc_rrcConnectionResumeComplete_r13_03,
      { "rrcConnectionResumeComplete-r13", "lte-rrc.rrcConnectionResumeComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResumeComplete_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_66,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_66", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_254,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_82", HFILL }},
    { &hf_lte_rrc_criticalExtensions_67,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_67_vals), 0,
        "T_criticalExtensions_67", HFILL }},
    { &hf_lte_rrc_rrcConnectionResumeRequest_r13_03,
      { "rrcConnectionResumeRequest-r13", "lte-rrc.rrcConnectionResumeRequest_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionResumeRequest_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_67,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_67", HFILL }},
    { &hf_lte_rrc_shortResumeMAC_I_r13_01,
      { "shortResumeMAC-I-r13", "lte-rrc.shortResumeMAC_I_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "ShortMAC_I", HFILL }},
    { &hf_lte_rrc_resumeCause_r13_01,
      { "resumeCause-r13", "lte-rrc.resumeCause_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_EstablishmentCause_NB_r13_vals), 0,
        "EstablishmentCause_NB_r13", HFILL }},
    { &hf_lte_rrc_spare_10,
      { "spare", "lte-rrc.spare",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_9", HFILL }},
    { &hf_lte_rrc_criticalExtensions_68,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_68_vals), 0,
        "T_criticalExtensions_68", HFILL }},
    { &hf_lte_rrc_c1_66,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_66_vals), 0,
        "T_c1_66", HFILL }},
    { &hf_lte_rrc_rrcConnectionSetup_r13_01,
      { "rrcConnectionSetup-r13", "lte-rrc.rrcConnectionSetup_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetup_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_68,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_68", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_255,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_83", HFILL }},
    { &hf_lte_rrc_criticalExtensions_69,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_69_vals), 0,
        "T_criticalExtensions_69", HFILL }},
    { &hf_lte_rrc_rrcConnectionSetupComplete_r13_01,
      { "rrcConnectionSetupComplete-r13", "lte-rrc.rrcConnectionSetupComplete_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_69,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_69", HFILL }},
    { &hf_lte_rrc_registeredMME_r13,
      { "registeredMME-r13", "lte-rrc.registeredMME_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RegisteredMME", HFILL }},
    { &hf_lte_rrc_attachWithoutPDN_Connectivity_r13_02,
      { "attachWithoutPDN-Connectivity-r13", "lte-rrc.attachWithoutPDN_Connectivity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_attachWithoutPDN_Connectivity_r13_02_vals), 0,
        "T_attachWithoutPDN_Connectivity_r13_02", HFILL }},
    { &hf_lte_rrc_up_CIoT_EPS_Optimisation_r13_02,
      { "up-CIoT-EPS-Optimisation-r13", "lte-rrc.up_CIoT_EPS_Optimisation_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_up_CIoT_EPS_Optimisation_r13_02_vals), 0,
        "T_up_CIoT_EPS_Optimisation_r13_02", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_256,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RRCConnectionSetupComplete_NB_v1430_IEs", HFILL }},
    { &hf_lte_rrc_gummei_Type_r14,
      { "gummei-Type-r14", "lte-rrc.gummei_Type_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_gummei_Type_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_257,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_84", HFILL }},
    { &hf_lte_rrc_sc_mtch_InfoList_r14_01,
      { "sc-mtch-InfoList-r14", "lte-rrc.sc_mtch_InfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SC_MTCH_InfoList_NB_r14", HFILL }},
    { &hf_lte_rrc_scptm_NeighbourCellList_r14_01,
      { "scptm-NeighbourCellList-r14", "lte-rrc.scptm_NeighbourCellList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SCPTM_NeighbourCellList_NB_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_258,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_85", HFILL }},
    { &hf_lte_rrc_criticalExtensions_70,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_70_vals), 0,
        "T_criticalExtensions_70", HFILL }},
    { &hf_lte_rrc_systemInformation_r13_01,
      { "systemInformation-r13", "lte-rrc.systemInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformation_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_70,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_70", HFILL }},
    { &hf_lte_rrc_sib_TypeAndInfo_r13,
      { "sib-TypeAndInfo-r13", "lte-rrc.sib_TypeAndInfo_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib_TypeAndInfo_r13_item,
      { "sib-TypeAndInfo-r13 item", "lte-rrc.sib_TypeAndInfo_r13_item",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sib_TypeAndInfo_r13_item_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib2_r13,
      { "sib2-r13", "lte-rrc.sib2_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType2_NB_r13", HFILL }},
    { &hf_lte_rrc_sib3_r13,
      { "sib3-r13", "lte-rrc.sib3_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType3_NB_r13", HFILL }},
    { &hf_lte_rrc_sib4_r13,
      { "sib4-r13", "lte-rrc.sib4_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType4_NB_r13", HFILL }},
    { &hf_lte_rrc_sib5_r13,
      { "sib5-r13", "lte-rrc.sib5_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType5_NB_r13", HFILL }},
    { &hf_lte_rrc_sib14_r13,
      { "sib14-r13", "lte-rrc.sib14_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType14_NB_r13", HFILL }},
    { &hf_lte_rrc_sib16_r13,
      { "sib16-r13", "lte-rrc.sib16_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType16_NB_r13", HFILL }},
    { &hf_lte_rrc_sib15_v1430,
      { "sib15-v1430", "lte-rrc.sib15_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType15_NB_r14", HFILL }},
    { &hf_lte_rrc_sib20_v1430,
      { "sib20-v1430", "lte-rrc.sib20_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType20_NB_r14", HFILL }},
    { &hf_lte_rrc_sib22_v1430,
      { "sib22-v1430", "lte-rrc.sib22_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType22_NB_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_259,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_86", HFILL }},
    { &hf_lte_rrc_hyperSFN_MSB_r13,
      { "hyperSFN-MSB-r13", "lte-rrc.hyperSFN_MSB_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_8", HFILL }},
    { &hf_lte_rrc_cellAccessRelatedInfo_r13,
      { "cellAccessRelatedInfo-r13", "lte-rrc.cellAccessRelatedInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_IdentityList_r13_01,
      { "plmn-IdentityList-r13", "lte-rrc.plmn_IdentityList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PLMN_IdentityList_NB_r13", HFILL }},
    { &hf_lte_rrc_trackingAreaCode_r13,
      { "trackingAreaCode-r13", "lte-rrc.trackingAreaCode_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "TrackingAreaCode", HFILL }},
    { &hf_lte_rrc_cellIdentity_r13,
      { "cellIdentity-r13", "lte-rrc.cellIdentity_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "CellIdentity", HFILL }},
    { &hf_lte_rrc_cellBarred_r13,
      { "cellBarred-r13", "lte-rrc.cellBarred_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cellBarred_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqReselection_r13,
      { "intraFreqReselection-r13", "lte-rrc.intraFreqReselection_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_intraFreqReselection_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cellSelectionInfo_r13,
      { "cellSelectionInfo-r13", "lte-rrc.cellSelectionInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_QualMin_r13,
      { "q-QualMin-r13", "lte-rrc.q_QualMin_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "Q_QualMin_r9", HFILL }},
    { &hf_lte_rrc_freqBandIndicator_r13_01,
      { "freqBandIndicator-r13", "lte-rrc.freqBandIndicator_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_NB_r13", HFILL }},
    { &hf_lte_rrc_freqBandInfo_r13,
      { "freqBandInfo-r13", "lte-rrc.freqBandInfo_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NS_PmaxList_NB_r13", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r13_01,
      { "multiBandInfoList-r13", "lte-rrc.multiBandInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MultiBandInfoList_NB_r13", HFILL }},
    { &hf_lte_rrc_downlinkBitmap_r13,
      { "downlinkBitmap-r13", "lte-rrc.downlinkBitmap_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DL_Bitmap_NB_r13_vals), 0,
        "DL_Bitmap_NB_r13", HFILL }},
    { &hf_lte_rrc_eutraControlRegionSize_r13,
      { "eutraControlRegionSize-r13", "lte-rrc.eutraControlRegionSize_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eutraControlRegionSize_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nrs_CRS_PowerOffset_r13,
      { "nrs-CRS-PowerOffset-r13", "lte-rrc.nrs_CRS_PowerOffset_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nrs_CRS_PowerOffset_r13_vals), 0,
        "T_nrs_CRS_PowerOffset_r13", HFILL }},
    { &hf_lte_rrc_schedulingInfoList_r13,
      { "schedulingInfoList-r13", "lte-rrc.schedulingInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SchedulingInfoList_NB_r13", HFILL }},
    { &hf_lte_rrc_si_WindowLength_r13,
      { "si-WindowLength-r13", "lte-rrc.si_WindowLength_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_WindowLength_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_RadioFrameOffset_r13,
      { "si-RadioFrameOffset-r13", "lte-rrc.si_RadioFrameOffset_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_15", HFILL }},
    { &hf_lte_rrc_systemInfoValueTagList_r13_01,
      { "systemInfoValueTagList-r13", "lte-rrc.systemInfoValueTagList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SystemInfoValueTagList_NB_r13", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_260,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_NB_v1350", HFILL }},
    { &hf_lte_rrc_cellSelectionInfo_v1350,
      { "cellSelectionInfo-v1350", "lte-rrc.cellSelectionInfo_v1350_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellSelectionInfo_NB_v1350", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_261,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_NB_v1430", HFILL }},
    { &hf_lte_rrc_cellSelectionInfo_v1430,
      { "cellSelectionInfo-v1430", "lte-rrc.cellSelectionInfo_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellSelectionInfo_NB_v1430", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_262,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SystemInformationBlockType1_NB_v1450", HFILL }},
    { &hf_lte_rrc_nrs_CRS_PowerOffset_v1450,
      { "nrs-CRS-PowerOffset-v1450", "lte-rrc.nrs_CRS_PowerOffset_v1450",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nrs_CRS_PowerOffset_v1450_vals), 0,
        "T_nrs_CRS_PowerOffset_v1450", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_263,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_87", HFILL }},
    { &hf_lte_rrc_PLMN_IdentityList_NB_r13_item,
      { "PLMN-IdentityInfo-NB-r13", "lte-rrc.PLMN_IdentityInfo_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_plmn_Identity_r13,
      { "plmn-Identity-r13", "lte-rrc.plmn_Identity_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PLMN_Identity", HFILL }},
    { &hf_lte_rrc_cellReservedForOperatorUse_r13,
      { "cellReservedForOperatorUse-r13", "lte-rrc.cellReservedForOperatorUse_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cellReservedForOperatorUse_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_attachWithoutPDN_Connectivity_r13_03,
      { "attachWithoutPDN-Connectivity-r13", "lte-rrc.attachWithoutPDN_Connectivity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_attachWithoutPDN_Connectivity_r13_03_vals), 0,
        "T_attachWithoutPDN_Connectivity_r13_03", HFILL }},
    { &hf_lte_rrc_SchedulingInfoList_NB_r13_item,
      { "SchedulingInfo-NB-r13", "lte-rrc.SchedulingInfo_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_Periodicity_r13,
      { "si-Periodicity-r13", "lte-rrc.si_Periodicity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_Periodicity_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_si_RepetitionPattern_r13_01,
      { "si-RepetitionPattern-r13", "lte-rrc.si_RepetitionPattern_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_RepetitionPattern_r13_01_vals), 0,
        "T_si_RepetitionPattern_r13_01", HFILL }},
    { &hf_lte_rrc_sib_MappingInfo_r13,
      { "sib-MappingInfo-r13", "lte-rrc.sib_MappingInfo_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SIB_MappingInfo_NB_r13", HFILL }},
    { &hf_lte_rrc_si_TB_r13,
      { "si-TB-r13", "lte-rrc.si_TB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_si_TB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SystemInfoValueTagList_NB_r13_item,
      { "SystemInfoValueTagSI-r13", "lte-rrc.SystemInfoValueTagSI_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SIB_MappingInfo_NB_r13_item,
      { "SIB-Type-NB-r13", "lte-rrc.SIB_Type_NB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_SIB_Type_NB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_delta_RxLevMin_v1350,
      { "delta-RxLevMin-v1350", "lte-rrc.delta_RxLevMin_v1350",
        FT_INT32, BASE_DEC, VALS(lte_rrc_delta_RxLevMin_vals), 0,
        "INTEGER_M8_M1", HFILL }},
    { &hf_lte_rrc_powerClass14dBm_Offset_r14,
      { "powerClass14dBm-Offset-r14", "lte-rrc.powerClass14dBm_Offset_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerClass14dBm_Offset_r14_vals), 0,
        "T_powerClass14dBm_Offset_r14", HFILL }},
    { &hf_lte_rrc_ce_authorisationOffset_r14,
      { "ce-authorisationOffset-r14", "lte-rrc.ce_authorisationOffset_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_authorisationOffset_r14_vals), 0,
        "T_ce_authorisationOffset_r14", HFILL }},
    { &hf_lte_rrc_criticalExtensions_71,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_71_vals), 0,
        "T_criticalExtensions_71", HFILL }},
    { &hf_lte_rrc_c1_67,
      { "c1", "lte-rrc.c1",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_c1_67_vals), 0,
        "T_c1_67", HFILL }},
    { &hf_lte_rrc_ueCapabilityEnquiry_r13_01,
      { "ueCapabilityEnquiry-r13", "lte-rrc.ueCapabilityEnquiry_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityEnquiry_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_71,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_71", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_264,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_88", HFILL }},
    { &hf_lte_rrc_criticalExtensions_72,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_72_vals), 0,
        "T_criticalExtensions_72", HFILL }},
    { &hf_lte_rrc_ueCapabilityInformation_r13_01,
      { "ueCapabilityInformation-r13", "lte-rrc.ueCapabilityInformation_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityInformation_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_72,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_72", HFILL }},
    { &hf_lte_rrc_ue_Capability_r13,
      { "ue-Capability-r13", "lte-rrc.ue_Capability_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_Capability_NB_r13", HFILL }},
    { &hf_lte_rrc_ue_RadioPagingInfo_r13_01,
      { "ue-RadioPagingInfo-r13", "lte-rrc.ue_RadioPagingInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_RadioPagingInfo_NB_r13", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_265,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UECapabilityInformation_NB_Ext_r14_IEs", HFILL }},
    { &hf_lte_rrc_ue_Capability_ContainerExt_r14,
      { "ue-Capability-ContainerExt-r14", "lte-rrc.ue_Capability_ContainerExt_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "T_ue_Capability_ContainerExt_r14", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_266,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_89", HFILL }},
    { &hf_lte_rrc_criticalExtensions_73,
      { "criticalExtensions", "lte-rrc.criticalExtensions",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_criticalExtensions_73_vals), 0,
        "T_criticalExtensions_73", HFILL }},
    { &hf_lte_rrc_ulInformationTransfer_r13_01,
      { "ulInformationTransfer-r13", "lte-rrc.ulInformationTransfer_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "ULInformationTransfer_NB_r13_IEs", HFILL }},
    { &hf_lte_rrc_criticalExtensionsFuture_73,
      { "criticalExtensionsFuture", "lte-rrc.criticalExtensionsFuture_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_criticalExtensionsFuture_73", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_267,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_90", HFILL }},
    { &hf_lte_rrc_radioResourceConfigCommon_r13,
      { "radioResourceConfigCommon-r13", "lte-rrc.radioResourceConfigCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RadioResourceConfigCommonSIB_NB_r13", HFILL }},
    { &hf_lte_rrc_ue_TimersAndConstants_r13,
      { "ue-TimersAndConstants-r13", "lte-rrc.ue_TimersAndConstants_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_TimersAndConstants_NB_r13", HFILL }},
    { &hf_lte_rrc_freqInfo_r13_01,
      { "freqInfo-r13", "lte-rrc.freqInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_freqInfo_r13_01", HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq_r13_01,
      { "ul-CarrierFreq-r13", "lte-rrc.ul_CarrierFreq_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreq_NB_r13", HFILL }},
    { &hf_lte_rrc_timeAlignmentTimerCommon_r13,
      { "timeAlignmentTimerCommon-r13", "lte-rrc.timeAlignmentTimerCommon_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TimeAlignmentTimer_vals), 0,
        "TimeAlignmentTimer", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r13_02,
      { "multiBandInfoList-r13", "lte-rrc.multiBandInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalSpectrumEmission_r13", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r13_item,
      { "AdditionalSpectrumEmission", "lte-rrc.AdditionalSpectrumEmission",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_cp_Reestablishment_r14,
      { "cp-Reestablishment-r14", "lte-rrc.cp_Reestablishment_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_cp_Reestablishment_r14_vals), 0,
        "T_cp_Reestablishment_r14", HFILL }},
    { &hf_lte_rrc_cellReselectionInfoCommon_r13,
      { "cellReselectionInfoCommon-r13", "lte-rrc.cellReselectionInfoCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_q_Hyst_r13_02,
      { "q-Hyst-r13", "lte-rrc.q_Hyst_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_q_Hyst_r13_02_vals), 0,
        "T_q_Hyst_r13_02", HFILL }},
    { &hf_lte_rrc_cellReselectionServingFreqInfo_r13,
      { "cellReselectionServingFreqInfo-r13", "lte-rrc.cellReselectionServingFreqInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_NonIntraSearch_r13,
      { "s-NonIntraSearch-r13", "lte-rrc.s_NonIntraSearch_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_intraFreqCellReselectionInfo_r13,
      { "intraFreqCellReselectionInfo-r13", "lte-rrc.intraFreqCellReselectionInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_s_IntraSearchP_r13,
      { "s-IntraSearchP-r13", "lte-rrc.s_IntraSearchP_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_vals_ext, 0,
        "ReselectionThreshold", HFILL }},
    { &hf_lte_rrc_t_Reselection_r13,
      { "t-Reselection-r13", "lte-rrc.t_Reselection_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_Reselection_NB_r13_vals), 0,
        "T_Reselection_NB_r13", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r13_03,
      { "multiBandInfoList-r13", "lte-rrc.multiBandInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r13_item_01,
      { "NS-PmaxList-NB-r13", "lte-rrc.NS_PmaxList_NB_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqCellReselectionInfo_v1350,
      { "intraFreqCellReselectionInfo-v1350", "lte-rrc.intraFreqCellReselectionInfo_v1350_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IntraFreqCellReselectionInfo_NB_v1350", HFILL }},
    { &hf_lte_rrc_intraFreqCellReselectionInfo_v1360,
      { "intraFreqCellReselectionInfo-v1360", "lte-rrc.intraFreqCellReselectionInfo_v1360_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IntraFreqCellReselectionInfo_NB_v1360", HFILL }},
    { &hf_lte_rrc_intraFreqCellReselectionInfo_v1430,
      { "intraFreqCellReselectionInfo-v1430", "lte-rrc.intraFreqCellReselectionInfo_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "IntraFreqCellReselectionInfo_NB_v1430", HFILL }},
    { &hf_lte_rrc_cellReselectionInfoCommon_v1450,
      { "cellReselectionInfoCommon-v1450", "lte-rrc.cellReselectionInfoCommon_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CellReselectionInfoCommon_NB_v1450", HFILL }},
    { &hf_lte_rrc_s_IntraSearchP_v1360,
      { "s-IntraSearchP-v1360", "lte-rrc.s_IntraSearchP_v1360",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_ReselectionThreshold_NB_vals_ext, 0,
        "ReselectionThreshold_NB_v1360", HFILL }},
    { &hf_lte_rrc_powerClass14dBm_Offset_r14_01,
      { "powerClass14dBm-Offset-r14", "lte-rrc.powerClass14dBm_Offset_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerClass14dBm_Offset_r14_01_vals), 0,
        "T_powerClass14dBm_Offset_r14_01", HFILL }},
    { &hf_lte_rrc_ce_AuthorisationOffset_r14,
      { "ce-AuthorisationOffset-r14", "lte-rrc.ce_AuthorisationOffset_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_AuthorisationOffset_r14_vals), 0,
        "T_ce_AuthorisationOffset_r14", HFILL }},
    { &hf_lte_rrc_s_SearchDeltaP_r14,
      { "s-SearchDeltaP-r14", "lte-rrc.s_SearchDeltaP_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_s_SearchDeltaP_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_intraFreqNeighCellList_r13,
      { "intraFreqNeighCellList-r13", "lte-rrc.intraFreqNeighCellList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "IntraFreqNeighCellList", HFILL }},
    { &hf_lte_rrc_intraFreqBlackCellList_r13,
      { "intraFreqBlackCellList-r13", "lte-rrc.intraFreqBlackCellList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "IntraFreqBlackCellList", HFILL }},
    { &hf_lte_rrc_interFreqCarrierFreqList_r13,
      { "interFreqCarrierFreqList-r13", "lte-rrc.interFreqCarrierFreqList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "InterFreqCarrierFreqList_NB_r13", HFILL }},
    { &hf_lte_rrc_InterFreqCarrierFreqList_NB_r13_item,
      { "InterFreqCarrierFreqInfo-NB-r13", "lte-rrc.InterFreqCarrierFreqInfo_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_r13_01,
      { "dl-CarrierFreq-r13", "lte-rrc.dl_CarrierFreq_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreq_NB_r13", HFILL }},
    { &hf_lte_rrc_q_OffsetFreq_r13,
      { "q-OffsetFreq-r13", "lte-rrc.q_OffsetFreq_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_Q_OffsetRange_vals_ext, 0,
        "Q_OffsetRange", HFILL }},
    { &hf_lte_rrc_interFreqNeighCellList_r13,
      { "interFreqNeighCellList-r13", "lte-rrc.interFreqNeighCellList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "InterFreqNeighCellList_NB_r13", HFILL }},
    { &hf_lte_rrc_interFreqBlackCellList_r13,
      { "interFreqBlackCellList-r13", "lte-rrc.interFreqBlackCellList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "InterFreqBlackCellList_NB_r13", HFILL }},
    { &hf_lte_rrc_powerClass14dBm_Offset_r14_02,
      { "powerClass14dBm-Offset-r14", "lte-rrc.powerClass14dBm_Offset_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerClass14dBm_Offset_r14_02_vals), 0,
        "T_powerClass14dBm_Offset_r14_02", HFILL }},
    { &hf_lte_rrc_ce_AuthorisationOffset_r14_01,
      { "ce-AuthorisationOffset-r14", "lte-rrc.ce_AuthorisationOffset_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ce_AuthorisationOffset_r14_01_vals), 0,
        "T_ce_AuthorisationOffset_r14_01", HFILL }},
    { &hf_lte_rrc_InterFreqNeighCellList_NB_r13_item,
      { "PhysCellId", "lte-rrc.PhysCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_InterFreqBlackCellList_NB_r13_item,
      { "PhysCellId", "lte-rrc.PhysCellId",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ab_Param_r13,
      { "ab-Param-r13", "lte-rrc.ab_Param_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ab_Param_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ab_Common_r13,
      { "ab-Common-r13", "lte-rrc.ab_Common_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AB_Config_NB_r13", HFILL }},
    { &hf_lte_rrc_ab_PerPLMN_List_r13,
      { "ab-PerPLMN-List-r13", "lte-rrc.ab_PerPLMN_List_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13", HFILL }},
    { &hf_lte_rrc_ab_PerPLMN_List_r13_item,
      { "AB-ConfigPLMN-NB-r13", "lte-rrc.AB_ConfigPLMN_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ab_Config_r13,
      { "ab-Config-r13", "lte-rrc.ab_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "AB_Config_NB_r13", HFILL }},
    { &hf_lte_rrc_ab_Category_r13,
      { "ab-Category-r13", "lte-rrc.ab_Category_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_eab_category_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ab_BarringBitmap_r13,
      { "ab-BarringBitmap-r13", "lte-rrc.ab_BarringBitmap_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_10", HFILL }},
    { &hf_lte_rrc_ab_BarringForExceptionData_r13,
      { "ab-BarringForExceptionData-r13", "lte-rrc.ab_BarringForExceptionData_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ab_BarringForExceptionData_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ab_BarringForSpecialAC_r13,
      { "ab-BarringForSpecialAC-r13", "lte-rrc.ab_BarringForSpecialAC_r13",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_5", HFILL }},
    { &hf_lte_rrc_mbms_SAI_IntraFreq_r14,
      { "mbms-SAI-IntraFreq-r14", "lte-rrc.mbms_SAI_IntraFreq_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBMS_SAI_List_r11", HFILL }},
    { &hf_lte_rrc_mbms_SAI_InterFreqList_r14,
      { "mbms-SAI-InterFreqList-r14", "lte-rrc.mbms_SAI_InterFreqList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBMS_SAI_InterFreqList_NB_r14", HFILL }},
    { &hf_lte_rrc_MBMS_SAI_InterFreqList_NB_r14_item,
      { "MBMS-SAI-InterFreq-NB-r14", "lte-rrc.MBMS_SAI_InterFreq_NB_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_CarrierFreq_r14,
      { "dl-CarrierFreq-r14", "lte-rrc.dl_CarrierFreq_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreq_NB_r13", HFILL }},
    { &hf_lte_rrc_mbms_SAI_List_r14,
      { "mbms-SAI-List-r14", "lte-rrc.mbms_SAI_List_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "MBMS_SAI_List_r11", HFILL }},
    { &hf_lte_rrc_multiBandInfoList_r14_01,
      { "multiBandInfoList-r14", "lte-rrc.multiBandInfoList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "AdditionalBandInfoList_NB_r14", HFILL }},
    { &hf_lte_rrc_npdcch_SC_MCCH_Config_r14,
      { "npdcch-SC-MCCH-Config-r14", "lte-rrc.npdcch_SC_MCCH_Config_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "NPDCCH_SC_MCCH_Config_NB_r14", HFILL }},
    { &hf_lte_rrc_sc_mcch_CarrierConfig_r14,
      { "sc-mcch-CarrierConfig-r14", "lte-rrc.sc_mcch_CarrierConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_CarrierConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_CarrierConfig_r14,
      { "dl-CarrierConfig-r14", "lte-rrc.dl_CarrierConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DL_CarrierConfigCommon_NB_r14", HFILL }},
    { &hf_lte_rrc_dl_CarrierIndex_r14,
      { "dl-CarrierIndex-r14", "lte-rrc.dl_CarrierIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_maxNonAnchorCarriers_NB_r14", HFILL }},
    { &hf_lte_rrc_sc_mcch_RepetitionPeriod_r14,
      { "sc-mcch-RepetitionPeriod-r14", "lte-rrc.sc_mcch_RepetitionPeriod_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_RepetitionPeriod_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mcch_Offset_r14,
      { "sc-mcch-Offset-r14", "lte-rrc.sc_mcch_Offset_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_10", HFILL }},
    { &hf_lte_rrc_sc_mcch_ModificationPeriod_r14,
      { "sc-mcch-ModificationPeriod-r14", "lte-rrc.sc_mcch_ModificationPeriod_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mcch_ModificationPeriod_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mcch_SchedulingInfo_r14_01,
      { "sc-mcch-SchedulingInfo-r14", "lte-rrc.sc_mcch_SchedulingInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SC_MCCH_SchedulingInfo_NB_r14", HFILL }},
    { &hf_lte_rrc_npdcch_NumRepetitions_SC_MCCH_r14,
      { "npdcch-NumRepetitions-SC-MCCH-r14", "lte-rrc.npdcch_NumRepetitions_SC_MCCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_NumRepetitions_SC_MCCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_StartSF_SC_MCCH_r14,
      { "npdcch-StartSF-SC-MCCH-r14", "lte-rrc.npdcch_StartSF_SC_MCCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_StartSF_SC_MCCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_Offset_SC_MCCH_r14,
      { "npdcch-Offset-SC-MCCH-r14", "lte-rrc.npdcch_Offset_SC_MCCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_Offset_SC_MCCH_r14_vals), 0,
        "T_npdcch_Offset_SC_MCCH_r14", HFILL }},
    { &hf_lte_rrc_onDurationTimerSCPTM_r14_02,
      { "onDurationTimerSCPTM-r14", "lte-rrc.onDurationTimerSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_onDurationTimerSCPTM_r14_02_vals), 0,
        "T_onDurationTimerSCPTM_r14_02", HFILL }},
    { &hf_lte_rrc_drx_InactivityTimerSCPTM_r14_02,
      { "drx-InactivityTimerSCPTM-r14", "lte-rrc.drx_InactivityTimerSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_InactivityTimerSCPTM_r14_02_vals), 0,
        "T_drx_InactivityTimerSCPTM_r14_02", HFILL }},
    { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_02,
      { "schedulingPeriodStartOffsetSCPTM-r14", "lte-rrc.schedulingPeriodStartOffsetSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_02_vals), 0,
        "T_schedulingPeriodStartOffsetSCPTM_r14_02", HFILL }},
    { &hf_lte_rrc_dl_ConfigList_r14,
      { "dl-ConfigList-r14", "lte-rrc.dl_ConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "DL_ConfigCommonList_NB_r14", HFILL }},
    { &hf_lte_rrc_ul_ConfigList_r14,
      { "ul-ConfigList-r14", "lte-rrc.ul_ConfigList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "UL_ConfigCommonList_NB_r14", HFILL }},
    { &hf_lte_rrc_pagingWeightAnchor_r14,
      { "pagingWeightAnchor-r14", "lte-rrc.pagingWeightAnchor_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PagingWeight_NB_r14_vals), 0,
        "PagingWeight_NB_r14", HFILL }},
    { &hf_lte_rrc_nprach_ProbabilityAnchorList_r14,
      { "nprach-ProbabilityAnchorList-r14", "lte-rrc.nprach_ProbabilityAnchorList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NPRACH_ProbabilityAnchorList_NB_r14", HFILL }},
    { &hf_lte_rrc_DL_ConfigCommonList_NB_r14_item,
      { "DL-ConfigCommon-NB-r14", "lte-rrc.DL_ConfigCommon_NB_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_UL_ConfigCommonList_NB_r14_item,
      { "UL-ConfigCommon-NB-r14", "lte-rrc.UL_ConfigCommon_NB_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pcch_Config_r14,
      { "pcch-Config-r14", "lte-rrc.pcch_Config_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PCCH_Config_NB_r14", HFILL }},
    { &hf_lte_rrc_npdcch_NumRepetitionPaging_r14,
      { "npdcch-NumRepetitionPaging-r14", "lte-rrc.npdcch_NumRepetitionPaging_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_NumRepetitionPaging_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pagingWeight_r14,
      { "pagingWeight-r14", "lte-rrc.pagingWeight_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PagingWeight_NB_r14_vals), 0,
        "PagingWeight_NB_r14", HFILL }},
    { &hf_lte_rrc_ul_CarrierFreq_r14_01,
      { "ul-CarrierFreq-r14", "lte-rrc.ul_CarrierFreq_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreq_NB_r13", HFILL }},
    { &hf_lte_rrc_nprach_ParametersList_r14,
      { "nprach-ParametersList-r14", "lte-rrc.nprach_ParametersList_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NPRACH_ParametersList_NB_r14", HFILL }},
    { &hf_lte_rrc_NPRACH_ParametersList_NB_r14_item,
      { "NPRACH-Parameters-NB-r14", "lte-rrc.NPRACH_Parameters_NB_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_Parameters_r14,
      { "nprach-Parameters-r14", "lte-rrc.nprach_Parameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_Periodicity_r14,
      { "nprach-Periodicity-r14", "lte-rrc.nprach_Periodicity_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_Periodicity_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_StartTime_r14,
      { "nprach-StartTime-r14", "lte-rrc.nprach_StartTime_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_StartTime_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_SubcarrierOffset_r14,
      { "nprach-SubcarrierOffset-r14", "lte-rrc.nprach_SubcarrierOffset_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_SubcarrierOffset_r14_vals), 0,
        "T_nprach_SubcarrierOffset_r14", HFILL }},
    { &hf_lte_rrc_nprach_NumSubcarriers_r14,
      { "nprach-NumSubcarriers-r14", "lte-rrc.nprach_NumSubcarriers_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_NumSubcarriers_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_SubcarrierMSG3_RangeStart_r14,
      { "nprach-SubcarrierMSG3-RangeStart-r14", "lte-rrc.nprach_SubcarrierMSG3_RangeStart_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_SubcarrierMSG3_RangeStart_r14_vals), 0,
        "T_nprach_SubcarrierMSG3_RangeStart_r14", HFILL }},
    { &hf_lte_rrc_npdcch_NumRepetitions_RA_r14,
      { "npdcch-NumRepetitions-RA-r14", "lte-rrc.npdcch_NumRepetitions_RA_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_NumRepetitions_RA_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_StartSF_CSS_RA_r14,
      { "npdcch-StartSF-CSS-RA-r14", "lte-rrc.npdcch_StartSF_CSS_RA_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_StartSF_CSS_RA_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_Offset_RA_r14,
      { "npdcch-Offset-RA-r14", "lte-rrc.npdcch_Offset_RA_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_Offset_RA_r14_vals), 0,
        "T_npdcch_Offset_RA_r14", HFILL }},
    { &hf_lte_rrc_nprach_NumCBRA_StartSubcarriers_r14,
      { "nprach-NumCBRA-StartSubcarriers-r14", "lte-rrc.nprach_NumCBRA_StartSubcarriers_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_NumCBRA_StartSubcarriers_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_CarrierIndex_r14,
      { "npdcch-CarrierIndex-r14", "lte-rrc.npdcch_CarrierIndex_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_maxNonAnchorCarriers_NB_r14", HFILL }},
    { &hf_lte_rrc_NPRACH_ProbabilityAnchorList_NB_r14_item,
      { "NPRACH-ProbabilityAnchor-NB-r14", "lte-rrc.NPRACH_ProbabilityAnchor_NB_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_ProbabilityAnchor_r14,
      { "nprach-ProbabilityAnchor-r14", "lte-rrc.nprach_ProbabilityAnchor_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_ProbabilityAnchor_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_CarrierConfig_r13,
      { "dl-CarrierConfig-r13", "lte-rrc.dl_CarrierConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DL_CarrierConfigDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_ul_CarrierConfig_r13,
      { "ul-CarrierConfig-r13", "lte-rrc.ul_CarrierConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UL_CarrierConfigDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_downlinkBitmapNonAnchor_r13,
      { "downlinkBitmapNonAnchor-r13", "lte-rrc.downlinkBitmapNonAnchor_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_downlinkBitmapNonAnchor_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useNoBitmap_r13,
      { "useNoBitmap-r13", "lte-rrc.useNoBitmap_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useAnchorBitmap_r13,
      { "useAnchorBitmap-r13", "lte-rrc.useAnchorBitmap_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitBitmapConfiguration_r13,
      { "explicitBitmapConfiguration-r13", "lte-rrc.explicitBitmapConfiguration_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DL_Bitmap_NB_r13_vals), 0,
        "DL_Bitmap_NB_r13", HFILL }},
    { &hf_lte_rrc_dl_GapNonAnchor_r13,
      { "dl-GapNonAnchor-r13", "lte-rrc.dl_GapNonAnchor_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_GapNonAnchor_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useNoGap_r13,
      { "useNoGap-r13", "lte-rrc.useNoGap_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useAnchorGapConfig_r13,
      { "useAnchorGapConfig-r13", "lte-rrc.useAnchorGapConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitGapConfiguration_r13,
      { "explicitGapConfiguration-r13", "lte-rrc.explicitGapConfiguration_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DL_GapConfig_NB_r13", HFILL }},
    { &hf_lte_rrc_inbandCarrierInfo_r13,
      { "inbandCarrierInfo-r13", "lte-rrc.inbandCarrierInfo_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_samePCI_Indicator_r13,
      { "samePCI-Indicator-r13", "lte-rrc.samePCI_Indicator_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_samePCI_Indicator_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_samePCI_r13,
      { "samePCI-r13", "lte-rrc.samePCI_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_indexToMidPRB_r13,
      { "indexToMidPRB-r13", "lte-rrc.indexToMidPRB_r13",
        FT_INT32, BASE_DEC, NULL, 0,
        "INTEGER_M55_54", HFILL }},
    { &hf_lte_rrc_differentPCI_r13,
      { "differentPCI-r13", "lte-rrc.differentPCI_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eutra_NumCRS_Ports_r13_01,
      { "eutra-NumCRS-Ports-r13", "lte-rrc.eutra_NumCRS_Ports_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eutra_NumCRS_Ports_r13_01_vals), 0,
        "T_eutra_NumCRS_Ports_r13_01", HFILL }},
    { &hf_lte_rrc_eutraControlRegionSize_r13_01,
      { "eutraControlRegionSize-r13", "lte-rrc.eutraControlRegionSize_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eutraControlRegionSize_r13_01_vals), 0,
        "T_eutraControlRegionSize_r13_01", HFILL }},
    { &hf_lte_rrc_nrs_PowerOffsetNonAnchor_v1330,
      { "nrs-PowerOffsetNonAnchor-v1330", "lte-rrc.nrs_PowerOffsetNonAnchor_v1330",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nrs_PowerOffsetNonAnchor_v1330_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierFreqOffset_r13,
      { "carrierFreqOffset-r13", "lte-rrc.carrierFreqOffset_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_carrierFreqOffset_r13_vals_ext, 0,
        "T_carrierFreqOffset_r13", HFILL }},
    { &hf_lte_rrc_downlinkBitmapNonAnchor_r14,
      { "downlinkBitmapNonAnchor-r14", "lte-rrc.downlinkBitmapNonAnchor_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_downlinkBitmapNonAnchor_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useNoBitmap_r14,
      { "useNoBitmap-r14", "lte-rrc.useNoBitmap_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useAnchorBitmap_r14,
      { "useAnchorBitmap-r14", "lte-rrc.useAnchorBitmap_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitBitmapConfiguration_r14,
      { "explicitBitmapConfiguration-r14", "lte-rrc.explicitBitmapConfiguration_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DL_Bitmap_NB_r13_vals), 0,
        "DL_Bitmap_NB_r13", HFILL }},
    { &hf_lte_rrc_dl_GapNonAnchor_r14,
      { "dl-GapNonAnchor-r14", "lte-rrc.dl_GapNonAnchor_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_GapNonAnchor_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useNoGap_r14,
      { "useNoGap-r14", "lte-rrc.useNoGap_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_useAnchorGapConfig_r14,
      { "useAnchorGapConfig-r14", "lte-rrc.useAnchorGapConfig_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitGapConfiguration_r14,
      { "explicitGapConfiguration-r14", "lte-rrc.explicitGapConfiguration_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DL_GapConfig_NB_r13", HFILL }},
    { &hf_lte_rrc_inbandCarrierInfo_r14,
      { "inbandCarrierInfo-r14", "lte-rrc.inbandCarrierInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_samePCI_Indicator_r14,
      { "samePCI-Indicator-r14", "lte-rrc.samePCI_Indicator_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_samePCI_Indicator_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_samePCI_r14,
      { "samePCI-r14", "lte-rrc.samePCI_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_indexToMidPRB_r14,
      { "indexToMidPRB-r14", "lte-rrc.indexToMidPRB_r14",
        FT_INT32, BASE_DEC, NULL, 0,
        "INTEGER_M55_54", HFILL }},
    { &hf_lte_rrc_differentPCI_r14,
      { "differentPCI-r14", "lte-rrc.differentPCI_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eutra_NumCRS_Ports_r14,
      { "eutra-NumCRS-Ports-r14", "lte-rrc.eutra_NumCRS_Ports_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eutra_NumCRS_Ports_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eutraControlRegionSize_r14,
      { "eutraControlRegionSize-r14", "lte-rrc.eutraControlRegionSize_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_eutraControlRegionSize_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nrs_PowerOffsetNonAnchor_r14,
      { "nrs-PowerOffsetNonAnchor-r14", "lte-rrc.nrs_PowerOffsetNonAnchor_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nrs_PowerOffsetNonAnchor_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_GapThreshold_r13,
      { "dl-GapThreshold-r13", "lte-rrc.dl_GapThreshold_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_GapThreshold_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_GapPeriodicity_r13,
      { "dl-GapPeriodicity-r13", "lte-rrc.dl_GapPeriodicity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_GapPeriodicity_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dl_GapDurationCoeff_r13,
      { "dl-GapDurationCoeff-r13", "lte-rrc.dl_GapDurationCoeff_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dl_GapDurationCoeff_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_priority_r13,
      { "priority-r13", "lte-rrc.priority_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChannelSR_Prohibit_r13,
      { "logicalChannelSR-Prohibit-r13", "lte-rrc.logicalChannelSR_Prohibit_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_ul_SCH_Config_r13,
      { "ul-SCH-Config-r13", "lte-rrc.ul_SCH_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_periodicBSR_Timer_r13,
      { "periodicBSR-Timer-r13", "lte-rrc.periodicBSR_Timer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_PeriodicBSR_Timer_NB_r13_vals), 0,
        "PeriodicBSR_Timer_NB_r13", HFILL }},
    { &hf_lte_rrc_retxBSR_Timer_r13,
      { "retxBSR-Timer-r13", "lte-rrc.retxBSR_Timer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RetxBSR_Timer_NB_r13_vals), 0,
        "RetxBSR_Timer_NB_r13", HFILL }},
    { &hf_lte_rrc_drx_Config_r13_01,
      { "drx-Config-r13", "lte-rrc.drx_Config_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_DRX_Config_NB_r13_vals), 0,
        "DRX_Config_NB_r13", HFILL }},
    { &hf_lte_rrc_timeAlignmentTimerDedicated_r13,
      { "timeAlignmentTimerDedicated-r13", "lte-rrc.timeAlignmentTimerDedicated_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_TimeAlignmentTimer_vals), 0,
        "TimeAlignmentTimer", HFILL }},
    { &hf_lte_rrc_logicalChannelSR_Config_r13,
      { "logicalChannelSR-Config-r13", "lte-rrc.logicalChannelSR_Config_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logicalChannelSR_Config_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_145,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_127", HFILL }},
    { &hf_lte_rrc_logicalChannelSR_ProhibitTimer_r13,
      { "logicalChannelSR-ProhibitTimer-r13", "lte-rrc.logicalChannelSR_ProhibitTimer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logicalChannelSR_ProhibitTimer_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rai_Activation_r14_01,
      { "rai-Activation-r14", "lte-rrc.rai_Activation_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rai_Activation_r14_01_vals), 0,
        "T_rai_Activation_r14_01", HFILL }},
    { &hf_lte_rrc_dataInactivityTimerConfig_r14_01,
      { "dataInactivityTimerConfig-r14", "lte-rrc.dataInactivityTimerConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dataInactivityTimerConfig_r14_01_vals), 0,
        "T_dataInactivityTimerConfig_r14_01", HFILL }},
    { &hf_lte_rrc_setup_146,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_128", HFILL }},
    { &hf_lte_rrc_drx_Cycle_v1430,
      { "drx-Cycle-v1430", "lte-rrc.drx_Cycle_v1430",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_Cycle_v1430_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ra_CFRA_Config_r14,
      { "ra-CFRA-Config-r14", "lte-rrc.ra_CFRA_Config_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ra_CFRA_Config_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_147,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_129", HFILL }},
    { &hf_lte_rrc_onDurationTimer_r13,
      { "onDurationTimer-r13", "lte-rrc.onDurationTimer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_onDurationTimer_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_InactivityTimer_r13,
      { "drx-InactivityTimer-r13", "lte-rrc.drx_InactivityTimer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_InactivityTimer_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_RetransmissionTimer_r13,
      { "drx-RetransmissionTimer-r13", "lte-rrc.drx_RetransmissionTimer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_RetransmissionTimer_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_Cycle_r13,
      { "drx-Cycle-r13", "lte-rrc.drx_Cycle_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_Cycle_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_drx_StartOffset_r13,
      { "drx-StartOffset-r13", "lte-rrc.drx_StartOffset_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_255", HFILL }},
    { &hf_lte_rrc_drx_ULRetransmissionTimer_r13_01,
      { "drx-ULRetransmissionTimer-r13", "lte-rrc.drx_ULRetransmissionTimer_r13",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_drx_ULRetransmissionTimer_r13_01_vals_ext, 0,
        "T_drx_ULRetransmissionTimer_r13_01", HFILL }},
    { &hf_lte_rrc_npdcch_NumRepetitions_r13,
      { "npdcch-NumRepetitions-r13", "lte-rrc.npdcch_NumRepetitions_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_NumRepetitions_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_StartSF_USS_r13,
      { "npdcch-StartSF-USS-r13", "lte-rrc.npdcch_StartSF_USS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_StartSF_USS_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_Offset_USS_r13,
      { "npdcch-Offset-USS-r13", "lte-rrc.npdcch_Offset_USS_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_Offset_USS_r13_vals), 0,
        "T_npdcch_Offset_USS_r13", HFILL }},
    { &hf_lte_rrc_nrs_Power_r13,
      { "nrs-Power-r13", "lte-rrc.nrs_Power_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M60_50", HFILL }},
    { &hf_lte_rrc_nprach_CP_Length_r13,
      { "nprach-CP-Length-r13", "lte-rrc.nprach_CP_Length_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_CP_Length_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rsrp_ThresholdsPrachInfoList_r13_01,
      { "rsrp-ThresholdsPrachInfoList-r13", "lte-rrc.rsrp_ThresholdsPrachInfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "RSRP_ThresholdsNPRACH_InfoList_NB_r13", HFILL }},
    { &hf_lte_rrc_nprach_ParametersList_r13,
      { "nprach-ParametersList-r13", "lte-rrc.nprach_ParametersList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NPRACH_ParametersList_NB_r13", HFILL }},
    { &hf_lte_rrc_nprach_ParametersList_v1330,
      { "nprach-ParametersList-v1330", "lte-rrc.nprach_ParametersList_v1330",
        FT_UINT32, BASE_DEC, NULL, 0,
        "NPRACH_ParametersList_NB_v1330", HFILL }},
    { &hf_lte_rrc_maxNumPreambleAttemptCE_r14,
      { "maxNumPreambleAttemptCE-r14", "lte-rrc.maxNumPreambleAttemptCE_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxNumPreambleAttemptCE_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NPRACH_ParametersList_NB_r13_item,
      { "NPRACH-Parameters-NB-r13", "lte-rrc.NPRACH_Parameters_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NPRACH_ParametersList_NB_v1330_item,
      { "NPRACH-Parameters-NB-v1330", "lte-rrc.NPRACH_Parameters_NB_v1330_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_Periodicity_r13,
      { "nprach-Periodicity-r13", "lte-rrc.nprach_Periodicity_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_Periodicity_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_StartTime_r13,
      { "nprach-StartTime-r13", "lte-rrc.nprach_StartTime_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_StartTime_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_SubcarrierOffset_r13,
      { "nprach-SubcarrierOffset-r13", "lte-rrc.nprach_SubcarrierOffset_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_SubcarrierOffset_r13_vals), 0,
        "T_nprach_SubcarrierOffset_r13", HFILL }},
    { &hf_lte_rrc_nprach_NumSubcarriers_r13,
      { "nprach-NumSubcarriers-r13", "lte-rrc.nprach_NumSubcarriers_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_NumSubcarriers_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nprach_SubcarrierMSG3_RangeStart_r13,
      { "nprach-SubcarrierMSG3-RangeStart-r13", "lte-rrc.nprach_SubcarrierMSG3_RangeStart_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_SubcarrierMSG3_RangeStart_r13_vals), 0,
        "T_nprach_SubcarrierMSG3_RangeStart_r13", HFILL }},
    { &hf_lte_rrc_maxNumPreambleAttemptCE_r13_01,
      { "maxNumPreambleAttemptCE-r13", "lte-rrc.maxNumPreambleAttemptCE_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxNumPreambleAttemptCE_r13_01_vals), 0,
        "T_maxNumPreambleAttemptCE_r13_01", HFILL }},
    { &hf_lte_rrc_numRepetitionsPerPreambleAttempt_r13,
      { "numRepetitionsPerPreambleAttempt-r13", "lte-rrc.numRepetitionsPerPreambleAttempt_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_numRepetitionsPerPreambleAttempt_r13_vals), 0,
        "T_numRepetitionsPerPreambleAttempt_r13", HFILL }},
    { &hf_lte_rrc_npdcch_NumRepetitions_RA_r13,
      { "npdcch-NumRepetitions-RA-r13", "lte-rrc.npdcch_NumRepetitions_RA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_NumRepetitions_RA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_StartSF_CSS_RA_r13,
      { "npdcch-StartSF-CSS-RA-r13", "lte-rrc.npdcch_StartSF_CSS_RA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_StartSF_CSS_RA_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_Offset_RA_r13,
      { "npdcch-Offset-RA-r13", "lte-rrc.npdcch_Offset_RA_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_Offset_RA_r13_vals), 0,
        "T_npdcch_Offset_RA_r13", HFILL }},
    { &hf_lte_rrc_nprach_NumCBRA_StartSubcarriers_r13,
      { "nprach-NumCBRA-StartSubcarriers-r13", "lte-rrc.nprach_NumCBRA_StartSubcarriers_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nprach_NumCBRA_StartSubcarriers_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_RSRP_ThresholdsNPRACH_InfoList_NB_r13_item,
      { "RSRP-Range", "lte-rrc.RSRP_Range",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_RSRP_Range_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ack_NACK_NumRepetitions_Msg4_r13,
      { "ack-NACK-NumRepetitions-Msg4-r13", "lte-rrc.ack_NACK_NumRepetitions_Msg4_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13", HFILL }},
    { &hf_lte_rrc_ack_NACK_NumRepetitions_Msg4_r13_item,
      { "ACK-NACK-NumRepetitions-NB-r13", "lte-rrc.ACK_NACK_NumRepetitions_NB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ACK_NACK_NumRepetitions_NB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srs_SubframeConfig_r13,
      { "srs-SubframeConfig-r13", "lte-rrc.srs_SubframeConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_srs_SubframeConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dmrs_Config_r13,
      { "dmrs-Config-r13", "lte-rrc.dmrs_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_threeTone_BaseSequence_r13,
      { "threeTone-BaseSequence-r13", "lte-rrc.threeTone_BaseSequence_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_12", HFILL }},
    { &hf_lte_rrc_threeTone_CyclicShift_r13,
      { "threeTone-CyclicShift-r13", "lte-rrc.threeTone_CyclicShift_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_2", HFILL }},
    { &hf_lte_rrc_sixTone_BaseSequence_r13,
      { "sixTone-BaseSequence-r13", "lte-rrc.sixTone_BaseSequence_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_14", HFILL }},
    { &hf_lte_rrc_sixTone_CyclicShift_r13,
      { "sixTone-CyclicShift-r13", "lte-rrc.sixTone_CyclicShift_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_3", HFILL }},
    { &hf_lte_rrc_twelveTone_BaseSequence_r13,
      { "twelveTone-BaseSequence-r13", "lte-rrc.twelveTone_BaseSequence_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_30", HFILL }},
    { &hf_lte_rrc_ul_ReferenceSignalsNPUSCH_r13,
      { "ul-ReferenceSignalsNPUSCH-r13", "lte-rrc.ul_ReferenceSignalsNPUSCH_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UL_ReferenceSignalsNPUSCH_NB_r13", HFILL }},
    { &hf_lte_rrc_groupHoppingEnabled_r13,
      { "groupHoppingEnabled-r13", "lte-rrc.groupHoppingEnabled_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_groupAssignmentNPUSCH_r13,
      { "groupAssignmentNPUSCH-r13", "lte-rrc.groupAssignmentNPUSCH_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_29", HFILL }},
    { &hf_lte_rrc_ack_NACK_NumRepetitions_r13,
      { "ack-NACK-NumRepetitions-r13", "lte-rrc.ack_NACK_NumRepetitions_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_ACK_NACK_NumRepetitions_NB_r13_vals), 0,
        "ACK_NACK_NumRepetitions_NB_r13", HFILL }},
    { &hf_lte_rrc_npusch_AllSymbols_r13,
      { "npusch-AllSymbols-r13", "lte-rrc.npusch_AllSymbols_r13",
        FT_BOOLEAN, BASE_NONE, NULL, 0,
        "BOOLEAN", HFILL }},
    { &hf_lte_rrc_groupHoppingDisabled_r13_01,
      { "groupHoppingDisabled-r13", "lte-rrc.groupHoppingDisabled_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_groupHoppingDisabled_r13_01_vals), 0,
        "T_groupHoppingDisabled_r13_01", HFILL }},
    { &hf_lte_rrc_discardTimer_r13,
      { "discardTimer-r13", "lte-rrc.discardTimer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_discardTimer_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_headerCompression_r13,
      { "headerCompression-r13", "lte-rrc.headerCompression_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_headerCompression_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rohc_01,
      { "rohc", "lte-rrc.rohc_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_rohc_01", HFILL }},
    { &hf_lte_rrc_maxCID_r13,
      { "maxCID-r13", "lte-rrc.maxCID_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_1_16383", HFILL }},
    { &hf_lte_rrc_profiles_r13,
      { "profiles-r13", "lte-rrc.profiles_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_carrierConfigDedicated_r13,
      { "carrierConfigDedicated-r13", "lte-rrc.carrierConfigDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierConfigDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_npdcch_ConfigDedicated_r13,
      { "npdcch-ConfigDedicated-r13", "lte-rrc.npdcch_ConfigDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "NPDCCH_ConfigDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_npusch_ConfigDedicated_r13,
      { "npusch-ConfigDedicated-r13", "lte-rrc.npusch_ConfigDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "NPUSCH_ConfigDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlDedicated_r13_01,
      { "uplinkPowerControlDedicated-r13", "lte-rrc.uplinkPowerControlDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UplinkPowerControlDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_twoHARQ_ProcessesConfig_r14,
      { "twoHARQ-ProcessesConfig-r14", "lte-rrc.twoHARQ_ProcessesConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoHARQ_ProcessesConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interferenceRandomisationConfig_r14,
      { "interferenceRandomisationConfig-r14", "lte-rrc.interferenceRandomisationConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interferenceRandomisationConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerRampingParameters_r13,
      { "powerRampingParameters-r13", "lte-rrc.powerRampingParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PowerRampingParameters", HFILL }},
    { &hf_lte_rrc_rach_InfoList_r13,
      { "rach-InfoList-r13", "lte-rrc.rach_InfoList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "RACH_InfoList_NB_r13", HFILL }},
    { &hf_lte_rrc_connEstFailOffset_r13,
      { "connEstFailOffset-r13", "lte-rrc.connEstFailOffset_r13",
        FT_UINT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_powerRampingParameters_v1450,
      { "powerRampingParameters-v1450", "lte-rrc.powerRampingParameters_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PowerRampingParameters_NB_v1450", HFILL }},
    { &hf_lte_rrc_RACH_InfoList_NB_r13_item,
      { "RACH-Info-NB-r13", "lte-rrc.RACH_Info_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ra_ResponseWindowSize_r13_01,
      { "ra-ResponseWindowSize-r13", "lte-rrc.ra_ResponseWindowSize_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ra_ResponseWindowSize_r13_01_vals), 0,
        "T_ra_ResponseWindowSize_r13_01", HFILL }},
    { &hf_lte_rrc_mac_ContentionResolutionTimer_r13_01,
      { "mac-ContentionResolutionTimer-r13", "lte-rrc.mac_ContentionResolutionTimer_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mac_ContentionResolutionTimer_r13_01_vals), 0,
        "T_mac_ContentionResolutionTimer_r13_01", HFILL }},
    { &hf_lte_rrc_preambleInitialReceivedTargetPower_v1450,
      { "preambleInitialReceivedTargetPower-v1450", "lte-rrc.preambleInitialReceivedTargetPower_v1450",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_preambleInitialReceivedTargetPower_v1450_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerRampingParametersCE1_r14,
      { "powerRampingParametersCE1-r14", "lte-rrc.powerRampingParametersCE1_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerRampingStepCE1_r14,
      { "powerRampingStepCE1-r14", "lte-rrc.powerRampingStepCE1_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerRampingStepCE1_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_preambleInitialReceivedTargetPowerCE1_r14,
      { "preambleInitialReceivedTargetPowerCE1-r14", "lte-rrc.preambleInitialReceivedTargetPowerCE1_r14",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_preambleInitialReceivedTargetPowerCE1_r14_vals_ext, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rach_ConfigCommon_r13,
      { "rach-ConfigCommon-r13", "lte-rrc.rach_ConfigCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RACH_ConfigCommon_NB_r13", HFILL }},
    { &hf_lte_rrc_bcch_Config_r13,
      { "bcch-Config-r13", "lte-rrc.bcch_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "BCCH_Config_NB_r13", HFILL }},
    { &hf_lte_rrc_pcch_Config_r13,
      { "pcch-Config-r13", "lte-rrc.pcch_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PCCH_Config_NB_r13", HFILL }},
    { &hf_lte_rrc_nprach_Config_r13,
      { "nprach-Config-r13", "lte-rrc.nprach_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "NPRACH_ConfigSIB_NB_r13", HFILL }},
    { &hf_lte_rrc_npdsch_ConfigCommon_r13,
      { "npdsch-ConfigCommon-r13", "lte-rrc.npdsch_ConfigCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "NPDSCH_ConfigCommon_NB_r13", HFILL }},
    { &hf_lte_rrc_npusch_ConfigCommon_r13,
      { "npusch-ConfigCommon-r13", "lte-rrc.npusch_ConfigCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "NPUSCH_ConfigCommon_NB_r13", HFILL }},
    { &hf_lte_rrc_dl_Gap_r13,
      { "dl-Gap-r13", "lte-rrc.dl_Gap_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DL_GapConfig_NB_r13", HFILL }},
    { &hf_lte_rrc_uplinkPowerControlCommon_r13,
      { "uplinkPowerControlCommon-r13", "lte-rrc.uplinkPowerControlCommon_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UplinkPowerControlCommon_NB_r13", HFILL }},
    { &hf_lte_rrc_nprach_Config_v1330,
      { "nprach-Config-v1330", "lte-rrc.nprach_Config_v1330_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "NPRACH_ConfigSIB_NB_v1330", HFILL }},
    { &hf_lte_rrc_nprach_Config_v1450,
      { "nprach-Config-v1450", "lte-rrc.nprach_Config_v1450_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "NPRACH_ConfigSIB_NB_v1450", HFILL }},
    { &hf_lte_rrc_modificationPeriodCoeff_r13,
      { "modificationPeriodCoeff-r13", "lte-rrc.modificationPeriodCoeff_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_modificationPeriodCoeff_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_defaultPagingCycle_r13,
      { "defaultPagingCycle-r13", "lte-rrc.defaultPagingCycle_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_defaultPagingCycle_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_nB_r13,
      { "nB-r13", "lte-rrc.nB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_nB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_NumRepetitionPaging_r13_01,
      { "npdcch-NumRepetitionPaging-r13", "lte-rrc.npdcch_NumRepetitionPaging_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_NumRepetitionPaging_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_srb_ToAddModList_r13,
      { "srb-ToAddModList-r13", "lte-rrc.srb_ToAddModList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SRB_ToAddModList_NB_r13", HFILL }},
    { &hf_lte_rrc_drb_ToAddModList_r13,
      { "drb-ToAddModList-r13", "lte-rrc.drb_ToAddModList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "DRB_ToAddModList_NB_r13", HFILL }},
    { &hf_lte_rrc_drb_ToReleaseList_r13,
      { "drb-ToReleaseList-r13", "lte-rrc.drb_ToReleaseList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "DRB_ToReleaseList_NB_r13", HFILL }},
    { &hf_lte_rrc_mac_MainConfig_r13,
      { "mac-MainConfig-r13", "lte-rrc.mac_MainConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_mac_MainConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_r13,
      { "explicitValue-r13", "lte-rrc.explicitValue_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MAC_MainConfig_NB_r13", HFILL }},
    { &hf_lte_rrc_defaultValue_r13,
      { "defaultValue-r13", "lte-rrc.defaultValue_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physicalConfigDedicated_r13,
      { "physicalConfigDedicated-r13", "lte-rrc.physicalConfigDedicated_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhysicalConfigDedicated_NB_r13", HFILL }},
    { &hf_lte_rrc_rlf_TimersAndConstants_r13_01,
      { "rlf-TimersAndConstants-r13", "lte-rrc.rlf_TimersAndConstants_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLF_TimersAndConstants_NB_r13_vals), 0,
        "RLF_TimersAndConstants_NB_r13", HFILL }},
    { &hf_lte_rrc_SRB_ToAddModList_NB_r13_item,
      { "SRB-ToAddMod-NB-r13", "lte-rrc.SRB_ToAddMod_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_rlc_Config_r13,
      { "rlc-Config-r13", "lte-rrc.rlc_Config_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rlc_Config_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_06,
      { "explicitValue", "lte-rrc.explicitValue",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLC_Config_NB_r13_vals), 0,
        "RLC_Config_NB_r13", HFILL }},
    { &hf_lte_rrc_logicalChannelConfig_r13,
      { "logicalChannelConfig-r13", "lte-rrc.logicalChannelConfig_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_logicalChannelConfig_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_explicitValue_07,
      { "explicitValue", "lte-rrc.explicitValue_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LogicalChannelConfig_NB_r13", HFILL }},
    { &hf_lte_rrc_rlc_Config_v1430_01,
      { "rlc-Config-v1430", "lte-rrc.rlc_Config_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RLC_Config_NB_v1430", HFILL }},
    { &hf_lte_rrc_DRB_ToAddModList_NB_r13_item,
      { "DRB-ToAddMod-NB-r13", "lte-rrc.DRB_ToAddMod_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_eps_BearerIdentity_r13,
      { "eps-BearerIdentity-r13", "lte-rrc.eps_BearerIdentity_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "INTEGER_0_15", HFILL }},
    { &hf_lte_rrc_drb_Identity_r13,
      { "drb-Identity-r13", "lte-rrc.drb_Identity_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "DRB_Identity", HFILL }},
    { &hf_lte_rrc_pdcp_Config_r13,
      { "pdcp-Config-r13", "lte-rrc.pdcp_Config_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PDCP_Config_NB_r13", HFILL }},
    { &hf_lte_rrc_rlc_Config_r13_01,
      { "rlc-Config-r13", "lte-rrc.rlc_Config_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_RLC_Config_NB_r13_vals), 0,
        "RLC_Config_NB_r13", HFILL }},
    { &hf_lte_rrc_logicalChannelIdentity_r13,
      { "logicalChannelIdentity-r13", "lte-rrc.logicalChannelIdentity_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_logicalChannelConfig_r13_01,
      { "logicalChannelConfig-r13", "lte-rrc.logicalChannelConfig_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "LogicalChannelConfig_NB_r13", HFILL }},
    { &hf_lte_rrc_DRB_ToReleaseList_NB_r13_item,
      { "DRB-Identity", "lte-rrc.DRB_Identity",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_am_01,
      { "am", "lte-rrc.am_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_am_01", HFILL }},
    { &hf_lte_rrc_ul_AM_RLC_r13,
      { "ul-AM-RLC-r13", "lte-rrc.ul_AM_RLC_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UL_AM_RLC_NB_r13", HFILL }},
    { &hf_lte_rrc_dl_AM_RLC_r13,
      { "dl-AM-RLC-r13", "lte-rrc.dl_AM_RLC_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "DL_AM_RLC_NB_r13", HFILL }},
    { &hf_lte_rrc_t_Reordering_r14,
      { "t-Reordering-r14", "lte-rrc.t_Reordering_r14",
        FT_UINT32, BASE_DEC|BASE_EXT_STRING, &lte_rrc_T_Reordering_vals_ext, 0,
        "T_Reordering", HFILL }},
    { &hf_lte_rrc_t_PollRetransmit_r13,
      { "t-PollRetransmit-r13", "lte-rrc.t_PollRetransmit_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_PollRetransmit_NB_r13_vals), 0,
        "T_PollRetransmit_NB_r13", HFILL }},
    { &hf_lte_rrc_maxRetxThreshold_r13,
      { "maxRetxThreshold-r13", "lte-rrc.maxRetxThreshold_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxRetxThreshold_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_enableStatusReportSN_Gap_r13,
      { "enableStatusReportSN-Gap-r13", "lte-rrc.enableStatusReportSN_Gap_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_enableStatusReportSN_Gap_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_setup_148,
      { "setup", "lte-rrc.setup_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_setup_130", HFILL }},
    { &hf_lte_rrc_t301_r13,
      { "t301-r13", "lte-rrc.t301_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t301_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t310_r13,
      { "t310-r13", "lte-rrc.t310_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t310_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n310_r13,
      { "n310-r13", "lte-rrc.n310_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n310_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t311_r13,
      { "t311-r13", "lte-rrc.t311_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t311_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_n311_r13,
      { "n311-r13", "lte-rrc.n311_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n311_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t311_v1350,
      { "t311-v1350", "lte-rrc.t311_v1350",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t311_v1350_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_p0_NominalNPUSCH_r13,
      { "p0-NominalNPUSCH-r13", "lte-rrc.p0_NominalNPUSCH_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "INTEGER_M126_24", HFILL }},
    { &hf_lte_rrc_alpha_r13,
      { "alpha-r13", "lte-rrc.alpha_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_alpha_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_deltaPreambleMsg3_r13,
      { "deltaPreambleMsg3-r13", "lte-rrc.deltaPreambleMsg3_r13",
        FT_INT32, BASE_DEC, VALS(lte_rrc_deltaPreambleMsg3_vals), 0,
        "INTEGER_M1_6", HFILL }},
    { &hf_lte_rrc_p0_UE_NPUSCH_r13,
      { "p0-UE-NPUSCH-r13", "lte-rrc.p0_UE_NPUSCH_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_decibels, 0,
        "INTEGER_M8_7", HFILL }},
    { &hf_lte_rrc_AdditionalBandInfoList_NB_r14_item,
      { "FreqBandIndicator-NB-r13", "lte-rrc.FreqBandIndicator_NB_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_MultiBandInfoList_NB_r13_item,
      { "MultiBandInfo-NB-r13", "lte-rrc.MultiBandInfo_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_NS_PmaxList_NB_r13_item,
      { "NS-PmaxValue-NB-r13", "lte-rrc.NS_PmaxValue_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_additionalPmax_r13,
      { "additionalPmax-r13", "lte-rrc.additionalPmax_r13",
        FT_INT32, BASE_DEC|BASE_UNIT_STRING, &units_dbm, 0,
        "P_Max", HFILL }},
    { &hf_lte_rrc_accessStratumRelease_r13,
      { "accessStratumRelease-r13", "lte-rrc.accessStratumRelease_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_AccessStratumRelease_NB_r13_vals), 0,
        "AccessStratumRelease_NB_r13", HFILL }},
    { &hf_lte_rrc_ue_Category_NB_r13,
      { "ue-Category-NB-r13", "lte-rrc.ue_Category_NB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_Category_NB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multipleDRB_r13,
      { "multipleDRB-r13", "lte-rrc.multipleDRB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multipleDRB_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_pdcp_Parameters_r13,
      { "pdcp-Parameters-r13", "lte-rrc.pdcp_Parameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PDCP_Parameters_NB_r13", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_r13,
      { "phyLayerParameters-r13", "lte-rrc.phyLayerParameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhyLayerParameters_NB_r13", HFILL }},
    { &hf_lte_rrc_rf_Parameters_r13,
      { "rf-Parameters-r13", "lte-rrc.rf_Parameters_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RF_Parameters_NB_r13", HFILL }},
    { &hf_lte_rrc_dummy_02,
      { "dummy", "lte-rrc.dummy_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_dummy_01", HFILL }},
    { &hf_lte_rrc_ue_Category_NB_r14,
      { "ue-Category-NB-r14", "lte-rrc.ue_Category_NB_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_Category_NB_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_mac_Parameters_r14,
      { "mac-Parameters-r14", "lte-rrc.mac_Parameters_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "MAC_Parameters_NB_r14", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1430_01,
      { "phyLayerParameters-v1430", "lte-rrc.phyLayerParameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhyLayerParameters_NB_v1430", HFILL }},
    { &hf_lte_rrc_rf_Parameters_v1430_01,
      { "rf-Parameters-v1430", "lte-rrc.rf_Parameters_v1430_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "RF_Parameters_NB_v1430", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_268,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "UE_Capability_NB_v1440_IEs", HFILL }},
    { &hf_lte_rrc_phyLayerParameters_v1440,
      { "phyLayerParameters-v1440", "lte-rrc.phyLayerParameters_v1440_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "PhyLayerParameters_NB_v1440", HFILL }},
    { &hf_lte_rrc_nonCriticalExtension_269,
      { "nonCriticalExtension", "lte-rrc.nonCriticalExtension_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "T_nonCriticalExtension_91", HFILL }},
    { &hf_lte_rrc_supportedROHC_Profiles_r13,
      { "supportedROHC-Profiles-r13", "lte-rrc.supportedROHC_Profiles_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_maxNumberROHC_ContextSessions_r13,
      { "maxNumberROHC-ContextSessions-r13", "lte-rrc.maxNumberROHC_ContextSessions_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_maxNumberROHC_ContextSessions_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_dataInactMon_r14_01,
      { "dataInactMon-r14", "lte-rrc.dataInactMon_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_dataInactMon_r14_01_vals), 0,
        "T_dataInactMon_r14_01", HFILL }},
    { &hf_lte_rrc_rai_Support_r14_01,
      { "rai-Support-r14", "lte-rrc.rai_Support_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_rai_Support_r14_01_vals), 0,
        "T_rai_Support_r14_01", HFILL }},
    { &hf_lte_rrc_multiTone_r13,
      { "multiTone-r13", "lte-rrc.multiTone_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiTone_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiCarrier_r13,
      { "multiCarrier-r13", "lte-rrc.multiCarrier_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiCarrier_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_multiCarrier_NPRACH_r14,
      { "multiCarrier-NPRACH-r14", "lte-rrc.multiCarrier_NPRACH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiCarrier_NPRACH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_twoHARQ_Processes_r14,
      { "twoHARQ-Processes-r14", "lte-rrc.twoHARQ_Processes_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_twoHARQ_Processes_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interferenceRandomisation_r14,
      { "interferenceRandomisation-r14", "lte-rrc.interferenceRandomisation_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_interferenceRandomisation_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_supportedBandList_r13,
      { "supportedBandList-r13", "lte-rrc.supportedBandList_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "SupportedBandList_NB_r13", HFILL }},
    { &hf_lte_rrc_multiNS_Pmax_r13,
      { "multiNS-Pmax-r13", "lte-rrc.multiNS_Pmax_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiNS_Pmax_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_powerClassNB_14dBm_r14,
      { "powerClassNB-14dBm-r14", "lte-rrc.powerClassNB_14dBm_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerClassNB_14dBm_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_SupportedBandList_NB_r13_item,
      { "SupportedBand-NB-r13", "lte-rrc.SupportedBand_NB_r13_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_band_r13,
      { "band-r13", "lte-rrc.band_r13",
        FT_UINT32, BASE_DEC, NULL, 0,
        "FreqBandIndicator_NB_r13", HFILL }},
    { &hf_lte_rrc_powerClassNB_20dBm_r13,
      { "powerClassNB-20dBm-r13", "lte-rrc.powerClassNB_20dBm_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_powerClassNB_20dBm_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_ue_Category_NB_r13_01,
      { "ue-Category-NB-r13", "lte-rrc.ue_Category_NB_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_ue_Category_NB_r13_01_vals), 0,
        "T_ue_Category_NB_r13_01", HFILL }},
    { &hf_lte_rrc_multiCarrierPaging_r14,
      { "multiCarrierPaging-r14", "lte-rrc.multiCarrierPaging_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_multiCarrierPaging_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t300_r13,
      { "t300-r13", "lte-rrc.t300_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t300_r13_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_t301_r13_01,
      { "t301-r13", "lte-rrc.t301_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t301_r13_01_vals), 0,
        "T_t301_r13_01", HFILL }},
    { &hf_lte_rrc_t310_r13_01,
      { "t310-r13", "lte-rrc.t310_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t310_r13_01_vals), 0,
        "T_t310_r13_01", HFILL }},
    { &hf_lte_rrc_n310_r13_01,
      { "n310-r13", "lte-rrc.n310_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n310_r13_01_vals), 0,
        "T_n310_r13_01", HFILL }},
    { &hf_lte_rrc_t311_r13_01,
      { "t311-r13", "lte-rrc.t311_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t311_r13_01_vals), 0,
        "T_t311_r13_01", HFILL }},
    { &hf_lte_rrc_n311_r13_01,
      { "n311-r13", "lte-rrc.n311_r13",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_n311_r13_01_vals), 0,
        "T_n311_r13_01", HFILL }},
    { &hf_lte_rrc_t311_v1350_01,
      { "t311-v1350", "lte-rrc.t311_v1350",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_t311_v1350_01_vals), 0,
        "T_t311_v1350_01", HFILL }},
    { &hf_lte_rrc_SC_MTCH_InfoList_NB_r14_item,
      { "SC-MTCH-Info-NB-r14", "lte-rrc.SC_MTCH_Info_NB_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mtch_CarrierConfig_r14,
      { "sc-mtch-CarrierConfig-r14", "lte-rrc.sc_mtch_CarrierConfig_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_sc_mtch_CarrierConfig_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sc_mtch_SchedulingInfo_r14,
      { "sc-mtch-SchedulingInfo-r14", "lte-rrc.sc_mtch_SchedulingInfo_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "SC_MTCH_SchedulingInfo_NB_r14", HFILL }},
    { &hf_lte_rrc_sc_mtch_NeighbourCell_r14,
      { "sc-mtch-NeighbourCell-r14", "lte-rrc.sc_mtch_NeighbourCell_r14",
        FT_BYTES, BASE_NONE, NULL, 0,
        "BIT_STRING_SIZE_maxNeighCell_SCPTM_NB_r14", HFILL }},
    { &hf_lte_rrc_npdcch_NPDSCH_MaxTBS_SC_MTCH_r14,
      { "npdcch-NPDSCH-MaxTBS-SC-MTCH-r14", "lte-rrc.npdcch_NPDSCH_MaxTBS_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_NPDSCH_MaxTBS_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_NumRepetitions_SC_MTCH_r14,
      { "npdcch-NumRepetitions-SC-MTCH-r14", "lte-rrc.npdcch_NumRepetitions_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_NumRepetitions_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_StartSF_SC_MTCH_r14,
      { "npdcch-StartSF-SC-MTCH-r14", "lte-rrc.npdcch_StartSF_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_StartSF_SC_MTCH_r14_vals), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_npdcch_Offset_SC_MTCH_r14,
      { "npdcch-Offset-SC-MTCH-r14", "lte-rrc.npdcch_Offset_SC_MTCH_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_npdcch_Offset_SC_MTCH_r14_vals), 0,
        "T_npdcch_Offset_SC_MTCH_r14", HFILL }},
    { &hf_lte_rrc_onDurationTimerSCPTM_r14_03,
      { "onDurationTimerSCPTM-r14", "lte-rrc.onDurationTimerSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_onDurationTimerSCPTM_r14_03_vals), 0,
        "T_onDurationTimerSCPTM_r14_03", HFILL }},
    { &hf_lte_rrc_drx_InactivityTimerSCPTM_r14_03,
      { "drx-InactivityTimerSCPTM-r14", "lte-rrc.drx_InactivityTimerSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_drx_InactivityTimerSCPTM_r14_03_vals), 0,
        "T_drx_InactivityTimerSCPTM_r14_03", HFILL }},
    { &hf_lte_rrc_schedulingPeriodStartOffsetSCPTM_r14_03,
      { "schedulingPeriodStartOffsetSCPTM-r14", "lte-rrc.schedulingPeriodStartOffsetSCPTM_r14",
        FT_UINT32, BASE_DEC, VALS(lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_03_vals), 0,
        "T_schedulingPeriodStartOffsetSCPTM_r14_03", HFILL }},
    { &hf_lte_rrc_SCPTM_NeighbourCellList_NB_r14_item,
      { "PCI-ARFCN-NB-r14", "lte-rrc.PCI_ARFCN_NB_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_physCellId_r14,
      { "physCellId-r14", "lte-rrc.physCellId_r14",
        FT_UINT32, BASE_DEC, NULL, 0,
        "PhysCellId", HFILL }},
    { &hf_lte_rrc_carrierFreq_r14,
      { "carrierFreq-r14", "lte-rrc.carrierFreq_r14_element",
        FT_NONE, BASE_NONE, NULL, 0,
        "CarrierFreq_NB_r13", HFILL }},

/*--- End of included file: packet-lte-rrc-hfarr.c ---*/
#line 3442 "./asn1/lte-rrc/packet-lte-rrc-template.c"

    { &hf_lte_rrc_eutra_cap_feat_group_ind_1,
      { "Indicator 1", "lte-rrc.eutra_cap_feat_group_ind_1",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_1_val), 0,
        "EUTRA Feature Group Indicator 1", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_2,
      { "Indicator 2", "lte-rrc.eutra_cap_feat_group_ind_2",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_2_val), 0,
        "EUTRA Feature Group Indicator 2", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_3,
      { "Indicator 3", "lte-rrc.eutra_cap_feat_group_ind_3",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_3_val), 0,
        "EUTRA Feature Group Indicator 3", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_4,
      { "Indicator 4", "lte-rrc.eutra_cap_feat_group_ind_4",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_4_val), 0,
        "EUTRA Feature Group Indicator 4", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_5,
      { "Indicator 5", "lte-rrc.eutra_cap_feat_group_ind_5",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_5_val), 0,
        "EUTRA Feature Group Indicator 5", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_6,
      { "Indicator 6", "lte-rrc.eutra_cap_feat_group_ind_6",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_6_val), 0,
        "EUTRA Feature Group Indicator 6", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_7,
      { "Indicator 7", "lte-rrc.eutra_cap_feat_group_ind_7",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_7_val), 0,
        "EUTRA Feature Group Indicator 7", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_8,
      { "Indicator 8", "lte-rrc.eutra_cap_feat_group_ind_8",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_8_val), 0,
        "EUTRA Feature Group Indicator 8", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_9,
      { "Indicator 9", "lte-rrc.eutra_cap_feat_group_ind_9",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_9_val), 0,
        "EUTRA Feature Group Indicator 9", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_10,
      { "Indicator 10", "lte-rrc.eutra_cap_feat_group_ind_10",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_10_val), 0,
        "EUTRA Feature Group Indicator 10", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_11,
      { "Indicator 11", "lte-rrc.eutra_cap_feat_group_ind_11",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_11_val), 0,
        "EUTRA Feature Group Indicator 11", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_12,
      { "Indicator 12", "lte-rrc.eutra_cap_feat_group_ind_12",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_12_val), 0,
        "EUTRA Feature Group Indicator 12", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_13,
      { "Indicator 13", "lte-rrc.eutra_cap_feat_group_ind_13",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_13_val), 0,
        "EUTRA Feature Group Indicator", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_14,
      { "Indicator 14", "lte-rrc.eutra_cap_feat_group_ind_14",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_14_val), 0,
        "EUTRA Feature Group Indicator 14", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_15,
      { "Indicator 15", "lte-rrc.eutra_cap_feat_group_ind_15",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_15_val), 0,
        "EUTRA Feature Group Indicator 15", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_16,
      { "Indicator 16", "lte-rrc.eutra_cap_feat_group_ind_16",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_16_val), 0,
        "EUTRA Feature Group Indicator 16", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_17,
      { "Indicator 17", "lte-rrc.eutra_cap_feat_group_ind_17",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_17_val), 0,
        "EUTRA Feature Group Indicator 17", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_18,
      { "Indicator 18", "lte-rrc.eutra_cap_feat_group_ind_18",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_18_val), 0,
        "EUTRA Feature Group Indicator 18", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_19,
      { "Indicator 19", "lte-rrc.eutra_cap_feat_group_ind_19",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_19_val), 0,
        "EUTRA Feature Group Indicator 19", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_20,
      { "Indicator 20", "lte-rrc.eutra_cap_feat_group_ind_20",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_20_val), 0,
        "EUTRA Feature Group Indicator 20", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_21,
      { "Indicator 21", "lte-rrc.eutra_cap_feat_group_ind_21",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_21_val), 0,
        "EUTRA Feature Group Indicator 21", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_22,
      { "Indicator 22", "lte-rrc.eutra_cap_feat_group_ind_22",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_22_val), 0,
        "EUTRA Feature Group Indicator 22", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_23,
      { "Indicator 23", "lte-rrc.eutra_cap_feat_group_ind_23",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_23_val), 0,
        "EUTRA Feature Group Indicator 23", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_24,
      { "Indicator 24", "lte-rrc.eutra_cap_feat_group_ind_24",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_24_val), 0,
        "EUTRA Feature Group Indicator 24", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_25,
      { "Indicator 25", "lte-rrc.eutra_cap_feat_group_ind_25",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_25_val), 0,
        "EUTRA Feature Group Indicator 25", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_26,
      { "Indicator 26", "lte-rrc.eutra_cap_feat_group_ind_26",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_26_val), 0,
        "EUTRA Feature Group Indicator 26", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_27,
      { "Indicator 27", "lte-rrc.eutra_cap_feat_group_ind_27",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_27_val), 0,
        "EUTRA Feature Group Indicator 27", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_28,
      { "Indicator 28", "lte-rrc.eutra_cap_feat_group_ind_28",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_28_val), 0,
        "EUTRA Feature Group Indicator 28", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_29,
      { "Indicator 29", "lte-rrc.eutra_cap_feat_group_ind_29",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_29_val), 0,
        "EUTRA Feature Group Indicator 29", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_30,
      { "Indicator 30", "lte-rrc.eutra_cap_feat_group_ind_30",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_30_val), 0,
        "EUTRA Feature Group Indicator 30", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_31,
      { "Indicator 31", "lte-rrc.eutra_cap_feat_group_ind_31",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_31_val), 0,
        "EUTRA Feature Group Indicator 31", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_32,
      { "Indicator 32", "lte-rrc.eutra_cap_feat_group_ind_32",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_32_val), 0,
        "EUTRA Feature Group Indicator 32", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_33,
      { "Indicator 33", "lte-rrc.eutra_cap_feat_group_ind_33",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_33_val), 0,
        "EUTRA Feature Group Indicator 33", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_34,
      { "Indicator 34", "lte-rrc.eutra_cap_feat_group_ind_34",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_34_val), 0,
        "EUTRA Feature Group Indicator 34", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_35,
      { "Indicator 35", "lte-rrc.eutra_cap_feat_group_ind_35",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_35_val), 0,
        "EUTRA Feature Group Indicator 35", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_36,
      { "Indicator 36", "lte-rrc.eutra_cap_feat_group_ind_36",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_36_val), 0,
        "EUTRA Feature Group Indicator 36", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_37,
      { "Indicator 37", "lte-rrc.eutra_cap_feat_group_ind_37",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_37_val), 0,
        "EUTRA Feature Group Indicator 37", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_38,
      { "Indicator 38", "lte-rrc.eutra_cap_feat_group_ind_38",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_38_val), 0,
        "EUTRA Feature Group Indicator 38", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_39,
      { "Indicator 39", "lte-rrc.eutra_cap_feat_group_ind_39",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_39_val), 0,
        "EUTRA Feature Group Indicator 39", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_40,
      { "Indicator 40", "lte-rrc.eutra_cap_feat_group_ind_40",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_40_val), 0,
        "EUTRA Feature Group Indicator 40", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_41,
      { "Indicator 41", "lte-rrc.eutra_cap_feat_group_ind_41",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_41_val), 0,
        "EUTRA Feature Group Indicator 41", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_42,
      { "Indicator 42", "lte-rrc.eutra_cap_feat_group_ind_42",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_42_val), 0,
        "EUTRA Feature Group Indicator 42", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_43,
      { "Indicator 43", "lte-rrc.eutra_cap_feat_group_ind_43",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_43_val), 0,
        "EUTRA Feature Group Indicator 43", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_44,
      { "Indicator 44", "lte-rrc.eutra_cap_feat_group_ind_44",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_44_val), 0,
        "EUTRA Feature Group Indicator 44", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_45,
      { "Indicator 45", "lte-rrc.eutra_cap_feat_group_ind_45",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_45_val), 0,
        "EUTRA Feature Group Indicator 45", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_46,
      { "Indicator 46", "lte-rrc.eutra_cap_feat_group_ind_46",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_46_val), 0,
        "EUTRA Feature Group Indicator 46", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_47,
      { "Indicator 47", "lte-rrc.eutra_cap_feat_group_ind_47",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_47_val), 0,
        "EUTRA Feature Group Indicator 47", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_48,
      { "Indicator 48", "lte-rrc.eutra_cap_feat_group_ind_48",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_48_val), 0,
        "EUTRA Feature Group Indicator 48", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_49,
      { "Indicator 49", "lte-rrc.eutra_cap_feat_group_ind_49",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_49_val), 0,
        "EUTRA Feature Group Indicator 49", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_50,
      { "Indicator 50", "lte-rrc.eutra_cap_feat_group_ind_50",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_50_val), 0,
        "EUTRA Feature Group Indicator 50", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_51,
      { "Indicator 51", "lte-rrc.eutra_cap_feat_group_ind_51",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_51_val), 0,
        "EUTRA Feature Group Indicator 51", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_52,
      { "Indicator 52", "lte-rrc.eutra_cap_feat_group_ind_52",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_52_val), 0,
        "EUTRA Feature Group Indicator 52", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_53,
      { "Indicator 53", "lte-rrc.eutra_cap_feat_group_ind_53",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_53_val), 0,
        "EUTRA Feature Group Indicator 53", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_54,
      { "Indicator 54", "lte-rrc.eutra_cap_feat_group_ind_54",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_54_val), 0,
        "EUTRA Feature Group Indicator 54", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_55,
      { "Indicator 55", "lte-rrc.eutra_cap_feat_group_ind_55",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_55_val), 0,
        "EUTRA Feature Group Indicator 55", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_56,
      { "Indicator 56", "lte-rrc.eutra_cap_feat_group_ind_56",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_56_val), 0,
        "EUTRA Feature Group Indicator 56", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_57,
      { "Indicator 57", "lte-rrc.eutra_cap_feat_group_ind_57",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_57_val), 0,
        "EUTRA Feature Group Indicator 57", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_58,
      { "Indicator 58", "lte-rrc.eutra_cap_feat_group_ind_58",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_58_val), 0,
        "EUTRA Feature Group Indicator 58", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_59,
      { "Indicator 59", "lte-rrc.eutra_cap_feat_group_ind_59",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_59_val), 0,
        "EUTRA Feature Group Indicator 59", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_60,
      { "Indicator 60", "lte-rrc.eutra_cap_feat_group_ind_60",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_60_val), 0,
        "EUTRA Feature Group Indicator 60", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_61,
      { "Indicator 61", "lte-rrc.eutra_cap_feat_group_ind_61",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_61_val), 0,
        "EUTRA Feature Group Indicator 61", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_62,
      { "Indicator 62", "lte-rrc.eutra_cap_feat_group_ind_62",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_62_val), 0,
        "EUTRA Feature Group Indicator 62", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_63,
      { "Indicator 63", "lte-rrc.eutra_cap_feat_group_ind_63",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_63_val), 0,
        "EUTRA Feature Group Indicator 63", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_64,
      { "Indicator 64", "lte-rrc.eutra_cap_feat_group_ind_64",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_64_val), 0,
        "EUTRA Feature Group Indicator 64", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_101,
      { "Indicator 101", "lte-rrc.eutra_cap_feat_group_ind_101",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_101_val), 0,
        "EUTRA Feature Group Indicator 101", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_102,
      { "Indicator 102", "lte-rrc.eutra_cap_feat_group_ind_102",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_102_val), 0,
        "EUTRA Feature Group Indicator 102", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_103,
      { "Indicator 103", "lte-rrc.eutra_cap_feat_group_ind_103",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_103_val), 0,
        "EUTRA Feature Group Indicator 103", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_104,
      { "Indicator 104", "lte-rrc.eutra_cap_feat_group_ind_104",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_104_val), 0,
        "EUTRA Feature Group Indicator 104", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_105,
      { "Indicator 105", "lte-rrc.eutra_cap_feat_group_ind_105",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_105_val), 0,
        "EUTRA Feature Group Indicator 105", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_106,
      { "Indicator 106", "lte-rrc.eutra_cap_feat_group_ind_106",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_106_val), 0,
        "EUTRA Feature Group Indicator 106", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_107,
      { "Indicator 107", "lte-rrc.eutra_cap_feat_group_ind_107",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_107_val), 0,
        "EUTRA Feature Group Indicator 107", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_108,
      { "Indicator 108", "lte-rrc.eutra_cap_feat_group_ind_108",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_108_val), 0,
        "EUTRA Feature Group Indicator 108", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_109,
      { "Indicator 109", "lte-rrc.eutra_cap_feat_group_ind_109",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_109_val), 0,
        "EUTRA Feature Group Indicator 109", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_110,
      { "Indicator 110", "lte-rrc.eutra_cap_feat_group_ind_110",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_110_val), 0,
        "EUTRA Feature Group Indicator 110", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_111,
      { "Indicator 111", "lte-rrc.eutra_cap_feat_group_ind_111",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_111_val), 0,
        "EUTRA Feature Group Indicator 111", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_112,
      { "Indicator 112", "lte-rrc.eutra_cap_feat_group_ind_112",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_112_val), 0,
        "EUTRA Feature Group Indicator 112", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_113,
      { "Indicator 113", "lte-rrc.eutra_cap_feat_group_ind_113",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_113_val), 0,
        "EUTRA Feature Group Indicator 113", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_114,
      { "Indicator 114", "lte-rrc.eutra_cap_feat_group_ind_114",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_114_val), 0,
        "EUTRA Feature Group Indicator 114", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_115,
      { "Indicator 115", "lte-rrc.eutra_cap_feat_group_ind_115",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_115_val), 0,
        "EUTRA Feature Group Indicator 115", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_116,
      { "Indicator 116", "lte-rrc.eutra_cap_feat_group_ind_116",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_116_val), 0,
        "EUTRA Feature Group Indicator 116", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_117,
      { "Indicator 117", "lte-rrc.eutra_cap_feat_group_ind_117",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_117_val), 0,
        "EUTRA Feature Group Indicator 117", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_118,
      { "Indicator 118", "lte-rrc.eutra_cap_feat_group_ind_118",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_118_val), 0,
        "EUTRA Feature Group Indicator 118", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_119,
      { "Indicator 119", "lte-rrc.eutra_cap_feat_group_ind_119",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_119_val), 0,
        "EUTRA Feature Group Indicator 119", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_120,
      { "Indicator 120", "lte-rrc.eutra_cap_feat_group_ind_120",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_120_val), 0,
        "EUTRA Feature Group Indicator 120", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_121,
      { "Indicator 121", "lte-rrc.eutra_cap_feat_group_ind_121",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_121_val), 0,
        "EUTRA Feature Group Indicator 121", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_122,
      { "Indicator 122", "lte-rrc.eutra_cap_feat_group_ind_122",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_122_val), 0,
        "EUTRA Feature Group Indicator 122", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_123,
      { "Indicator 123", "lte-rrc.eutra_cap_feat_group_ind_123",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_123_val), 0,
        "EUTRA Feature Group Indicator 123", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_124,
      { "Indicator 124", "lte-rrc.eutra_cap_feat_group_ind_124",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_124_val), 0,
        "EUTRA Feature Group Indicator 124", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_125,
      { "Indicator 125", "lte-rrc.eutra_cap_feat_group_ind_125",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_125_val), 0,
        "EUTRA Feature Group Indicator 125", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_126,
      { "Indicator 126", "lte-rrc.eutra_cap_feat_group_ind_126",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_126_val), 0,
        "EUTRA Feature Group Indicator 126", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_127,
      { "Indicator 127", "lte-rrc.eutra_cap_feat_group_ind_127",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_127_val), 0,
        "EUTRA Feature Group Indicator 127", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_128,
      { "Indicator 128", "lte-rrc.eutra_cap_feat_group_ind_128",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_128_val), 0,
        "EUTRA Feature Group Indicator 128", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_129,
      { "Indicator 129", "lte-rrc.eutra_cap_feat_group_ind_129",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_129_val), 0,
        "EUTRA Feature Group Indicator 129", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_130,
      { "Indicator 130", "lte-rrc.eutra_cap_feat_group_ind_130",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_130_val), 0,
        "EUTRA Feature Group Indicator 130", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_131,
      { "Indicator 131", "lte-rrc.eutra_cap_feat_group_ind_131",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_131_val), 0,
        "EUTRA Feature Group Indicator 131", HFILL }},
    { &hf_lte_rrc_eutra_cap_feat_group_ind_132,
      { "Indicator 132", "lte-rrc.eutra_cap_feat_group_ind_132",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_eutra_cap_feat_group_ind_132_val), 0,
        "EUTRA Feature Group Indicator 132", HFILL }},
    { &hf_lte_rrc_serialNumber_gs,
      { "Geographical Scope", "lte-rrc.serialNumber.gs",
        FT_UINT16, BASE_DEC, VALS(lte_rrc_serialNumber_gs_vals), 0xc000,
        NULL, HFILL }},
    { &hf_lte_rrc_serialNumber_msg_code,
      { "Message Code", "lte-rrc.serialNumber.msg_code",
        FT_UINT16, BASE_DEC, NULL, 0x3ff0,
        NULL, HFILL }},
    { &hf_lte_rrc_serialNumber_upd_nb,
      { "Update Number", "lte-rrc.serialNumber.upd_nb",
        FT_UINT16, BASE_DEC, NULL, 0x000f,
        NULL, HFILL }},
    { &hf_lte_rrc_warningType_value,
      { "Warning Type Value", "lte-rrc.warningType.value",
        FT_UINT16, BASE_DEC, VALS(lte_rrc_warningType_vals), 0xfe00,
        NULL, HFILL }},
    { &hf_lte_rrc_warningType_emergency_user_alert,
      { "Emergency User Alert", "lte-rrc.warningType.emergency_user_alert",
        FT_BOOLEAN, 16, TFS(&tfs_yes_no), 0x0100,
        NULL, HFILL }},
    { &hf_lte_rrc_warningType_popup,
      { "Popup", "lte-rrc.warningType.popup",
        FT_BOOLEAN, 16, TFS(&tfs_yes_no), 0x0080,
        NULL, HFILL }},
    { &hf_lte_rrc_warningMessageSegment_nb_pages,
      { "Number of Pages", "lte-rrc.warningMessageSegment.nb_pages",
        FT_UINT8, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_warningMessageSegment_decoded_page,
      { "Decoded Page", "lte-rrc.warningMessageSegment.decoded_page",
        FT_STRING, STR_UNICODE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_bit1,
      { "Bit 1", "lte-rrc.interBandTDD_CA_WithDifferentConfig.bit1",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_interBandTDD_CA_WithDifferentConfig_bit1_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_interBandTDD_CA_WithDifferentConfig_bit2,
      { "Bit 2", "lte-rrc.interBandTDD_CA_WithDifferentConfig.bit2",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_interBandTDD_CA_WithDifferentConfig_bit2_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit1,
      { "Bit 1", "lte-rrc.tdd_FDD_CA_PCellDuplex_r12.bit1",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit1_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit2,
      { "Bit 2", "lte-rrc.tdd_FDD_CA_PCellDuplex_r12.bit2",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_tdd_FDD_CA_PCellDuplex_r12_bit2_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_aperiodicCSI_Reporting_r13_bit1,
      { "Bit 1", "lte-rrc.aperiodicCSI_Reporting_r13.bit1",
        FT_BOOLEAN, BASE_NONE, TFS(&hf_lte_rrc_aperiodicCSI_Reporting_r13_bit1_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_aperiodicCSI_Reporting_r13_bit2,
      { "Bit 2", "lte-rrc.aperiodicCSI_Reporting_r13.bit2",
        FT_BOOLEAN, BASE_NONE, TFS(&hf_lte_rrc_aperiodicCSI_Reporting_r13_bit2_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebook_HARQ_ACK_r13_bit1,
      { "Bit 1", "lte-rrc.codebook_HARQ_ACK_r13.bit1",
        FT_BOOLEAN, BASE_NONE, TFS(&hf_lte_rrc_codebook_HARQ_ACK_r13_bit1_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_codebook_HARQ_ACK_r13_bit2,
      { "Bit 2", "lte-rrc.codebook_HARQ_ACK_r13.bit2",
        FT_BOOLEAN, BASE_NONE, TFS(&hf_lte_rrc_codebook_HARQ_ACK_r13_bit2_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sr_config_periodicity,
      { "Periodicity", "lte-rrc.sr_Periodicity",
        FT_UINT16, BASE_DEC, NULL, 0x0,
        NULL, HFILL }},
    { &hf_lte_rrc_sr_config_subframe_offset,
      { "Subframe Offset", "lte-rrc.sr_SubframeOffset",
        FT_UINT16, BASE_DEC, NULL, 0x0,
        NULL, HFILL }},
    { &hf_lte_rrc_cdma_time,
      { "CDMA  time", "lte-rrc.cdma_time",
        FT_ABSOLUTE_TIME, ABSOLUTE_TIME_UTC, NULL, 0x0,
        NULL, HFILL }},
    { &hf_lte_rrc_utc_time,
      { "UTC   time", "lte-rrc.utc_time",
        FT_ABSOLUTE_TIME, ABSOLUTE_TIME_UTC, NULL, 0x0,
        NULL, HFILL }},
    { &hf_lte_rrc_local_time,
      { "Local time", "lte-rrc.local_time",
        FT_ABSOLUTE_TIME, ABSOLUTE_TIME_LOCAL, NULL, 0x0,
        NULL, HFILL }},
    { &hf_lte_rrc_absolute_time,
      { "Absolute time", "lte-rrc.absolute_time",
        FT_STRING, BASE_NONE, NULL, 0x0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12_tm1,
      { "TM1", "lte-rrc.transmissionModeList_r12.tm1",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_transmissionModeList_r12_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12_tm2,
      { "TM2", "lte-rrc.transmissionModeList_r12.tm2",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_transmissionModeList_r12_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12_tm3,
      { "TM3", "lte-rrc.transmissionModeList_r12.tm3",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_transmissionModeList_r12_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12_tm4,
      { "TM4", "lte-rrc.transmissionModeList_r12.tm4",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_transmissionModeList_r12_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12_tm6,
      { "TM6", "lte-rrc.transmissionModeList_r12.tm6",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_transmissionModeList_r12_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12_tm8,
      { "TM8", "lte-rrc.transmissionModeList_r12.tm8",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_transmissionModeList_r12_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12_tm9,
      { "TM9", "lte-rrc.transmissionModeList_r12.tm9",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_transmissionModeList_r12_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_transmissionModeList_r12_tm10,
      { "TM10", "lte-rrc.transmissionModeList_r12.tm10",
        FT_BOOLEAN, BASE_NONE, TFS(&lte_rrc_transmissionModeList_r12_val), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_0,
      { "MPR/A-MPR behavior 0", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_0",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_1,
      { "MPR/A-MPR behavior 1", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_1",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_2,
      { "MPR/A-MPR behavior 2", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_2",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_3,
      { "MPR/A-MPR behavior 3", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_3",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_4,
      { "MPR/A-MPR behavior 4", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_4",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_5,
      { "MPR/A-MPR behavior 5", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_5",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_6,
      { "MPR/A-MPR behavior 6", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_6",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_7,
      { "MPR/A-MPR behavior 7", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_7",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_8,
      { "MPR/A-MPR behavior 8", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_8",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_9,
      { "MPR/A-MPR behavior 9", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_9",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_10,
      { "MPR/A-MPR behavior 10", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_10",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_11,
      { "MPR/A-MPR behavior 11", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_11",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_12,
      { "MPR/A-MPR behavior 12", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_12",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_13,
      { "MPR/A-MPR behavior 13", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_13",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_14,
      { "MPR/A-MPR behavior 14", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_14",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_15,
      { "MPR/A-MPR behavior 15", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_15",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_16,
      { "MPR/A-MPR behavior 16", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_16",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_17,
      { "MPR/A-MPR behavior 17", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_17",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_18,
      { "MPR/A-MPR behavior 18", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_18",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_19,
      { "MPR/A-MPR behavior 19", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_19",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_20,
      { "MPR/A-MPR behavior 20", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_20",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_21,
      { "MPR/A-MPR behavior 21", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_21",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_22,
      { "MPR/A-MPR behavior 22", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_22",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_23,
      { "MPR/A-MPR behavior 23", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_23",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_24,
      { "MPR/A-MPR behavior 24", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_24",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_25,
      { "MPR/A-MPR behavior 25", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_25",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_26,
      { "MPR/A-MPR behavior 26", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_26",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_27,
      { "MPR/A-MPR behavior 27", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_27",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_28,
      { "MPR/A-MPR behavior 28", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_28",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_29,
      { "MPR/A-MPR behavior 29", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_29",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_30,
      { "MPR/A-MPR behavior 30", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_30",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_modifiedMPR_Behavior_r10_mpr_ampr_31,
      { "MPR/A-MPR behavior 31", "lte-rrc.modifiedMPR_Behavior_r10.mpr_ampr_31",
        FT_BOOLEAN, BASE_NONE, TFS(&tfs_supported_not_supported), 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_fragments,
      { "Fragments", "lte-rrc.warningMessageSegment.fragments",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_fragment,
      { "Fragment", "lte-rrc.warningMessageSegment.fragment",
         FT_FRAMENUM, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_fragment_overlap,
      { "Fragment Overlap", "lte-rrc.warningMessageSegment.fragment_overlap",
         FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_fragment_overlap_conflict,
      { "Fragment Overlap Conflict", "lte-rrc.warningMessageSegment.fragment_overlap_conflict",
         FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_fragment_multiple_tails,
      { "Fragment Multiple Tails", "lte-rrc.warningMessageSegment.fragment_multiple_tails",
         FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_fragment_too_long_fragment,
      { "Too Long Fragment", "lte-rrc.warningMessageSegment.fragment_too_long_fragment",
         FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_fragment_error,
      { "Fragment Error", "lte-rrc.warningMessageSegment.fragment_error",
         FT_FRAMENUM, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_fragment_count,
      { "Fragment Count", "lte-rrc.warningMessageSegment.fragment_count",
         FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_reassembled_in,
      { "Reassembled In", "lte-rrc.warningMessageSegment.reassembled_in",
         FT_FRAMENUM, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_reassembled_length,
      { "Reassembled Length", "lte-rrc.warningMessageSegment.reassembled_length",
         FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib11_reassembled_data,
      { "Reassembled Data", "lte-rrc.warningMessageSegment.reassembled_data",
         FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_fragments,
      { "Fragments", "lte-rrc.warningMessageSegment_r9.fragments",
        FT_NONE, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_fragment,
      { "Fragment", "lte-rrc.warningMessageSegment_r9.fragment",
         FT_FRAMENUM, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_fragment_overlap,
      { "Fragment Overlap", "lte-rrc.warningMessageSegment_r9.fragment_overlap",
         FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_fragment_overlap_conflict,
      { "Fragment Overlap Conflict", "lte-rrc.warningMessageSegment_r9.fragment_overlap_conflict",
         FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_fragment_multiple_tails,
      { "Fragment Multiple Tails", "lte-rrc.warningMessageSegment_r9.fragment_multiple_tails",
         FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_fragment_too_long_fragment,
      { "Too Long Fragment", "lte-rrc.warningMessageSegment_r9.fragment_too_long_fragment",
         FT_BOOLEAN, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_fragment_error,
      { "Fragment Error", "lte-rrc.warningMessageSegment_r9.fragment_error",
         FT_FRAMENUM, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_fragment_count,
      { "Fragment Count", "lte-rrc.warningMessageSegment_r9.fragment_count",
         FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_reassembled_in,
      { "Reassembled In", "lte-rrc.warningMessageSegment_r9.reassembled_in",
         FT_FRAMENUM, BASE_NONE, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_reassembled_length,
      { "Reassembled Length", "lte-rrc.warningMessageSegment_r9.reassembled_length",
         FT_UINT32, BASE_DEC, NULL, 0,
        NULL, HFILL }},
    { &hf_lte_rrc_sib12_reassembled_data,
      { "Reassembled Data", "lte-rrc.warningMessageSegment_r9.reassembled_data",
         FT_BYTES, BASE_NONE, NULL, 0,
        NULL, HFILL }}
  };

  /* List of subtrees */
  static gint *ett[] = {
    &ett_lte_rrc,

/*--- Included file: packet-lte-rrc-ettarr.c ---*/
#line 1 "./asn1/lte-rrc/packet-lte-rrc-ettarr.c"
    &ett_lte_rrc_HandoverCommand,
    &ett_lte_rrc_T_criticalExtensions,
    &ett_lte_rrc_T_c1,
    &ett_lte_rrc_T_criticalExtensionsFuture,
    &ett_lte_rrc_HandoverCommand_r8_IEs,
    &ett_lte_rrc_T_nonCriticalExtension,
    &ett_lte_rrc_HandoverPreparationInformation,
    &ett_lte_rrc_T_criticalExtensions_01,
    &ett_lte_rrc_T_c1_01,
    &ett_lte_rrc_T_criticalExtensionsFuture_01,
    &ett_lte_rrc_HandoverPreparationInformation_r8_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_v920_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_v9d0_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_v9j0_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_v10j0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_01,
    &ett_lte_rrc_HandoverPreparationInformation_v9e0_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_v1130_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_v1250_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_v1320_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_02,
    &ett_lte_rrc_SCG_Config_r12,
    &ett_lte_rrc_T_criticalExtensions_02,
    &ett_lte_rrc_T_c1_02,
    &ett_lte_rrc_T_criticalExtensionsFuture_02,
    &ett_lte_rrc_SCG_Config_r12_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_03,
    &ett_lte_rrc_SCG_ConfigInfo_r12,
    &ett_lte_rrc_T_criticalExtensions_03,
    &ett_lte_rrc_T_c1_03,
    &ett_lte_rrc_T_criticalExtensionsFuture_03,
    &ett_lte_rrc_SCG_ConfigInfo_r12_IEs,
    &ett_lte_rrc_SCG_ConfigInfo_v1310_IEs,
    &ett_lte_rrc_SCG_ConfigInfo_v1330_IEs,
    &ett_lte_rrc_SCG_ConfigInfo_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_04,
    &ett_lte_rrc_DRB_InfoListSCG_r12,
    &ett_lte_rrc_DRB_InfoSCG_r12,
    &ett_lte_rrc_SCellToAddModListSCG_r12,
    &ett_lte_rrc_SCellToAddModListSCG_Ext_r13,
    &ett_lte_rrc_Cell_ToAddMod_r12,
    &ett_lte_rrc_T_cellIdentification_r12,
    &ett_lte_rrc_T_measResultCellToAdd_r12,
    &ett_lte_rrc_T_measResultCellToAdd_v1310,
    &ett_lte_rrc_MeasResultServCellListSCG_r12,
    &ett_lte_rrc_MeasResultServCellListSCG_Ext_r13,
    &ett_lte_rrc_MeasResultServCellSCG_r12,
    &ett_lte_rrc_T_measResultSCell_r12,
    &ett_lte_rrc_T_measResultSCell_v1310,
    &ett_lte_rrc_MeasResultListRSSI_SCG_r13,
    &ett_lte_rrc_MeasResultRSSI_SCG_r13,
    &ett_lte_rrc_SCG_ConfigRestrictInfo_r12,
    &ett_lte_rrc_UEPagingCoverageInformation,
    &ett_lte_rrc_T_criticalExtensions_04,
    &ett_lte_rrc_T_c1_04,
    &ett_lte_rrc_T_criticalExtensionsFuture_04,
    &ett_lte_rrc_UEPagingCoverageInformation_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_05,
    &ett_lte_rrc_UERadioAccessCapabilityInformation,
    &ett_lte_rrc_T_criticalExtensions_05,
    &ett_lte_rrc_T_c1_05,
    &ett_lte_rrc_T_criticalExtensionsFuture_05,
    &ett_lte_rrc_UERadioAccessCapabilityInformation_r8_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_06,
    &ett_lte_rrc_UERadioPagingInformation,
    &ett_lte_rrc_T_criticalExtensions_06,
    &ett_lte_rrc_T_c1_06,
    &ett_lte_rrc_T_criticalExtensionsFuture_06,
    &ett_lte_rrc_UERadioPagingInformation_r12_IEs,
    &ett_lte_rrc_UERadioPagingInformation_v1310_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxBands_OF_FreqBandIndicator_r11,
    &ett_lte_rrc_T_nonCriticalExtension_07,
    &ett_lte_rrc_AS_Config,
    &ett_lte_rrc_AS_Config_v9e0,
    &ett_lte_rrc_AS_Config_v10j0,
    &ett_lte_rrc_AS_Config_v1250,
    &ett_lte_rrc_AS_Config_v1320,
    &ett_lte_rrc_AS_Config_v1430,
    &ett_lte_rrc_AS_Context,
    &ett_lte_rrc_AS_Context_v1130,
    &ett_lte_rrc_AS_Context_v1320,
    &ett_lte_rrc_ReestablishmentInfo,
    &ett_lte_rrc_AdditionalReestabInfoList,
    &ett_lte_rrc_AdditionalReestabInfo,
    &ett_lte_rrc_RRM_Config,
    &ett_lte_rrc_CandidateCellInfoList_r10,
    &ett_lte_rrc_CandidateCellInfo_r10,
    &ett_lte_rrc_BCCH_BCH_Message,
    &ett_lte_rrc_BCCH_BCH_Message_MBMS,
    &ett_lte_rrc_BCCH_DL_SCH_Message,
    &ett_lte_rrc_BCCH_DL_SCH_MessageType,
    &ett_lte_rrc_T_c1_07,
    &ett_lte_rrc_T_messageClassExtension,
    &ett_lte_rrc_BCCH_DL_SCH_Message_BR,
    &ett_lte_rrc_BCCH_DL_SCH_MessageType_BR_r13,
    &ett_lte_rrc_T_c1_08,
    &ett_lte_rrc_T_messageClassExtension_01,
    &ett_lte_rrc_BCCH_DL_SCH_Message_MBMS,
    &ett_lte_rrc_BCCH_DL_SCH_MessageType_MBMS_r14,
    &ett_lte_rrc_T_c1_09,
    &ett_lte_rrc_T_messageClassExtension_02,
    &ett_lte_rrc_MCCH_Message,
    &ett_lte_rrc_MCCH_MessageType,
    &ett_lte_rrc_T_c1_10,
    &ett_lte_rrc_T_later,
    &ett_lte_rrc_T_c2,
    &ett_lte_rrc_T_messageClassExtension_03,
    &ett_lte_rrc_PCCH_Message,
    &ett_lte_rrc_PCCH_MessageType,
    &ett_lte_rrc_T_c1_11,
    &ett_lte_rrc_T_messageClassExtension_04,
    &ett_lte_rrc_DL_CCCH_Message,
    &ett_lte_rrc_DL_CCCH_MessageType,
    &ett_lte_rrc_T_c1_12,
    &ett_lte_rrc_T_messageClassExtension_05,
    &ett_lte_rrc_DL_DCCH_Message,
    &ett_lte_rrc_DL_DCCH_MessageType,
    &ett_lte_rrc_T_c1_13,
    &ett_lte_rrc_T_messageClassExtension_06,
    &ett_lte_rrc_UL_CCCH_Message,
    &ett_lte_rrc_UL_CCCH_MessageType,
    &ett_lte_rrc_T_c1_14,
    &ett_lte_rrc_T_messageClassExtension_07,
    &ett_lte_rrc_T_c2_01,
    &ett_lte_rrc_T_messageClassExtensionFuture_r13,
    &ett_lte_rrc_UL_DCCH_Message,
    &ett_lte_rrc_UL_DCCH_MessageType,
    &ett_lte_rrc_T_c1_15,
    &ett_lte_rrc_T_messageClassExtension_08,
    &ett_lte_rrc_T_c2_02,
    &ett_lte_rrc_T_messageClassExtensionFuture_r11,
    &ett_lte_rrc_SC_MCCH_Message_r13,
    &ett_lte_rrc_SC_MCCH_MessageType_r13,
    &ett_lte_rrc_T_c1_16,
    &ett_lte_rrc_T_messageClassExtension_09,
    &ett_lte_rrc_T_c2_03,
    &ett_lte_rrc_T_messageClassExtensionFuture_r14,
    &ett_lte_rrc_CounterCheck,
    &ett_lte_rrc_T_criticalExtensions_07,
    &ett_lte_rrc_T_c1_17,
    &ett_lte_rrc_T_criticalExtensionsFuture_07,
    &ett_lte_rrc_CounterCheck_r8_IEs,
    &ett_lte_rrc_CounterCheck_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_08,
    &ett_lte_rrc_DRB_CountMSB_InfoList,
    &ett_lte_rrc_DRB_CountMSB_Info,
    &ett_lte_rrc_CounterCheckResponse,
    &ett_lte_rrc_T_criticalExtensions_08,
    &ett_lte_rrc_T_criticalExtensionsFuture_08,
    &ett_lte_rrc_CounterCheckResponse_r8_IEs,
    &ett_lte_rrc_CounterCheckResponse_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_09,
    &ett_lte_rrc_DRB_CountInfoList,
    &ett_lte_rrc_DRB_CountInfo,
    &ett_lte_rrc_CSFBParametersRequestCDMA2000,
    &ett_lte_rrc_T_criticalExtensions_09,
    &ett_lte_rrc_T_criticalExtensionsFuture_09,
    &ett_lte_rrc_CSFBParametersRequestCDMA2000_r8_IEs,
    &ett_lte_rrc_CSFBParametersRequestCDMA2000_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_10,
    &ett_lte_rrc_CSFBParametersResponseCDMA2000,
    &ett_lte_rrc_T_criticalExtensions_10,
    &ett_lte_rrc_T_criticalExtensionsFuture_10,
    &ett_lte_rrc_CSFBParametersResponseCDMA2000_r8_IEs,
    &ett_lte_rrc_CSFBParametersResponseCDMA2000_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_11,
    &ett_lte_rrc_DLInformationTransfer,
    &ett_lte_rrc_T_criticalExtensions_11,
    &ett_lte_rrc_T_c1_18,
    &ett_lte_rrc_T_criticalExtensionsFuture_11,
    &ett_lte_rrc_DLInformationTransfer_r8_IEs,
    &ett_lte_rrc_T_dedicatedInfoType,
    &ett_lte_rrc_DLInformationTransfer_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_12,
    &ett_lte_rrc_HandoverFromEUTRAPreparationRequest,
    &ett_lte_rrc_T_criticalExtensions_12,
    &ett_lte_rrc_T_c1_19,
    &ett_lte_rrc_T_criticalExtensionsFuture_12,
    &ett_lte_rrc_HandoverFromEUTRAPreparationRequest_r8_IEs,
    &ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v890_IEs,
    &ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v920_IEs,
    &ett_lte_rrc_HandoverFromEUTRAPreparationRequest_v1020_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_13,
    &ett_lte_rrc_InDeviceCoexIndication_r11,
    &ett_lte_rrc_T_criticalExtensions_13,
    &ett_lte_rrc_T_c1_20,
    &ett_lte_rrc_T_criticalExtensionsFuture_13,
    &ett_lte_rrc_InDeviceCoexIndication_r11_IEs,
    &ett_lte_rrc_InDeviceCoexIndication_v11d0_IEs,
    &ett_lte_rrc_T_ul_CA_AssistanceInfo_r11,
    &ett_lte_rrc_InDeviceCoexIndication_v1310_IEs,
    &ett_lte_rrc_InDeviceCoexIndication_v1360_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_14,
    &ett_lte_rrc_AffectedCarrierFreqList_r11,
    &ett_lte_rrc_AffectedCarrierFreqList_v1310,
    &ett_lte_rrc_AffectedCarrierFreq_r11,
    &ett_lte_rrc_AffectedCarrierFreq_v1310,
    &ett_lte_rrc_AffectedCarrierFreqCombList_r11,
    &ett_lte_rrc_AffectedCarrierFreqCombList_r13,
    &ett_lte_rrc_AffectedCarrierFreqComb_r11,
    &ett_lte_rrc_AffectedCarrierFreqComb_r13,
    &ett_lte_rrc_TDM_AssistanceInfo_r11,
    &ett_lte_rrc_T_drx_AssistanceInfo_r11,
    &ett_lte_rrc_IDC_SubframePatternList_r11,
    &ett_lte_rrc_IDC_SubframePattern_r11,
    &ett_lte_rrc_T_subframePatternTDD_r11,
    &ett_lte_rrc_VictimSystemType_r11,
    &ett_lte_rrc_InterFreqRSTDMeasurementIndication_r10,
    &ett_lte_rrc_T_criticalExtensions_14,
    &ett_lte_rrc_T_c1_21,
    &ett_lte_rrc_T_criticalExtensionsFuture_14,
    &ett_lte_rrc_InterFreqRSTDMeasurementIndication_r10_IEs,
    &ett_lte_rrc_T_rstd_InterFreqIndication_r10,
    &ett_lte_rrc_T_start,
    &ett_lte_rrc_T_nonCriticalExtension_15,
    &ett_lte_rrc_RSTD_InterFreqInfoList_r10,
    &ett_lte_rrc_RSTD_InterFreqInfo_r10,
    &ett_lte_rrc_LoggedMeasurementConfiguration_r10,
    &ett_lte_rrc_T_criticalExtensions_15,
    &ett_lte_rrc_T_c1_22,
    &ett_lte_rrc_T_criticalExtensionsFuture_15,
    &ett_lte_rrc_LoggedMeasurementConfiguration_r10_IEs,
    &ett_lte_rrc_LoggedMeasurementConfiguration_v1080_IEs,
    &ett_lte_rrc_LoggedMeasurementConfiguration_v1130_IEs,
    &ett_lte_rrc_LoggedMeasurementConfiguration_v1250_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_16,
    &ett_lte_rrc_TargetMBSFN_AreaList_r12,
    &ett_lte_rrc_TargetMBSFN_Area_r12,
    &ett_lte_rrc_MasterInformationBlock,
    &ett_lte_rrc_MasterInformationBlock_MBMS_r14,
    &ett_lte_rrc_MBMSCountingRequest_r10,
    &ett_lte_rrc_T_nonCriticalExtension_17,
    &ett_lte_rrc_CountingRequestList_r10,
    &ett_lte_rrc_CountingRequestInfo_r10,
    &ett_lte_rrc_MBMSCountingResponse_r10,
    &ett_lte_rrc_T_criticalExtensions_16,
    &ett_lte_rrc_T_c1_23,
    &ett_lte_rrc_T_criticalExtensionsFuture_16,
    &ett_lte_rrc_MBMSCountingResponse_r10_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_18,
    &ett_lte_rrc_CountingResponseList_r10,
    &ett_lte_rrc_CountingResponseInfo_r10,
    &ett_lte_rrc_MBMSInterestIndication_r11,
    &ett_lte_rrc_T_criticalExtensions_17,
    &ett_lte_rrc_T_c1_24,
    &ett_lte_rrc_T_criticalExtensionsFuture_17,
    &ett_lte_rrc_MBMSInterestIndication_r11_IEs,
    &ett_lte_rrc_MBMSInterestIndication_v1310_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_19,
    &ett_lte_rrc_MBSFNAreaConfiguration_r9,
    &ett_lte_rrc_MBSFNAreaConfiguration_v930_IEs,
    &ett_lte_rrc_MBSFNAreaConfiguration_v1250_IEs,
    &ett_lte_rrc_MBSFNAreaConfiguration_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_20,
    &ett_lte_rrc_CommonSF_AllocPatternList_r9,
    &ett_lte_rrc_CommonSF_AllocPatternList_r14,
    &ett_lte_rrc_MeasurementReport,
    &ett_lte_rrc_T_criticalExtensions_18,
    &ett_lte_rrc_T_c1_25,
    &ett_lte_rrc_T_criticalExtensionsFuture_18,
    &ett_lte_rrc_MeasurementReport_r8_IEs,
    &ett_lte_rrc_MeasurementReport_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_21,
    &ett_lte_rrc_MobilityFromEUTRACommand,
    &ett_lte_rrc_T_criticalExtensions_19,
    &ett_lte_rrc_T_c1_26,
    &ett_lte_rrc_T_criticalExtensionsFuture_19,
    &ett_lte_rrc_MobilityFromEUTRACommand_r8_IEs,
    &ett_lte_rrc_T_purpose,
    &ett_lte_rrc_MobilityFromEUTRACommand_v8a0_IEs,
    &ett_lte_rrc_MobilityFromEUTRACommand_v8d0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_22,
    &ett_lte_rrc_MobilityFromEUTRACommand_r9_IEs,
    &ett_lte_rrc_T_purpose_01,
    &ett_lte_rrc_MobilityFromEUTRACommand_v930_IEs,
    &ett_lte_rrc_MobilityFromEUTRACommand_v960_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_23,
    &ett_lte_rrc_Handover,
    &ett_lte_rrc_CellChangeOrder,
    &ett_lte_rrc_T_targetRAT_Type_01,
    &ett_lte_rrc_T_geran,
    &ett_lte_rrc_SI_OrPSI_GERAN,
    &ett_lte_rrc_E_CSFB_r9,
    &ett_lte_rrc_Paging,
    &ett_lte_rrc_Paging_v890_IEs,
    &ett_lte_rrc_Paging_v920_IEs,
    &ett_lte_rrc_Paging_v1130_IEs,
    &ett_lte_rrc_Paging_v1310_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_24,
    &ett_lte_rrc_PagingRecordList,
    &ett_lte_rrc_PagingRecord,
    &ett_lte_rrc_PagingUE_Identity,
    &ett_lte_rrc_IMSI,
    &ett_lte_rrc_ProximityIndication_r9,
    &ett_lte_rrc_T_criticalExtensions_20,
    &ett_lte_rrc_T_c1_27,
    &ett_lte_rrc_T_criticalExtensionsFuture_20,
    &ett_lte_rrc_ProximityIndication_r9_IEs,
    &ett_lte_rrc_T_carrierFreq_r9,
    &ett_lte_rrc_ProximityIndication_v930_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_25,
    &ett_lte_rrc_RNReconfiguration_r10,
    &ett_lte_rrc_T_criticalExtensions_21,
    &ett_lte_rrc_T_c1_28,
    &ett_lte_rrc_T_criticalExtensionsFuture_21,
    &ett_lte_rrc_RNReconfiguration_r10_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_26,
    &ett_lte_rrc_RN_SystemInfo_r10,
    &ett_lte_rrc_RNReconfigurationComplete_r10,
    &ett_lte_rrc_T_criticalExtensions_22,
    &ett_lte_rrc_T_c1_29,
    &ett_lte_rrc_T_criticalExtensionsFuture_22,
    &ett_lte_rrc_RNReconfigurationComplete_r10_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_27,
    &ett_lte_rrc_RRCConnectionReconfiguration,
    &ett_lte_rrc_T_criticalExtensions_23,
    &ett_lte_rrc_T_c1_30,
    &ett_lte_rrc_T_criticalExtensionsFuture_23,
    &ett_lte_rrc_RRCConnectionReconfiguration_r8_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxDRB_OF_DedicatedInfoNAS,
    &ett_lte_rrc_RRCConnectionReconfiguration_v890_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v8m0_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v10i0_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v10l0_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v12f0_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v1370_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_28,
    &ett_lte_rrc_RRCConnectionReconfiguration_v920_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v1020_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v1130_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v1250_IEs,
    &ett_lte_rrc_T_wlan_OffloadInfo_r12,
    &ett_lte_rrc_T_setup,
    &ett_lte_rrc_RRCConnectionReconfiguration_v1310_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v1430_IEs,
    &ett_lte_rrc_RRCConnectionReconfiguration_v15x0_IEs,
    &ett_lte_rrc_T_endc_Config_r15,
    &ett_lte_rrc_T_tdm_PatternSingle_Tx_r15,
    &ett_lte_rrc_SL_SyncTxControl_r12,
    &ett_lte_rrc_PSCellToAddMod_r12,
    &ett_lte_rrc_T_cellIdentification_r12_01,
    &ett_lte_rrc_PSCellToAddMod_v12f0,
    &ett_lte_rrc_PSCellToAddMod_v1440,
    &ett_lte_rrc_PowerCoordinationInfo_r12,
    &ett_lte_rrc_SCellToAddModList_r10,
    &ett_lte_rrc_SCellToAddModList_v10l0,
    &ett_lte_rrc_SCellToAddModListExt_r13,
    &ett_lte_rrc_SCellToAddModListExt_v1370,
    &ett_lte_rrc_SCellToAddModListExt_v1430,
    &ett_lte_rrc_SCellToAddMod_r10,
    &ett_lte_rrc_T_cellIdentification_r10,
    &ett_lte_rrc_SCellToAddMod_v10l0,
    &ett_lte_rrc_SCellToAddModExt_r13,
    &ett_lte_rrc_T_cellIdentification_r13,
    &ett_lte_rrc_SCellToAddModExt_v1370,
    &ett_lte_rrc_SCellToAddModExt_v1430,
    &ett_lte_rrc_SCellToReleaseList_r10,
    &ett_lte_rrc_SCellToReleaseListExt_r13,
    &ett_lte_rrc_SCG_Configuration_r12,
    &ett_lte_rrc_T_setup_01,
    &ett_lte_rrc_T_scg_ConfigPartMCG_r12,
    &ett_lte_rrc_SCG_Configuration_v12f0,
    &ett_lte_rrc_T_setup_02,
    &ett_lte_rrc_SCG_ConfigPartSCG_r12,
    &ett_lte_rrc_SCG_ConfigPartSCG_v12f0,
    &ett_lte_rrc_SecurityConfigHO,
    &ett_lte_rrc_T_handoverType,
    &ett_lte_rrc_T_intraLTE,
    &ett_lte_rrc_T_interRAT,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete,
    &ett_lte_rrc_T_criticalExtensions_24,
    &ett_lte_rrc_T_criticalExtensionsFuture_24,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_r8_IEs,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_v8a0_IEs,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_v1020_IEs,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_v1130_IEs,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_v1250_IEs,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_v1430_IEs,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_v15xy_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_29,
    &ett_lte_rrc_RRCConnectionReestablishment,
    &ett_lte_rrc_T_criticalExtensions_25,
    &ett_lte_rrc_T_c1_31,
    &ett_lte_rrc_T_criticalExtensionsFuture_25,
    &ett_lte_rrc_RRCConnectionReestablishment_r8_IEs,
    &ett_lte_rrc_RRCConnectionReestablishment_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_30,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete,
    &ett_lte_rrc_T_criticalExtensions_26,
    &ett_lte_rrc_T_criticalExtensionsFuture_26,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete_r8_IEs,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete_v920_IEs,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete_v8a0_IEs,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete_v1020_IEs,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete_v1130_IEs,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete_v1250_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_31,
    &ett_lte_rrc_RRCConnectionReestablishmentReject,
    &ett_lte_rrc_T_criticalExtensions_27,
    &ett_lte_rrc_T_criticalExtensionsFuture_27,
    &ett_lte_rrc_RRCConnectionReestablishmentReject_r8_IEs,
    &ett_lte_rrc_RRCConnectionReestablishmentReject_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_32,
    &ett_lte_rrc_RRCConnectionReestablishmentRequest,
    &ett_lte_rrc_T_criticalExtensions_28,
    &ett_lte_rrc_T_criticalExtensionsFuture_28,
    &ett_lte_rrc_RRCConnectionReestablishmentRequest_r8_IEs,
    &ett_lte_rrc_ReestabUE_Identity,
    &ett_lte_rrc_RRCConnectionReject,
    &ett_lte_rrc_T_criticalExtensions_29,
    &ett_lte_rrc_T_c1_32,
    &ett_lte_rrc_T_criticalExtensionsFuture_29,
    &ett_lte_rrc_RRCConnectionReject_r8_IEs,
    &ett_lte_rrc_RRCConnectionReject_v8a0_IEs,
    &ett_lte_rrc_RRCConnectionReject_v1020_IEs,
    &ett_lte_rrc_RRCConnectionReject_v1130_IEs,
    &ett_lte_rrc_T_deprioritisationReq_r11,
    &ett_lte_rrc_RRCConnectionReject_v1320_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_33,
    &ett_lte_rrc_RRCConnectionRelease,
    &ett_lte_rrc_T_criticalExtensions_30,
    &ett_lte_rrc_T_c1_33,
    &ett_lte_rrc_T_criticalExtensionsFuture_30,
    &ett_lte_rrc_RRCConnectionRelease_r8_IEs,
    &ett_lte_rrc_RRCConnectionRelease_v890_IEs,
    &ett_lte_rrc_RRCConnectionRelease_v9e0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_34,
    &ett_lte_rrc_RRCConnectionRelease_v920_IEs,
    &ett_lte_rrc_T_cellInfoList_r9,
    &ett_lte_rrc_RRCConnectionRelease_v1020_IEs,
    &ett_lte_rrc_RRCConnectionRelease_v1320_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_35,
    &ett_lte_rrc_RedirectedCarrierInfo,
    &ett_lte_rrc_RedirectedCarrierInfo_v9e0,
    &ett_lte_rrc_CarrierFreqListUTRA_TDD_r10,
    &ett_lte_rrc_IdleModeMobilityControlInfo,
    &ett_lte_rrc_IdleModeMobilityControlInfo_v9e0,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_FreqPriorityEUTRA_v9e0,
    &ett_lte_rrc_FreqPriorityListEUTRA,
    &ett_lte_rrc_FreqPriorityListExtEUTRA_r12,
    &ett_lte_rrc_FreqPriorityListEUTRA_v1310,
    &ett_lte_rrc_FreqPriorityListExtEUTRA_v1310,
    &ett_lte_rrc_FreqPriorityEUTRA,
    &ett_lte_rrc_FreqPriorityEUTRA_v9e0,
    &ett_lte_rrc_FreqPriorityEUTRA_r12,
    &ett_lte_rrc_FreqPriorityEUTRA_v1310,
    &ett_lte_rrc_FreqsPriorityListGERAN,
    &ett_lte_rrc_FreqsPriorityGERAN,
    &ett_lte_rrc_FreqPriorityListUTRA_FDD,
    &ett_lte_rrc_FreqPriorityUTRA_FDD,
    &ett_lte_rrc_FreqPriorityListUTRA_TDD,
    &ett_lte_rrc_FreqPriorityUTRA_TDD,
    &ett_lte_rrc_BandClassPriorityListHRPD,
    &ett_lte_rrc_BandClassPriorityHRPD,
    &ett_lte_rrc_BandClassPriorityList1XRTT,
    &ett_lte_rrc_BandClassPriority1XRTT,
    &ett_lte_rrc_CellInfoListGERAN_r9,
    &ett_lte_rrc_CellInfoGERAN_r9,
    &ett_lte_rrc_CellInfoListUTRA_FDD_r9,
    &ett_lte_rrc_CellInfoUTRA_FDD_r9,
    &ett_lte_rrc_CellInfoListUTRA_TDD_r9,
    &ett_lte_rrc_CellInfoUTRA_TDD_r9,
    &ett_lte_rrc_CellInfoListUTRA_TDD_r10,
    &ett_lte_rrc_CellInfoUTRA_TDD_r10,
    &ett_lte_rrc_RRCConnectionRequest,
    &ett_lte_rrc_T_criticalExtensions_31,
    &ett_lte_rrc_T_criticalExtensionsFuture_31,
    &ett_lte_rrc_RRCConnectionRequest_r8_IEs,
    &ett_lte_rrc_InitialUE_Identity,
    &ett_lte_rrc_RRCConnectionResume_r13,
    &ett_lte_rrc_T_criticalExtensions_32,
    &ett_lte_rrc_T_c1_34,
    &ett_lte_rrc_T_criticalExtensionsFuture_32,
    &ett_lte_rrc_RRCConnectionResume_r13_IEs,
    &ett_lte_rrc_RRCConnectionResume_v1430_IEs,
    &ett_lte_rrc_RRCConnectionResume_v15x0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_36,
    &ett_lte_rrc_RRCConnectionResumeComplete_r13,
    &ett_lte_rrc_T_criticalExtensions_33,
    &ett_lte_rrc_T_criticalExtensionsFuture_33,
    &ett_lte_rrc_RRCConnectionResumeComplete_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_37,
    &ett_lte_rrc_RRCConnectionResumeRequest_r13,
    &ett_lte_rrc_T_criticalExtensions_34,
    &ett_lte_rrc_T_criticalExtensionsFuture_34,
    &ett_lte_rrc_RRCConnectionResumeRequest_r13_IEs,
    &ett_lte_rrc_T_resumeIdentity_r13,
    &ett_lte_rrc_RRCConnectionSetup,
    &ett_lte_rrc_T_criticalExtensions_35,
    &ett_lte_rrc_T_c1_35,
    &ett_lte_rrc_T_criticalExtensionsFuture_35,
    &ett_lte_rrc_RRCConnectionSetup_r8_IEs,
    &ett_lte_rrc_RRCConnectionSetup_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_38,
    &ett_lte_rrc_RRCConnectionSetupComplete,
    &ett_lte_rrc_T_criticalExtensions_36,
    &ett_lte_rrc_T_c1_36,
    &ett_lte_rrc_T_criticalExtensionsFuture_36,
    &ett_lte_rrc_RRCConnectionSetupComplete_r8_IEs,
    &ett_lte_rrc_RRCConnectionSetupComplete_v8a0_IEs,
    &ett_lte_rrc_RRCConnectionSetupComplete_v1020_IEs,
    &ett_lte_rrc_RRCConnectionSetupComplete_v1130_IEs,
    &ett_lte_rrc_RRCConnectionSetupComplete_v1250_IEs,
    &ett_lte_rrc_RRCConnectionSetupComplete_v1320_IEs,
    &ett_lte_rrc_RRCConnectionSetupComplete_v1330_IEs,
    &ett_lte_rrc_RRCConnectionSetupComplete_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_39,
    &ett_lte_rrc_RegisteredMME,
    &ett_lte_rrc_SCGFailureInformation_r12,
    &ett_lte_rrc_T_criticalExtensions_37,
    &ett_lte_rrc_T_c1_37,
    &ett_lte_rrc_T_criticalExtensionsFuture_37,
    &ett_lte_rrc_SCGFailureInformation_r12_IEs,
    &ett_lte_rrc_SCGFailureInformation_v1310_IEs,
    &ett_lte_rrc_SCGFailureInformation_v15x0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_40,
    &ett_lte_rrc_SCGFailureInformation_v12d0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_41,
    &ett_lte_rrc_FailureReportSCG_r12,
    &ett_lte_rrc_FailureReportSCG_v12d0,
    &ett_lte_rrc_FailureReportSCG_NR_r15,
    &ett_lte_rrc_MeasResultFreqListFailNR_r15,
    &ett_lte_rrc_MeasResultFreqFailNR_r15,
    &ett_lte_rrc_SCPTMConfiguration_r13,
    &ett_lte_rrc_SCPTMConfiguration_v1340,
    &ett_lte_rrc_T_nonCriticalExtension_42,
    &ett_lte_rrc_SCPTMConfiguration_BR_r14,
    &ett_lte_rrc_T_nonCriticalExtension_43,
    &ett_lte_rrc_SecurityModeCommand,
    &ett_lte_rrc_T_criticalExtensions_38,
    &ett_lte_rrc_T_c1_38,
    &ett_lte_rrc_T_criticalExtensionsFuture_38,
    &ett_lte_rrc_SecurityModeCommand_r8_IEs,
    &ett_lte_rrc_SecurityModeCommand_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_44,
    &ett_lte_rrc_SecurityConfigSMC,
    &ett_lte_rrc_SecurityModeComplete,
    &ett_lte_rrc_T_criticalExtensions_39,
    &ett_lte_rrc_T_criticalExtensionsFuture_39,
    &ett_lte_rrc_SecurityModeComplete_r8_IEs,
    &ett_lte_rrc_SecurityModeComplete_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_45,
    &ett_lte_rrc_SecurityModeFailure,
    &ett_lte_rrc_T_criticalExtensions_40,
    &ett_lte_rrc_T_criticalExtensionsFuture_40,
    &ett_lte_rrc_SecurityModeFailure_r8_IEs,
    &ett_lte_rrc_SecurityModeFailure_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_46,
    &ett_lte_rrc_SidelinkUEInformation_r12,
    &ett_lte_rrc_T_criticalExtensions_41,
    &ett_lte_rrc_T_c1_39,
    &ett_lte_rrc_T_criticalExtensionsFuture_41,
    &ett_lte_rrc_SidelinkUEInformation_r12_IEs,
    &ett_lte_rrc_SidelinkUEInformation_v1310_IEs,
    &ett_lte_rrc_T_commTxResourceInfoReqRelay_r13,
    &ett_lte_rrc_T_discTxResourceReq_v1310,
    &ett_lte_rrc_SidelinkUEInformation_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_47,
    &ett_lte_rrc_SL_CommTxResourceReq_r12,
    &ett_lte_rrc_SL_DiscTxResourceReqPerFreqList_r13,
    &ett_lte_rrc_SL_DiscTxResourceReq_r13,
    &ett_lte_rrc_SL_DestinationInfoList_r12,
    &ett_lte_rrc_SL_DiscSysInfoReportFreqList_r13,
    &ett_lte_rrc_SL_V2X_CommFreqList_r14,
    &ett_lte_rrc_SL_V2X_CommTxFreqList_r14,
    &ett_lte_rrc_SL_V2X_CommTxResourceReq_r14,
    &ett_lte_rrc_SystemInformation,
    &ett_lte_rrc_T_criticalExtensions_42,
    &ett_lte_rrc_T_criticalExtensionsFuture_42,
    &ett_lte_rrc_SystemInformation_r8_IEs,
    &ett_lte_rrc_T_sib_TypeAndInfo,
    &ett_lte_rrc_T_sib_TypeAndInfo_item,
    &ett_lte_rrc_SystemInformation_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_48,
    &ett_lte_rrc_SystemInformationBlockType1,
    &ett_lte_rrc_T_cellAccessRelatedInfo,
    &ett_lte_rrc_T_cellSelectionInfo,
    &ett_lte_rrc_SystemInformationBlockType1_v890_IEs,
    &ett_lte_rrc_SystemInformationBlockType1_v8h0_IEs,
    &ett_lte_rrc_SystemInformationBlockType1_v9e0_IEs,
    &ett_lte_rrc_SystemInformationBlockType1_v10j0_IEs,
    &ett_lte_rrc_SystemInformationBlockType1_v10l0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_49,
    &ett_lte_rrc_SystemInformationBlockType1_v920_IEs,
    &ett_lte_rrc_SystemInformationBlockType1_v1130_IEs,
    &ett_lte_rrc_SystemInformationBlockType1_v1250_IEs,
    &ett_lte_rrc_T_cellAccessRelatedInfo_v1250,
    &ett_lte_rrc_SystemInformationBlockType1_v1310_IEs,
    &ett_lte_rrc_T_bandwidthReducedAccessRelatedInfo_r13,
    &ett_lte_rrc_T_fdd_DownlinkOrTddSubframeBitmapBR_r13,
    &ett_lte_rrc_SystemInformationBlockType1_v1320_IEs,
    &ett_lte_rrc_T_freqHoppingParametersDL_r13,
    &ett_lte_rrc_T_interval_DLHoppingConfigCommonModeA_r13,
    &ett_lte_rrc_T_interval_DLHoppingConfigCommonModeB_r13,
    &ett_lte_rrc_SystemInformationBlockType1_v1350_IEs,
    &ett_lte_rrc_SystemInformationBlockType1_v1360_IEs,
    &ett_lte_rrc_SystemInformationBlockType1_v1430_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_1_r14_OF_CellAccessRelatedInfo_r14,
    &ett_lte_rrc_SystemInformationBlockType1_v1450_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_50,
    &ett_lte_rrc_PLMN_IdentityList,
    &ett_lte_rrc_PLMN_IdentityInfo,
    &ett_lte_rrc_SchedulingInfoList,
    &ett_lte_rrc_SchedulingInfo,
    &ett_lte_rrc_SchedulingInfoList_BR_r13,
    &ett_lte_rrc_SchedulingInfo_BR_r13,
    &ett_lte_rrc_SIB_MappingInfo,
    &ett_lte_rrc_SystemInfoValueTagList_r13,
    &ett_lte_rrc_CellSelectionInfo_v920,
    &ett_lte_rrc_CellSelectionInfo_v1130,
    &ett_lte_rrc_CellSelectionInfo_v1250,
    &ett_lte_rrc_CellAccessRelatedInfo_r14,
    &ett_lte_rrc_SystemInformationBlockType1_MBMS_r14,
    &ett_lte_rrc_T_cellAccessRelatedInfo_r14,
    &ett_lte_rrc_T_nonCriticalExtension_51,
    &ett_lte_rrc_PLMN_IdentityList_MBMS_r14,
    &ett_lte_rrc_SchedulingInfoList_MBMS_r14,
    &ett_lte_rrc_SchedulingInfo_MBMS_r14,
    &ett_lte_rrc_SIB_MappingInfo_MBMS_r14,
    &ett_lte_rrc_NonMBSFN_SubframeConfig_r14,
    &ett_lte_rrc_UEAssistanceInformation_r11,
    &ett_lte_rrc_T_criticalExtensions_43,
    &ett_lte_rrc_T_c1_40,
    &ett_lte_rrc_T_criticalExtensionsFuture_43,
    &ett_lte_rrc_UEAssistanceInformation_r11_IEs,
    &ett_lte_rrc_UEAssistanceInformation_v1430_IEs,
    &ett_lte_rrc_T_sps_AssistanceInformation_r14,
    &ett_lte_rrc_T_rlm_Report_r14,
    &ett_lte_rrc_UEAssistanceInformation_v1450_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_52,
    &ett_lte_rrc_BW_Preference_r14,
    &ett_lte_rrc_TrafficPatternInfoList_r14,
    &ett_lte_rrc_TrafficPatternInfo_r14,
    &ett_lte_rrc_DelayBudgetReport_r14,
    &ett_lte_rrc_OverheatingAssistance_r14,
    &ett_lte_rrc_T_reducedUE_Category,
    &ett_lte_rrc_T_reducedMaxCCs,
    &ett_lte_rrc_UECapabilityEnquiry,
    &ett_lte_rrc_T_criticalExtensions_44,
    &ett_lte_rrc_T_c1_41,
    &ett_lte_rrc_T_criticalExtensionsFuture_44,
    &ett_lte_rrc_UECapabilityEnquiry_r8_IEs,
    &ett_lte_rrc_UECapabilityEnquiry_v8a0_IEs,
    &ett_lte_rrc_UECapabilityEnquiry_v1180_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_FreqBandIndicator_r11,
    &ett_lte_rrc_UECapabilityEnquiry_v1310_IEs,
    &ett_lte_rrc_UECapabilityEnquiry_v1430_IEs,
    &ett_lte_rrc_UECapabilityEnquiry_v15x0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_53,
    &ett_lte_rrc_UE_CapabilityRequest,
    &ett_lte_rrc_UECapabilityInformation,
    &ett_lte_rrc_T_criticalExtensions_45,
    &ett_lte_rrc_T_c1_42,
    &ett_lte_rrc_T_criticalExtensionsFuture_45,
    &ett_lte_rrc_UECapabilityInformation_r8_IEs,
    &ett_lte_rrc_UECapabilityInformation_v8a0_IEs,
    &ett_lte_rrc_UECapabilityInformation_v1250_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_54,
    &ett_lte_rrc_UEInformationRequest_r9,
    &ett_lte_rrc_T_criticalExtensions_46,
    &ett_lte_rrc_T_c1_43,
    &ett_lte_rrc_T_criticalExtensionsFuture_46,
    &ett_lte_rrc_UEInformationRequest_r9_IEs,
    &ett_lte_rrc_UEInformationRequest_v930_IEs,
    &ett_lte_rrc_UEInformationRequest_v1020_IEs,
    &ett_lte_rrc_UEInformationRequest_v1130_IEs,
    &ett_lte_rrc_UEInformationRequest_v1250_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_55,
    &ett_lte_rrc_UEInformationResponse_r9,
    &ett_lte_rrc_T_criticalExtensions_47,
    &ett_lte_rrc_T_c1_44,
    &ett_lte_rrc_T_criticalExtensionsFuture_47,
    &ett_lte_rrc_UEInformationResponse_r9_IEs,
    &ett_lte_rrc_T_rach_Report_r9,
    &ett_lte_rrc_UEInformationResponse_v9e0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_56,
    &ett_lte_rrc_UEInformationResponse_v930_IEs,
    &ett_lte_rrc_UEInformationResponse_v1020_IEs,
    &ett_lte_rrc_UEInformationResponse_v1130_IEs,
    &ett_lte_rrc_UEInformationResponse_v1250_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_57,
    &ett_lte_rrc_RLF_Report_r9,
    &ett_lte_rrc_T_measResultLastServCell_r9,
    &ett_lte_rrc_T_measResultNeighCells_r9,
    &ett_lte_rrc_T_failedPCellId_r10,
    &ett_lte_rrc_T_pci_arfcn_r10,
    &ett_lte_rrc_T_failedPCellId_v1090,
    &ett_lte_rrc_T_basicFields_r11,
    &ett_lte_rrc_T_previousUTRA_CellId_r11,
    &ett_lte_rrc_T_physCellId_r11,
    &ett_lte_rrc_T_selectedUTRA_CellId_r11,
    &ett_lte_rrc_T_physCellId_r11_01,
    &ett_lte_rrc_T_failedPCellId_v1250,
    &ett_lte_rrc_RLF_Report_v9e0,
    &ett_lte_rrc_MeasResultList2EUTRA_r9,
    &ett_lte_rrc_MeasResultList2EUTRA_v9e0,
    &ett_lte_rrc_MeasResultList2EUTRA_v1250,
    &ett_lte_rrc_MeasResult2EUTRA_r9,
    &ett_lte_rrc_MeasResult2EUTRA_v9e0,
    &ett_lte_rrc_MeasResult2EUTRA_v1250,
    &ett_lte_rrc_MeasResultList2UTRA_r9,
    &ett_lte_rrc_MeasResult2UTRA_r9,
    &ett_lte_rrc_MeasResultList2CDMA2000_r9,
    &ett_lte_rrc_MeasResult2CDMA2000_r9,
    &ett_lte_rrc_LogMeasReport_r10,
    &ett_lte_rrc_LogMeasInfoList_r10,
    &ett_lte_rrc_LogMeasInfo_r10,
    &ett_lte_rrc_T_measResultServCell_r10,
    &ett_lte_rrc_T_measResultNeighCells_r10,
    &ett_lte_rrc_MeasResultListMBSFN_r12,
    &ett_lte_rrc_MeasResultMBSFN_r12,
    &ett_lte_rrc_T_mbsfn_Area_r12,
    &ett_lte_rrc_DataBLER_MCH_ResultList_r12,
    &ett_lte_rrc_DataBLER_MCH_Result_r12,
    &ett_lte_rrc_BLER_Result_r12,
    &ett_lte_rrc_T_blocksReceived_r12,
    &ett_lte_rrc_MeasResultList2GERAN_r10,
    &ett_lte_rrc_ConnEstFailReport_r11,
    &ett_lte_rrc_T_measResultFailedCell_r11,
    &ett_lte_rrc_T_measResultNeighCells_r11,
    &ett_lte_rrc_ULHandoverPreparationTransfer,
    &ett_lte_rrc_T_criticalExtensions_48,
    &ett_lte_rrc_T_c1_45,
    &ett_lte_rrc_T_criticalExtensionsFuture_48,
    &ett_lte_rrc_ULHandoverPreparationTransfer_r8_IEs,
    &ett_lte_rrc_ULHandoverPreparationTransfer_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_58,
    &ett_lte_rrc_ULInformationTransfer,
    &ett_lte_rrc_T_criticalExtensions_49,
    &ett_lte_rrc_T_c1_46,
    &ett_lte_rrc_T_criticalExtensionsFuture_49,
    &ett_lte_rrc_ULInformationTransfer_r8_IEs,
    &ett_lte_rrc_T_dedicatedInfoType_01,
    &ett_lte_rrc_ULInformationTransfer_v8a0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_59,
    &ett_lte_rrc_ULInformationTransferMRDC,
    &ett_lte_rrc_T_criticalExtensions_50,
    &ett_lte_rrc_T_c1_47,
    &ett_lte_rrc_T_criticalExtensionsFuture_50,
    &ett_lte_rrc_ULInformationTransferMRDC_r15_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_60,
    &ett_lte_rrc_WLANConnectionStatusReport_r13,
    &ett_lte_rrc_T_criticalExtensions_51,
    &ett_lte_rrc_T_c1_48,
    &ett_lte_rrc_T_criticalExtensionsFuture_51,
    &ett_lte_rrc_WLANConnectionStatusReport_r13_IEs,
    &ett_lte_rrc_WLANConnectionStatusReport_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_61,
    &ett_lte_rrc_SystemInformationBlockType2,
    &ett_lte_rrc_T_ac_BarringInfo,
    &ett_lte_rrc_T_freqInfo,
    &ett_lte_rrc_SystemInformationBlockType2_v8h0_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission,
    &ett_lte_rrc_SystemInformationBlockType2_v9e0_IEs,
    &ett_lte_rrc_SystemInformationBlockType2_v9i0_IEs,
    &ett_lte_rrc_SystemInformationBlockType2_v10l0_IEs,
    &ett_lte_rrc_T_freqInfo_v10l0,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_AdditionalSpectrumEmission_v10l0,
    &ett_lte_rrc_T_nonCriticalExtension_62,
    &ett_lte_rrc_AC_BarringConfig,
    &ett_lte_rrc_MBSFN_SubframeConfigList,
    &ett_lte_rrc_MBSFN_SubframeConfigList_v1430,
    &ett_lte_rrc_AC_BarringPerPLMN_List_r12,
    &ett_lte_rrc_AC_BarringPerPLMN_r12,
    &ett_lte_rrc_T_ac_BarringInfo_r12,
    &ett_lte_rrc_ACDC_BarringForCommon_r13,
    &ett_lte_rrc_ACDC_BarringPerPLMN_List_r13,
    &ett_lte_rrc_ACDC_BarringPerPLMN_r13,
    &ett_lte_rrc_BarringPerACDC_CategoryList_r13,
    &ett_lte_rrc_BarringPerACDC_Category_r13,
    &ett_lte_rrc_T_acdc_BarringConfig_r13,
    &ett_lte_rrc_UDT_Restricting_r13,
    &ett_lte_rrc_UDT_RestrictingPerPLMN_List_r13,
    &ett_lte_rrc_UDT_RestrictingPerPLMN_r13,
    &ett_lte_rrc_CIOT_EPS_OptimisationInfo_r13,
    &ett_lte_rrc_CIOT_OptimisationPLMN_r13,
    &ett_lte_rrc_PLMN_InfoList_r15,
    &ett_lte_rrc_PLMN_Info_r15,
    &ett_lte_rrc_SystemInformationBlockType3,
    &ett_lte_rrc_T_cellReselectionInfoCommon,
    &ett_lte_rrc_T_speedStateReselectionPars,
    &ett_lte_rrc_T_q_HystSF,
    &ett_lte_rrc_T_cellReselectionServingFreqInfo,
    &ett_lte_rrc_T_intraFreqCellReselectionInfo,
    &ett_lte_rrc_T_s_IntraSearch_v920,
    &ett_lte_rrc_T_s_NonIntraSearch_v920,
    &ett_lte_rrc_RedistributionServingInfo_r13,
    &ett_lte_rrc_CellReselectionServingFreqInfo_v1310,
    &ett_lte_rrc_SystemInformationBlockType3_v10j0_IEs,
    &ett_lte_rrc_SystemInformationBlockType3_v10l0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_63,
    &ett_lte_rrc_SystemInformationBlockType4,
    &ett_lte_rrc_IntraFreqNeighCellList,
    &ett_lte_rrc_IntraFreqNeighCellInfo,
    &ett_lte_rrc_IntraFreqBlackCellList,
    &ett_lte_rrc_SystemInformationBlockType5,
    &ett_lte_rrc_SystemInformationBlockType5_v8h0_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v8h0,
    &ett_lte_rrc_SystemInformationBlockType5_v9e0_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v9e0,
    &ett_lte_rrc_SystemInformationBlockType5_v10j0_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10j0,
    &ett_lte_rrc_SystemInformationBlockType5_v10l0_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_InterFreqCarrierFreqInfo_v10l0,
    &ett_lte_rrc_T_nonCriticalExtension_64,
    &ett_lte_rrc_InterFreqCarrierFreqList,
    &ett_lte_rrc_InterFreqCarrierFreqList_v1250,
    &ett_lte_rrc_InterFreqCarrierFreqList_v1310,
    &ett_lte_rrc_InterFreqCarrierFreqList_v1350,
    &ett_lte_rrc_InterFreqCarrierFreqListExt_r12,
    &ett_lte_rrc_InterFreqCarrierFreqListExt_v1280,
    &ett_lte_rrc_InterFreqCarrierFreqListExt_v1310,
    &ett_lte_rrc_InterFreqCarrierFreqListExt_v1350,
    &ett_lte_rrc_InterFreqCarrierFreqListExt_v1360,
    &ett_lte_rrc_InterFreqCarrierFreqInfo,
    &ett_lte_rrc_T_threshX_Q_r9,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_v8h0,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_v9e0,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_v10j0,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_v10l0,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_v1250,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_r12,
    &ett_lte_rrc_T_threshX_Q_r12,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_v1310,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_v1350,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_v1360,
    &ett_lte_rrc_InterFreqNeighCellList,
    &ett_lte_rrc_InterFreqNeighCellInfo,
    &ett_lte_rrc_InterFreqBlackCellList,
    &ett_lte_rrc_RedistributionInterFreqInfo_r13,
    &ett_lte_rrc_RedistributionNeighCellList_r13,
    &ett_lte_rrc_RedistributionNeighCell_r13,
    &ett_lte_rrc_SystemInformationBlockType6,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_v1250,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_TDD_Carrier_OF_CarrierFreqInfoUTRA_v1250,
    &ett_lte_rrc_SystemInformationBlockType6_v8h0_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxUTRA_FDD_Carrier_OF_CarrierFreqInfoUTRA_FDD_v8h0,
    &ett_lte_rrc_T_nonCriticalExtension_65,
    &ett_lte_rrc_CarrierFreqInfoUTRA_v1250,
    &ett_lte_rrc_CarrierFreqListUTRA_FDD,
    &ett_lte_rrc_CarrierFreqUTRA_FDD,
    &ett_lte_rrc_T_threshX_Q_r9_01,
    &ett_lte_rrc_CarrierFreqInfoUTRA_FDD_v8h0,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_FreqBandIndicator_UTRA_FDD,
    &ett_lte_rrc_CarrierFreqListUTRA_FDD_Ext_r12,
    &ett_lte_rrc_CarrierFreqUTRA_FDD_Ext_r12,
    &ett_lte_rrc_T_threshX_Q_r12_01,
    &ett_lte_rrc_FreqBandIndicator_UTRA_FDD_r12,
    &ett_lte_rrc_CarrierFreqListUTRA_TDD,
    &ett_lte_rrc_CarrierFreqUTRA_TDD,
    &ett_lte_rrc_CarrierFreqListUTRA_TDD_Ext_r12,
    &ett_lte_rrc_CarrierFreqUTRA_TDD_r12,
    &ett_lte_rrc_SystemInformationBlockType7,
    &ett_lte_rrc_CarrierFreqsInfoListGERAN,
    &ett_lte_rrc_CarrierFreqsInfoGERAN,
    &ett_lte_rrc_T_commonInfo,
    &ett_lte_rrc_SystemInformationBlockType8,
    &ett_lte_rrc_T_parametersHRPD,
    &ett_lte_rrc_T_parameters1XRTT,
    &ett_lte_rrc_CellReselectionParametersCDMA2000,
    &ett_lte_rrc_CellReselectionParametersCDMA2000_r11,
    &ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellCDMA2000_r11,
    &ett_lte_rrc_CellReselectionParametersCDMA2000_v920,
    &ett_lte_rrc_NeighCellListCDMA2000,
    &ett_lte_rrc_NeighCellCDMA2000,
    &ett_lte_rrc_NeighCellCDMA2000_r11,
    &ett_lte_rrc_SEQUENCE_SIZE_1_16_OF_NeighCellsPerBandclassCDMA2000_r11,
    &ett_lte_rrc_NeighCellsPerBandclassListCDMA2000,
    &ett_lte_rrc_NeighCellsPerBandclassCDMA2000,
    &ett_lte_rrc_NeighCellsPerBandclassCDMA2000_r11,
    &ett_lte_rrc_SEQUENCE_SIZE_1_40_OF_PhysCellIdCDMA2000,
    &ett_lte_rrc_NeighCellListCDMA2000_v920,
    &ett_lte_rrc_NeighCellCDMA2000_v920,
    &ett_lte_rrc_NeighCellsPerBandclassListCDMA2000_v920,
    &ett_lte_rrc_NeighCellsPerBandclassCDMA2000_v920,
    &ett_lte_rrc_PhysCellIdListCDMA2000,
    &ett_lte_rrc_PhysCellIdListCDMA2000_v920,
    &ett_lte_rrc_BandClassListCDMA2000,
    &ett_lte_rrc_BandClassInfoCDMA2000,
    &ett_lte_rrc_AC_BarringConfig1XRTT_r9,
    &ett_lte_rrc_SIB8_PerPLMN_List_r11,
    &ett_lte_rrc_SIB8_PerPLMN_r11,
    &ett_lte_rrc_T_parametersCDMA2000_r11,
    &ett_lte_rrc_ParametersCDMA2000_r11,
    &ett_lte_rrc_T_systemTimeInfo_r11,
    &ett_lte_rrc_T_parametersHRPD_r11,
    &ett_lte_rrc_T_parameters1XRTT_r11,
    &ett_lte_rrc_SystemInformationBlockType9,
    &ett_lte_rrc_SystemInformationBlockType10,
    &ett_lte_rrc_SystemInformationBlockType11,
    &ett_lte_rrc_SystemInformationBlockType12_r9,
    &ett_lte_rrc_SystemInformationBlockType13_r9,
    &ett_lte_rrc_SystemInformationBlockType14_r11,
    &ett_lte_rrc_T_eab_Param_r11,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_EAB_ConfigPLMN_r11,
    &ett_lte_rrc_EAB_ConfigPLMN_r11,
    &ett_lte_rrc_EAB_Config_r11,
    &ett_lte_rrc_SystemInformationBlockType15_r11,
    &ett_lte_rrc_MBMS_SAI_List_r11,
    &ett_lte_rrc_MBMS_SAI_InterFreqList_r11,
    &ett_lte_rrc_MBMS_SAI_InterFreqList_v1140,
    &ett_lte_rrc_MBMS_SAI_InterFreq_r11,
    &ett_lte_rrc_MBMS_SAI_InterFreq_v1140,
    &ett_lte_rrc_MBMS_InterFreqCarrierTypeList_r14,
    &ett_lte_rrc_MBMS_CarrierType_r14,
    &ett_lte_rrc_SystemInformationBlockType16_r11,
    &ett_lte_rrc_T_timeInfo_r11,
    &ett_lte_rrc_SystemInformationBlockType17_r12,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_WLAN_OffloadInfoPerPLMN_r12,
    &ett_lte_rrc_WLAN_OffloadInfoPerPLMN_r12,
    &ett_lte_rrc_WLAN_Id_List_r12,
    &ett_lte_rrc_WLAN_Identifiers_r12,
    &ett_lte_rrc_SystemInformationBlockType18_r12,
    &ett_lte_rrc_T_commConfig_r12,
    &ett_lte_rrc_SystemInformationBlockType19_r12,
    &ett_lte_rrc_T_discConfig_r12,
    &ett_lte_rrc_T_discConfig_v1310,
    &ett_lte_rrc_T_discConfigRelay_r13,
    &ett_lte_rrc_T_discConfigPS_13,
    &ett_lte_rrc_SL_CarrierFreqInfoList_r12,
    &ett_lte_rrc_SL_CarrierFreqInfoList_v1310,
    &ett_lte_rrc_SL_CarrierFreqInfo_r12,
    &ett_lte_rrc_SL_DiscConfigRelayUE_r13,
    &ett_lte_rrc_SL_DiscConfigRemoteUE_r13,
    &ett_lte_rrc_ReselectionInfoRelay_r13,
    &ett_lte_rrc_SL_CarrierFreqInfo_v1310,
    &ett_lte_rrc_PLMN_IdentityList4_r12,
    &ett_lte_rrc_PLMN_IdentityInfo2_r12,
    &ett_lte_rrc_SL_DiscTxResourcesInterFreq_r13,
    &ett_lte_rrc_SL_DiscConfigOtherInterFreq_r13,
    &ett_lte_rrc_SL_ResourcesInterFreq_r13,
    &ett_lte_rrc_SystemInformationBlockType20_r13,
    &ett_lte_rrc_T_br_BCCH_Config_r14,
    &ett_lte_rrc_T_mpdcch_StartSF_SC_MCCH_r14,
    &ett_lte_rrc_SC_MCCH_SchedulingInfo_r14,
    &ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14,
    &ett_lte_rrc_SystemInformationBlockType21_r14,
    &ett_lte_rrc_SL_V2X_ConfigCommon_r14,
    &ett_lte_rrc_AntennaInfoCommon,
    &ett_lte_rrc_AntennaInfoDedicated,
    &ett_lte_rrc_T_codebookSubsetRestriction,
    &ett_lte_rrc_T_ue_TransmitAntennaSelection,
    &ett_lte_rrc_AntennaInfoDedicated_v920,
    &ett_lte_rrc_T_codebookSubsetRestriction_v920,
    &ett_lte_rrc_AntennaInfoDedicated_r10,
    &ett_lte_rrc_T_ue_TransmitAntennaSelection_01,
    &ett_lte_rrc_AntennaInfoDedicated_v10i0,
    &ett_lte_rrc_AntennaInfoDedicated_v1250,
    &ett_lte_rrc_AntennaInfoDedicated_v1430,
    &ett_lte_rrc_AntennaInfoUL_r10,
    &ett_lte_rrc_CQI_ReportAperiodic_r10,
    &ett_lte_rrc_T_setup_05,
    &ett_lte_rrc_T_aperiodicCSI_Trigger_r10,
    &ett_lte_rrc_CQI_ReportAperiodic_v1250,
    &ett_lte_rrc_T_setup_06,
    &ett_lte_rrc_T_aperiodicCSI_Trigger_v1250,
    &ett_lte_rrc_CQI_ReportAperiodic_v1310,
    &ett_lte_rrc_T_setup_07,
    &ett_lte_rrc_T_aperiodicCSI_Trigger_v1310,
    &ett_lte_rrc_T_aperiodicCSI_Trigger2_r13,
    &ett_lte_rrc_T_setup_08,
    &ett_lte_rrc_CQI_ReportAperiodicProc_r11,
    &ett_lte_rrc_CQI_ReportAperiodicProc_v1310,
    &ett_lte_rrc_CQI_ReportAperiodicHybrid_r14,
    &ett_lte_rrc_T_triggers_r14,
    &ett_lte_rrc_T_oneBit_r14,
    &ett_lte_rrc_T_twoBit_r14,
    &ett_lte_rrc_T_threeBit_r14,
    &ett_lte_rrc_CQI_ReportBoth_r11,
    &ett_lte_rrc_CQI_ReportBoth_v1250,
    &ett_lte_rrc_CQI_ReportBoth_v1310,
    &ett_lte_rrc_CSI_IM_ConfigToAddModList_r11,
    &ett_lte_rrc_CSI_IM_ConfigToAddModListExt_r13,
    &ett_lte_rrc_CSI_IM_ConfigToReleaseList_r11,
    &ett_lte_rrc_CSI_IM_ConfigToReleaseListExt_r13,
    &ett_lte_rrc_CSI_ProcessToAddModList_r11,
    &ett_lte_rrc_CSI_ProcessToReleaseList_r11,
    &ett_lte_rrc_CQI_ReportBothProc_r11,
    &ett_lte_rrc_CQI_ReportConfig,
    &ett_lte_rrc_CQI_ReportConfig_v920,
    &ett_lte_rrc_CQI_ReportConfig_r10,
    &ett_lte_rrc_T_csi_SubframePatternConfig_r10,
    &ett_lte_rrc_T_setup_09,
    &ett_lte_rrc_CQI_ReportConfig_v1130,
    &ett_lte_rrc_CQI_ReportConfig_v1250,
    &ett_lte_rrc_T_csi_SubframePatternConfig_r12,
    &ett_lte_rrc_T_setup_10,
    &ett_lte_rrc_CQI_ReportConfig_v1310,
    &ett_lte_rrc_CQI_ReportConfig_v1320,
    &ett_lte_rrc_CQI_ReportConfig_v1430,
    &ett_lte_rrc_CQI_ReportConfigSCell_r10,
    &ett_lte_rrc_CQI_ReportPeriodic,
    &ett_lte_rrc_T_setup_11,
    &ett_lte_rrc_T_cqi_FormatIndicatorPeriodic,
    &ett_lte_rrc_T_subbandCQI,
    &ett_lte_rrc_CQI_ReportPeriodic_r10,
    &ett_lte_rrc_T_setup_12,
    &ett_lte_rrc_T_cqi_FormatIndicatorPeriodic_r10,
    &ett_lte_rrc_T_widebandCQI_r10,
    &ett_lte_rrc_T_subbandCQI_r10,
    &ett_lte_rrc_T_csi_ConfigIndex_r10,
    &ett_lte_rrc_T_setup_13,
    &ett_lte_rrc_CQI_ReportPeriodic_v1130,
    &ett_lte_rrc_CQI_ReportPeriodic_v1310,
    &ett_lte_rrc_CQI_ReportPeriodic_v1320,
    &ett_lte_rrc_CQI_ReportPeriodicProcExtToAddModList_r11,
    &ett_lte_rrc_CQI_ReportPeriodicProcExtToReleaseList_r11,
    &ett_lte_rrc_CQI_ReportPeriodicProcExt_r11,
    &ett_lte_rrc_T_cqi_FormatIndicatorPeriodic_r11,
    &ett_lte_rrc_T_widebandCQI_r11,
    &ett_lte_rrc_T_subbandCQI_r11,
    &ett_lte_rrc_T_csi_ConfigIndex_r11,
    &ett_lte_rrc_T_setup_14,
    &ett_lte_rrc_CRI_ReportConfig_r13,
    &ett_lte_rrc_T_setup_15,
    &ett_lte_rrc_CrossCarrierSchedulingConfig_r10,
    &ett_lte_rrc_T_schedulingCellInfo_r10,
    &ett_lte_rrc_T_own_r10,
    &ett_lte_rrc_T_other_r10,
    &ett_lte_rrc_CrossCarrierSchedulingConfig_r13,
    &ett_lte_rrc_T_schedulingCellInfo_r13,
    &ett_lte_rrc_T_own_r13,
    &ett_lte_rrc_T_other_r13,
    &ett_lte_rrc_CrossCarrierSchedulingConfigLAA_UL_r14,
    &ett_lte_rrc_CSI_IM_Config_r11,
    &ett_lte_rrc_CSI_IM_ConfigExt_r12,
    &ett_lte_rrc_CSI_Process_r11,
    &ett_lte_rrc_T_csi_IM_ConfigIdList_r12,
    &ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r12,
    &ett_lte_rrc_T_cqi_ReportAperiodicProc2_r12,
    &ett_lte_rrc_T_cqi_ReportAperiodicProc_v1310,
    &ett_lte_rrc_T_cqi_ReportAperiodicProc2_v1310,
    &ett_lte_rrc_CSI_RS_Config_r10,
    &ett_lte_rrc_T_csi_RS_r10,
    &ett_lte_rrc_T_setup_16,
    &ett_lte_rrc_CSI_RS_Config_v1250,
    &ett_lte_rrc_T_ds_ZeroTxPowerCSI_RS_r12,
    &ett_lte_rrc_T_setup_17,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxDS_ZTP_CSI_RS_r12_OF_ZeroTxPowerCSI_RS_r12,
    &ett_lte_rrc_CSI_RS_Config_v1310,
    &ett_lte_rrc_CSI_RS_Config_v1430,
    &ett_lte_rrc_ZeroTxPowerCSI_RS_Conf_r12,
    &ett_lte_rrc_ZeroTxPowerCSI_RS_r12,
    &ett_lte_rrc_CSI_RS_ConfigBeamformed_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_7_OF_CSI_RS_ConfigNZPId_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_IM_ConfigId_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_P_C_AndCBSR_Pair_r13,
    &ett_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r13,
    &ett_lte_rrc_CSI_RS_ConfigBeamformed_r14,
    &ett_lte_rrc_T_ace_For4Tx_PerResourceConfigList_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_CSI_RS_ConfigNZP_r11,
    &ett_lte_rrc_CSI_RS_ConfigBeamformed_v1430,
    &ett_lte_rrc_CSI_RS_Config_NZP_v1430,
    &ett_lte_rrc_CSI_RS_ConfigNZP_Activation_r14,
    &ett_lte_rrc_CSI_RS_ConfigEMIMO_r13,
    &ett_lte_rrc_T_setup_18,
    &ett_lte_rrc_CSI_RS_ConfigEMIMO_v1430,
    &ett_lte_rrc_T_setup_19,
    &ett_lte_rrc_CSI_RS_ConfigEMIMO2_r14,
    &ett_lte_rrc_CSI_RS_ConfigEMIMO_Hybrid_r14,
    &ett_lte_rrc_T_setup_20,
    &ett_lte_rrc_CSI_RS_ConfigNonPrecoded_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_CSI_IM_ConfigId_r13,
    &ett_lte_rrc_CSI_RS_ConfigNonPrecoded_v1430,
    &ett_lte_rrc_CSI_RS_ConfigNZP_r11,
    &ett_lte_rrc_T_qcl_CRS_Info_r11,
    &ett_lte_rrc_T_mbsfn_SubframeConfigList_r11,
    &ett_lte_rrc_T_setup_21,
    &ett_lte_rrc_T_mbsfn_SubframeConfigList_v1430,
    &ett_lte_rrc_T_setup_22,
    &ett_lte_rrc_CSI_RS_ConfigNZP_EMIMO_r13,
    &ett_lte_rrc_T_setup_23,
    &ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_NZP_ResourceConfig_r13,
    &ett_lte_rrc_CSI_RS_ConfigNZP_EMIMO_v1430,
    &ett_lte_rrc_SEQUENCE_SIZE_0_4_OF_NZP_ResourceConfig_r13,
    &ett_lte_rrc_NZP_ResourceConfig_r13,
    &ett_lte_rrc_CSI_RS_ConfigZP_r11,
    &ett_lte_rrc_CSI_RS_ConfigZP_ApList_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxCSI_RS_ZP_r11_OF_CSI_RS_ConfigZP_r11,
    &ett_lte_rrc_DMRS_Config_r11,
    &ett_lte_rrc_T_setup_24,
    &ett_lte_rrc_DMRS_Config_v1310,
    &ett_lte_rrc_EPDCCH_Config_r11,
    &ett_lte_rrc_T_config_r11,
    &ett_lte_rrc_T_setup_25,
    &ett_lte_rrc_T_subframePatternConfig_r11,
    &ett_lte_rrc_T_setup_26,
    &ett_lte_rrc_EPDCCH_SetConfigToAddModList_r11,
    &ett_lte_rrc_EPDCCH_SetConfigToReleaseList_r11,
    &ett_lte_rrc_EPDCCH_SetConfig_r11,
    &ett_lte_rrc_T_resourceBlockAssignment_r11,
    &ett_lte_rrc_T_csi_RS_ConfigZPId2_r12,
    &ett_lte_rrc_T_numberPRB_Pairs_v1310,
    &ett_lte_rrc_T_mpdcch_config_r13,
    &ett_lte_rrc_T_setup_28,
    &ett_lte_rrc_T_mpdcch_StartSF_UESS_r13,
    &ett_lte_rrc_EIMTA_MainConfig_r12,
    &ett_lte_rrc_T_setup_29,
    &ett_lte_rrc_EIMTA_MainConfigServCell_r12,
    &ett_lte_rrc_T_setup_30,
    &ett_lte_rrc_T_mbsfn_SubframeConfigList_v1250,
    &ett_lte_rrc_T_setup_31,
    &ett_lte_rrc_LogicalChannelConfig,
    &ett_lte_rrc_T_ul_SpecificParameters,
    &ett_lte_rrc_LWA_Configuration_r13,
    &ett_lte_rrc_T_setup_32,
    &ett_lte_rrc_LWA_Config_r13,
    &ett_lte_rrc_LWIP_Configuration_r13,
    &ett_lte_rrc_T_setup_33,
    &ett_lte_rrc_LWIP_Config_r13,
    &ett_lte_rrc_MAC_MainConfig,
    &ett_lte_rrc_T_ul_SCH_Config,
    &ett_lte_rrc_T_phr_Config,
    &ett_lte_rrc_T_setup_34,
    &ett_lte_rrc_T_mac_MainConfig_v1020,
    &ett_lte_rrc_T_dualConnectivityPHR,
    &ett_lte_rrc_T_setup_35,
    &ett_lte_rrc_T_logicalChannelSR_Config_r12,
    &ett_lte_rrc_T_setup_36,
    &ett_lte_rrc_T_eDRX_Config_CycleStartOffset_r13,
    &ett_lte_rrc_T_setup_37,
    &ett_lte_rrc_T_drx_Config_r13,
    &ett_lte_rrc_T_skipUplinkTx_r14,
    &ett_lte_rrc_T_setup_38,
    &ett_lte_rrc_T_dataInactivityTimerConfig_r14,
    &ett_lte_rrc_T_setup_39,
    &ett_lte_rrc_MAC_MainConfigSCell_r11,
    &ett_lte_rrc_DRX_Config,
    &ett_lte_rrc_T_setup_40,
    &ett_lte_rrc_T_longDRX_CycleStartOffset,
    &ett_lte_rrc_T_shortDRX,
    &ett_lte_rrc_DRX_Config_v1130,
    &ett_lte_rrc_T_longDRX_CycleStartOffset_v1130,
    &ett_lte_rrc_DRX_Config_v1310,
    &ett_lte_rrc_T_longDRX_CycleStartOffset_v1310,
    &ett_lte_rrc_DRX_Config_r13,
    &ett_lte_rrc_STAG_ToReleaseList_r11,
    &ett_lte_rrc_STAG_ToAddModList_r11,
    &ett_lte_rrc_STAG_ToAddMod_r11,
    &ett_lte_rrc_P_C_AndCBSR_r11,
    &ett_lte_rrc_P_C_AndCBSR_r13,
    &ett_lte_rrc_T_cbsr_Selection_r13,
    &ett_lte_rrc_T_nonPrecoded_r13,
    &ett_lte_rrc_T_beamformedK1a_r13,
    &ett_lte_rrc_T_beamformedKN_r13,
    &ett_lte_rrc_P_C_AndCBSR_Pair_r13a,
    &ett_lte_rrc_P_C_AndCBSR_Pair_r13,
    &ett_lte_rrc_PDCCH_ConfigSCell_r13,
    &ett_lte_rrc_PDCCH_ConfigLAA_r14,
    &ett_lte_rrc_PDCCH_CandidateReductions_r13,
    &ett_lte_rrc_T_setup_41,
    &ett_lte_rrc_PDCCH_CandidateReductionsLAA_UL_r14,
    &ett_lte_rrc_T_setup_42,
    &ett_lte_rrc_PDCP_Config,
    &ett_lte_rrc_T_rlc_AM,
    &ett_lte_rrc_T_rlc_UM,
    &ett_lte_rrc_T_headerCompression,
    &ett_lte_rrc_T_rohc,
    &ett_lte_rrc_T_profiles,
    &ett_lte_rrc_T_ul_DataSplitThreshold_r13,
    &ett_lte_rrc_T_statusFeedback_r13,
    &ett_lte_rrc_T_setup_44,
    &ett_lte_rrc_T_ul_LWA_Config_r14,
    &ett_lte_rrc_T_setup_45,
    &ett_lte_rrc_T_uplinkOnlyHeaderCompression_r14,
    &ett_lte_rrc_T_rohc_r14,
    &ett_lte_rrc_T_profiles_r14,
    &ett_lte_rrc_PDSCH_ConfigCommon,
    &ett_lte_rrc_PDSCH_ConfigCommon_v1310,
    &ett_lte_rrc_PDSCH_ConfigDedicated,
    &ett_lte_rrc_PDSCH_ConfigDedicated_v1130,
    &ett_lte_rrc_PDSCH_ConfigDedicated_v1280,
    &ett_lte_rrc_PDSCH_ConfigDedicated_v1310,
    &ett_lte_rrc_PDSCH_ConfigDedicated_v1430,
    &ett_lte_rrc_PDSCH_ConfigDedicatedSCell_v1430,
    &ett_lte_rrc_RE_MappingQCLConfigToAddModList_r11,
    &ett_lte_rrc_RE_MappingQCLConfigToReleaseList_r11,
    &ett_lte_rrc_PDSCH_RE_MappingQCL_Config_r11,
    &ett_lte_rrc_T_optionalSetOfFields_r11,
    &ett_lte_rrc_T_mbsfn_SubframeConfigList_r11_01,
    &ett_lte_rrc_T_setup_46,
    &ett_lte_rrc_T_mbsfn_SubframeConfigList_v1430_01,
    &ett_lte_rrc_T_setup_47,
    &ett_lte_rrc_PerCC_GapIndicationList_r14,
    &ett_lte_rrc_PerCC_GapIndication_r14,
    &ett_lte_rrc_PHICH_Config,
    &ett_lte_rrc_PhysicalConfigDedicated,
    &ett_lte_rrc_T_antennaInfo,
    &ett_lte_rrc_T_antennaInfo_r10,
    &ett_lte_rrc_T_additionalSpectrumEmissionCA_r10,
    &ett_lte_rrc_T_setup_48,
    &ett_lte_rrc_T_ce_Mode_r13,
    &ett_lte_rrc_T_typeA_SRS_TPC_PDCCH_Group_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_32_OF_SRS_TPC_PDCCH_Config_r14,
    &ett_lte_rrc_T_must_Config_r14,
    &ett_lte_rrc_T_setup_50,
    &ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicated,
    &ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_UL_ConfigDedicatedAperiodic_r10,
    &ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13,
    &ett_lte_rrc_PhysicalConfigDedicated_v1370,
    &ett_lte_rrc_PhysicalConfigDedicatedSCell_r10,
    &ett_lte_rrc_T_nonUL_Configuration_r10,
    &ett_lte_rrc_T_ul_Configuration_r10,
    &ett_lte_rrc_T_pucch_SCell,
    &ett_lte_rrc_T_setup_51,
    &ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_SoundingRS_AperiodicSet_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SoundingRS_AperiodicSetUpPTsExt_r14,
    &ett_lte_rrc_T_must_Config_r14_01,
    &ett_lte_rrc_T_setup_52,
    &ett_lte_rrc_PhysicalConfigDedicatedSCell_v1370,
    &ett_lte_rrc_T_pucch_SCell_v1370,
    &ett_lte_rrc_T_setup_53,
    &ett_lte_rrc_LAA_SCellConfiguration_r13,
    &ett_lte_rrc_LAA_SCellConfiguration_v1430,
    &ett_lte_rrc_T_crossCarrierSchedulingConfig_UL_r14,
    &ett_lte_rrc_T_setup_54,
    &ett_lte_rrc_LBT_Config_r14,
    &ett_lte_rrc_CSI_RS_ConfigNZPToAddModList_r11,
    &ett_lte_rrc_CSI_RS_ConfigNZPToAddModListExt_r13,
    &ett_lte_rrc_CSI_RS_ConfigNZPToReleaseList_r11,
    &ett_lte_rrc_CSI_RS_ConfigNZPToReleaseListExt_r13,
    &ett_lte_rrc_CSI_RS_ConfigZPToAddModList_r11,
    &ett_lte_rrc_CSI_RS_ConfigZPToReleaseList_r11,
    &ett_lte_rrc_SoundingRS_AperiodicSet_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_4_OF_SRS_CC_SetIndex_r14,
    &ett_lte_rrc_SoundingRS_AperiodicSetUpPTsExt_r14,
    &ett_lte_rrc_PRACH_ConfigSIB,
    &ett_lte_rrc_PRACH_ConfigSIB_v1310,
    &ett_lte_rrc_T_mpdcch_startSF_CSS_RA_r13,
    &ett_lte_rrc_PRACH_Config,
    &ett_lte_rrc_PRACH_Config_v1310,
    &ett_lte_rrc_T_mpdcch_startSF_CSS_RA_r13_01,
    &ett_lte_rrc_PRACH_Config_v1430,
    &ett_lte_rrc_PRACH_ConfigSCell_r10,
    &ett_lte_rrc_PRACH_ConfigInfo,
    &ett_lte_rrc_PRACH_ParametersListCE_r13,
    &ett_lte_rrc_PRACH_ParametersCE_r13,
    &ett_lte_rrc_T_mpdcch_NarrowbandsToMonitor_r13,
    &ett_lte_rrc_RSRP_ThresholdsPrachInfoList_r13,
    &ett_lte_rrc_PUCCH_ConfigCommon,
    &ett_lte_rrc_PUCCH_ConfigCommon_v1310,
    &ett_lte_rrc_PUCCH_ConfigCommon_v1430,
    &ett_lte_rrc_PUCCH_ConfigDedicated,
    &ett_lte_rrc_T_ackNackRepetition,
    &ett_lte_rrc_T_setup_55,
    &ett_lte_rrc_PUCCH_ConfigDedicated_v1020,
    &ett_lte_rrc_T_pucch_Format_r10,
    &ett_lte_rrc_T_channelSelection_r10,
    &ett_lte_rrc_T_n1PUCCH_AN_CS_r10,
    &ett_lte_rrc_T_setup_56,
    &ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_N1PUCCH_AN_CS_r10,
    &ett_lte_rrc_PUCCH_ConfigDedicated_v1130,
    &ett_lte_rrc_T_n1PUCCH_AN_CS_v1130,
    &ett_lte_rrc_T_setup_57,
    &ett_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r11,
    &ett_lte_rrc_T_nPUCCH_Param_r11,
    &ett_lte_rrc_T_setup_58,
    &ett_lte_rrc_PUCCH_ConfigDedicated_v1250,
    &ett_lte_rrc_T_nkaPUCCH_Param_r12,
    &ett_lte_rrc_T_setup_59,
    &ett_lte_rrc_PUCCH_ConfigDedicated_r13,
    &ett_lte_rrc_T_ackNackRepetition_r13,
    &ett_lte_rrc_T_setup_60,
    &ett_lte_rrc_T_pucch_Format_r13,
    &ett_lte_rrc_T_format3_r13,
    &ett_lte_rrc_T_n3PUCCH_AN_List_r13,
    &ett_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13,
    &ett_lte_rrc_T_setup_61,
    &ett_lte_rrc_T_n3PUCCH_AN_ListP1_r13,
    &ett_lte_rrc_T_channelSelection_r13,
    &ett_lte_rrc_T_n1PUCCH_AN_CS_r13,
    &ett_lte_rrc_T_setup_62,
    &ett_lte_rrc_N1PUCCH_AN_CS_List_r13,
    &ett_lte_rrc_T_n1PUCCH_AN_CS_ListP1_r13,
    &ett_lte_rrc_T_format4_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_4_OF_Format4_resource_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_2_OF_Format4_resource_r13,
    &ett_lte_rrc_T_format5_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_4_OF_Format5_resource_r13,
    &ett_lte_rrc_T_nPUCCH_Param_r13,
    &ett_lte_rrc_T_setup_63,
    &ett_lte_rrc_T_nkaPUCCH_Param_r13,
    &ett_lte_rrc_T_setup_64,
    &ett_lte_rrc_T_pucch_NumRepetitionCE_r13,
    &ett_lte_rrc_T_setup_65,
    &ett_lte_rrc_T_modeA,
    &ett_lte_rrc_T_modeB,
    &ett_lte_rrc_PUCCH_ConfigDedicated_v1370,
    &ett_lte_rrc_T_pucch_Format_v1370,
    &ett_lte_rrc_PUCCH_Format3_Conf_r13,
    &ett_lte_rrc_T_n3PUCCH_AN_List_r13_01,
    &ett_lte_rrc_T_twoAntennaPortActivatedPUCCH_Format3_r13_01,
    &ett_lte_rrc_T_setup_66,
    &ett_lte_rrc_T_n3PUCCH_AN_ListP1_r13_01,
    &ett_lte_rrc_PUCCH_ConfigDedicated_v1430,
    &ett_lte_rrc_Format4_resource_r13,
    &ett_lte_rrc_Format5_resource_r13,
    &ett_lte_rrc_N1PUCCH_AN_CS_r10,
    &ett_lte_rrc_N1PUCCH_AN_InfoList_r13,
    &ett_lte_rrc_PUSCH_ConfigCommon,
    &ett_lte_rrc_T_pusch_ConfigBasic,
    &ett_lte_rrc_PUSCH_ConfigCommon_v1270,
    &ett_lte_rrc_PUSCH_ConfigCommon_v1310,
    &ett_lte_rrc_PUSCH_ConfigDedicated,
    &ett_lte_rrc_PUSCH_ConfigDedicated_v1020,
    &ett_lte_rrc_T_betaOffsetMC_r10,
    &ett_lte_rrc_PUSCH_ConfigDedicated_v1130,
    &ett_lte_rrc_T_pusch_DMRS_r11,
    &ett_lte_rrc_T_setup_67,
    &ett_lte_rrc_PUSCH_ConfigDedicated_v1250,
    &ett_lte_rrc_T_uciOnPUSCH,
    &ett_lte_rrc_T_setup_68,
    &ett_lte_rrc_T_betaOffsetMC_r12,
    &ett_lte_rrc_PUSCH_ConfigDedicated_r13,
    &ett_lte_rrc_T_betaOffsetMC_r13,
    &ett_lte_rrc_T_pusch_DMRS_r11_01,
    &ett_lte_rrc_T_setup_69,
    &ett_lte_rrc_T_uciOnPUSCH_01,
    &ett_lte_rrc_T_setup_70,
    &ett_lte_rrc_T_betaOffsetMC_r12_01,
    &ett_lte_rrc_PUSCH_ConfigDedicated_v1430,
    &ett_lte_rrc_PUSCH_ConfigDedicatedSCell_r10,
    &ett_lte_rrc_PUSCH_ConfigDedicatedSCell_v1430,
    &ett_lte_rrc_TDD_PUSCH_UpPTS_r14,
    &ett_lte_rrc_T_setup_71,
    &ett_lte_rrc_Enable256QAM_r14,
    &ett_lte_rrc_T_setup_72,
    &ett_lte_rrc_T_tpc_SubframeSet_Configured_r14,
    &ett_lte_rrc_T_tpc_SubframeSet_NotConfigured_r14,
    &ett_lte_rrc_PUSCH_EnhancementsConfig_r14,
    &ett_lte_rrc_T_setup_73,
    &ett_lte_rrc_T_interval_ULHoppingPUSCH_Enh_r14,
    &ett_lte_rrc_UL_ReferenceSignalsPUSCH,
    &ett_lte_rrc_RACH_ConfigCommon,
    &ett_lte_rrc_T_preambleInfo,
    &ett_lte_rrc_T_preamblesGroupAConfig,
    &ett_lte_rrc_T_ra_SupervisionInfo,
    &ett_lte_rrc_RACH_ConfigCommon_v1250,
    &ett_lte_rrc_T_txFailParams_r12,
    &ett_lte_rrc_RACH_ConfigCommonSCell_r11,
    &ett_lte_rrc_T_ra_SupervisionInfo_r11,
    &ett_lte_rrc_RACH_CE_LevelInfoList_r13,
    &ett_lte_rrc_RACH_CE_LevelInfo_r13,
    &ett_lte_rrc_T_preambleMappingInfo_r13,
    &ett_lte_rrc_PowerRampingParameters,
    &ett_lte_rrc_RACH_ConfigDedicated,
    &ett_lte_rrc_RadioResourceConfigCommonSIB,
    &ett_lte_rrc_RadioResourceConfigCommon,
    &ett_lte_rrc_RadioResourceConfigCommonPSCell_r12,
    &ett_lte_rrc_RadioResourceConfigCommonPSCell_v12f0,
    &ett_lte_rrc_RadioResourceConfigCommonPSCell_v1440,
    &ett_lte_rrc_RadioResourceConfigCommonSCell_r10,
    &ett_lte_rrc_T_nonUL_Configuration_r10_01,
    &ett_lte_rrc_T_ul_Configuration_r10_01,
    &ett_lte_rrc_T_ul_FreqInfo_r10,
    &ett_lte_rrc_T_ul_Configuration_r14,
    &ett_lte_rrc_T_ul_FreqInfo_r14,
    &ett_lte_rrc_RadioResourceConfigCommonSCell_v10l0,
    &ett_lte_rrc_T_ul_Configuration_v10l0,
    &ett_lte_rrc_RadioResourceConfigCommonSCell_v1440,
    &ett_lte_rrc_T_ul_Configuration_v1440,
    &ett_lte_rrc_T_ul_FreqInfo_v1440,
    &ett_lte_rrc_BCCH_Config,
    &ett_lte_rrc_BCCH_Config_v1310,
    &ett_lte_rrc_FreqHoppingParameters_r13,
    &ett_lte_rrc_T_dummy2,
    &ett_lte_rrc_T_dummy3,
    &ett_lte_rrc_T_interval_ULHoppingConfigCommonModeA_r13,
    &ett_lte_rrc_T_interval_ULHoppingConfigCommonModeB_r13,
    &ett_lte_rrc_PCCH_Config,
    &ett_lte_rrc_PCCH_Config_v1310,
    &ett_lte_rrc_HighSpeedConfig_r14,
    &ett_lte_rrc_HighSpeedConfigSCell_r14,
    &ett_lte_rrc_RadioResourceConfigDedicated,
    &ett_lte_rrc_T_mac_MainConfig,
    &ett_lte_rrc_RadioResourceConfigDedicated_v1370,
    &ett_lte_rrc_RadioResourceConfigDedicatedPSCell_r12,
    &ett_lte_rrc_RadioResourceConfigDedicatedPSCell_v1370,
    &ett_lte_rrc_RadioResourceConfigDedicatedSCG_r12,
    &ett_lte_rrc_RadioResourceConfigDedicatedSCell_r10,
    &ett_lte_rrc_SRB_ToAddModList,
    &ett_lte_rrc_SRB_ToAddMod,
    &ett_lte_rrc_T_rlc_Config,
    &ett_lte_rrc_T_logicalChannelConfig,
    &ett_lte_rrc_DRB_ToAddModList,
    &ett_lte_rrc_DRB_ToAddModListSCG_r12,
    &ett_lte_rrc_DRB_ToAddMod,
    &ett_lte_rrc_DRB_ToAddModSCG_r12,
    &ett_lte_rrc_T_drb_Type_r12_01,
    &ett_lte_rrc_T_scg_r12,
    &ett_lte_rrc_DRB_ToReleaseList,
    &ett_lte_rrc_MeasSubframePatternPCell_r10,
    &ett_lte_rrc_NeighCellsCRS_Info_r11,
    &ett_lte_rrc_CRS_AssistanceInfoList_r11,
    &ett_lte_rrc_CRS_AssistanceInfo_r11,
    &ett_lte_rrc_NeighCellsCRS_Info_r13,
    &ett_lte_rrc_CRS_AssistanceInfoList_r13,
    &ett_lte_rrc_CRS_AssistanceInfo_r13,
    &ett_lte_rrc_NAICS_AssistanceInfo_r12,
    &ett_lte_rrc_T_setup_74,
    &ett_lte_rrc_NeighCellsToReleaseList_r12,
    &ett_lte_rrc_NeighCellsToAddModList_r12,
    &ett_lte_rrc_NeighCellsInfo_r12,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxP_a_PerNeighCell_r12_OF_P_a,
    &ett_lte_rrc_RCLWI_Configuration_r13,
    &ett_lte_rrc_T_setup_75,
    &ett_lte_rrc_RCLWI_Config_r13,
    &ett_lte_rrc_T_command,
    &ett_lte_rrc_T_steerToWLAN_r13,
    &ett_lte_rrc_RLC_Config,
    &ett_lte_rrc_T_am,
    &ett_lte_rrc_T_um_Bi_Directional,
    &ett_lte_rrc_T_um_Uni_Directional_UL,
    &ett_lte_rrc_T_um_Uni_Directional_DL,
    &ett_lte_rrc_RLC_Config_v1250,
    &ett_lte_rrc_RLC_Config_v1310,
    &ett_lte_rrc_RLC_Config_v1430,
    &ett_lte_rrc_T_setup_76,
    &ett_lte_rrc_RLC_Config_v15xy,
    &ett_lte_rrc_UL_AM_RLC,
    &ett_lte_rrc_DL_AM_RLC,
    &ett_lte_rrc_UL_UM_RLC,
    &ett_lte_rrc_DL_UM_RLC,
    &ett_lte_rrc_RLF_TimersAndConstants_r9,
    &ett_lte_rrc_T_setup_77,
    &ett_lte_rrc_RLF_TimersAndConstants_r13,
    &ett_lte_rrc_T_setup_78,
    &ett_lte_rrc_RLF_TimersAndConstantsSCG_r12,
    &ett_lte_rrc_T_setup_79,
    &ett_lte_rrc_RN_SubframeConfig_r10,
    &ett_lte_rrc_T_subframeConfigPattern_r10,
    &ett_lte_rrc_T_rpdcch_Config_r10,
    &ett_lte_rrc_T_resourceBlockAssignment_r10,
    &ett_lte_rrc_T_type01_r10,
    &ett_lte_rrc_T_type2_r10,
    &ett_lte_rrc_T_demodulationRS_r10,
    &ett_lte_rrc_T_pucch_Config_r10,
    &ett_lte_rrc_T_tdd,
    &ett_lte_rrc_T_channelSelectionMultiplexingBundling,
    &ett_lte_rrc_T_n1PUCCH_AN_List_r10,
    &ett_lte_rrc_T_fallbackForFormat3,
    &ett_lte_rrc_T_fdd,
    &ett_lte_rrc_SchedulingRequestConfig,
    &ett_lte_rrc_T_setup_80,
    &ett_lte_rrc_SchedulingRequestConfig_v1020,
    &ett_lte_rrc_SchedulingRequestConfigSCell_r13,
    &ett_lte_rrc_T_setup_81,
    &ett_lte_rrc_SoundingRS_UL_ConfigCommon,
    &ett_lte_rrc_T_setup_82,
    &ett_lte_rrc_SoundingRS_UL_ConfigDedicated,
    &ett_lte_rrc_T_setup_83,
    &ett_lte_rrc_SoundingRS_UL_ConfigDedicated_v1020,
    &ett_lte_rrc_SoundingRS_UL_ConfigDedicated_v1310,
    &ett_lte_rrc_T_setup_84,
    &ett_lte_rrc_SoundingRS_UL_ConfigDedicatedUpPTsExt_r13,
    &ett_lte_rrc_T_setup_85,
    &ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_r10,
    &ett_lte_rrc_T_setup_86,
    &ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r10,
    &ett_lte_rrc_T_srs_ActivateAp_r10,
    &ett_lte_rrc_T_setup_87,
    &ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1310,
    &ett_lte_rrc_T_setup_88,
    &ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_v1310,
    &ett_lte_rrc_T_srs_ActivateAp_v1310,
    &ett_lte_rrc_T_setup_89,
    &ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodicUpPTsExt_r13,
    &ett_lte_rrc_T_setup_90,
    &ett_lte_rrc_SEQUENCE_SIZE_1_3_OF_SRS_ConfigAp_r13,
    &ett_lte_rrc_T_srs_ActivateAp_r13,
    &ett_lte_rrc_T_setup_91,
    &ett_lte_rrc_SoundingRS_UL_ConfigDedicatedAperiodic_v1430,
    &ett_lte_rrc_T_setup_92,
    &ett_lte_rrc_SRS_ConfigAp_r10,
    &ett_lte_rrc_SRS_ConfigAp_v1310,
    &ett_lte_rrc_SRS_ConfigAp_r13,
    &ett_lte_rrc_SPS_Config,
    &ett_lte_rrc_SPS_Config_v1430,
    &ett_lte_rrc_SPS_ConfigUL_ToAddModList_r14,
    &ett_lte_rrc_SPS_ConfigUL_ToReleaseList_r14,
    &ett_lte_rrc_SPS_ConfigSL_ToAddModList_r14,
    &ett_lte_rrc_SPS_ConfigSL_ToReleaseList_r14,
    &ett_lte_rrc_SPS_ConfigDL,
    &ett_lte_rrc_T_setup_93,
    &ett_lte_rrc_T_twoAntennaPortActivated_r10,
    &ett_lte_rrc_T_setup_94,
    &ett_lte_rrc_SPS_ConfigUL,
    &ett_lte_rrc_T_setup_95,
    &ett_lte_rrc_T_p0_Persistent,
    &ett_lte_rrc_T_p0_PersistentSubframeSet2_r12,
    &ett_lte_rrc_T_setup_96,
    &ett_lte_rrc_SPS_ConfigSL_r14,
    &ett_lte_rrc_N1PUCCH_AN_PersistentList,
    &ett_lte_rrc_SRS_TPC_PDCCH_Config_r14,
    &ett_lte_rrc_T_setup_97,
    &ett_lte_rrc_SRS_CC_SetIndex_r14,
    &ett_lte_rrc_TDD_Config,
    &ett_lte_rrc_TDD_Config_v1130,
    &ett_lte_rrc_TDD_Config_v1430,
    &ett_lte_rrc_TDD_Config_v1450,
    &ett_lte_rrc_TDD_ConfigSL_r12,
    &ett_lte_rrc_TPC_PDCCH_Config,
    &ett_lte_rrc_T_setup_98,
    &ett_lte_rrc_TPC_PDCCH_ConfigSCell_r13,
    &ett_lte_rrc_T_setup_99,
    &ett_lte_rrc_TPC_Index,
    &ett_lte_rrc_TunnelConfigLWIP_r13,
    &ett_lte_rrc_IKE_Identity_r13,
    &ett_lte_rrc_IP_Address_r13,
    &ett_lte_rrc_UplinkPowerControlCommon,
    &ett_lte_rrc_UplinkPowerControlCommon_v1020,
    &ett_lte_rrc_UplinkPowerControlCommon_v1310,
    &ett_lte_rrc_UplinkPowerControlCommonPSCell_r12,
    &ett_lte_rrc_UplinkPowerControlCommonSCell_r10,
    &ett_lte_rrc_UplinkPowerControlCommonSCell_v1130,
    &ett_lte_rrc_UplinkPowerControlCommonSCell_v1310,
    &ett_lte_rrc_UplinkPowerControlCommonPUSCH_LessCell_v1430,
    &ett_lte_rrc_UplinkPowerControlDedicated,
    &ett_lte_rrc_UplinkPowerControlDedicated_v1020,
    &ett_lte_rrc_UplinkPowerControlDedicated_v1130,
    &ett_lte_rrc_UplinkPowerControlDedicated_v1250,
    &ett_lte_rrc_T_set2PowerControlParameter,
    &ett_lte_rrc_T_setup_100,
    &ett_lte_rrc_UplinkPUSCH_LessPowerControlDedicated_v1430,
    &ett_lte_rrc_UplinkPowerControlDedicatedSCell_r10,
    &ett_lte_rrc_UplinkPowerControlDedicatedSCell_v1310,
    &ett_lte_rrc_DeltaFList_PUCCH,
    &ett_lte_rrc_DeltaTxD_OffsetListPUCCH_r10,
    &ett_lte_rrc_DeltaTxD_OffsetListPUCCH_v1130,
    &ett_lte_rrc_WLAN_Id_List_r13,
    &ett_lte_rrc_WLAN_MobilityConfig_r13,
    &ett_lte_rrc_SecurityAlgorithmConfig,
    &ett_lte_rrc_CarrierFreqCDMA2000,
    &ett_lte_rrc_CarrierFreqGERAN,
    &ett_lte_rrc_CarrierFreqsGERAN,
    &ett_lte_rrc_T_followingARFCNs,
    &ett_lte_rrc_T_equallySpacedARFCNs,
    &ett_lte_rrc_ExplicitListOfARFCNs,
    &ett_lte_rrc_CarrierFreqListMBMS_r11,
    &ett_lte_rrc_CellIndexList,
    &ett_lte_rrc_CellSelectionInfoCE_r13,
    &ett_lte_rrc_CellSelectionInfoCE1_r13,
    &ett_lte_rrc_CellSelectionInfoCE1_v1360,
    &ett_lte_rrc_CSFB_RegistrationParam1XRTT,
    &ett_lte_rrc_CSFB_RegistrationParam1XRTT_v920,
    &ett_lte_rrc_CellGlobalIdEUTRA,
    &ett_lte_rrc_CellGlobalIdUTRA,
    &ett_lte_rrc_CellGlobalIdGERAN,
    &ett_lte_rrc_CellGlobalIdCDMA2000,
    &ett_lte_rrc_CellSelectionInfoNFreq_r13,
    &ett_lte_rrc_MobilityControlInfo,
    &ett_lte_rrc_MobilityControlInfo_v10l0,
    &ett_lte_rrc_MobilityControlInfoSCG_r12,
    &ett_lte_rrc_MobilityControlInfoV2X_r14,
    &ett_lte_rrc_CarrierBandwidthEUTRA,
    &ett_lte_rrc_CarrierFreqEUTRA,
    &ett_lte_rrc_CarrierFreqEUTRA_v9e0,
    &ett_lte_rrc_RACH_Skip_r14,
    &ett_lte_rrc_T_targetTA_r14,
    &ett_lte_rrc_T_ul_ConfigInfo_r14,
    &ett_lte_rrc_MobilityStateParameters,
    &ett_lte_rrc_MultiBandInfoList,
    &ett_lte_rrc_MultiBandInfoList_v9e0,
    &ett_lte_rrc_MultiBandInfoList_v10j0,
    &ett_lte_rrc_MultiBandInfoList_v10l0,
    &ett_lte_rrc_MultiBandInfoList_r11,
    &ett_lte_rrc_MultiBandInfo_v9e0,
    &ett_lte_rrc_NS_PmaxList_r10,
    &ett_lte_rrc_NS_PmaxList_v10l0,
    &ett_lte_rrc_NS_PmaxValue_r10,
    &ett_lte_rrc_NS_PmaxValue_v10l0,
    &ett_lte_rrc_PhysCellIdRange,
    &ett_lte_rrc_PhysCellIdRangeUTRA_FDDList_r9,
    &ett_lte_rrc_PhysCellIdRangeUTRA_FDD_r9,
    &ett_lte_rrc_PhysCellIdGERAN,
    &ett_lte_rrc_PLMN_Identity,
    &ett_lte_rrc_MCC,
    &ett_lte_rrc_MNC,
    &ett_lte_rrc_PLMN_IdentityList3_r11,
    &ett_lte_rrc_PreRegistrationInfoHRPD,
    &ett_lte_rrc_SecondaryPreRegistrationZoneIdListHRPD,
    &ett_lte_rrc_SpeedStateScaleFactors,
    &ett_lte_rrc_SystemInfoListGERAN,
    &ett_lte_rrc_SystemTimeInfoCDMA2000,
    &ett_lte_rrc_T_cdma_SystemTime,
    &ett_lte_rrc_ThresholdNR_r15,
    &ett_lte_rrc_LocationInfo_r10,
    &ett_lte_rrc_T_locationCoordinates_r10,
    &ett_lte_rrc_MeasConfig,
    &ett_lte_rrc_T_speedStatePars,
    &ett_lte_rrc_T_setup_101,
    &ett_lte_rrc_T_measScaleFactor_r12,
    &ett_lte_rrc_MeasIdToRemoveList,
    &ett_lte_rrc_MeasIdToRemoveListExt_r12,
    &ett_lte_rrc_MeasObjectToRemoveList,
    &ett_lte_rrc_MeasObjectToRemoveListExt_r13,
    &ett_lte_rrc_ReportConfigToRemoveList,
    &ett_lte_rrc_MeasDS_Config_r12,
    &ett_lte_rrc_T_setup_102,
    &ett_lte_rrc_T_dmtc_PeriodOffset_r12,
    &ett_lte_rrc_T_ds_OccasionDuration_r12,
    &ett_lte_rrc_MeasCSI_RS_ToRemoveList_r12,
    &ett_lte_rrc_MeasCSI_RS_ToAddModList_r12,
    &ett_lte_rrc_MeasCSI_RS_Config_r12,
    &ett_lte_rrc_MeasGapConfig,
    &ett_lte_rrc_T_setup_103,
    &ett_lte_rrc_T_gapOffset,
    &ett_lte_rrc_MeasGapConfigPerCC_List_r14,
    &ett_lte_rrc_T_setup_104,
    &ett_lte_rrc_MeasGapConfigToRemoveList_r14,
    &ett_lte_rrc_MeasGapConfigToAddModList_r14,
    &ett_lte_rrc_MeasGapConfigPerCC_r14,
    &ett_lte_rrc_MeasGapSharingConfig_r14,
    &ett_lte_rrc_T_setup_105,
    &ett_lte_rrc_MeasIdToAddModList,
    &ett_lte_rrc_MeasIdToAddModList_v1310,
    &ett_lte_rrc_MeasIdToAddModListExt_r12,
    &ett_lte_rrc_MeasIdToAddModListExt_v1310,
    &ett_lte_rrc_MeasIdToAddMod,
    &ett_lte_rrc_MeasIdToAddModExt_r12,
    &ett_lte_rrc_MeasIdToAddMod_v1310,
    &ett_lte_rrc_MeasObjectCDMA2000,
    &ett_lte_rrc_CellsToAddModListCDMA2000,
    &ett_lte_rrc_CellsToAddModCDMA2000,
    &ett_lte_rrc_MeasObjectEUTRA,
    &ett_lte_rrc_T_t312_r12,
    &ett_lte_rrc_MeasObjectEUTRA_v9e0,
    &ett_lte_rrc_CellsToAddModList,
    &ett_lte_rrc_CellsToAddMod,
    &ett_lte_rrc_BlackCellsToAddModList,
    &ett_lte_rrc_BlackCellsToAddMod,
    &ett_lte_rrc_MeasSubframePatternConfigNeigh_r10,
    &ett_lte_rrc_T_setup_107,
    &ett_lte_rrc_MeasSubframeCellList_r10,
    &ett_lte_rrc_AltTTT_CellsToAddModList_r12,
    &ett_lte_rrc_AltTTT_CellsToAddMod_r12,
    &ett_lte_rrc_WhiteCellsToAddModList_r13,
    &ett_lte_rrc_WhiteCellsToAddMod_r13,
    &ett_lte_rrc_RMTC_Config_r13,
    &ett_lte_rrc_T_setup_108,
    &ett_lte_rrc_Tx_ResourcePoolMeasList_r14,
    &ett_lte_rrc_MeasObjectGERAN,
    &ett_lte_rrc_MeasObjectNR_r15,
    &ett_lte_rrc_RS_ConfigSSB_NR_r15,
    &ett_lte_rrc_CellsToAddModListNR,
    &ett_lte_rrc_CellsToAddModNR_r15,
    &ett_lte_rrc_MTC_SSB_NR_r15,
    &ett_lte_rrc_MeasObjectToAddModList,
    &ett_lte_rrc_MeasObjectToAddModListExt_r13,
    &ett_lte_rrc_MeasObjectToAddModList_v9e0,
    &ett_lte_rrc_MeasObjectToAddMod,
    &ett_lte_rrc_T_measObject,
    &ett_lte_rrc_MeasObjectToAddModExt_r13,
    &ett_lte_rrc_T_measObject_r13,
    &ett_lte_rrc_MeasObjectToAddMod_v9e0,
    &ett_lte_rrc_MeasObjectUTRA,
    &ett_lte_rrc_T_cellsToAddModList,
    &ett_lte_rrc_T_cellForWhichToReportCGI,
    &ett_lte_rrc_CellsToAddModListUTRA_FDD,
    &ett_lte_rrc_CellsToAddModUTRA_FDD,
    &ett_lte_rrc_CellsToAddModListUTRA_TDD,
    &ett_lte_rrc_CellsToAddModUTRA_TDD,
    &ett_lte_rrc_CSG_AllowedReportingCells_r9,
    &ett_lte_rrc_MeasObjectWLAN_r13,
    &ett_lte_rrc_T_carrierFreq_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_Bands_r13_OF_WLAN_BandIndicator_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxWLAN_CarrierInfo_r13_OF_WLAN_CarrierInfo_r13,
    &ett_lte_rrc_MeasResults,
    &ett_lte_rrc_T_measResultPCell,
    &ett_lte_rrc_T_measResultNeighCells,
    &ett_lte_rrc_T_measResultPCell_v1310,
    &ett_lte_rrc_MeasResultListEUTRA,
    &ett_lte_rrc_MeasResultEUTRA,
    &ett_lte_rrc_T_cgi_Info,
    &ett_lte_rrc_T_measResult,
    &ett_lte_rrc_T_cgi_Info_v1310,
    &ett_lte_rrc_MeasResultServFreqListNR_r15,
    &ett_lte_rrc_MeasResultServFreqNR_r15,
    &ett_lte_rrc_MeasResultCellListNR_r15,
    &ett_lte_rrc_MeasResultCellNR_r15,
    &ett_lte_rrc_MeasResultNR_r15,
    &ett_lte_rrc_MeasResultSSB_IndexList_r15,
    &ett_lte_rrc_MeasResultSSB_Index_r15,
    &ett_lte_rrc_MeasResultServFreqList_r10,
    &ett_lte_rrc_MeasResultServFreqListExt_r13,
    &ett_lte_rrc_MeasResultServFreq_r10,
    &ett_lte_rrc_T_measResultSCell_r10,
    &ett_lte_rrc_T_measResultBestNeighCell_r10,
    &ett_lte_rrc_T_measResultSCell_v1310_01,
    &ett_lte_rrc_T_measResultBestNeighCell_v1310,
    &ett_lte_rrc_MeasResultServFreq_r13,
    &ett_lte_rrc_T_measResultSCell_r13,
    &ett_lte_rrc_T_measResultBestNeighCell_r13,
    &ett_lte_rrc_T_measResultBestNeighCell_v1360,
    &ett_lte_rrc_MeasResultCSI_RS_List_r12,
    &ett_lte_rrc_MeasResultCSI_RS_r12,
    &ett_lte_rrc_MeasResultListUTRA,
    &ett_lte_rrc_MeasResultUTRA,
    &ett_lte_rrc_T_physCellId,
    &ett_lte_rrc_T_cgi_Info_01,
    &ett_lte_rrc_T_measResult_01,
    &ett_lte_rrc_MeasResultListGERAN,
    &ett_lte_rrc_MeasResultGERAN,
    &ett_lte_rrc_T_cgi_Info_02,
    &ett_lte_rrc_T_measResult_02,
    &ett_lte_rrc_MeasResultsCDMA2000,
    &ett_lte_rrc_MeasResultListCDMA2000,
    &ett_lte_rrc_MeasResultCDMA2000,
    &ett_lte_rrc_T_measResult_03,
    &ett_lte_rrc_MeasResultListWLAN_r13,
    &ett_lte_rrc_MeasResultListWLAN_r14,
    &ett_lte_rrc_MeasResultWLAN_r13,
    &ett_lte_rrc_MeasResultListCBR_r14,
    &ett_lte_rrc_MeasResultCBR_r14,
    &ett_lte_rrc_MeasResultForECID_r9,
    &ett_lte_rrc_PLMN_IdentityList2,
    &ett_lte_rrc_AdditionalSI_Info_r9,
    &ett_lte_rrc_MeasResultForRSSI_r13,
    &ett_lte_rrc_UL_PDCP_DelayResultList_r13,
    &ett_lte_rrc_UL_PDCP_DelayResult_r13,
    &ett_lte_rrc_MeasResultSSTD_r13,
    &ett_lte_rrc_QuantityConfig,
    &ett_lte_rrc_QuantityConfigEUTRA,
    &ett_lte_rrc_QuantityConfigEUTRA_v1250,
    &ett_lte_rrc_QuantityConfigEUTRA_v1310,
    &ett_lte_rrc_QuantityConfigUTRA,
    &ett_lte_rrc_QuantityConfigUTRA_v1020,
    &ett_lte_rrc_QuantityConfigGERAN,
    &ett_lte_rrc_QuantityConfigCDMA2000,
    &ett_lte_rrc_QuantityConfigNRList_r15,
    &ett_lte_rrc_QuantityConfigNR_r15,
    &ett_lte_rrc_QuantityConfigRS_NR_r15,
    &ett_lte_rrc_QuantityConfigWLAN_r13,
    &ett_lte_rrc_ReportConfigEUTRA,
    &ett_lte_rrc_T_triggerType,
    &ett_lte_rrc_T_event,
    &ett_lte_rrc_T_eventId,
    &ett_lte_rrc_T_eventA1,
    &ett_lte_rrc_T_eventA2,
    &ett_lte_rrc_T_eventA3,
    &ett_lte_rrc_T_eventA4,
    &ett_lte_rrc_T_eventA5,
    &ett_lte_rrc_T_eventA6_r10,
    &ett_lte_rrc_T_eventC1_r12,
    &ett_lte_rrc_T_eventC2_r12,
    &ett_lte_rrc_T_eventV1_r14,
    &ett_lte_rrc_T_eventV2_r14,
    &ett_lte_rrc_T_periodical,
    &ett_lte_rrc_T_alternativeTimeToTrigger_r12,
    &ett_lte_rrc_T_rs_sinr_Config_r13,
    &ett_lte_rrc_T_setup_109,
    &ett_lte_rrc_RSRQ_RangeConfig_r12,
    &ett_lte_rrc_ThresholdEUTRA,
    &ett_lte_rrc_MeasRSSI_ReportConfig_r13,
    &ett_lte_rrc_ReportConfigInterRAT,
    &ett_lte_rrc_T_triggerType_01,
    &ett_lte_rrc_T_event_01,
    &ett_lte_rrc_T_eventId_01,
    &ett_lte_rrc_T_eventB1,
    &ett_lte_rrc_T_b1_Threshold,
    &ett_lte_rrc_T_eventB2,
    &ett_lte_rrc_T_b2_Threshold2,
    &ett_lte_rrc_T_eventW1_r13,
    &ett_lte_rrc_T_eventW2_r13,
    &ett_lte_rrc_T_eventW3_r13,
    &ett_lte_rrc_T_periodical_01,
    &ett_lte_rrc_T_b2_Threshold1_v1250,
    &ett_lte_rrc_T_reportSSTD_Meas_r15,
    &ett_lte_rrc_ThresholdUTRA,
    &ett_lte_rrc_ReportQuantityNR_r15,
    &ett_lte_rrc_ReportQuantityWLAN_r13,
    &ett_lte_rrc_ReportConfigToAddModList,
    &ett_lte_rrc_ReportConfigToAddMod,
    &ett_lte_rrc_T_reportConfig,
    &ett_lte_rrc_RSRQ_Type_r12,
    &ett_lte_rrc_UL_DelayConfig_r13,
    &ett_lte_rrc_T_setup_110,
    &ett_lte_rrc_WLAN_CarrierInfo_r13,
    &ett_lte_rrc_WLAN_ChannelList_r13,
    &ett_lte_rrc_WLAN_SuspendConfig_r14,
    &ett_lte_rrc_AreaConfiguration_r10,
    &ett_lte_rrc_AreaConfiguration_v1130,
    &ett_lte_rrc_CellGlobalIdList_r10,
    &ett_lte_rrc_TrackingAreaCodeList_r10,
    &ett_lte_rrc_TrackingAreaCodeList_v1130,
    &ett_lte_rrc_SEQUENCE_SIZE_1_8_OF_PLMN_Identity,
    &ett_lte_rrc_BandCombinationList_r14,
    &ett_lte_rrc_BandCombination_r14,
    &ett_lte_rrc_BandIndication_r14,
    &ett_lte_rrc_MeasSubframePattern_r10,
    &ett_lte_rrc_T_subframePatternTDD_r10,
    &ett_lte_rrc_OtherConfig_r9,
    &ett_lte_rrc_T_delayBudgetReportingConfig_r14,
    &ett_lte_rrc_T_setup_111,
    &ett_lte_rrc_T_rlm_ReportConfig_r14,
    &ett_lte_rrc_T_setup_112,
    &ett_lte_rrc_T_overheatingAssistanceConfig_r14,
    &ett_lte_rrc_T_setup_113,
    &ett_lte_rrc_IDC_Config_r11,
    &ett_lte_rrc_T_autonomousDenialParameters_r11,
    &ett_lte_rrc_ObtainLocationConfig_r11,
    &ett_lte_rrc_PowerPrefIndicationConfig_r11,
    &ett_lte_rrc_T_setup_114,
    &ett_lte_rrc_ReportProximityConfig_r9,
    &ett_lte_rrc_S_TMSI,
    &ett_lte_rrc_TraceReference_r10,
    &ett_lte_rrc_UE_CapabilityRAT_ContainerList,
    &ett_lte_rrc_UE_CapabilityRAT_Container,
    &ett_lte_rrc_UE_EUTRA_Capability,
    &ett_lte_rrc_T_interRAT_Parameters,
    &ett_lte_rrc_UE_EUTRA_Capability_v9a0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v9c0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v9d0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v9e0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v9h0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v10c0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v10f0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v10i0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v10j0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_66,
    &ett_lte_rrc_UE_EUTRA_Capability_v11d0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v11x0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v12b0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v12x0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1370_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1380_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_67,
    &ett_lte_rrc_UE_EUTRA_Capability_v920_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v940_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1020_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1060_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1090_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1130_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1170_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1180_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v11a0_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1250_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1260_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1270_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1280_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1310_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1320_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1330_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1340_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1350_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1360_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1430_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1440_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v1450_IEs,
    &ett_lte_rrc_UE_EUTRA_Capability_v15x0_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_68,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_r9,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1060,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1130,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1180,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1250,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1310,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1320,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1370,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1380,
    &ett_lte_rrc_UE_EUTRA_CapabilityAddXDD_Mode_v1430,
    &ett_lte_rrc_BasebandParameters_r15,
    &ett_lte_rrc_BasebandProcessingCombiList_r15,
    &ett_lte_rrc_BasebandProcessingCombi_r15,
    &ett_lte_rrc_BP_InfoPerBandList_r15,
    &ett_lte_rrc_BP_InfoPerBand_r15,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_BP_InfoPerCC_r15,
    &ett_lte_rrc_BP_InfoPerCC_r15,
    &ett_lte_rrc_ModulationOrder_r15,
    &ett_lte_rrc_BW_PerCC_r15,
    &ett_lte_rrc_SubCarrierSpacingNR_r15,
    &ett_lte_rrc_MobilityParameters_r14,
    &ett_lte_rrc_DC_Parameters_r12,
    &ett_lte_rrc_DC_Parameters_v1310,
    &ett_lte_rrc_MAC_Parameters_r12,
    &ett_lte_rrc_MAC_Parameters_v1310,
    &ett_lte_rrc_MAC_Parameters_v1430,
    &ett_lte_rrc_MAC_Parameters_v1440,
    &ett_lte_rrc_RLC_Parameters_r12,
    &ett_lte_rrc_RLC_Parameters_v1310,
    &ett_lte_rrc_RLC_Parameters_v1430,
    &ett_lte_rrc_PDCP_Parameters,
    &ett_lte_rrc_T_supportedROHC_Profiles,
    &ett_lte_rrc_PDCP_Parameters_v1130,
    &ett_lte_rrc_PDCP_Parameters_v1310,
    &ett_lte_rrc_PDCP_Parameters_v1430,
    &ett_lte_rrc_T_supportedUplinkOnlyROHC_Profiles_r14,
    &ett_lte_rrc_PhyLayerParameters,
    &ett_lte_rrc_PhyLayerParameters_v920,
    &ett_lte_rrc_PhyLayerParameters_v9d0,
    &ett_lte_rrc_PhyLayerParameters_v1020,
    &ett_lte_rrc_PhyLayerParameters_v1130,
    &ett_lte_rrc_PhyLayerParameters_v1170,
    &ett_lte_rrc_PhyLayerParameters_v1250,
    &ett_lte_rrc_PhyLayerParameters_v1280,
    &ett_lte_rrc_PhyLayerParameters_v1310,
    &ett_lte_rrc_T_supportedBlindDecoding_r13,
    &ett_lte_rrc_PhyLayerParameters_v1320,
    &ett_lte_rrc_PhyLayerParameters_v1330,
    &ett_lte_rrc_PhyLayerParameters_v1430,
    &ett_lte_rrc_PhyLayerParameters_v1450,
    &ett_lte_rrc_MIMO_UE_Parameters_r13,
    &ett_lte_rrc_MIMO_UE_Parameters_v1430,
    &ett_lte_rrc_MIMO_UE_ParametersPerTM_r13,
    &ett_lte_rrc_MIMO_UE_ParametersPerTM_v1430,
    &ett_lte_rrc_T_nzp_CSI_RS_AperiodicInfo_r14,
    &ett_lte_rrc_T_nzp_CSI_RS_PeriodicInfo_r14,
    &ett_lte_rrc_MIMO_CA_ParametersPerBoBC_r13,
    &ett_lte_rrc_MIMO_CA_ParametersPerBoBC_v1430,
    &ett_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_r13,
    &ett_lte_rrc_MIMO_CA_ParametersPerBoBCPerTM_v1430,
    &ett_lte_rrc_MIMO_NonPrecodedCapabilities_r13,
    &ett_lte_rrc_MIMO_UE_BeamformedCapabilities_r13,
    &ett_lte_rrc_MIMO_BeamformedCapabilityList_r13,
    &ett_lte_rrc_MIMO_BeamformedCapabilities_r13,
    &ett_lte_rrc_NonContiguousUL_RA_WithinCC_List_r10,
    &ett_lte_rrc_NonContiguousUL_RA_WithinCC_r10,
    &ett_lte_rrc_RF_Parameters,
    &ett_lte_rrc_RF_Parameters_v9e0,
    &ett_lte_rrc_RF_Parameters_v1020,
    &ett_lte_rrc_RF_Parameters_v1060,
    &ett_lte_rrc_RF_Parameters_v1090,
    &ett_lte_rrc_RF_Parameters_v10f0,
    &ett_lte_rrc_RF_Parameters_v10i0,
    &ett_lte_rrc_RF_Parameters_v10j0,
    &ett_lte_rrc_RF_Parameters_v1130,
    &ett_lte_rrc_RF_Parameters_v1180,
    &ett_lte_rrc_RF_Parameters_v11d0,
    &ett_lte_rrc_RF_Parameters_v1250,
    &ett_lte_rrc_RF_Parameters_v1270,
    &ett_lte_rrc_RF_Parameters_v1310,
    &ett_lte_rrc_T_eNB_RequestedParameters_r13,
    &ett_lte_rrc_RF_Parameters_v1320,
    &ett_lte_rrc_RF_Parameters_v1380,
    &ett_lte_rrc_RF_Parameters_v12b0,
    &ett_lte_rrc_RF_Parameters_v1430,
    &ett_lte_rrc_T_eNB_RequestedParameters_v1430,
    &ett_lte_rrc_RF_Parameters_v1450,
    &ett_lte_rrc_SupportedBandCombination_r10,
    &ett_lte_rrc_SupportedBandCombinationExt_r10,
    &ett_lte_rrc_SupportedBandCombination_v1090,
    &ett_lte_rrc_SupportedBandCombination_v10i0,
    &ett_lte_rrc_SupportedBandCombination_v1130,
    &ett_lte_rrc_SupportedBandCombination_v1250,
    &ett_lte_rrc_SupportedBandCombination_v1270,
    &ett_lte_rrc_SupportedBandCombination_v1320,
    &ett_lte_rrc_SupportedBandCombination_v1380,
    &ett_lte_rrc_SupportedBandCombination_v1430,
    &ett_lte_rrc_SupportedBandCombination_v1450,
    &ett_lte_rrc_SupportedBandCombinationAdd_r11,
    &ett_lte_rrc_SupportedBandCombinationAdd_v11d0,
    &ett_lte_rrc_SupportedBandCombinationAdd_v1250,
    &ett_lte_rrc_SupportedBandCombinationAdd_v1270,
    &ett_lte_rrc_SupportedBandCombinationAdd_v1320,
    &ett_lte_rrc_SupportedBandCombinationAdd_v1380,
    &ett_lte_rrc_SupportedBandCombinationAdd_v1430,
    &ett_lte_rrc_SupportedBandCombinationAdd_v1450,
    &ett_lte_rrc_SupportedBandCombinationReduced_r13,
    &ett_lte_rrc_SupportedBandCombinationReduced_v1320,
    &ett_lte_rrc_SupportedBandCombinationReduced_v1380,
    &ett_lte_rrc_SupportedBandCombinationReduced_v1430,
    &ett_lte_rrc_SupportedBandCombinationReduced_v1450,
    &ett_lte_rrc_BandCombinationParameters_r10,
    &ett_lte_rrc_BandCombinationParametersExt_r10,
    &ett_lte_rrc_BandCombinationParameters_v1090,
    &ett_lte_rrc_BandCombinationParameters_v10i0,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v10i0,
    &ett_lte_rrc_BandCombinationParameters_v1130,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1130,
    &ett_lte_rrc_BandCombinationParameters_r11,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r11,
    &ett_lte_rrc_BandCombinationParameters_v1250,
    &ett_lte_rrc_T_dc_Support_r12,
    &ett_lte_rrc_T_supportedCellGrouping_r12,
    &ett_lte_rrc_BandCombinationParameters_v1270,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1270,
    &ett_lte_rrc_BandCombinationParameters_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_r13,
    &ett_lte_rrc_T_dc_Support_r13,
    &ett_lte_rrc_T_supportedCellGrouping_r13,
    &ett_lte_rrc_BandCombinationParameters_v1320,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1320,
    &ett_lte_rrc_BandCombinationParameters_v1380,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1380,
    &ett_lte_rrc_BandCombinationParameters_v1430,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1430,
    &ett_lte_rrc_BandCombinationParameters_v1450,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_BandParameters_v1450,
    &ett_lte_rrc_BandParameters_r10,
    &ett_lte_rrc_BandParameters_v1090,
    &ett_lte_rrc_BandParameters_v10i0,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v10i0,
    &ett_lte_rrc_BandParameters_v1130,
    &ett_lte_rrc_BandParameters_r11,
    &ett_lte_rrc_BandParameters_v1270,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxBandwidthClass_r10_OF_CA_MIMO_ParametersDL_v1270,
    &ett_lte_rrc_BandParameters_r13,
    &ett_lte_rrc_BandParameters_v1320,
    &ett_lte_rrc_BandParameters_v1380,
    &ett_lte_rrc_BandParameters_v1430,
    &ett_lte_rrc_SEQUENCE_SIZE_2_maxServCell_r13_OF_UL_256QAM_perCC_Info_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSimultaneousBands_r10_OF_RetuningTimeInfo_r14,
    &ett_lte_rrc_BandParameters_v1450,
    &ett_lte_rrc_V2X_BandParameters_r14,
    &ett_lte_rrc_BandParametersTxSL_r14,
    &ett_lte_rrc_BandParametersRxSL_r14,
    &ett_lte_rrc_V2X_BandwidthClassSL_r14,
    &ett_lte_rrc_UL_256QAM_perCC_Info_r14,
    &ett_lte_rrc_BandParametersUL_r10,
    &ett_lte_rrc_CA_MIMO_ParametersUL_r10,
    &ett_lte_rrc_BandParametersDL_r10,
    &ett_lte_rrc_CA_MIMO_ParametersDL_r10,
    &ett_lte_rrc_CA_MIMO_ParametersDL_v10i0,
    &ett_lte_rrc_CA_MIMO_ParametersDL_v1270,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r10_OF_IntraBandContiguousCC_Info_r12,
    &ett_lte_rrc_CA_MIMO_ParametersDL_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxServCell_r13_OF_IntraBandContiguousCC_Info_r12,
    &ett_lte_rrc_IntraBandContiguousCC_Info_r12,
    &ett_lte_rrc_MUST_Parameters_r14,
    &ett_lte_rrc_SupportedBandListEUTRA,
    &ett_lte_rrc_SupportedBandListEUTRA_v9e0,
    &ett_lte_rrc_SupportedBandListEUTRA_v1250,
    &ett_lte_rrc_SupportedBandListEUTRA_v1310,
    &ett_lte_rrc_SupportedBandListEUTRA_v1320,
    &ett_lte_rrc_SupportedBandEUTRA,
    &ett_lte_rrc_SupportedBandEUTRA_v9e0,
    &ett_lte_rrc_SupportedBandEUTRA_v1250,
    &ett_lte_rrc_SupportedBandEUTRA_v1310,
    &ett_lte_rrc_SupportedBandEUTRA_v1320,
    &ett_lte_rrc_MeasParameters,
    &ett_lte_rrc_MeasParameters_v1020,
    &ett_lte_rrc_MeasParameters_v1130,
    &ett_lte_rrc_MeasParameters_v11a0,
    &ett_lte_rrc_MeasParameters_v1250,
    &ett_lte_rrc_MeasParameters_v1310,
    &ett_lte_rrc_MeasParameters_v1430,
    &ett_lte_rrc_BandListEUTRA,
    &ett_lte_rrc_BandCombinationListEUTRA_r10,
    &ett_lte_rrc_BandInfoEUTRA,
    &ett_lte_rrc_InterFreqBandList,
    &ett_lte_rrc_InterFreqBandInfo,
    &ett_lte_rrc_InterRAT_BandList,
    &ett_lte_rrc_InterRAT_BandInfo,
    &ett_lte_rrc_IRAT_ParametersNR_r15,
    &ett_lte_rrc_PDCP_ParametersNR_r15,
    &ett_lte_rrc_T_rohc_Profiles_r15,
    &ett_lte_rrc_T_rohc_ProfilesUL_Only_r15,
    &ett_lte_rrc_SupportedBandListNR_r15,
    &ett_lte_rrc_SupportedBandNR_r15,
    &ett_lte_rrc_IRAT_ParametersUTRA_FDD,
    &ett_lte_rrc_IRAT_ParametersUTRA_v920,
    &ett_lte_rrc_IRAT_ParametersUTRA_v9c0,
    &ett_lte_rrc_IRAT_ParametersUTRA_v9h0,
    &ett_lte_rrc_SupportedBandListUTRA_FDD,
    &ett_lte_rrc_IRAT_ParametersUTRA_TDD128,
    &ett_lte_rrc_SupportedBandListUTRA_TDD128,
    &ett_lte_rrc_IRAT_ParametersUTRA_TDD384,
    &ett_lte_rrc_SupportedBandListUTRA_TDD384,
    &ett_lte_rrc_IRAT_ParametersUTRA_TDD768,
    &ett_lte_rrc_SupportedBandListUTRA_TDD768,
    &ett_lte_rrc_IRAT_ParametersUTRA_TDD_v1020,
    &ett_lte_rrc_IRAT_ParametersGERAN,
    &ett_lte_rrc_IRAT_ParametersGERAN_v920,
    &ett_lte_rrc_SupportedBandListGERAN,
    &ett_lte_rrc_IRAT_ParametersCDMA2000_HRPD,
    &ett_lte_rrc_SupportedBandListHRPD,
    &ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT,
    &ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v920,
    &ett_lte_rrc_IRAT_ParametersCDMA2000_1XRTT_v1020,
    &ett_lte_rrc_IRAT_ParametersCDMA2000_v1130,
    &ett_lte_rrc_SupportedBandList1XRTT,
    &ett_lte_rrc_IRAT_ParametersWLAN_r13,
    &ett_lte_rrc_SupportedBandListWLAN_r13,
    &ett_lte_rrc_CSG_ProximityIndicationParameters_r9,
    &ett_lte_rrc_NeighCellSI_AcquisitionParameters_r9,
    &ett_lte_rrc_SON_Parameters_r9,
    &ett_lte_rrc_UE_BasedNetwPerfMeasParameters_r10,
    &ett_lte_rrc_UE_BasedNetwPerfMeasParameters_v1250,
    &ett_lte_rrc_UE_BasedNetwPerfMeasParameters_v1430,
    &ett_lte_rrc_OTDOA_PositioningCapabilities_r10,
    &ett_lte_rrc_Other_Parameters_r11,
    &ett_lte_rrc_Other_Parameters_v11d0,
    &ett_lte_rrc_Other_Parameters_v1360,
    &ett_lte_rrc_Other_Parameters_v1430,
    &ett_lte_rrc_OtherParameters_v1450,
    &ett_lte_rrc_MBMS_Parameters_r11,
    &ett_lte_rrc_MBMS_Parameters_v1250,
    &ett_lte_rrc_MBMS_Parameters_v1430,
    &ett_lte_rrc_FeMBMS_Unicast_Parameters_r14,
    &ett_lte_rrc_SCPTM_Parameters_r13,
    &ett_lte_rrc_CE_Parameters_r13,
    &ett_lte_rrc_CE_Parameters_v1320,
    &ett_lte_rrc_CE_Parameters_v1350,
    &ett_lte_rrc_CE_Parameters_v1370,
    &ett_lte_rrc_CE_Parameters_v1380,
    &ett_lte_rrc_CE_Parameters_v1430,
    &ett_lte_rrc_LAA_Parameters_r13,
    &ett_lte_rrc_LAA_Parameters_v1430,
    &ett_lte_rrc_WLAN_IW_Parameters_r12,
    &ett_lte_rrc_LWA_Parameters_r13,
    &ett_lte_rrc_LWA_Parameters_v1430,
    &ett_lte_rrc_LWA_Parameters_v1440,
    &ett_lte_rrc_WLAN_IW_Parameters_v1310,
    &ett_lte_rrc_LWIP_Parameters_r13,
    &ett_lte_rrc_LWIP_Parameters_v1430,
    &ett_lte_rrc_NAICS_Capability_List_r12,
    &ett_lte_rrc_NAICS_Capability_Entry_r12,
    &ett_lte_rrc_SL_Parameters_r12,
    &ett_lte_rrc_SL_Parameters_v1310,
    &ett_lte_rrc_SL_Parameters_v1430,
    &ett_lte_rrc_V2X_SupportedBandCombination_r14,
    &ett_lte_rrc_V2X_BandCombinationParameters_r14,
    &ett_lte_rrc_SupportedBandInfoList_r12,
    &ett_lte_rrc_SupportedBandInfo_r12,
    &ett_lte_rrc_FreqBandIndicatorListEUTRA_r12,
    &ett_lte_rrc_MMTEL_Parameters_r14,
    &ett_lte_rrc_RetuningTimeInfo_r14,
    &ett_lte_rrc_T_retuningInfo,
    &ett_lte_rrc_HighSpeedEnhParameters_r14,
    &ett_lte_rrc_UE_RadioPagingInfo_r12,
    &ett_lte_rrc_UE_TimersAndConstants,
    &ett_lte_rrc_VisitedCellInfoList_r12,
    &ett_lte_rrc_VisitedCellInfo_r12,
    &ett_lte_rrc_T_visitedCellId_r12,
    &ett_lte_rrc_T_pci_arfcn_r12,
    &ett_lte_rrc_WLAN_OffloadConfig_r12,
    &ett_lte_rrc_T_thresholdRSRP_r12,
    &ett_lte_rrc_T_thresholdRSRQ_r12,
    &ett_lte_rrc_T_thresholdRSRQ_OnAllSymbolsWithWB_r12,
    &ett_lte_rrc_T_thresholdRSRQ_OnAllSymbols_r12,
    &ett_lte_rrc_T_thresholdRSRQ_WB_r12,
    &ett_lte_rrc_T_thresholdChannelUtilization_r12,
    &ett_lte_rrc_T_thresholdBackhaul_Bandwidth_r12,
    &ett_lte_rrc_T_thresholdWLAN_RSSI_r12,
    &ett_lte_rrc_MBMS_NotificationConfig_r9,
    &ett_lte_rrc_MBMS_NotificationConfig_v1430,
    &ett_lte_rrc_MBMS_ServiceList_r13,
    &ett_lte_rrc_MBMS_ServiceInfo_r13,
    &ett_lte_rrc_MBSFN_AreaInfoList_r9,
    &ett_lte_rrc_MBSFN_AreaInfo_r9,
    &ett_lte_rrc_T_mcch_Config_r9,
    &ett_lte_rrc_T_mcch_Config_r14,
    &ett_lte_rrc_MBSFN_SubframeConfig,
    &ett_lte_rrc_T_subframeAllocation,
    &ett_lte_rrc_MBSFN_SubframeConfig_v1430,
    &ett_lte_rrc_T_subframeAllocation_v1430,
    &ett_lte_rrc_PMCH_InfoList_r9,
    &ett_lte_rrc_PMCH_InfoListExt_r12,
    &ett_lte_rrc_PMCH_Info_r9,
    &ett_lte_rrc_PMCH_InfoExt_r12,
    &ett_lte_rrc_MBMS_SessionInfoList_r9,
    &ett_lte_rrc_MBMS_SessionInfo_r9,
    &ett_lte_rrc_PMCH_Config_r9,
    &ett_lte_rrc_PMCH_Config_r12,
    &ett_lte_rrc_T_dataMCS_r12,
    &ett_lte_rrc_TMGI_r9,
    &ett_lte_rrc_T_plmn_Id_r9,
    &ett_lte_rrc_SC_MTCH_InfoList_r13,
    &ett_lte_rrc_SC_MTCH_Info_r13,
    &ett_lte_rrc_MBMSSessionInfo_r13,
    &ett_lte_rrc_SC_MTCH_SchedulingInfo_r13,
    &ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r13,
    &ett_lte_rrc_SC_MTCH_InfoList_BR_r14,
    &ett_lte_rrc_SC_MTCH_Info_BR_r14,
    &ett_lte_rrc_T_mpdcch_StartSF_SC_MTCH_r14,
    &ett_lte_rrc_SC_MTCH_SchedulingInfo_BR_r14,
    &ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_01,
    &ett_lte_rrc_SCPTM_NeighbourCellList_r13,
    &ett_lte_rrc_PCI_ARFCN_r13,
    &ett_lte_rrc_SL_AnchorCarrierFreqList_V2X_r14,
    &ett_lte_rrc_SL_CBR_CommonTxConfigList_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_CBRConfig_r14_OF_SL_CBR_Levels_Config_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxSL_V2X_TxConfig_r14_OF_SL_CBR_PSSCH_TxConfig_r14,
    &ett_lte_rrc_SL_CBR_Levels_Config_r14,
    &ett_lte_rrc_SL_CBR_PSSCH_TxConfig_r14,
    &ett_lte_rrc_SL_CBR_PPPP_TxConfigList_r14,
    &ett_lte_rrc_SL_PPPP_TxConfigIndex_r14,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxCBR_Level_r14_OF_Tx_ConfigIndex_r14,
    &ett_lte_rrc_SL_CommConfig_r12,
    &ett_lte_rrc_T_commTxResources_r12,
    &ett_lte_rrc_T_setup_115,
    &ett_lte_rrc_T_scheduled_r12,
    &ett_lte_rrc_T_ue_Selected_r12,
    &ett_lte_rrc_T_commTxPoolNormalDedicated_r12,
    &ett_lte_rrc_T_commTxResources_v1310,
    &ett_lte_rrc_T_setup_116,
    &ett_lte_rrc_T_scheduled_v1310,
    &ett_lte_rrc_T_ue_Selected_v1310,
    &ett_lte_rrc_T_commTxPoolNormalDedicatedExt_r13,
    &ett_lte_rrc_LogicalChGroupInfoList_r13,
    &ett_lte_rrc_SL_CommTxPoolToAddModList_r12,
    &ett_lte_rrc_SL_CommTxPoolToAddModListExt_r13,
    &ett_lte_rrc_SL_CommTxPoolToAddMod_r12,
    &ett_lte_rrc_SL_CommTxPoolToAddModExt_r13,
    &ett_lte_rrc_MAC_MainConfigSL_r12,
    &ett_lte_rrc_SL_CommTxPoolList_r12,
    &ett_lte_rrc_SL_CommTxPoolListExt_r13,
    &ett_lte_rrc_SL_CommTxPoolListV2X_r14,
    &ett_lte_rrc_SL_CommRxPoolList_r12,
    &ett_lte_rrc_SL_CommRxPoolListV2X_r14,
    &ett_lte_rrc_SL_CommResourcePool_r12,
    &ett_lte_rrc_T_ue_SelectedResourceConfig_r12,
    &ett_lte_rrc_T_rxParametersNCell_r12,
    &ett_lte_rrc_T_txParameters_r12,
    &ett_lte_rrc_SL_CommResourcePoolV2X_r14,
    &ett_lte_rrc_T_rxParametersNCell_r14,
    &ett_lte_rrc_SL_CommTxPoolSensingConfig_r14,
    &ett_lte_rrc_T_p2x_SensingConfig_r14,
    &ett_lte_rrc_SL_DiscConfig_r12,
    &ett_lte_rrc_T_discTxResources_r12,
    &ett_lte_rrc_T_setup_117,
    &ett_lte_rrc_T_scheduled_r12_01,
    &ett_lte_rrc_T_ue_Selected_r12_01,
    &ett_lte_rrc_T_discTxPoolDedicated_r12,
    &ett_lte_rrc_T_discTF_IndexList_v1260,
    &ett_lte_rrc_T_setup_118,
    &ett_lte_rrc_T_discTxResourcesPS_r13,
    &ett_lte_rrc_T_setup_119,
    &ett_lte_rrc_T_ue_Selected_r13,
    &ett_lte_rrc_T_discTxInterFreqInfo_r13,
    &ett_lte_rrc_T_setup_120,
    &ett_lte_rrc_T_discRxGapConfig_r13,
    &ett_lte_rrc_T_discTxGapConfig_r13,
    &ett_lte_rrc_T_discSysInfoToReportConfig_r13,
    &ett_lte_rrc_SL_DiscSysInfoToReportFreqList_r13,
    &ett_lte_rrc_SL_DiscTxInfoInterFreqListAdd_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_SL_DiscTxResourceInfoPerFreq_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxFreq_OF_ARFCN_ValueEUTRA_r9,
    &ett_lte_rrc_SL_DiscTxResourceInfoPerFreq_r13,
    &ett_lte_rrc_SL_DiscTxResource_r13,
    &ett_lte_rrc_T_setup_121,
    &ett_lte_rrc_SL_DiscTxPoolToAddModList_r12,
    &ett_lte_rrc_SL_DiscTxPoolToAddMod_r12,
    &ett_lte_rrc_SL_DiscTxConfigScheduled_r13,
    &ett_lte_rrc_SL_DiscTxPoolDedicated_r13,
    &ett_lte_rrc_SL_TF_IndexPairList_r12,
    &ett_lte_rrc_SL_TF_IndexPair_r12,
    &ett_lte_rrc_SL_TF_IndexPairList_r12b,
    &ett_lte_rrc_SL_TF_IndexPair_r12b,
    &ett_lte_rrc_SL_DiscTxRefCarrierDedicated_r13,
    &ett_lte_rrc_SL_DiscTxPoolList_r12,
    &ett_lte_rrc_SL_DiscRxPoolList_r12,
    &ett_lte_rrc_SL_DiscResourcePool_r12,
    &ett_lte_rrc_T_txParameters_r12_01,
    &ett_lte_rrc_T_ue_SelectedResourceConfig_r12_01,
    &ett_lte_rrc_T_poolSelection_r12,
    &ett_lte_rrc_T_rxParameters_r12,
    &ett_lte_rrc_T_discPeriod_v1310,
    &ett_lte_rrc_T_rxParamsAddNeighFreq_r13,
    &ett_lte_rrc_T_setup_123,
    &ett_lte_rrc_T_txParamsAddNeighFreq_r13,
    &ett_lte_rrc_T_setup_124,
    &ett_lte_rrc_T_freqInfo_01,
    &ett_lte_rrc_T_txParamsAddNeighFreq_v1370,
    &ett_lte_rrc_T_setup_125,
    &ett_lte_rrc_T_freqInfo_v1370,
    &ett_lte_rrc_PhysCellIdList_r13,
    &ett_lte_rrc_SL_PoolSelectionConfig_r12,
    &ett_lte_rrc_SL_DiscSysInfoReport_r13,
    &ett_lte_rrc_T_discCellSelectionInfo_r13,
    &ett_lte_rrc_T_cellReselectionInfo_r13,
    &ett_lte_rrc_T_freqInfo_r13,
    &ett_lte_rrc_T_freqInfo_v1370_01,
    &ett_lte_rrc_SL_DiscTxPowerInfoList_r12,
    &ett_lte_rrc_SL_DiscTxPowerInfo_r12,
    &ett_lte_rrc_SL_GapConfig_r13,
    &ett_lte_rrc_SL_GapPatternList_r13,
    &ett_lte_rrc_SL_GapPattern_r13,
    &ett_lte_rrc_SL_GapRequest_r13,
    &ett_lte_rrc_SL_GapFreqInfo_r13,
    &ett_lte_rrc_SL_HoppingConfigComm_r12,
    &ett_lte_rrc_SL_HoppingConfigDisc_r12,
    &ett_lte_rrc_SL_InterFreqInfoListV2X_r14,
    &ett_lte_rrc_SL_InterFreqInfoV2X_r14,
    &ett_lte_rrc_T_additionalSpectrumEmissionV2X_r14,
    &ett_lte_rrc_SL_V2X_UE_ConfigList_r14,
    &ett_lte_rrc_SL_V2X_InterFreqUE_Config_r14,
    &ett_lte_rrc_SL_OffsetIndicator_r12,
    &ett_lte_rrc_SL_P2X_ResourceSelectionConfig_r14,
    &ett_lte_rrc_SL_PriorityList_r13,
    &ett_lte_rrc_SL_PSSCH_TxConfigList_r14,
    &ett_lte_rrc_SL_PSSCH_TxConfig_r14,
    &ett_lte_rrc_SL_PSSCH_TxParameters_r14,
    &ett_lte_rrc_SL_RestrictResourceReservationPeriodList_r14,
    &ett_lte_rrc_SL_SyncAllowed_r14,
    &ett_lte_rrc_SL_SyncConfigList_r12,
    &ett_lte_rrc_SL_SyncConfigListV2X_r14,
    &ett_lte_rrc_SL_SyncConfig_r12,
    &ett_lte_rrc_T_txParameters_r12_02,
    &ett_lte_rrc_T_rxParamsNCell_r12,
    &ett_lte_rrc_SL_SyncConfigListNFreq_r13,
    &ett_lte_rrc_SL_SyncConfigListNFreqV2X_r14,
    &ett_lte_rrc_SL_SyncConfigNFreq_r13,
    &ett_lte_rrc_T_asyncParameters_r13,
    &ett_lte_rrc_T_txParameters_r13,
    &ett_lte_rrc_T_rxParameters_r13,
    &ett_lte_rrc_SL_TF_ResourceConfig_r12,
    &ett_lte_rrc_SubframeBitmapSL_r12,
    &ett_lte_rrc_SubframeBitmapSL_r14,
    &ett_lte_rrc_SL_TxPower_r14,
    &ett_lte_rrc_SL_ThresPSSCH_RSRP_List_r14,
    &ett_lte_rrc_SL_TxParameters_r12,
    &ett_lte_rrc_SL_TxPoolToReleaseList_r12,
    &ett_lte_rrc_SL_TxPoolToReleaseListExt_r13,
    &ett_lte_rrc_SL_V2X_ConfigDedicated_r14,
    &ett_lte_rrc_T_commTxResources_r14,
    &ett_lte_rrc_T_setup_126,
    &ett_lte_rrc_T_scheduled_r14,
    &ett_lte_rrc_T_ue_Selected_r14,
    &ett_lte_rrc_T_v2x_CommTxPoolNormalDedicated_r14,
    &ett_lte_rrc_SL_TxPoolToAddModListV2X_r14,
    &ett_lte_rrc_SL_TxPoolToAddMod_r14,
    &ett_lte_rrc_SL_TxPoolToReleaseListV2X_r14,
    &ett_lte_rrc_SL_ZoneConfig_r14,
    &ett_lte_rrc_SBCCH_SL_BCH_Message,
    &ett_lte_rrc_SBCCH_SL_BCH_Message_V2X_r14,
    &ett_lte_rrc_MasterInformationBlock_SL,
    &ett_lte_rrc_MasterInformationBlock_SL_V2X_r14,
    &ett_lte_rrc_HandoverPreparationInformation_NB,
    &ett_lte_rrc_T_criticalExtensions_52,
    &ett_lte_rrc_T_c1_49,
    &ett_lte_rrc_T_criticalExtensionsFuture_52,
    &ett_lte_rrc_HandoverPreparationInformation_NB_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_NB_v1380_IEs,
    &ett_lte_rrc_HandoverPreparationInformation_NB_Ext_r14_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_69,
    &ett_lte_rrc_UEPagingCoverageInformation_NB,
    &ett_lte_rrc_T_criticalExtensions_53,
    &ett_lte_rrc_T_c1_50,
    &ett_lte_rrc_T_criticalExtensionsFuture_53,
    &ett_lte_rrc_UEPagingCoverageInformation_NB_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_70,
    &ett_lte_rrc_UERadioAccessCapabilityInformation_NB,
    &ett_lte_rrc_T_criticalExtensions_54,
    &ett_lte_rrc_T_c1_51,
    &ett_lte_rrc_T_criticalExtensionsFuture_54,
    &ett_lte_rrc_UERadioAccessCapabilityInformation_NB_IEs,
    &ett_lte_rrc_UERadioAccessCapabilityInformation_NB_v1380_IEs,
    &ett_lte_rrc_UERadioAccessCapabilityInformation_NB_r14_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_71,
    &ett_lte_rrc_UERadioPagingInformation_NB,
    &ett_lte_rrc_T_criticalExtensions_55,
    &ett_lte_rrc_T_c1_52,
    &ett_lte_rrc_T_criticalExtensionsFuture_55,
    &ett_lte_rrc_UERadioPagingInformation_NB_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_72,
    &ett_lte_rrc_AS_Config_NB,
    &ett_lte_rrc_AS_Context_NB,
    &ett_lte_rrc_ReestablishmentInfo_NB,
    &ett_lte_rrc_RRM_Config_NB,
    &ett_lte_rrc_BCCH_BCH_Message_NB,
    &ett_lte_rrc_BCCH_DL_SCH_Message_NB,
    &ett_lte_rrc_BCCH_DL_SCH_MessageType_NB,
    &ett_lte_rrc_T_c1_53,
    &ett_lte_rrc_T_messageClassExtension_10,
    &ett_lte_rrc_PCCH_Message_NB,
    &ett_lte_rrc_PCCH_MessageType_NB,
    &ett_lte_rrc_T_c1_54,
    &ett_lte_rrc_T_messageClassExtension_11,
    &ett_lte_rrc_DL_CCCH_Message_NB,
    &ett_lte_rrc_DL_CCCH_MessageType_NB,
    &ett_lte_rrc_T_c1_55,
    &ett_lte_rrc_T_messageClassExtension_12,
    &ett_lte_rrc_DL_DCCH_Message_NB,
    &ett_lte_rrc_DL_DCCH_MessageType_NB,
    &ett_lte_rrc_T_c1_56,
    &ett_lte_rrc_T_messageClassExtension_13,
    &ett_lte_rrc_UL_CCCH_Message_NB,
    &ett_lte_rrc_UL_CCCH_MessageType_NB,
    &ett_lte_rrc_T_c1_57,
    &ett_lte_rrc_T_messageClassExtension_14,
    &ett_lte_rrc_SC_MCCH_Message_NB,
    &ett_lte_rrc_SC_MCCH_MessageType_NB,
    &ett_lte_rrc_T_c1_58,
    &ett_lte_rrc_T_messageClassExtension_15,
    &ett_lte_rrc_UL_DCCH_Message_NB,
    &ett_lte_rrc_UL_DCCH_MessageType_NB,
    &ett_lte_rrc_T_c1_59,
    &ett_lte_rrc_T_messageClassExtension_16,
    &ett_lte_rrc_DLInformationTransfer_NB,
    &ett_lte_rrc_T_criticalExtensions_56,
    &ett_lte_rrc_T_c1_60,
    &ett_lte_rrc_T_criticalExtensionsFuture_56,
    &ett_lte_rrc_DLInformationTransfer_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_73,
    &ett_lte_rrc_MasterInformationBlock_NB,
    &ett_lte_rrc_T_operationModeInfo_r13,
    &ett_lte_rrc_Guardband_NB_r13,
    &ett_lte_rrc_Inband_SamePCI_NB_r13,
    &ett_lte_rrc_Inband_DifferentPCI_NB_r13,
    &ett_lte_rrc_Standalone_NB_r13,
    &ett_lte_rrc_Paging_NB,
    &ett_lte_rrc_T_nonCriticalExtension_74,
    &ett_lte_rrc_PagingRecordList_NB_r13,
    &ett_lte_rrc_PagingRecord_NB_r13,
    &ett_lte_rrc_RRCConnectionReconfiguration_NB,
    &ett_lte_rrc_T_criticalExtensions_57,
    &ett_lte_rrc_T_c1_61,
    &ett_lte_rrc_T_criticalExtensionsFuture_57,
    &ett_lte_rrc_RRCConnectionReconfiguration_NB_r13_IEs,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxDRB_NB_r13_OF_DedicatedInfoNAS,
    &ett_lte_rrc_T_nonCriticalExtension_75,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_NB,
    &ett_lte_rrc_T_criticalExtensions_58,
    &ett_lte_rrc_T_criticalExtensionsFuture_58,
    &ett_lte_rrc_RRCConnectionReconfigurationComplete_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_76,
    &ett_lte_rrc_RRCConnectionReestablishment_NB,
    &ett_lte_rrc_T_criticalExtensions_59,
    &ett_lte_rrc_T_c1_62,
    &ett_lte_rrc_T_criticalExtensionsFuture_59,
    &ett_lte_rrc_RRCConnectionReestablishment_NB_r13_IEs,
    &ett_lte_rrc_RRCConnectionReestablishment_NB_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_77,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete_NB,
    &ett_lte_rrc_T_criticalExtensions_60,
    &ett_lte_rrc_T_criticalExtensionsFuture_60,
    &ett_lte_rrc_RRCConnectionReestablishmentComplete_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_78,
    &ett_lte_rrc_RRCConnectionReestablishmentRequest_NB,
    &ett_lte_rrc_T_criticalExtensions_61,
    &ett_lte_rrc_T_later_01,
    &ett_lte_rrc_T_criticalExtensionsFuture_61,
    &ett_lte_rrc_RRCConnectionReestablishmentRequest_NB_r13_IEs,
    &ett_lte_rrc_RRCConnectionReestablishmentRequest_NB_r14_IEs,
    &ett_lte_rrc_ReestabUE_Identity_CP_NB_r14,
    &ett_lte_rrc_RRCConnectionReject_NB,
    &ett_lte_rrc_T_criticalExtensions_62,
    &ett_lte_rrc_T_c1_63,
    &ett_lte_rrc_T_criticalExtensionsFuture_62,
    &ett_lte_rrc_RRCConnectionReject_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_79,
    &ett_lte_rrc_RRCConnectionRelease_NB,
    &ett_lte_rrc_T_criticalExtensions_63,
    &ett_lte_rrc_T_c1_64,
    &ett_lte_rrc_T_criticalExtensionsFuture_63,
    &ett_lte_rrc_RRCConnectionRelease_NB_r13_IEs,
    &ett_lte_rrc_RRCConnectionRelease_NB_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_80,
    &ett_lte_rrc_RedirectedCarrierInfo_NB_v1430,
    &ett_lte_rrc_RRCConnectionRequest_NB,
    &ett_lte_rrc_T_criticalExtensions_64,
    &ett_lte_rrc_T_criticalExtensionsFuture_64,
    &ett_lte_rrc_RRCConnectionRequest_NB_r13_IEs,
    &ett_lte_rrc_RRCConnectionResume_NB,
    &ett_lte_rrc_T_criticalExtensions_65,
    &ett_lte_rrc_T_c1_65,
    &ett_lte_rrc_T_criticalExtensionsFuture_65,
    &ett_lte_rrc_RRCConnectionResume_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_81,
    &ett_lte_rrc_RRCConnectionResumeComplete_NB,
    &ett_lte_rrc_T_criticalExtensions_66,
    &ett_lte_rrc_T_criticalExtensionsFuture_66,
    &ett_lte_rrc_RRCConnectionResumeComplete_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_82,
    &ett_lte_rrc_RRCConnectionResumeRequest_NB,
    &ett_lte_rrc_T_criticalExtensions_67,
    &ett_lte_rrc_T_criticalExtensionsFuture_67,
    &ett_lte_rrc_RRCConnectionResumeRequest_NB_r13_IEs,
    &ett_lte_rrc_RRCConnectionSetup_NB,
    &ett_lte_rrc_T_criticalExtensions_68,
    &ett_lte_rrc_T_c1_66,
    &ett_lte_rrc_T_criticalExtensionsFuture_68,
    &ett_lte_rrc_RRCConnectionSetup_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_83,
    &ett_lte_rrc_RRCConnectionSetupComplete_NB,
    &ett_lte_rrc_T_criticalExtensions_69,
    &ett_lte_rrc_T_criticalExtensionsFuture_69,
    &ett_lte_rrc_RRCConnectionSetupComplete_NB_r13_IEs,
    &ett_lte_rrc_RRCConnectionSetupComplete_NB_v1430_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_84,
    &ett_lte_rrc_SCPTMConfiguration_NB_r14,
    &ett_lte_rrc_T_nonCriticalExtension_85,
    &ett_lte_rrc_SystemInformation_NB,
    &ett_lte_rrc_T_criticalExtensions_70,
    &ett_lte_rrc_T_criticalExtensionsFuture_70,
    &ett_lte_rrc_SystemInformation_NB_r13_IEs,
    &ett_lte_rrc_T_sib_TypeAndInfo_r13,
    &ett_lte_rrc_T_sib_TypeAndInfo_r13_item,
    &ett_lte_rrc_T_nonCriticalExtension_86,
    &ett_lte_rrc_SystemInformationBlockType1_NB,
    &ett_lte_rrc_T_cellAccessRelatedInfo_r13,
    &ett_lte_rrc_T_cellSelectionInfo_r13,
    &ett_lte_rrc_SystemInformationBlockType1_NB_v1350,
    &ett_lte_rrc_SystemInformationBlockType1_NB_v1430,
    &ett_lte_rrc_SystemInformationBlockType1_NB_v1450,
    &ett_lte_rrc_T_nonCriticalExtension_87,
    &ett_lte_rrc_PLMN_IdentityList_NB_r13,
    &ett_lte_rrc_PLMN_IdentityInfo_NB_r13,
    &ett_lte_rrc_SchedulingInfoList_NB_r13,
    &ett_lte_rrc_SchedulingInfo_NB_r13,
    &ett_lte_rrc_SystemInfoValueTagList_NB_r13,
    &ett_lte_rrc_SIB_MappingInfo_NB_r13,
    &ett_lte_rrc_CellSelectionInfo_NB_v1350,
    &ett_lte_rrc_CellSelectionInfo_NB_v1430,
    &ett_lte_rrc_UECapabilityEnquiry_NB,
    &ett_lte_rrc_T_criticalExtensions_71,
    &ett_lte_rrc_T_c1_67,
    &ett_lte_rrc_T_criticalExtensionsFuture_71,
    &ett_lte_rrc_UECapabilityEnquiry_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_88,
    &ett_lte_rrc_UECapabilityInformation_NB,
    &ett_lte_rrc_T_criticalExtensions_72,
    &ett_lte_rrc_T_criticalExtensionsFuture_72,
    &ett_lte_rrc_UECapabilityInformation_NB_r13_IEs,
    &ett_lte_rrc_UECapabilityInformation_NB_Ext_r14_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_89,
    &ett_lte_rrc_ULInformationTransfer_NB,
    &ett_lte_rrc_T_criticalExtensions_73,
    &ett_lte_rrc_T_criticalExtensionsFuture_73,
    &ett_lte_rrc_ULInformationTransfer_NB_r13_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_90,
    &ett_lte_rrc_SystemInformationBlockType2_NB_r13,
    &ett_lte_rrc_T_freqInfo_r13_01,
    &ett_lte_rrc_AdditionalSpectrumEmission_r13,
    &ett_lte_rrc_SystemInformationBlockType3_NB_r13,
    &ett_lte_rrc_T_cellReselectionInfoCommon_r13,
    &ett_lte_rrc_T_cellReselectionServingFreqInfo_r13,
    &ett_lte_rrc_T_intraFreqCellReselectionInfo_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxMultiBands_OF_NS_PmaxList_NB_r13,
    &ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1350,
    &ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1360,
    &ett_lte_rrc_IntraFreqCellReselectionInfo_NB_v1430,
    &ett_lte_rrc_CellReselectionInfoCommon_NB_v1450,
    &ett_lte_rrc_SystemInformationBlockType4_NB_r13,
    &ett_lte_rrc_SystemInformationBlockType5_NB_r13,
    &ett_lte_rrc_InterFreqCarrierFreqList_NB_r13,
    &ett_lte_rrc_InterFreqCarrierFreqInfo_NB_r13,
    &ett_lte_rrc_InterFreqNeighCellList_NB_r13,
    &ett_lte_rrc_InterFreqBlackCellList_NB_r13,
    &ett_lte_rrc_SystemInformationBlockType14_NB_r13,
    &ett_lte_rrc_T_ab_Param_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxPLMN_r11_OF_AB_ConfigPLMN_NB_r13,
    &ett_lte_rrc_AB_ConfigPLMN_NB_r13,
    &ett_lte_rrc_AB_Config_NB_r13,
    &ett_lte_rrc_SystemInformationBlockType15_NB_r14,
    &ett_lte_rrc_MBMS_SAI_InterFreqList_NB_r14,
    &ett_lte_rrc_MBMS_SAI_InterFreq_NB_r14,
    &ett_lte_rrc_SystemInformationBlockType20_NB_r14,
    &ett_lte_rrc_T_sc_mcch_CarrierConfig_r14,
    &ett_lte_rrc_NPDCCH_SC_MCCH_Config_NB_r14,
    &ett_lte_rrc_SC_MCCH_SchedulingInfo_NB_r14,
    &ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_02,
    &ett_lte_rrc_SystemInformationBlockType22_NB_r14,
    &ett_lte_rrc_DL_ConfigCommonList_NB_r14,
    &ett_lte_rrc_UL_ConfigCommonList_NB_r14,
    &ett_lte_rrc_DL_ConfigCommon_NB_r14,
    &ett_lte_rrc_PCCH_Config_NB_r14,
    &ett_lte_rrc_UL_ConfigCommon_NB_r14,
    &ett_lte_rrc_NPRACH_ParametersList_NB_r14,
    &ett_lte_rrc_NPRACH_Parameters_NB_r14,
    &ett_lte_rrc_T_nprach_Parameters_r14,
    &ett_lte_rrc_NPRACH_ProbabilityAnchorList_NB_r14,
    &ett_lte_rrc_NPRACH_ProbabilityAnchor_NB_r14,
    &ett_lte_rrc_CarrierConfigDedicated_NB_r13,
    &ett_lte_rrc_DL_CarrierConfigDedicated_NB_r13,
    &ett_lte_rrc_T_downlinkBitmapNonAnchor_r13,
    &ett_lte_rrc_T_dl_GapNonAnchor_r13,
    &ett_lte_rrc_T_inbandCarrierInfo_r13,
    &ett_lte_rrc_T_samePCI_Indicator_r13,
    &ett_lte_rrc_T_samePCI_r13,
    &ett_lte_rrc_T_differentPCI_r13,
    &ett_lte_rrc_UL_CarrierConfigDedicated_NB_r13,
    &ett_lte_rrc_CarrierFreq_NB_r13,
    &ett_lte_rrc_DL_Bitmap_NB_r13,
    &ett_lte_rrc_DL_CarrierConfigCommon_NB_r14,
    &ett_lte_rrc_T_downlinkBitmapNonAnchor_r14,
    &ett_lte_rrc_T_dl_GapNonAnchor_r14,
    &ett_lte_rrc_T_inbandCarrierInfo_r14,
    &ett_lte_rrc_T_samePCI_Indicator_r14,
    &ett_lte_rrc_T_samePCI_r14,
    &ett_lte_rrc_T_differentPCI_r14,
    &ett_lte_rrc_DL_GapConfig_NB_r13,
    &ett_lte_rrc_LogicalChannelConfig_NB_r13,
    &ett_lte_rrc_MAC_MainConfig_NB_r13,
    &ett_lte_rrc_T_ul_SCH_Config_r13,
    &ett_lte_rrc_T_logicalChannelSR_Config_r13,
    &ett_lte_rrc_T_setup_127,
    &ett_lte_rrc_T_dataInactivityTimerConfig_r14_01,
    &ett_lte_rrc_T_setup_128,
    &ett_lte_rrc_DRX_Config_NB_r13,
    &ett_lte_rrc_T_setup_129,
    &ett_lte_rrc_NPDCCH_ConfigDedicated_NB_r13,
    &ett_lte_rrc_NPDSCH_ConfigCommon_NB_r13,
    &ett_lte_rrc_NPRACH_ConfigSIB_NB_r13,
    &ett_lte_rrc_NPRACH_ConfigSIB_NB_v1330,
    &ett_lte_rrc_NPRACH_ConfigSIB_NB_v1450,
    &ett_lte_rrc_NPRACH_ParametersList_NB_r13,
    &ett_lte_rrc_NPRACH_ParametersList_NB_v1330,
    &ett_lte_rrc_NPRACH_Parameters_NB_r13,
    &ett_lte_rrc_NPRACH_Parameters_NB_v1330,
    &ett_lte_rrc_RSRP_ThresholdsNPRACH_InfoList_NB_r13,
    &ett_lte_rrc_NPUSCH_ConfigCommon_NB_r13,
    &ett_lte_rrc_SEQUENCE_SIZE_1_maxNPRACH_Resources_NB_r13_OF_ACK_NACK_NumRepetitions_NB_r13,
    &ett_lte_rrc_T_dmrs_Config_r13,
    &ett_lte_rrc_UL_ReferenceSignalsNPUSCH_NB_r13,
    &ett_lte_rrc_NPUSCH_ConfigDedicated_NB_r13,
    &ett_lte_rrc_PDCP_Config_NB_r13,
    &ett_lte_rrc_T_headerCompression_r13,
    &ett_lte_rrc_T_rohc_01,
    &ett_lte_rrc_T_profiles_r13,
    &ett_lte_rrc_PhysicalConfigDedicated_NB_r13,
    &ett_lte_rrc_RACH_ConfigCommon_NB_r13,
    &ett_lte_rrc_RACH_InfoList_NB_r13,
    &ett_lte_rrc_RACH_Info_NB_r13,
    &ett_lte_rrc_PowerRampingParameters_NB_v1450,
    &ett_lte_rrc_T_powerRampingParametersCE1_r14,
    &ett_lte_rrc_RadioResourceConfigCommonSIB_NB_r13,
    &ett_lte_rrc_BCCH_Config_NB_r13,
    &ett_lte_rrc_PCCH_Config_NB_r13,
    &ett_lte_rrc_RadioResourceConfigDedicated_NB_r13,
    &ett_lte_rrc_T_mac_MainConfig_r13,
    &ett_lte_rrc_SRB_ToAddModList_NB_r13,
    &ett_lte_rrc_SRB_ToAddMod_NB_r13,
    &ett_lte_rrc_T_rlc_Config_r13,
    &ett_lte_rrc_T_logicalChannelConfig_r13,
    &ett_lte_rrc_DRB_ToAddModList_NB_r13,
    &ett_lte_rrc_DRB_ToAddMod_NB_r13,
    &ett_lte_rrc_DRB_ToReleaseList_NB_r13,
    &ett_lte_rrc_RLC_Config_NB_r13,
    &ett_lte_rrc_T_am_01,
    &ett_lte_rrc_RLC_Config_NB_v1430,
    &ett_lte_rrc_UL_AM_RLC_NB_r13,
    &ett_lte_rrc_DL_AM_RLC_NB_r13,
    &ett_lte_rrc_RLF_TimersAndConstants_NB_r13,
    &ett_lte_rrc_T_setup_130,
    &ett_lte_rrc_UplinkPowerControlCommon_NB_r13,
    &ett_lte_rrc_UplinkPowerControlDedicated_NB_r13,
    &ett_lte_rrc_AdditionalBandInfoList_NB_r14,
    &ett_lte_rrc_MultiBandInfoList_NB_r13,
    &ett_lte_rrc_MultiBandInfo_NB_r13,
    &ett_lte_rrc_NS_PmaxList_NB_r13,
    &ett_lte_rrc_NS_PmaxValue_NB_r13,
    &ett_lte_rrc_UE_Capability_NB_r13,
    &ett_lte_rrc_T_dummy_01,
    &ett_lte_rrc_UE_Capability_NB_Ext_r14_IEs,
    &ett_lte_rrc_UE_Capability_NB_v1440_IEs,
    &ett_lte_rrc_T_nonCriticalExtension_91,
    &ett_lte_rrc_PDCP_Parameters_NB_r13,
    &ett_lte_rrc_T_supportedROHC_Profiles_r13,
    &ett_lte_rrc_MAC_Parameters_NB_r14,
    &ett_lte_rrc_PhyLayerParameters_NB_r13,
    &ett_lte_rrc_PhyLayerParameters_NB_v1430,
    &ett_lte_rrc_PhyLayerParameters_NB_v1440,
    &ett_lte_rrc_RF_Parameters_NB_r13,
    &ett_lte_rrc_RF_Parameters_NB_v1430,
    &ett_lte_rrc_SupportedBandList_NB_r13,
    &ett_lte_rrc_SupportedBand_NB_r13,
    &ett_lte_rrc_UE_RadioPagingInfo_NB_r13,
    &ett_lte_rrc_UE_TimersAndConstants_NB_r13,
    &ett_lte_rrc_SC_MTCH_InfoList_NB_r14,
    &ett_lte_rrc_SC_MTCH_Info_NB_r14,
    &ett_lte_rrc_T_sc_mtch_CarrierConfig_r14,
    &ett_lte_rrc_SC_MTCH_SchedulingInfo_NB_r14,
    &ett_lte_rrc_T_schedulingPeriodStartOffsetSCPTM_r14_03,
    &ett_lte_rrc_SCPTM_NeighbourCellList_NB_r14,
    &ett_lte_rrc_PCI_ARFCN_NB_r14,

/*--- End of included file: packet-lte-rrc-ettarr.c ---*/
#line 4169 "./asn1/lte-rrc/packet-lte-rrc-template.c"

    &ett_lte_rrc_featureGroupIndicators,
    &ett_lte_rrc_featureGroupIndRel9Add,
    &ett_lte_rrc_featureGroupIndRel10,
    &ett_lte_rrc_absTimeInfo,
    &ett_lte_rrc_nas_SecurityParam,
    &ett_lte_rrc_targetRAT_MessageContainer,
    &ett_lte_rrc_siPsiSibContainer,
    &ett_lte_rrc_dedicatedInfoNAS,
    &ett_lte_rrc_timeInfo,
    &ett_lte_rrc_serialNumber,
    &ett_lte_rrc_warningType,
    &ett_lte_rrc_dataCodingScheme,
    &ett_lte_rrc_warningMessageSegment,
    &ett_lte_rrc_interBandTDD_CA_WithDifferentConfig,
    &ett_lte_rrc_tdd_FDD_CA_PCellDuplex_r12,
    &ett_lte_rrc_aperiodicCSI_Reporting_r13,
    &ett_lte_rrc_codebook_HARQ_ACK_r13,
    &ett_lte_rrc_sr_ConfigIndex,
    &ett_lte_rrc_transmissionModeList_r12,
    &ett_lte_rrc_modifiedMPR_Behavior_r10,
    &ett_lte_rrc_sib11_fragment,
    &ett_lte_rrc_sib11_fragments,
    &ett_lte_rrc_sib12_fragment,
    &ett_lte_rrc_sib12_fragments,
    &ett_lte_rrc_nr_SecondaryCellGroupConfig_r15,
    &ett_lte_rrc_nr_RadioBearerConfig_r15,
    &ett_lte_rrc_nr_RadioBearerConfigS_r15,
    &ett_lte_rrc_scg_ConfigResponseNR_r15,
    &ett_lte_rrc_measResultSCG_r15,
    &ett_lte_rrc_ul_DCCH_MessageNR_r15,
    &ett_lte_rrc_sourceRB_ConfigNR_r15,
    &ett_lte_rrc_sourceRB_ConfigSN_NR_r15,
    &ett_lte_rrc_sourceOtherConfigSN_NR_r15,
    &ett_lte_rrc_sourceContextENDC_r15
  };

  static ei_register_info ei[] = {
     { &ei_lte_rrc_number_pages_le15, { "lte_rrc.number_pages_le15", PI_MALFORMED, PI_ERROR, "Number of pages should be <=15", EXPFILL }},
     { &ei_lte_rrc_si_info_value_changed, { "lte_rrc.si_info_value_changed", PI_SEQUENCE, PI_WARN, "SI Info Value changed", EXPFILL }},
     { &ei_lte_rrc_sibs_changing, { "lte_rrc.sibs_changing", PI_SEQUENCE, PI_WARN, "SIBs changing in next BCCH modification period - signalled in Paging message", EXPFILL }},
     { &ei_lte_rrc_sibs_changing_edrx, { "lte_rrc.sibs_changing_edrx", PI_SEQUENCE, PI_WARN, "SIBs changing in next BCCH modification period for UEs in eDRX mode - signalled in Paging message", EXPFILL }},
     { &ei_lte_rrc_earthquake_warning_sys, { "lte_rrc.earthquake_warning_sys", PI_SEQUENCE, PI_WARN, "Earthquake and Tsunami Warning System Indication!", EXPFILL }},
     { &ei_lte_rrc_commercial_mobile_alert_sys, { "lte_rrc.commercial_mobile_alert_sys", PI_SEQUENCE, PI_WARN, "Commercial Mobile Alert System Indication!", EXPFILL }},
     { &ei_lte_rrc_unexpected_type_value, { "lte_rrc.unexpected_type_value", PI_MALFORMED, PI_ERROR, "Unexpected type value", EXPFILL }},
     { &ei_lte_rrc_unexpected_length_value, { "lte_rrc.unexpected_length_value", PI_MALFORMED, PI_ERROR, "Unexpected type length", EXPFILL }},
     { &ei_lte_rrc_too_many_group_a_rapids, { "lte_rrc.too_many_groupa_rapids", PI_MALFORMED, PI_ERROR, "Too many group A RAPIDs", EXPFILL }},
     { &ei_lte_rrc_invalid_drx_config, { "lte_rrc.invalid_drx_config", PI_MALFORMED, PI_ERROR, "Invalid dedicated DRX config detected", EXPFILL }},
  };

  expert_module_t* expert_lte_rrc;

  /* Register protocol */
  proto_lte_rrc = proto_register_protocol(PNAME, PSNAME, PFNAME);

  /* These entry points will first create an lte_rrc root node */
  lte_rrc_dl_ccch_handle = register_dissector("lte_rrc.dl_ccch", dissect_lte_rrc_DL_CCCH, proto_lte_rrc);
  register_dissector("lte_rrc.dl_dcch", dissect_lte_rrc_DL_DCCH, proto_lte_rrc);
  register_dissector("lte_rrc.ul_ccch", dissect_lte_rrc_UL_CCCH, proto_lte_rrc);
  register_dissector("lte_rrc.ul_dcch", dissect_lte_rrc_UL_DCCH, proto_lte_rrc);
  register_dissector("lte_rrc.bcch_bch", dissect_lte_rrc_BCCH_BCH, proto_lte_rrc);
  register_dissector("lte_rrc.bcch_dl_sch", dissect_lte_rrc_BCCH_DL_SCH, proto_lte_rrc);
  register_dissector("lte_rrc.bcch_dl_sch_br", dissect_lte_rrc_BCCH_DL_SCH_BR, proto_lte_rrc);
  register_dissector("lte_rrc.pcch", dissect_lte_rrc_PCCH, proto_lte_rrc);
  register_dissector("lte_rrc.mcch", dissect_lte_rrc_MCCH, proto_lte_rrc);
  register_dissector("lte_rrc.handover_prep_info", dissect_lte_rrc_Handover_Preparation_Info, proto_lte_rrc);
  register_dissector("lte_rrc.sbcch_sl_bch", dissect_lte_rrc_SBCCH_SL_BCH, proto_lte_rrc);
  register_dissector("lte_rrc.sbcch_sl_bch.v2x", dissect_lte_rrc_SBCCH_SL_BCH_V2X, proto_lte_rrc);
  register_dissector("lte_rrc.sc_mcch", dissect_lte_rrc_SC_MCCH, proto_lte_rrc);
  register_dissector("lte_rrc.dl_ccch.nb", dissect_lte_rrc_DL_CCCH_NB, proto_lte_rrc);
  register_dissector("lte_rrc.dl_dcch.nb", dissect_lte_rrc_DL_DCCH_NB, proto_lte_rrc);
  register_dissector("lte_rrc.ul_ccch.nb", dissect_lte_rrc_UL_CCCH_NB, proto_lte_rrc);
  register_dissector("lte_rrc.ul_dcch.nb", dissect_lte_rrc_UL_DCCH_NB, proto_lte_rrc);
  register_dissector("lte_rrc.bcch_bch.nb", dissect_lte_rrc_BCCH_BCH_NB, proto_lte_rrc);
  register_dissector("lte_rrc.bcch_dl_sch.nb", dissect_lte_rrc_BCCH_DL_SCH_NB, proto_lte_rrc);
  register_dissector("lte_rrc.pcch.nb", dissect_lte_rrc_PCCH_NB, proto_lte_rrc);
  register_dissector("lte_rrc.sc_mcch.nb", dissect_lte_rrc_SC_MCCH_NB, proto_lte_rrc);
  register_dissector("lte_rrc.bcch_bch.mbms", dissect_lte_rrc_BCCH_BCH_MBMS, proto_lte_rrc);
  register_dissector("lte_rrc.bcch_dl_sch.mbms", dissect_lte_rrc_BCCH_DL_SCH_MBMS, proto_lte_rrc);

  /* Register fields and subtrees */
  proto_register_field_array(proto_lte_rrc, hf, array_length(hf));
  proto_register_subtree_array(ett, array_length(ett));
  expert_lte_rrc = expert_register_protocol(proto_lte_rrc);
  expert_register_field_array(expert_lte_rrc, ei, array_length(ei));

  /* Register the dissectors defined in lte-rrc.conf */

/*--- Included file: packet-lte-rrc-dis-reg.c ---*/
#line 1 "./asn1/lte-rrc/packet-lte-rrc-dis-reg.c"
  register_dissector("lte-rrc.ue_radio_access_cap_info", dissect_UERadioAccessCapabilityInformation_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ue_radio_paging_info", dissect_UERadioPagingInformation_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.bcch.bch", dissect_BCCH_BCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.bcch.bch.mbms", dissect_BCCH_BCH_Message_MBMS_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.bcch.dl.sch", dissect_BCCH_DL_SCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.bcch.dl.sch.br", dissect_BCCH_DL_SCH_Message_BR_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.bcch.dl.sch.mbms", dissect_BCCH_DL_SCH_Message_MBMS_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.mcch", dissect_MCCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.pcch", dissect_PCCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.dl.ccch", dissect_DL_CCCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.dl.dcch", dissect_DL_DCCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ul.ccch", dissect_UL_CCCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ul.dcch", dissect_UL_DCCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.sc.mcch", dissect_SC_MCCH_Message_r13_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ue_cap_info", dissect_lte_rrc_UECapabilityInformation_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ue_eutra_cap", dissect_lte_rrc_UE_EUTRA_Capability_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.sbcch.sl.bch", dissect_SBCCH_SL_BCH_Message_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.sbcch.sl.bch.v2x", dissect_SBCCH_SL_BCH_Message_V2X_r14_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ue_radio_access_cap_info.nb", dissect_UERadioAccessCapabilityInformation_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ue_radio_paging_info.nb", dissect_UERadioPagingInformation_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.bcch.bch.nb", dissect_BCCH_BCH_Message_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.bcch.dl.sch.nb", dissect_BCCH_DL_SCH_Message_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.pcch.nb", dissect_PCCH_Message_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.dl.ccch.nb", dissect_DL_CCCH_Message_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.dl.dcch.nb", dissect_DL_DCCH_Message_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ul.ccch.nb", dissect_UL_CCCH_Message_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.sc.mcch.nb", dissect_SC_MCCH_Message_NB_PDU, proto_lte_rrc);
  register_dissector("lte-rrc.ul.dcch.nb", dissect_UL_DCCH_Message_NB_PDU, proto_lte_rrc);


/*--- End of included file: packet-lte-rrc-dis-reg.c ---*/
#line 4257 "./asn1/lte-rrc/packet-lte-rrc-template.c"

  lte_rrc_etws_cmas_dcs_hash = wmem_map_new_autoreset(wmem_epan_scope(), wmem_file_scope(), g_direct_hash, g_direct_equal);
  lte_rrc_system_info_value_changed_hash = wmem_map_new_autoreset(wmem_epan_scope(), wmem_file_scope(), g_direct_hash, g_direct_equal);

  reassembly_table_register(&lte_rrc_sib11_reassembly_table,
                        &addresses_reassembly_table_functions);
  reassembly_table_register(&lte_rrc_sib12_reassembly_table,
                        &addresses_reassembly_table_functions);

}


/*--- proto_reg_handoff_rrc ---------------------------------------*/
void
proto_reg_handoff_lte_rrc(void)
{
	dissector_add_for_decode_as_with_preference("udp.port", lte_rrc_dl_ccch_handle);
	nas_eps_handle = find_dissector("nas-eps");
	rrc_irat_ho_to_utran_cmd_handle = find_dissector("rrc.irat.ho_to_utran_cmd");
	rrc_sys_info_cont_handle = find_dissector("rrc.sysinfo.cont");
	gsm_a_dtap_handle = find_dissector("gsm_a_dtap");
	gsm_rlcmac_dl_handle = find_dissector("gsm_rlcmac_dl");
}


